Introduction

The LEADTOOLS VCL Main Package contains custom controls developed by LEAD Technologies, Inc. These controls are the LEAD Main VCL Control, the LEAD Marker Control and the LEAD Dialog Services Control. The LEAD Main Control Module (32-bit) provides the custom controls for incorporating image compression, file format support, and image processing into your applications. LEAD Dialog Services Control provides support for every VCL Common Dialog Control, which can be used for incorporating dialog boxes that combine Windows Common Dialog functionality with LEADTOOLS Imaging functionality.

There are seven (7) VCL Common Dialog controls/packages. These are:

1. | LEADTOOLS Color Dialogs Control (found in the LT14XXDLGCLR package).
2. | LEADTOOLS Effect Dialogs Control (found in the LT14XXDLGEFX package).
3. | LEADTOOLS File Dialogs Control (found in the LT14XXDLGFILE package).
4. | LEADTOOLS Image Dialogs Control (found in the LT14XXDLGIMG package).
5. | LEADTOOLS Image Document Dialogs Control (found in the LT14XXDLGIMGDOC package).
6. | LEADTOOLS Image Effect Dialogs Control (found in the LT14XXDLGIMGEFX package).
7. | LEADTOOLS Web Dialogs Control (found in the LT14XXDLGWEB package).

where XX may be:

B5 for a C++ Builder 5 package

B6 for a C++ Builder 6 package

D6 for a Delphi 6 package

D7 for a Delphi 7 package

This help file contains information on the LEADTOOLS VCL Common Dialog Controls.

The LEADTOOLS VCL Common Dialog controls provide a set of common dialog boxes that combine Windows Common Dialog functionality with imaging functionality contained in LEADTOOLS. Imaging Common Dialogs are provided for numerous image processing, effects and filtering functions.

Reusable dialogs for the most common LEADTOOLS imaging functions and effects are now provided.

A Thumbnail Preview option for the image processing dialogs allows the end user to preview the proposed change to the image, before actually affecting the original image.

An optional Help callback function lets you provide custom help information for each dialog.

A user interface control for the dialogs is provided through flags in the structure passed to each dialog function.

An option to have the Imaging Common Dialog process the image automatically is provided.

Executable demos are included in all LEADTOOLS products. The executable demos provide a quick and easy way to evaluate the LEADTOOLS Common Dialog features and performance.

To use the same bitmap between controls, assign the bitmap property from one control to another.

The LEADTOOLS VCL Common Dialog controls can be used in:

Delphi 6.0

Delphi 7.0

C++ Builder 5.0

C++ Builder 6.0


Example Programs

Note:

You can run some of the example programs on your system by clicking the appropriate buttons in online help. An error message will appear if you try to run an example program that is not on your system, or if you try to run a Delphi example without Delphi on your system.

The executable files for these examples were compiled with Document/Medical capabilities of the toolkit. To get Document/Medical capabilities, you must buy a LEADTOOLS Document/Medical editions toolkit. Otherwise, if you recompile the examples, the resulting executable files will not have the Document/Medical capabilities.

C++ Builder

EXAMPLES\VCL\BUILDER\DEMO contains sample project code for C++ Builder. You can open the project in C++ Builder; then compile and run it.
Click here [image] to run the C++ Builder 5.0 version of this example.
Click here [image] to run the C++ Builder 6.0 version of this example.

Delphi

EXAMPLES\VCL\DELPHI\DEMO contains sample project code for Delphi. To run the sample application, you can run the EXE file in LEAD's BIN directory.
Click here [image] to run the Delphi 6.0 version of this example.
Click here [image] to run the Delphi 7.0 version of this example.


Version History

Current version: | 14.5
Last update: | October 20, 2005

Changes from Version 14 to Version 14.5

Version 14


Changes from Version 14 to Version 14.5

Version 14.5 of the LEADTOOLS Common Dialog VCL has been changed from version 14.

When saving JBIG2 file, you can get or change the current values for the control options used by LEADTOOLS.

The rest of this topic lists the new properties in version 14.5:

JBIG2 File Saving Options

SaveJBIG2GBATX1 property

SaveJBIG2GBATX2 property

SaveJBIG2GBATX3 property

SaveJBIG2GBATX4 property

SaveJBIG2GBATY1 property

SaveJBIG2GBATY2 property

SaveJBIG2GBATY3 property

SaveJBIG2GBATY4 property

SaveJBIG2SaveFlags property

SaveJBIG2TemplateType property


Version 14

Version 14 of the LEADTOOLS Common Dialog VCL has been completely re-designed and re-written since version 13.

The rest of this topic lists the new properties, methods and events in version 14.

LEADDlgColor

Properties

Angle property

ApplyPaletteWhenExit property

BalanceBlueFactor property

BalanceGreenFactor property

BalanceRedFactor property

BitsPerPixel property

BlueFactor property

BlueGrayFactor property

Change property

Channel property

ColorModel property

ColorSpace property

Dimension property

DitherFlags property

DlgFlags property

DlgFlagsEx property

EnableMethodErrors property

Error property

ErrorMsg property

GammaAllChannels property

GammaBlueValue property

GammaGreenValue property

GammaRedValue property

GeneratedPaletteColors property

GeneratedPaletteColorsCount property

GreenFactor property

GreenGrayFactor property

HalftoneType property

IntensityHigh property

IntensityInColor property

ItemBitmap property

ItemDescription property

ItemFileName property

ItemsCount property

LEADDlgService property

LEADImage property

Levels property

IntensityLow property

IntensityOutColor property

PaletteFlags property

RectHeight property

RectWidth property

RedFactor property

RedGrayFactor property

RemapHueHTable property

RemapHueMaskTable property

RemapHueSTable property

RemapHueTableSize property

RemapHueVTable property

RemapIntensityTable property

RemapIntensityTableSize property

SelectedBitmapList property

SelectedColor property

ShowHelpButton property

SmoothSize property

Threshold property

UserPaletteColors property

WindowLevelEndColor property

WindowLevelFactor property

WindowLevelFlags property

WindowLevelHigh property

WindowLevelHighBit property

WindowLevelLow property

WindowLevelLowBit property

WindowLevelLUT property

WindowLevelLUTLength property

WindowLevelStartColor property

XExtension property

YExtension property

ZoomToFit property

Methods

ShowBalanceColorsDlg method

ShowBrightnessDlg method

ShowColorDlg method

ShowColoredGrayDlg method

ShowColorResDlg method

ShowContrastDlg method

ShowCustomizePaletteDlg method

ShowGammaAdjustmentDlg method

ShowGrayScaleDlg method

ShowHalftoneDlg method

ShowHistoContrastDlg method

ShowHueDlg method

ShowIntensityDetectDlg method

ShowLocalHistoEqualizeDlg method

ShowPosterizeDlg method

ShowRemapHueDlg method

ShowRemapIntensityDlg method

ShowSaturationDlg method

ShowSolarizeDlg method

ShowWindowLevelDlg method

Events

OnDlgHelp event

LEADDlgEffect

Properties

BackColor property

Delay property

DlgFlags property

Effect property

EnableMethodErrors property

EndColor property

Error property

ErrorMsg property

ForeColor property

GradientSteps property

GradientStyle property

Grain property

LEADDlgService property

LEADImage property

MaxPass property

PatternStyle property

SampleText property

ShadowColor property

ShadowXDepth property

ShadowYDepth property

Shape property

ShapeBackgroundBitmap property

ShapeBackgroundStyle property

ShapeBorderColor property

ShapeBorderStyle property

ShapeBorderThickness property

ShapeFillStyle property

ShapeInnerBandHiliteColor property

ShapeInnerBandShadowColor property

ShapeInnerBandStyle property

ShapeInnerBandThickness property

ShapeOuterBandHiliteColor property

ShapeOuterBandShadowColor property

ShapeOuterBandStyle property

ShapeOuterBandThickness property

ShowHelpButton property

StartColor property

TextAlign property

TextAngle property

TextFont property

TextForegroundBitmap property

TextHiliteColor property

TextStyle property

TextUseForegroundImage property

TextWordWrap property

TransitionStyle property

Transparent property

TransparentColor property

WandColor property

WandThickness property

Methods

ShowGetEffectDlg method

ShowGetGradientDlg method

ShowGetShapeDlg method

ShowGetTextDlg method

ShowGetTransitionDlg method

Events

OnDlgHelp event

LEADDlgImage

Properties

Angle property

BackgroundColor property

BitmapIndex property

BlueChannelPenColor property

BlueHistogram property

BlueHistogramLen property

BorderStyle property

BottomThickness property

BumpyShadow property

CurrentHeight property

CurrentWidth property

CurveIntensity property

DlgFlags property

EffectStyle property

EnableMethodErrors property

Error property

ErrorMsg property

GradientEndColor property

GradientStartColor property

GradientStyle property

GreenChannelPenColor property

GreenHistogram property

GreenHistogramLen property

HistogramFlags property

Horizontal property

ItemBitmap property

ItemDescription property

ItemFileName property

ItemsCount property

KeepFrameState property

LEADDlgService property

LEADImage property

LeftThickness property

Location property

MaskColor property

MasterHistogram property

MasterHistogramLen property

MasterPenColor property

MaxNewHeight property

MaxNewResolutionX property

MaxNewResolutionY property

MaxNewWidth property

NewHeight property

NewResolutionX property

NewResolutionY property

NewWidth property

OpaqueColor property

OriginalBitsPerPixel property

OriginalHeight property

OriginalResolutionX property

OriginalResolutionY property

OriginalWidth property

Quality property

RedChannelPenColor property

RedHistogram property

RedHistogramLen property

Resize property

ResizeFlags property

RightThickness property

RotateFlags property

SelectedBitmap property

ShadowDirection property

ShadowSize property

ShowHelpButton property

SmoothEdge property

SoftCurve property

Threshold property

TopLeftPoint property

TopThickness property

UseMask property

UseShadow property

ZoomToFit property

Methods

ShowAutoTrimDlg method

ShowCanvasResizeDlg method

ShowHistogramDlg method

ShowResizeDlg method

ShowRotateDlg method

ShowShearDlg method

Events

OnDlgHelp event

LEADDlgImgDoc

Properties

BlackAreaColor property

BorderPercent property

BorderToRemove property

DlgFlags property

DocCleanBitmap property

EnableMethodErrors property

Error property

ErrorMsg property

GapLength property

LEADDlgService property

LEADImage property

Length property

Lightness property

Location property

MaxBlackPercent property

MaxDotHeight property

MaxDotWidth property

MaxHoleCount property

MaxHoleHeight property

MaxHoleWidth property

MaxLineWidth property

MaxWallPercent property

MinBlackPercent property

MinDotHeight property

MinDotWidth property

MinHoleCount property

MinHoleHeight property

MinHoleWidth property

MinInvertHeight property

MinInvertWidth property

MinLineLength property

ModificationColor property

NewColor property

ProcessFlags property

RemoveFlags property

ShowHelpButton property

Threshold property

Variance property

Wall property

WhiteAreaColor property

WhiteNoiseLength property

ZoomToFit property

Methods

ShowBorderRemoveDlg method

ShowDotRemoveDlg method

ShowHolePunchRemoveDlg method

ShowInvertedTextDlg method

ShowLineRemoveDlg method

ShowRemoveRedeyeDlg method

ShowSmoothDlg method

Events

OnDlgHelp event

LEADDlgImgEffect

Properties

AddBitmapsFlags property

Amount property

Amplitude property

Amplitudes property

AmplitudesCount property

Angle property

AntiAliasFilterType property

Attenuation property

BackgroundColor property

BendingFlags property

BinaryFilterType property

BitmapBitsPerPixel property

BitmapHeight property

BitmapWidth property

CellHeight property

CellWidth property

CenterPoint property

Channel property

CommandShow property

CylindricalType property

DeltaDirection property

Depth property

Dimension property

Direction property

DirectoryPath property

DlgFlags property

EdgeDetectionFilterType property

EnableMethodErrors property

Error property

ErrorMsg property

Factor property

FillColor property

FreeHandShearFlags property

FreeHandWaveFlags property

Frequency property

HorizontalDim property

HorzScale property

ItemBitmap property

ItemDescription property

ItemFileName property

ItemsCount property

LEADDlgService property

LEADImage property

MaxError property

Opacity property

Option property

OptionFlags property

Phase property

PicturizeResizeFlags property

PixelateFlags property

PolarFlags property

PunchFlags property

RadialWaveFlags property

Radius property

Range property

Resolution property

RippleFlags property

Scale property

SelectedBitmap property

SelectedBitmapIndex property

SelectedBitmapList property

Sharpness property

ShowHelpButton property

SpatialFilterType property

SpherizeFlags property

StitchBitmap property

Stress property

Threshold property

UnderlayFlags property

Unidirectional property

UnshrpMaskFlags property

Value property

VerticalDim property

VertScale property

WaveFlags property

WaveLength property

WindowIcon property

ZoomFactor property

ZoomToFit property

ZoomWaveFlags property

Methods

ShowAddNoiseDlg method

ShowAntiAliasDlg method

ShowAverageDlg method

ShowBendingDlg method

ShowContourFilterDlg method

ShowCylindricalDlg method

ShowDilationFilterDlg method

ShowEdgeDetectorDlg method

ShowEmbossDlg method

ShowErosionFilterDlg method

ShowFreeHandShearDlg method

ShowFreeHandWaveDlg method

ShowGaussianBlurDlg method

ShowGradientFilterDlg method

ShowImpressionistDlg method

ShowLaplacianFilterDlg method

ShowLineSegmentFilterDlg method

ShowMaxFilterDlg method

ShowMedianDlg method

ShowMinFilterDlg method

ShowMosaicDlg method

ShowMotionBlurDlg method

ShowMultiplyDlg method

ShowOilifyDlg method

ShowPicturizeDlg method

ShowPixelateDlg method

ShowPolarDlg method

ShowPrewittFilterDlg method

ShowPunchDlg method

ShowRadialBlurDlg method

ShowRadialWaveDlg method

ShowRippleDlg method

ShowSharpenDlg method

ShowShiftDifferenceFilterDlg method

ShowSobelFilterDlg method

ShowSpherizeDlg method

ShowSwirlDlg method

ShowUnsharpMaskDlg method

ShowWaveDlg method

ShowWindDlg method

ShowZoomBlurDlg method

ShowZoomWaveDlg method

Events

OnDlgHelp event

LEADDlgWeb

Properties

AddWindowsColors property

BitsPerPixel property

DitherType property

DlgFlags property

EnableMethodErrors property

Error property

ErrorMsg property

Format property

HistoryALT property

HistoryALTMaxLength property

HistoryALTsCount property

HistoryALTsValidCount property

HistoryRollover property

HistoryRolloverMaxLength property

HistoryRolloversCount property

HistoryRolloversValidCount property

HistoryTarget property

HistoryTargetMaxLength property

HistoryTargetsCount property

HistoryTargetsValidCount property

HistoryURL property

HistoryURLMaxLength property

HistoryURLsCount property

HistoryURLsValidCount property

Interlaced property

LEADDlgService property

LEADImage property

NumOfColors property

PaletteType property

Progressive property

Quality property

ShowHelpButton property

TransparencyTolerance property

Transparent property

TransparentColor property

WithStamp property

ZoomToFit property

Methods

ShowGIFWebTunerDlg method

ShowHTMLMapperDlg method

ShowJPEGWebTunerDlg method

ShowPNGWebTunerDlg method

Events

OnDlgHelp event

LEADDlgFile

Properties

Bitmap property

CommandShow property

DestinationPath property

DevModeHandle property

DevNamesHandle property

DialogTitle property

Directory property

DlgFileFlags property

DlgFlags property

DXFAutoCADColorScheme property

DXFFont property

DXFViewportHeight property

DXFViewportMode property

DXFViewportWidth property

FileFormats property

FileFormatsCount property

FileName property

FileTitle property

Filter property

FilterIndex property

Formats property

InitialDir property

ItemBitmap property

ItemDescription property

ItemFileName property

ItemsCount property

LEADDlgService property

LEADImage property

LoadCompressed property

LoadPasses property

LoadRotated property

MarginsRect property

MaxFileSize property

MaxFileTitleSize property

METAFILEXResolution property

METAFILEYResolution property

MinMarginsRect property

OptionsFileType property

Overwrite property

PageNumber property

PCDResolution property

PDFDisplayDepth property

PDFGraphicsAlpha property

PDFTextAlpha property

PDFXResolution property

PDFYResolution property

PLTPenColor property

PLTPenWidth property

PLTViewportHeight property

PLTViewportMode property

PLTViewportWidth property

PreviewEnabled property

RASTERMISCXResolution property

RASTERMISCYResolution property

RemoveSourceFile property

SaveBitsPerPixel property

SaveFileTypeIndex property

SaveFormat property

SaveInterlaced property

SaveJ2KCBS_ErrorResilienceSymbol property

SaveJ2KCBS_PredictableTermination property

SaveJ2KCBS_ResetContextOnBoundaries property

SaveJ2KCBS_SelectiveACBypass property

SaveJ2KCBS_TerminationOnEachPass property

SaveJ2KCBS_VerticallyCausalContext property

SaveJ2KCodBlockHeight property

SaveJ2KCodBlockWidth property

SaveJ2KCompressionControl property

SaveJ2KCompressionRatio property

SaveJ2KDerivedBaseExponent property

SaveJ2KDerivedBaseMantissa property

SaveJ2KDerivedQuantization property

SaveJ2KGuardBits property

SaveJ2KProgressOrder property

SaveJ2KTargetFileSize property

SaveJ2KUseColorTransform property

SaveJ2KUseEPHMarker property

SaveJ2KUseSOPMarker property

SaveJ2KXOsiz property

SaveJ2KXTOsiz property

SaveJ2KXTsiz property

SaveJ2KYOsiz property

SaveJ2KYTOsiz property

SaveJ2KYTsiz property

SaveMulti property

SavePasses property

SaveQFactor property

SaveStampBits property

SaveStampHeight property

SaveStampWidth property

SaveSubTypeIndex property

SaveWithStamp property

SelectedExt property

ServerAppName property

ShowFullPath property

ShowLoadOptions property

SourceFileList property

SourceFilePath property

Thumbnail property

UseLogReport property

UseOriginalFolder property

VECTORMISCFont property

VECTORMISCViewportHeight property

VECTORMISCViewportMode property

VECTORMISCViewportWidth property

WindowIcon property

Methods

ShowFileConversionDlg method

ShowFilesAssociationDlg method

ShowGetDirectoryDlg method

ShowOpenDlg method

ShowPrintPreviewDlg method

ShowPrintStitchedImagesDlg method

ShowSaveDlg method

LEADDlgService

Properties

DialogsFont property

Methods

FreeDialogs method

GetDialogString method

InitDialogs method

SetDialogString method

LEADFileSaveFormat

Properties

BppCount property

Format property

FormatBpp property

SubFormats property


Copyright notice

Copyright Notices

©Copyright LEAD Technologies, Inc. 1991-2005. ALL RIGHTS RESERVED

Portions of the PCDLIB32.DLL, PCDLIB.DLL, LFFPX7.DLL, LFKODAK.DLL, EKFPIXJPEG140.DLL, PDC_SDK.DLL, PROFIRE.DLL and DC120V154_32.DLL files contain material that is ©Copyright Eastman Kodak Company, 1996.

Portions of the LFFPX7.DLL and LFKODAK.DLL files contain material that is ©Copyright Hewlett Packard, 1996.

Portions of the OCR Features and the help file for the OCR Features are ©Copyright Scansoft, Inc. 1995-2000. ALL RIGHTS RESERVED

Portions of the Barcode Modules contain material that is ©Copyright Axtel Inc., 1999.

Portions of the LEADTOOLS PDF Plug in and the LEADTOOLS Vector Imaging Pro are ©Copyright 1996, 2000 Artifex Software Inc. All rights reserved.

The "FlashPix" format uses Microsoft's OLE structured storage.

Portions of the DICOM help files in Medical Imaging product line are reprinted with permission from the National Electrical Manufacturers Association ©Copyright 1998 by the National Electrical Manufacturers Association. All rights including translation into other languages, reserved under the Universal Copyright Convention, the Berne Convention or the Protection of Literacy and Artistic Works, and the International and Pan American Copyright Conventions.

Portions of LEADTOOLS Data Security Add On contain software developed by the OpenSSL Project for use in the OpenSSL Toolkit (http://www.openssl.org/), including cryptographic software written by Eric Young (eay@cryptsoft.com) and by Tim Hudson (tjh@cryptsoft.com). Copyright (C) 1995-1998 Eric Young (eay@cryptsoft.com) All rights reserved. Copyright Tim Hudson 1995-1998 (tjh@cryptsoft.com) All rights reserved.

Portions of LEADTOOLS Data Security Add On contain software based on the MD5 Message Digest Algorithm developed by RSA Data Security, Inc.. Copyright (c) 1991-92 RSA Data Security, Inc. All Rights Reserved.

Portions hereof licensed under US patent 5,327,254 and foreign counterparts.

Portions of the LEADTOOLS ICC Profiles material is © Copyright 2004, International Color Consortium.

Trademarks

LEAD® and LEADTOOLS® are registered trademarks of LEAD Technologies, Inc.
Microsoft, Windows, Windows NT, Visual Basic, Visual FoxPro, and Microsoft Access are either trademarks or registered trademarks of the Microsoft Corporation.
OS/2® is a registered trademark of International Business Machines Corporation.

TextBridge®OCR is a registered trademark of Scansoft, Inc.

ISIS® is a registered trademark of Pixel Translations, Inc.

ScanAhead™ is a trademark of Pixel Translations, Inc.

FlashPix™ is a trademark of Eastman Kodak Company.

All other brand or product names used in this online help are trademarks of their respective holders.

Address and Contact Information

LEAD Technologies, Inc.
Suite 400
1201 Greenwood Cliff
Charlotte, NC 28204

(704) 332-5532
FAX: (704) 372-8161
E-mail: support@leadtools.com
Technical support: (704) 372-9681 or support@leadtools.com
Home page: http://www.leadtools.com


Using Imaging Common Dialogs

LEADTOOLS provides a set of VCL Common Dialog controls that combine Windows Common Dialog functionality with imaging functionality contained in LEADTOOLS. For a list of required DLL's and bpl’s, refer to Files To Be Included With Your Application . VCL Imaging Common Dialogs are provided for numerous image processing, effects and filtering methods.

Reusable dialogs for the most common LEADTOOLS imaging methods and effects are now provided.

- A Thumbnail Preview option for the image processing dialogs allows the end user to preview the proposed change to the image, before actually affecting the original image.

- An optional Help event lets you provide custom help information for each dialog.

- A user interface control for the dialogs is provided through flags in the Record (structure) passed to each dialog method.

- An option to have the Imaging Common Dialog process the image automatically is provided.

The following VCL controls are supported. To see a list of the properties, methods and events available for each object/class, click on the object/class name.

LEADDlgColor

LEADDlgEffect

LEADDlgFile

LEADDlgImage

LEADDlgImgDoc

LEADDlgImgEffect

LEADDlgService

LEADDlgWeb


Files To Be Included With Your Application

The following summarizes the files you must include on your distribution diskettes to support the LEADTOOLS functions:

Note: | You may not copy or redistribute any of the following files without obtaining the proper license. In some cases, the license is included with your initial purchase of LEADTOOLS. In other cases, you must obtain a license from a third party or enter into a royalty agreement with LEAD to obtain the proper license. For these special licensing situations, see the notes below accompanying the specific file.
Note: | You may not provide software development capabilities in your application. In particular, this means that you must not distribute the LTOCX14.LIC license file.

The following table summarizes the files you must include on your distribution diskettes to support the LEADTOOLS functions on a WIN32 system. (\REDIST subdirectory contains copies of these files.)

Please note that LTKRN, LTDIS, LTEFX, LTIMG, and LTFIL are required for ALL VCL applications. For more information on other files for the Main VCL, refer to Files To Be Included With Your Application .

Redistributables

Explanation:

If you are using a standard release, the files to use are:

If you are using an evaluation release, the files to use are:

LT14B5MN
LT14B5DLGCLR
LT14B5DLGEFX
LT14B5DLGFILE
LT14B5DLGIMG
LT14B5DLGIMGDOC
LT14B5DLGIMGEFX
LT14B5DLGWEB

Borland C++ Builder 5.0 runtime files. Required for VCL applications that are built with Borland C++ Builder 5.0. LT14B5MN.BPL is the BPL file for the LEADTOOLS VCL Main Package; LT14B5DLGCLR.BPL is the BPL file for the LEADTOOLS Color Dialogs Control; LT14B5DLGEFX.BPL is the BPL file for the LEADTOOLS Effect Dialogs Control; LT14B5DLGFILE.BPL is the BPL file for the LEADTOOLS File Dialogs Control; LT14B5DLGIMG.BPL is the BPL file for the LEADTOOLS Image Dialogs Control; LT14B5DLGIMGDOC.BPL is the BPL file for the LEADTOOLS Image Document Dialogs Control; LT14B5DLGIMGEFX.BPL is the BPL file for the LEADTOOLS Image Effect Dialogs Control and LT14B5DLGWEB.BPL is the BPL file for the LEADTOOLS Web Dialogs Control. For more information about the controls included in the LEADTOOLS VCL Main package, refer to the Introduction in this help file or the Introduction in the Main VCL Help file. For information about creating and distributing applications, refer to the Borland Builder documentation.

BPL:
VCL50.BPL
VCLDB50.BPL
VCLBDE50.BPL
LT14B5MN.BPL
LT14B5DLGCLR.BPL
LT14B5DLGEFX.BPL
LT14B5DLGFILE.BPL
LT14B5DLGIMG.BPL
LT14B5DLGIMGDOC.BPL
LT14B5DLGIMGEFX.BPL
LT14B5DLGWEB.BPL

DLL:
BORLNDMM.DLL
CC3250MT.DLL

BPL:
VCL50.BPL
VCLDB50.BPL
VCLBDE50.BPL
LT14B5MNe.BPL
LT14B5DLGCLRe.BPL
LT14B5DLGEFXe.BPL
LT14B5DLGFILEe.BPL
LT14B5DLGIMGe.BPL
LT14B5DLGIMGDOCe.BPL
LT14B5DLGIMGEFXe.BPL
LT14B5DLGWEBe.BPL

DLL:
BORLNDMM.DLL
CC3250MT.DLL

LT14B6MN
LT14B6DLGCLR
LT14B6DLGEFX
LT14B6DLGFILE
LT14B6DLGIMG
LT14B6DLGIMGDOC
LT14B6DLGIMGEFX
LT14B6DLGWEB

Borland C++ Builder 6.0 runtime files. Required for VCL applications that are built with Borland C++ Builder 6.0. LT14B6MN.BPL is the BPL file for the LEADTOOLS VCL Main Package; LT14B6DLGCLR.BPL is the BPL file for the LEADTOOLS Color Dialogs Control; LT14B6DLGEFX.BPL is the BPL file for the LEADTOOLS Effect Dialogs Control; LT14B6DLGFILE.BPL is the BPL file for the LEADTOOLS File Dialogs Control; LT14B6DLGIMG.BPL is the BPL file for the LEADTOOLS Image Dialogs Control; LT14B6DLGIMGDOC.BPL is the BPL file for the LEADTOOLS Image Document Dialogs Control; LT14B6DLGIMGEFX.BPL is the BPL file for the LEADTOOLS Image Effect Dialogs Control and LT14B6DLGWEB.BPL is the BPL file for the LEADTOOLS Web Dialogs Control. For more information about the controls included in the LEADTOOLS VCL Main package, refer to the Introduction in this help file or the Introduction in the Main VCL Help file.. For information about creating and distributing applications, refer to the Borland Builder documentation.

BPL:
VCL60.BPL
VCLDB60.BPL
LT14B6MN.BPL
LT14B6DLGCLR.BPL
LT14B6DLGEFX.BPL
LT14B6DLGFILE.BPL
LT14B6DLGIMG.BPL
LT14B6DLGIMGDOC.BPL
LT14B6DLGIMGEFX.BPL
LT14B6DLGWEB.BPL

DLL:
BORLNDMM.DLL
CC3260MT.DLL

BPL:
VCL60.BPL
VCLDB60.BPL
LT14B6MNe.BPL
LT14B6DLGCLRe.BPL
LT14B6DLGEFXe.BPL
LT14B6DLGFILEe.BPL
LT14B6DLGIMGe.BPL
LT14B6DLGIMGDOCe.BPL
LT14B6DLGIMGEFXe.BPL
LT14B6DLGWEBe.BPL

DLL:
BORLNDMM.DLL
CC3260MT.DLL

LT14D6MN
LT14D6DLGCLR
LT14D6DLGEFX
LT14D6DLGFILE
LT14D6DLGIMG
LT14D6DLGIMGDOC
LT14D6DLGIMGEFX
LT14D6DLGWEB

Borland Delphi 6.0 runtime files. Required for VCL applications that are built with Borland Delphi 6.0 and with RTP checked. LT14D6MN.BPL is the BPL file for the LEADTOOLS VCL Main Package; LT14D6DLGCLR.BPL is the BPL file for the LEADTOOLS Color Dialogs Control; LT14D6DLGEFX.BPL is the BPL file for the LEADTOOLS Effect Dialogs Control; LT14D6DLGFILE.BPL is the BPL file for the LEADTOOLS File Dialogs Control; LT14D6DLGIMG.BPL is the BPL file for the LEADTOOLS Image Dialogs Control; LT14D6DLGIMGDOC.BPL is the BPL file for the LEADTOOLS Image Document Dialogs Control; LT14D6DLGIMGEFX.BPL is the BPL file for the LEADTOOLS Image Effect Dialogs Control and LT14D6DLGWEB.BPL is the BPL file for the LEADTOOLS Web Dialogs Control. For more information about the controls included in the LEADTOOLS VCL Main package, refer to the Introduction in this help file or the Introduction in the Main VCL Help file. For information about creating and distributing applications, refer to the Borland Delphi documentation.

BPL:
VCLDB60.BPL
VCL60.BPL
LT14D6MN.BPL
LT14D6DLGCLR.BPL
LT14D6DLGEFX.BPL
LT14D6DLGFILE.BPL
LT14D6DLGIMG.BPL
LT14D6DLGIMGDOC.BPL
LT14D6DLGIMGEFX.BPL
LT14D6DLGWEB.BPL

BPL:
VCLDB60.BPL
VCL60.BPL
LT14D6MNe.BPL
LT14D6DLGCLRe.BPL
LT14D6DLGEFXe.BPL
LT14D6DLGFILEe.BPL
LT14D6DLGIMGe.BPL
LT14D6DLGIMGDOCe.BPL
LT14D6DLGIMGEFXe.BPL
LT14D6DLGWEBe.BPL

LT14D7MN
LT14D7DLGCLR
LT14D7DLGEFX
LT14D7DLGFILE
LT14D7DLGIMG
LT14D7DLGIMGDOC
LT14D7DLGIMGEFX
LT14D7DLGWEB

Borland Delphi 7.0 runtime files. Required for VCL applications that are built with Borland Delphi 7.0 and with RTP checked. LT14D7MN.BPL is the BPL file for the LEADTOOLS VCL Main Package; LT14D7DLGCLR.BPL is the BPL file for the LEADTOOLS Color Dialogs Control; LT14D7DLGEFX.BPL is the BPL file for the LEADTOOLS Effect Dialogs Control; LT14D7DLGFILE.BPL is the BPL file for the LEADTOOLS File Dialogs Control; LT14D7DLGIMG.BPL is the BPL file for the LEADTOOLS Image Dialogs Control; LT14D7DLGIMGDOC.BPL is the BPL file for the LEADTOOLS Image Document Dialogs Control; LT14D7DLGIMGEFX.BPL is the BPL file for the LEADTOOLS Image Effect Dialogs Control and LT14D7DLGWEB.BPL is the BPL file for the LEADTOOLS Web Dialogs Control. For more information about the controls included in the LEADTOOLS VCL Main package, refer to the Introduction in this help file or the Introduction in the Main VCL Help file.. For information about creating and distributing applications, refer to the Borland Delphi documentation.

BPL:
VCLDB70.BPL
VCL70.BPL
LT14D7MN.BPL
LT14D7DLGCLR.BPL
LT14D7DLGEFX.BPL
LT14D7DLGFILE.BPL
LT14D7DLGIMG.BPL
LT14D7DLGIMGDOC.BPL
LT14D7DLGIMGEFX.BPL
LT14D7DLGWEB.BPL

BPL:
VCLDB70.BPL
VCL70.BPL
LT14D7MNe.BPL
LT14D7DLGCLRe.BPL
LT14D7DLGEFXe.BPL
LT14D7DLGFILEe.BPL
LT14D7DLGIMGe.BPL
LT14D7DLGIMGDOCe.BPL
LT14D7DLGIMGEFXe.BPL
LT14D7DLGWEBe.BPL

LTKRN

LEADTOOLS kernel, required for all applications. For information about the "nag" message and the "no-nag" LTKRN14N.DLL, refer to LEADTOOLS Nag Message .

DLL:
LTKRN14N.DLL

Library:
LTKRN_N.LIB

DLL:
LTKRN14E.DLL

Library:
LTKRN_E.LIB

LTDLG

Imaging Common Dialog support. COMMDLG.DLL and COMDLG32.DLL are Windows common dialog DLLs. LTDLG14N.DLL and COMDLG32.DLL are required for 32 bit.

DLL:
LTDLG14N.DLL
COMDLG32.DLL

OCX:
LTDLG14N.OCX

Library:
LTDLG_N.LIB

DLL:
LTDLG14E.DLL
COMDLG32.DLL

OCX:
LTDLG14E.OCX

Library:
LTDLG_E.LIB

LTDIS

Display support, required for all applications.

DLL:
LTDIS14N.DLL

Library:
LTDIS_N.LIB

DLL:
LTDIS14E.DLL

Library:
LTDIS_E.LIB

LTEFX

Paint effects support, required for all applications.

DLL:
LTEFX14N.DLL

Library:
LTEFX_N.LIB

DLL:
LTEFX14E.DLL

Library:
LTEFX_E.LIB

LTFIL

File read and write support, required for all applications.

DLL:
LTFIL14N.DLL

Library:
LTFIL_N.LIB

DLL:
LTFIL14E.DLL

Library:
LTFIL_E.LIB

LTIMG

Image processing support, required for all applications.

DLL:
LTIMG14N.DLL

Library:
LTIMG_N.LIB

DLL:
LTIMG14E.DLL

Library:
LTIMG_E.LIB


Installation Directory

The installation procedure creates a directory tree for the LEADTOOLS files, and adds the demonstration programs and online help to your desktop. You specify the root directory during installation.

The following is a list of the subdirectories in the root directory:

BIN | Executable files for the demonstration programs.
HELP | Online help files.
IMAGES | Sample images and databases containing images.
EXAMPLES\VCL | One subdirectory for each example VCL program.
INCLUDE | Header files, BAS files, and the ActiveX's MFC interface files for versions of Visual C++ earlier than 4.0.
USES | Pascal user uses and includes files.
LIB | Library files.
LIB\VCL\DELPHI6 | The LEADTOOLS VCL Delphi 6.0 package and unit files.
LIB\VCL\DELPHI7 | The LEADTOOLS VCL Delphi 7.0 package and unit files.
LIB\VCL\BUILDER5 | The LEADTOOLS VCL Builder 5.0 package, LIB and header files.
LIB\VCL\BUILDER6 | The LEADTOOLS VCL Builder 6.0 package, LIB and header files.


LEADTOOLS Documentation

LEADTOOLS Reference Manuals

LEADTOOLS provides reference manuals that contain the same information as the online help. You can print them from PDF files. Please note that due to the large size of the PDF files that contain the LEADTOOLS manuals, these files are no longer included in the setup. Instead, these PDF files can be downloaded from our website at http://support.leadtools.com/SupportPortal/DesktopDefault.aspx?tabindex=3&tabid=27.

To print the PDF files, you must use the Adobe Acrobat Reader 3.0 or higher. You can download a copy of the Acrobat Reader from the Adobe web site (http://www.adobe.com). Note that different versions of the Acrobat Reader are available for different operating systems, but they all can read the same PDF files.


Tutorial for C++ Builder Programmers

The following topics provide brief and simple examples to help you learn how to use the LEADTOOLS Common Dialogs VCL.

Note:

These tutorial examples are intended to be easy to understand and easy to test. The example programs in the EXAMPLES subdirectory provide more in depth design and more detailed code.

Miscellaneous Examples


Miscellaneous Examples (C++ Builder)

DialogsFont example for C++ Builder

Error (LEADDlgColor Control) example for C++ Builder

Error (LEADDlgEffect Control) example for C++ Builder

Error (LEADDlgFile Control) example for C++ Builder

Error (LEADDlgImage Control) example for C++ Builder

Error (LEADDlgImgDoc Control) example for C++ Builder

Error (LEADDlgImgEffect Control) example for C++ Builder

Error (LEADDlgWeb Control) example for C++ Builder

FileFormatsCount example for C++ Builder

FreeDialogs example for C++ Builder

InitDialogs example for C++ Builder

OnOpenFile example for C++ Builder

OptionsFileType example for C++ Builder

SaveQFactor example for C++ Builder

ShowAddBitmapsDlg example for C++ Builder

ShowAddBorderDlg example for C++ Builder

ShowAddFrameDlg example for C++ Builder

ShowAddNoiseDlg example for C++ Builder

ShowAntiAliasDlg example for C++ Builder

ShowAutoTrimDlg example for C++ Builder

ShowAverageDlg example for C++ Builder

ShowBalanceColorsDlg example for C++ Builder

ShowBendingDlg example for C++ Builder

ShowBorderRemoveDlg example for C++ Builder

ShowBrightnessDlg example for C++ Builder

ShowCanvasResizeDlg example for C++ Builder

ShowColorDlg example for C++ Builder

ShowColoredGrayDlg example for C++ Builder

ShowColorResDlg example for C++ Builder

ShowContourFilterDlg example for C++ Builder

ShowContrastDlg example for C++ Builder

ShowCustomizePaletteDlg example for C++ Builder

ShowCylindricalDlg example for C++ Builder

ShowDilationFilterDlg example for C++ Builder

ShowDotRemoveDlg example for C++ Builder

ShowEdgeDetectorDlg example for C++ Builder

ShowEmbossDlg example for C++ Builder

ShowErosionFilterDlg example for C++ Builder

ShowFileConversionDlg example for C++ Builder

ShowFilesAssociationDlg example for C++ Builder

ShowFreeHandShearDlg example for C++ Builder

ShowFreeHandWaveDlg example for C++ Builder

ShowGammaAdjustmentDlg example for C++ Builder

ShowGaussianBlurDlg example for C++ Builder

ShowGetDirectoryDlg example for C++ Builder

ShowGetEffectDlg example for C++ Builder

ShowGetGradientDlg example for C++ Builder

ShowGetShapeDlg example for C++ Builder

ShowGetTextDlg example for C++ Builder

ShowGetTransitionDlg example for C++ Builder

ShowGIFWebTunerDlg example for C++ Builder

ShowGradientFilterDlg example for C++ Builder

ShowGrayScaleDlg example for C++ Builder

ShowHalftoneDlg example for C++ Builder

ShowHistoContrastDlg example for C++ Builder

ShowHistogramDlg example for C++ Builder

ShowHolePunchRemoveDlg example for C++ Builder

ShowHTMLMapperDlg example for C++ Builder

ShowHueDlg example for C++ Builder

ShowImpressionistDlg example for C++ Builder

ShowIntensityDetectDlg example for C++ Builder

ShowInvertedTextDlg example for C++ Builder

ShowJPEGWebTunerDlg example for C++ Builder

ShowLaplacianFilterDlg example for C++ Builder

ShowLineRemoveDlg example for C++ Builder

ShowLineSegmentFilterDlg example for C++ Builder

ShowLocalHistoEqualizeDlg example for C++ Builder

ShowMaxFilterDlg example for C++ Builder

ShowMedianDlg example for C++ Builder

ShowMinFilterDlg example for C++ Builder

ShowMosaicDlg example for C++ Builder

ShowMotionBlurDlg example for C++ Builder

ShowMultiplyDlg example for C++ Builder

ShowOilifyDlg example for C++ Builder

ShowOpenDlg example for C++ Builder

ShowPicturizeDlg example for C++ Builder

ShowPixelateDlg example for C++ Builder

ShowPNGWebTunerDlg example for C++ Builder

ShowPolarDlg example for C++ Builder

ShowPosterizeDlg example for C++ Builder

ShowPrewittFilterDlg example for C++ Builder

ShowPrintPreviewDlg example for C++ Builder

ShowPrintStitchedImagesDlg example for C++ Builder

ShowPunchDlg example for C++ Builder

ShowRadialBlurDlg example for C++ Builder

ShowRadialWaveDlg example for C++ Builder

ShowRemapHueDlg example for C++ Builder

ShowRemapIntensityDlg example for C++ Builder

ShowRemoveRedeyeDlg example for C++ Builder

ShowResizeDlg example for C++ Builder

ShowRippleDlg example for C++ Builder

ShowRotateDlg example for C++ Builder

ShowSaturationDlg example for C++ Builder

ShowSaveDlg example for C++ Builder

ShowSharpenDlg example for C++ Builder

ShowShearDlg example for C++ Builder

ShowShiftDifferenceFilterDlg example for C++ Builder

ShowSmoothDlg example for C++ Builder

ShowSobelFilterDlg example for C++ Builder

ShowSolarizeDlg example for C++ Builder

ShowSpherizeDlg example for C++ Builder

ShowStitchDlg example for C++ Builder

ShowSwirlDlg example for C++ Builder

ShowUnderlayDlg example for C++ Builder

ShowUnsharpMaskDlg example for C++ Builder

ShowWaveDlg example for C++ Builder

ShowWindDlg example for C++ Builder

ShowWindowLevelDlg example for C++ Builder

ShowZoomBlurDlg example for C++ Builder

ShowZoomWaveDlg example for C++ Builder


DialogsFont example for C++ Builder

void __fastcall TForm1::ShowResizeDlg1Click(TObject *Sender)
{
AnsiString strCaption;

LEADDlgImage1->DlgFlags = DLG_RESIZE_SHOW_IDENTICALVALUE |
DLG_RESIZE_SHOW_MAINTAINASPECT |
DLG_RESIZE_SHOW_PERCENTAGE |
DLG_RESIZE_AUTOPROCESS |
DLG_RESIZE_SHOW_RESOLUTIONGRP;

LEADDlgImage1->LEADImage = LEADImage1;
LEADDlgImage1->LEADDlgService = LEADDlgService1;
strCaption= LEADDlgService1->GetDialogString ( DLG_RESIZE_IDSTR_CAPTION );
ShowMessage ( "Old Caption: " + strCaption );

/*set some custom strings*/
LEADDlgService1->SetDialogString ( DLG_RESIZE_IDSTR_CAPTION, "My Custom Caption" );
/*set a custom font, note, you should use a font on your system*/
LEADDlgService1->DialogsFont->Name= "Bones";
LEADDlgService1->DialogsFont->Size= 9;

LEADDlgImage1->ShowResizeDlg ( this );
}


Error (LEADDlgColor Control) example for C++ Builder

void __fastcall TForm1::Button1Click(TObject *Sender)
{
LEADDlgColor1->EnableMethodErrors = true;
try
{
LEADDlgColor1->ShowBalanceColorsDlg ( NULL );
}
catch (...)
{
ShowMessage("Calling ShowBalanceColorsDlg method failed\n Error No " + IntToStr(LEADDlgColor1->Error) + "\n" + LEADDlgColor1->ErrorMsg);
}
}


Error (LEADDlgEffect Control) example for C++ Builder

void __fastcall TForm1::Button1Click(TObject *Sender)
{
LEADDlgEffect1->EnableMethodErrors = true;
try
{
LEADDlgEffect1->ShowGetShapeDlg ( NULL );
}
catch (...)
{
ShowMessage("Calling ShowGetShapeDlg method failed\n Error No " + IntToStr(LEADDlgEffect1->Error) + "\n" + LEADDlgEffect1->ErrorMsg);
}
}


Error (LEADDlgFile Control) example for C++ Builder

void __fastcall TForm1::Button1Click(TObject *Sender)
{
LEADDlgFile1->EnableMethodErrors = true;
try
{
LEADDlgFile1->ShowOpenDlg ( NULL );
}
catch (...)
{
ShowMessage("Calling ShowOpenDlg method failed\n Error No " + IntToStr(LEADDlgFile1->Error) + "\n" + LEADDlgFile1->ErrorMsg);
}
}


Error (LEADDlgImage Control) example for C++ Builder

void __fastcall TForm1::Button1Click(TObject *Sender)
{
LEADDlgImage1->EnableMethodErrors = true;
try
{
LEADDlgImage1->ShowRotateDlg ( NULL );
}
catch (...)
{
ShowMessage("Calling ShowRotateDlg method failed\n Error No " + IntToStr(LEADDlgImage1->Error) + "\n" + LEADDlgImage1->ErrorMsg);
}
}


Error (LEADDlgImgDoc Control) example for C++ Builder

void __fastcall TForm1::Button1Click(TObject *Sender)
{
LEADDlgImgDoc1->EnableMethodErrors = true;
try
{
LEADDlgImgDoc1->ShowRemoveRedeyeDlg ( NULL );
}
catch (...)
{
ShowMessage("Calling ShowRemoveRedeyeDlg method failed\n Error No " + IntToStr(LEADDlgImgDoc1->Error) + "\n" + LEADDlgImgDoc1->ErrorMsg);
}
}


Error (LEADDlgImgEffect Control) example for C++ Builder

void __fastcall TForm1::Button1Click(TObject *Sender)
{
LEADDlgImgEffect1->EnableMethodErrors = true;
try
{
LEADDlgImgEffect1->ShowMotionBlurDlg ( NULL );
}
catch (...)
{
ShowMessage("Calling ShowMotionBlurDlg method failed\n Error No " + IntToStr(LEADDlgImgEffect1->Error) + "\n" + LEADDlgImgEffect1->ErrorMsg);
}
}


Error (LEADDlgWeb Control) example for C++ Builder

void __fastcall TForm1::Button1Click(TObject *Sender)
{
LEADDlgWeb1->EnableMethodErrors = true;
try
{
LEADDlgWeb1->ShowPNGWebTunerDlg ( NULL );
}
catch (...)
{
ShowMessage("Calling ShowPNGWebTunerDlg method failed\n Error No " + IntToStr(LEADDlgWeb1->Error) + "\n" + LEADDlgWeb1->ErrorMsg);
}
}


FileFormatsCount example for C++ Builder

void __fastcall TForm1::ShowSaveDlg3Click(TObject *Sender)
{
LEADDlgFile1->DialogTitle = "Save a File";
LEADDlgFile1->MaxFileSize = 0;
LEADDlgFile1->MaxFileTitleSize = 0;
LEADDlgFile1->DlgFileFlags = 0;
LEADDlgFile1->InitialDir = "C:\\";
LEADDlgFile1->FileFormatsCount = 2;

LEADDlgFile1->FileFormats[0]->Format = DLG_FF_SAVE_LEAD;
LEADDlgFile1->FileFormats[0]->BppCount = 1;
LEADDlgFile1->FileFormats[0]->FormatBpp [0]= 24;
LEADDlgFile1->FileFormats[0]->SubFormats [0]=
DLG_FF_SAVE_SUB_CMP_NONPROGRESSIVE |
DLG_FF_SAVE_SUB_CMP_PROGRESSIVE;

LEADDlgFile1->FileFormats[1]->Format = DLG_FF_SAVE_TIFF;
LEADDlgFile1->FileFormats[1]->BppCount = 1;
LEADDlgFile1->FileFormats[1]->FormatBpp [0]= 24;
LEADDlgFile1->FileFormats[1]->SubFormats [0]= DLG_FF_SAVE_SUB_TIFF1_CCITT |
DLG_FF_SAVE_SUB_TIFF1_CCITT_G3_1D |
DLG_FF_SAVE_SUB_TIFF1_CCITT_G3_2D |
DLG_FF_SAVE_SUB_TIFF1_CCITT_G4 |
DLG_FF_SAVE_SUB_TIFF1_UNCOMPRESSEDRGB |
DLG_FF_SAVE_SUB_TIFF1_RLERGB |
DLG_FF_SAVE_SUB_TIFF1_LZWRGB |
DLG_FF_SAVE_SUB_TIFF1_JBIG;

LEADDlgFile1->SaveFileTypeIndex = DLG_FF_SAVE_LEAD;
LEADDlgFile1->SaveSubTypeIndex = DLG_FF_SAVE_SUB_CMP_PROGRESSIVE;

LEADDlgFile1->DlgFlags = DLG_SAVE_AUTOPROCESS |
DLG_SAVE_SHOW_FILEOPTIONS_PROGRESSIVE |
DLG_SAVE_SHOW_FILEOPTIONS_MULTIPAGE |
DLG_SAVE_SHOW_FILEOPTIONS_STAMP |
DLG_SAVE_SHOW_FILEOPTIONS_QFACTOR |
DLG_SAVE_SHOW_FILEOPTIONS_J2KOPTIONS |
DLG_SAVE_SHOW_FILEOPTIONS_BASICJ2KOPTIONS;
LEADDlgFile1->LEADImage = LEADImage1;
LEADDlgFile1->ShowSaveDlg ( this );
}


FreeDialogs example for C++ Builder

void __fastcall TForm1::FormClose(TObject *Sender, TCloseAction &Action)
{
LEADDlgService1->FreeDialogs ( );
}


InitDialogs example for C++ Builder

void __fastcall TForm1::FormCreate(TObject *Sender)
{
L_INT nRet;

nRet= LEADDlgService1->InitDialogs ( DLG_INIT_COLOR );
if ( nRet == SUCCESS )
{
LEADImage1->Load ( "e:\\image1.cmp", 0, 1, 1 );
}
}


OnOpenFile example for C++ Builder

void __fastcall TForm1::ShowOpenDlg3Click(TObject *Sender)
{
LEADDlgFile1->DialogTitle = "LEADTOOLS Open dialog box";
LEADDlgFile1->InitialDir = "c:\\images";
LEADDlgFile1->DlgFileFlags = DLG_OPEN_ALLOWMULTI;
LEADDlgFile1->MaxFileSize = 0;
LEADDlgFile1->MaxFileTitleSize = 0;

LEADDlgFile1->DlgFlags = DLG_OPEN_SHOW_PROGRESSIVE |
DLG_OPEN_SHOW_MULTIPAGE |
DLG_OPEN_SHOW_LOADROTATED |
DLG_OPEN_SHOW_LOADCOMPRESSED |
DLG_OPEN_SHOW_FILEINFO |
DLG_OPEN_SHOW_PREVIEW |
DLG_OPEN_SHOW_DELPAGE |
DLG_OPEN_VIEWTOTALPAGES |
DLG_OPEN_LOADBITMAP |
DLG_OPEN_GENERATETHUMBNAIL;

LEADDlgFile1->LEADImage = LEADImage1;
LEADDlgFile1->ShowOpenDlg ( this );
}
//---------------------------------------------------------------------------

int __fastcall TForm1::LEADDlgFile1OpenFile(int nFilePercent,
int nTotalPercent)
{
Caption= LEADDlgFile1->FileName;
if ( nFilePercent == 100 )
{
LEADImage1->Bitmap= LEADDlgFile1->Bitmap;
LEADImage2->Bitmap= LEADDlgFile1->Thumbnail;
}
return SUCCESS;
}


OptionsFileType example for C++ Builder

void __fastcall TForm1::ShowOpenDlg2Click(TObject *Sender)
{
L_INT i;
L_INT nRet;

LEADDlgFile1->DialogTitle = "LEADTOOLS Open dialog box";
LEADDlgFile1->InitialDir = "c:\\images";
LEADDlgFile1->DlgFileFlags = 0;
LEADDlgFile1->PreviewEnabled = true;
LEADDlgFile1->ShowLoadOptions = true;
LEADDlgFile1->LoadRotated = false;
LEADDlgFile1->LoadCompressed = false;
LEADDlgFile1->LoadPasses = 0;
LEADDlgFile1->MaxFileSize = 0;
LEADDlgFile1->MaxFileTitleSize = 0;

LEADDlgFile1->DlgFlags = DLG_OPEN_SHOW_PROGRESSIVE |
DLG_OPEN_SHOW_MULTIPAGE |
DLG_OPEN_SHOW_LOADROTATED |
DLG_OPEN_SHOW_LOADCOMPRESSED |
DLG_OPEN_SHOW_FILEINFO |
DLG_OPEN_SHOW_PREVIEW |
DLG_OPEN_SHOW_DELPAGE |
DLG_OPEN_SHOW_PDFOPTIONS |
DLG_OPEN_SHOW_RASTEROPTIONS |
DLG_OPEN_SHOW_VECTOROPTIONS |
DLG_OPEN_SHOW_LOADOPTIONS |
DLG_OPEN_VIEWTOTALPAGES |
DLG_OPEN_LOADBITMAP |
DLG_OPEN_GENERATETHUMBNAIL;

LEADDlgFile1->LEADImage = LEADImage1;
nRet= LEADDlgFile1->ShowOpenDlg ( this );
if ( nRet == SUCCESS_DLG_OK )
{
switch ( LEADDlgFile1->OptionsFileType )
{
case FILE_PCD:
{
Edit1->Text= IntToStr ( LEADDlgFile1->PCDResolution );
}
break;

case FILE_RAS_PDF:
case FILE_RAS_PDF_G3_1D:
case FILE_RAS_PDF_G3_2D:
case FILE_RAS_PDF_G4:
case FILE_RAS_PDF_JPEG:
case FILE_RAS_PDF_JPEG_422:
case FILE_RAS_PDF_JPEG_411:
{
Edit1->Text= IntToStr ( LEADDlgFile1->PDFXResolution );
Edit2->Text= IntToStr ( LEADDlgFile1->PDFYResolution );
Edit3->Text= IntToStr ( LEADDlgFile1->PDFDisplayDepth );
Edit4->Text= IntToStr ( LEADDlgFile1->PDFTextAlpha );
Edit5->Text= IntToStr ( LEADDlgFile1->PDFGraphicsAlpha );
}
break;

case FILE_FPX:
case FILE_FPX_SINGLE_COLOR:
case FILE_FPX_JPEG:
case FILE_FPX_JPEG_QFACTOR:
case FILE_CMW:
case FILE_JBIG:
case FILE_JP2:
case FILE_J2K:
{
Edit1->Text= IntToStr ( LEADDlgFile1->RASTERMISCXResolution );
Edit2->Text= IntToStr ( LEADDlgFile1->RASTERMISCYResolution );
}
break;

case FILE_WMF:
case FILE_EMF:
{
Edit1->Text= IntToStr ( LEADDlgFile1->METAFILEXResolution );
Edit2->Text= IntToStr ( LEADDlgFile1->METAFILEYResolution );
}
break;

case FILE_DWF:
case FILE_CGM:
case FILE_CMX:
case FILE_PCL:
case FILE_VECTOR_DUMP:
case FILE_PCT:
case FILE_DRW:
case FILE_INTERGRAPH_VECTOR:
case FILE_GERBER:
case FILE_SHP:
case FILE_SVG:
case FILE_VWPG:
{
Edit1->Text= IntToStr ( LEADDlgFile1->VECTORMISCViewportWidth );
Edit2->Text= IntToStr ( LEADDlgFile1->VECTORMISCViewportHeight );
Edit3->Text= IntToStr ( LEADDlgFile1->VECTORMISCViewportMode );
Edit4->Text= LEADDlgFile1->VECTORMISCFont;
}
break;

case FILE_DXF:
case FILE_DXF_R13:
case FILE_DWG:
{
Edit1->Text= IntToStr ( LEADDlgFile1->DXFViewportWidth );
Edit2->Text= IntToStr ( LEADDlgFile1->DXFViewportHeight );
Edit3->Text= IntToStr ( LEADDlgFile1->DXFViewportMode );
Edit4->Text= LEADDlgFile1->DXFFont;
Edit5->Text= IntToStr ( LEADDlgFile1->DXFAutoCADColorScheme );
}
break;

case FILE_PLT:
{
Edit1->Text= IntToStr ( LEADDlgFile1->PLTViewportWidth );
Edit2->Text= IntToStr ( LEADDlgFile1->PLTViewportHeight );
Edit3->Text= IntToStr ( LEADDlgFile1->PLTViewportMode );
Edit4->Text= LEADDlgFile1->PLTFont;
Edit5->Text= "[ " + IntToStr ( LEADDlgFile1->PLTPenWidth [0] );
Edit6->Text= "[ " + IntToStr ( LEADDlgFile1->PLTPenColor [0] );
for ( i= 1; i < 8; i ++ )
{
Edit5->Text= Edit5->Text + ", " + IntToStr ( LEADDlgFile1->PLTPenWidth [i] );
Edit6->Text= Edit6->Text + ", " + IntToStr ( LEADDlgFile1->PLTPenColor [i] );
}
Edit5->Text= Edit5->Text + " ]";
Edit6->Text= Edit6->Text + " ]";
}
break;

default:
{
Edit1->Text= "None";
}
break;
}
}
}


SaveJBIG2SaveFlags example for C++ Builder

void __fastcall TForm1::Button1Click(TObject * Sender)
{
int nRet;

LEADDlgFile1->DlgFlags = LEADDlgFile1->DlgFlags + DLG_SAVE_SHOW_FILEOPTIONS_JBIG2OPTIONS;

nRet= LEADDlgFile1->ShowSaveDlg(this);
if(nRet == SUCCESS_DLG_OK)
{
LEADImage1->JBIG2SaveFlags
  = LEADDlgFile1->SaveJBIG2SaveFlags;
LEADImage1->JBIG2TemplateType
  = LEADDlgFile1->SaveJBIG2TemplateType;
LEADImage1->JBIG2GBATX1
  = LEADDlgFile1->SaveJBIG2GBATX1;
LEADImage1->JBIG2GBATY1
  = LEADDlgFile1->SaveJBIG2GBATY1;
LEADImage1->JBIG2GBATX2
  = LEADDlgFile1->SaveJBIG2GBATX2;
LEADImage1->JBIG2GBATY2
  = LEADDlgFile1->SaveJBIG2GBATY2;
LEADImage1->JBIG2GBATX3
  = LEADDlgFile1->SaveJBIG2GBATX3;
LEADImage1->JBIG2GBATY3
  = LEADDlgFile1->SaveJBIG2GBATY3;
LEADImage1->JBIG2GBATX4
  = LEADDlgFile1->SaveJBIG2GBATX4;
LEADImage1->JBIG2GBATY4
  = LEADDlgFile1->SaveJBIG2GBATY4;

LEADImage1->Save
 (LEADDlgFile1->FileName,

LEADDlgFile1->SaveFormat,
LEADDlgFile1->SaveBitsPerPixel,
LEADDlgFile1->SaveQFactor,
LEADDlgFile1->SaveMulti);
}
}


SaveQFactor example for C++ Builder

void __fastcall TForm1::ShowSaveDlg2Click(TObject *Sender)
{
L_INT nRet;

LEADDlgFile1->DialogTitle = "Save a File";
LEADDlgFile1->MaxFileSize = 0;
LEADDlgFile1->MaxFileTitleSize = 0;
LEADDlgFile1->DlgFileFlags = 0;
LEADDlgFile1->InitialDir = "C:\\";
LEADDlgFile1->SaveMulti = MULTIPAGE_OPERATION_OVERWRITE;
LEADDlgFile1->DlgFlags = DLG_SAVE_SHOW_FILEOPTIONS_PROGRESSIVE +
DLG_SAVE_SHOW_FILEOPTIONS_MULTIPAGE +
DLG_SAVE_SHOW_FILEOPTIONS_STAMP +
DLG_SAVE_SHOW_FILEOPTIONS_QFACTOR +
DLG_SAVE_SHOW_FILEOPTIONS_J2KOPTIONS +
DLG_SAVE_SHOW_FILEOPTIONS_BASICJ2KOPTIONS;
LEADDlgFile1->LEADImage = LEADImage1;
nRet= LEADDlgFile1->ShowSaveDlg ( this );
if ( nRet == SUCCESS_DLG_OK )
{
if ( (LEADDlgFile1->SaveFormat == FILE_J2K) ||
(LEADDlgFile1->SaveFormat == FILE_JP2) )
{
LEADImage1->J2KUseColorTransform= LEADDlgFile1->SaveJ2KUseColorTransform;
LEADImage1->J2KDerivedQuantization= LEADDlgFile1->SaveJ2KDerivedQuantization;
LEADImage1->J2KCompressionControl= LEADDlgFile1->SaveJ2KCompressionControl;
LEADImage1->J2KCompressionRatio= LEADDlgFile1->SaveJ2KCompressionRatio;
LEADImage1->J2KTargetFileSize= LEADDlgFile1->SaveJ2KTargetFileSize;
LEADImage1->J2KXOsiz= LEADDlgFile1->SaveJ2KXOsiz;
LEADImage1->J2KYOsiz= LEADDlgFile1->SaveJ2KYOsiz;
LEADImage1->J2KXTsiz= LEADDlgFile1->SaveJ2KXTsiz;
LEADImage1->J2KYTsiz= LEADDlgFile1->SaveJ2KYTsiz;
LEADImage1->J2KXTOsiz= LEADDlgFile1->SaveJ2KXTOsiz;
LEADImage1->J2KYTOsiz= LEADDlgFile1->SaveJ2KYTOsiz;
LEADImage1->J2KDecompLevel= LEADDlgFile1->SaveJ2KDecompLevel;
LEADImage1->J2KProgressOrder= LEADDlgFile1->SaveJ2KProgressOrder;
LEADImage1->J2KCodBlockWidth= LEADDlgFile1->SaveJ2KCodBlockWidth;
LEADImage1->J2KCodBlockHeight= LEADDlgFile1->SaveJ2KCodBlockHeight;
LEADImage1->J2KCBS_SelectiveACBypass= LEADDlgFile1->SaveJ2KCBS_SelectiveACBypass;
LEADImage1->J2KCBS_ResetContextOnBoundaries= LEADDlgFile1->SaveJ2KCBS_ResetContextOnBoundaries;
LEADImage1->J2KCBS_TerminationOnEachPass= LEADDlgFile1->SaveJ2KCBS_TerminationOnEachPass;
LEADImage1->J2KCBS_VerticallyCausalContext= LEADDlgFile1->SaveJ2KCBS_VerticallyCausalContext;
LEADImage1->J2KCBS_PredictableTermination= LEADDlgFile1->SaveJ2KCBS_PredictableTermination;
LEADImage1->J2KCBS_ErrorResilienceSymbol= LEADDlgFile1->SaveJ2KCBS_ErrorResilienceSymbol;
LEADImage1->J2KGuardBits= LEADDlgFile1->SaveJ2KGuardBits;
LEADImage1->J2KDerivedBaseMantissa= LEADDlgFile1->SaveJ2KDerivedBaseMantissa;
LEADImage1->J2KDerivedBaseExponent= LEADDlgFile1->SaveJ2KDerivedBaseExponent;
LEADImage1->J2KUseSOPMarker= LEADDlgFile1->SaveJ2KUseSOPMarker;
LEADImage1->J2KUseEPHMarker= LEADDlgFile1->SaveJ2KUseEPHMarker;

LEADImage1->Save (LEADDlgFile1->FileName,
LEADDlgFile1->SaveFormat,
LEADDlgFile1->SaveBitsPerPixel,
LEADDlgFile1->SaveQFactor,
LEADDlgFile1->SaveMulti );
}
}
}


ShowAddBitmapsDlg example for C++ Builder

void __fastcall TForm1::ShowAddBitmapsDlg1Click(TObject *Sender)
{
L_INT i;
L_INT nRet;
AnsiString FileNames[3]= { "e:\\image1.jpg", "e:\\image2.jpg", "e:\\image3.jpg" };

LEADImage1->EnableMethodErrors = False;
LEADDlgImgEffect1->ItemsCount = 3;

LEADImage2->Load ( FileNames[0], 0, 1, 1 );
LEADDlgImgEffect1->ItemDescription [0]= IntToStr(0);
LEADDlgImgEffect1->ItemFileName [0]= FileNames[0];
LEADDlgImgEffect1->ItemBitmap[0]= LEADImage2->Bitmap;
for ( i= 0; i < 3; i ++ )
{
LEADImage2->LoadStamp ( FileNames[i] );
LEADDlgImgEffect1->ItemDescription [i]= IntToStr(i);
LEADDlgImgEffect1->ItemFileName [i]= FileNames[i];
LEADDlgImgEffect1->ItemBitmap[i]= LEADImage2->Bitmap;
}

LEADDlgImgEffect1->DlgFlags = DLG_ADDBITMAPS_SHOW_PREVIEW |
DLG_ADDBITMAPS_SHOW_TOOL_ZOOMLEVEL;

LEADDlgImgEffect1->LEADImage = LEADImage1;
nRet= LEADDlgImgEffect1->ShowAddBitmapsDlg ( this );
if ( nRet == SUCCESS_DLG_OK )
{
if ( LEADDlgImgEffect1->SelectedBitmapList != NULL )
LEADImage1->BitmapList= LEADDlgImgEffect1->SelectedBitmapList;
}
}


ShowAddBorderDlg example for C++ Builder

void __fastcall TForm1::ShowAddBorderSlg1Click(TObject *Sender)
{
L_INT i;
L_INT nRet;
AnsiString FileNames [ 3 ]= { "e:\\image1.jpg",
"e:\\image2.jpg",
"e:\\image3.jpg" };

LEADDlgImage1->ItemsCount = 3;

for ( i= 0; i < 3; i++ )
{
LEADImage2->LoadStamp ( FileNames[i] );
LEADDlgImage1->ItemDescription [i]= IntToStr(i);
LEADDlgImage1->ItemFileName [i]= FileNames[i];
LEADDlgImage1->ItemBitmap [i]= LEADImage2->Bitmap;
}

LEADDlgImage1->BitmapIndex = 1;

LEADDlgImage1->DlgFlags = DLG_ADDBORDER_SHOW_PREVIEW |
DLG_ADDBORDER_SHOW_TOOL_ZOOMLEVEL |
DLG_ADDBORDER_SHOW_TOOL_SHOWEFFECT |
DLG_ADDBORDER_SHOW_TOOL_ONSCREEN |
DLG_ADDBORDER_SHOW_TOOL_RESET;
LEADDlgImage1->LEADImage = LEADImage1;
nRet= LEADDlgImage1->ShowAddBorderDlg ( this );
if ( nRet == SUCCESS_DLG_OK )
{
LEADImage1->AddBorder ( LEADDlgImage1->LeftThickness,
LEADDlgImage1->TopThickness,

LEADDlgImage1->RightThickness,
LEADDlgImage1->BottomThickness,
LEADDlgImage1->Location,
LEADDlgImage1->BorderStyle,
LEADDlgImage1->EffectStyle,
LEADDlgImage1->SelectedBitmap,
LEADDlgImage1->GradientStyle,
LEADDlgImage1->GradientStartColor,
LEADDlgImage1->GradientEndColor,
LEADDlgImage1->CurveIntensity,
LEADDlgImage1->SoftCurve,
LEADDlgImage1->UseShadow,
LEADDlgImage1->ShadowSize,
LEADDlgImage1->ShadowDirection,
LEADDlgImage1->BumpyShadow );
}
}


ShowAddFrameDlg example for C++ Builder

void __fastcall TForm1::ShowAddFrameDlg1Click(TObject *Sender)
{
L_INT i;
L_INT nRet;
AnsiString FileNames [ 3 ]= {"e:\\image1.jpg",
"e:\\image2.jpg",
"e:\\image3.jpg" };

LEADDlgImage1->ItemsCount = 3;

for ( i= 0; i < 3; i++ )
{
LEADImage2->LoadStamp ( FileNames[i] );
LEADDlgImage1->ItemDescription [i]= IntToStr(i);
LEADDlgImage1->ItemFileName [i]= FileNames[i];
LEADDlgImage1->ItemBitmap [i]= LEADImage2->Bitmap;
}

LEADDlgImage1->BitmapIndex = 1;

LEADDlgImage1->DlgFlags = DLG_ADDFRAME_AUTOPROCESS |
DLG_ADDFRAME_SHOW_PREVIEW |
DLG_ADDFRAME_SHOW_TOOL_ZOOMLEVEL |
DLG_ADDFRAME_SHOW_TOOL_SHOWEFFECT |
DLG_ADDFRAME_SHOW_TOOL_ONSCREEN |
DLG_ADDFRAME_SHOW_TOOL_RESET;

LEADDlgImage1->LEADImage = LEADImage1;
nRet= LEADDlgImage1->ShowAddFrameDlg ( this );
if ( nRet == SUCCESS_DLG_OK )
{
LEADImage1->AddFrame ( LEADDlgImage1->SelectedBitmap,
LEADDlgImage1->KeepFrameState,
LEADDlgImage1->UseMask,
LEADDlgImage1->MaskColor,
LEADDlgImage1->SmoothEdge,
LEADDlgImage1->Location,
LEADDlgImage1->Quality );
}
}


ShowAddNoiseDlg example for C++ Builder

void __fastcall TForm1::ShowAddNoiseDlg1Click(TObject *Sender)
{
L_INT nRet;
LEADDlgImgEffect1->Channel = CHANNEL_MASTER;
LEADDlgImgEffect1->DlgFlags = DLG_ADDNOISE_SHOW_PREVIEW |
DLG_ADDNOISE_SHOW_TOOL_ZOOMLEVEL;

LEADDlgImgEffect1->LEADImage = LEADImage1;

nRet= LEADDlgImgEffect1->ShowAddNoiseDlg ( this );
if ( nRet == SUCCESS_DLG_OK )
{
LEADImage1->AddNoise ( LEADDlgImgEffect1->Range,
LEADDlgImgEffect1->Channel );
}
}


ShowAntiAliasDlg example for C++ Builder

void __fastcall TForm1::ShowAntiAliasDlg1Click(TObject *Sender)
{
L_INT nRet;
LEADDlgImgEffect1->DlgFlags = DLG_ANTIALIAS_SHOW_PREVIEW |
DLG_ANTIALIAS_SHOW_TOOL_ZOOMLEVEL;

LEADDlgImgEffect1->LEADImage = LEADImage1;

nRet= LEADDlgImgEffect1->ShowAntiAliasDlg ( this );
if ( nRet == SUCCESS_DLG_OK )
{
LEADImage1->AntiAlias ( LEADDlgImgEffect1->Threshold,
LEADDlgImgEffect1->Dimension,
LEADDlgImgEffect1->AntiAliasFilterType );

}
}


ShowAutoTrimDlg example for C++ Builder

void __fastcall TForm1::ShowAutoTrimDlg1Click(TObject *Sender)
{
L_INT nRet;

LEADDlgImage1->DlgFlags = DLG_AUTOTRIM_AUTOPROCESS |
DLG_AUTOTRIM_SHOW_PREVIEW;

LEADDlgImage1->LEADImage = LEADImage1;
LEADDlgImage1->LEADDlgService = LEADDlgService1;

nRet= LEADDlgImage1->ShowAutoTrimDlg ( this );
if ( nRet == SUCCESS_DLG_OK )
{
LEADImage1->AutoTrim ( LEADDlgImage1->Threshold );
}
}


ShowAverageDlg example for C++ Builder

void __fastcall TForm1::ShowAverageDlg1Click(TObject *Sender)
{
L_INT nRet;
LEADDlgImgEffect1->DlgFlags = DLG_AVERAGE_SHOW_PREVIEW |
DLG_AVERAGE_SHOW_TOOL_ZOOMLEVEL;

LEADDlgImgEffect1->LEADImage = LEADImage1;
nRet= LEADDlgImgEffect1->ShowAverageDlg ( this );
if ( nRet == SUCCESS_DLG_OK )
{
LEADImage1->Average (LEADDlgImgEffect1->Dimension );
}
}


ShowBalanceColorsDlg example for C++ Builder

void __fastcall TForm1::ShowBalanceColorsDlg1Click(TObject *Sender)
{
L_INT nRet;

LEADDlgColor1->DlgFlags = DLG_BALANCECOLORS_SHOW_PREVIEW |
DLG_BALANCECOLORS_SHOW_TOOL_ZOOMLEVEL;

LEADDlgColor1->LEADImage = LEADImage1;
LEADDlgColor1->LEADDlgService = LEADDlgService1;
LEADDlgColor1->EnableMethodErrors = false;
LEADDlgColor1->ShowHelpButton = true;

nRet= LEADDlgColor1->ShowBalanceColorsDlg ( this );
if ( nRet == SUCCESS_DLG_OK )
{
LEADImage1->BalanceColors ( LEADDlgColor1->BalanceRedFactor,
LEADDlgColor1->BalanceGreenFactor,
LEADDlgColor1->BalanceBlueFactor );
}
}
void __fastcall TForm1::LEADDlgColor1DlgHelp(DWORD uDialogID)
{
switch ( uDialogID )
{
case DLG_HELP_BALANCECOLORS:
ShowMessage( "Help from BalanceColors dialog" );
break;

case DLG_HELP_COLOREDGRAY:
ShowMessage( "Help from ColoredGray dialog" );
break;

case DLG_HELP_GRAYSCALE:
ShowMessage( "Help from GrayScale dialog" );
break;

case DLG_HELP_REMAPINTENSITY:
ShowMessage( "Help from RemapIntensity dialog" );
break;

case DLG_HELP_REMAPHUE:
ShowMessage( "Help from RemapHue dialog" );
break;

case DLG_HELP_CUSTOMIZEPALETTE:
ShowMessage( "Help from CustomizePalette dialog" );
break;

case DLG_HELP_LOCALHISTOEQUALIZE:
ShowMessage( "Help from LocalHistoEqualize dialog" );
break;

case DLG_HELP_INTENSITYDETECT:
ShowMessage( "Help from IntensityDetect dialog" );
break;

case DLG_HELP_SOLARIZE:
ShowMessage( "Help from Solarize dialog" );
break;

case DLG_HELP_POSTERIZE:
ShowMessage( "Help from Posterize dialog" );
break;

case DLG_HELP_BRIGHTNESS:
ShowMessage( "Help from Brightness dialog" );
break;

case DLG_HELP_CONTRAST:
ShowMessage( "Help from Contrast dialog" );
break;

case DLG_HELP_HUE:
ShowMessage( "Help from Hue dialog" );
break;

case DLG_HELP_SATURATION:
ShowMessage( "Help from Saturation dialog" );
break;

case DLG_HELP_GAMMAADJUSTMENT:
ShowMessage( "Help from GammaAdjustment dialog" );
break;

case DLG_HELP_HALFTONE:
ShowMessage( "Help from Halftone dialog" );
break;

case DLG_HELP_COLORRES:
ShowMessage( "Help from ColorRes dialog" );
break;

case DLG_HELP_HISTOCONTRAST:
ShowMessage( "Help from HistoContrast dialog" );
break;

case DLG_HELP_WINDOWLEVEL:
ShowMessage( "Help from WindowLevel dialog" );
break;

case DLG_HELP_COLOR:
ShowMessage( "Help from Color dialog" );
break;
}
}


ShowBendingDlg example for C++ Builder

void __fastcall TForm1::ShowBendingDlg1Click(TObject *Sender)
{
L_INT nRet;
LEADDlgImgEffect1->DlgFlags = DLG_BENDING_SHOW_PREVIEW |
DLG_BENDING_SHOW_TOOL_ZOOMLEVEL;

LEADDlgImgEffect1->LEADImage = LEADImage1;

nRet= LEADDlgImgEffect1->ShowBendingDlg ( this );
if ( nRet == SUCCESS_DLG_OK )
{
LEADImage1->Bending (LEADDlgImgEffect1->Value,
LEADDlgImgEffect1->CenterPoint,
LEADDlgImgEffect1->FillColor,
LEADDlgImgEffect1->BendingFlags );
}
}


ShowBorderRemoveDlg example for C++ Builder

void __fastcall TForm1::ShowBorderRemoveDlg1Click(TObject *Sender)
{
LEADDlgImgDoc1->WhiteNoiseLength =93;
LEADDlgImgDoc1->BorderPercent = 20;
LEADDlgImgDoc1->Variance = 3;
LEADDlgImgDoc1->BorderToRemove = BORDER_LEFT;
LEADDlgImgDoc1->ProcessFlags = BORDER_USE_VARIANCE;
LEADDlgImgDoc1->DlgFlags = DLG_BORDERREMOVE_AUTOPROCESS |
DLG_BORDERREMOVE_SHOW_PREVIEW |
DLG_BORDERREMOVE_SHOW_TOOL_ZOOMLEVEL;

LEADDlgImgDoc1->LEADImage= LEADImage1;
LEADDlgImgDoc1->ShowBorderRemoveDlg ( this );
}


ShowBrightnessDlg example for C++ Builder

void __fastcall TForm1::ShowBrightnessDlg1Click(TObject *Sender)
{
L_INT nRet;
LEADDlgColor1->DlgFlags = DLG_BRIGHTNESS_SHOW_PREVIEW |
DLG_BRIGHTNESS_SHOW_TOOL_ZOOMLEVEL;
LEADDlgColor1->LEADImage = LEADImage1;
LEADDlgColor1->LEADDlgService = LEADDlgService1;
nRet= LEADDlgColor1->ShowBrightnessDlg ( this );
if ( nRet == SUCCESS_DLG_OK )
{
LEADImage1->Intensity ( LEADDlgColor1->Change );
}
}


ShowCanvasResizeDlg example for C++ Builder

void __fastcall TForm1::ShowCanvasResizeDlg1Click(TObject *Sender)
{
L_INT nRet;

LEADDlgImage1->CurrentWidth = LEADImage1->BitmapWidth;
LEADDlgImage1->CurrentHeight = LEADImage1->BitmapHeight;
LEADDlgImage1->BackgroundColor = RGB ( 255, 255, 255 );

LEADDlgImage1->DlgFlags = DLG_CANVASRESIZE_SHOW_CURRENT_HEIGHT |
DLG_CANVASRESIZE_SHOW_CURRENT_WIDTH |
DLG_CANVASRESIZE_SHOW_HORIZPOS |
DLG_CANVASRESIZE_SHOW_VIRTZPOS |
DLG_CANVASRESIZE_SHOW_BACKCOLOR |
DLG_CANVASRESIZE_SHOW_KEEPASPECT;

LEADDlgImage1->LEADImage = LEADImage1;
LEADDlgImage1->LEADDlgService = LEADDlgService1;

nRet= LEADDlgImage1->ShowCanvasResizeDlg ( this );
if ( nRet == SUCCESS_DLG_OK )
{
LEADImage2->CreateBitmap ( LEADDlgImage1->NewWidth,
LEADDlgImage1->NewHeight,
LEADImage1->BitmapBits );

LEADImage2->Combine ( LEADDlgImage1->TopLeftPoint.x,
LEADDlgImage1->TopLeftPoint.y,
LEADImage1->BitmapWidth,
LEADImage1->BitmapHeight,
LEADImage1->Bitmap,
0,
0,
CB_OP_AND | CB_DST_1 );

LEADImage1->Bitmap= LEADImage2->Bitmap;
}
}


ShowColorDlg example for C++ Builder

void __fastcall TForm1::ShowColorDlg1Click(TObject *Sender)
{
L_INT nRet;
LEADDlgColor1->DlgFlags = DLG_COLOR_SHOW_OLDCOLOR |
DLG_COLOR_SHOW_NEWCOLOR |
DLG_COLOR_SHOW_NAME |
DLG_COLOR_COLORSPACE_SHOW_HUE |
DLG_COLOR_COLORSPACE_SHOW_BRIGHTNESS |
DLG_COLOR_COLORSPACE_SHOW_WHEEL |
DLG_COLOR_COLORSPACE_SHOW_RGB |
DLG_COLOR_COLORSPACE_SHOW_CMY |
DLG_COLOR_COLORSPACE_SHOW_CMYK |
DLG_COLOR_COLORSPACE_SHOW_LAB |
DLG_COLOR_COLORMODEL_SHOW_RGB |
DLG_COLOR_COLORMODEL_SHOW_HSB |
DLG_COLOR_COLORMODEL_SHOW_HLS |
DLG_COLOR_COLORMODEL_SHOW_CMY |
DLG_COLOR_COLORMODEL_SHOW_CMYK |
DLG_COLOR_COLORMODEL_SHOW_LAB;

LEADDlgColor1->SelectedColor = RGB ( 255, 255, 255 );
LEADDlgColor1->LEADImage = LEADImage1;
LEADDlgColor1->LEADDlgService = LEADDlgService1;
nRet= LEADDlgColor1->ShowColorDlg ( this );
if ( nRet == SUCCESS_DLG_OK )
{
LEADImage1->Fill ( LEADDlgColor1->SelectedColor );
}
}


ShowColoredGrayDlg example for C++ Builder

void __fastcall TForm1::ShowColoredGrayDlg1Click(TObject *Sender)
{
L_INT nRet;

LEADDlgColor1->RedFactor = 400;
LEADDlgColor1->GreenFactor = 300;
LEADDlgColor1->BlueFactor = 300;
LEADDlgColor1->RedGrayFactor = 400;
LEADDlgColor1->GreenGrayFactor = 300;
LEADDlgColor1->BlueGrayFactor = 300;

LEADDlgColor1->DlgFlags = DLG_COLOREDGRAY_SHOW_PREVIEW |
DLG_COLOREDGRAY_SHOW_TOOL_ZOOMLEVEL;

LEADDlgColor1->LEADImage = LEADImage1;
LEADDlgColor1->LEADDlgService = LEADDlgService1;
LEADDlgColor1->ShowColoredGrayDlg ( this );
if ( nRet == SUCCESS_DLG_OK )
{
Edit1->Text= IntToStr ( LEADDlgColor1->RedFactor );
Edit2->Text= IntToStr ( LEADDlgColor1->GreenFactor );
Edit3->Text= IntToStr ( LEADDlgColor1->BlueFactor );
Edit4->Text= IntToStr ( LEADDlgColor1->RedGrayFactor );
Edit5->Text= IntToStr ( LEADDlgColor1->GreenGrayFactor );
Edit6->Text= IntToStr ( LEADDlgColor1->BlueGrayFactor );
}
}


ShowColorResDlg example for C++ Builder

void __fastcall TForm1::ShowColorResDlg1Click(TObject *Sender)
{
L_INT nRet;
LEADDlgColor1->DlgFlagsEx = DLG_COLORRES_SHOW_BITALL |
DLG_COLORRES_SHOW_DITHER_ALL |
DLG_COLORRES_SHOW_PAL_ALL;

LEADDlgColor1->DlgFlags = DLG_COLORRES_SHOW_PREVIEW |
DLG_COLORRES_SHOW_OPENPALFILE |
DLG_COLORRES_SHOW_ORDER |
DLG_COLORRES_SHOW_TOOL_ZOOMLEVEL;

LEADDlgColor1->LEADImage = LEADImage1;
LEADDlgColor1->LEADDlgService = LEADDlgService1;

nRet= LEADDlgColor1->ShowColorResDlg ( this );
if ( nRet == SUCCESS_DLG_OK )
{
LEADImage1->ColorRes ( LEADDlgColor1->BitsPerPixel,
LEADDlgColor1->PaletteFlags,
LEADDlgColor1->DitherFlags,
0 );
}
}


ShowContourFilterDlg example for C++ Builder

void __fastcall TForm1::ShowContourFilterDlg1Click(TObject *Sender)
{
L_INT nRet;
LEADDlgImgEffect1->MaxError = 5;
LEADDlgImgEffect1->DeltaDirection = 5;
LEADDlgImgEffect1->Option = CONTOUR_LINK_COLOR;
LEADDlgImgEffect1->Threshold = 5;
LEADDlgImgEffect1->OptionFlags = DLG_CONTOURFILTER_SHOW_OPTION_ALL;
LEADDlgImgEffect1->DlgFlags = DLG_CONTOURFILTER_SHOW_PREVIEW |
DLG_CONTOURFILTER_SHOW_DELTADIRECTION |
DLG_CONTOURFILTER_SHOW_MAXIMUMERROR |
DLG_CONTOURFILTER_SHOW_OPTION |
DLG_CONTOURFILTER_SHOW_THRESHOLD |
DLG_CONTOURFILTER_SHOW_TOOL_ZOOMLEVEL;

LEADDlgImgEffect1->LEADImage = LEADImage1;

nRet= LEADDlgImgEffect1->ShowContourFilterDlg ( this );
if ( nRet == SUCCESS_DLG_OK )
{
LEADImage1->ContourFilter ( LEADDlgImgEffect1->Threshold,
LEADDlgImgEffect1->DeltaDirection,
LEADDlgImgEffect1->MaxError,
LEADDlgImgEffect1->Option );
}
}


ShowContrastDlg example for C++ Builder

void __fastcall TForm1::ShowContrastDlg1Click(TObject *Sender)
{
L_INT nRet;
LEADDlgColor1->DlgFlags = DLG_CONTRAST_SHOW_PREVIEW |
DLG_CONTRAST_SHOW_TOOL_ZOOMLEVEL;
LEADDlgColor1->LEADImage = LEADImage1;
LEADDlgColor1->LEADDlgService = LEADDlgService1;
nRet= LEADDlgColor1->ShowContrastDlg ( this );
if ( nRet == SUCCESS_DLG_OK )
{
LEADImage1->Contrast ( LEADDlgColor1->Change );
}
}


ShowCustomizePaletteDlg example for C++ Builder

void __fastcall TForm1::ShowCustomizePaletteDlg1Click(TObject *Sender)
{
L_INT i;
L_INT nRet;

LEADDlgColor1->UserPaletteColorsCount= 0;

LEADDlgColor1->DlgFlags = DLG_CUSTOMIZEPALETTE_SHOW_SORT |
DLG_CUSTOMIZEPALETTE_SHOW_FINDCLOSEST |
DLG_CUSTOMIZEPALETTE_SHOW_ADDOPTION |
DLG_CUSTOMIZEPALETTE_SHOW_REMOVEOPTION |
DLG_CUSTOMIZEPALETTE_SHOW_COLORMODEL |
DLG_CUSTOMIZEPALETTE_SHOW_RGBLEFTPAN |
DLG_CUSTOMIZEPALETTE_SHOW_HTMLLEFTPAN |
DLG_CUSTOMIZEPALETTE_SHOW_INDEXLEFTPAN |
DLG_CUSTOMIZEPALETTE_SHOW_RGBRIGHTPAN |
DLG_CUSTOMIZEPALETTE_SHOW_HTMLRIGHTPAN |
DLG_CUSTOMIZEPALETTE_SHOW_INDEXRIGHTPAN |
DLG_CUSTOMIZEPALETTE_SHOW_NEW |
DLG_CUSTOMIZEPALETTE_SHOW_OPEN |
DLG_CUSTOMIZEPALETTE_SHOW_SAVE |
DLG_CUSTOMIZEPALETTE_SHOW_SAVEAS |
DLG_CUSTOMIZEPALETTE_GENERATE_PALETTE;
LEADDlgColor1->LEADImage = LEADImage1;
LEADDlgColor1->LEADDlgService = LEADDlgService1;
nRet= LEADDlgColor1->ShowCustomizePaletteDlg ( this );
if ( nRet == SUCCESS_DLG_OK )
{
if ( LEADDlgColor1->ApplyPaletteWhenExit)
Edit1->Text= "True";
else
Edit1->Text= "False";

for ( i= 0; i < LEADDlgColor1->GeneratedPaletteColorsCount; i ++ )
{
LEADImage1->UserPaletteColors [i]= LEADDlgColor1->GeneratedPaletteColors [i];
}
}
}


ShowCylindricalDlg example for C++ Builder

void __fastcall TForm1::ShowCylindricalDlg1Click(TObject *Sender)
{
L_INT nRet;
LEADDlgImgEffect1->DlgFlags = DLG_CYLINDRICAL_SHOW_PREVIEW |
DLG_CYLINDRICAL_SHOW_TOOL_ZOOMLEVEL;

LEADDlgImgEffect1->LEADImage = LEADImage1;
nRet= LEADDlgImgEffect1->ShowCylindricalDlg ( this );
if ( nRet == SUCCESS_DLG_OK )
{
LEADImage1->Cylindrical (LEADDlgImgEffect1->Value,
LEADDlgImgEffect1->CylindricalType );
}
}


ShowDilationFilterDlg example for C++ Builder

void __fastcall TForm1::ShowDilationFilterDlg1Click(TObject *Sender)
{
L_INT nRet;
LEADDlgImgEffect1->BinaryFilterType = BFLT_DILATION_OMNI;
LEADDlgImgEffect1->DlgFlags = DLG_DILATIONFILTER_SHOW_PREVIEW |
DLG_DILATIONFILTER_SHOW_TOOL_ZOOMLEVEL;

LEADDlgImgEffect1->LEADImage = LEADImage1;

nRet= LEADDlgImgEffect1->ShowDilationFilterDlg ( this );
if ( nRet == SUCCESS_DLG_OK )
{
LEADImage1->BinaryFilter (LEADDlgImgEffect1->BinaryFilterType );
}
}


ShowDotRemoveDlg example for C++ Builder

void __fastcall TForm1::ShowDotRemoveDlg1Click(TObject *Sender)
{
LEADDlgImgDoc1->MinDotWidth = 6;
LEADDlgImgDoc1->MinDotHeight = 6;
LEADDlgImgDoc1->MaxDotWidth = 8;
LEADDlgImgDoc1->MaxDotHeight = 8;
LEADDlgImgDoc1->WhiteAreaColor = RGB ( 255, 0, 0 );
LEADDlgImgDoc1->BlackAreaColor = RGB ( 0, 0, 255 );
LEADDlgImgDoc1->ProcessFlags = DOT_USE_DIAGONALS |
DOT_USE_DPI;
LEADDlgImgDoc1->DlgFlags = DLG_DOTREMOVE_AUTOPROCESS |
DLG_DOTREMOVE_SHOW_PREVIEW |
DLG_DOTREMOVE_SHOW_TOOL_ZOOMLEVEL;

LEADDlgImgDoc1->LEADImage= LEADImage1;
LEADDlgImgDoc1->ShowDotRemoveDlg ( this );
}


ShowEdgeDetectorDlg example for C++ Builder

void __fastcall TForm1::ShowEdgeDetectorDlg1Click(TObject *Sender)
{
L_INT nRet;
LEADDlgImgEffect1->DlgFlags = DLG_EDGEDETECTOR_SHOW_PREVIEW |
DLG_EDGEDETECTOR_SHOW_TOOL_ZOOMLEVEL;

LEADDlgImgEffect1->LEADImage = LEADImage1;

nRet= LEADDlgImgEffect1->ShowEdgeDetectorDlg ( this );
if ( nRet == SUCCESS_DLG_OK )
{
LEADImage1->EdgeDetector (LEADDlgImgEffect1->Threshold,
LEADDlgImgEffect1->EdgeDetectionFilterType );
}
}


ShowEmbossDlg example for C++ Builder

void __fastcall TForm1::ShowEmbossDlg1Click(TObject *Sender)
{
L_INT nRet;
LEADDlgImgEffect1->Direction = EMBOSS_S;
LEADDlgImgEffect1->DlgFlags = DLG_EMBOSS_SHOW_PREVIEW |
DLG_EMBOSS_SHOW_TOOL_ZOOMLEVEL;

LEADDlgImgEffect1->LEADImage = LEADImage1;
LEADDlgImgEffect1->LEADDlgService = LEADDlgService1;

nRet= LEADDlgImgEffect1->ShowEmbossDlg ( this );
if ( nRet == SUCCESS_DLG_OK )
{
LEADImage1->Emboss ( LEADDlgImgEffect1->Direction,
LEADDlgImgEffect1->Depth );
}
}


ShowErosionFilterDlg example for C++ Builder

void __fastcall TForm1::ShowErosionFilterDlg1Click(TObject *Sender)
{
L_INT nRet;
LEADDlgImgEffect1->BinaryFilterType = BFLT_EROSION_HORZ;
LEADDlgImgEffect1->DlgFlags = DLG_EROSIONFILTER_SHOW_PREVIEW |
DLG_EROSIONFILTER_SHOW_TOOL_ZOOMLEVEL;

LEADDlgImgEffect1->LEADImage = LEADImage1;

nRet= LEADDlgImgEffect1->ShowErosionFilterDlg ( this );
if ( nRet == SUCCESS_DLG_OK )
{
LEADImage1->BinaryFilter ( LEADDlgImgEffect1->BinaryFilterType );
}
}


ShowFileConversionDlg example for C++ Builder

void __fastcall TForm1::ShowFileConversionDlgClick(TObject *Sender)
{
LEADDlgFile1->Overwrite = DLG_FILECONVERSION_OVERWRITE_SKIP;
LEADDlgFile1->FileFormatsCount = 0;
LEADDlgFile1->DestinationPath = "c:\\output";
LEADDlgFile1->UseLogReport = True;
LEADDlgFile1->RemoveSourceFile = False;
LEADDlgFile1->ShowFullPath = True;
LEADDlgFile1->UseOriginalFolder = True;
LEADDlgFile1->SourceFileList = "C:\images\Image1.jpg|C:\images\Image2.jpg|C:\images\Image3.jpg|C:\images\Image4.jpg|";
LEADDlgFile1->DlgFlags = DLG_FILECONVERSION_SHOW_PREVIEW |
DLG_FILECONVERSION_SHOW_LOADOPTIONS |
DLG_FILECONVERSION_SHOW_FILEINFO |
DLG_FILECONVERSION_SHOW_PREVIEW_PAGES |
DLG_FILECONVERSION_SHOW_RESIZE |
DLG_FILECONVERSION_SHOW_ROTATE |
DLG_FILECONVERSION_SHOW_NAMINGTEMPLATE |
DLG_FILECONVERSION_SHOW_OVERWRITE |
DLG_FILECONVERSION_SHOW_OVERWRITE_ALL |
DLG_FILECONVERSION_SHOW_ADD |
DLG_FILECONVERSION_SHOW_ADDFOLDER |
DLG_FILECONVERSION_SHOW_REMOVE |
DLG_FILECONVERSION_SHOW_SELECTALL |
DLG_FILECONVERSION_SHOW_DELETEORIGINAL;

LEADDlgFile1->ShowFileConversionDlg ( this );
}


ShowFilesAssociationDlg example for C++ Builder

L_INT TForm1::AssociateFiles ( AnsiString strServerAppName )
{
LEADDlgFile1->DlgFlags = 0;
LEADDlgFile1->Formats = "LEAD (*.cmp)|*.cmp|DICOM (*.dic)|*.dic|Windows Bitmap (*.bmp)|*.bmp";
LEADDlgFile1->SelectedExt = "";
LEADDlgFile1->ServerAppName = strServerAppName;

return LEADDlgFile1->ShowFilesAssociationDlg ( this );
}


ShowFreeHandShearDlg example for C++ Builder

void __fastcall TForm1::ShowFreeHandShearDlg1Click(TObject *Sender)
{
L_INT i;
L_INT nRet;
L_PINT pAmplitudes= NULL;

LEADDlgImgEffect1->DlgFlags = DLG_FREEHANDSHEAR_SHOW_PREVIEW |
DLG_FREEHANDSHEAR_SHOW_TOOL_ZOOMLEVEL;

LEADDlgImgEffect1->LEADImage = LEADImage1;

nRet= LEADDlgImgEffect1->ShowFreeHandShearDlg ( this );
if ( nRet == SUCCESS_DLG_OK )
{
pAmplitudes= (L_PINT)malloc ( LEADDlgImgEffect1->AmplitudesCount * sizeof(L_INT) );

for ( i= 0; i < (L_INT)LEADDlgImgEffect1->AmplitudesCount; i ++ )
{
pAmplitudes[i]= LEADDlgImgEffect1->Amplitudes [i];
}
LEADImage1->FreeHandShear ( pAmplitudes,
LEADDlgImgEffect1->AmplitudesCount,
LEADDlgImgEffect1->Scale,
LEADDlgImgEffect1->FillColor,
LEADDlgImgEffect1->FreeHandShearFlags );
if ( pAmplitudes )
free ( pAmplitudes );
}
}


ShowFreeHandWaveDlg example for C++ Builder

void __fastcall TForm1::ShowFreeHandWaveDlg1Click(TObject *Sender)
{
L_INT i;
L_INT nRet;
L_PINT pAmplitudes= NULL;
LEADDlgImgEffect1->Scale = 10;
LEADDlgImgEffect1->WaveLength = 5;
LEADDlgImgEffect1->FreeHandWaveFlags = FILL_CLR | DIS_FRQ;
LEADDlgImgEffect1->Angle = 4500;
LEADDlgImgEffect1->FillColor = RGB ( 200, 0, 0 );
LEADDlgImgEffect1->DlgFlags = DLG_FREEHANDWAVE_SHOW_PREVIEW |
DLG_FREEHANDWAVE_SHOW_TOOL_ZOOMLEVEL;

LEADDlgImgEffect1->LEADImage = LEADImage1;
nRet= LEADDlgImgEffect1->ShowFreeHandWaveDlg ( this );
if ( nRet == SUCCESS_DLG_OK )
{
pAmplitudes= (L_PINT) malloc ( LEADDlgImgEffect1->AmplitudesCount * sizeof(L_INT) );

for ( i= 0; i < (L_INT)LEADDlgImgEffect1->AmplitudesCount; i ++ )
{
pAmplitudes[i]= LEADDlgImgEffect1->Amplitudes [i];
}

LEADImage1->FreeHandWave ( pAmplitudes,
LEADDlgImgEffect1->AmplitudesCount,
LEADDlgImgEffect1->Scale,
LEADDlgImgEffect1->WaveLength,
LEADDlgImgEffect1->Angle,
LEADDlgImgEffect1->FillColor,
LEADDlgImgEffect1->FreeHandWaveFlags );
if ( pAmplitudes )
free ( pAmplitudes );
}
}


ShowGammaAdjustmentDlg example for C++ Builder

void __fastcall TForm1::ShowGammaAdjustmentDlg1Click(TObject *Sender)
{
L_INT nRet;
LEADDlgColor1->GammaRedValue = 50;
LEADDlgColor1->GammaGreenValue = 50;
LEADDlgColor1->GammaBlueValue = 50;
LEADDlgColor1->GammaAllChannels = true;
LEADDlgColor1->DlgFlags = DLG_GAMMAADJUSTMENT_SHOW_PREVIEW |
DLG_GAMMAADJUSTMENT_SHOW_TOOL_ZOOMLEVEL;
LEADDlgColor1->LEADImage = LEADImage1;
LEADDlgColor1->LEADDlgService = LEADDlgService1;
LEADDlgColor1->ShowGammaAdjustmentDlg ( this );
if ( nRet == SUCCESS_DLG_OK )
{
LEADImage1->GammaCorrect ( LEADDlgColor1->GammaRedValue );
}
}


ShowGaussianBlurDlg example for C++ Builder

void __fastcall TForm1::ShowGaussianBlurDlg1Click(TObject *Sender)
{
L_INT nRet;
LEADDlgImgEffect1->Radius = 5;
LEADDlgImgEffect1->DlgFlags = DLG_GAUSSIANBLUR_SHOW_PREVIEW |
DLG_GAUSSIANBLUR_SHOW_TOOL_ZOOMLEVEL;

LEADDlgImgEffect1->LEADImage = LEADImage1;

nRet= LEADDlgImgEffect1->ShowGaussianBlurDlg ( this );
if ( nRet == SUCCESS_DLG_OK )
{
LEADImage1->GaussianFilter ( LEADDlgImgEffect1->Radius );
}
}


ShowGetDirectoryDlg example for C++ Builder

void __fastcall TForm1::ShowGetDirectoryDlg1Click(TObject *Sender)
{
L_INT nRet;

LEADDlgFile1->Directory = "c:\\images\\";
LEADDlgFile1->Filter = "ALL|*.*|LEAD|*.cmp|JPEG|*.JPG";
LEADDlgFile1->FilterIndex = 1;
LEADDlgFile1->DialogTitle = "Select a Directory Please";

LEADDlgFile1->ShowHelpButton= true;
LEADDlgFile1->EnableMethodErrors = false;
LEADDlgFile1->LEADDlgService = LEADDlgService1;

nRet= LEADDlgFile1->ShowGetDirectoryDlg ( this );
if ( nRet == SUCCESS_DLG_OK )
{
ShowMessage ( LEADDlgFile1->Directory );
}
}
//---------------------------------------------------------------------------

void __fastcall TForm1::LEADDlgFile1DlgHelp (DWORD uDialogID)
{
switch ( uDialogID )
{
case DLG_HELP_GETDIRECTORY:
ShowMessage( "Help from GetDirectory dialog" );
break;

case DLG_HELP_FILESASSOCIATION:
ShowMessage( "Help from FilesAssociation dialog" );
break;

case DLG_HELP_OPEN:
ShowMessage( "Help from Open dialog" );
break;

case DLG_HELP_SAVE:
ShowMessage( "Help from Save dialog" );
break;

case DLG_HELP_FILECONVERSION:
ShowMessage( "Help from FileConversion dialog" );
break;

case DLG_HELP_PRINTPREVIEW:
ShowMessage( "Help from PrintPreview dialog" );
break;

case DLG_HELP_PRINTSTITCHEDIMAGES:
ShowMessage( "Help from PrintStitchedImages dialog" );
break;
}
}


ShowGetEffectDlg example for C++ Builder

void __fastcall TForm1::ShowGetEffectDlg1Click(TObject *Sender)
{
L_INT nRet;

LEADDlgEffect1->Effect = EFX_EFFECT_ROLL4_T_R_T_L;
LEADDlgEffect1->Grain = 5;
LEADDlgEffect1->Delay = 50;
LEADDlgEffect1->MaxPass = 1;
LEADDlgEffect1->Transparent = False;
LEADDlgEffect1->TransparentColor = RGB(0,0,0);
LEADDlgEffect1->WandThickness = 3;
LEADDlgEffect1->WandColor = RGB ( 255, 0, 0 );
LEADDlgEffect1->DlgFlags = DLG_EFFECT_SHOW_PREVIEW |
DLG_EFFECT_DELAY |
DLG_EFFECT_GRAIN |
DLG_EFFECT_PASSES |
DLG_EFFECT_TRANSPARENT |
DLG_EFFECT_WAND |
DLG_EFFECT_CLASS_WIPE |
DLG_EFFECT_CLASS_WIPERECT |
DLG_EFFECT_CLASS_WIPECIRCLE |
DLG_EFFECT_CLASS_PUSH |
DLG_EFFECT_CLASS_SLIDE |
DLG_EFFECT_CLASS_ROLL |
DLG_EFFECT_CLASS_ROTATE |
DLG_EFFECT_CLASS_ZOOM |
DLG_EFFECT_CLASS_DRIP |
DLG_EFFECT_CLASS_BLIND |
DLG_EFFECT_CLASS_RANDOM |
DLG_EFFECT_CLASS_CHECK |
DLG_EFFECT_CLASS_BLOCKS |
DLG_EFFECT_CLASS_CIRCLE |
DLG_EFFECT_CLASS_ELLIPSE;

LEADDlgEffect1->LEADImage = LEADImage1;
LEADDlgEffect1->LEADDlgService = LEADDlgService1;
nRet= LEADDlgEffect1->ShowGetEffectDlg ( this );
if ( nRet == SUCCESS_DLG_OK )
{
/*output the results*/
Edit1->Text= IntToStr ( LEADDlgEffect1->Effect );
Edit2->Text= IntToStr ( LEADDlgEffect1->Grain );
Edit3->Text= IntToStr ( LEADDlgEffect1->Delay);
Edit4->Text= IntToStr ( LEADDlgEffect1->MaxPass );
if ( LEADDlgEffect1->Transparent )
Edit5->Text= "Transparent True";
else
Edit5->Text= "Transparent False";
Edit6->Text= IntToStr ( LEADDlgEffect1->WandThickness );

Shape1->Brush->Color= (TColor)LEADDlgEffect1->TransparentColor;
Shape2->Brush->Color= (TColor)LEADDlgEffect1->WandColor;
}
}


ShowGetGradientDlg example for C++ Builder

void __fastcall TForm1::ShowGetGradientDlg1Click(TObject *Sender)
{
L_INT nRet;
LEADDlgEffect1->StartColor = RGB ( 0, 0, 255 );
LEADDlgEffect1->EndColor = RGB ( 255, 0, 0 );
LEADDlgEffect1->GradientStyle= EFX_GRADIENT_ANGLE_TO_RT;
LEADDlgEffect1->GradientSteps = 200;
LEADDlgEffect1->DlgFlags = DLG_GRADIENT_SHOW_PREVIEW |
DLG_GRADIENT_AUTOPREVIEW |
DLG_GRADIENT_STARTCOLOR |
DLG_GRADIENT_ENDCOLOR |
DLG_GRADIENT_STEPS |
DLG_GRADIENT_NO_TREEVIEW |
DLG_GRADIENT_CLASS_LINEAR |
DLG_GRADIENT_CLASS_ANGULAR |
DLG_GRADIENT_CLASS_RECTANGULAR |
DLG_GRADIENT_CLASS_ELLIPTICAL |
DLG_GRADIENT_CLASS_CONICAL;

LEADDlgEffect1->LEADImage = LEADImage1;
LEADDlgEffect1->LEADDlgService = LEADDlgService1;

nRet= LEADDlgEffect1->ShowGetGradientDlg ( this );

if ( nRet == SUCCESS_DLG_OK )
{
/*output the results*/
Edit1->Text= IntToStr ( LEADDlgEffect1->GradientStyle ); Edit2->Text= IntToStr ( LEADDlgEffect1->GradientSteps ); Shape1->Brush->Color= (TColor)LEADDlgEffect1->StartColor; Shape2->Brush->Color= (TColor)LEADDlgEffect1->EndColor; }
}


ShowGetShapeDlg example for C++ Builder

void __fastcall TForm1::ShowGetShapeDlg1Click(TObject *Sender)
{
int nRet;

LEADDlgEffect1->ShapeBackgroundBitmap = LEADImage2->Bitmap;
LEADDlgEffect1->Shape = EFX_SHAPE_PARALLELOGRAM_R;
LEADDlgEffect1->BackColor = RGB ( 0, 0, 255 );
LEADDlgEffect1->ShapeBackgroundStyle = sbsOpaque;
LEADDlgEffect1->ForeColor = RGB ( 255, 0, 0 );
LEADDlgEffect1->PatternStyle = epsTransparent;
LEADDlgEffect1->ShapeBorderColor = RGB ( 100, 255, 100 );
LEADDlgEffect1->ShapeBorderStyle = sbrSolid;
LEADDlgEffect1->ShapeBorderThickness = 5;
LEADDlgEffect1->ShapeInnerBandHiliteColor = RGB ( 255, 255, 255 );
LEADDlgEffect1->ShapeInnerBandShadowColor = RGB ( 0, 0, 0 );
LEADDlgEffect1->ShapeInnerBandStyle = sibInset;
LEADDlgEffect1->ShapeInnerBandThickness = 3;
LEADDlgEffect1->ShapeOuterBandHiliteColor = RGB ( 255, 255, 0 );
LEADDlgEffect1->ShapeOuterBandShadowColor = RGB ( 255, 0, 255 );
LEADDlgEffect1->ShapeOuterBandStyle = sobInset;
LEADDlgEffect1->ShapeOuterBandThickness = 5;
LEADDlgEffect1->ShadowXDepth = 10;
LEADDlgEffect1->ShadowYDepth = 10;
LEADDlgEffect1->ShadowColor = RGB ( 128, 128, 128 );
LEADDlgEffect1->DlgFlags = DLG_SHAPE_SHOW_PREVIEW |
DLG_SHAPE_AUTOPREVIEW |
DLG_SHAPE_BACKSTYLE |
DLG_SHAPE_FILLSTYLE |
DLG_SHAPE_FORE_BACK_COLOR |
DLG_SHAPE_BORDERSTYLE |
DLG_SHAPE_BORDERWIDTH |
DLG_SHAPE_BORDERCOLOR |
DLG_SHAPE_INNERSTYLE |
DLG_SHAPE_INNERWIDTH |
DLG_SHAPE_INNER_HILITE_SHADOW |
DLG_SHAPE_OUTERSTYLE |
DLG_SHAPE_OUTERWIDTH |
DLG_SHAPE_OUTER_HILITE_SHADOW |
DLG_SHAPE_SHADOWCOLOR |
DLG_SHAPE_SHADOW_X_Y |
DLG_SHAPE_BROWSEIMAGE |
DLG_SHAPE_CLASS_SQUARE |
DLG_SHAPE_CLASS_RECTANGLE |
DLG_SHAPE_CLASS_PARALLELOGRAM |
DLG_SHAPE_CLASS_TRAPEZOID |
DLG_SHAPE_CLASS_TRIANGLE |
DLG_SHAPE_CLASS_OTHER |
DLG_SHAPE_CLASS_CIRCLE |
DLG_SHAPE_CLASS_ELLIPSE |
DLG_SHAPE_CLASS_STAR |
DLG_SHAPE_CLASS_CROSS |
DLG_SHAPE_CLASS_ARROW;

LEADDlgEffect1->LEADImage = LEADImage1;
LEADDlgEffect1->LEADDlgService = LEADDlgService1;
LEADDlgEffect1->EnableMethodErrors = false;
LEADDlgEffect1->ShowHelpButton = true;

nRet= LEADDlgEffect1->ShowGetShapeDlg ( this );

if ( nRet == SUCCESS_DLG_OK )
{
LEADImage1->ShapeLeft= 50;
LEADImage1->ShapeTop= 50;
LEADImage1->ShapeWidth= LEADImage1->DstWidth - 50;
LEADImage1->ShapeHeight= LEADImage1->DstHeight - 50;
LEADImage1->PatternBackColor= (TColor)LEADDlgEffect1->BackColor;
LEADImage1->BackgroundImageLeft= 0;
LEADImage1->BackgroundImageTop= 0;
LEADImage1->BackgroundImageWidth= LEADImage2->BitmapWidth;
LEADImage1->BackgroundImageHeight= LEADImage2->BitmapHeight;
LEADImage1->ShapeBackgroundStyle= LEADDlgEffect1->ShapeBackgroundStyle;
LEADImage1->PatternForeColor= (TColor)LEADDlgEffect1->ForeColor;
LEADImage1->PatternStyle= LEADDlgEffect1->PatternStyle;
LEADImage1->ShapeBorderColor= (TColor)LEADDlgEffect1->ShapeBorderColor;
LEADImage1->ShapeBorderStyle= LEADDlgEffect1->ShapeBorderStyle;
LEADImage1->ShapeBorderThickness= LEADDlgEffect1->ShapeBorderThickness;
LEADImage1->ShapeInnerBandHiliteColor= (TColor)LEADDlgEffect1->ShapeInnerBandHiliteColor;
LEADImage1->ShapeInnerBandShadowColor= (TColor)LEADDlgEffect1->ShapeInnerBandShadowColor;
LEADImage1->ShapeInnerBandStyle= LEADDlgEffect1->ShapeInnerBandStyle;
LEADImage1->ShapeInnerBandThickness= LEADDlgEffect1->ShapeInnerBandThickness;
LEADImage1->ShapeOuterBandHiliteColor= (TColor)LEADDlgEffect1->ShapeOuterBandHiliteColor;
LEADImage1->ShapeOuterBandShadowColor= (TColor)LEADDlgEffect1->ShapeOuterBandShadowColor;
LEADImage1->ShapeOuterBandStyle= LEADDlgEffect1->ShapeOuterBandStyle;
LEADImage1->ShapeOuterBandThickness= LEADDlgEffect1->ShapeOuterBandThickness;
LEADImage1->ShadowXDepth= LEADDlgEffect1->ShadowXDepth;
LEADImage1->ShadowYDepth= LEADDlgEffect1->ShadowYDepth;
LEADImage1->ShadowColor= (TColor)LEADDlgEffect1->ShadowColor;

LEADImage1->DrawShape ( LEADDlgEffect1->Shape, LEADImage2->Bitmap );
LEADImage1->ForceRepaint ( );
}
}
void __fastcall TForm1::LEADDlgEffect1DlgHelp(DWORD uDialogID)
{
switch ( uDialogID )
{
case DLG_HELP_GETEFFECT:
ShowMessage( "Help from GetEffect dialog" );
break;

case DLG_HELP_GETSHAPE:
ShowMessage( "Help from GetShape dialog" );
break;

case DLG_HELP_GETTEXT:
ShowMessage( "Help from GetText dialog" );
break;

case DLG_HELP_GETGRADIENT:
ShowMessage( "Help from GetGradient dialog" );
break;

case DLG_HELP_GETTRANSITION:
ShowMessage( "Help from GetTransition dialog" );
break;
}
}


ShowGetTextDlg example for C++ Builder

void __fastcall TForm1::ShowGetTextDlg1Click(TObject *Sender)
{
L_INT nRet;
AnsiString strSampleText;

strSampleText= "LEADTOOLS!";

LEADDlgEffect1->TextForegroundBitmap = LEADImage2->Bitmap;
LEADDlgEffect1->SampleText = strSampleText;
LEADDlgEffect1->TextFont ->Color= (TColor)RGB ( 0,0,255 );
LEADDlgEffect1->TextHiliteColor = RGB ( 255,255,255 );
LEADDlgEffect1->ShadowColor = RGB ( 128,128,128 );
LEADDlgEffect1->TextStyle = etsNormal;
LEADDlgEffect1->TextAlign = etaHcenterVcenter;
LEADDlgEffect1->TextWordWrap = False;
LEADDlgEffect1->TextAngle = 450;
LEADDlgEffect1->ShadowXDepth = 10;
LEADDlgEffect1->ShadowYDepth = 10;
LEADDlgEffect1->TextUseForegroundImage = True;
LEADDlgEffect1->DlgFlags = DLG_TEXT_SHOW_PREVIEW |
DLG_TEXT_AUTOPREVIEW |
DLG_TEXT_SAMPLETEXT |
DLG_TEXT_STYLE |
DLG_TEXT_COLOR |
DLG_TEXT_BORDERCOLOR |
DLG_TEXT_ALIGN |
DLG_TEXT_ANGLE |
DLG_TEXT_WORDWRAP |
DLG_TEXT_FONT |
DLG_TEXT_FOREIMAGE |
DLG_TEXT_BROWSEIMAGE |
DLG_TEXT_SHADOWCOLOR |
DLG_TEXT_SHADOW_X_Y;

LEADDlgEffect1->LEADImage = LEADImage1;
LEADDlgEffect1->LEADDlgService = LEADDlgService1;
nRet= LEADDlgEffect1->ShowGetTextDlg ( this );

if ( nRet == SUCCESS_DLG_OK )
{
LEADImage1->TextTop= 50;
LEADImage1->TextLeft= 50;
LEADImage1->TextWidth= LEADImage1->DstWidth - 50;
LEADImage1->TextHeight= LEADImage1->DstHeight - 50;

LEADImage1->TextAngle= LEADDlgEffect1->TextAngle;
LEADImage1->TextAlign= LEADDlgEffect1->TextAlign;
LEADImage1->TextStyle= LEADDlgEffect1->TextStyle;
LEADImage1->TextWordWrap= LEADDlgEffect1->TextWordWrap;

LEADImage1->ShadowColor= (TColor)LEADDlgEffect1->ShadowColor;
LEADImage1->ShadowXDepth= LEADDlgEffect1->ShadowXDepth;
LEADImage1->ShadowYDepth= LEADDlgEffect1->ShadowYDepth;

LEADImage1->TextHiliteColor= (TColor)LEADDlgEffect1->TextHiliteColor;
LEADImage1->TextFont= LEADDlgEffect1->TextFont;

LEADImage1->DrawTextStr ( LEADDlgEffect1->SampleText, LEADImage2->Bitmap );
}
}


ShowGetTransitionDlg example for C++ Builder

void __fastcall TForm1::ShowGetTransitionDlg1Click(TObject *Sender)
{
L_INT nRet;
LEADDlgEffect1->TransitionStyle = etsNone;
LEADDlgEffect1->Effect = EFX_EFFECT_WIPE_L_TO_R;
LEADDlgEffect1->ForeColor = RGB ( 255, 255, 0 );
LEADDlgEffect1->BackColor = RGB ( 255, 0, 255 );
LEADDlgEffect1->GradientSteps = 120;
LEADDlgEffect1->Delay= 20;
LEADDlgEffect1->Grain = 5;
LEADDlgEffect1->WandThickness = 5;
LEADDlgEffect1->WandColor = RGB ( 255, 255, 0 );
LEADDlgEffect1->Transparent = TRUE;
LEADDlgEffect1->TransparentColor = RGB ( 255, 0, 0 );
LEADDlgEffect1->DlgFlags = DLG_TRANSITION_SHOW_PREVIEW |
DLG_TRANSITION_FORECOLOR |
DLG_TRANSITION_BACKCOLOR |
DLG_TRANSITION_DELAY |
DLG_TRANSITION_GRAIN |
DLG_TRANSITION_EFFECT |
DLG_TRANSITION_PASSES |
DLG_TRANSITION_WAND |
DLG_TRANSITION_TRANSPARENT |
DLG_TRANSITION_GRADIENT;

LEADDlgEffect1->LEADImage = LEADImage1;
LEADDlgEffect1->LEADDlgService = LEADDlgService1;
nRet= LEADDlgEffect1->ShowGetTransitionDlg ( this );
if ( nRet == SUCCESS_DLG_OK )
{
/*output the results*/
Edit1->Text= IntToStr ( LEADDlgEffect1->Effect );
Edit2->Text= IntToStr ( LEADDlgEffect1->Grain );
Edit3->Text= IntToStr ( LEADDlgEffect1->Delay);
Edit4->Text= IntToStr ( LEADDlgEffect1->MaxPass );
if ( LEADDlgEffect1->Transparent )
Edit5->Text= "True";
else
Edit5->Text= "False";
Edit6->Text= IntToStr ( LEADDlgEffect1->WandThickness );
Edit7->Text= IntToStr ( LEADDlgEffect1->TransitionStyle );
Edit8->Text= IntToStr ( LEADDlgEffect1->GradientSteps );
Shape1->Brush->Color= (TColor)LEADDlgEffect1->TransparentColor;
Shape2->Brush->Color= (TColor)LEADDlgEffect1->WandColor;
Shape3->Brush->Color= (TColor)LEADDlgEffect1->BackColor;
Shape4->Brush->Color= (TColor)LEADDlgEffect1->ForeColor;
}
}


ShowGIFWebTunerDlg example for C++ Builder

void __fastcall TForm1::ShowGIFWebTunerDlg1Click(TObject *Sender)
{
L_INT nRet;

LEADDlgWeb1->DlgFlags =DLG_GIFWEBTUNER_SHOW_INFORMATION |
DLG_GIFWEBTUNER_SHOW_PREVIEW |
DLG_GIFWEBTUNER_SHOW_TOOL_ZOOMLEVEL |
DLG_GIFWEBTUNER_SHOW_TOOL_COLORPICKER |
DLG_GIFWEBTUNER_SHOW_TRANSPARENCY |
DLG_GIFWEBTUNER_SHOW_OPTIONS |
DLG_GIFWEBTUNER_SHOW_ADDWINDOWCOLOR;

LEADDlgWeb1->LEADImage = LEADImage1;

nRet= LEADDlgWeb1->ShowGIFWebTunerDlg ( this );
if ( nRet == SUCCESS_DLG_OK )
{
LEADImage1->Fill (LEADDlgWeb1->TransparentColor );
}
}


ShowGradientFilterDlg example for C++ Builder

void __fastcall TForm1::ShowGradientFilterDlg1Click(TObject *Sender)
{
L_INT nRet;
LEADDlgImgEffect1->SpatialFilterType = FLT_GRADIENT_NE;
LEADDlgImgEffect1->DlgFlags = DLG_GRADIENTFILTER_SHOW_PREVIEW |
DLG_GRADIENTFILTER_SHOW_TOOL_ZOOMLEVEL;

LEADDlgImgEffect1->LEADImage = LEADImage1;

nRet= LEADDlgImgEffect1->ShowGradientFilterDlg ( this );
if ( nRet == SUCCESS_DLG_OK )
{
LEADImage1->SpatialFilter ( LEADDlgImgEffect1->SpatialFilterType );
}
}


ShowGrayScaleDlg example for C++ Builder

void __fastcall TForm1::ShowGrayScaleDlg1Click(TObject *Sender)
{
LEADDlgColor1->RedFactor = 400;
LEADDlgColor1->GreenFactor = 300;
LEADDlgColor1->BlueFactor = 300;
LEADDlgColor1->DlgFlags = DLG_GRAYSCALE_SHOW_PREVIEW |
DLG_GRAYSCALE_SHOW_TOOL_ZOOMLEVEL;
LEADDlgColor1->LEADImage = LEADImage1;
LEADDlgColor1->LEADDlgService = LEADDlgService1;
LEADDlgColor1->ShowGrayScaleDlg ( this );
}


ShowHalftoneDlg example for C++ Builder

void __fastcall TForm1::ShowHalftoneDlg1Click(TObject *Sender)
{
L_INT i;
L_INT nRet;
AnsiString FileNames[3]= { "e:\\image1.jpg", "e:\\image2.jpg", "e:\\image3.jpg" };

LEADDlgColor1->ItemsCount = 3;

for ( i= 0; i < 3; i ++ )
{
LEADImage2->LoadStamp ( FileNames[i] );
LEADDlgColor1->ItemDescription [i]= IntToStr(i);
LEADDlgColor1->ItemFileName [i]= FileNames[i];
LEADDlgColor1->ItemBitmap [i]= LEADImage2->Bitmap;
}

LEADDlgColor1->Angle = 5;
LEADDlgColor1->Dimension = 5;
LEADDlgColor1->HalftoneType = HT_RECT;
LEADDlgColor1->DlgFlags = DLG_HALFTONE_SHOW_PREVIEW |
DLG_HALFTONE_SHOW_TOOL_ZOOMLEVEL |
DLG_HALFTONE_SHOW_TOOL_SHOWEFFECT |
DLG_HALFTONE_SHOW_TOOL_ONSCREEN |
DLG_HALFTONE_SHOW_TOOL_RESET;

LEADDlgColor1->LEADImage = LEADImage1;
nRet= LEADDlgColor1->ShowHalftoneDlg ( this );
if ( nRet == SUCCESS_DLG_OK )
{
ShowMessage ( "No of Selected Items are " + IntToStr(LEADDlgColor1->SelectedBitmapsCount) );
if ( LEADDlgColor1->SelectedBitmapList != 0 )
LEADImage1->BitmapList= LEADDlgColor1->SelectedBitmapList;
}
}


ShowHistoContrastDlg example for C++ Builder

void __fastcall TForm1::ShowHistoContrastDlg1Click(TObject *Sender)
{
L_INT nRet;
LEADDlgColor1->DlgFlags = DLG_HISTOCONTRAST_SHOW_PREVIEW |
DLG_HISTOCONTRAST_SHOW_TOOL_ZOOMLEVEL ;
LEADDlgColor1->LEADImage = LEADImage1;
LEADDlgColor1->LEADDlgService = LEADDlgService1;
nRet = LEADDlgColor1->ShowHistoContrastDlg ( this );
if ( nRet == SUCCESS_DLG_OK )
{
LEADImage1->HistoContrast ( LEADDlgColor1->Change );
}
}


ShowHistogramDlg example for C++ Builder

void __fastcall TForm1::ShowHistogramDlg1Click(TObject *Sender)
{
L_INT i;

LEADImage1->GetHistogram ( CHANNEL_MASTER );
LEADDlgImage1->MasterHistogramLen = LEADImage1->HistogramTableSize;

for ( i= 0; i < LEADImage1->HistogramTableSize; i ++ )
{
LEADDlgImage1->MasterHistogram [i]= LEADImage1->HistogramTable[i];
}

LEADImage1->GetHistogram ( CHANNEL_RED );
LEADDlgImage1->RedHistogramLen = LEADImage1->HistogramTableSize;

for ( i= 0; i < LEADImage1->HistogramTableSize; i ++ )
{
LEADDlgImage1->RedHistogram [i]= LEADImage1->HistogramTable[i];
}

LEADImage1->GetHistogram ( CHANNEL_GREEN );
LEADDlgImage1->GreenHistogramLen = LEADImage1->HistogramTableSize;

for ( i= 0; i < LEADImage1->HistogramTableSize; i ++ )
{
LEADDlgImage1->GreenHistogram [i]= LEADImage1->HistogramTable[i];
}

LEADImage1->GetHistogram ( CHANNEL_BLUE );
LEADDlgImage1->BlueHistogramLen = LEADImage1->HistogramTableSize;

for ( i= 0; i < LEADImage1->HistogramTableSize; i ++ )
{
LEADDlgImage1->BlueHistogram [i]= LEADImage1->HistogramTable[i];
}

LEADDlgImage1->HistogramFlags = HIST_LOWHIGH_BITS;
LEADDlgImage1->BlueChannelPenColor = RGB ( 0, 0, 255 );
LEADDlgImage1->GreenChannelPenColor = RGB ( 0, 255, 0 );
LEADDlgImage1->RedChannelPenColor = RGB ( 255, 0, 0 );
LEADDlgImage1->MasterPenColor = RGB ( 0, 0, 0 );
LEADDlgImage1->DlgFlags = DLG_HISTOGRAM_SHOW_VIEWSTYLE |
DLG_HISTOGRAM_USERPENCOLORS;

LEADDlgImage1->ShowHistogramDlg ( this );
}


ShowHolePunchRemoveDlg example for C++ Builder

void __fastcall TForm1::ShowHolePunchRemoveDlg1Click(TObject *Sender)
{
LEADDlgImgDoc1->MinHoleCount = 2;
LEADDlgImgDoc1->MaxHoleCount = 4;
LEADDlgImgDoc1->MinHoleWidth = 0;
LEADDlgImgDoc1->MinHoleHeight = 0;
LEADDlgImgDoc1->MaxHoleWidth = 0;
LEADDlgImgDoc1->MaxHoleHeight = 0;
LEADDlgImgDoc1->Location = HOLEPUNCH_LEFT;
LEADDlgImgDoc1->WhiteAreaColor = RGB ( 255, 0, 0 );
LEADDlgImgDoc1->BlackAreaColor = RGB ( 0, 0, 255 );
LEADDlgImgDoc1->ProcessFlags = HOLEPUNCH_USE_DPI;
LEADDlgImgDoc1->Location = HOLEPUNCH_RIGHT;
LEADDlgImgDoc1->DlgFlags = DLG_HOLEPUNCHREMOVE_SHOW_PREVIEW |
DLG_HOLEPUNCHREMOVE_SHOW_TOOL_ZOOMLEVEL;

LEADDlgImgDoc1->LEADImage= LEADImage1;
LEADDlgImgDoc1->ShowHolePunchRemoveDlg ( this );
}


ShowHTMLMapperDlg example for C++ Builder

void __fastcall TForm1::ShowHTMLMapperDlg1Click(TObject *Sender)
{
LEADDlgWeb1->DlgFlags = 0;
LEADDlgWeb1->LEADImage = LEADImage1;

LEADDlgWeb1->HistoryURLMaxLength = 35;
LEADDlgWeb1->HistoryALTMaxLength = 35;
LEADDlgWeb1->HistoryTargetMaxLength = 10;
LEADDlgWeb1->HistoryRolloverMaxLength = MAX_PATH;

LEADDlgWeb1->HistoryURLsCount = 5;
LEADDlgWeb1->HistoryALTsCount = 5;
LEADDlgWeb1->HistoryTargetsCount = 5;
LEADDlgWeb1->HistoryRolloversCount = 5;

LEADDlgWeb1->HistoryURLsValidCount = 2;
LEADDlgWeb1->HistoryALTsValidCount = 1;
LEADDlgWeb1->HistoryTargetsValidCount = 1;
LEADDlgWeb1->HistoryRolloversValidCount = 3;

LEADDlgWeb1->HistoryURL [0]="ttp://www.medicorimaging.com/";
LEADDlgWeb1->HistoryURL [1]="ttp://www.leadtools.com/";

LEADDlgWeb1->HistoryALT [0]="LEADTOOLS Online!";

LEADDlgWeb1->HistoryTarget [0]="_parent";

LEADDlgWeb1->HistoryRollover [0]="e:\images\image3.jpg";
LEADDlgWeb1->HistoryRollover [1]="e:\images\image2.jpg";
LEADDlgWeb1->HistoryRollover [2]="e:\images\image1.jpg";

LEADDlgWeb1->ShowHTMLMapperDlg ( this );
}


ShowHueDlg example for C++ Builder

void __fastcall TForm1::ShowHueDlg1Click(TObject *Sender)
{
L_INT nRet;
LEADDlgColor1->DlgFlags = DLG_HUE_SHOW_PREVIEW |
DLG_HUE_SHOW_TOOL_ZOOMLEVEL;
LEADDlgColor1->LEADImage = LEADImage1;
LEADDlgColor1->LEADDlgService = LEADDlgService1;
nRet= LEADDlgColor1->ShowHueDlg ( this );
if ( nRet == SUCCESS_DLG_OK )
{
LEADImage1->Hue ( LEADDlgColor1->Angle);
}
}


ShowImpressionistDlg example for C++ Builder

void __fastcall TForm1::ShowImpressionistDlg1Click(TObject *Sender)
{
L_INT nRet;
LEADDlgImgEffect1->DlgFlags = DLG_IMPRESSIONIST_SHOW_PREVIEW |
DLG_IMPRESSIONIST_SHOW_TOOL_ZOOMLEVEL;

LEADDlgImgEffect1->LEADImage = LEADImage1;
nRet= LEADDlgImgEffect1->ShowImpressionistDlg ( this );
if ( nRet == SUCCESS_DLG_OK )
{
LEADImage1->Impressionist ( LEADDlgImgEffect1->HorizontalDim,
LEADDlgImgEffect1->VerticalDim );
}
}


ShowIntensityDetectDlg example for C++ Builder

void __fastcall TForm1::ShowIntensityDetectDlg1Click(TObject *Sender)
{
L_INT nRet;

LEADDlgColor1->DlgFlags = DLG_INTENSITYDETECT_SHOW_PREVIEW |
DLG_INTENSITYDETECT_SHOW_TOOL_ZOOMLEVEL;

LEADDlgColor1->LEADImage = LEADImage1;
LEADDlgColor1->LEADDlgService = LEADDlgService1;
LEADDlgColor1->ShowIntensityDetectDlg ( this );
if ( nRet == SUCCESS_DLG_OK )
{
LEADImage1->IntensityDetect ( LEADDlgColor1->IntensityLow,
LEADDlgColor1->IntensityHigh,
LEADDlgColor1->IntensityInColor,
LEADDlgColor1->IntensityOutColor,
LEADDlgColor1->Channel );
}
}


ShowInvertedTextDlg example for C++ Builder

void __fastcall TForm1::ShowInvertedTextDlg1Click(TObject *Sender)
{
LEADDlgImgDoc1->MinInvertWidth = 900;
LEADDlgImgDoc1->MinInvertHeight = 56;
LEADDlgImgDoc1->MinBlackPercent = 75;
LEADDlgImgDoc1->MaxBlackPercent = 95;
LEADDlgImgDoc1->WhiteAreaColor = RGB ( 255, 0, 0 );
LEADDlgImgDoc1->BlackAreaColor = RGB ( 0, 0, 255 );
LEADDlgImgDoc1->ProcessFlags = INVERTEDTEXT_USE_DIAGONALS |
INVERTEDTEXT_USE_DPI;
LEADDlgImgDoc1->DlgFlags = DLG_INVERTEDTEXT_AUTOPROCESS |
DLG_INVERTEDTEXT_SHOW_PREVIEW |
DLG_INVERTEDTEXT_SHOW_TOOL_ZOOMLEVEL;

LEADDlgImgDoc1->LEADImage= LEADImage1;
LEADDlgImgDoc1->ShowInvertedTextDlg ( this );
}


ShowJPEGWebTunerDlg example for C++ Builder

void __fastcall TForm1::ShowJPEGWebTunerDlg1Click(TObject *Sender)
{
L_INT nRet;

LEADDlgWeb1->DlgFlags =DLG_JPEGWEBTUNER_SHOW_INFORMATION |
DLG_JPEGWEBTUNER_SHOW_PREVIEW |
DLG_JPEGWEBTUNER_SHOW_TOOL_ZOOMLEVEL |
DLG_JPEGWEBTUNER_SHOW_SAVETHUMBNAIL |
DLG_JPEGWEBTUNER_SHOW_OPTIONS |
DLG_JPEGWEBTUNER_SHOW_SAVETHUMBNAIL;

LEADDlgWeb1->LEADImage = LEADImage1;

nRet= LEADDlgWeb1->ShowJPEGWebTunerDlg ( this );
if ( nRet == SUCCESS_DLG_OK )
{
if ( LEADDlgWeb1->Progressive )
LEADImage1->ProgressivePasses= 1;

if ( LEADDlgWeb1->WithStamp )
{
LEADImage1->SaveWithStamp ( "c:\\temp\\output.jpg",
LEADDlgWeb1->Format,
24,
LEADDlgWeb1->Quality,
32,
32,
24 );
}
else
{
LEADImage1->Save ( "c:\\temp\\output.jpg",
LEADDlgWeb1->Format,
24,
LEADDlgWeb1->Quality,
SAVE_OVERWRITE );
}
}
}


ShowLaplacianFilterDlg example for C++ Builder

void __fastcall TForm1::ShowLaplacianFilterDlg1Click(TObject *Sender)
{
L_INT nRet;
LEADDlgImgEffect1->SpatialFilterType = FLT_LAPLACE_3;
LEADDlgImgEffect1->DlgFlags = DLG_LAPLACIANFILTER_SHOW_PREVIEW |
DLG_LAPLACIANFILTER_SHOW_TOOL_ZOOMLEVEL;

LEADDlgImgEffect1->LEADImage = LEADImage1;

nRet= LEADDlgImgEffect1->ShowLaplacianFilterDlg ( this );
if ( nRet == SUCCESS_DLG_OK )
{
LEADImage1->SpatialFilter ( LEADDlgImgEffect1->SpatialFilterType );
}
}


ShowLineRemoveDlg example for C++ Builder

void __fastcall TForm1::ShowLineRemoveDlg1Click(TObject *Sender)
{
L_INT nRet;
LEADDlgImgDoc1->GapLength = 3;
LEADDlgImgDoc1->MaxLineWidth = 9;
LEADDlgImgDoc1->MaxWallPercent = 10;
LEADDlgImgDoc1->MinLineLength = 400;
LEADDlgImgDoc1->Variance = 3;
LEADDlgImgDoc1->Wall = 15;
LEADDlgImgDoc1->ModificationColor = RGB ( 0, 255, 0 );
LEADDlgImgDoc1->ProcessFlags = LINE_USE_DPI | LINE_USE_VARIANCE;
LEADDlgImgDoc1->RemoveFlags = LINEREMOVE_VERTICAL;
LEADDlgImgDoc1->DlgFlags = DLG_LINEREMOVE_SHOW_PREVIEW |
DLG_LINEREMOVE_SHOW_TOOL_ZOOMLEVEL;
LEADDlgImgDoc1->LEADImage= LEADImage1;
LEADDlgImgDoc1->ShowLineRemoveDlg ( this );
if ( nRet == SUCCESS_DLG_OK )
{
LEADImage1->FreeRgn ( );
LEADImage1->SetRgnHandle ( LEADDlgImgDoc1->DocCleanRgn, 0, 0, L_RGN_SET );
LEADDlgImgDoc1->DocCleanRgn= 0; /*no longer need rgn*/
LEADImage1->RgnFrameType= ftAnimated;
}
}


ShowLineSegmentFilterDlg example for C++ Builder

void __fastcall TForm1::ShowLineSegmentFilterDlg1Click(TObject *Sender)
{
L_INT nRet;
LEADDlgImgEffect1->SpatialFilterType = FLT_LINESEG_LTOR;
LEADDlgImgEffect1->DlgFlags = DLG_LINESEGMENTFILTER_SHOW_PREVIEW |
DLG_LINESEGMENTFILTER_SHOW_TOOL_ZOOMLEVEL;

LEADDlgImgEffect1->LEADImage = LEADImage1;

nRet= LEADDlgImgEffect1->ShowLineSegmentFilterDlg ( this );
if ( nRet == SUCCESS_DLG_OK )
{
LEADImage1->SpatialFilter (LEADDlgImgEffect1->SpatialFilterType );
}
}


ShowLocalHistoEqualizeDlg example for C++ Builder

void __fastcall TForm1::ShowLocalHistoEqualizeDlg1Click(TObject *Sender)
{
L_INT nRet;

LEADDlgColor1->RectWidth = LEADImage1->BitmapWidth / 2;
LEADDlgColor1->RectHeight = LEADImage1->BitmapHeight / 2;
LEADDlgColor1->ColorSpace = YUV_SPACE;
LEADDlgColor1->DlgFlags = DLG_LOCALHISTOEQUALIZE_SHOW_PREVIEW |
DLG_LOCALHISTOEQUALIZE_SHOW_TOOL_ZOOMLEVEL;
LEADDlgColor1->LEADImage = LEADImage1;
LEADDlgColor1->LEADDlgService = LEADDlgService1;
nRet= LEADDlgColor1->ShowLocalHistoEqualizeDlg ( this );
if ( nRet == SUCCESS_DLG_OK )
{
LEADImage1->LocalHistoEqualize ( LEADDlgColor1->RectWidth,
LEADDlgColor1->RectHeight,
LEADDlgColor1->XExtension,
LEADDlgColor1->YExtension,
LEADDlgColor1->ColorSpace,
LEADDlgColor1->SmoothSize );
}
}


ShowMaxFilterDlg example for C++ Builder

void __fastcall TForm1::ShowMaxFilterDlg1Click(TObject *Sender)
{
L_INT nRet;
LEADDlgImgEffect1->Dimension = 10;
LEADDlgImgEffect1->DlgFlags = DLG_MAXFILTER_SHOW_PREVIEW |
DLG_MAXFILTER_SHOW_TOOL_ZOOMLEVEL;

LEADDlgImgEffect1->LEADImage = LEADImage1;

LEADDlgImgEffect1->ShowMaxFilterDlg ( this );
if ( nRet == SUCCESS_DLG_OK )
{
LEADImage1->MaxFilter (LEADDlgImgEffect1->Dimension );
}
}


ShowMedianDlg example for C++ Builder

void __fastcall TForm1::ShowMedianDlg1Click(TObject *Sender)
{
L_INT nRet;
LEADDlgImgEffect1->DlgFlags = DLG_MEDIAN_SHOW_PREVIEW |
DLG_MEDIAN_SHOW_TOOL_ZOOMLEVEL;

LEADDlgImgEffect1->LEADImage = LEADImage1;

nRet= LEADDlgImgEffect1->ShowMedianDlg ( this );
if ( nRet == SUCCESS_DLG_OK )
{
LEADImage1->Median (LEADDlgImgEffect1->Dimension );
}
}


ShowMinFilterDlg example for C++ Builder

void __fastcall TForm1::ShowMinFilterDlg1Click(TObject *Sender)
{
L_INT nRet;
LEADDlgImgEffect1->Dimension = 10;
LEADDlgImgEffect1->DlgFlags = DLG_MINFILTER_SHOW_PREVIEW |
DLG_MINFILTER_SHOW_TOOL_ZOOMLEVEL;

LEADDlgImgEffect1->LEADImage = LEADImage1;

nRet= LEADDlgImgEffect1->ShowMinFilterDlg ( this );
if ( nRet == SUCCESS_DLG_OK )
{
LEADImage1->MinFilter (LEADDlgImgEffect1->Dimension );
}
}


ShowMosaicDlg example for C++ Builder

void __fastcall TForm1::ShowMosaicDlg1Click(TObject *Sender)
{
L_INT nRet;
LEADDlgImgEffect1->DlgFlags = DLG_MOSAIC_SHOW_PREVIEW |
DLG_MOSAIC_SHOW_TOOL_ZOOMLEVEL;

LEADDlgImgEffect1->LEADImage = LEADImage1;

nRet= LEADDlgImgEffect1->ShowMosaicDlg ( this );
if ( nRet == SUCCESS_DLG_OK )
{
LEADImage1->Mosaic (LEADDlgImgEffect1->Dimension );
}
}


ShowMotionBlurDlg example for C++ Builder

void __fastcall TForm1::ShowMotionBlurDlg1Click(TObject *Sender)
{
L_INT nRet;
LEADDlgImgEffect1->DlgFlags = DLG_MOTIONBLUR_SHOW_PREVIEW |
DLG_MOTIONBLUR_SHOW_TOOL_ZOOMLEVEL;

LEADDlgImgEffect1->LEADImage = LEADImage1;
LEADDlgImgEffect1->LEADDlgService = LEADDlgService1;
LEADDlgImgEffect1->ZoomToFit = false;
LEADDlgImgEffect1->EnableMethodErrors = False;
LEADDlgImgEffect1->ShowHelpButton = True;

nRet= LEADDlgImgEffect1->ShowMotionBlurDlg ( this );
if ( nRet == SUCCESS_DLG_OK )
{
LEADImage1->MotionBlur ( LEADDlgImgEffect1->Dimension, LEADDlgImgEffect1->Angle, LEADDlgImgEffect1->Unidirectional );
}
}

void __fastcall TForm1::LEADDlgImgEffect1DlgHelp (DWORD uDialogID)
{
switch ( uDialogID )
{
case DLG_HELP_MOTIONBLUR:
ShowMessage( "Help from MotionBlur dialog" );
break;

case DLG_HELP_RADIALBLUR:
ShowMessage( "Help from RadialBlur dialog" );
break;

case DLG_HELP_ZOOMBLUR:
ShowMessage( "Help from ZoomBlur dialog" );
break;

case DLG_HELP_GAUSSIANBLUR:
ShowMessage( "Help from GaussianBlur dialog" );
break;

case DLG_HELP_ANTIALIAS:
ShowMessage( "Help from AntiAlias dialog" );
break;

case DLG_HELP_AVERAGE:
ShowMessage( "Help from Average dialog" );
break;

case DLG_HELP_MEDIAN:
ShowMessage( "Help from Median dialog" );
break;

case DLG_HELP_ADDNOISE:
ShowMessage( "Help from AddNoise dialog" );
break;

case DLG_HELP_MAXFILTER:
ShowMessage( "Help from MaxFilter dialog" );
break;

case DLG_HELP_MINFILTER:
ShowMessage( "Help from MinFilter dialog" );
break;

case DLG_HELP_SHARPEN:
ShowMessage( "Help from Sharpen dialog" );
break;

case DLG_HELP_SHIFTDIFFERENCEFILTER:
ShowMessage( "Help from ShiftDifferenceFilter dialog" );
break;

case DLG_HELP_EMBOSS:
ShowMessage( "Help from Emboss dialog" );
break;

case DLG_HELP_OILIFY:
ShowMessage( "Help from Oilify dialog" );
break;

case DLG_HELP_MOSAIC:
ShowMessage( "Help from Mosaic dialog" );
break;

case DLG_HELP_EROSIONFILTER:
ShowMessage( "Help from ErosionFilter dialog" );
break;

case DLG_HELP_DILATIONFILTER:
ShowMessage( "Help from DilationFilter dialog" );
break;

case DLG_HELP_CONTOURFILTER:
ShowMessage( "Help from ContourFilter dialog" );
break;

case DLG_HELP_GRADIENTFILTER:
ShowMessage( "Help from GradientFilter dialog" );
break;

case DLG_HELP_LAPLACIANFILTER:
ShowMessage( "Help from LaplacianFilter dialog" );
break;

case DLG_HELP_SOBELFILTER:
ShowMessage( "Help from SobelFilter dialog" );
break;

case DLG_HELP_PREWITTFILTER:
ShowMessage( "Help from PrewittFilter dialog" );
break;

case DLG_HELP_LINESEGMENTFILTER:
ShowMessage( "Help from LineSegmentFilter dialog" );
break;

case DLG_HELP_UNSHARPMASK:
ShowMessage( "Help from UnsharpMask dialog" );
break;

case DLG_HELP_MULTIPLY:
ShowMessage( "Help from Multiply dialog" );
break;

case DLG_HELP_ADDBITMAPS:
ShowMessage( "Help from AddBitmaps dialog" );
break;

case DLG_HELP_STITCH:
ShowMessage( "Help from Stitch dialog" );
break;

case DLG_HELP_FREEHANDWAVE:
ShowMessage( "Help from FreeHandWave dialog" );
break;

case DLG_HELP_WIND:
ShowMessage( "Help from Wind dialog" );
break;

case DLG_HELP_POLAR:
ShowMessage( "Help from Polar dialog" );
break;

case DLG_HELP_ZOOMWAVE:
ShowMessage( "Help from ZoomWave dialog" );
break;

case DLG_HELP_RADIALWAVE:
ShowMessage( "Help from RadialWave dialog" );
break;

case DLG_HELP_SWIRL:
ShowMessage( "Help from Swirl dialog" );
break;

case DLG_HELP_WAVE:
ShowMessage( "Help from Wave dialog" );
break;

case DLG_HELP_FREEHANDSHEAR:
ShowMessage( "Help from FreeHandShear dialog" );
break;

case DLG_HELP_PUNCH:
ShowMessage( "Help from Punch dialog" );
break;

case DLG_HELP_RIPPLE:
ShowMessage( "Help from Ripple dialog" );
break;

case DLG_HELP_BENDING:
ShowMessage( "Help from Bending dialog" );
break;

case DLG_HELP_CYLINDRICAL:
ShowMessage( "Help from Cylindrical dialog" );
break;

case DLG_HELP_SPHERIZE:
ShowMessage( "Help from Spherize dialog" );
break;

case DLG_HELP_IMPRESSIONIST:
ShowMessage( "Help from Impressionist dialog" );
break;

case DLG_HELP_PIXELATE:
ShowMessage( "Help from Pixelate dialog" );
break;

case DLG_HELP_EDGEDETECTOR:
ShowMessage( "Help from EdgeDetector dialog" );
break;

case DLG_HELP_UNDERLAY:
ShowMessage( "Help from Underlay dialog" );
break;

case DLG_HELP_PICTURIZE:
ShowMessage( "Help from Picturize dialog" );
break;
}
}


ShowMultiplyDlg example for C++ Builder

void __fastcall TForm1::ShowMultiplyDlg1Click(TObject *Sender)
{
L_INT nRet;
LEADDlgImgEffect1->DlgFlags = DLG_MULTIPLY_SHOW_PREVIEW |
DLG_MULTIPLY_SHOW_TOOL_ZOOMLEVEL;

LEADDlgImgEffect1->LEADImage = LEADImage1;

nRet= LEADDlgImgEffect1->ShowMultiplyDlg ( this );
if ( nRet == SUCCESS_DLG_OK )
{
LEADImage1->Multiply ( LEADDlgImgEffect1->Factor );
}
}


ShowOilifyDlg example for C++ Builder

void __fastcall TForm1::ShowOilifyDlg1Click(TObject *Sender)
{
L_INT nRet;
LEADDlgImgEffect1->DlgFlags = DLG_OILIFY_SHOW_PREVIEW |
DLG_OILIFY_SHOW_TOOL_ZOOMLEVEL;

LEADDlgImgEffect1->LEADImage = LEADImage1;

nRet= LEADDlgImgEffect1->ShowOilifyDlg ( this );
if ( nRet == SUCCESS_DLG_OK )
{
LEADImage1->Oilify (LEADDlgImgEffect1->Dimension );
}
}


ShowOpenDlg example for C++ Builder

void __fastcall TForm1::ShowOpenDlg1Click(TObject *Sender)
{
L_INT nRet;

LEADDlgFile1->DialogTitle = "LEADTOOLS Open dialog box";
LEADDlgFile1->InitialDir = "c:\\images";
LEADDlgFile1->DlgFileFlags = 0;
LEADDlgFile1->PreviewEnabled = true;
LEADDlgFile1->ShowLoadOptions = false;
LEADDlgFile1->LoadRotated = false;
LEADDlgFile1->LoadCompressed = false;
LEADDlgFile1->LoadPasses = 0;
LEADDlgFile1->MaxFileSize = 0;
LEADDlgFile1->MaxFileTitleSize = 0;

LEADDlgFile1->DlgFlags = DLG_OPEN_SHOW_PROGRESSIVE |
DLG_OPEN_SHOW_MULTIPAGE |
DLG_OPEN_SHOW_LOADROTATED |
DLG_OPEN_SHOW_LOADCOMPRESSED |
DLG_OPEN_SHOW_FILEINFO |
DLG_OPEN_SHOW_PREVIEW |
DLG_OPEN_SHOW_DELPAGE |
DLG_OPEN_VIEWTOTALPAGES;

nRet= LEADDlgFile1->ShowOpenDlg ( this );
if ( nRet == SUCCESS_DLG_OK )
{
LEADImage1->Load (LEADDlgFile1->FileName, 0, LEADDlgFile1->PageNumber, 1 );
Edit1->Text= LEADDlgFile1->FileName;
Edit2->Text= LEADDlgFile1->FileTitle;
Edit3->Text= IntToStr ( LEADDlgFile1->PageNumber );
}
}


ShowPicturizeDlg example for C++ Builder

void __fastcall TForm1::ShowPicturizeDlg1Click(TObject *Sender)
{
L_INT nRet;
LEADDlgImgEffect1->BitmapWidth = LEADImage1->BitmapWidth;
LEADDlgImgEffect1->BitmapHeight = LEADImage1->BitmapHeight;
nRet= LEADDlgImgEffect1->ShowPicturizeDlg ( this );
if ( nRet == SUCCESS_DLG_OK )
{
LEADImage1->Picturize ( LEADDlgImgEffect1->DirectoryPath,
LEADDlgImgEffect1->PicturizeResizeFlags,
LEADDlgImgEffect1->CellWidth,
LEADDlgImgEffect1->CellHeight );
}
}


ShowPixelateDlg example for C++ Builder

void __fastcall TForm1::ShowPixelateDlg1Click(TObject *Sender)
{
L_INT nRet;
LEADDlgImgEffect1->DlgFlags = DLG_PIXELATE_SHOW_PREVIEW |
DLG_PIXELATE_SHOW_TOOL_ZOOMLEVEL;

LEADDlgImgEffect1->LEADImage = LEADImage1;

nRet= LEADDlgImgEffect1->ShowPixelateDlg ( this );
if ( nRet == SUCCESS_DLG_OK )
{
LEADImage1->Pixelate ( LEADDlgImgEffect1->CellWidth,
LEADDlgImgEffect1->CellHeight,
LEADDlgImgEffect1->Opacity,
LEADDlgImgEffect1->CenterPoint,
LEADDlgImgEffect1->PixelateFlags );
}
}


ShowPNGWebTunerDlg example for C++ Builder

void __fastcall TForm1::ShowPNGWebTunerDlg1Click(TObject *Sender)
{
L_INT nRet;

LEADDlgWeb1->TransparentColor = RGB ( 255, 255, 255 );
LEADDlgWeb1->PaletteType = CRF_OPTIMIZEDPALETTE;
LEADDlgWeb1->AddWindowsColors = True;
LEADDlgWeb1->DitherType = CRF_FLOYDSTEINDITHERING;
LEADDlgWeb1->BitsPerPixel = 8;
LEADDlgWeb1->NumOfColors = 256;
LEADDlgWeb1->TransparencyTolerance = 25;
LEADDlgWeb1->Transparent = True;

LEADDlgWeb1->DlgFlags = DLG_PNGWEBTUNER_SHOW_INFORMATION |
DLG_PNGWEBTUNER_SHOW_PREVIEW |
DLG_PNGWEBTUNER_SHOW_TOOL_ZOOMLEVEL |
DLG_PNGWEBTUNER_SHOW_TOOL_COLORPICKER |
DLG_PNGWEBTUNER_SHOW_TRANSPARENCY |
DLG_PNGWEBTUNER_SHOW_ADDWINDOWCOLOR;

LEADDlgWeb1->LEADImage = LEADImage1;
LEADDlgWeb1->LEADDlgService = LEADDlgService1;
LEADDlgWeb1->EnableMethodErrors = false;
LEADDlgWeb1->ShowHelpButton = true;

nRet= LEADDlgWeb1->ShowPNGWebTunerDlg ( this );
if ( nRet == SUCCESS_DLG_OK )
{
LEADImage1->ColorRes ( LEADDlgWeb1->BitsPerPixel,
LEADDlgWeb1->PaletteType,
LEADDlgWeb1->DitherType,
0 );
}
}
//---------------------------------------------------------------------------

void __fastcall TForm1::LEADDlgWeb1DlgHelp (DWORD uDialogID)
{
switch ( uDialogID )
{
case DLG_HELP_PNGWEBTUNER:
ShowMessage( "Help from PNG Web Tuner dialog" );
break;

case DLG_HELP_GIFWEBTUNER:
ShowMessage( "Help from GIF Web Tuner dialog" );
break;

case DLG_HELP_JPEGWEBTUNER:
ShowMessage( "Help from JPEG Web Tuner dialog" );
break;

case DLG_HELP_HTMLMAPPER:
ShowMessage( "Help from HTMLMapper dialog" );
break;
}
}


ShowPolarDlg example for C++ Builder

void __fastcall TForm1::ShowPolarDlg1Click(TObject *Sender)
{
L_INT nRet;
LEADDlgImgEffect1->PolarFlags = FILL_CLR | CART_TO_POL;
LEADDlgImgEffect1->FillColor = RGB ( 0, 0, 220 );
LEADDlgImgEffect1->DlgFlags = DLG_POLAR_SHOW_PREVIEW |
DLG_POLAR_SHOW_TOOL_ZOOMLEVEL;

LEADDlgImgEffect1->LEADImage = LEADImage1;

nRet= LEADDlgImgEffect1->ShowPolarDlg ( this );
if ( nRet == SUCCESS_DLG_OK )
{
LEADImage1->Polar (LEADDlgImgEffect1->FillColor,
LEADDlgImgEffect1->PolarFlags );

}
}


ShowPosterizeDlg example for C++ Builder

void __fastcall TForm1::ShowPosterizeDlg1Click(TObject *Sender)
{
L_INT nRet;
LEADDlgColor1->Levels = 2;
LEADDlgColor1->DlgFlags = DLG_POSTERIZE_SHOW_PREVIEW |
DLG_POSTERIZE_SHOW_TOOL_ZOOMLEVEL;
LEADDlgColor1->LEADImage = LEADImage1;
LEADDlgColor1->LEADDlgService = LEADDlgService1;
nRet= LEADDlgColor1->ShowPosterizeDlg ( this );
if ( nRet == SUCCESS_DLG_OK )
{
LEADImage1->Posterize ( LEADDlgColor1->Levels );
}
}


ShowPrewittFilterDlg example for C++ Builder

void __fastcall TForm1::ShowPrewittFilterDlg1Click(TObject *Sender)
{
L_INT nRet;
LEADDlgImgEffect1->SpatialFilterType = FLT_PREWITT_HORZ;
LEADDlgImgEffect1->DlgFlags = DLG_PREWITTFILTER_SHOW_PREVIEW |
DLG_PREWITTFILTER_SHOW_TOOL_ZOOMLEVEL;

LEADDlgImgEffect1->LEADImage = LEADImage1;

nRet= LEADDlgImgEffect1->ShowPrewittFilterDlg ( this );
if ( nRet == SUCCESS_DLG_OK )
{
LEADImage1->SpatialFilter (LEADDlgImgEffect1->SpatialFilterType );
}
}


ShowPrintPreviewDlg example for C++ Builder

L_INT TForm1::DoPrintPreview ( L_HGLOBAL hDevMode,
L_HGLOBAL hDevNames,
RECT rcMargin,
RECT rcMinMargins,
TIcon * Icon )
{
LEADDlgFile1->MarginsRect = rcMargin;
LEADDlgFile1->MinMarginsRect = rcMinMargins;
LEADDlgFile1->DevModeHandle = hDevMode;
LEADDlgFile1->DevNamesHandle = hDevNames;
LEADDlgFile1->WindowIcon = Icon;
LEADDlgFile1->CommandShow = SW_SHOW;

LEADDlgFile1->LEADImage = LEADImage1;

return LEADDlgFile1->ShowPrintPreviewDlg ( this );
}


ShowPrintStitchedImagesDlg example for C++ Builder

L_INT TForm1::DoPrintStitchedImages ( L_HGLOBAL hDevMode,
L_HGLOBAL hDevNames,
RECT rcMargin,
RECT rcMinMargins,
TIcon * Icon )
{
L_INT i;
L_INT nRet;
AnsiString FileNames[3]= { "e:\\image1.jpg", "e:\\image2.jpg", "e:\\image3.jpg" };

LEADDlgFile1->MarginsRect = rcMargin;
LEADDlgFile1->MinMarginsRect = rcMinMargins;
LEADDlgFile1->DevModeHandle = hDevMode;
LEADDlgFile1->DevNamesHandle = hDevNames;
LEADDlgFile1->WindowIcon = Icon;
LEADDlgFile1->CommandShow = SW_SHOW;

LEADDlgFile1->ItemsCount = 3;
for ( i= 0; i < 3; i ++ )
{
LEADImage2->LoadStamp ( FileNames[i] );
LEADDlgFile1->ItemDescription [i]= IntToStr(i);
LEADDlgFile1->ItemFileName [i]= FileNames[i];
LEADDlgFile1->ItemBitmap [i]= LEADImage2->Bitmap;
}

return LEADDlgFile1->ShowPrintStitchedImagesDlg ( this );
}


ShowPunchDlg example for C++ Builder

void __fastcall TForm1::ShowPunchDlg1Click(TObject *Sender)
{
L_INT nRet;
LEADDlgImgEffect1->DlgFlags = DLG_PUNCH_SHOW_PREVIEW |
DLG_PUNCH_SHOW_TOOL_ZOOMLEVEL;

LEADDlgImgEffect1->LEADImage = LEADImage1;

nRet= LEADDlgImgEffect1->ShowPunchDlg ( this );
if ( nRet == SUCCESS_DLG_OK )
{
LEADImage1->Punch ( LEADDlgImgEffect1->Value,
LEADDlgImgEffect1->Stress,
LEADDlgImgEffect1->CenterPoint,
LEADDlgImgEffect1->FillColor,
LEADDlgImgEffect1->PunchFlags );
}
}


ShowRadialBlurDlg example for C++ Builder

void __fastcall TForm1::ShowRadialBlurDlg1Click(TObject *Sender)
{
L_INT nRet;
LEADDlgImgEffect1->DlgFlags = DLG_RADIALBLUR_SHOW_PREVIEW |
DLG_RADIALBLUR_SHOW_TOOL_ZOOMLEVEL;

LEADDlgImgEffect1->LEADImage = LEADImage1;

nRet= LEADDlgImgEffect1->ShowRadialBlurDlg ( this );
if ( nRet == SUCCESS_DLG_OK )
{
LEADImage1->RadialBlur ( LEADDlgImgEffect1->Dimension, LEADDlgImgEffect1->Stress, LEADDlgImgEffect1->CenterPoint );
}
}


ShowRadialWaveDlg example for C++ Builder

void __fastcall TForm1::ShowRadialWaveDlg1Click(TObject *Sender)
{
L_INT nRet;
LEADDlgImgEffect1->DlgFlags = DLG_RADIALWAVE_SHOW_PREVIEW |
DLG_RADIALWAVE_SHOW_TOOL_ZOOMLEVEL;

LEADDlgImgEffect1->LEADImage = LEADImage1;

nRet= LEADDlgImgEffect1->ShowRadialWaveDlg ( this );
if ( nRet == SUCCESS_DLG_OK )
{
LEADImage1->RadWave (LEADDlgImgEffect1->Amplitude,
LEADDlgImgEffect1->WaveLength,
LEADDlgImgEffect1->Phase,
LEADDlgImgEffect1->CenterPoint,
LEADDlgImgEffect1->FillColor,
LEADDlgImgEffect1->RadialWaveFlags );
}
}


ShowRemapHueDlg example for C++ Builder

void __fastcall TForm1::ShowRemapHueDlg1Click(TObject *Sender)
{
L_INT i;
L_INT nRet;

LEADDlgColor1->DlgFlags = DLG_REMAPHUE_SHOW_PREVIEW |
DLG_REMAPHUE_SHOW_TOOL_ZOOMLEVEL;

LEADDlgColor1->LEADImage = LEADImage1;
LEADDlgColor1->LEADDlgService = LEADDlgService1;
nRet= LEADDlgColor1->ShowRemapHueDlg ( this );
if ( nRet == SUCCESS_DLG_OK )
{
for ( i= 0; i < (L_INT)LEADDlgColor1->RemapHueTableSize; i ++ )
{
LEADImage1->MaskTable[i]= LEADDlgColor1->RemapHueMaskTable [i];
LEADImage1->HTable[i]= LEADDlgColor1->RemapHueHTable [i];
LEADImage1->STable[i]= LEADDlgColor1->RemapHueSTable [i];
LEADImage1->VTable[i]= LEADDlgColor1->RemapHueVTable [i];
}
LEADImage1->RemapHue ( true, true, false, false );
}
}


ShowRemapIntensityDlg example for C++ Builder

void __fastcall TForm1::ShowRemapIntensityDlg1Click(TObject *Sender)
{
L_INT i;
L_INT nRet;

LEADDlgColor1->Channel = CHANNEL_RED;
LEADDlgColor1->DlgFlags = DLG_REMAPINTENSITY_SHOW_PREVIEW |
DLG_REMAPINTENSITY_SHOW_TOOL_ZOOMLEVEL;

LEADDlgColor1->LEADImage = LEADImage1;
LEADDlgColor1->LEADDlgService = LEADDlgService1;
nRet = LEADDlgColor1->ShowRemapIntensityDlg ( this );
if ( nRet == SUCCESS_DLG_OK )
{
for ( i= 0; i < (L_INT)LEADDlgColor1->RemapIntensityTableSize; i ++ )
{
LEADImage1->RemapTable[i]= LEADDlgColor1->RemapIntensityTable [i];
}
LEADImage1->RemapIntensity ( LEADDlgColor1->Channel );
}
}


ShowRemoveRedeyeDlg example for C++ Builder

void __fastcall TForm1::ShowRemoveRedeyeDlg1Click(TObject *Sender)
{
L_INT nRet;
LEADDlgImgDoc1->ZoomToFit = false;
LEADDlgImgDoc1->DlgFlags = DLG_REMOVEREDEYE_SHOW_PREVIEW |
DLG_REMOVEREDEYE_SHOW_TOOL_ZOOMLEVEL;

LEADDlgImgDoc1->LEADImage= LEADImage1;
LEADDlgImgDoc1->LEADDlgService = LEADDlgService1;
LEADDlgImgDoc1->EnableMethodErrors = false;
LEADDlgImgDoc1->ShowHelpButton = true;

nRet= LEADDlgImgDoc1->ShowRemoveRedeyeDlg ( this );
if ( nRet == SUCCESS_DLG_OK )
{
LEADImage1->RemoveRedeye ( LEADDlgImgDoc1->NewColor, LEADDlgImgDoc1->Threshold, LEADDlgImgDoc1->Lightness );
}
}

void __fastcall TForm1::LEADDlgImgDoc1DlgHelp(DWORD uDialogID)
{
switch ( uDialogID )
{
case DLG_HELP_REMOVEREDEYE:
ShowMessage( "Help from Remove Red eye dialog" );
break;

case DLG_HELP_SMOOTH:
ShowMessage( "Help from Smooth dialog" );
break;

case DLG_HELP_LINEREMOVE:
ShowMessage( "Help from Line-Remove dialog" );
break;

case DLG_HELP_BORDERREMOVE:
ShowMessage( "Help from Border-Remove dialog" );
break;

case DLG_HELP_INVERTEDTEXT:
ShowMessage( "Help from Inverted-Text dialog" );
break;

case DLG_HELP_DOTREMOVE:
ShowMessage( "Help from Dot-Remove dialog" );
break;

case DLG_HELP_HOLEPUNCHREMOVE:
ShowMessage( "Help from Hole-Punch-Remove dialog" );
break;
}
}


ShowResizeDlg example for C++ Builder

void __fastcall TForm1::ShowResizeDlg1Click(TObject *Sender)
{
L_INT nRet;
AnsiString strCaption;

LEADDlgImage1->MaxNewWidth = 0;
LEADDlgImage1->MaxNewHeight = 0;
LEADDlgImage1->MaxNewResolutionX = 0;
LEADDlgImage1->MaxNewResolutionY = 0;
LEADDlgImage1->OriginalWidth = LEADImage1->BitmapWidth;
LEADDlgImage1->OriginalHeight = LEADImage1->BitmapHeight;
LEADDlgImage1->OriginalResolutionX = LEADImage1->BitmapXRes;
LEADDlgImage1->OriginalResolutionY = LEADImage1->BitmapYRes;
LEADDlgImage1->OriginalBitsPerPixel = LEADImage1->BitmapBits;

LEADDlgImage1->DlgFlags = DLG_RESIZE_SHOW_IDENTICALVALUE |
DLG_RESIZE_SHOW_MAINTAINASPECT |
DLG_RESIZE_SHOW_PERCENTAGE |
DLG_RESIZE_AUTOPROCESS |
DLG_RESIZE_SHOW_RESOLUTIONGRP;

LEADDlgImage1->LEADImage = LEADImage1;
LEADDlgImage1->LEADDlgService = LEADDlgService1;
strCaption= LEADDlgService1->GetDialogString ( DLG_RESIZE_IDSTR_CAPTION );
ShowMessage ( "Old Caption: " + strCaption );

/*set some custom strings*/
LEADDlgService1->SetDialogString ( DLG_RESIZE_IDSTR_CAPTION, "My Custom Caption" );
/*set a custom font, note, you should use a font on your system*/
LEADDlgService1->DialogsFont->Name= "Bones";
LEADDlgService1->DialogsFont->Size= 9;

nRet= LEADDlgImage1->ShowResizeDlg ( this );
if ( nRet == SUCCESS_DLG_OK )
{
Edit1->Text= IntToStr(LEADDlgImage1->NewWidth);
Edit2->Text= IntToStr(LEADDlgImage1->NewHeight);
Edit3->Text= IntToStr(LEADDlgImage1->NewResolutionX);
Edit4->Text= IntToStr(LEADDlgImage1->NewResolutionY);

switch ( LEADDlgImage1->ResizeFlags )
{
case SIZE_NORMAL:
Edit5->Text= "Normal";
break;

case SIZE_FAVORBLACK:
Edit5->Text= "FAVORBLACK";
break;

case SIZE_RESAMPLE:
Edit5->Text= "RESAMPLE";
break;

case SIZE_BICUBIC:
Edit5->Text= "BICUBIC";
break;
}
}
}


ShowRippleDlg example for C++ Builder

void __fastcall TForm1::ShowRippleDlg1Click(TObject *Sender)
{
L_INT nRet;
LEADDlgImgEffect1->Amplitude = 100;
LEADDlgImgEffect1->Frequency = 50;
LEADDlgImgEffect1->DlgFlags = DLG_RIPPLE_SHOW_PREVIEW |
DLG_RIPPLE_SHOW_TOOL_ZOOMLEVEL;

LEADDlgImgEffect1->LEADImage = LEADImage1;

nRet= LEADDlgImgEffect1->ShowRippleDlg ( this );
if ( nRet == SUCCESS_DLG_OK )
{
LEADImage1->Ripple (LEADDlgImgEffect1->Amplitude,
LEADDlgImgEffect1->Frequency,
LEADDlgImgEffect1->Phase,
LEADDlgImgEffect1->Attenuation,
LEADDlgImgEffect1->CenterPoint,
LEADDlgImgEffect1->FillColor,
LEADDlgImgEffect1->RippleFlags );
}
}


ShowRotateDlg example for C++ Builder

void __fastcall TForm1::ShowRotateDlg1Click(TObject *Sender)
{
L_INT nRet;

LEADDlgImage1->ZoomToFit = False;
LEADDlgImage1->BackgroundColor = RGB ( 255, 0, 0 );
LEADDlgImage1->LEADImage = LEADImage1;
LEADDlgImage1->DlgFlags = DLG_ROTATE_AUTOPROCESS |
DLG_ROTATE_SHOW_PREVIEW |
DLG_ROTATE_SHOW_BACKCOLOR |
DLG_ROTATE_SHOW_RESIZE;

LEADDlgImage1->LEADDlgService = LEADDlgService1;
LEADDlgImage1->EnableMethodErrors = false;
LEADDlgImage1->ShowHelpButton = true;

nRet= LEADDlgImage1->ShowRotateDlg ( this );
if ( nRet == SUCCESS_DLG_OK )
{
/*output the results*/
Edit1->Text = IntToStr ( LEADDlgImage1->Angle);
if ( LEADDlgImage1->Resize )
Edit2->Text= "True";
else
Edit2->Text= "False";

switch ( LEADDlgImage1->ResizeFlags )
{
case 0:
ShowMessage("Using Resize normal method");
break;

case ROTATE_RESAMPLE:
ShowMessage("Using Resize resample method");
break;

case ROTATE_BICUBIC:
ShowMessage("Using Resize bicubic method");
break;
}

}
}
void __fastcall TForm1::LEADDlgImage1DlgHelp (DWORD uDialogID)
{
switch ( uDialogID )
{
case DLG_HELP_ROTATE:
ShowMessage( "Help from Rotate dialog" );
break;

case DLG_HELP_SHEAR:
ShowMessage( "Help from Shear dialog" );
break;

case DLG_HELP_RESIZE:
ShowMessage( "Help from Resize dialog" );
break;

case DLG_HELP_ADDBORDER:
ShowMessage( "Help from Add-Border dialog" );
break;

case DLG_HELP_ADDFRAME:
ShowMessage( "Help from Add-Frame dialog" );
break;

case DLG_HELP_AUTOTRIM:
ShowMessage( "Help from Auto-Trim dialog" );
break;

case DLG_HELP_CANVASRESIZE:
ShowMessage( "Help from Canvas-Resize dialog" );
break;

case DLG_HELP_FEATHERSELECTION:
ShowMessage( "Help from Feather-Selection dialog" );
break;
}
}


ShowSaturationDlg example for C++ Builder

void __fastcall TForm1::ShowSaturationDlg1Click(TObject *Sender)
{
L_INT nRet;
LEADDlgColor1->DlgFlags = DLG_SATURATION_SHOW_PREVIEW |
DLG_SATURATION_SHOW_TOOL_ZOOMLEVEL;
LEADDlgColor1->LEADImage = LEADImage1;
LEADDlgColor1->LEADDlgService = LEADDlgService1;
LEADDlgColor1->ShowSaturationDlg ( this );
if ( nRet == SUCCESS_DLG_OK )
{
LEADImage1->Saturation ( LEADDlgColor1->Change );
}
}


ShowSaveDlg example for C++ Builder

void __fastcall TForm1::ShowSaveDlg1Click(TObject *Sender)
{
L_INT nRet;
AnsiString strMsg;

LEADDlgFile1->DialogTitle = "Save a File";
LEADDlgFile1->MaxFileSize = 0;
LEADDlgFile1->MaxFileTitleSize = 0;
LEADDlgFile1->DlgFileFlags = 0;
LEADDlgFile1->InitialDir = "C:\\";
LEADDlgFile1->SaveMulti = MULTIPAGE_OPERATION_OVERWRITE;
LEADDlgFile1->DlgFlags = DLG_SAVE_AUTOPROCESS +
DLG_SAVE_SHOW_FILEOPTIONS_PROGRESSIVE +
DLG_SAVE_SHOW_FILEOPTIONS_MULTIPAGE +
DLG_SAVE_SHOW_FILEOPTIONS_STAMP +
DLG_SAVE_SHOW_FILEOPTIONS_QFACTOR +
DLG_SAVE_SHOW_FILEOPTIONS_J2KOPTIONS +
DLG_SAVE_SHOW_FILEOPTIONS_BASICJ2KOPTIONS;
LEADDlgFile1->LEADImage = LEADImage1;
nRet= LEADDlgFile1->ShowSaveDlg ( this );
if ( nRet == SUCCESS_DLG_OK )
{
strMsg= "FileName: " + LEADDlgFile1->FileName +"\n";
strMsg= strMsg + "FileTitle: " + LEADDlgFile1->FileTitle +"\n";
strMsg= strMsg + "SaveBitsPerPixel: " + IntToStr(LEADDlgFile1->SaveBitsPerPixel)+"\n";
strMsg= strMsg + "SaveFormat: " + IntToStr(LEADDlgFile1->SaveFormat)+"\n";
strMsg= strMsg + "PageNumber: " + IntToStr(LEADDlgFile1->PageNumber)+"\n";
strMsg= strMsg + "SaveQFactor: " + IntToStr(LEADDlgFile1->SaveQFactor)+"\n";
strMsg= strMsg + "SaveMulti: " + IntToStr(LEADDlgFile1->SaveMulti)+"\n";
strMsg= strMsg + "SavePasses: " + IntToStr(LEADDlgFile1->SavePasses)+"\n";
strMsg= strMsg + "SaveWithStamp: ";
if ( LEADDlgFile1->SaveWithStamp )
strMsg= strMsg + "True"+"\n";
else
strMsg= strMsg + "False"+"\n";
strMsg= strMsg + "SaveStampBits: " + IntToStr(LEADDlgFile1->SaveStampBits)+"\n";
strMsg= strMsg + "SaveStampWidth: " + IntToStr(LEADDlgFile1->SaveStampWidth)+"\n";
strMsg= strMsg + "SaveStampHeight: " + IntToStr(LEADDlgFile1->SaveStampHeight)+"\n";
strMsg= strMsg + "SaveInterlaced: ";
if ( LEADDlgFile1->SaveInterlaced )
strMsg= strMsg + "True";
else
strMsg= strMsg + "False";

ShowMessage(strMsg);
}
}


ShowSharpenDlg example for C++ Builder

void __fastcall TForm1::ShowSharpenDlg1Click(TObject *Sender)
{
L_INT nRet;
LEADDlgImgEffect1->DlgFlags = DLG_SHARPEN_SHOW_PREVIEW |
DLG_SHARPEN_SHOW_TOOL_ZOOMLEVEL;

LEADDlgImgEffect1->LEADImage = LEADImage1;

LEADDlgImgEffect1->ShowSharpenDlg ( this );
if ( nRet == SUCCESS_DLG_OK )
{
LEADImage1->Sharpen ( LEADDlgImgEffect1->Sharpness );
}
}


ShowShearDlg example for C++ Builder

void __fastcall TForm1::ShowShearDlg1Click(TObject *Sender)
{
LEADDlgImage1->Horizontal = true;
LEADDlgImage1->Angle = 4500;
LEADDlgImage1->BackgroundColor = RGB ( 255, 0, 0 );
LEADDlgImage1->DlgFlags = DLG_SHEAR_AUTOPROCESS |
DLG_SHEAR_SHOW_PREVIEW |
DLG_SHEAR_SHOW_BACKCOLOR |
DLG_SHEAR_SHOW_HORIZONTAL;

LEADDlgImage1->LEADImage = LEADImage1;
LEADDlgImage1->LEADDlgService = LEADDlgService1;

LEADDlgImage1->ShowShearDlg ( this );
}


ShowShiftDifferenceFilterDlg example for C++ Builder

void __fastcall TForm1::ShowShiftDifferenceFilterDlg1Click(TObject *Sender)
{
L_INT nRet;
LEADDlgImgEffect1->SpatialFilterType = FLT_SHIFTDIFF_HORZ;
LEADDlgImgEffect1->DlgFlags = DLG_SHIFTDIFFERENCEFILTER_SHOW_PREVIEW |
DLG_SHIFTDIFFERENCEFILTER_SHOW_TOOL_ZOOMLEVEL;

LEADDlgImgEffect1->LEADImage = LEADImage1;
LEADDlgImgEffect1->LEADDlgService = LEADDlgService1;

nRet= LEADDlgImgEffect1->ShowShiftDifferenceFilterDlg ( this );
if ( nRet == SUCCESS_DLG_OK )
{
LEADImage1->SpatialFilter ( LEADDlgImgEffect1->SpatialFilterType );
}
}


ShowSmoothDlg example for C++ Builder

void __fastcall TForm1::ShowSmoothDlg1Click(TObject *Sender)
{
L_INT nRet;
LEADDlgImgDoc1->ProcessFlags = SMOOTH_ALLFLAGS;
LEADDlgImgDoc1->Length = 1;
LEADDlgImgDoc1->WhiteAreaColor = RGB ( 255, 0, 0 );
LEADDlgImgDoc1->BlackAreaColor = RGB ( 0, 0, 255 );
LEADDlgImgDoc1->DlgFlags = DLG_SMOOTH_SHOW_PREVIEW |
DLG_SMOOTH_SHOW_TOOL_ZOOMLEVEL;

LEADDlgImgDoc1->LEADImage= LEADImage1;
LEADDlgImgDoc1->ShowSmoothDlg ( this );
if ( nRet == SUCCESS_DLG_OK )
{
LEADImage1->FreeRgn ( );
LEADImage2->Bitmap= LEADDlgImgDoc1->DocCleanBitmap;
LEADImage1->SetRgnHandle ( LEADImage2->GetRgnHandle ( ), 0, 0, L_RGN_SET );
LEADImage2->Bitmap= 0; /*no longer need copy*/
LEADDlgImgDoc1->DocCleanBitmap = 0; /*no longer need rgn either*/
LEADImage1->RgnFrameType= ftAnimated;
}
}


ShowSobelFilterDlg example for C++ Builder

void __fastcall TForm1::ShowSobelFilterDlg1Click(TObject *Sender)
{
L_INT nRet;
LEADDlgImgEffect1->SpatialFilterType = FLT_SOBEL_HORZ;
LEADDlgImgEffect1->DlgFlags = DLG_SOBELFILTER_SHOW_PREVIEW |
DLG_SOBELFILTER_SHOW_TOOL_ZOOMLEVEL;

LEADDlgImgEffect1->LEADImage = LEADImage1;

nRet= LEADDlgImgEffect1->ShowSobelFilterDlg ( this );
if ( nRet == SUCCESS_DLG_OK )
{
LEADImage1->SpatialFilter ( LEADDlgImgEffect1->SpatialFilterType );
}
}


ShowSolarizeDlg example for C++ Builder

void __fastcall TForm1::ShowSolarizeDlg1Click(TObject *Sender)
{
L_INT nRet;
LEADDlgColor1->DlgFlags = DLG_SOLARIZE_SHOW_PREVIEW |
DLG_SOLARIZE_SHOW_TOOL_ZOOMLEVEL;
LEADDlgColor1->LEADImage = LEADImage1;
LEADDlgColor1->LEADDlgService = LEADDlgService1;
nRet= LEADDlgColor1->ShowSolarizeDlg ( this );
if ( nRet == SUCCESS_DLG_OK )
{
LEADImage1->Solarize ( LEADDlgColor1->Threshold );
}
}


ShowSpherizeDlg example for C++ Builder

void __fastcall TForm1::ShowSpherizeDlg1Click(TObject *Sender)
{
L_INT nRet;
LEADDlgImgEffect1->DlgFlags = DLG_SPHERIZE_SHOW_PREVIEW |
DLG_SPHERIZE_SHOW_TOOL_ZOOMLEVEL;

LEADDlgImgEffect1->LEADImage = LEADImage1;
nRet= LEADDlgImgEffect1->ShowSpherizeDlg ( this );
if ( nRet == SUCCESS_DLG_OK )
{
LEADImage1->Spherize (LEADDlgImgEffect1->Value,
LEADDlgImgEffect1->CenterPoint,
LEADDlgImgEffect1->FillColor,
LEADDlgImgEffect1->SpherizeFlags );
}
}


ShowStitchDlg example for C++ Builder

void __fastcall TForm1::ShowStitchDlg1Click(TObject *Sender)
{
L_INT i;
L_INT nRet;
AnsiString FileNames[3]= { "e:\\image1.jpg", "e:\\image2.jpg", "e:\\image3.jpg" };

LEADDlgImgEffect1->ItemsCount = 3;

for ( i= 0; i < 3; i ++ )
{
LEADImage2->LoadStamp ( FileNames[i] );
LEADDlgImgEffect1->ItemDescription [i]= IntToStr(i);
LEADDlgImgEffect1->ItemFileName [i]= FileNames[i];
LEADDlgImgEffect1->ItemBitmap[i]= LEADImage2->Bitmap;
}

LEADDlgImgEffect1->BitmapWidth = 320;
LEADDlgImgEffect1->BitmapHeight = 200;
LEADDlgImgEffect1->BitmapBitsPerPixel = 24;
LEADDlgImgEffect1->Resolution = 72;
LEADDlgImgEffect1->BackgroundColor = RGB ( 255, 255, 255 );
LEADDlgImgEffect1->WindowIcon ->LoadFromFile ( "MyIcon.ico" );
LEADDlgImgEffect1->CommandShow = SW_SHOW;

nRet= LEADDlgImgEffect1->ShowStitchDlg ( this );
if ( nRet == SUCCESS_DLG_EXPORTANDEXIT )
{
LEADImage1->Bitmap= LEADDlgImgEffect1->StitchBitmap;
}
}


ShowSwirlDlg example for C++ Builder

void __fastcall TForm1::ShowSwirlDlg1Click(TObject *Sender)
{
L_INT nRet;
LEADDlgImgEffect1->DlgFlags = DLG_SWIRL_SHOW_PREVIEW |
DLG_SWIRL_SHOW_TOOL_ZOOMLEVEL;

LEADDlgImgEffect1->LEADImage = LEADImage1;

nRet= LEADDlgImgEffect1->ShowSwirlDlg ( this );
if ( nRet == SUCCESS_DLG_OK )
{
LEADImage1->Swirl ( LEADDlgImgEffect1->Angle,
LEADDlgImgEffect1->CenterPoint );
}
}


ShowUnderlayDlg example for C++ Builder

void __fastcall TForm1::ShowUnderlayDlg1Click(TObject *Sender)
{
L_INT i;
L_INT nRet;
AnsiString FileNames[3]= { "e:\\image1.jpg", "e:\\image2.jpg", "e:\\image3.jpg" };

LEADDlgImgEffect1->ItemsCount = 3;

for ( i= 0; i < 3; i ++ )
{
LEADImage2->LoadStamp ( FileNames[i] );
LEADDlgImgEffect1->ItemDescription [i]= IntToStr(i);
LEADDlgImgEffect1->ItemFileName [i]= FileNames[i];
LEADDlgImgEffect1->ItemBitmap[i]= LEADImage2->Bitmap;
}
LEADDlgImgEffect1->SelectedBitmapIndex = 0;
LEADDlgImgEffect1->UnderlayFlags = UB_TILE;
LEADDlgImgEffect1->DlgFlags = DLG_UNDERLAY_SHOW_PREVIEW |
DLG_UNDERLAY_SHOW_TOOL_ZOOMLEVEL;

LEADDlgImgEffect1->LEADImage = LEADImage1;
nRet= LEADDlgImgEffect1->ShowUnderlayDlg ( this );
if ( nRet == SUCCESS_DLG_OK )
{
LEADImage1->Underlay ( LEADDlgImgEffect1->SelectedBitmap,
LEADDlgImgEffect1->UnderlayFlags );
}
}


ShowUnsharpMaskDlg example for C++ Builder

void __fastcall TForm1::ShowUnsharpMaskDlg1Click(TObject *Sender)
{
L_INT nRet;
LEADDlgImgEffect1->DlgFlags = DLG_UNSHARPMASK_SHOW_PREVIEW |
DLG_UNSHARPMASK_SHOW_TOOL_ZOOMLEVEL;

LEADDlgImgEffect1->LEADImage = LEADImage1;

nRet= LEADDlgImgEffect1->ShowUnsharpMaskDlg ( this );
if ( nRet == SUCCESS_DLG_OK )
{
LEADImage1->UnsharpMask ( LEADDlgImgEffect1->Amount,
LEADDlgImgEffect1->Radius,
LEADDlgImgEffect1->Threshold,
LEADDlgImgEffect1->UnshrpMaskFlags );
}
}


ShowWaveDlg example for C++ Builder

void __fastcall TForm1::ShowWaveDlg1Click(TObject *Sender)
{
L_INT nRet;
LEADDlgImgEffect1->DlgFlags = DLG_WAVE_SHOW_PREVIEW |
DLG_WAVE_SHOW_TOOL_ZOOMLEVEL;

LEADDlgImgEffect1->LEADImage = LEADImage1;
nRet= LEADDlgImgEffect1->ShowWaveDlg ( this );
if ( nRet == SUCCESS_DLG_OK )
{
LEADImage1->Wave (LEADDlgImgEffect1->Amplitude,
LEADDlgImgEffect1->WaveLength,
LEADDlgImgEffect1->Angle,
LEADDlgImgEffect1->HorzScale,
LEADDlgImgEffect1->VertScale,
LEADDlgImgEffect1->FillColor,
LEADDlgImgEffect1->WaveFlags );

}
}


ShowWindDlg example for C++ Builder

void __fastcall TForm1::ShowWindDlg1Click(TObject *Sender)
{
L_INT nRet;
LEADDlgImgEffect1->Angle = 4500;
LEADDlgImgEffect1->Dimension = 40;
LEADDlgImgEffect1->DlgFlags = DLG_WIND_SHOW_PREVIEW |
DLG_WIND_SHOW_TOOL_ZOOMLEVEL;

LEADDlgImgEffect1->LEADImage = LEADImage1;

nRet= LEADDlgImgEffect1->ShowWindDlg ( this );
if ( nRet == SUCCESS_DLG_OK )
{
LEADImage1->Wind (LEADDlgImgEffect1->Dimension,
LEADDlgImgEffect1->Angle,
LEADDlgImgEffect1->Opacity );
}
}


ShowWindowLevelDlg example for C++ Builder

void __fastcall TForm1::ShowWindowLevelDlg1Click(TObject *Sender)
{
unsigned i;

LEADImage1->GrayScale ( 12 ); /*make image 12-bit grayscale*/
LEADImage1->ForceRepaint ( );

LEADDlgColor1->WindowLevelStartColor = clRed;
LEADDlgColor1->WindowLevelEndColor = clBlue;
LEADDlgColor1->LEADImage = LEADImage1; /*assign the main control for processing*/
LEADDlgColor1->DlgFlags = DLG_WINDOWLEVEL_SHOW_PREVIEW +
DLG_WINDOWLEVEL_SHOW_TOOL_ZOOMLEVEL +
DLG_WINDOWLEVEL_SHOW_RANGE;
LEADImage1->GetMinMaxBits();
LEADImage1->GetMinMaxVal();

LEADDlgColor1->WindowLevelLowBit = LEADImage1->MinBit;
LEADDlgColor1->WindowLevelHighBit = LEADImage1->MaxBit;
LEADDlgColor1->WindowLevelLow = LEADImage1->MinVal;
LEADDlgColor1->WindowLevelHigh = LEADImage1->MaxVal;
LEADDlgColor1->WindowLevelFactor = 10;
LEADDlgColor1->WindowLevelFlags = FILLLUT_INSIDE + FILLLUT_LOGARITHMIC;

int nRet= LEADDlgColor1->ShowWindowLevelDlg ( this );
if ( nRet == SUCCESS_DLG_OK )
{
LEADImage1->WindowLevelBitmap= false;
LEADImage1->LevelLowBit= LEADDlgColor1->WindowLevelLowBit;
LEADImage1->LevelHighBit= LEADDlgColor1->WindowLevelHighBit;
for ( i= 0; i < LEADDlgColor1->WindowLevelLUTLength; i ++ )
{
LEADImage1->LevelLUT[i]= (TColor)LEADDlgColor1->WindowLevelLUT [i];
}
LEADImage1->WindowLevel ( );
}
}


ShowZoomBlurDlg example for C++ Builder

void __fastcall TForm1::ShowZoomBlurDlg1Click(TObject *Sender)
{
L_INT nRet;
LEADDlgImgEffect1->DlgFlags = DLG_ZOOMBLUR_SHOW_PREVIEW |
DLG_ZOOMBLUR_SHOW_TOOL_ZOOMLEVEL;

LEADDlgImgEffect1->LEADImage = LEADImage1;

nRet= LEADDlgImgEffect1->ShowZoomBlurDlg ( this );
if ( nRet == SUCCESS_DLG_OK )
{
LEADImage1->ZoomBlur ( LEADDlgImgEffect1->Dimension, LEADDlgImgEffect1->Stress, LEADDlgImgEffect1->CenterPoint );
}
}


ShowZoomWaveDlg example for C++ Builder

void __fastcall TForm1::ShowZoomWaveDlg1Click(TObject *Sender)
{
L_INT nRet;
LEADDlgImgEffect1->DlgFlags = DLG_ZOOMWAVE_SHOW_PREVIEW |
DLG_ZOOMWAVE_SHOW_TOOL_ZOOMLEVEL;

LEADDlgImgEffect1->LEADImage = LEADImage1;

nRet= LEADDlgImgEffect1->ShowZoomWaveDlg ( this );
if ( nRet == SUCCESS_DLG_OK )
{
LEADImage1->ZoomWave ( LEADDlgImgEffect1->Amplitude,
LEADDlgImgEffect1->Frequency,
LEADDlgImgEffect1->Phase,
LEADDlgImgEffect1->ZoomFactor,
LEADDlgImgEffect1->CenterPoint,
LEADDlgImgEffect1->FillColor,
LEADDlgImgEffect1->ZoomWaveFlags );
}
}


Tutorial for Delphi Programmers

The following topics provide brief and simple examples to help you learn how to use the LEADTOOLS Common Dialogs VCL.

Note:

These tutorial examples are intended to be easy to understand and easy to test. The example programs in the EXAMPLES subdirectory provide more in depth design and more detailed code.

Miscellaneous Examples


Miscellaneous Examples (Delphi)

DialogsFont example for Delphi

Error (LEADDlgColor Control) example for Delphi

Error (LEADDlgEffect Control) example for Delphi

Error (LEADDlgFile Control) example for Delphi

Error (LEADDlgImage Control) example for Delphi

Error (LEADDlgImgDoc Control) example for Delphi

Error (LEADDlgImgEffect Control) example for Delphi

Error (LEADDlgWeb Control) example for Delphi

FileFormatsCount example for Delphi

FreeDialogs example for Delphi

InitDialogs example for Delphi

OnOpenFile example for Delphi

OptionsFileType example for Delphi

SaveQFactor example for Delphi

ShowAddBitmapsDlg example for Delphi

ShowAddBorderDlg example for Delphi

ShowAddFrameDlg example for Delphi

ShowAddNoiseDlg example for Delphi

ShowAntiAliasDlg example for Delphi

ShowAutoTrimDlg example for Delphi

ShowAverageDlg example for Delphi

ShowBalanceColorsDlg example for Delphi

ShowBendingDlg example for Delphi

ShowBorderRemoveDlg example for Delphi

ShowBrightnessDlg example for Delphi

ShowCanvasResizeDlg example for Delphi

ShowColorDlg example for Delphi

ShowColoredGrayDlg example for Delphi

ShowColorResDlg example for Delphi

ShowContourFilterDlg example for Delphi

ShowContrastDlg example for Delphi

ShowCustomizePaletteDlg example for Delphi

ShowCylindricalDlg example for Delphi

ShowDilationFilterDlg example for Delphi

ShowDotRemoveDlg example for Delphi

ShowEdgeDetectorDlg example for Delphi

ShowEmbossDlg example for Delphi

ShowErosionFilterDlg example for Delphi

ShowFileConversionDlg example for Delphi

ShowFilesAssociationDlg example for Delphi

ShowFreeHandShearDlg example for Delphi

ShowFreeHandWaveDlg example for Delphi

ShowGammaAdjustmentDlg example for Delphi

ShowGaussianBlurDlg example for Delphi

ShowGetDirectoryDlg example for Delphi

ShowGetEffectDlg example for Delphi

ShowGetGradientDlg example for Delphi

ShowGetShapeDlg example for Delphi

ShowGetTextDlg example for Delphi

ShowGetTransitionDlg example for Delphi

ShowGIFWebTunerDlg example for Delphi

ShowGradientFilterDlg example for Delphi

ShowGrayScaleDlg example for Delphi

ShowHalftoneDlg example for Delphi

ShowHistoContrastDlg example for Delphi

ShowHistogramDlg example for Delphi

ShowHolePunchRemoveDlg example for Delphi

ShowHTMLMapperDlg example for Delphi

ShowHueDlg example for Delphi

ShowImpressionistDlg example for Delphi

ShowIntensityDetectDlg example for Delphi

ShowInvertedTextDlg example for Delphi

ShowJPEGWebTunerDlg example for Delphi

ShowLaplacianFilterDlg example for Delphi

ShowLineRemoveDlg example for Delphi

ShowLineSegmentFilterDlg example for Delphi

ShowLocalHistoEqualizeDlg example for Delphi

ShowMaxFilterDlg example for Delphi

ShowMedianDlg example for Delphi

ShowMinFilterDlg example for Delphi

ShowMosaicDlg example for Delphi

ShowMotionBlurDlg example for Delphi

ShowMultiplyDlg example for Delphi

ShowOilifyDlg example for Delphi

ShowOpenDlg example for Delphi

ShowPicturizeDlg example for Delphi

ShowPixelateDlg example for Delphi

ShowPNGWebTunerDlg example for Delphi

ShowPolarDlg example for Delphi

ShowPosterizeDlg example for Delphi

ShowPrewittFilterDlg example for Delphi

ShowPrintPreviewDlg example for Delphi

ShowPrintStitchedImagesDlg example for Delphi

ShowPunchDlg example for Delphi

ShowRadialBlurDlg example for Delphi

ShowRadialWaveDlg example for Delphi

ShowRemapHueDlg example for Delphi

ShowRemapIntensityDlg example for Delphi

ShowRemoveRedeyeDlg example for Delphi

ShowResizeDlg example for Delphi

ShowRippleDlg example for Delphi

ShowRotateDlg example for Delphi

ShowSaturationDlg example for Delphi

ShowSaveDlg example for Delphi

ShowSharpenDlg example for Delphi

ShowShearDlg example for Delphi

ShowShiftDifferenceFilterDlg example for Delphi

ShowSmoothDlg example for Delphi

ShowSobelFilterDlg example for Delphi

ShowSolarizeDlg example for Delphi

ShowSpherizeDlg example for Delphi

ShowStitchDlg example for Delphi

ShowSwirlDlg example for Delphi

ShowUnderlayDlg example for Delphi

ShowUnsharpMaskDlg example for Delphi

ShowWaveDlg example for Delphi

ShowWindDlg example for Delphi

ShowWindowLevelDlg example for Delphi

ShowZoomBlurDlg example for Delphi

ShowZoomWaveDlg example for Delphi


DialogsFont example for Delphi

procedure TForm1.ShowResizeDlg1Click(Sender: TObject);
var
strCaption: String;
begin
LEADDlgImage1.DlgFlags:= DLG_RESIZE_SHOW_IDENTICALVALUE Or
DLG_RESIZE_SHOW_MAINTAINASPECT Or
DLG_RESIZE_SHOW_PERCENTAGE Or
DLG_RESIZE_AUTOPROCESS Or
DLG_RESIZE_SHOW_RESOLUTIONGRP;

LEADDlgImage1.LEADImage:= LEADImage1;
LEADDlgImage1.LEADDlgService:= LEADDlgService1;
strCaption:= LEADDlgService1.GetDialogString ( DLG_RESIZE_IDSTR_CAPTION );
ShowMessage ( 'Old Caption: ' + strCaption );

{set some custom strings}
LEADDlgService1.SetDialogString ( DLG_RESIZE_IDSTR_CAPTION, 'My Custom Caption' );
{set a custom font, note, you should use a font on your system}
LEADDlgService1.DialogsFont.Name:= 'Bones';
LEADDlgService1.DialogsFont.Size := 9;

LEADDlgImage1.ShowResizeDlg ( Self );
end;


Error (LEADDlgColor Control) example for Delphi

procedure TForm1.Button1Click(Sender: TObject);
begin
LEADDlgColor1.EnableMethodErrors := true;
try
LEADDlgColor1.ShowBalanceColorsDlg ( Nil );
except
ShowMessage('Calling ShowBalanceColorsDlg method failed'#10'Error No ' + IntToStr(LEADDlgColor1.Error) + #10 + LEADDlgColor1.ErrorMsg);
end;
end;


Error (LEADDlgEffect Control) example for Delphi

procedure TForm1.Button1Click(Sender: TObject);
begin
LEADDlgEffect1.EnableMethodErrors:= true;
try
LEADDlgEffect1.ShowGetShapeDlg ( Nil );
except
ShowMessage('Calling ShowGetShapeDlg method failed'#10'Error No ' + IntToStr(LEADDlgEffect1.Error) + #10 + LEADDlgEffect1.ErrorMsg);
end;
end;


Error (LEADDlgFile Control) example for Delphi

procedure TForm1.Button1Click(Sender: TObject);
begin
LEADDlgFile1.EnableMethodErrors:= true;
try
LEADDlgFile1.ShowOpenDlg ( Nil );
except
ShowMessage('Calling ShowOpenDlg method failed'#10'Error No ' + IntToStr(LEADDlgFile1.Error) + #10 + LEADDlgFile1.ErrorMsg);
end;
end;


Error (LEADDlgImage Control) example for Delphi

procedure TForm1.Button1Click(Sender: TObject);
begin
LEADDlgImage1.EnableMethodErrors:= true;
try
LEADDlgImage1.ShowRotateDlg ( Nil );
except
ShowMessage('Calling ShowRotateDlg method failed'#10'Error No ' + IntToStr(LEADDlgImage1.Error) + #10 + LEADDlgImage1.ErrorMsg);
end;
end;


Error (LEADDlgImgDoc Control) example for Delphi

procedure TForm1.Button1Click(Sender: TObject);
begin
LEADDlgImgDoc1.EnableMethodErrors:= true;
try
LEADDlgImgDoc1.ShowRemoveRedeyeDlg ( Nil );
except
ShowMessage('Calling ShowRemoveRedeyeDlg method failed'#10'Error No ' + IntToStr(LEADDlgImgDoc1.Error) + #10 + LEADDlgImgDoc1.ErrorMsg);
end;
end;


Error (LEADDlgImgEffect Control) example for Delphi

procedure TForm1.Button1Click(Sender: TObject);
begin
LEADDlgImgEffect1.EnableMethodErrors:= true;
try
LEADDlgImgEffect1.ShowMotionBlurDlg ( Nil );
except
ShowMessage('Calling ShowMotionBlurDlg method failed'#10'Error No ' + IntToStr(LEADDlgImgEffect1.Error) + #10 + LEADDlgImgEffect1.ErrorMsg);
end;
end;


Error (LEADDlgWeb Control) example for Delphi

procedure TForm1.Button1Click(Sender: TObject);
begin
LEADDlgWeb1.EnableMethodErrors:= true;
try
LEADDlgWeb1.ShowPNGWebTunerDlg( Nil );
except
ShowMessage('Calling ShowPNGWebTunerDlg method failed'#10'Error No ' + IntToStr(LEADDlgWeb1.Error) + #10 + LEADDlgWeb1.ErrorMsg);
end;
end;


FileFormatsCount example for Delphi

procedure TForm1.ShowSaveDlg3Click(Sender: TObject);
begin
LEADDlgFile1.DialogTitle:= 'Save a File';
LEADDlgFile1.MaxFileSize:= 0;
LEADDlgFile1.MaxFileTitleSize:= 0;
LEADDlgFile1.DlgFileFlags:= 0;
LEADDlgFile1.InitialDir:= 'C:\';
LEADDlgFile1.FileFormatsCount:= 2;

LEADDlgFile1.FileFormats [0].Format:= DLG_FF_SAVE_LEAD;
LEADDlgFile1.FileFormats [0].BppCount:= 1;
LEADDlgFile1.FileFormats [0].FormatBpp [0]:= 24;
LEADDlgFile1.FileFormats [0].SubFormats [0]:= DLG_FF_SAVE_SUB_CMP_NONPROGRESSIVE + DLG_FF_SAVE_SUB_CMP_PROGRESSIVE;

LEADDlgFile1.FileFormats [1].Format:= DLG_FF_SAVE_TIFF;
LEADDlgFile1.FileFormats [1].BppCount:= 1;
LEADDlgFile1.FileFormats [1].FormatBpp [0]:= 24;
LEADDlgFile1.FileFormats [1].SubFormats [0]:= DLG_FF_SAVE_SUB_TIFF1_CCITT + DLG_FF_SAVE_SUB_TIFF1_CCITT_G3_1D +
DLG_FF_SAVE_SUB_TIFF1_CCITT_G3_2D + DLG_FF_SAVE_SUB_TIFF1_CCITT_G4 +
DLG_FF_SAVE_SUB_TIFF1_UNCOMPRESSEDRGB + DLG_FF_SAVE_SUB_TIFF1_RLERGB +
DLG_FF_SAVE_SUB_TIFF1_LZWRGB + DLG_FF_SAVE_SUB_TIFF1_JBIG;

LEADDlgFile1.SaveFileTypeIndex:= DLG_FF_SAVE_LEAD;
LEADDlgFile1.SaveSubTypeIndex:= DLG_FF_SAVE_SUB_CMP_PROGRESSIVE;
LEADDlgFile1.DlgFlags:= DLG_SAVE_AUTOPROCESS +
DLG_SAVE_SHOW_FILEOPTIONS_PROGRESSIVE +
DLG_SAVE_SHOW_FILEOPTIONS_MULTIPAGE +
DLG_SAVE_SHOW_FILEOPTIONS_STAMP +
DLG_SAVE_SHOW_FILEOPTIONS_QFACTOR +
DLG_SAVE_SHOW_FILEOPTIONS_J2KOPTIONS +
DLG_SAVE_SHOW_FILEOPTIONS_BASICJ2KOPTIONS;
LEADDlgFile1.LEADImage:= LEADImage1;
LEADDlgFile1.ShowSaveDlg ( Self );
end;


FreeDialogs example for Delphi

procedure TForm1.FormClose(Sender: TObject; var Action: TCloseAction);
begin
LEADDlgService1.FreeDialogs ( );
end;


InitDialogs example for Delphi

procedure TForm1.FormCreate(Sender: TObject);
var
nRet: L_INT;
begin
nRet:= LEADDlgService1.InitDialogs ( DLG_INIT_COLOR );
if ( nRet = SUCCESS ) then
begin
LEADImage1.Load ( 'e:\image1.cmp', 0, 1, 1 );

end;
end;


OnOpenFile example for Delphi

procedure TForm1.ShowOpenDlg3Click(Sender: TObject);
begin
LEADDlgFile1.DialogTitle:= 'LEADTOOLS Open dialog box';
LEADDlgFile1.InitialDir:= 'c:\images';
LEADDlgFile1.DlgFileFlags:= DLG_OPEN_ALLOWMULTI;
LEADDlgFile1.MaxFileSize:= 0;
LEADDlgFile1.MaxFileTitleSize:= 0;

LEADDlgFile1.DlgFlags:= DLG_OPEN_SHOW_PROGRESSIVE +
DLG_OPEN_SHOW_MULTIPAGE +
DLG_OPEN_SHOW_LOADROTATED +
DLG_OPEN_SHOW_LOADCOMPRESSED +
DLG_OPEN_SHOW_FILEINFO +
DLG_OPEN_SHOW_PREVIEW +
DLG_OPEN_SHOW_DELPAGE +
DLG_OPEN_VIEWTOTALPAGES +
DLG_OPEN_LOADBITMAP +
DLG_OPEN_GENERATETHUMBNAIL;

LEADDlgFile1.LEADImage:= LEADImage1;
LEADDlgFile1.ShowOpenDlg ( Self );

end;
Function TForm1.LEADDlgFile1OpenFile ( nFilePercent,
nTotalPercent: Integer ): Integer;
begin
Caption:= LEADDlgFile1.FileName;
if ( nFilePercent = 100 ) then
begin
LEADImage1.Bitmap:= LEADDlgFile1.Bitmap;
LEADImage2.Bitmap:= LEADDlgFile1.Thumbnail;
end;
Result:= SUCCESS;
end;


OptionsFileType example for Delphi

procedure TForm1.ShowOpenDlg2Click(Sender: TObject);
var
i: L_INT;
nRet: L_INT;
begin
LEADDlgFile1.DialogTitle:= 'LEADTOOLS Open dialog box';
LEADDlgFile1.InitialDir:= 'c:\images';
LEADDlgFile1.DlgFileFlags:= 0;
LEADDlgFile1.PreviewEnabled:= True;
LEADDlgFile1.ShowLoadOptions:= True;
LEADDlgFile1.LoadRotated:= False;
LEADDlgFile1.LoadCompressed:= False;
LEADDlgFile1.LoadPasses:= 0;
LEADDlgFile1.MaxFileSize:= 0;
LEADDlgFile1.MaxFileTitleSize:= 0;

LEADDlgFile1.DlgFlags:= DLG_OPEN_SHOW_PROGRESSIVE +
DLG_OPEN_SHOW_MULTIPAGE +
DLG_OPEN_SHOW_LOADROTATED +
DLG_OPEN_SHOW_LOADCOMPRESSED +
DLG_OPEN_SHOW_FILEINFO +
DLG_OPEN_SHOW_PREVIEW +
DLG_OPEN_SHOW_DELPAGE +
DLG_OPEN_SHOW_PDFOPTIONS +
DLG_OPEN_SHOW_RASTEROPTIONS +
DLG_OPEN_SHOW_VECTOROPTIONS +
DLG_OPEN_SHOW_LOADOPTIONS +
DLG_OPEN_VIEWTOTALPAGES +
DLG_OPEN_LOADBITMAP +
DLG_OPEN_GENERATETHUMBNAIL;

LEADDlgFile1.LEADImage:= LEADImage1;
nRet:= LEADDlgFile1.ShowOpenDlg ( Self );
if ( nRet = SUCCESS_DLG_OK ) then
begin
Case ( LEADDlgFile1.OptionsFileType ) of
FILE_PCD:
begin
Edit1.Text:= IntToStr ( LEADDlgFile1.PCDResolution );
end;

FILE_RAS_PDF,
FILE_RAS_PDF_G3_1D,
FILE_RAS_PDF_G3_2D,
FILE_RAS_PDF_G4,
FILE_RAS_PDF_JPEG,
FILE_RAS_PDF_JPEG_422,
FILE_RAS_PDF_JPEG_411:
begin
Edit1.Text:= IntToStr ( LEADDlgFile1.PDFXResolution );
Edit2.Text:= IntToStr ( LEADDlgFile1.PDFYResolution );
Edit3.Text:= IntToStr ( LEADDlgFile1.PDFDisplayDepth );
Edit4.Text:= IntToStr ( LEADDlgFile1.PDFTextAlpha );
Edit5.Text:= IntToStr ( LEADDlgFile1.PDFGraphicsAlpha );
end;

FILE_FPX,
FILE_FPX_SINGLE_COLOR,
FILE_FPX_JPEG,
FILE_FPX_JPEG_QFACTOR,
FILE_CMW,
FILE_JBIG,
FILE_JP2,
FILE_J2K:
begin
Edit1.Text:= IntToStr ( LEADDlgFile1.RASTERMISCXResolution );
Edit2.Text:= IntToStr ( LEADDlgFile1.RASTERMISCYResolution );
end;

FILE_WMF,
FILE_EMF:
begin
Edit1.Text:= IntToStr ( LEADDlgFile1.METAFILEXResolution );
Edit2.Text:= IntToStr ( LEADDlgFile1.METAFILEYResolution );
end;

FILE_DWF,
FILE_CGM,
FILE_CMX,
FILE_PCL,
FILE_VECTOR_DUMP,
FILE_PCT,
FILE_DRW,
FILE_INTERGRAPH_VECTOR,
FILE_GERBER,
FILE_SHP,
FILE_SVG,
FILE_VWPG:
begin
Edit1.Text:= IntToStr ( LEADDlgFile1.VECTORMISCViewportWidth );
Edit2.Text:= IntToStr ( LEADDlgFile1.VECTORMISCViewportHeight );
Edit3.Text:= IntToStr ( LEADDlgFile1.VECTORMISCViewportMode );
Edit4.Text:= LEADDlgFile1.VECTORMISCFont;
end;

FILE_DXF,
FILE_DXF_R13,
FILE_DWG:
begin
Edit1.Text:= IntToStr ( LEADDlgFile1.DXFViewportWidth );
Edit2.Text:= IntToStr ( LEADDlgFile1.DXFViewportHeight );
Edit3.Text:= IntToStr ( LEADDlgFile1.DXFViewportMode );
Edit4.Text:= LEADDlgFile1.DXFFont;
Edit5.Text:= IntToStr ( LEADDlgFile1.DXFAutoCADColorScheme );
end;

FILE_PLT:
begin
Edit1.Text:= IntToStr ( LEADDlgFile1.PLTViewportWidth );
Edit2.Text:= IntToStr ( LEADDlgFile1.PLTViewportHeight );
Edit3.Text:= IntToStr ( LEADDlgFile1.PLTViewportMode );
Edit4.Text:= LEADDlgFile1.PLTFont;
Edit5.Text:= '[ ' + IntToStr ( LEADDlgFile1.PLTPenWidth [0] );
Edit6.Text:= '[ ' + IntToStr ( LEADDlgFile1.PLTPenColor [0] );
for i:= 1 to 7 do
begin
Edit5.Text:= Edit5.Text + ', ' + IntToStr ( LEADDlgFile1.PLTPenWidth [i] );
Edit6.Text:= Edit6.Text + ', ' + IntToStr ( LEADDlgFile1.PLTPenColor [i] );
end;
Edit5.Text:= Edit5.Text + ' ]';
Edit6.Text:= Edit6.Text + ' ]';
end;

Else
begin
Edit1.Text:= 'None';
end;
end;
end;
end;


SaveJBIG2SaveFlags Example for Delphi

procedure TForm1.Button1Click(Sender: TObject);
var
nRet: Integer;
begin
LEADDlgFile1.DlgFlags:= LEADDlgFile1.DlgFlags + DLG_SAVE_SHOW_FILEOPTIONS_JBIG2OPTIONS;

nRet:= LEADDlgFile1.ShowSaveDlg (Self);
if(nRet = SUCCESS_DLG_OK)then
begin
LEADImage1.JBIG2SaveFlags := LEADDlgFile1.SaveJBIG2SaveFlags;
LEADImage1.JBIG2TemplateType := LEADDlgFile1.SaveJBIG2TemplateType;
LEADImage1.JBIG2GBATX1 := LEADDlgFile1.SaveJBIG2GBATX1;
LEADImage1.JBIG2GBATY1 := LEADDlgFile1.SaveJBIG2GBATY1;
LEADImage1.JBIG2GBATX2 : = LEADDlgFile1.SaveJBIG2GBATX2;
LEADImage1.JBIG2GBATY2 := LEADDlgFile1.SaveJBIG2GBATY2;
LEADImage1.JBIG2GBATX3 := LEADDlgFile1.SaveJBIG2GBATX3;
LEADImage1.JBIG2GBATY3 := LEADDlgFile1.SaveJBIG2GBATY3;
LEADImage1.JBIG2GBATX4 := LEADDlgFile1.SaveJBIG2GBATX4;
LEADImage1.JBIG2GBATY4 := LEADDlgFile1.SaveJBIG2GBATY4;

LEADImage1.Save (LEADDlgFile1.FileName,
LEADDlgFile1.SaveFormat,
LEADDlgFile1.SaveBitsPerPixel,
LEADDlgFile1.SaveQFactor,
LEADDlgFile1.SaveMulti);
end;
end;


SaveQFactor example for Delphi

procedure TForm1.ShowSaveDlg2Click(Sender: TObject);
var
nRet: L_INT;
begin
LEADDlgFile1.DialogTitle:= 'Save a File';
LEADDlgFile1.MaxFileSize:= 0;
LEADDlgFile1.MaxFileTitleSize:= 0;
LEADDlgFile1.DlgFileFlags:= 0;
LEADDlgFile1.InitialDir:= 'C:\';
LEADDlgFile1.SaveMulti:= MULTIPAGE_OPERATION_OVERWRITE;
LEADDlgFile1.DlgFlags:= DLG_SAVE_SHOW_FILEOPTIONS_PROGRESSIVE +
DLG_SAVE_SHOW_FILEOPTIONS_MULTIPAGE +
DLG_SAVE_SHOW_FILEOPTIONS_STAMP +
DLG_SAVE_SHOW_FILEOPTIONS_QFACTOR +
DLG_SAVE_SHOW_FILEOPTIONS_J2KOPTIONS +
DLG_SAVE_SHOW_FILEOPTIONS_BASICJ2KOPTIONS;
LEADDlgFile1.LEADImage:= LEADImage1;
nRet:= LEADDlgFile1.ShowSaveDlg ( Self );
if ( nRet = SUCCESS_DLG_OK ) then
begin
if ( (LEADDlgFile1.SaveFormat = FILE_J2K) Or
(LEADDlgFile1.SaveFormat = FILE_JP2) ) then
begin
LEADImage1.J2KUseColorTransform:= LEADDlgFile1.SaveJ2KUseColorTransform;
LEADImage1.J2KDerivedQuantization:= LEADDlgFile1.SaveJ2KDerivedQuantization;
LEADImage1.J2KCompressionControl:= LEADDlgFile1.SaveJ2KCompressionControl;
LEADImage1.J2KCompressionRatio:= LEADDlgFile1.SaveJ2KCompressionRatio;
LEADImage1.J2KTargetFileSize:= LEADDlgFile1.SaveJ2KTargetFileSize;
LEADImage1.J2KXOsiz:= LEADDlgFile1.SaveJ2KXOsiz;
LEADImage1.J2KYOsiz:= LEADDlgFile1.SaveJ2KYOsiz;
LEADImage1.J2KXTsiz:= LEADDlgFile1.SaveJ2KXTsiz;
LEADImage1.J2KYTsiz:= LEADDlgFile1.SaveJ2KYTsiz;
LEADImage1.J2KXTOsiz:= LEADDlgFile1.SaveJ2KXTOsiz;
LEADImage1.J2KYTOsiz:= LEADDlgFile1.SaveJ2KYTOsiz;
LEADImage1.J2KDecompLevel:= LEADDlgFile1.SaveJ2KDecompLevel;
LEADImage1.J2KProgressOrder:= LEADDlgFile1.SaveJ2KProgressOrder;
LEADImage1.J2KCodBlockWidth:= LEADDlgFile1.SaveJ2KCodBlockWidth;
LEADImage1.J2KCodBlockHeight:= LEADDlgFile1.SaveJ2KCodBlockHeight;
LEADImage1.J2KCBS_SelectiveACBypass:= LEADDlgFile1.SaveJ2KCBS_SelectiveACBypass;
LEADImage1.J2KCBS_ResetContextOnBoundaries:= LEADDlgFile1.SaveJ2KCBS_ResetContextOnBoundaries;
LEADImage1.J2KCBS_TerminationOnEachPass:= LEADDlgFile1.SaveJ2KCBS_TerminationOnEachPass;
LEADImage1.J2KCBS_VerticallyCausalContext:= LEADDlgFile1.SaveJ2KCBS_VerticallyCausalContext;
LEADImage1.J2KCBS_PredictableTermination:= LEADDlgFile1.SaveJ2KCBS_PredictableTermination;
LEADImage1.J2KCBS_ErrorResilienceSymbol:= LEADDlgFile1.SaveJ2KCBS_ErrorResilienceSymbol;
LEADImage1.J2KGuardBits:= LEADDlgFile1.SaveJ2KGuardBits;
LEADImage1.J2KDerivedBaseMantissa:= LEADDlgFile1.SaveJ2KDerivedBaseMantissa;
LEADImage1.J2KDerivedBaseExponent:= LEADDlgFile1.SaveJ2KDerivedBaseExponent;
LEADImage1.J2KUseSOPMarker:= LEADDlgFile1.SaveJ2KUseSOPMarker;
LEADImage1.J2KUseEPHMarker:= LEADDlgFile1.SaveJ2KUseEPHMarker;

LEADImage1.Save ( LEADDlgFile1.FileName,
LEADDlgFile1.SaveFormat,
LEADDlgFile1.SaveBitsPerPixel,
LEADDlgFile1.SaveQFactor,
LEADDlgFile1.SaveMulti );
end;
end;
end;


ShowAddBitmapsDlg example for Delphi

procedure TForm1.ShowAddBitmapsDlg1Click(Sender: TObject);
var
i: L_INT;
nRet: L_INT;
FileNames: Array [ 0..2 ] of String;
begin
LEADImage1.EnableMethodErrors:= False;
LEADDlgImgEffect1.ItemsCount:= 3;
FileNames[0]:= 'e:\image1.jpg';
FileNames[1]:= 'e:\image2.jpg';
FileNames[2]:= 'e:\image3.jpg';

LEADImage2.Load ( FileNames[0], 0, 1, 1 );
LEADDlgImgEffect1.ItemDescription [0]:= IntToStr(0);
LEADDlgImgEffect1.ItemFileName [0]:= FileNames[0];
LEADDlgImgEffect1.ItemBitmap [0]:= LEADimage2.Bitmap;
for i:= 1 to 2 do
begin
LEADImage2.LoadStamp ( FileNames[i] );
LEADDlgImgEffect1.ItemDescription [i]:= IntToStr(i);
LEADDlgImgEffect1.ItemFileName [i]:= FileNames[i];
LEADDlgImgEffect1.ItemBitmap [i]:= LEADImage2.Bitmap;
end;

LEADDlgImgEffect1.DlgFlags:= DLG_ADDBITMAPS_SHOW_PREVIEW Or
DLG_ADDBITMAPS_SHOW_TOOL_ZOOMLEVEL;

LEADDlgImgEffect1.LEADImage:= LEADImage1;
nRet:= LEADDlgImgEffect1.ShowAddBitmapsDlg ( Self );
if ( nRet = SUCCESS_DLG_OK ) then
begin
if ( LEADDlgImgEffect1.SelectedBitmapList <> 0 ) then
LEADImage1.BitmapList:= LEADDlgImgEffect1.SelectedBitmapList;
end;
end;


ShowAddBorderDlg example for Delphi

procedure TForm1.ShowAddBorderDlg1Click(Sender: TObject);
var
i: L_INT;
nRet: L_INT;
FileNames: Array [ 0..2 ] of String;
begin
LEADDlgImage1.ItemsCount:= 3;
FileNames[0]:= 'e:\image1.jpg';
FileNames[1]:= 'e:\image2.jpg';
FileNames[2]:= 'e:\image3.jpg';

for i:= 0 to 2 do
begin
LEADImage2.LoadStamp ( FileNames[i] );
LEADDlgImage1.ItemDescription [i]:= IntToStr(i);
LEADDlgImage1.ItemFileName [i]:= FileNames[i];
LEADDlgImage1.ItemBitmap [i]:= LEADImage2.Bitmap;
end;

LEADDlgImage1.BitmapIndex:= 1;

LEADDlgImage1.DlgFlags:= DLG_ADDBORDER_SHOW_PREVIEW Or
DLG_ADDBORDER_SHOW_TOOL_ZOOMLEVEL Or
DLG_ADDBORDER_SHOW_TOOL_SHOWEFFECT Or
DLG_ADDBORDER_SHOW_TOOL_ONSCREEN Or
DLG_ADDBORDER_SHOW_TOOL_RESET;
LEADDlgImage1.LEADImage:= LEADImage1;
nRet:= LEADDlgImage1.ShowAddBorderDlg ( Self );
if ( nRet = SUCCESS_DLG_OK ) then
begin
LEADImage1.AddBorder ( LEADDlgImage1.LeftThickness,
LEADDlgImage1.TopThickness,
LEADDlgImage1.RightThickness,
LEADDlgImage1.BottomThickness,
LEADDlgImage1.Location,
LEADDlgImage1.BorderStyle,
LEADDlgImage1.EffectStyle,
LEADDlgImage1.SelectedBitmap,
LEADDlgImage1.GradientStyle,
LEADDlgImage1.GradientStartColor,
LEADDlgImage1.GradientEndColor,
LEADDlgImage1.CurveIntensity,
LEADDlgImage1.SoftCurve,
LEADDlgImage1.UseShadow,
LEADDlgImage1.ShadowSize,
LEADDlgImage1.ShadowDirection,
LEADDlgImage1.BumpyShadow );
end;
end;


ShowAddFrameDlg example for Delphi

procedure TForm1.ShowAddFrameDlg2Click(Sender: TObject);
var
i: L_INT;
nRet: L_INT;
FileNames: Array [ 0..2 ] of String;
begin
LEADDlgImage1.ItemsCount:= 3;
FileNames[0]:= 'e:\image1.jpg';
FileNames[1]:= 'e:\image2.jpg';
FileNames[2]:= 'e:\image3.jpg';

for i:= 0 to 2 do
begin
LEADImage2.LoadStamp ( FileNames[i] );
LEADDlgImage1.ItemDescription [i]:= IntToStr(i);
LEADDlgImage1.ItemFileName [i]:= FileNames[i];
LEADDlgImage1.ItemBitmap [i]:= LEADimage2.Bitmap;
end;

LEADDlgImage1.BitmapIndex:= 1;

LEADDlgImage1.DlgFlags:= DLG_ADDFRAME_AUTOPROCESS Or
DLG_ADDFRAME_SHOW_PREVIEW Or
DLG_ADDFRAME_SHOW_TOOL_ZOOMLEVEL Or
DLG_ADDFRAME_SHOW_TOOL_SHOWEFFECT Or
DLG_ADDFRAME_SHOW_TOOL_ONSCREEN Or
DLG_ADDFRAME_SHOW_TOOL_RESET;

LEADDlgImage1.LEADImage:= LEADImage1;
nRet:= LEADDlgImage1.ShowAddFrameDlg ( Self );
if ( nRet = SUCCESS_DLG_OK ) then
begin
LEADImage1.AddFrame ( LEADDlgImage1.SelectedBitmap,
LEADDlgImage1.KeepFrameState,
LEADDlgImage1.UseMask,
LEADDlgImage1.MaskColor,
LEADDlgImage1.SmoothEdge,
LEADDlgImage1.Location,
LEADDlgImage1.Quality );
end;
end;


ShowAddNoiseDlg example for Delphi

procedure TForm1.ShowAddNoiseDlg1Click(Sender: TObject);
var
nRet: L_INT;
begin
LEADDlgImgEffect1.Channel:= CHANNEL_MASTER;
LEADDlgImgEffect1.DlgFlags:= DLG_ADDNOISE_SHOW_PREVIEW Or
DLG_ADDNOISE_SHOW_TOOL_ZOOMLEVEL;

LEADDlgImgEffect1.LEADImage:= LEADImage1;

nRet:= LEADDlgImgEffect1.ShowAddNoiseDlg ( Self );
if ( nRet = SUCCESS_DLG_OK ) then
begin
LEADImage1.AddNoise ( LEADDlgImgEffect1.Range,
LEADDlgImgEffect1.Channel );
end;
end;


ShowAntiAliasDlg example for Delphi

procedure TForm1.ShowAntiAliasDlg1Click(Sender: TObject);
var
nRet: L_INT;
begin

LEADDlgImgEffect1.DlgFlags:= DLG_ANTIALIAS_SHOW_PREVIEW Or
DLG_ANTIALIAS_SHOW_TOOL_ZOOMLEVEL;

LEADDlgImgEffect1.LEADImage:= LEADImage1;

nRet:= LEADDlgImgEffect1.ShowAntiAliasDlg ( Self );
if ( nRet = SUCCESS_DLG_OK ) then
begin
LEADImage1.AntiAlias (LEADDlgImgEffect1.Threshold,
LEADDlgImgEffect1.Dimension,
LEADDlgImgEffect1.AntiAliasFilterType );
end;
end;


ShowAutoTrimDlg example for Delphi

procedure TForm1.ShowAutoTrimDlg1Click(Sender: TObject);
var
nRet: L_INT;
begin
LEADDlgImage1.DlgFlags:= DLG_AUTOTRIM_AUTOPROCESS Or
DLG_AUTOTRIM_SHOW_PREVIEW;

LEADDlgImage1.LEADImage:= LEADImage1;
LEADDlgImage1.LEADDlgService:= LEADDlgService1;
nRet:= LEADDlgImage1.ShowAutoTrimDlg ( Self );
if ( nRet = SUCCESS_DLG_OK ) then
begin
LEADImage1.AutoTrim ( LEADDlgImage1.Threshold );
end;
end;


ShowAverageDlg example for Delphi

procedure TForm1.ShowAverageDlg1Click(Sender: TObject);
var
nRet: L_INT;
begin
LEADDlgImgEffect1.DlgFlags:= DLG_AVERAGE_SHOW_PREVIEW Or
DLG_AVERAGE_SHOW_TOOL_ZOOMLEVEL;

LEADDlgImgEffect1.LEADImage:= LEADImage1;
nRet:= LEADDlgImgEffect1.ShowAverageDlg ( Self );
if ( nRet = SUCCESS_DLG_OK ) then
begin
LEADImage1.Average ( LEADDlgImgEffect1.Dimension );
end;
end;


ShowBalanceColorsDlg example for Delphi

procedure TForm1.ShowBalanceColorsDlg1Click(Sender: TObject);
var
nRet: L_INT;
begin
LEADDlgColor1.ZoomToFit:= False;
LEADDlgColor1.DlgFlags:= DLG_BALANCECOLORS_SHOW_PREVIEW Or
DLG_BALANCECOLORS_SHOW_TOOL_ZOOMLEVEL;

LEADDlgColor1.LEADImage:= LEADImage1;
LEADDlgColor1.LEADDlgService:= LEADDlgService1;
LEADDlgColor1.EnableMethodErrors:= False;
LEADDlgColor1.ShowHelpButton:= True;

nRet:= LEADDlgColor1.ShowBalanceColorsDlg ( Self );
if ( nRet = SUCCESS_DLG_OK ) then
begin
LEADImage1.BalanceColors ( LEADDlgColor1.BalanceRedFactor,
LEADDlgColor1.BalanceGreenFactor,
LEADDlgColor1.BalanceBlueFactor );
end;
end;

procedure TForm1.LEADDlgColor1DlgHelp (uDialogID: Cardinal);
begin
case ( uDialogID ) of
DLG_HELP_BALANCECOLORS:
ShowMessage( 'Help from BalanceColors dialog' );

DLG_HELP_COLOREDGRAY:
ShowMessage( 'Help from ColoredGray dialog' );

DLG_HELP_GRAYSCALE:
ShowMessage( 'Help from GrayScale dialog' );

DLG_HELP_REMAPINTENSITY:
ShowMessage( 'Help from RemapIntensity dialog' );

DLG_HELP_REMAPHUE:
ShowMessage( 'Help from RemapHue dialog' );

DLG_HELP_CUSTOMIZEPALETTE:
ShowMessage( 'Help from CustomizePalette dialog' );

DLG_HELP_LOCALHISTOEQUALIZE:
ShowMessage( 'Help from LocalHistoEqualize dialog' );

DLG_HELP_INTENSITYDETECT:
ShowMessage( 'Help from IntensityDetect dialog' );

DLG_HELP_SOLARIZE:
ShowMessage( 'Help from Solarize dialog' );

DLG_HELP_POSTERIZE:
ShowMessage( 'Help from Posterize dialog' );

DLG_HELP_BRIGHTNESS:
ShowMessage( 'Help from Brightness dialog' );

DLG_HELP_CONTRAST:
ShowMessage( 'Help from Contrast dialog' );

DLG_HELP_HUE:
ShowMessage( 'Help from Hue dialog' );

DLG_HELP_SATURATION:
ShowMessage( 'Help from Saturation dialog' );

DLG_HELP_GAMMAADJUSTMENT:
ShowMessage( 'Help from GammaAdjustment dialog' );

DLG_HELP_HALFTONE:
ShowMessage( 'Help from Halftone dialog' );

DLG_HELP_COLORRES:
ShowMessage( 'Help from ColorRes dialog' );

DLG_HELP_HISTOCONTRAST:
ShowMessage( 'Help from HistoContrast dialog' );

DLG_HELP_WINDOWLEVEL:
ShowMessage( 'Help from WindowLevel dialog' );

DLG_HELP_COLOR:
ShowMessage( 'Help from Color dialog' );
end;
end;


ShowBendingDlg example for Delphi

procedure TForm1.ShowBendingDlg1Click(Sender: TObject);
var
nRet: L_INT;
begin
LEADDlgImgEffect1.DlgFlags:= DLG_BENDING_SHOW_PREVIEW Or
DLG_BENDING_SHOW_TOOL_ZOOMLEVEL;

LEADDlgImgEffect1.LEADImage:= LEADImage1;

nRet:= LEADDlgImgEffect1.ShowBendingDlg ( Self );
if ( nRet = SUCCESS_DLG_OK ) then
begin
LEADImage1.Bending (LEADDlgImgEffect1.Value,
LEADDlgImgEffect1.CenterPoint,
LEADDlgImgEffect1.FillColor,
LEADDlgImgEffect1.BendingFlags );
end;
end;


ShowBorderRemoveDlg example for Delphi

procedure TForm1.ShowBorderRemoveDlg1Click(Sender: TObject);
begin
LEADDlgImgDoc1.WhiteNoiseLength:= 9;
LEADDlgImgDoc1.BorderPercent:= 20;
LEADDlgImgDoc1.Variance:= 3;
LEADDlgImgDoc1.BorderToRemove:= BORDER_LEFT;
LEADDlgImgDoc1.ProcessFlags:= BORDER_USE_VARIANCE;
LEADDlgImgDoc1.DlgFlags:= DLG_BORDERREMOVE_AUTOPROCESS Or
DLG_BORDERREMOVE_SHOW_PREVIEW Or
DLG_BORDERREMOVE_SHOW_TOOL_ZOOMLEVEL;

LEADDlgImgDoc1.LEADImage:= LEADImage1;
LEADDlgImgDoc1.ShowBorderRemoveDlg ( Self );
end;


ShowBrightnessDlg example for Delphi

procedure TForm1.ShowBrightnessDlg1Click(Sender: TObject);
var
nRet: L_INT;
begin
LEADDlgColor1.DlgFlags:= DLG_BRIGHTNESS_SHOW_PREVIEW Or
DLG_BRIGHTNESS_SHOW_TOOL_ZOOMLEVEL;
LEADDlgColor1.LEADImage:= LEADImage1;
LEADDlgColor1.LEADDlgService:= LEADDlgService1;
nRet:= LEADDlgColor1.ShowBrightnessDlg ( Self );
if ( nRet = SUCCESS_DLG_OK ) then
begin
LEADImage1.Intensity ( LEADDlgColor1.Change );
end;
end;


ShowCanvasResizeDlg example for Delphi

procedure TForm1.ShowCanvasResizeDlg1Click(Sender: TObject);
var
nRet: L_INT;
begin

LEADDlgImage1.CurrentWidth:= LEADImage1.BitmapWidth;
LEADDlgImage1.CurrentHeight:= LEADImage1.BitmapHeight;
LEADDlgImage1.BackgroundColor:= RGB ( 255, 255, 255 );
LEADDlgImage1.DlgFlags:= DLG_CANVASRESIZE_SHOW_CURRENT_HEIGHT Or
DLG_CANVASRESIZE_SHOW_CURRENT_WIDTH Or
DLG_CANVASRESIZE_SHOW_HORIZPOS Or
DLG_CANVASRESIZE_SHOW_VIRTZPOS Or
DLG_CANVASRESIZE_SHOW_BACKCOLOR Or
DLG_CANVASRESIZE_SHOW_KEEPASPECT;

LEADDlgImage1.LEADImage:= LEADImage1;
LEADDlgImage1.LEADDlgService:= LEADDlgService1;

nRet:= LEADDlgImage1.ShowCanvasResizeDlg ( Self );
if ( nRet = SUCCESS_DLG_OK ) then
begin
LEADImage2.CreateBitmap ( LEADDlgImage1.NewWidth,
LEADDlgImage1.NewHeight,
LEADImage1.BitmapBits );

LEADImage2.Combine ( LEADDlgImage1.TopLeftPoint.X,
LEADDlgImage1.TopLeftPoint.Y,
LEADImage1.BitmapWidth,
LEADImage1.BitmapHeight,
LEADImage1.Bitmap,
0,
0,
CB_OP_AND Or CB_DST_1 );

LEADImage1.Bitmap:= LEADImage2.Bitmap;
end;
end;


ShowColorDlg example for Delphi

procedure TForm1.ShowColorDlg1Click(Sender: TObject);
var
nRet: L_INT;
begin

LEADDlgColor1.DlgFlags:= DLG_COLOR_SHOW_OLDCOLOR Or
DLG_COLOR_SHOW_NEWCOLOR Or
DLG_COLOR_SHOW_NAME Or
DLG_COLOR_COLORSPACE_SHOW_HUE Or
DLG_COLOR_COLORSPACE_SHOW_BRIGHTNESS Or
DLG_COLOR_COLORSPACE_SHOW_WHEEL Or
DLG_COLOR_COLORSPACE_SHOW_RGB Or
DLG_COLOR_COLORSPACE_SHOW_CMY Or
DLG_COLOR_COLORSPACE_SHOW_CMYK Or
DLG_COLOR_COLORSPACE_SHOW_LAB Or
DLG_COLOR_COLORMODEL_SHOW_RGB Or
DLG_COLOR_COLORMODEL_SHOW_HSB Or
DLG_COLOR_COLORMODEL_SHOW_HLS Or
DLG_COLOR_COLORMODEL_SHOW_CMY Or
DLG_COLOR_COLORMODEL_SHOW_CMYK Or
DLG_COLOR_COLORMODEL_SHOW_LAB;

LEADDlgColor1.SelectedColor:= RGB ( 255, 255, 255 );
LEADDlgColor1.LEADImage:= LEADImage1;
nRet:= LEADDlgColor1.ShowColorDlg ( Self );
if ( nRet = SUCCESS_DLG_OK ) then
begin
LEADImage1.Fill ( LEADDlgColor1.SelectedColor );
end;
end;


ShowColoredGrayDlg example for Delphi

procedure TForm1.ShowColoredGrayDlg1Click(Sender: TObject);
var
nRet: L_INT;
begin
LEADDlgColor1.RedFactor:= 400;
LEADDlgColor1.GreenFactor:= 300;
LEADDlgColor1.BlueFactor:= 300;
LEADDlgColor1.RedGrayFactor:= 400;
LEADDlgColor1.GreenGrayFactor:= 300;
LEADDlgColor1.BlueGrayFactor:= 300;
LEADDlgColor1.DlgFlags:= DLG_COLOREDGRAY_SHOW_PREVIEW Or
DLG_COLOREDGRAY_SHOW_TOOL_ZOOMLEVEL;

LEADDlgColor1.LEADImage:= LEADImage1;
LEADDlgColor1.LEADDlgService:= LEADDlgService1;
nRet:= LEADDlgColor1.ShowColoredGrayDlg ( Self );
if ( nRet = SUCCESS_DLG_OK ) then
begin
Edit1.Text:= IntToStr ( LEADDlgColor1.RedFactor );
Edit2.Text:= IntToStr ( LEADDlgColor1.GreenFactor );
Edit3.Text:= IntToStr ( LEADDlgColor1.BlueFactor );
Edit4.Text:= IntToStr ( LEADDlgColor1.RedGrayFactor );
Edit5.Text:= IntToStr ( LEADDlgColor1.GreenGrayFactor );
Edit6.Text:= IntToStr ( LEADDlgColor1.BlueGrayFactor );
end;
end;


ShowColorResDlg example for Delphi

procedure TForm1.ShowColorResDlg1Click(Sender: TObject);
var
nRet: L_INT;
begin
LEADDlgColor1.DlgFlagsEx:= DLG_COLORRES_SHOW_BITALL Or
DLG_COLORRES_SHOW_DITHER_ALL Or
DLG_COLORRES_SHOW_PAL_ALL;

LEADDlgColor1.DlgFlags:= DLG_COLORRES_SHOW_PREVIEW Or
DLG_COLORRES_SHOW_OPENPALFILE Or
DLG_COLORRES_SHOW_ORDER Or
DLG_COLORRES_SHOW_TOOL_ZOOMLEVEL;

LEADDlgColor1.LEADImage:= LEADImage1;
LEADDlgColor1.LEADDlgService:= LEADDlgService1;
nRet:= LEADDlgColor1.ShowColorResDlg ( Self );
if ( nRet = SUCCESS_DLG_OK ) then
begin
LEADImage1.ColorRes ( LEADDlgColor1.BitsPerPixel,
LEADDlgColor1.PaletteFlags,
LEADDlgColor1.DitherFlags,
0 );
end;
end;


ShowContourFilterDlg example for Delphi

procedure TForm1.ShowContourFilterDlg1Click(Sender: TObject);
var
nRet: L_INT;
begin
LEADDlgImgEffect1.MaxError:= 5;
LEADDlgImgEffect1.DeltaDirection:= 5;
LEADDlgImgEffect1.Option:= CONTOUR_LINK_COLOR;
LEADDlgImgEffect1.Threshold:= 5;
LEADDlgImgEffect1.OptionFlags:= DLG_CONTOURFILTER_SHOW_OPTION_ALL;
LEADDlgImgEffect1.DlgFlags:= DLG_CONTOURFILTER_SHOW_PREVIEW Or
DLG_CONTOURFILTER_SHOW_DELTADIRECTION Or
DLG_CONTOURFILTER_SHOW_MAXIMUMERROR Or
DLG_CONTOURFILTER_SHOW_OPTION Or
DLG_CONTOURFILTER_SHOW_THRESHOLD Or
DLG_CONTOURFILTER_SHOW_TOOL_ZOOMLEVEL;

LEADDlgImgEffect1.LEADImage:= LEADImage1;

nRet:= LEADDlgImgEffect1.ShowContourFilterDlg ( Self );
if ( nRet = SUCCESS_DLG_OK ) then
begin
LEADImage1.ContourFilter (LEADDlgImgEffect1.Threshold,
LEADDlgImgEffect1.DeltaDirection,
LEADDlgImgEffect1.MaxError,
LEADDlgImgEffect1.Option );
end;
end;


ShowContrastDlg example for Delphi

procedure TForm1.ShowContrastDlg1Click(Sender: TObject);
var
nRet: L_INT;
begin
LEADDlgColor1.DlgFlags:= DLG_CONTRAST_SHOW_PREVIEW Or
DLG_CONTRAST_SHOW_TOOL_ZOOMLEVEL;
LEADDlgColor1.LEADImage:= LEADImage1;
LEADDlgColor1.LEADDlgService:= LEADDlgService1;
nRet:= LEADDlgColor1.ShowContrastDlg ( Self );
if ( nRet = SUCCESS_DLG_OK ) then
begin
LEADImage1.Contrast ( LEADDlgColor1.Change );
end;
end;


ShowCustomizePaletteDlg example for Delphi

procedure TForm1.ShowCustomizePaletteDlg1Click(Sender: TObject);
var
i: L_INT;
nRet: L_INT;
begin
LEADDlgColor1.UserPaletteColorsCount:= 0;

LEADDlgColor1.DlgFlags:= DLG_CUSTOMIZEPALETTE_SHOW_SORT Or
DLG_CUSTOMIZEPALETTE_SHOW_FINDCLOSEST Or
DLG_CUSTOMIZEPALETTE_SHOW_ADDOPTION Or
DLG_CUSTOMIZEPALETTE_SHOW_REMOVEOPTION Or
DLG_CUSTOMIZEPALETTE_SHOW_COLORMODEL Or
DLG_CUSTOMIZEPALETTE_SHOW_RGBLEFTPAN Or
DLG_CUSTOMIZEPALETTE_SHOW_HTMLLEFTPAN Or
DLG_CUSTOMIZEPALETTE_SHOW_INDEXLEFTPAN Or
DLG_CUSTOMIZEPALETTE_SHOW_RGBRIGHTPAN Or
DLG_CUSTOMIZEPALETTE_SHOW_HTMLRIGHTPAN Or
DLG_CUSTOMIZEPALETTE_SHOW_INDEXRIGHTPAN Or
DLG_CUSTOMIZEPALETTE_SHOW_NEW Or
DLG_CUSTOMIZEPALETTE_SHOW_OPEN Or
DLG_CUSTOMIZEPALETTE_SHOW_SAVE Or
DLG_CUSTOMIZEPALETTE_SHOW_SAVEAS Or
DLG_CUSTOMIZEPALETTE_GENERATE_PALETTE;

LEADDlgColor1.LEADImage:= LEADImage1;
LEADDlgColor1.LEADDlgService:= LEADDlgService1;
nRet:= LEADDlgColor1.ShowCustomizePaletteDlg ( Self );
if ( nRet = SUCCESS_DLG_OK ) then
begin
if ( LEADDlgColor1.ApplyPaletteWhenExit ) then
Edit1.Text:= 'True'
else
Edit1.Text:= 'False';

for i:= 0 to LEADDlgColor1.GeneratedPaletteColorsCount -1 do
begin
LEADImage1.UserPaletteColors [i]:= LEADDlgColor1.GeneratedPaletteColors [i];
end;
end;
end;


ShowCylindricalDlg example for Delphi

procedure TForm1.ShowCylindricalDlg1Click(Sender: TObject);
var
nRet: L_INT;
begin
LEADDlgImgEffect1.DlgFlags:= DLG_CYLINDRICAL_SHOW_PREVIEW Or
DLG_CYLINDRICAL_SHOW_TOOL_ZOOMLEVEL;

LEADDlgImgEffect1.LEADImage:= LEADImage1;
nRet:= LEADDlgImgEffect1.ShowCylindricalDlg ( Self );
if ( nRet = SUCCESS_DLG_OK ) then
begin
LEADImage1.Cylindrical (LEADDlgImgEffect1.Value,
LEADDlgImgEffect1.CylindricalType );
end;
end;


ShowDilationFilterDlg example for Delphi

procedure TForm1.ShowDilationFilterDlg1Click(Sender: TObject);
var
nRet: L_INT;
begin

LEADDlgImgEffect1.BinaryFilterType:= BFLT_DILATION_OMNI;
LEADDlgImgEffect1.DlgFlags:= DLG_DILATIONFILTER_SHOW_PREVIEW Or
DLG_DILATIONFILTER_SHOW_TOOL_ZOOMLEVEL;

LEADDlgImgEffect1.LEADImage:= LEADImage1;

nRet:= LEADDlgImgEffect1.ShowDilationFilterDlg ( Self );
if ( nRet = SUCCESS_DLG_OK ) then
begin
LEADImage1.BinaryFilter (LEADDlgImgEffect1.BinaryFilterType );
end;
end;


ShowDotRemoveDlg example for Delphi

procedure TForm1.ShowDotRemoveDlg1Click(Sender: TObject);
begin
LEADDlgImgDoc1.MinDotWidth:= 6;
LEADDlgImgDoc1.MinDotHeight:= 6;
LEADDlgImgDoc1.MaxDotWidth:= 8;
LEADDlgImgDoc1.MaxDotHeight:= 8;
LEADDlgImgDoc1.WhiteAreaColor:= RGB ( 255, 0, 0 );
LEADDlgImgDoc1.BlackAreaColor:= RGB ( 0, 0, 255 );
LEADDlgImgDoc1.ProcessFlags:= DOT_USE_DIAGONALS Or DOT_USE_DPI;
LEADDlgImgDoc1.DlgFlags:= DLG_DOTREMOVE_AUTOPROCESS Or
DLG_DOTREMOVE_SHOW_PREVIEW Or
DLG_DOTREMOVE_SHOW_TOOL_ZOOMLEVEL;

LEADDlgImgDoc1.LEADImage:= LEADImage1;
LEADDlgImgDoc1.ShowDotRemoveDlg ( Self );
end;


ShowEdgeDetectorDlg example for Delphi

procedure TForm1.ShowEdgeDetectorDlg1Click(Sender: TObject);
var
nRet: L_INT;
begin
LEADDlgImgEffect1.DlgFlags:= DLG_EDGEDETECTOR_SHOW_PREVIEW Or
DLG_EDGEDETECTOR_SHOW_TOOL_ZOOMLEVEL;

LEADDlgImgEffect1.LEADImage:= LEADImage1;

nRet:= LEADDlgImgEffect1.ShowEdgeDetectorDlg ( Self );
if ( nRet = SUCCESS_DLG_OK ) then
begin
LEADImage1.EdgeDetector (LEADDlgImgEffect1.Threshold,
LEADDlgImgEffect1.EdgeDetectionFilterType);
end;
end;


ShowEmbossDlg example for Delphi

procedure TForm1.ShowEmbossDlg1Click(Sender: TObject);
var
nRet: L_INT;
begin
LEADDlgImgEffect1.Direction:= EMBOSS_S;
LEADDlgImgEffect1.DlgFlags:= DLG_EMBOSS_SHOW_PREVIEW Or
DLG_EMBOSS_SHOW_TOOL_ZOOMLEVEL;

LEADDlgImgEffect1.LEADImage:= LEADImage1;
LEADDlgImgEffect1.LEADDlgService:= LEADDlgService1;

nRet:= LEADDlgImgEffect1.ShowEmbossDlg ( Self );
if ( nRet = SUCCESS_DLG_OK ) then
begin
LEADImage1.Emboss (LEADDlgImgEffect1.Direction,
LEADDlgImgEffect1.Depth );
end;
end;


ShowErosionFilterDlg example for Delphi

procedure TForm1.ShowErosionFilterDlg1Click(Sender: TObject);
var
nRet: L_INT;
begin
LEADDlgImgEffect1.BinaryFilterType:= BFLT_EROSION_HORZ;
LEADDlgImgEffect1.DlgFlags:= DLG_EROSIONFILTER_SHOW_PREVIEW Or
DLG_EROSIONFILTER_SHOW_TOOL_ZOOMLEVEL;

LEADDlgImgEffect1.LEADImage:= LEADImage1;

nRet:= LEADDlgImgEffect1.ShowErosionFilterDlg ( Self );
if ( nRet = SUCCESS_DLG_OK ) then
begin
LEADImage1.BinaryFilter (LEADDlgImgEffect1.BinaryFilterType );
end;
end;


ShowFileConversionDlg example for Delphi

procedure TForm1.ShowFileConversionDlgClick(Sender: TObject);
begin
LEADDlgFile1.Overwrite:= DLG_FILECONVERSION_OVERWRITE_SKIP;
LEADDlgFile1.FileFormatsCount:= 0;
LEADDlgFile1.DestinationPath:= 'c:\output';
LEADDlgFile1.UseLogReport:= True;
LEADDlgFile1.RemoveSourceFile:= False;
LEADDlgFile1.ShowFullPath:= True;
LEADDlgFile1.UseOriginalFolder:= True;
LEADDlgFile1.SourceFileList:= 'C:\images\Image1.jpg|C:\images\Image2.jpg|C:\images\Image3.jpg|C:\images\Image4.jpg|';
LEADDlgFile1.DlgFlags:= DLG_FILECONVERSION_SHOW_PREVIEW Or
DLG_FILECONVERSION_SHOW_LOADOPTIONS Or
DLG_FILECONVERSION_SHOW_FILEINFO Or
DLG_FILECONVERSION_SHOW_PREVIEW_PAGES Or
DLG_FILECONVERSION_SHOW_RESIZE Or
DLG_FILECONVERSION_SHOW_ROTATE Or
DLG_FILECONVERSION_SHOW_NAMINGTEMPLATE Or
DLG_FILECONVERSION_SHOW_OVERWRITE Or
DLG_FILECONVERSION_SHOW_OVERWRITE_ALL Or
DLG_FILECONVERSION_SHOW_ADD Or
DLG_FILECONVERSION_SHOW_ADDFOLDER Or
DLG_FILECONVERSION_SHOW_REMOVE Or
DLG_FILECONVERSION_SHOW_SELECTALL Or
DLG_FILECONVERSION_SHOW_DELETEORIGINAL;

LEADDlgFile1.ShowFileConversionDlg ( Self );
end;


ShowFilesAssociationDlg example for Delphi

Function TForm1.AssociateFiles ( strServerAppName: String ): L_INT;
begin
LEADDlgFile1.DlgFlags:= 0;
LEADDlgFile1.Formats:= 'LEAD (*.cmp)|*.cmp|DICOM (*.dic)|*.dic|Windows Bitmap (*.bmp)|*.bmp';
LEADDlgFile1.SelectedExt:= '';
LEADDlgFile1.ServerAppName:= strServerAppName;

Result:= LEADDlgFile1.ShowFilesAssociationDlg ( self );
end;


ShowFreeHandShearDlg example for Delphi

procedure TForm1.ShowFreeHandShearDlg1Click(Sender: TObject);
var
i: L_INT;
nRet: L_INT;
Amplitudes: Array of L_INT;
begin
LEADDlgImgEffect1.DlgFlags:= DLG_FREEHANDSHEAR_SHOW_PREVIEW Or
DLG_FREEHANDSHEAR_SHOW_TOOL_ZOOMLEVEL;

LEADDlgImgEffect1.LEADImage:= LEADImage1;

nRet:= LEADDlgImgEffect1.ShowFreeHandShearDlg ( Self );
if ( nRet = SUCCESS_DLG_OK ) then
begin
SetLength ( Amplitudes, LEADDlgImgEffect1.AmplitudesCount );

for i:= 0 to LEADDlgImgEffect1.AmplitudesCount-1 do
begin
Amplitudes[i]:= LEADDlgImgEffect1.Amplitudes [i];
end;

LEADImage1.FreeHandShear ( @Amplitudes,
LEADDlgImgEffect1.AmplitudesCount,
LEADDlgImgEffect1.Scale,
LEADDlgImgEffect1.FillColor,
LEADDlgImgEffect1.FreeHandShearFlags );
end;
end;


ShowFreeHandWaveDlg example for Delphi

procedure TForm1.ShowFreeHandWaveDlg1Click(Sender: TObject);
var
i: L_INT;
nRet: L_INT;
Amplitudes: Array of L_INT;
begin
LEADDlgImgEffect1.Scale:= 10;
LEADDlgImgEffect1.WaveLength:= 5;
LEADDlgImgEffect1.FreeHandWaveFlags:= FILL_CLR Or DIS_FRQ;
LEADDlgImgEffect1.Angle:= 4500;
LEADDlgImgEffect1.FillColor:= RGB ( 200, 0, 0 );
LEADDlgImgEffect1.DlgFlags:= DLG_FREEHANDWAVE_SHOW_PREVIEW Or
DLG_FREEHANDWAVE_SHOW_TOOL_ZOOMLEVEL;

LEADDlgImgEffect1.LEADImage:= LEADImage1;
nRet:= LEADDlgImgEffect1.ShowFreeHandWaveDlg ( Self );
if ( nRet = SUCCESS_DLG_OK ) then
begin
SetLength ( Amplitudes, LEADDlgImgEffect1.AmplitudesCount );

for i:= 0 to LEADDlgImgEffect1.AmplitudesCount-1 do
begin
Amplitudes[i]:= LEADDlgImgEffect1.Amplitudes [i];
end;

LEADImage1.FreeHandWave ( @Amplitudes,
LEADDlgImgEffect1.AmplitudesCount,
LEADDlgImgEffect1.Scale,
LEADDlgImgEffect1.WaveLength,
LEADDlgImgEffect1.Angle,
LEADDlgImgEffect1.FillColor,
LEADDlgImgEffect1.FreeHandWaveFlags );
end;
end;


ShowGammaAdjustmentDlg example for Delphi

procedure TForm1.ShowGammaAdjustmentDlg1Click(Sender: TObject);
var
nRet: L_INT;
begin
LEADDlgColor1.GammaRedValue:= 50;
LEADDlgColor1.GammaGreenValue:= 50;
LEADDlgColor1.GammaBlueValue:= 50;
LEADDlgColor1.GammaAllChannels:= True;
LEADDlgColor1.DlgFlags:= DLG_GAMMAADJUSTMENT_SHOW_PREVIEW Or
DLG_GAMMAADJUSTMENT_SHOW_TOOL_ZOOMLEVEL;
LEADDlgColor1.LEADImage:= LEADImage1;
LEADDlgColor1.LEADDlgService:= LEADDlgService1;
nRet:= LEADDlgColor1.ShowGammaAdjustmentDlg ( Self );
if ( nRet = SUCCESS_DLG_OK ) then
begin
LEADImage1.GammaCorrect ( LEADDlgColor1.GammaRedValue );
end;
end;


ShowGaussianBlurDlg example for Delphi

procedure TForm1.ShowGaussianBlurDlg1Click(Sender: TObject);
var
nRet: L_INT;
begin
LEADDlgImgEffect1.Radius:= 5;
LEADDlgImgEffect1.DlgFlags:= DLG_GAUSSIANBLUR_SHOW_PREVIEW Or
DLG_GAUSSIANBLUR_SHOW_TOOL_ZOOMLEVEL;

LEADDlgImgEffect1.LEADImage:= LEADImage1;

nRet:= LEADDlgImgEffect1.ShowGaussianBlurDlg ( Self );
if ( nRet = SUCCESS_DLG_OK ) then
begin
LEADImage1.GaussianFilter ( LEADDlgImgEffect1.Radius );
end;
end;


ShowGetDirectoryDlg example for Delphi

procedure TForm1.ShowGetDirectoryDlg1Click(Sender: TObject);
var
nRet: L_INT;
begin
LEADDlgFile1.Directory:= 'c:\images\';
LEADDlgFile1.Filter:= 'ALL|*.*|LEAD|*.cmp|JPEG|*.JPG';
LEADDlgFile1.FilterIndex:= 1;
LEADDlgFile1.DialogTitle:= 'Select a Directory Please';

LEADDlgFile1.ShowHelpButton:= True;
LEADDlgFile1.EnableMethodErrors:= False;
LEADDlgFile1.LEADDlgService:= LEADDlgService1;

nRet:= LEADDlgFile1.ShowGetDirectoryDlg ( Self );
if ( nRet = SUCCESS_DLG_OK ) then
begin
ShowMessage ( LEADDlgFile1.Directory );
end;
end;

procedure TForm1.LEADDlgFile1DlgHelp (uDialogID: Cardinal);
begin
Case ( uDialogID ) of
DLG_HELP_GETDIRECTORY:
ShowMessage( 'Help from GetDirectory dialog' );

DLG_HELP_FILESASSOCIATION:
ShowMessage( 'Help from FilesAssociation dialog' );

DLG_HELP_OPEN:
ShowMessage( 'Help from Open dialog' );

DLG_HELP_SAVE:
ShowMessage( 'Help from Save dialog' );

DLG_HELP_FILECONVERSION:
ShowMessage( 'Help from FileConversion dialog' );

DLG_HELP_PRINTPREVIEW:
ShowMessage( 'Help from PrintPreview dialog' );

DLG_HELP_PRINTSTITCHEDIMAGES:
ShowMessage( 'Help from PrintStitchedImages dialog' );
end;
end;


ShowGetEffectDlg example for Delphi

procedure TForm1.ShowGetEffectDlg1Click(Sender: TObject);
var
nRet: L_INT;
begin

LEADDlgEffect1.Effect:= EFX_EFFECT_ROLL4_T_R_T_L;
LEADDlgEffect1.Grain:= 5;
LEADDlgEffect1.Delay:= 50;
LEADDlgEffect1.MaxPass:= 1;
LEADDlgEffect1.Transparent:= False;
LEADDlgEffect1.TransparentColor:= RGB(0,0,0);
LEADDlgEffect1.WandThickness:= 3;
LEADDlgEffect1.WandColor:= RGB(255,0,0);
LEADDlgEffect1.DlgFlags:= DLG_EFFECT_SHOW_PREVIEW Or
DLG_EFFECT_DELAY Or
DLG_EFFECT_GRAIN Or
DLG_EFFECT_PASSES Or
DLG_EFFECT_TRANSPARENT Or
DLG_EFFECT_WAND Or
DLG_EFFECT_CLASS_WIPE Or
DLG_EFFECT_CLASS_WIPERECT Or
DLG_EFFECT_CLASS_WIPECIRCLE Or
DLG_EFFECT_CLASS_PUSH Or
DLG_EFFECT_CLASS_SLIDE Or
DLG_EFFECT_CLASS_ROLL Or
DLG_EFFECT_CLASS_ROTATE Or
DLG_EFFECT_CLASS_ZOOM Or
DLG_EFFECT_CLASS_DRIP Or
DLG_EFFECT_CLASS_BLIND Or
DLG_EFFECT_CLASS_RANDOM Or
DLG_EFFECT_CLASS_CHECK Or
DLG_EFFECT_CLASS_BLOCKS Or
DLG_EFFECT_CLASS_CIRCLE Or
DLG_EFFECT_CLASS_ELLIPSE;

LEADDlgEffect1.LEADImage:= LEADImage1;
LEADDlgEffect1.LEADDlgService:= LEADDlgService1;
nRet:= LEADDlgEffect1.ShowGetEffectDlg ( Self );
if ( nRet = SUCCESS_DLG_OK ) then
begin
{output the results}
Edit1.Text:= IntToStr ( LEADDlgEffect1.Effect );
Edit2.Text:= IntToStr ( LEADDlgEffect1.Grain );
Edit3.Text:= IntToStr ( LEADDlgEffect1.Delay);
Edit4.Text:= IntToStr ( LEADDlgEffect1.MaxPass );
if ( LEADDlgEffect1.Transparent ) then
Edit5.Text:= 'Transparent True'
else
Edit5.Text:= 'Transparent False';
Edit6.Text:= IntToStr ( LEADDlgEffect1.WandThickness );

Shape1.Brush.Color:= LEADDlgEffect1.TransparentColor;
Shape2.Brush.Color:= LEADDlgEffect1.WandColor;
end;
end;


ShowGetGradientDlg example for Delphi

procedure TForm1.ShowGetGradientDlg1Click(Sender: TObject);
var
nRet: L_INT;
begin

LEADDlgEffect1.StartColor:= RGB ( 0, 0, 255 );
LEADDlgEffect1.EndColor:= RGB ( 255, 0, 0 );
LEADDlgEffect1.GradientStyle:= EFX_GRADIENT_ANGLE_TO_RT;
LEADDlgEffect1.GradientSteps:= 200;
LEADDlgEffect1.DlgFlags:= DLG_GRADIENT_SHOW_PREVIEW Or
DLG_GRADIENT_AUTOPREVIEW Or
DLG_GRADIENT_STARTCOLOR Or
DLG_GRADIENT_ENDCOLOR Or
DLG_GRADIENT_STEPS Or
DLG_GRADIENT_NO_TREEVIEW Or
DLG_GRADIENT_CLASS_LINEAR Or
DLG_GRADIENT_CLASS_ANGULAR Or
DLG_GRADIENT_CLASS_RECTANGULAR Or
DLG_GRADIENT_CLASS_ELLIPTICAL Or
DLG_GRADIENT_CLASS_CONICAL;

LEADDlgEffect1.LEADImage:= LEADImage1;
LEADDlgEffect1.LEADDlgService:= LEADDlgService1;

nRet:= LEADDlgEffect1.ShowGetGradientDlg ( Self );

if ( nRet = SUCCESS_DLG_OK ) then
begin
{output the results}
Edit1.Text:= IntToStr ( LEADDlgEffect1.GradientStyle );
Edit2.Text:= IntToStr ( LEADDlgEffect1.GradientSteps );
Shape1.Brush.Color:= LEADDlgEffect1.StartColor;
Shape2.Brush.Color:= LEADDlgEffect1.EndColor;
end;
end;


ShowGetShapeDlg example for Delphi

procedure TForm1.ShowGetShapeDlg1Click(Sender: TObject);
var
nRet: L_INT;
begin
LEADDlgEffect1.ShapeBackgroundBitmap:= LEADImage2.Bitmap;
LEADDlgEffect1.Shape:= EFX_SHAPE_PARALLELOGRAM_R;
LEADDlgEffect1.BackColor:= RGB ( 0, 0, 255 );
LEADDlgEffect1.ForeColor:= RGB ( 255, 0, 0 );
LEADDlgEffect1.ShapeBackgroundStyle:= sbsOpaque;
LEADDlgEffect1.PatternStyle:= epsTransparent;
LEADDlgEffect1.ShapeBorderColor:= RGB ( 100, 255, 100 );
LEADDlgEffect1.ShapeBorderStyle:= sbrSolid;
LEADDlgEffect1.ShapeBorderThickness:= 5;
LEADDlgEffect1.ShapeInnerBandHiliteColor:= RGB ( 255, 255, 255 );
LEADDlgEffect1.ShapeInnerBandShadowColor:= RGB ( 0, 0, 0 );
LEADDlgEffect1.ShapeInnerBandStyle:= sibInset;
LEADDlgEffect1.ShapeInnerBandThickness:= 3;
LEADDlgEffect1.ShapeOuterBandHiliteColor:= RGB ( 255, 255, 0 );
LEADDlgEffect1.ShapeOuterBandShadowColor:= RGB ( 255, 0, 255 );
LEADDlgEffect1.ShapeOuterBandStyle:= sobInset;
LEADDlgEffect1.ShapeOuterBandThickness:= 5;
LEADDlgEffect1.ShadowXDepth:= 10;
LEADDlgEffect1.ShadowYDepth:= 10;
LEADDlgEffect1.ShadowColor:= RGB ( 128, 128, 128 );
LEADDlgEffect1.DlgFlags:= DLG_SHAPE_SHOW_PREVIEW Or
DLG_SHAPE_AUTOPREVIEW Or
DLG_SHAPE_BACKSTYLE Or
DLG_SHAPE_FILLSTYLE Or
DLG_SHAPE_FORE_BACK_COLOR Or
DLG_SHAPE_BORDERSTYLE Or
DLG_SHAPE_BORDERWIDTH Or
DLG_SHAPE_BORDERCOLOR Or
DLG_SHAPE_INNERSTYLE Or
DLG_SHAPE_INNERWIDTH Or
DLG_SHAPE_INNER_HILITE_SHADOW Or
DLG_SHAPE_OUTERSTYLE Or
DLG_SHAPE_OUTERWIDTH Or
DLG_SHAPE_OUTER_HILITE_SHADOW Or
DLG_SHAPE_SHADOWCOLOR Or
DLG_SHAPE_SHADOW_X_Y Or
DLG_SHAPE_BROWSEIMAGE Or
DLG_SHAPE_CLASS_SQUARE Or
DLG_SHAPE_CLASS_RECTANGLE Or
DLG_SHAPE_CLASS_PARALLELOGRAM Or
DLG_SHAPE_CLASS_TRAPEZOID Or
DLG_SHAPE_CLASS_TRIANGLE Or
DLG_SHAPE_CLASS_OTHER Or
DLG_SHAPE_CLASS_CIRCLE Or
DLG_SHAPE_CLASS_ELLIPSE Or
DLG_SHAPE_CLASS_STAR Or
DLG_SHAPE_CLASS_CROSS Or
DLG_SHAPE_CLASS_ARROW;

LEADDlgEffect1.LEADImage:= LEADImage1;
LEADDlgEffect1.LEADDlgService:= LEADDlgService1;
LEADDlgEffect1.EnableMethodErrors:= False;
LEADDlgEffect1.ShowHelpButton:= True;

nRet:= LEADDlgEffect1.ShowGetShapeDlg ( Self );

if ( nRet = SUCCESS_DLG_OK ) then
begin
LEADImage1.ShapeLeft:= 50;
LEADImage1.ShapeTop:= 50;
LEADImage1.ShapeWidth:= LEADImage1.DstWidth - 50;
LEADImage1.ShapeHeight:= LEADImage1.DstHeight - 50;
LEADImage1.PatternBackColor:= LEADImage1.BackColor;
LEADImage1.BackgroundImageLeft:= 0;
LEADImage1.BackgroundImageTop:= 0;
LEADImage1.BackgroundImageWidth:= LEADImage2.BitmapWidth;
LEADImage1.BackgroundImageHeight:= LEADImage2.BitmapHeight;
LEADImage1.ShapeBackgroundStyle:= LEADImage1.ShapeBackgroundStyle;
LEADImage1.PatternForeColor:= LEADImage1.PatternForeColor;
LEADImage1.PatternStyle:= LEADImage1.PatternStyle;
LEADImage1.ShapeBorderColor:= LEADImage1.ShapeBorderColor;
LEADImage1.ShapeBorderStyle:= LEADImage1.ShapeBorderStyle;
LEADImage1.ShapeBorderThickness:= LEADImage1.ShapeBorderThickness;
LEADImage1.ShapeInnerBandHiliteColor:= LEADImage1.ShapeInnerBandHiliteColor;
LEADImage1.ShapeInnerBandShadowColor:= LEADImage1.ShapeInnerBandShadowColor;
LEADImage1.ShapeInnerBandStyle:= LEADImage1.ShapeInnerBandStyle;
LEADImage1.ShapeInnerBandThickness:= LEADImage1.ShapeInnerBandThickness;
LEADImage1.ShapeOuterBandHiliteColor:= LEADImage1.ShapeOuterBandHiliteColor;
LEADImage1.ShapeOuterBandShadowColor:= LEADImage1.ShapeOuterBandShadowColor;
LEADImage1.ShapeOuterBandStyle:= LEADImage1.ShapeOuterBandStyle;
LEADImage1.ShapeOuterBandThickness:= LEADImage1.ShapeOuterBandThickness;
LEADImage1.ShadowXDepth:= LEADImage1.ShadowXDepth;
LEADImage1.ShadowYDepth:= LEADImage1.ShadowYDepth;
LEADImage1.ShadowColor:= LEADImage1.ShadowColor;

LEADImage1.DrawShape (LEADDlgEffect1.Shape, LEADImage2.Bitmap );
LEADImage1.ForceRepaint ( );
end;
end;
procedure TForm1.LEADDlgEffect1DlgHelp (uDialogID: Cardinal);
begin
case ( uDialogID ) of

DLG_HELP_GETEFFECT:
ShowMessage( 'Help from GetEffect dialog' );

DLG_HELP_GETSHAPE:
ShowMessage( 'Help from GetShape dialog' );

DLG_HELP_GETTEXT:
ShowMessage( 'Help from GetText dialog' );

DLG_HELP_GETGRADIENT:
ShowMessage( 'Help from GetGradient dialog' );

DLG_HELP_GETTRANSITION:
ShowMessage( 'Help from GetTransition dialog' );
end;
end;


ShowGetTextDlg example for Delphi

procedure TForm1.ShowGetTextDlg1Click(Sender: TObject);
var
nRet: L_INT;
strSampleText: String;
begin
strSampleText:= 'LEADTOOLS!';

LEADDlgEffect1.TextForegroundBitmap:= LEADImage2.Bitmap;
LEADDlgEffect1.SampleText:= strSampleText;
LEADDlgEffect1.TextFont.Color := RGB ( 0, 0, 255 );
LEADDlgEffect1.TextHiliteColor:= RGB ( 255, 255, 255 );
LEADDlgEffect1.ShadowColor:= RGB ( 128, 128, 128 );
LEADDlgEffect1.TextStyle:= etsNormal;
LEADDlgEffect1.TextAlign:= etaHcenterVcenter;
LEADDlgEffect1.TextWordWrap:= False;
LEADDlgEffect1.TextAngle:= 450;
LEADDlgEffect1.ShadowXDepth:= 10;
LEADDlgEffect1.ShadowYDepth:= 10;
LEADDlgEffect1.TextUseForegroundImage:= True;
LEADDlgEffect1.DlgFlags:= DLG_TEXT_SHOW_PREVIEW Or
DLG_TEXT_AUTOPREVIEW Or
DLG_TEXT_SAMPLETEXT Or
DLG_TEXT_STYLE Or
DLG_TEXT_COLOR Or
DLG_TEXT_BORDERCOLOR Or
DLG_TEXT_ALIGN Or
DLG_TEXT_ANGLE Or
DLG_TEXT_WORDWRAP Or
DLG_TEXT_FONT Or
DLG_TEXT_FOREIMAGE Or
DLG_TEXT_BROWSEIMAGE Or
DLG_TEXT_SHADOWCOLOR Or
DLG_TEXT_SHADOW_X_Y;

LEADDlgEffect1.LEADImage:= LEADImage1;
LEADDlgEffect1.LEADDlgService:= LEADDlgService1;
nRet:= LEADDlgEffect1.ShowGetTextDlg ( Self );

if ( nRet = SUCCESS_DLG_OK ) then
begin
LEADImage1.TextTop:= 50;
LEADImage1.TextLeft:= 50;
LEADImage1.TextWidth:= LEADImage1.DstWidth - 50;
LEADImage1.TextHeight:= LEADImage1.DstHeight - 50;

LEADImage1.TextAngle:= LEADDlgEffect1.TextAngle;
LEADImage1.TextAlign:= LEADDlgEffect1.TextAlign;
LEADImage1.TextStyle:= LEADDlgEffect1.TextStyle;
LEADImage1.TextWordWrap:= LEADDlgEffect1.TextWordWrap;

LEADImage1.ShadowColor:= LEADDlgEffect1.ShadowColor;
LEADImage1.ShadowXDepth:= LEADDlgEffect1.ShadowXDepth;
LEADImage1.ShadowYDepth:= LEADDlgEffect1.ShadowYDepth;

LEADImage1.TextHiliteColor:= LEADDlgEffect1.TextHiliteColor;
LEADImage1.TextFont:= LEADDlgEffect1.TextFont;

LEADImage1.DrawTextStr ( LEADDlgEffect1.SampleText, LEADImage2.Bitmap );
end;
end;


ShowGetTransitionDlg example for Delphi

procedure TForm1.ShowGetTransitionDlg1Click(Sender: TObject);
var
nRet: L_INT;
begin

LEADDlgEffect1.TransitionStyle:= etsNone;
LEADDlgEffect1.Effect:= EFX_EFFECT_WIPE_L_TO_R;
LEADDlgEffect1.ForeColor:= RGB ( 255, 255, 0 );
LEADDlgEffect1.BackColor:= RGB ( 255, 0, 255 );
LEADDlgEffect1.GradientSteps:= 120;
LEADDlgEffect1.Delay:= 20;
LEADDlgEffect1.Grain:= 5;
LEADDlgEffect1.WandThickness:= 5;
LEADDlgEffect1.WandColor:= RGB ( 255, 255, 0 );
LEADDlgEffect1.Transparent:= TRUE;
LEADDlgEffect1.TransparentColor:= RGB ( 255, 0, 0 );
LEADDlgEffect1.DlgFlags:= DLG_TRANSITION_SHOW_PREVIEW Or
DLG_TRANSITION_FORECOLOR Or
DLG_TRANSITION_BACKCOLOR Or
DLG_TRANSITION_DELAY Or
DLG_TRANSITION_GRAIN Or
DLG_TRANSITION_EFFECT Or
DLG_TRANSITION_PASSES Or
DLG_TRANSITION_WAND Or
DLG_TRANSITION_TRANSPARENT Or
DLG_TRANSITION_GRADIENT;

LEADDlgEffect1.LEADImage:= LEADImage1;
LEADDlgEffect1.LEADDlgService:= LEADDlgService1;
nRet:= LEADDlgEffect1.ShowGetTransitionDlg ( Self );
if ( nRet= SUCCESS_DLG_OK ) then
begin
{output the results}
Edit1.Text:= IntToStr ( LEADDlgEffect1.Effect);
Edit2.Text:= IntToStr ( LEADDlgEffect1.Grain );
Edit3.Text:= IntToStr ( LEADDlgEffect1.Delay);
Edit4.Text:= IntToStr ( LEADDlgEffect1.MaxPass );
if ( LEADDlgEffect1.Transparent ) then
Edit5.Text:= 'True'
else
Edit5.Text:= 'False';
Edit6.Text:= IntToStr ( LEADDlgEffect1.WandThickness );
Edit7.Text:= IntToStr ( Ord(LEADDlgEffect1.TransitionStyle) );
Edit8.Text:= IntToStr ( LEADDlgEffect1.GradientSteps );
Shape1.Brush.Color:= LEADDlgEffect1.TransparentColor;
Shape2.Brush.Color:= LEADDlgEffect1.WandColor;
Shape3.Brush.Color:= LEADDlgEffect1.BackColor;
Shape4.Brush.Color:= LEADDlgEffect1.ForeColor;
end;
end;


ShowGIFWebTunerDlg example for Delphi

procedure TForm1.ShowGIFWebTunerDlg1Click(Sender: TObject);
var
nRet: L_INT;
begin
LEADDlgWeb1.DlgFlags:= DLG_GIFWEBTUNER_SHOW_INFORMATION Or
DLG_GIFWEBTUNER_SHOW_PREVIEW Or
DLG_GIFWEBTUNER_SHOW_TOOL_ZOOMLEVEL Or
DLG_GIFWEBTUNER_SHOW_TOOL_COLORPICKER Or
DLG_GIFWEBTUNER_SHOW_TRANSPARENCY Or
DLG_GIFWEBTUNER_SHOW_OPTIONS Or
DLG_GIFWEBTUNER_SHOW_ADDWINDOWCOLOR;

LEADDlgWeb1.LEADImage:= LEADImage1;

nRet:= LEADDlgWeb1.ShowGIFWebTunerDlg ( Self );
if ( nRet = SUCCESS_DLG_OK ) then
begin
LEADImage1.Fill (LEADDlgWeb1.TransparentColor );
end;
end;


ShowGradientFilterDlg example for Delphi

procedure TForm1.ShowGradientFilterDlg1Click(Sender: TObject);
var
nRet: L_INT;
begin
LEADDlgImgEffect1.SpatialFilterType:= FLT_GRADIENT_NE;
LEADDlgImgEffect1.DlgFlags:= DLG_GRADIENTFILTER_SHOW_PREVIEW Or
DLG_GRADIENTFILTER_SHOW_TOOL_ZOOMLEVEL;

LEADDlgImgEffect1.LEADImage:= LEADImage1;

nRet:= LEADDlgImgEffect1.ShowGradientFilterDlg ( Self );
if ( nRet = SUCCESS_DLG_OK ) then
begin
LEADImage1.SpatialFilter ( LEADDlgImgEffect1.SpatialFilterType );
end;
end;


ShowGrayScaleDlg example for Delphi

procedure TForm1.ShowGrayScaleDlg1Click(Sender: TObject);
begin
LEADDlgColor1.RedFactor:= 400;
LEADDlgColor1.GreenFactor:= 300;
LEADDlgColor1.BlueFactor:= 300;
LEADDlgColor1.DlgFlags:= DLG_GRAYSCALE_SHOW_PREVIEW Or
DLG_GRAYSCALE_SHOW_TOOL_ZOOMLEVEL;
LEADDlgColor1.LEADImage:= LEADImage1;
LEADDlgColor1.LEADDlgService:= LEADDlgService1;
LEADDlgColor1.ShowGrayScaleDlg ( Self );
end;


ShowHalftoneDlg example for Delphi

procedure TForm1.ShowHalftoneDlg1Click(Sender: TObject);
var
i: L_INT;
nRet: L_INT;
FileNames: Array [ 0..2 ] of String;
begin
LEADDlgColor1.ItemsCount:= 3;
FileNames[0]:= 'e:\image1.jpg';
FileNames[1]:= 'e:\image2.jpg';
FileNames[2]:= 'e:\image3.jpg';

for i:= 0 to 2 do
begin
LEADImage2.LoadStamp ( FileNames[i] );
LEADDlgColor1.ItemDescription [i]:= IntToStr(i);
LEADDlgColor1.ItemFileName [i]:= FileNames[i];
LEADDlgColor1.ItemBitmap [i]:= LEADImage2.Bitmap;
end;
LEADDlgColor1.Angle:= 5;
LEADDlgColor1.Dimension:= 5;
LEADDlgColor1.HalftoneType:= HT_RECT;

LEADDlgColor1.DlgFlags:= DLG_HALFTONE_SHOW_PREVIEW Or
DLG_HALFTONE_SHOW_TOOL_ZOOMLEVEL Or
DLG_HALFTONE_SHOW_TOOL_SHOWEFFECT Or
DLG_HALFTONE_SHOW_TOOL_ONSCREEN Or
DLG_HALFTONE_SHOW_TOOL_RESET;

LEADDlgColor1.LEADImage:= LEADImage1;
nRet:= LEADDlgColor1.ShowHalftoneDlg ( Self );
if ( nRet = SUCCESS_DLG_OK ) then
begin
ShowMessage ( 'No of Selected Items are ' + IntToStr(LEADDlgColor1.SelectedBitmapsCount) );
if ( LEADDlgColor1.SelectedBitmapList <> 0 ) then
LEADImage1.BitmapList:= LEADDlgColor1.SelectedBitmapList;
end;
end;


ShowHistoContrastDlg example for Delphi

procedure TForm1.ShowHistoContrastDlg1Click(Sender: TObject);
var
nRet: L_INT;
begin
LEADDlgColor1.DlgFlags:= DLG_HISTOCONTRAST_SHOW_PREVIEW Or
DLG_HISTOCONTRAST_SHOW_TOOL_ZOOMLEVEL;
LEADDlgColor1.LEADImage:= LEADImage1;
LEADDlgColor1.LEADDlgService:= LEADDlgService1;
nRet:= LEADDlgColor1.ShowHistoContrastDlg ( Self );
if ( nRet = SUCCESS_DLG_OK ) then
begin
LEADImage1.HistoContrast ( LEADDlgColor1.Change );
end;
end;


ShowHistogramDlg example for Delphi

procedure TForm1.ShowHistogramDlg1Click(Sender: TObject);
var
i: L_INT;
begin
LEADImage1.GetHistogram ( CHANNEL_MASTER );
LEADDlgImage1.MasterHistogramLen:= LEADImage1.HistogramTableSize;

for i:= 0 to LEADImage1.HistogramTableSize-1 do
begin
LEADDlgImage1.MasterHistogram [i]:= LEADImage1.HistogramTable[i];
end;

LEADImage1.GetHistogram ( CHANNEL_RED );
LEADDlgImage1.RedHistogramLen:= LEADImage1.HistogramTableSize;

for i:= 0 to LEADImage1.HistogramTableSize-1 do
begin
LEADDlgImage1.RedHistogram [i]:= LEADImage1.HistogramTable[i];
end;

LEADImage1.GetHistogram ( CHANNEL_GREEN );
LEADDlgImage1.GreenHistogramLen:= LEADImage1.HistogramTableSize;

for i:= 0 to LEADImage1.HistogramTableSize-1 do
begin
LEADDlgImage1.GreenHistogram [i]:= LEADImage1.HistogramTable[i];
end;

LEADImage1.GetHistogram ( CHANNEL_BLUE );
LEADDlgImage1.BlueHistogramLen:= LEADImage1.HistogramTableSize;

for i:= 0 to LEADImage1.HistogramTableSize-1 do
begin
LEADDlgImage1.BlueHistogram [i]:= LEADImage1.HistogramTable[i];
end;

LEADDlgImage1.HistogramFlags:= HIST_LOWHIGH_BITS;
LEADDlgImage1.BlueChannelPenColor:= RGB ( 0, 0, 255 );
LEADDlgImage1.GreenChannelPenColor:= RGB ( 0, 255, 0 );
LEADDlgImage1.RedChannelPenColor:= RGB ( 255, 0, 0 );
LEADDlgImage1.MasterPenColor:= RGB ( 0, 0, 0 );
LEADDlgImage1.DlgFlags:= DLG_HISTOGRAM_SHOW_VIEWSTYLE Or
DLG_HISTOGRAM_USERPENCOLORS;

LEADDlgImage1.ShowHistogramDlg ( Self );
end;


ShowHolePunchRemoveDlg example for Delphi

procedure TForm1.ShowHolePunchRemoveDlg1Click(Sender: TObject);
begin
LEADDlgImgDoc1.MinHoleCount:= 2;
LEADDlgImgDoc1.MaxHoleCount:= 4;
LEADDlgImgDoc1.MinHoleWidth:= 0;
LEADDlgImgDoc1.MinHoleHeight:= 0;
LEADDlgImgDoc1.MaxHoleWidth:= 0;
LEADDlgImgDoc1.MaxHoleHeight:= 0;
LEADDlgImgDoc1.Location:= HOLEPUNCH_LEFT;
LEADDlgImgDoc1.WhiteAreaColor:= RGB ( 255, 0, 0 );
LEADDlgImgDoc1.BlackAreaColor:= RGB ( 0, 0, 255 );
LEADDlgImgDoc1.ProcessFlags:= HOLEPUNCH_USE_DPI;
LEADDlgImgDoc1.Location:= HOLEPUNCH_RIGHT;
LEADDlgImgDoc1.DlgFlags:= DLG_HOLEPUNCHREMOVE_AUTOPROCESS Or
DLG_HOLEPUNCHREMOVE_SHOW_PREVIEW Or
DLG_HOLEPUNCHREMOVE_SHOW_TOOL_ZOOMLEVEL;

LEADDlgImgDoc1.LEADImage:= LEADImage1;
LEADDlgImgDoc1.ShowHolePunchRemoveDlg ( Self );
end;


ShowHTMLMapperDlg example for Delphi

procedure TForm1.ShowHTMLMapperDlg1Click(Sender: TObject);
begin
LEADDlgWeb1.DlgFlags:= 0;
LEADDlgWeb1.LEADImage:= LEADImage1;

LEADDlgWeb1.HistoryURLMaxLength:= 35;
LEADDlgWeb1.HistoryALTMaxLength:= 35;
LEADDlgWeb1.HistoryTargetMaxLength:= 10;
LEADDlgWeb1.HistoryRolloverMaxLength:= MAX_PATH;

LEADDlgWeb1.HistoryURLsCount:= 5;
LEADDlgWeb1.HistoryALTsCount:= 5;
LEADDlgWeb1.HistoryTargetsCount:= 5;
LEADDlgWeb1.HistoryRolloversCount:= 5;

LEADDlgWeb1.HistoryURLsValidCount:= 2;
LEADDlgWeb1.HistoryALTsValidCount:= 1;
LEADDlgWeb1.HistoryTargetsValidCount:= 1;
LEADDlgWeb1.HistoryRolloversValidCount:= 3;

LEADDlgWeb1.HistoryURL [0]:='http://www.medicorimaging.com/';
LEADDlgWeb1.HistoryURL [1]:='http://www.leadtools.com/';

LEADDlgWeb1.HistoryALT [0]:='LEADTOOLS Online!';

LEADDlgWeb1.HistoryTarget [0]:='_parent';

LEADDlgWeb1.HistoryRollover [0]:='e:\images\image3.jpg';
LEADDlgWeb1.HistoryRollover [1]:='e:\images\image2.jpg';
LEADDlgWeb1.HistoryRollover [2]:='e:\images\image1.jpg';

LEADDlgWeb1.ShowHTMLMapperDlg ( Self );
end;


ShowHueDlg example for Delphi

procedure TForm1.ShowHueDlg1Click(Sender: TObject);
var
nRet: L_INT;
begin
LEADDlgColor1.DlgFlags:= DLG_HUE_SHOW_PREVIEW Or
DLG_HUE_SHOW_TOOL_ZOOMLEVEL;
LEADDlgColor1.LEADImage:= LEADImage1;
LEADDlgColor1.LEADDlgService:= LEADDlgService1;
nRet:= LEADDlgColor1.ShowHueDlg ( Self );
if ( nRet = SUCCESS_DLG_OK ) then
begin
LEADImage1.Hue ( LEADDlgColor1.Angle);
end;
end;


ShowImpressionistDlg example for Delphi

procedure TForm1.ShowImpressionistDlg1Click(Sender: TObject);
var
nRet: L_INT;
begin
LEADDlgImgEffect1.DlgFlags:= DLG_IMPRESSIONIST_SHOW_PREVIEW Or
DLG_IMPRESSIONIST_SHOW_TOOL_ZOOMLEVEL;

LEADDlgImgEffect1.LEADImage:= LEADImage1;
nRet:= LEADDlgImgEffect1.ShowImpressionistDlg ( Self );
if ( nRet = SUCCESS_DLG_OK ) then
begin
LEADImage1.Impressionist ( LEADDlgImgEffect1.HorizontalDim,
LEADDlgImgEffect1.VerticalDim );
end;
end;


ShowIntensityDetectDlg example for Delphi

procedure TForm1.ShowIntensityDetectDlg1Click(Sender: TObject);
var
nRet: L_INT;
begin
LEADDlgColor1.DlgFlags:= DLG_INTENSITYDETECT_SHOW_PREVIEW Or
DLG_INTENSITYDETECT_SHOW_TOOL_ZOOMLEVEL;

LEADDlgColor1.LEADImage:= LEADImage1;
LEADDlgColor1.LEADDlgService:= LEADDlgService1;
nRet:= LEADDlgColor1.ShowIntensityDetectDlg ( Self );
if ( nRet = SUCCESS_DLG_OK ) then
begin
LEADImage1.IntensityDetect ( LEADDlgColor1.IntensityLow,
LEADDlgColor1.IntensityHigh,
LEADDlgColor1.IntensityInColor,
LEADDlgColor1.IntensityOutColor,
LEADDlgColor1.Channel );
end;
end;


ShowInvertedTextDlg example for Delphi

procedure TForm1.ShowInvertedTextDlg1Click(Sender: TObject);
begin

LEADDlgImgDoc1.MinInvertWidth:= 900;
LEADDlgImgDoc1.MinInvertHeight:= 56;
LEADDlgImgDoc1.MinBlackPercent:= 75;
LEADDlgImgDoc1.MaxBlackPercent:= 95;
LEADDlgImgDoc1.WhiteAreaColor:= RGB ( 255, 0, 0 );
LEADDlgImgDoc1.BlackAreaColor:= RGB ( 0, 0, 255 );

LEADDlgImgDoc1.ProcessFlags:= INVERTEDTEXT_USE_DIAGONALS Or INVERTEDTEXT_USE_DPI;
LEADDlgImgDoc1.DlgFlags:= DLG_INVERTEDTEXT_AUTOPROCESS Or
DLG_INVERTEDTEXT_SHOW_PREVIEW Or
DLG_INVERTEDTEXT_SHOW_TOOL_ZOOMLEVEL;

LEADDlgImgDoc1.LEADImage:= LEADImage1;
LEADDlgImgDoc1.ShowInvertedTextDlg ( Self );
end;


ShowJPEGWebTunerDlg example for Delphi

procedure TForm1.ShowJPEGWebTunerDlg1Click(Sender: TObject);
var
nRet: L_INT;
begin
LEADDlgWeb1.DlgFlags:= DLG_JPEGWEBTUNER_SHOW_INFORMATION Or
DLG_JPEGWEBTUNER_SHOW_PREVIEW Or
DLG_JPEGWEBTUNER_SHOW_TOOL_ZOOMLEVEL Or
DLG_JPEGWEBTUNER_SHOW_SAVETHUMBNAIL Or
DLG_JPEGWEBTUNER_SHOW_OPTIONS Or
DLG_JPEGWEBTUNER_SHOW_SAVETHUMBNAIL;

LEADDlgWeb1.LEADImage:= LEADImage1;

nRet:= LEADDlgWeb1.ShowJPEGWebTunerDlg ( Self );
if ( nRet = SUCCESS_DLG_OK ) then
begin
if ( LEADDlgWeb1.Progressive ) then
LEADImage1.ProgressivePasses:= 1;

if ( LEADDlgWeb1.WithStamp ) then
begin
LEADImage1.SaveWithStamp ( 'c:\temp\output.jpg',
LEADDlgWeb1.Format,
24,
LEADDlgWeb1.Quality,
32,
32,
24 );
end
else
begin
LEADImage1.Save ( 'c:\temp\output.jpg',
LEADDlgWeb1.Format,
24,
LEADDlgWeb1.Quality,
SAVE_OVERWRITE );
end;
end;
end;


ShowLaplacianFilterDlg example for Delphi

procedure TForm1.ShowLaplacianFilterDlg1Click(Sender: TObject);
var
nRet: L_INT;
begin
LEADDlgImgEffect1.SpatialFilterType:= FLT_LAPLACE_3;
LEADDlgImgEffect1.DlgFlags:= DLG_LAPLACIANFILTER_SHOW_PREVIEW Or
DLG_LAPLACIANFILTER_SHOW_TOOL_ZOOMLEVEL;

LEADDlgImgEffect1.LEADImage:= LEADImage1;

nRet:= LEADDlgImgEffect1.ShowLaplacianFilterDlg ( Self );
if ( nRet = SUCCESS_DLG_OK ) then
begin
LEADImage1.SpatialFilter ( LEADDlgImgEffect1.SpatialFilterType );
end;
end;


ShowLineRemoveDlg example for Delphi

procedure TForm1.ShowLineRemoveDlg1Click(Sender: TObject);
var
nRet: L_INT;
begin

LEADDlgImgDoc1.GapLength:= 3;
LEADDlgImgDoc1.MaxLineWidth:= 9;
LEADDlgImgDoc1.MaxWallPercent:= 10;
LEADDlgImgDoc1.MinLineLength:= 400;
LEADDlgImgDoc1.Variance:= 3;
LEADDlgImgDoc1.Wall:= 15;
LEADDlgImgDoc1.ModificationColor:= RGB ( 0, 255, 0 );
LEADDlgImgDoc1.ProcessFlags:= LINE_USE_DPI Or LINE_USE_VARIANCE;
LEADDlgImgDoc1.RemoveFlags:= LINEREMOVE_VERTICAL;
LEADDlgImgDoc1.DlgFlags:= DLG_LINEREMOVE_SHOW_PREVIEW Or
DLG_LINEREMOVE_SHOW_TOOL_ZOOMLEVEL;

LEADDlgImgDoc1.LEADImage:= LEADImage1;
nRet:= LEADDLgImgDoc1.ShowLineRemoveDlg ( Self );
if ( nRet = SUCCESS_DLG_OK ) then
begin
LEADImage1.FreeRgn ( );
LEADImage1.SetRgnHandle ( LEADDlgImgDoc1.DocCleanRgn, 0, 0, L_RGN_SET );
LEADDLgImgDoc1.DocCleanRgn:= 0;{no longer need rgn}
LEADImage1.RgnFrameType:= ftAnimated;
end;
end;


ShowLineSegmentFilterDlg example for Delphi

procedure TForm1.ShowLineSegmentFilterDlg1Click(Sender: TObject);
var
nRet: L_INT;
begin
LEADDlgImgEffect1.SpatialFilterType:= FLT_LINESEG_LTOR;
LEADDlgImgEffect1.DlgFlags:= DLG_LINESEGMENTFILTER_SHOW_PREVIEW Or
DLG_LINESEGMENTFILTER_SHOW_TOOL_ZOOMLEVEL;

LEADDlgImgEffect1.LEADImage:= LEADImage1;

nRet:= LEADDlgImgEffect1.ShowLineSegmentFilterDlg ( Self );
if ( nRet = SUCCESS_DLG_OK ) then
begin
LEADImage1.SpatialFilter ( LEADDlgImgEffect1.SpatialFilterType );
end;
end;


ShowLocalHistoEqualizeDlg example for Delphi

procedure TForm1.ShowLocalHistoEqualizeDlg1Click(Sender: TObject);
var
nRet: L_INT;
begin
LEADDlgColor1.RectWidth:= Trunc ( LEADImage1.BitmapWidth / 2 );
LEADDlgColor1.RectHeight:= Trunc ( LEADImage1.BitmapHeight / 2 );
LEADDlgColor1.ColorSpace:= YUV_SPACE;
LEADDlgColor1.DlgFlags:= DLG_LOCALHISTOEQUALIZE_SHOW_PREVIEW Or
DLG_LOCALHISTOEQUALIZE_SHOW_TOOL_ZOOMLEVEL;
LEADDlgColor1.LEADImage:= LEADImage1;
LEADDlgColor1.LEADDlgService:= LEADDlgService1;
nRet:= LEADDlgColor1.ShowLocalHistoEqualizeDlg ( Self );
if ( nRet = SUCCESS_DLG_OK ) then
begin
LEADImage1.LocalHistoEqualize ( LEADDlgColor1.RectWidth,
LEADDlgColor1.RectHeight,
LEADDlgColor1.XExtension,
LEADDlgColor1.YExtension,
LEADDlgColor1.ColorSpace,
LEADDlgColor1.SmoothSize );
end;
end;


ShowMaxFilterDlg example for Delphi

procedure TForm1.ShowMaxFilterDlg1Click(Sender: TObject);
var
nRet: L_INT;
begin
LEADDlgImgEffect1.Dimension:= 10;
LEADDlgImgEffect1.DlgFlags:= DLG_MAXFILTER_SHOW_PREVIEW Or
DLG_MAXFILTER_SHOW_TOOL_ZOOMLEVEL;

LEADDlgImgEffect1.LEADImage:= LEADImage1;

nRet:= LEADDlgImgEffect1.ShowMaxFilterDlg ( Self );
if ( nRet = SUCCESS_DLG_OK ) then
begin
LEADImage1.MaxFilter ( LEADDlgImgEffect1.Dimension );
end;
end;


ShowMedianDlg example for Delphi

procedure TForm1.ShowMedianDlg1Click(Sender: TObject);
var
nRet: L_INT;
begin
LEADDlgImgEffect1.DlgFlags:= DLG_MEDIAN_SHOW_PREVIEW Or
DLG_MEDIAN_SHOW_TOOL_ZOOMLEVEL;

LEADDlgImgEffect1.LEADImage:= LEADImage1;

nRet:= LEADDlgImgEffect1.ShowMedianDlg ( Self );
if ( nRet = SUCCESS_DLG_OK ) then
begin
LEADImage1.Median ( LEADDlgImgEffect1.Dimension );
end;
end;


ShowMinFilterDlg example for Delphi

procedure TForm1.ShowMinFilterDlg1Click(Sender: TObject);
var
nRet: L_INT;
begin
LEADDlgImgEffect1.Dimension:= 10;
LEADDlgImgEffect1.DlgFlags:= DLG_MINFILTER_SHOW_PREVIEW Or
DLG_MINFILTER_SHOW_TOOL_ZOOMLEVEL;

LEADDlgImgEffect1.LEADImage:= LEADImage1;

nRet:= LEADDlgImgEffect1.ShowMinFilterDlg ( Self );
if ( nRet = SUCCESS_DLG_OK ) then
begin
LEADImage1.MinFilter ( LEADDlgImgEffect1.Dimension );
end;
end;


ShowMosaicDlg example for Delphi

procedure TForm1.ShowMosaicDlg1Click(Sender: TObject);
var
nRet: L_INT;
begin
LEADDlgImgEffect1.DlgFlags:= DLG_MOSAIC_SHOW_PREVIEW Or
DLG_MOSAIC_SHOW_TOOL_ZOOMLEVEL;

LEADDlgImgEffect1.LEADImage:= LEADImage1;

nRet:= LEADDlgImgEffect1.ShowMosaicDlg ( Self );
if ( nRet = SUCCESS_DLG_OK ) then
begin
LEADImage1.Mosaic ( LEADDlgImgEffect1.Dimension );
end;
end;


ShowMotionBlurDlg example for Delphi

procedure TForm1.ShowMotionBlurDlg1Click(Sender: TObject);
var
nRet: L_INT;
begin

LEADDlgImgEffect1.DlgFlags:= DLG_MOTIONBLUR_SHOW_PREVIEW Or
DLG_MOTIONBLUR_SHOW_TOOL_ZOOMLEVEL;
LEADDlgImgEffect1.ZoomToFit:= False;
LEADDlgImgEffect1.LEADImage:= LEADImage1;
LEADDlgImgEffect1.LEADDlgService:= LEADDlgService1;
LEADDlgImgEffect1.EnableMethodErrors:= False;
LEADDlgImgEffect1.ShowHelpButton:= True;

nRet:= LEADDlgImgEffect1.ShowMotionBlurDlg ( Self );
if ( nRet = SUCCESS_DLG_OK ) then
begin
LEADImage1.MotionBlur ( LEADDlgImgEffect1.Dimension,
LEADDlgImgEffect1.Angle,
LEADDlgImgEffect1.Unidirectional );
end;
end;

procedure TForm1.LEADDlgImgEffect1DlgHelp (uDialogID: Cardinal);
begin
case ( uDialogID ) of
DLG_HELP_MOTIONBLUR:
ShowMessage( 'Help from MotionBlur dialog' );

DLG_HELP_RADIALBLUR:
ShowMessage( 'Help from RadialBlur dialog' );

DLG_HELP_ZOOMBLUR:
ShowMessage( 'Help from ZoomBlur dialog' );

DLG_HELP_GAUSSIANBLUR:
ShowMessage( 'Help from GaussianBlur dialog' );

DLG_HELP_ANTIALIAS:
ShowMessage( 'Help from AntiAlias dialog' );

DLG_HELP_AVERAGE:
ShowMessage( 'Help from Average dialog' );

DLG_HELP_MEDIAN:
ShowMessage( 'Help from Median dialog' );

DLG_HELP_ADDNOISE:
ShowMessage( 'Help from AddNoise dialog' );

DLG_HELP_MAXFILTER:
ShowMessage( 'Help from MaxFilter dialog' );

DLG_HELP_MINFILTER:
ShowMessage( 'Help from MinFilter dialog' );

DLG_HELP_SHARPEN:
ShowMessage( 'Help from Sharpen dialog' );

DLG_HELP_SHIFTDIFFERENCEFILTER:
ShowMessage( 'Help from ShiftDifferenceFilter dialog' );

DLG_HELP_EMBOSS:
ShowMessage( 'Help from Emboss dialog' );

DLG_HELP_OILIFY:
ShowMessage( 'Help from Oilify dialog' );

DLG_HELP_MOSAIC:
ShowMessage( 'Help from Mosaic dialog' );

DLG_HELP_EROSIONFILTER:
ShowMessage( 'Help from ErosionFilter dialog' );

DLG_HELP_DILATIONFILTER:
ShowMessage( 'Help from DilationFilter dialog' );

DLG_HELP_CONTOURFILTER:
ShowMessage( 'Help from ContourFilter dialog' );

DLG_HELP_GRADIENTFILTER:
ShowMessage( 'Help from GradientFilter dialog' );

DLG_HELP_LAPLACIANFILTER:
ShowMessage( 'Help from LaplacianFilter dialog' );

DLG_HELP_SOBELFILTER:
ShowMessage( 'Help from SobelFilter dialog' );

DLG_HELP_PREWITTFILTER:
ShowMessage( 'Help from PrewittFilter dialog' );

DLG_HELP_LINESEGMENTFILTER:
ShowMessage( 'Help from LineSegmentFilter dialog' );

DLG_HELP_UNSHARPMASK:
ShowMessage( 'Help from UnsharpMask dialog' );

DLG_HELP_MULTIPLY:
ShowMessage( 'Help from Multiply dialog' );

DLG_HELP_ADDBITMAPS:
ShowMessage( 'Help from AddBitmaps dialog' );

DLG_HELP_STITCH:
ShowMessage( 'Help from Stitch dialog' );

DLG_HELP_FREEHANDWAVE:
ShowMessage( 'Help from FreeHandWave dialog' );

DLG_HELP_WIND:
ShowMessage( 'Help from Wind dialog' );

DLG_HELP_POLAR:
ShowMessage( 'Help from Polar dialog' );

DLG_HELP_ZOOMWAVE:
ShowMessage( 'Help from ZoomWave dialog' );

DLG_HELP_RADIALWAVE:
ShowMessage( 'Help from RadialWave dialog' );

DLG_HELP_SWIRL:
ShowMessage( 'Help from Swirl dialog' );

DLG_HELP_WAVE:
ShowMessage( 'Help from Wave dialog' );

DLG_HELP_FREEHANDSHEAR:
ShowMessage( 'Help from FreeHandShear dialog' );

DLG_HELP_PUNCH:
ShowMessage( 'Help from Punch dialog' );

DLG_HELP_RIPPLE:
ShowMessage( 'Help from Ripple dialog' );

DLG_HELP_BENDING:
ShowMessage( 'Help from Bending dialog' );

DLG_HELP_CYLINDRICAL:
ShowMessage( 'Help from Cylindrical dialog' );

DLG_HELP_SPHERIZE:
ShowMessage( 'Help from Spherize dialog' );

DLG_HELP_IMPRESSIONIST:
ShowMessage( 'Help from Impressionist dialog' );

DLG_HELP_PIXELATE:
ShowMessage( 'Help from Pixelate dialog' );

DLG_HELP_EDGEDETECTOR:
ShowMessage( 'Help from EdgeDetector dialog' );

DLG_HELP_UNDERLAY:
ShowMessage( 'Help from Underlay dialog' );

DLG_HELP_PICTURIZE:
ShowMessage( 'Help from Picturize dialog' );
end;
end;


ShowMultiplyDlg example for Delphi

procedure TForm1.ShowMultiplyDlg1Click(Sender: TObject);
var
nRet: L_INT;
begin

LEADDlgImgEffect1.Factor:= 400;
LEADDlgImgEffect1.DlgFlags:= DLG_MULTIPLY_SHOW_PREVIEW Or
DLG_MULTIPLY_SHOW_TOOL_ZOOMLEVEL;

LEADDlgImgEffect1.LEADImage:= LEADImage1;

nRet:= LEADDlgImgEffect1.ShowMultiplyDlg ( Self );
if ( nRet = SUCCESS_DLG_OK ) then
begin
LEADImage1.Multiply (LEADDlgImgEffect1.Factor );
end;
end;


ShowOilifyDlg example for Delphi

procedure TForm1.ShowOilifyDlg1Click(Sender: TObject);
var
nRet: L_INT;
begin

LEADDlgImgEffect1.DlgFlags:= DLG_OILIFY_SHOW_PREVIEW Or
DLG_OILIFY_SHOW_TOOL_ZOOMLEVEL;

LEADDlgImgEffect1.LEADImage:= LEADImage1;

nRet:= LEADDlgImgEffect1.ShowOilifyDlg ( Self );
if ( nRet = SUCCESS_DLG_OK ) then
begin
LEADImage1.Oilify ( LEADDlgImgEffect1.Dimension );
end;
end;


ShowOpenDlg example for Delphi

procedure TForm1.ShowOpenDlg1Click(Sender: TObject);
var
nRet: L_INT;
begin

LEADDlgFile1.DialogTitle:= 'LEADTOOLS Open dialog box';
LEADDlgFile1.InitialDir:= 'c:\images';
LEADDlgFile1.DlgFileFlags:= 0;
LEADDlgFile1.PreviewEnabled:= True;
LEADDlgFile1.ShowLoadOptions:= False;
LEADDlgFile1.LoadRotated:= False;
LEADDlgFile1.LoadCompressed:= False;
LEADDlgFile1.LoadPasses:= 0;
LEADDlgFile1.MaxFileSize:= 0;
LEADDlgFile1.MaxFileTitleSize:= 0;

LEADDlgFile1.DlgFlags:= DLG_OPEN_SHOW_PROGRESSIVE +
DLG_OPEN_SHOW_MULTIPAGE +
DLG_OPEN_SHOW_LOADROTATED +
DLG_OPEN_SHOW_LOADCOMPRESSED +
DLG_OPEN_SHOW_FILEINFO +
DLG_OPEN_SHOW_PREVIEW +
DLG_OPEN_SHOW_DELPAGE +
DLG_OPEN_VIEWTOTALPAGES;

LEADDlgFile1.LEADImage:= LEADImage1;
nRet:= LEADDlgFile1.ShowOpenDlg ( Self );
if ( nRet = SUCCESS_DLG_OK ) then
begin
LEADImage1.Load ( LEADDlgFile1.FileName, 0, LEADDlgFile1.PageNumber, 1 );
Edit1.Text:= LEADDlgFile1.FileName;
Edit2.Text:= LEADDlgFile1.FileTitle;
Edit3.Text:= IntToStr ( LEADDlgFile1.PageNumber );
end;
end;


ShowPicturizeDlg example for Delphi

procedure TForm1.ShowPicturizeDlg1Click(Sender: TObject);
var
nRet: L_INT;
begin
LEADDlgImgEffect1.BitmapWidth:= LEADImage1.BitmapWidth;
LEADDlgImgEffect1.BitmapHeight:= LEADImage1.BitmapHeight;
nRet:= LEADDlgImgEffect1.ShowPicturizeDlg ( Self );
if ( nRet = SUCCESS_DLG_OK ) then
begin
LEADImage1.Picturize ( LEADDlgImgEffect1.DirectoryPath,
LEADDlgImgEffect1.PicturizeResizeFlags,
LEADDlgImgEffect1.CellWidth,
LEADDlgImgEffect1.CellHeight );
end;
end;


ShowPixelateDlg example for Delphi

procedure TForm1.ShowPixelateDlg1Click(Sender: TObject);
var
nRet: L_INT;
begin
LEADDlgImgEffect1.DlgFlags:= DLG_PIXELATE_SHOW_PREVIEW Or
DLG_PIXELATE_SHOW_TOOL_ZOOMLEVEL;

LEADDlgImgEffect1.LEADImage:= LEADImage1;

nRet:= LEADDlgImgEffect1.ShowPixelateDlg ( Self );
if ( nRet = SUCCESS_DLG_OK ) then
begin
LEADImage1.Pixelate ( LEADDlgImgEffect1.CellWidth,
LEADDlgImgEffect1.CellHeight,
LEADDlgImgEffect1.Opacity,
LEADDlgImgEffect1.CenterPoint,
LEADDlgImgEffect1.PixelateFlags );
end;
end;


ShowPNGWebTunerDlg example for Delphi

procedure TForm1.ShowPNGWebTunerDlg1Click(Sender: TObject);
var
nRet: L_INT;
begin

LEADDlgWeb1.TransparentColor:= RGB ( 255, 255, 255 );
LEADDlgWeb1.PaletteType:= CRF_FIXEDPALETTE;
LEADDlgWeb1.AddWindowsColors:= True;
LEADDlgWeb1.DitherType:= CRF_FLOYDSTEINDITHERING;
LEADDlgWeb1.BitsPerPixel:= 8;
LEADDlgWeb1.NumOfColors:= 256;
LEADDlgWeb1.TransparencyTolerance:= 25;
LEADDlgWeb1.Transparent:= True;

LEADDlgWeb1.DlgFlags:= DLG_PNGWEBTUNER_SHOW_INFORMATION Or
DLG_PNGWEBTUNER_SHOW_PREVIEW Or
DLG_PNGWEBTUNER_SHOW_TOOL_ZOOMLEVEL Or
DLG_PNGWEBTUNER_SHOW_TOOL_COLORPICKER Or
DLG_PNGWEBTUNER_SHOW_TRANSPARENCY Or
DLG_PNGWEBTUNER_SHOW_ADDWINDOWCOLOR;

LEADDlgWeb1.LEADImage:= LEADImage1;
LEADDlgWeb1.LEADDlgService:= LEADDlgService1;
LEADDlgWeb1.EnableMethodErrors:= False;
LEADDlgWeb1.ShowHelpButton:= True;

nRet:= LEADDlgWeb1.ShowPNGWebTunerDlg ( Self );
if ( nRet = SUCCESS_DLG_OK ) then
begin
LEADImage1.ColorRes ( LEADDlgWeb1.BitsPerPixel,
LEADDlgWeb1.PaletteType,
LEADDlgWeb1.DitherType,
0 );
end;
end;

procedure TForm1.LEADDlgWeb1DlgHelp (uDialogID: Cardinal);
begin
Case ( uDialogID ) of
DLG_HELP_PNGWEBTUNER:
ShowMessage( 'Help from PNG Web Tuner dialog' );

DLG_HELP_GIFWEBTUNER:
ShowMessage( 'Help from GIF Web Tuner dialog' );

DLG_HELP_JPEGWEBTUNER:
ShowMessage( 'Help from JPEG Web Tuner dialog' );

DLG_HELP_HTMLMAPPER:
ShowMessage( 'Help from HTMLMapper dialog' );
end;
end;


ShowPolarDlg example for Delphi

procedure TForm1.ShowPolarDlg1Click(Sender: TObject);
var
nRet: L_INT;
begin
LEADDlgImgEffect1.PolarFlags:= FILL_CLR Or CART_TO_POL;
LEADDlgImgEffect1.FillColor:= RGB ( 0, 0, 220 );
LEADDlgImgEffect1.DlgFlags:= DLG_POLAR_SHOW_PREVIEW Or
DLG_POLAR_SHOW_TOOL_ZOOMLEVEL;

LEADDlgImgEffect1.LEADImage:= LEADImage1;

nRet:= LEADDlgImgEffect1.ShowPolarDlg ( Self );
if ( nRet = SUCCESS_DLG_OK ) then
begin
LEADImage1.Polar ( LEADDlgImgEffect1.FillColor,
LEADDlgImgEffect1.PolarFlags );
end;
end;


ShowPosterizeDlg example for Delphi

procedure TForm1.ShowPosterizeDlg1Click(Sender: TObject);
var
nRet: L_INT;
begin
LEADDlgColor1.Levels:= 2;
LEADDlgColor1.DlgFlags:= DLG_POSTERIZE_SHOW_PREVIEW Or
DLG_POSTERIZE_SHOW_TOOL_ZOOMLEVEL;
LEADDlgColor1.LEADImage:= LEADImage1;
LEADDlgColor1.LEADDlgService:= LEADDlgService1;
nRet:= LEADDlgColor1.ShowPosterizeDlg ( Self );
if ( nRet = SUCCESS_DLG_OK ) then
begin
LEADImage1.Posterize ( LEADDlgColor1.Levels );
end;
end;


ShowPrewittFilterDlg example for Delphi

procedure TForm1.ShowPrewittFilterDlg1Click(Sender: TObject);
var
nRet: L_INT;
begin
LEADDlgImgEffect1.SpatialFilterType:= FLT_PREWITT_HORZ;
LEADDlgImgEffect1.DlgFlags:= DLG_PREWITTFILTER_SHOW_PREVIEW Or
DLG_PREWITTFILTER_SHOW_TOOL_ZOOMLEVEL;
LEADDlgImgEffect1.LEADImage:= LEADImage1;

nRet:= LEADDlgImgEffect1.ShowPrewittFilterDlg ( Self );
if ( nRet = SUCCESS_DLG_OK ) then
begin
LEADImage1.SpatialFilter ( LEADDlgImgEffect1.SpatialFilterType );
end;
end;


ShowPrintPreviewDlg example for Delphi

Function TForm1.DoPrintPreview ( hDevMode: L_HGLOBAL;
hDevNames: L_HGLOBAL;
rcMargin: TRect;
rcMinMargins: TRect;
Icon: TIcon ): L_INT;
begin
LEADDlgFile1.MarginsRect:= rcMargin;
LEADDlgFile1.MinMarginsRect:= rcMinMargins;
LEADDlgFile1.DevModeHandle:= hDevMode;
LEADDlgFile1.DevNamesHandle:= hDevNames;
LEADDlgFile1.WindowIcon:= Icon;
LEADDlgFile1.CommandShow:= SW_SHOW;

LEADDlgFile1.LEADImage:= LEADImage1;

Result:= LEADDlgFile1.ShowPrintPreviewDlg ( Self );
end;


ShowPrintStitchedImagesDlg example for Delphi

Function TForm1.DoPrintStitchedImages ( hDevMode: L_HGLOBAL;
hDevNames: L_HGLOBAL;
rcMargin: TRect;
rcMinMargins: TRect;
Icon: TIcon ): L_INT;
var
i: L_INT;
FileNames: Array [ 0..2 ] of String;
begin
LEADDlgFile1.MarginsRect:= rcMargin;
LEADDlgFile1.MinMarginsRect:= rcMinMargins;
LEADDlgFile1.DevModeHandle:= hDevMode;
LEADDlgFile1.DevNamesHandle:= hDevNames;
LEADDlgFile1.WindowIcon:= Icon;
LEADDlgFile1.CommandShow:= SW_SHOW;

LEADDlgFile1.ItemsCount:= 3;
FileNames[0]:= 'e:\image1.jpg';
FileNames[1]:= 'e:\image2.jpg';
FileNames[2]:= 'e:\image3.jpg';

for i:= 0 to 2 do
begin
LEADImage2.LoadStamp ( FileNames[i] );
LEADDlgFile1.ItemDescription [i]:= IntToStr(i);
LEADDlgFile1.ItemFileName [i]:= FileNames[i];
LEADDlgFile1.ItemBitmap [i]:= LEADImage2.Bitmap;
end;

Result:= LEADDlgFile1.ShowPrintStitchedImagesDlg ( Self );
end;


ShowPunchDlg example for Delphi

procedure TForm1.ShowPunchDlg1Click(Sender: TObject);
var
nRet: L_INT;
begin
LEADDlgImgEffect1.DlgFlags:= DLG_PUNCH_SHOW_PREVIEW Or
DLG_PUNCH_SHOW_TOOL_ZOOMLEVEL;

LEADDlgImgEffect1.LEADImage:= LEADImage1;

nRet:= LEADDlgImgEffect1.ShowPunchDlg ( Self );
if ( nRet = SUCCESS_DLG_OK ) then
begin
LEADImage1.Punch (LEADDlgImgEffect1.Value,
LEADDlgImgEffect1.Stress,
LEADDlgImgEffect1.CenterPoint,
LEADDlgImgEffect1.FillColor,
LEADDlgImgEffect1.PunchFlags );
end;
end;


ShowRadialBlurDlg example for Delphi

procedure TForm1.ShowRadialBlurDlg1Click(Sender: TObject);
var
nRet: L_INT;
begin
LEADDlgImgEffect1.DlgFlags:= DLG_RADIALBLUR_SHOW_PREVIEW Or
DLG_RADIALBLUR_SHOW_TOOL_ZOOMLEVEL;

LEADDlgImgEffect1.LEADImage:= LEADImage1;

nRet:= LEADDlgImgEffect1.ShowRadialBlurDlg ( Self );
if ( nRet = SUCCESS_DLG_OK ) then
begin
LEADImage1.RadialBlur ( LEADDlgImgEffect1.Dimension, LEADDlgImgEffect1.Stress, LEADDlgImgEffect1.CenterPoint );
end;
end;


ShowRadialWaveDlg example for Delphi

procedure TForm1.ShowRadialWaveDlg1Click(Sender: TObject);
var
nRet: L_INT;
begin
LEADDlgImgEffect1.DlgFlags:= DLG_RADIALWAVE_SHOW_PREVIEW Or
DLG_RADIALWAVE_SHOW_TOOL_ZOOMLEVEL;

LEADDlgImgEffect1.LEADImage:= LEADImage1;

nRet:= LEADDlgImgEffect1.ShowRadialWaveDlg ( Self );
if ( nRet = SUCCESS_DLG_OK ) then
begin
LEADImage1.RadWave (LEADDlgImgEffect1.Amplitude,
LEADDlgImgEffect1.WaveLength,
LEADDlgImgEffect1.Phase,
LEADDlgImgEffect1.CenterPoint,
LEADDlgImgEffect1.FillColor,
LEADDlgImgEffect1.RadialWaveFlags );
end;
end;


ShowRemapHueDlg example for Delphi

procedure TForm1.ShowRemapHueDlg1Click(Sender: TObject);
var
i: L_INT;
nRet: L_INT;
begin
LEADDlgColor1.DlgFlags:= DLG_REMAPHUE_SHOW_PREVIEW Or
DLG_REMAPHUE_SHOW_TOOL_ZOOMLEVEL;

LEADDlgColor1.LEADImage:= LEADImage1;
LEADDlgColor1.LEADDlgService:= LEADDlgService1;
nRet:= LEADDlgColor1.ShowRemapHueDlg ( Self );
if ( nRet = SUCCESS_DLG_OK ) then
begin
for i:= 0 to LEADDlgColor1.RemapHueTableSize -1 do
begin
LEADImage1.MaskTable[i]:= LEADDlgColor1.RemapHueMaskTable [i];
LEADImage1.HTable[i]:= LEADDlgColor1.RemapHueHTable [i];
LEADImage1.STable[i]:= LEADDlgColor1.RemapHueSTable [i];
LEADImage1.VTable[i]:= LEADDlgColor1.RemapHueVTable [i];
end;
LEADImage1.RemapHue ( True, True, False, False );
end;
end;


ShowRemapIntensityDlg example for Delphi

procedure TForm1.ShowRemapIntensityDlg1Click(Sender: TObject);
var
i: L_INT;
nRet: L_INT;
begin
LEADDlgColor1.Channel:= CHANNEL_RED;
LEADDlgColor1.DlgFlags:= DLG_REMAPINTENSITY_SHOW_PREVIEW Or
DLG_REMAPINTENSITY_SHOW_TOOL_ZOOMLEVEL;

LEADDlgColor1.LEADImage:= LEADImage1;
LEADDlgColor1.LEADDlgService:= LEADDlgService1;
nRet:= LEADDlgColor1.ShowRemapIntensityDlg ( Self );
if ( nRet = SUCCESS_DLG_OK ) then
begin
for i:= 0 to LEADDlgColor1.RemapIntensityTableSize -1 do
begin
LEADImage1.RemapTable[i]:= LEADDlgColor1.RemapIntensityTable [i];
end;
LEADImage1.RemapIntensity ( LEADDlgColor1.Channel );
end;
end;


ShowRemoveRedeyeDlg example for Delphi

procedure TForm1.ShowRemoveRedeyeDlg1Click(Sender: TObject);
var
nRet: L_INT;
begin
LEADDlgImgDoc1.ZoomToFit:= False;
LEADDlgImgDoc1.DlgFlags:= DLG_REMOVEREDEYE_SHOW_PREVIEW Or
DLG_REMOVEREDEYE_SHOW_TOOL_ZOOMLEVEL;

LEADDlgImgDoc1.LEADImage:= LEADImage1;
LEADDlgImgDoc1.LEADDlgService:= LEADDlgService1;
LEADDlgImgDoc1.EnableMethodErrors:= False;
LEADDlgImgDoc1.ShowHelpButton:= True;

nRet:= LEADDlgImgDoc1.ShowRemoveRedeyeDlg ( Self );
if ( nRet = SUCCESS_DLG_OK ) then
begin
LEADImage1.RemoveRedeye ( LEADDlgImgDoc1.NewColor, LEADDlgImgDoc1.Threshold, LEADDlgImgDoc1.Lightness );
end;
end;
procedure TForm1.LEADDlgImgDoc1DlgHelp (uDialogID: Cardinal);
begin
case ( uDialogID ) of

DLG_HELP_REMOVEREDEYE:
ShowMessage( 'Help from Remove Red eye dialog' );

DLG_HELP_SMOOTH:
ShowMessage( 'Help from Smooth dialog' );

DLG_HELP_LINEREMOVE:
ShowMessage( 'Help from Line-Remove dialog' );

DLG_HELP_BORDERREMOVE:
ShowMessage( 'Help from Border-Remove dialog' );

DLG_HELP_INVERTEDTEXT:
ShowMessage( 'Help from Inverted-Text dialog' );

DLG_HELP_DOTREMOVE:
ShowMessage( 'Help from Dot-Remove dialog' );

DLG_HELP_HOLEPUNCHREMOVE:
ShowMessage( 'Help from Hole-Punch-Remove dialog' );
end;
end;


ShowResizeDlg example for Delphi

procedure TForm1.ShowResizeDlg1Click(Sender: TObject);
var
nRet: L_INT;
strCaption: String;
begin
LEADDlgImage1.MaxNewWidth:= 0;
LEADDlgImage1.MaxNewHeight:= 0;
LEADDlgImage1.MaxNewResolutionX:= 0;
LEADDlgImage1.MaxNewResolutionY:= 0;
LEADDlgImage1.OriginalWidth:= LEADImage1.BitmapWidth;
LEADDlgImage1.OriginalHeight:= LEADImage1.BitmapHeight;
LEADDlgImage1.OriginalResolutionX:= LEADImage1.BitmapXRes;
LEADDlgImage1.OriginalResolutionY:= LEADImage1.BitmapYRes;
LEADDlgImage1.OriginalBitsPerPixel:= LEADImage1.BitmapBits;

LEADDlgImage1.DlgFlags:= DLG_RESIZE_SHOW_IDENTICALVALUE Or
DLG_RESIZE_SHOW_MAINTAINASPECT Or
DLG_RESIZE_SHOW_PERCENTAGE Or
DLG_RESIZE_AUTOPROCESS Or
DLG_RESIZE_SHOW_RESOLUTIONGRP;

LEADDlgImage1.LEADImage:= LEADImage1;
LEADDlgImage1.LEADDlgService:= LEADDlgService1;
strCaption:= LEADDlgService1.GetDialogString ( DLG_RESIZE_IDSTR_CAPTION );
ShowMessage ( 'Old Caption: ' + strCaption );

{set some custom strings}
LEADDlgService1.SetDialogString ( DLG_RESIZE_IDSTR_CAPTION, 'My Custom Caption' );
{set a custom font, note, you should use a font on your system}
LEADDlgService1.DialogsFont.Name:= 'Bones';
LEADDlgService1.DialogsFont.Size := 9;

nRet:= LEADDlgImage1.ShowResizeDlg ( Self );
if ( nRet = SUCCESS_DLG_OK ) then
begin
Edit1.Text:= IntToStr(LEADDlgImage1.NewWidth);
Edit2.Text:= IntToStr(LEADDlgImage1.NewHeight);
Edit3.Text:= IntToStr(LEADDlgImage1.NewResolutionX);
Edit4.Text:= IntToStr(LEADDlgImage1.NewResolutionY);

Case ( LEADDlgImage1.ResizeFlags ) of
SIZE_NORMAL:
Edit5.Text:= 'Normal';

SIZE_FAVORBLACK:
Edit5.Text:= 'FAVORBLACK';

SIZE_RESAMPLE:
Edit5.Text:= 'RESAMPLE';

SIZE_BICUBIC:
Edit5.Text:= 'BICUBIC';
end;
end;
end;


ShowRippleDlg example for Delphi

procedure TForm1.ShowRippleDlg1Click(Sender: TObject);
var
nRet: L_INT;
begin
LEADDlgImgEffect1.Amplitude:= 100;
LEADDlgImgEffect1.Frequency:= 50;
LEADDlgImgEffect1.DlgFlags:= DLG_RIPPLE_SHOW_PREVIEW Or
DLG_RIPPLE_SHOW_TOOL_ZOOMLEVEL;

LEADDlgImgEffect1.LEADImage:= LEADImage1;

nRet:= LEADDlgImgEffect1.ShowRippleDlg ( Self );
if ( nRet = SUCCESS_DLG_OK ) then
begin
LEADImage1.Ripple (LEADDlgImgEffect1.Amplitude,
LEADDlgImgEffect1.Frequency,
LEADDlgImgEffect1.Phase,
LEADDlgImgEffect1.Attenuation,
LEADDlgImgEffect1.CenterPoint,
LEADDlgImgEffect1.FillColor,
LEADDlgImgEffect1.RippleFlags );
end;
end;


ShowRotateDlg example for Delphi

procedure TForm1.ShowRotateDlg1Click(Sender: TObject);
var
nRet: L_INT;
begin
LEADDlgImage1.ZoomToFit:= False;
LEADDlgImage1.BackgroundColor:= RGB ( 255, 0, 0 );
LEADDlgImage1.LEADImage:= LEADImage1;
LEADDlgImage1.DlgFlags:= DLG_ROTATE_AUTOPROCESS Or
DLG_ROTATE_SHOW_PREVIEW Or
DLG_ROTATE_SHOW_BACKCOLOR Or
DLG_ROTATE_SHOW_RESIZE;

LEADDlgImage1.LEADDlgService:= LEADDlgService1;
LEADDlgImage1.EnableMethodErrors:= False;
LEADDlgImage1.ShowHelpButton:= True;

nRet:= LEADDlgImage1.ShowRotateDlg ( Self );
if ( nRet = SUCCESS_DLG_OK ) then
begin
{output the results}
Edit1.Text := IntToStr ( LEADDlgImage1.Angle);
if ( LEADDlgImage1.Resize ) then
Edit2.Text:= 'True'
else
Edit2.Text:= 'False';

Case ( LEADDlgImage1.ResizeFlags ) of
0:
ShowMessage('Using Resize normal method');

ROTATE_RESAMPLE:
ShowMessage('Using Resize resample method');

ROTATE_BICUBIC:
ShowMessage('Using Resize bicubic method');
end;

end;
end;
procedure TForm1.LEADDlgImage1DlgHelp (uDialogID: Cardinal);
begin
case ( uDialogID ) of

DLG_HELP_ROTATE:
ShowMessage( 'Help from Rotate dialog' );

DLG_HELP_SHEAR:
ShowMessage( 'Help from Shear dialog' );

DLG_HELP_RESIZE:
ShowMessage( 'Help from Resize dialog' );

DLG_HELP_ADDBORDER:
ShowMessage( 'Help from Add-Border dialog' );

DLG_HELP_ADDFRAME:
ShowMessage( 'Help from Add-Frame dialog' );

DLG_HELP_AUTOTRIM:
ShowMessage( 'Help from Auto-Trim dialog' );

DLG_HELP_CANVASRESIZE:
ShowMessage( 'Help from Canvas-Resize dialog' );

DLG_HELP_FEATHERSELECTION:
ShowMessage( 'Help from Feather-Selection dialog' );
end;
end;


ShowSaturationDlg example for Delphi

procedure TForm1.ShowSaturationDlg1Click(Sender: TObject);
var
nRet: L_INT;
begin
LEADDlgColor1.DlgFlags:= DLG_SATURATION_SHOW_PREVIEW Or
DLG_SATURATION_SHOW_TOOL_ZOOMLEVEL;
LEADDlgColor1.LEADImage:= LEADImage1;
LEADDlgColor1.LEADDlgService:= LEADDlgService1;
nRet:= LEADDlgColor1.ShowSaturationDlg ( Self );
if ( nRet = SUCCESS_DLG_OK ) then
begin
LEADImage1.Saturation ( LEADDlgColor1.Change );
end;
end;


ShowSaveDlg example for Delphi

procedure TForm1.ShowSaveDlg1Click(Sender: TObject);
var
nRet: L_INT;
strMsg: String;
begin
LEADDlgFile1.DialogTitle:= 'Save a File';
LEADDlgFile1.MaxFileSize:= 0;
LEADDlgFile1.MaxFileTitleSize:= 0;
LEADDlgFile1.DlgFileFlags:= 0;
LEADDlgFile1.InitialDir:= 'C:\';
LEADDlgFile1.SaveMulti:= MULTIPAGE_OPERATION_OVERWRITE;
LEADDlgFile1.DlgFlags:= DLG_SAVE_AUTOPROCESS +
DLG_SAVE_SHOW_FILEOPTIONS_PROGRESSIVE +
DLG_SAVE_SHOW_FILEOPTIONS_MULTIPAGE +
DLG_SAVE_SHOW_FILEOPTIONS_STAMP +
DLG_SAVE_SHOW_FILEOPTIONS_QFACTOR +
DLG_SAVE_SHOW_FILEOPTIONS_J2KOPTIONS +
DLG_SAVE_SHOW_FILEOPTIONS_BASICJ2KOPTIONS;
LEADDlgFile1.LEADImage:= LEADImage1;
nRet:= LEADDlgFile1.ShowSaveDlg ( Self );
if ( nRet = SUCCESS_DLG_OK ) then
begin
strMsg:= 'FileName: ' + LEADDlgFile1.FileName +#13;
strMsg:= strMsg + 'FileTitle: ' + LEADDlgFile1.FileTitle +#13;
strMsg:= strMsg + 'SaveBitsPerPixel: ' + IntToStr(LEADDlgFile1.SaveBitsPerPixel)+#13;
strMsg:= strMsg + 'SaveFormat: ' + IntToStr(LEADDlgFile1.SaveFormat)+#13;
strMsg:= strMsg + 'SaveQFactor: ' + IntToStr(LEADDlgFile1.SaveQFactor)+#13;
strMsg:= strMsg + 'SaveMulti: ' + IntToStr(LEADDlgFile1.SaveMulti)+#13;
strMsg:= strMsg + 'SavePasses: ' + IntToStr(LEADDlgFile1.SavePasses)+#13;
strMsg:= strMsg + 'SaveWithStamp: ';
if ( LEADDlgFile1.SaveWithStamp ) then
strMsg:= strMsg + 'True'+#13
else
strMsg:= strMsg + 'False'+#13;
strMsg:= strMsg + 'SaveStampBits: ' + IntToStr(LEADDlgFile1.SaveStampBits)+#13;
strMsg:= strMsg + 'SaveStampWidth: ' + IntToStr(LEADDlgFile1.SaveStampWidth)+#13;
strMsg:= strMsg + ' SaveStampHeight: ' + IntToStr(LEADDlgFile1.SaveStampHeight)+#13;
strMsg:= strMsg + 'SaveInterlaced: ';
if ( LEADDlgFile1.SaveInterlaced ) then
strMsg:= strMsg + 'True'
else
strMsg:= strMsg + 'False';

ShowMessage(strMsg);
end;
end;


ShowSharpenDlg example for Delphi

procedure TForm1.ShowSharpenDlg1Click(Sender: TObject);
var
nRet: L_INT;
begin
LEADDlgImgEffect1.DlgFlags:= DLG_SHARPEN_SHOW_PREVIEW Or
DLG_SHARPEN_SHOW_TOOL_ZOOMLEVEL;

LEADDlgImgEffect1.LEADImage:= LEADImage1;

nRet:= LEADDlgImgEffect1.ShowSharpenDlg ( Self );
if ( nRet = SUCCESS_DLG_OK ) then
begin
LEADImage1.Sharpen ( LEADDlgImgEffect1.Sharpness );
end;
end;


ShowShearDlg example for Delphi

procedure TForm1.ShowShearDlg1Click(Sender: TObject);
begin
LEADDlgImage1.Horizontal:= True;
LEADDlgImage1.Angle:= 4500;
LEADDlgImage1.BackgroundColor:= RGB ( 255, 0, 0 );
LEADDlgImage1.DlgFlags:= DLG_SHEAR_AUTOPROCESS Or DLG_SHEAR_SHOW_PREVIEW Or
DLG_SHEAR_SHOW_BACKCOLOR Or
DLG_SHEAR_SHOW_HORIZONTAL;
LEADDlgImage1.LEADImage:= LEADImage1;
LEADDlgImage1.LEADDlgService:= LEADDlgService1;
LEADDlgImage1.ShowShearDlg ( Self );
end;


ShowShiftDifferenceFilterDlg example for Delphi

procedure TForm1.ShowShiftDifferenceFilterDlg1Click(Sender: TObject);
var
nRet: L_INT;
begin

LEADDlgImgEffect1.SpatialFilterType:= FLT_SHIFTDIFF_HORZ;
LEADDlgImgEffect1.DlgFlags:= DLG_SHIFTDIFFERENCEFILTER_SHOW_PREVIEW Or
DLG_SHIFTDIFFERENCEFILTER_SHOW_TOOL_ZOOMLEVEL;

LEADDlgImgEffect1.LEADImage:= LEADImage1;
LEADDlgImgEffect1.LEADDlgService:= LEADDlgService1;

nRet:= LEADDlgImgEffect1.ShowShiftDifferenceFilterDlg ( Self );
if ( nRet = SUCCESS_DLG_OK ) then
begin
LEADImage1.SpatialFilter ( LEADDlgImgEffect1.SpatialFilterType );
end;
end;


ShowSmoothDlg example for Delphi

procedure TForm1.ShowSmoothDlg1Click(Sender: TObject);
var
nRet: L_INT;
begin
LEADDlgImgDoc1.ProcessFlags:= SMOOTH_ALLFLAGS;
LEADDlgImgDoc1.Length:= 1;
LEADDlgImgDoc1.WhiteAreaColor:= RGB ( 255, 0, 0 );
LEADDlgImgDoc1.BlackAreaColor:= RGB ( 0, 0, 255 );
LEADDlgImgDoc1.DlgFlags:= DLG_SMOOTH_SHOW_PREVIEW Or
DLG_SMOOTH_SHOW_TOOL_ZOOMLEVEL;

LEADDlgImgDoc1.LEADImage:= LEADImage1;
nRet:= LEADDlgImgDoc1.ShowSmoothDlg ( Self );
if ( nRet = SUCCESS_DLG_OK ) then
begin
LEADImage1.FreeRgn ( );
LEADImage2.Bitmap:= LEADDlgImgDoc1.DocCleanBitmap;
LEADImage1.SetRgnHandle ( LEADImage2.GetRgnHandle, 0, 0, L_RGN_SET );
LEADImage2.Bitmap:= 0; {no longer need copy}
LEADDlgImgDoc1.DocCleanBitmap:= 0; {no longer need rgn either}
LEADImage1.RgnFrameType:= ftAnimated;
end;
end;


ShowSobelFilterDlg example for Delphi

procedure TForm1.ShowSobelFilterDlg1Click(Sender: TObject);
var
nRet: L_INT;
begin
LEADDlgImgEffect1.SpatialFilterType:= FLT_SOBEL_HORZ;
LEADDlgImgEffect1.DlgFlags:= DLG_SOBELFILTER_SHOW_PREVIEW Or
DLG_SOBELFILTER_SHOW_TOOL_ZOOMLEVEL;

LEADDlgImgEffect1.LEADImage:= LEADImage1;

nRet:= LEADDlgImgEffect1.ShowSobelFilterDlg ( Self );
if ( nRet = SUCCESS_DLG_OK ) then
begin
LEADImage1.SpatialFilterType ( LEADDlgImgEffect1.SpatialFilterType );
end;
end;


ShowSolarizeDlg example for Delphi

procedure TForm1.ShowSolarizeDlg1Click(Sender: TObject);
var
nRet: L_INT;
begin
LEADDlgColor1.DlgFlags:= DLG_SOLARIZE_SHOW_PREVIEW Or
DLG_SOLARIZE_SHOW_TOOL_ZOOMLEVEL;
LEADDlgColor1.LEADImage:= LEADImage1;
LEADDlgColor1.LEADDlgService:= LEADDlgService1;
nRet:= LEADDlgColor1.ShowSolarizeDlg ( Self );
if ( nRet = SUCCESS_DLG_OK ) then
begin
LEADImage1.Solarize ( LEADDlgColor1.Threshold );
end;
end;


ShowSpherizeDlg example for Delphi

procedure TForm1.ShowSpherizeDlg1Click(Sender: TObject);
var
nRet: L_INT;
begin
LEADDlgImgEffect1.DlgFlags:= DLG_SPHERIZE_SHOW_PREVIEW Or
DLG_SPHERIZE_SHOW_TOOL_ZOOMLEVEL;

LEADDlgImgEffect1.LEADImage:= LEADImage1;
nRet:= LEADDlgImgEffect1.ShowSpherizeDlg ( Self );
if ( nRet = SUCCESS_DLG_OK ) then
begin
LEADImage1.Spherize (LEADDlgImgEffect1.Value,
LEADDlgImgEffect1.CenterPoint,
LEADDlgImgEffect1.FillColor,
LEADDlgImgEffect1.SpherizeFlags );
end;
end;


ShowStitchDlg example for Delphi

procedure TForm1.ShowStitchDlg1Click(Sender: TObject);
var
i: L_INT;
nRet: L_INT;
FileNames: Array [ 0..2 ] of String;
begin
LEADDlgImgEffect1.ItemsCount:= 3;
FileNames[0]:= 'e:\image1.jpg';
FileNames[1]:= 'e:\image2.jpg';
FileNames[2]:= 'e:\image3.jpg';

for i:= 0 to 2 do
begin
LEADImage2.LoadStamp ( FileNames[i] );
LEADDlgImgEffect1.ItemDescription [i]:= IntToStr(i);
LEADDlgImgEffect1.ItemFileName [i]:= FileNames[i];
LEADDlgImgEffect1.ItemBitmap [i]:= LEADImage2.Bitmap;
end;

LEADDlgImgEffect1.BitmapWidth:= 320;
LEADDlgImgEffect1.BitmapHeight:= 200;
LEADDlgImgEffect1.BitmapBitsPerPixel:= 24;
LEADDlgImgEffect1.Resolution:= 72;
LEADDlgImgEffect1.BackgroundColor:= RGB ( 255, 255, 255 );
LEADDlgImgEffect1.WindowIcon.LoadFromFile ( 'MyIcon.ico' );
LEADDlgImgEffect1.CommandShow:= SW_SHOW;

nRet:= LEADDlgImgEffect1.ShowStitchDlg ( Self );
if ( nRet = SUCCESS_DLG_EXPORTANDEXIT ) then
begin
LEADImage1.Bitmap:= LEADDlgImgEffect1.StitchBitmap;
end;
end;


ShowSwirlDlg example for Delphi

procedure TForm1.ShowSwirlDlg1Click(Sender: TObject);
var
nRet: L_INT;
begin
LEADDlgImgEffect1.DlgFlags:= DLG_SWIRL_SHOW_PREVIEW Or
DLG_SWIRL_SHOW_TOOL_ZOOMLEVEL;

LEADDlgImgEffect1.LEADImage:= LEADImage1;

nRet:= LEADDlgImgEffect1.ShowSwirlDlg ( Self );
if ( nRet = SUCCESS_DLG_OK ) then
begin
LEADImage1.Swirl ( LEADDlgImgEffect1.Angle,
LEADDlgImgEffect1.CenterPoint );
end;
end;


ShowUnderlayDlg example for Delphi

procedure TForm1.ShowUnderlayDlg1Click(Sender: TObject);
var
i: L_INT;
nRet: L_INT;
FileNames: Array [ 0..2 ] of String;
begin
LEADDlgImgEffect1.ItemsCount:= 3;
FileNames[0]:= 'e:\image1.jpg';
FileNames[1]:= 'e:\image2.jpg';
FileNames[2]:= 'e:\image3.jpg';

for i:= 0 to 2 do
begin
LEADImage2.LoadStamp ( FileNames[i] );
LEADDlgImgEffect1.ItemDescription [i]:= IntToStr(i);
LEADDlgImgEffect1.ItemFileName [i]:= FileNames[i];
LEADDlgImgEffect1.ItemBitmap [i]:= LEADImage2.Bitmap;
end;
LEADDlgImgEffect1.SelectedBitmapIndex:= 0;
LEADDlgImgEffect1.UnderlayFlags:= UB_TILE;
LEADDlgImgEffect1.DlgFlags:= DLG_UNDERLAY_SHOW_PREVIEW Or
DLG_UNDERLAY_SHOW_TOOL_ZOOMLEVEL;

LEADDlgImgEffect1.LEADImage:= LEADImage1;
nRet:= LEADDlgImgEffect1.ShowUnderlayDlg ( Self );
if ( nRet = SUCCESS_DLG_OK ) then
begin
LEADImage1.Underlay ( LEADDlgImgEffect1.SelectedBitmap,
LEADDlgImgEffect1.UnderlayFlags );
end;
end;


ShowUnsharpMaskDlg example for Delphi

procedure TForm1.ShowUnsharpMaskDlg1Click(Sender: TObject);
var
nRet: L_INT;
begin
LEADDlgImgEffect1.DlgFlags:= DLG_UNSHARPMASK_SHOW_PREVIEW Or
DLG_UNSHARPMASK_SHOW_TOOL_ZOOMLEVEL;

LEADDlgImgEffect1.LEADImage:= LEADImage1;

nRet:= LEADDlgImgEffect1.ShowUnsharpMaskDlg ( Self );
if ( nRet = SUCCESS_DLG_OK ) then
begin
LEADImage1.UnsharpMask ( LEADDlgImgEffect1.Amount,
LEADDlgImgEffect1.Radius,
LEADDlgImgEffect1.Threshold,
LEADDlgImgEffect1.UnshrpMaskFlags );
end;
end;


ShowWaveDlg example for Delphi

procedure TForm1.ShowWaveDlg1Click(Sender: TObject);
var
nRet: L_INT;
begin
LEADDlgImgEffect1.DlgFlags:= DLG_WAVE_SHOW_PREVIEW Or
DLG_WAVE_SHOW_TOOL_ZOOMLEVEL;

LEADDlgImgEffect1.LEADImage:= LEADImage1;
nRet:= LEADDlgImgEffect1.ShowWaveDlg ( Self );
if ( nRet = SUCCESS_DLG_OK ) then
begin
LEADImage1.Wave (LEADDlgImgEffect1.Amplitude,
LEADDlgImgEffect1.WaveLength,
LEADDlgImgEffect1.Angle,
LEADDlgImgEffect1.HorzScale,
LEADDlgImgEffect1.VertScale,
LEADDlgImgEffect1.FillColor,
LEADDlgImgEffect1.WaveFlags );
end;
end;


ShowWindDlg example for Delphi

procedure TForm1.ShowWindDlg1Click(Sender: TObject);
var
nRet: L_INT;
begin
LEADDlgImgEffect1.Angle:= 4500;
LEADDlgImgEffect1.Dimension:= 40;
LEADDlgImgEffect1.DlgFlags:= DLG_WIND_SHOW_PREVIEW Or
DLG_WIND_SHOW_TOOL_ZOOMLEVEL;

LEADDlgImgEffect1.LEADImage:= LEADImage1;

nRet:= LEADDlgImgEffect1.ShowWindDlg ( Self );
if ( nRet = SUCCESS_DLG_OK ) then
begin
LEADImage1.Wind ( LEADDlgImgEffect1.Dimension,
LEADDlgImgEffect1.Angle,
LEADDlgImgEffect1.Opacity);
end;
end;


ShowWindowLevelDlg example for Delphi

procedure TForm1.ShowWindowLevelDlg1Click (Sender: TObject);
var
i: L_INT;
nRet: L_INT;
begin
LEADImage1.GrayScale ( 12 ); {make image 12-bit grayscale}
LEADImage1.ForceRepaint ( );

LEADDlgColor1.WindowLevelStartColor:= clRed;
LEADDlgColor1.WindowLevelEndColor:= clBlue;
LEADDlgColor1.LEADImage:= LEADImage1; {assign the main control for processing}
LEADDlgColor1.DlgFlags:= DLG_WINDOWLEVEL_SHOW_PREVIEW +
DLG_WINDOWLEVEL_SHOW_TOOL_ZOOMLEVEL +
DLG_WINDOWLEVEL_SHOW_RANGE;
LEADImage1.GetMinMaxBits();
LEADImage1.GetMinMaxVal();

LEADDlgColor1.WindowLevelLowBit:= LEADImage1.MinBit;
LEADDlgColor1.WindowLevelHighBit:= LEADImage1.MaxBit;
LEADDlgColor1.WindowLevelLow:= LEADImage1.MinVal;
LEADDlgColor1.WindowLevelHigh:= LEADImage1.MaxVal;
LEADDlgColor1.WindowLevelFactor:= 10;
LEADDlgColor1.WindowLevelFlags:= FILLLUT_INSIDE + FILLLUT_LOGARITHMIC;

nRet:= LEADDlgColor1.ShowWindowLevelDlg ( Self );
if ( nRet = SUCCESS_DLG_OK ) then
begin
LEADImage1.WindowLevelBitmap:= false;
LEADImage1.LevelLowBit:= LEADDlgColor1.WindowLevelLowBit;
LEADImage1.LevelHighBit:= LEADDlgColor1.WindowLevelHighBit;
for i:= 0 to LEADDlgColor1.WindowLevelLUTLength -1 do
begin
LEADImage1.LevelLUT[i]:= LEADDlgColor1.WindowLevelLUT [i];
end;
LEADImage1.WindowLevel ( );
end;
end;


ShowZoomBlurDlg example for Delphi

procedure TForm1.ShowZoomBlurDlg1Click(Sender: TObject);
var
nRet: L_INT;
begin
LEADDlgImgEffect1.DlgFlags:= DLG_ZOOMBLUR_SHOW_PREVIEW Or
DLG_ZOOMBLUR_SHOW_TOOL_ZOOMLEVEL;

LEADDlgImgEffect1.LEADImage:= LEADImage1;

nRet:= LEADDlgImgEffect1.ShowZoomBlurDlg ( Self );
if ( nRet = SUCCESS_DLG_OK ) then
begin
LEADImage1.ZoomBlur ( LEADDlgImgEffect1.Dimension, LEADDlgImgEffect1.Stress, LEADDlgImgEffect1.CenterPoint );
end;
end;


ShowZoomWaveDlg example for Delphi

procedure TForm1.ShowZoomWaveDlg1Click(Sender: TObject);
var
nRet: L_INT;
begin
LEADDlgImgEffect1.DlgFlags:= DLG_ZOOMWAVE_SHOW_PREVIEW Or
DLG_ZOOMWAVE_SHOW_TOOL_ZOOMLEVEL;

LEADDlgImgEffect1.LEADImage:= LEADImage1;

nRet:= LEADDlgImgEffect1.ShowZoomWaveDlg ( Self );
if ( nRet = SUCCESS_DLG_OK ) then
begin
LEADImage1.ZoomWave ( LEADDlgImgEffect1.Amplitude,
LEADDlgImgEffect1.Frequency,
LEADDlgImgEffect1.Phase,
LEADDlgImgEffect1.ZoomFactor,
LEADDlgImgEffect1.CenterPoint,
LEADDlgImgEffect1.FillColor,
LEADDlgImgEffect1.ZoomWaveFlags );
end;
end;


Technical Support

As a registered user, free technical support is available. You must register your software to receive any technical support. Technical support is available 9 a.m. through 6 p.m. Eastern Standard Time. If you are calling by phone, please be at your computer. You can also contact us through the following methods:

Phone: | (704) 372-9681
E-mail: | support@leadtools.com
FAX: | (704) 372-8161
Home page: | http://www.leadtools.com
FTP: | ftp.leadtools.com

You can also contact LEAD by mail at:

LEAD Technologies, Inc.
Attn: Technical Support
1201 Greenwood Cliff, Suite 400
Charlotte, NC 28204

Before calling technical support, please look in the online documentation and the example programs for an answer to your question.


Imaging Common Dialogs: Properties, Methods, and Events

Common Dialog Controls

LEADDlgColor

LEADDlgEffect

LEADDlgImage

LEADDlgImgDoc

LEADDlgImgEffect

LEADDlgWeb

LEADDlgFile

LEADDlgService

LEADFileSaveFormat


Data Types

Common Dialog Controls

LEADDlgColor

LEADDlgEffect

LEADDlgImage

LEADDlgImgDoc

LEADDlgImgEffect

LEADDlgWeb

LEADDlgFile

LEADDlgService

LEADFileSaveFormat


LEADDlgColor

LEADDlgColor Control

This control supports the following properties, methods and events for the LEAD Color dialogs:

Properties

Angle property

ApplyPaletteWhenExit property

BalanceBlueFactor property

BalanceGreenFactor property

BalanceRedFactor property

BitsPerPixel property

BlueFactor property

BlueGrayFactor property

Change property

Channel property

ColorModel property

ColorSpace property

Dimension property

DitherFlags property

DlgFlags property

DlgFlagsEx property

EnableMethodErrors property

Error property

ErrorMsg property

GammaAllChannels property

GammaBlueValue property

GammaGreenValue property

GammaRedValue property

GeneratedPaletteColors property

GeneratedPaletteColorsCount property

GreenFactor property

GreenGrayFactor property

HalftoneType property

IntensityHigh property

IntensityInColor property

ItemBitmap property

ItemDescription property

ItemFileName property

ItemsCount property

LEADDlgService property

LEADImage property

Levels property

IntensityLow property

IntensityOutColor property

PaletteFlags property

RectHeight property

RectWidth property

RedFactor property

RedGrayFactor property

RemapHueHTable property

RemapHueMaskTable property

RemapHueSTable property

RemapHueTableSize property

RemapHueVTable property

RemapIntensityTable property

RemapIntensityTableSize property

SelectedBitmapList property

SelectedColor property

ShowHelpButton property

SmoothSize property

Threshold property

UserPaletteColors property

WindowLevelEndColor property

WindowLevelFactor property

WindowLevelFlags property

WindowLevelHigh property

WindowLevelHighBit property

WindowLevelLow property

WindowLevelLowBit property

WindowLevelLUT property

WindowLevelLUTLength property

WindowLevelStartColor property

XExtension property

YExtension property

ZoomToFit property

Methods

ShowBalanceColorsDlg method

ShowBrightnessDlg method

ShowColorDlg method

ShowColoredGrayDlg method

ShowColorResDlg method

ShowContrastDlg method

ShowCustomizePaletteDlg method

ShowGammaAdjustmentDlg method

ShowGrayScaleDlg method

ShowHalftoneDlg method

ShowHistoContrastDlg method

ShowHueDlg method

ShowIntensityDetectDlg method

ShowLocalHistoEqualizeDlg method

ShowPosterizeDlg method

ShowRemapHueDlg method

ShowRemapIntensityDlg method

ShowSaturationDlg method

ShowSolarizeDlg method

ShowWindowLevelDlg method

Events

OnDlgHelp event


LEADDlgEffect

LEADDlgEffect Control

This control supports the following properties, methods and events for the LEAD Effects dialogs:

Properties

BackColor property

Delay property

DlgFlags property

Effect property

EnableMethodErrors property

EndColor property

Error property

ErrorMsg property

ForeColor property

GradientSteps property

GradientStyle property

Grain property

LEADDlgService property

LEADImage property

MaxPass property

PatternStyle property

SampleText property

ShadowColor property

ShadowXDepth property

ShadowYDepth property

Shape property

ShapeBackgroundBitmap property

ShapeBackgroundStyle property

ShapeBorderColor property

ShapeBorderStyle property

ShapeBorderThickness property

ShapeFillStyle property

ShapeInnerBandHiliteColor property

ShapeInnerBandShadowColor property

ShapeInnerBandStyle property

ShapeInnerBandThickness property

ShapeOuterBandHiliteColor property

ShapeOuterBandShadowColor property

ShapeOuterBandStyle property

ShapeOuterBandThickness property

ShowHelpButton property

StartColor property

TextAlign property

TextAngle property

TextFont property

TextForegroundBitmap property

TextHiliteColor property

TextStyle property

TextUseForegroundImage property

TextWordWrap property

TransitionStyle property

Transparent property

TransparentColor property

WandColor property

WandThickness property

Methods

ShowGetEffectDlg method

ShowGetGradientDlg method

ShowGetShapeDlg method

ShowGetTextDlg method

ShowGetTransitionDlg method

Events

OnDlgHelp event


LEADDlgImage

LEADDlgImage Control

This control supports the following properties, methods and events for the LEAD Image dialogs:

Properties

Angle property

BackgroundColor property

BitmapIndex property

BlueChannelPenColor property

BlueHistogram property

BlueHistogramLen property

BorderStyle property

BottomThickness property

BumpyShadow property

CurrentHeight property

CurrentWidth property

CurveIntensity property

DlgFlags property

EffectStyle property

EnableMethodErrors property

Error property

ErrorMsg property

GradientEndColor property

GradientStartColor property

GradientStyle property

GreenChannelPenColor property

GreenHistogram property

GreenHistogramLen property

HistogramFlags property

Horizontal property

ItemBitmap property

ItemDescription property

ItemFileName property

ItemsCount property

KeepFrameState property

LEADDlgService property

LEADImage property

LeftThickness property

Location property

MaskColor property

MasterHistogram property

MasterHistogramLen property

MasterPenColor property

MaxNewHeight property

MaxNewResolutionX property

MaxNewResolutionY property

MaxNewWidth property

NewHeight property

NewResolutionX property

NewResolutionY property

NewWidth property

OpaqueColor property

OriginalBitsPerPixel property

OriginalHeight property

OriginalResolutionX property

OriginalResolutionY property

OriginalWidth property

Quality property

RedChannelPenColor property

RedHistogram property

RedHistogramLen property

Resize property

ResizeFlags property

RightThickness property

RotateFlags property

SelectedBitmap property

ShadowDirection property

ShadowSize property

ShowHelpButton property

SmoothEdge property

SoftCurve property

Threshold property

TopLeftPoint property

TopThickness property

UseMask property

UseShadow property

ZoomToFit property

Methods

ShowAutoTrimDlg method

ShowCanvasResizeDlg method

ShowHistogramDlg method

ShowResizeDlg method

ShowRotateDlg method

ShowShearDlg method

Events

OnDlgHelp event


LEADDlgImgDoc

LEADDlgImgDoc Control

This control supports the following properties, methods and events for the LEAD Image Document dialogs:

Properties

BlackAreaColor property

BorderPercent property

BorderToRemove property

DlgFlags property

DocCleanBitmap property

EnableMethodErrors property

Error property

ErrorMsg property

GapLength property

LEADDlgService property

LEADImage property

Length property

Lightness property

Location property

MaxBlackPercent property

MaxDotHeight property

MaxDotWidth property

MaxHoleCount property

MaxHoleHeight property

MaxHoleWidth property

MaxLineWidth property

MaxWallPercent property

MinBlackPercent property

MinDotHeight property

MinDotWidth property

MinHoleCount property

MinHoleHeight property

MinHoleWidth property

MinInvertHeight property

MinInvertWidth property

MinLineLength property

ModificationColor property

NewColor property

ProcessFlags property

RemoveFlags property

ShowHelpButton property

Threshold property

Variance property

Wall property

WhiteAreaColor property

WhiteNoiseLength property

ZoomToFit property

Methods

ShowBorderRemoveDlg method

ShowDotRemoveDlg method

ShowHolePunchRemoveDlg method

ShowInvertedTextDlg method

ShowLineRemoveDlg method

ShowRemoveRedeyeDlg method

ShowSmoothDlg method

Events

OnDlgHelp event


LEADDlgImgEffect

LEADDlgImgEffect Control

This control supports the following properties, methods and events for the LEAD Image Effect dialogs:

Properties

AddBitmapsFlags property

Amount property

Amplitude property

Amplitudes property

AmplitudesCount property

Angle property

AntiAliasFilterType property

Attenuation property

BackgroundColor property

BendingFlags property

BinaryFilterType property

BitmapBitsPerPixel property

BitmapHeight property

BitmapWidth property

CellHeight property

CellWidth property

CenterPoint property

Channel property

CommandShow property

CylindricalType property

DeltaDirection property

Depth property

Dimension property

Direction property

DirectoryPath property

DlgFlags property

EdgeDetectionFilterType property

EnableMethodErrors property

Error property

ErrorMsg property

Factor property

FillColor property

FreeHandShearFlags property

FreeHandWaveFlags property

Frequency property

HorizontalDim property

HorzScale property

ItemBitmap property

ItemDescription property

ItemFileName property

ItemsCount property

LEADDlgService property

LEADImage property

MaxError property

Opacity property

Option property

OptionFlags property

Phase property

PicturizeResizeFlags property

PixelateFlags property

PolarFlags property

PunchFlags property

RadialWaveFlags property

Radius property

Range property

Resolution property

RippleFlags property

Scale property

SelectedBitmap property

SelectedBitmapIndex property

SelectedBitmapList property

Sharpness property

ShowHelpButton property

SpatialFilterType property

SpherizeFlags property

StitchBitmap property

Stress property

Threshold property

UnderlayFlags property

Unidirectional property

UnshrpMaskFlags property

Value property

VerticalDim property

VertScale property

WaveFlags property

WaveLength property

WindowIcon property

ZoomFactor property

ZoomToFit property

ZoomWaveFlags property

Methods

ShowAddNoiseDlg method

ShowAntiAliasDlg method

ShowAverageDlg method

ShowBendingDlg method

ShowContourFilterDlg method

ShowCylindricalDlg method

ShowDilationFilterDlg method

ShowEdgeDetectorDlg method

ShowEmbossDlg method

ShowErosionFilterDlg method

ShowFreeHandShearDlg method

ShowFreeHandWaveDlg method

ShowGaussianBlurDlg method

ShowGradientFilterDlg method

ShowImpressionistDlg method

ShowLaplacianFilterDlg method

ShowLineSegmentFilterDlg method

ShowMaxFilterDlg method

ShowMedianDlg method

ShowMinFilterDlg method

ShowMosaicDlg method

ShowMotionBlurDlg method

ShowMultiplyDlg method

ShowOilifyDlg method

ShowPicturizeDlg method

ShowPixelateDlg method

ShowPolarDlg method

ShowPrewittFilterDlg method

ShowPunchDlg method

ShowRadialBlurDlg method

ShowRadialWaveDlg method

ShowRippleDlg method

ShowSharpenDlg method

ShowShiftDifferenceFilterDlg method

ShowSobelFilterDlg method

ShowSpherizeDlg method

ShowSwirlDlg method

ShowUnsharpMaskDlg method

ShowWaveDlg method

ShowWindDlg method

ShowZoomBlurDlg method

ShowZoomWaveDlg method

Events

OnDlgHelp event


LEADDlgWeb

LEADDlgWeb Control

This control supports the following properties, methods and events for the LEAD Web dialogs:

Properties

AddWindowsColors property

BitsPerPixel property

DitherType property

DlgFlags property

EnableMethodErrors property

Error property

ErrorMsg property

Format property

HistoryALT property

HistoryALTMaxLength property

HistoryALTsCount property

HistoryALTsValidCount property

HistoryRollover property

HistoryRolloverMaxLength property

HistoryRolloversCount property

HistoryRolloversValidCount property

HistoryTarget property

HistoryTargetMaxLength property

HistoryTargetsCount property

HistoryTargetsValidCount property

HistoryURL property

HistoryURLMaxLength property

HistoryURLsCount property

HistoryURLsValidCount property

Interlaced property

LEADDlgService property

LEADImage property

NumOfColors property

PaletteType property

Progressive property

Quality property

ShowHelpButton property

TransparencyTolerance property

Transparent property

TransparentColor property

WithStamp property

ZoomToFit property

Methods

ShowGIFWebTunerDlg method

ShowHTMLMapperDlg method

ShowJPEGWebTunerDlg method

ShowPNGWebTunerDlg method

Events

OnDlgHelp event


LEADDlgFile

LEADDlgFile Control

This control supports the following properties, methods and events for the LEAD File dialogs:

Properties

Bitmap property

CommandShow property

DestinationPath property

DevModeHandle property

DevNamesHandle property

DialogTitle property

Directory property

DlgFileFlags property

DlgFlags property

DXFAutoCADColorScheme property

DXFFont property

DXFViewportHeight property

DXFViewportMode property

DXFViewportWidth property

FileFormats property

FileFormatsCount property

FileName property

FileTitle property

Filter property

FilterIndex property

Formats property

InitialDir property

ItemBitmap property

ItemDescription property

ItemFileName property

ItemsCount property

LEADDlgService property

LEADImage property

LoadCompressed property

LoadPasses property

LoadRotated property

MarginsRect property

MaxFileSize property

MaxFileTitleSize property

METAFILEXResolution property

METAFILEYResolution property

MinMarginsRect property

OptionsFileType property

Overwrite property

PageNumber property

PCDResolution property

PDFDisplayDepth property

PDFGraphicsAlpha property

PDFTextAlpha property

PDFXResolution property

PDFYResolution property

PLTPenColor property

PLTPenWidth property

PLTViewportHeight property

PLTViewportMode property

PLTViewportWidth property

PreviewEnabled property

RASTERMISCXResolution property

RASTERMISCYResolution property

RemoveSourceFile property

SaveBitsPerPixel property

SaveFileTypeIndex property

SaveFormat property

SaveInterlaced property

SaveJ2KCBS_ErrorResilienceSymbol property

SaveJ2KCBS_PredictableTermination property

SaveJ2KCBS_ResetContextOnBoundaries property

SaveJ2KCBS_SelectiveACBypass property

SaveJ2KCBS_TerminationOnEachPass property

SaveJ2KCBS_VerticallyCausalContext property

SaveJ2KCodBlockHeight property

SaveJ2KCodBlockWidth property

SaveJ2KCompressionControl property

SaveJ2KCompressionRatio property

SaveJ2KDecompLevel property

SaveJ2KDerivedBaseExponent property

SaveJ2KDerivedBaseMantissa property

SaveJ2KDerivedQuantization property

SaveJ2KGuardBits property

SaveJ2KProgressOrder property

SaveJ2KTargetFileSize property

SaveJ2KUseColorTransform property

SaveJ2KUseEPHMarker property

SaveJ2KUseSOPMarker property

SaveJ2KXOsiz property

SaveJ2KXTOsiz property

SaveJ2KXTsiz property

SaveJ2KYOsiz property

SaveJ2KYTOsiz property

SaveJ2KYTsiz property

SaveJ2KYTsiz property

SaveJBIG2GBATX1 property

SaveJBIG2GBATX2 property

SaveJBIG2GBATX3 property

SaveJBIG2GBATX4 property

SaveJBIG2GBATY1 property

SaveJBIG2GBATY2 property

SaveJBIG2GBATY3 property

SaveJBIG2GBATY4 property

SaveJBIG2SaveFlags property

SaveJBIG2TemplateType property

SaveMulti property

SavePasses property

SaveQFactor property

SaveStampBits property

SaveStampHeight property

SaveStampWidth property

SaveSubTypeIndex property

SaveWithStamp property

SelectedExt property

ServerAppName property

ShowFullPath property

ShowLoadOptions property

SourceFileList property

SourceFilePath property

Thumbnail property

UseLogReport property

UseOriginalFolder property

VECTORMISCFont property

VECTORMISCViewportHeight property

VECTORMISCViewportMode property

VECTORMISCViewportWidth property

WindowIcon property

Methods

ShowFileConversionDlg method

ShowFilesAssociationDlg method

ShowGetDirectoryDlg method

ShowOpenDlg method

ShowPrintPreviewDlg method

ShowPrintStitchedImagesDlg method

ShowSaveDlg method


LEADDlgService

LEADDlgService Control

LEADTOOLS provides the LEAD Dialog Service Control for general use and dialog maintenance.

This control supports the following properties and methods for the LEAD Service dialogs:

Properties

DialogsFont property

Methods

FreeDialogs method

GetDialogString method

InitDialogs method

SetDialogString method


LEADFileSaveFormat

LEADFileSaveFormat Control

This control supports the following properties for the LEAD File Save Format dialogs:

Properties

BppCount property

Format property

FormatBpp property

SubFormats property


Error Codes

For a list of all possible error codes for LEADTOOLS Common Dialog VCL, refer to LEADTOOLS VCL Error Codes in the Main VCL help file.


Angle property (LEADDlgColor Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | L_INT Angle
Delphi Syntax | Angle: L_INT
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets the angle value.

This property is associated with the following dialog boxes:

Hue dialog box | In this case it represents the amount to change the hue, in degrees. Possible values range from -180 to 180.
Halftone dialog box | In this case it represents the angle of rotation, expressed in hundredths of degrees. Possible values range from -36000 to 36000. A value of 0 produces a horizontal halftone pattern. This property specifies the number of degrees to change the pattern. Positive values rotate the pattern clockwise; negative values rotate the pattern counterclockwise. This value is ignored if HalftoneType is HT_RECT, HT_CIRC, HT_RAND or HT_USERDEF.

See Also

Elements: | ShowHueDlg method, ShowHalftoneDlg method, Dimension property, HalftoneType property, ItemsCount property, ItemDescription property, ItemFileName property, ItemBitmap property, SelectedBitmapList property
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


ApplyPaletteWhenExit property (LEADDlgColor Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | bool ApplyPaletteWhenExit
Delphi Syntax | ApplyPaletteWhenExit: Boolean
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets a value that indicates; whether; the "Apply When Exit" check box in the CustomizePalette dialog box is checked.

If this member is set before calling ShowCustomizePaletteDlg, this value will be used to initialize the check box. Possible values are:

Value | Meaning
TRUE | The "Apply When Exit" box is checked.
FALSE | The "Apply When Exit" box is not checked.

See Also

Elements: | ShowCustomizePaletteDlg method, GeneratedPaletteColors property, GeneratedPaletteColorsCount property, UserPaletteColors property, UserPaletteColorsCount property
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


BalanceBlueFactor property (LEADDlgColor Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | COLORBALANCING BalanceBlueFactor
Delphi Syntax | BalanceBlueFactor: COLORBALANCING
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets values to use for redistributing the bitmap's blue values in the BalanceColors dialog box.

This property is associated only with the ShowBalanceColorsDlg method.

See Also

Elements: | ShowBalanceColorsDlg method, BalanceRedFactor property, BalanceGreenFactor property.
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


BalanceGreenFactor property (LEADDlgColor Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | COLORBALANCING BalanceGreenFactor
Delphi Syntax | BalanceGreenFactor: COLORBALANCING
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets values to use for redistributing the bitmap's green values in the BalanceColors dialog box.

This property is associated only with the ShowBalanceColorsDlg method.

See Also

Elements: | ShowBalanceColorsDlg method, BalanceRedFactor property, BalanceBlueFactor property.
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


BalanceRedFactor property (LEADDlgColor Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | COLORBALANCING BalanceRedFactor
Delphi Syntax | BalanceRedFactor: COLORBALANCING
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets values to use for redistributing the bitmap's red values in the BalanceColors dialog box.

This property is associated only with the ShowBalanceColorsDlg method.

See Also

Elements: | ShowBalanceColorsDlg method, BalanceGreenFactor property, BalanceBlueFactor property.
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


BitsPerPixel property (LEADDlgColor Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | L_INT BitsPerPixel
Delphi Syntax | BitsPerPixel: L_INT
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets the number of bits per pixel in the Color Resolution dialog box.

Support for 12 and 16-bit grayscale images is available only in the Document/Medical toolkits. The following are valid values:

Setting | Description
1 | 1 bit per pixel in the resultant bitmap
2 | 2 bits per pixel in the resultant bitmap
3 | 3 bits per pixel in the resultant bitmap
4 | 4 bits per pixel in the resultant bitmap
5 | 5 bits per pixel in the resultant bitmap
6 | 6 bits per pixel in the resultant bitmap
7 | 7 bits per pixel in the resultant bitmap
8 | 8 bits per pixel in the resultant bitmap
12 | 12 bits per pixel in the resultant bitmap
16 | 16 bits per pixel in the resultant bitmap
24 | 24 bits per pixel in the resultant bitmap
32 | 32 bits per pixel in the resultant bitmap
48 | 48 bits per pixel in the resultant bitmap
64 | 64 bits per pixel in the resultant bitmap

See Also

Elements: | ShowColorResDlg method, PaletteFlags property, DitherFlags property, DlgFlagsEx property.
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


BlueFactor property (LEADDlgColor Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | L_INT BlueFactor
Delphi Syntax | BlueFactor: L_INT
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets the BlueFactor value from or to the ColoredGray and the GrayScale dialog boxes.

It is a value that represents the percentage or weight given to the blue value of each pixel in the bitmap. Possible values are (0-1000), RedFactor + GreenFactor + BlueFactor must equal 1000.

See Also

Elements: | ShowColoredGrayDlg method, ShowGrayScaleDlg method, RedFactor property, GreenFactor property, RedGrayFactor property, GreenGrayFactor property, BlueGrayFactor property.
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


BlueGrayFactor property (LEADDlgColor Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | L_INT BlueGrayFactor
Delphi Syntax | BlueGrayFactor: L_INT
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets the BlueGrayFactor value in the ColoredGray dialog box.

It is a value that represents an additional weighting factor (percentage) used to modify the blue component in the output pixel. This value can be negative. Possible values are -1000 to 1000.

See Also

Elements: | ShowColoredGrayDlg method, RedFactor property, GreenFactor property, BlueFactor property, RedGrayFactor property, GreenGrayFactor property
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


Change property (LEADDlgColor Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | L_INT Change
Delphi Syntax | Change: L_INT
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets the change value.

Possible values range from -1000 to 1000.

This property is associated with the following dialog boxes:

Brightness dialog box | In this case it represents the amount to change the brightness. Negative numbers darken the image and positive numbers lighten the image.
Contrast dialog box | In this case it represents the amount to change the contrast. Negative numbers decrease the contrast and positive numbers increase the contrast.
Saturation dialog box | In this case it represents the amount to change the saturation. Negative numbers decrease the saturation and positive numbers increase the saturation.
HistoContrast dialog box | In this case it represents the amount to change the contrast. Negative numbers decrease the contrast and positive numbers increase the contrast.

See Also

Elements: | ShowBrightnessDlg method, ShowContrastDlg method, ShowSaturationDlg method, ShowHistoContrastDlg method.
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


Channel property (LEADDlgColor Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | L_INT Channel
Delphi Syntax | Channel: L_INT
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets the channel for which to change the intensity.

This property is associated with the following dialog boxes:

1. RemapIntensity dialog box. In this case possible values are:

Value | Meaning
CHANNEL_MASTER | [0] All channels.
CHANNEL_RED | [1] Red channel only.
CHANNEL_GREEN | [2] Green channel only.
CHANNEL_BLUE | [3] Blue channel only.

2. IntensityDetect dialog boxes. In this case possible values are:

Value | Meaning
IDB_CHANNEL_MASTER | [$0000] Grayscale Channel.
IDB_CHANNEL_RED | [$0001] Red Channel.
IDB_CHANNEL_GREEN | [$0010] Green Channel.
IDB_CHANNEL_BLUE | [$0100] Blue Channel.

See Also

Elements: | ShowRemapIntensityDlg method, ShowIntensityDetectDlg method, RemapIntensityTable property, RemapIntensityTableSize property, IntensityInColor property, IntensityOutColor property
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


ColorModel property (LEADDlgColor Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | L_UINT32 ColorModel
Delphi Syntax | ColorModel: L_UINT32
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets the color model in the Color dialog box. Possible values are:

Value | Meaning
DLG_COLOR_COLORMODEL_SHOW_RGB | [$00000800] RGB color values.
DLG_COLOR_COLORMODEL_SHOW_HSB | [$00001000] HSB color values.
DLG_COLOR_COLORMODEL_SHOW_HLS | [$00002000] HLS color values.
DLG_COLOR_COLORMODEL_SHOW_CMY | [$00004000] CMY color values.
DLG_COLOR_COLORMODEL_SHOW_CMYK | [$00008000] CMYK color values.
DLG_COLOR_COLORMODEL_SHOW_LAB | [$00010000] LAB color values.

See Also

Elements: | ShowColorDlg method, SelectedColor property, ColorSpace property, UserPaletteColors property, UserPaletteColorsCount property
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


ColorSpace property (LEADDlgColor Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | L_INT ColorSpace
Delphi Syntax | ColorSpace: L_INT
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets the color space to be used.

This property is associated with the following dialog boxes:

LocalHistoEqualize dialog box | In this case it represents the color space to equalize. Possible values are:
 | Value | Meaning
 | RGB_SPACE | [$0001] Linearize the number of pixels across the RGB color space. (Separated channels)
 | YUV_SPACE | [$0002] Linearize the number of pixels across the YUV color space. (Best results)
 | GRAY_SPACE | [$0004] Linearize the number of pixels per gray level in a gray level representation of the image.
Color dialog box | In this case it represents the color box selected when the color dialog box closed. Possible values are:
 | Value | Meaning
 | DLG_COLOR_COLORSPACE_SHOW_HUE | [$00000010] HSB-Hue Based color space.
 | DLG_COLOR_COLORSPACE_SHOW_BRIGHTNESS | [$00000020] HSB-Brightness Based color space.
 | DLG_COLOR_COLORSPACE_SHOW_WHEEL | [$00000040] HSB-Wheel Based color space.
 | DLG_COLOR_COLORSPACE_SHOW_RGB | [$00000080] RGB-3D Additive color space.
 | DLG_COLOR_COLORSPACE_SHOW_CMY | [$00000100] CMY-3D Subtractive color space.
 | DLG_COLOR_COLORSPACE_SHOW_CMYK | [$00000200] CMYK-3D Subtractive color space.
 | DLG_COLOR_COLORSPACE_SHOW_LAB | [$00000400] LAB- Device Independent color space.

See Also

Elements: | ShowLocalHistoEqualizeDlg method, ShowColorDlg method, RectWidth property, RectHeight property, XExtension property, YExtension property, SmoothSize property, SelectedColor property, ColorModel property, UserPaletteColors property, UserPaletteColorsCount property
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


Dimension property (LEADDlgColor Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | L_UINT Dimension
Delphi Syntax | Dimension: L_UINT
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets the size of the grain in the Halftone dialog box

Possible values range from 2 to 100. This value is ignored if HalftoneType is HT_VIEW or HT_PRINT. If HalftoneType is not HT_VIEW or HT_PRINT, the Dimension property should be >= 1.

See Also

Elements: | ShowHalftoneDlg method, Angle property, HalftoneType property, ItemsCount property, ItemDescription property, ItemFileName property, ItemBitmap property, SelectedBitmapList property
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


DitherFlags property (LEADDlgColor Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | L_UINT32 DitherFlags
Delphi Syntax | DitherFlags: L_UINT32
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets a value indicating the dithering option in the ColorResolution dialog box. Possible values are:

Value | Meaning
CRF_NODITHERING | [$00000000] Use the nearest matching color.
CRF_FLOYDSTEINDITHERING | [$00010000] Use Floyd-Steinberg dithering.
CRF_STUCKIDITHERING | [$00020000] Use Stucki dithering.
CRF_BURKESDITHERING | [$00030000] Use Burkes dithering.
CRF_SIERRADITHERING | [$00040000] Use Sierra dithering.
CRF_STEVENSONARCEDITHERING | [$00050000] Use Stevenson Arce dithering.
CRF_JARVISDITHERING | [$00060000] Use Jarvis dithering.
CRF_ORDEREDDITHERING | [$00070000] Use ordered dithering, which is faster but less accurate than other dithering methods.
CRF_CLUSTEREDDITHERING | [$00080000] Use clustered dithering.

See Also

Elements: | ShowColorResDlg method, BitsPerPixel property, PaletteFlags property, DlgFlagsEx property
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


DlgFlagsEx property (LEADDlgColor Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | L_UINT32 DlgFlagsEx
Delphi Syntax | DlgFlagsEx: L_UINT32
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets user interface flags for the ColorRes dialog box, which determine the options available in the dialog. Possible values are:

Value | Meaning
DLG_COLORRES_SHOW_1BIT | [$00000001] 1-bit is an option in the dialog.
DLG_COLORRES_SHOW_2BIT | [$00000002] 2-bit is an option in the dialog
DLG_COLORRES_SHOW_3BIT | [$00000004] 3-bit is an option in the dialog
DLG_COLORRES_SHOW_4BIT | [$00000008] 4-bit is an option in the dialog
DLG_COLORRES_SHOW_5BIT | [$00000010] 5-bit is an option in the dialog
DLG_COLORRES_SHOW_6BIT | [$00000020] 6-bit is an option in the dialog
DLG_COLORRES_SHOW_7BIT | [$00000040] 7-bit is an option in the dialog
DLG_COLORRES_SHOW_8BIT | [$00000080] 8-bit is an option in the dialog
DLG_COLORRES_SHOW_12BIT | [$00000100] 12-bit is an option in the dialog
DLG_COLORRES_SHOW_16BIT | [$00000200] 16-bit is an option in the dialog
DLG_COLORRES_SHOW_24BIT | [$00000400] 24-bit is an option in the dialog
DLG_COLORRES_SHOW_32BIT | [$00000800] 32-bit is an option in the dialog
DLG_COLORRES_SHOW_48BIT | [$00001000] 48-bit is an option in the dialog
DLG_COLORRES_SHOW_64BIT | [$00002000] 64-bit is an option in the dialog
DLG_COLORRES_SHOW_BITALL | [$00003FFF] 1-bit to 64-bit are all options in the dialog.
DLG_COLORRES_SHOW_DITHER_NONE | [$00004000] no dithering is an option in the dialog.
DLG_COLORRES_SHOW_DITHER_FLOYD | [$00008000] Floyd dithering is an option in the dialog
DLG_COLORRES_SHOW_DITHER_STUCKI | [$00010000] Stucki dithering is an option in the dialog
DLG_COLORRES_SHOW_DITHER_BURKES | [$00020000] Burkes dithering is an option in the dialog
DLG_COLORRES_SHOW_DITHER_SIERRA | [$00040000] Sierra dithering is an option in the dialog
DLG_COLORRES_SHOW_DITHER_STEVENSON | [$00080000] Stevenson dithering is an option in the dialog
DLG_COLORRES_SHOW_DITHER_JARVIS | [$00100000] Jarvis dithering is an option in the dialog
DLG_COLORRES_SHOW_DITHER_CLUSTER | [$00200000] Clustered dithering is an option in the dialog
DLG_COLORRES_SHOW_DITHER_ORDERED | [$00400000] Ordered dithering is an option in the dialog
DLG_COLORRES_SHOW_DITHER_ALL | [$007FC000] All dithering methods are options in the dialog
DLG_COLORRES_SHOW_PAL_FIXED | [$00800000] Fixed palette is an option in the dialog
DLG_COLORRES_SHOW_PAL_OPTIMIZED | [$01000000] Optimized palette is an option in the dialog
DLG_COLORRES_SHOW_PAL_IDENTITY | [$02000000] identity palette is an option in the dialog
DLG_COLORRES_SHOW_PAL_NETSCAPE | [$04000000] Netscape palette is an option in the dialog
DLG_COLORRES_SHOW_PAL_SVGA | [$08000000] SVGA palette is an option
DLG_COLORRES_SHOW_PAL_UNIFORM | [$10000000] Uniform palette is an option
DLG_COLORRES_SHOW_PAL_MSIE | [$20000000] MSIE palette is an option
DLG_COLORRES_SHOW_PAL_ALL | [$3F800000] All palette options are included in the dialog

See Also

Elements: | ShowColorResDlg method, BitsPerPixel property, PaletteFlags property, DitherFlags property
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


DlgFlags property (LEADDlgColor Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | L_UINT32 DlgFlags
Delphi Syntax | DlgFlags: L_UINT32
Overview | Refer to Using Imaging Common Dialogs.

Remarks

General property used by all the Imaging Common Dialog methods. The options set in this property determine the layout and action of the dialog boxes. The options available for each method depend on and are listed with each method.

See Also

Elements: | ShowBalanceColorsDlg method, ShowColoredGrayDlg method, ShowGrayScaleDlg method, ShowRemapIntensityDlg method, ShowRemapHueDlg method, ShowCustomizePaletteDlg method, ShowLocalHistoEqualizeDlg method, ShowIntensityDetectDlg method, ShowSolarizeDlg method, ShowPosterizeDlg method, ShowBrightnessDlg method, ShowContrastDlg method, ShowHueDlg method, ShowSaturationDlg method, ShowGammaAdjustmentDlg method, ShowHalftoneDlg method, ShowColorResDlg method, ShowHistoContrastDlg method, ShowColorDlg method.
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


EnableMethodErrors property (LEADDlgColor Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | bool EnableMethodErrors
Delphi Syntax | EnableMethodErrors: Boolean
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Specifies whether LEADTOOLS generates runtime exceptions (in addition to method return values). Possible values are:

Setting | Description
TRUE | Generate system error events.
FALSE | Do not generate system error events.

See Also

Elements: | ShowBalanceColorsDlg method, ShowColoredGrayDlg method, ShowGrayScaleDlg method, ShowRemapIntensityDlg method, ShowRemapHueDlg method, ShowCustomizePaletteDlg method, ShowLocalHistoEqualizeDlg method, ShowIntensityDetectDlg method, ShowSolarizeDlg method, ShowPosterizeDlg method, ShowBrightnessDlg method, ShowContrastDlg method, ShowHueDlg method, ShowSaturationDlg method, ShowGammaAdjustmentDlg method, ShowHalftoneDlg method, ShowColorResDlg method, ShowHistoContrastDlg method, ShowColorDlg method
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


ErrorMsg property (LEADDlgColor Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | AnsiString ErrorMsg
Delphi Syntax | ErrorMsg: String
Overview | Refer to Using Imaging Common Dialogs.

Remarks

(Read only) Gets a string that contains the description of the error resulting from the last Common Dialog method called or property set.

See Also

Elements: | EnableMethodErrors property, Error property
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


Error property (LEADDlgColor Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | int Error
Delphi Syntax | Error: L_INT
Overview | Refer to Using Imaging Common Dialogs.

Remarks

(Read only) Gets the error code resulting from the last Common Dialog method called or property set. If the last operation performed was successful, the value is SUCCESS or SUCCESS_DLG_OK.

For a list of error codes, refer to Error Codes.

See Also

Elements: | EnableMethodErrors property, ErrorMsg property
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


GammaAllChannels property (LEADDlgColor Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | bool GammaAllChannels
Delphi Syntax | GammaAllChannels: Boolean
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets a value that indicates whether the "All Channels" check box is checked in the Gamma Adjustment dialog box. Possible values are:

Value | Meaning
TRUE | The "All Channels" check box is checked.
FALSE | The "All Channels" check box is not checked.

See Also

Elements: | ShowGammaAdjustmentDlg method, GammaRedValue property, GammaGreenValue property, GammaBlueValue property.
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


GammaBlueValue property (LEADDlgColor Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | L_INT GammaBlueValue
Delphi Syntax | GammaBlueValue: L_INT
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets the Gamma Blue value in the Gamma Adjustment dialog box

Possible values range from 10 to 500.

See Also

Elements: | ShowGammaAdjustmentDlg method, GammaRedValue property, GammaGreenValue property, GammaAllChannels Property
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


GammaGreenValue property (LEADDlgColor Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | L_INT GammaGreenValue
Delphi Syntax | GammaGreenValue: L_INT
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets the Gamma Green value in the Gamma Adjustment dialog box

Possible values range from 10 to 500.

See Also

Elements: | ShowGammaAdjustmentDlg method, GammaRedValue property, GammaBlueValue property, GammaAllChannels Property
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


GammaRedValue property (LEADDlgColor Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | L_INT GammaRedValue
Delphi Syntax | GammaRedValue: L_INT
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets the Gamma Red value in the Gamma Adjustment dialog box

Possible values range from 10 to 500.

See Also

Elements: | ShowGammaAdjustmentDlg method, GammaGreenvalue property, GammaBluevalue property, GammaAllChannels Property
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


GeneratedPaletteColorsCount property (LEADDlgColor Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | L_UINT GeneratedPaletteColorsCount
Delphi Syntax | GeneratedPaletteColorsCount: L_UINT
Overview | Refer to Using Imaging Common Dialogs.

Remarks

(Read Only) Get the number of valid colors in the GeneratedPaletteColors property generated from the CustomizePalette dialog box.

This property value is >=0 and <= 255.

See Also

Elements: | ShowCustomizePaletteDlg method
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


GeneratedPaletteColors property (LEADDlgColor Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | COLORREF GeneratedPaletteColors [ L_UINT uIndex ]
Delphi Syntax | GeneratedPaletteColors [ uIndex: L_UINT ]: COLORREF
Overview | Refer to Using Imaging Common Dialogs.

Remarks

(Read Only) Gets the generated palette colors in the CustomizePalette dialog box. The generated palette is the palette displayed in the right pane when the dialog is closed.

Note that this property will be valid only if DLG_CUSTOMIZEPALETTE_GENERATE_PALETTE or DLG_CUSTOMIZEPALETTE_SHOW_APPLYPALETTEWHENEXIT is set in the DlgFlags property before calling the ShowCustomizePaletteDlg method, and the GeneratedPaletteColorsCount property is greater than 0 when the CustomizePalette dialog box closes.

See Also

Elements: | ShowCustomizePaletteDlg method, UserPaletteColors property, UserPaletteColorsCount property, GeneratedPaletteColorsCount property, ApplyPaletteWhenExit property.
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


GreenFactor property (LEADDlgColor Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | L_INT GreenFactor
Delphi Syntax | GreenFactor: L_INT
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets the GreenFactor value in the ColoredGray and the GrayScale dialog boxes.

It is a value that represents the percentage or weight given to the green value of each pixel in the bitmap. Possible values are (0-1000), RedFactor + GreenFactor + BlueFactor must equal 1000.

See Also

Elements: | ShowColoredGrayDlg method, ShowGrayScaleDlg method, RedFactor property, BlueFactor property, RedGrayFactor property, GreenGrayFactor property, BlueGrayFactor property.
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


GreenGrayFactor property (LEADDlgColor Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | L_INT GreenGrayFactor
Delphi Syntax | GreenGrayFactor: L_INT
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets the GreenGrayFactor value in the ColoredGray dialog box.

It is a value that represents an additional weighting factor (percentage) used to modify the green component in the output pixel. This value can be negative. Possible values are -1000 to 1000.

See Also

Elements: | ShowColoredGrayDlg method, RedFactor property, GreenFactor property, BlueFactor property, RedGrayFactor property, BlueGrayFactor property.
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


HalftoneType property (LEADDlgColor Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | L_UINT32 HalftoneType
Delphi Syntax | HalftoneType: L_UINT32
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets the halftone pattern in the Halftone dialog box. Possible values are:

Value | Meaning
HT_PRINT | [$0000] Halftone for printing
HT_VIEW | [$0001] Halftone for display
HT_RECT | [$0002] Rectangular halftone
HT_CIRC | [$0003] Circular halftone
HT_ELLIPS | [$0004] Elliptical halftone
HT_RAND | [$0005] Random halftone
HT_LINEAR | [$0006] Linear halftone
HT_USERDEF | [$0007] User defined halftone

See Also

Elements: | ShowHalftoneDlg method, Angle property, Dimension property, ItemsCount property, ItemDescription property, ItemFileName property, ItemBitmap property, SelectedBitmapList property
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


IntensityHigh property (LEADDlgColor Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | L_UINT IntensityHigh
Delphi Syntax | IntensityHigh: L_UINT
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets the highest intensity to detect in the IntensityDetect dialog box.

Possible values range from 0 – 255.

See Also

Elements: | ShowIntensityDetectDlg method, IntensityLow property.
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


IntensityInColor property (LEADDlgColor Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | COLORREF IntensityInColor
Delphi Syntax | IntensityInColor: COLORREF
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets the color used to fill those pixels having an intensity value between the IntensityLow and IntensityHigh properties in the IntensityDetetct dialog box. This property has no effect if the Channel value is set to IDB_CHANNEL_MASTER. If for example the Channel property value is set to IDB_CHANNEL_RED, then the red component of the IntensityInColor property will be used to fill the pixels having a red component value between the IntensityLow and IntensityHigh properties values.

See Also

Elements: | ShowIntensityDetectDlg method, IntensityLow property, IntensityHigh property, Channel property, IntensityOutColor property.
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


IntensityLow property (LEADDlgColor Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | L_UINT IntensityLow
Delphi Syntax | IntensityLow: L_UINT
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets the lowest intensity to detect in the IntensityDetect dialog box.

Possible values range from 0 – 255.

See Also

Elements: | ShowIntensityDetectDlg method, IntensityHigh property
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


IntensityOutColor property (LEADDlgColor Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | COLORREF IntensityOutColor
Delphi Syntax | IntensityOutColor: COLORREF
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets the color used to fill those pixels having an intensity value less than the IntensityLow or greater than the IntensityHigh properties in the IntensityDetetct dialog box.

This property has no effect if the Channel value is set to IDB_CHANNEL_MASTER. If for example the Channel property is set to IDB_CHANNEL_RED, then the red component of IntensityOutColor property will be used to fill the pixels having a red component value less than IntensityLow or greater than IntensityHigh.

See Also

Elements: | ShowIntensityDetectDlg method, IntensityLow property, IntensityHigh property, Channel property, IntensityInColor property
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


ItemBitmap property (LEADDlgColor Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | TBitmapHandle ItemBitmap [L_UINT uIndex]
Delphi Syntax | ItemFileName [uIndex: L_UINT ]: TBitmapHandle
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets the array of bitmaps that correspond to the entries in the "Available List" in the Halftone dialog box.

The file name for each bitmap in this property should be included in the ItemFileName property, at the same index. Any description associated with a bitmap in this property should be included in the ItemDescription property, at the same index.

You must set the ItemsCount property before using this property.

See Also

Elements: | ShowHalftoneDlg method, Angle property, Dimension property, HalftoneType property, ItemsCount property, ItemDescription property, ItemFileName property, SelectedBitmapList property
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


ItemDescription property (LEADDlgColor Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | AnsiString ItemDescription [L_UINT uIndex]
Delphi Syntax | ItemDescription [uIndex: L_UINT ]: String
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets the strings that contain the text used to fill the "Available List" field in the Halftone dialog box.

You have to set the ItemsCount property before using this property.

See Also

Elements: | ShowHalftoneDlg method, Angle property, Dimension property, HalftoneType property, ItemsCount property, ItemFileName property, ItemBitmap property, SelectedBitmapList property
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


ItemFileName property (LEADDlgColor Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | AnsiString ItemFileName [L_UINT uIndex]
Delphi Syntax | ItemFileName [uIndex: L_UINT ]: String
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets the strings that contains the names of the files in the ItemBitmap property. These are the names of the bitmap files that correspond to the entries in the "Available List" in the Halftone dialog box.

Set this property to a fully qualified path name if you wish to supply a thumbnail for previewing purposes only. This fully qualified path name will be used to load the bitmap when needed. Set this field to ‘’ to indicate that the bitmap set in the ItemBitmap property is not a thumbnail but is the bitmap to be used in processing.

You have to set the ItemsCount property before using this property.

See Also

Elements: | ShowHalftoneDlg method, Angle property, Dimension property, HalftoneType property, ItemsCount property, ItemDescription property, ItemBitmap property, SelectedBitmapList property
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


ItemsCount property (LEADDlgColor Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | L_UINT ItemsCount
Delphi Syntax | ItemsCount: L_UINT
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets the number of bitmaps in the ItemBitmap property. The ItemBitmap property contains the bitmaps associated with the "Available List' in the Halftone dialog box

You have to set this property to the number of elements you want to include in the "Available List" in the Halftone dialog box before you set any other item properties (ItemBitmap property, ItemDescription property, and ItemFileName property).

Setting this property to 0 will clear the old ItemBitmap property, ItemDescription property and ItemFileName property settings. This will also hide the user defined halftone and its related controls.

See Also

Elements: | ShowHalftoneDlg method, Angle property, Dimension property, HalftoneType property, ItemDescription property, ItemFileName property, ItemBitmap property, SelectedBitmapList property
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


LEADDlgService property (LEADDlgColor Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | TLEADDlgService* LEADDlgService
Delphi Syntax | LEADDlgService: TLEADDlgService
Overview | Refer to Using Imaging Common Dialogs.

Remarks

A general property used by all the control dialogs; it is a LEAD Dialog Service Control. To apply the font set by the DialogsFont property to the dialogs of this control, set this property for the Dialog Service Control that has the font you want to apply.

See Also

Elements: | LEADImage property
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


LEADImage property (LEADDlgColor Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | TLEADImage* LEADImage
Delphi Syntax | LEADImage: TLEADImage
Overview | Refer to Using Imaging Common Dialogs.

Remarks

A general property used by most of the control dialogs; it is a LEAD Main Control. For any Common Dialog method in which the AUTOPROCESS or SHOWPREVIEW flags are set in the DlgFlags property, you must assign a Main Control to the Control LEADImage property. This causes the Main Control's bitmap to be referenced in the Dialog Control methods and a copy is NOT created.

See Also

Elements: | LEADDlgService Property
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


Levels property (LEADDlgColor Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | L_UINT Levels
Delphi Syntax | Levels: L_UINT
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets the number of color levels to use in the Posterize dialog box.

The valid range is 2 - 64.

See Also

Elements: | ShowPosterizeDlg method
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


PaletteFlags property (LEADDlgColor Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | L_UINT32 PaletteFlags
Delphi Syntax | PaletteFlags: L_UINT32
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets the palette option, or color order, in the Color Resolution dialog box. Possible values are:

Value | Meaning
CRF_BYTEORDERRGB | [$00] Use RGB color. This flag is only valid for 16 or more-bit images.
CRF_FIXEDPALETTE | [$01] Use the fixed palette.
CRF_OPTIMIZEDPALETTE | [$02] Create an optimized palette. Or, if you supply a palette in UserPaletteColors property, supply optimized colors for specified entries in the palette.
CRF_BYTEORDERBGR | [$04] Use BGR color order. This flag only has meaning when going to 16 bits per pixel or higher.
CRF_IDENTITYPALETTE | [$08] Insert the Windows system palette.
CRF_NETSCAPEPALETTE | [$40] Use the fixed palette that is employed by Netscape Navigator and by Microsoft Internet Explorer.
CRF_USERHPALETTE | [$0100] Use the palette specified in the UserPaletteColors property.

See Also

Elements: | ShowColorResDlg method, BitsPerPixel property, DitherFlags property, DlgFlagsEx property
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


RectHeight property (LEADDlgColor Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | L_UINT RectHeight
Delphi Syntax | RectHeight: L_UINT
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets the height of the local histogram equalizer rectangle, in pixels, in the LocalHistoEqualize dialog box. The width should be more than zero.

See Also

Elements: | ShowLocalHistoEqualizeDlg method, RectWidth property, XExtension property, YExtension property, ColorSpace property, SmoothSize property.
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


RectWidth property (LEADDlgColor Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | L_UINT RectWidth
Delphi Syntax | RectWidth: L_UINT
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets the width of the local histogram equalizer rectangle, in pixels in the LocalHistoEqualize dialog box. The width should be more than zero.

See Also

Elements: | ShowLocalHistoEqualizeDlg method, RectHeight property, XExtension property, YExtension property, ColorSpace property, SmoothSize property.
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


RedFactor property (LEADDlgColor Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | L_INT RedFactor
Delphi Syntax | RedFactor: L_INT
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets the RedFactor value in the ColoredGray and the GrayScale dialog boxes.

It is a value that represents the percentage or weight given to the red value of each pixel in the bitmap. Possible values are (0-1000), RedFactor + GreenFactor + BlueFactor must equal 1000.

See Also

Elements: | ShowColoredGrayDlg method, ShowGrayScaleDlg method, GreenFactor property, BlueFactor property, RedGrayFactor property, GreenGrayFactor property, BlueGrayFactor property.
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


RedGrayFactor property (LEADDlgColor Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | L_INT RedGrayFactor
Delphi Syntax | RedGrayFactor: L_INT
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets the RedGrayFactor value in the ColoredGray dialog box.

It is a value that represents an additional weighting factor (percentage) used to modify the red component in the output pixel. This value can be negative. Possible values are -1000 to 1000.

See Also

Elements: | ShowColoredGrayDlg method, RedFactor property, GreenFactor property, BlueFactor property, GreenGrayFactor property, BlueGrayFactor property.
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


RemapHueHTable property (LEADDlgColor Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | L_UINT RemapHueHTable [L_UINT uIndex]
Delphi Syntax | RemapHueHTable [uIndex: L_UINT ]: L_UINT
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets the Hue lookup table. If the RemapHueMaskTable table value for a particular pixel hue is non-zero, then the hue is changed to the corresponding entry in the RemapHueHTable property. LEADTOOLS will update this table in the RemapHue dialog box unless DLG_REMAPHUE_AUTOPROCESS is set in the DlgFlags property before calling the ShowRemapHueDlg method.

The length of this table is RemapHueTableSize.

See Also

Elements: | ShowRemapHueDlg method, RemapHueMaskTable property, RemapHueSTable property, RemapHueVTable property, RemapHueTableSize property.
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


RemapHueMaskTable property (LEADDlgColor Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | L_UINT RemapHueMaskTable [L_UINT uIndex]
Delphi Syntax | RemapHueMaskTable [uIndex: L_UINT ]: L_UINT
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Lookup table that identifies which values in the Hue, Saturation, and Value Lookup tables are valid. For example, if RemapHueMaskTable [i] is non-zero, then RemapHueHTable [i], RemapHueSTable [i], and RemapHueVTable [i] are valid for i pixel remapping. LEADTOOLS will update this table in the RemapHue dialog box unless DLG_REMAPHUE_AUTOPROCESS is set in the DlgFlags property before calling the ShowRemapHueDlg method. The length of the table is in the RemapHueTableSize property.

See Also

Elements: | ShowRemapHueDlg method, RemapHueHTable property, RemapHueSTable property, RemapHueVTable property, RemapHueTableSize property.
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


RemapHueSTable property (LEADDlgColor Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | L_UINT RemapHueSTable [L_UINT uIndex]
Delphi Syntax | RemapHueSTable [uIndex: L_UINT ]: L_UINT
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets the Saturation lookup table. If the RemapHueMaskTable table value for a particular pixel saturation is non-zero, then the saturation is changed to the corresponding entry in RemapHueSTable. LEADTOOLS will update this table in the RemapHue dialog box unless DLG_REMAPHUE_AUTOPROCESS is set in the DlgFlags property before calling the ShowRemapHueDlg method.

The length of this table is RemapHueTableSize.

See Also

Elements: | ShowRemapHueDlg method, RemapHueMaskTable property, RemapHueHTable property, RemapHueVTable property, RemapHueTableSize property.
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


RemapHueTableSize property (LEADDlgColor Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | L_UINT RemapHueTableSize
Delphi Syntax | RemapHueTableSize: L_UINT
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets the length of the RemapHueXXXTable properties. Possible values are:

Value | Meaning
65536 | For 16-bit gray or 48-bit images.
4096 | For 12-bit images.
256 | For other-bits images.

See Also

Elements: | ShowRemapHueDlg method, RemapHueMaskTable property, RemapHueHTable property, RemapHueSTable property, RemapHueVTable property.
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


RemapHueVTable property (LEADDlgColor Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | L_UINT RemapHueVTable [L_UINT uIndex]
Delphi Syntax | RemapHueVTable [uIndex: L_UINT ]: L_UINT
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets the Value lookup table. If the RemapHueMaskTable table value for a particular pixel value is non-zero, then the value is changed to the corresponding entry in RemapHueVTable. LEADTOOLS will update this table in the RemapHue dialog box unless DLG_REMAPHUE_AUTOPROCESS is set in the DlgFlags property before calling the ShowRemapHueDlg method.

The length of this table is RemapHueTableSize.

See Also

Elements: | ShowRemapHueDlg method, RemapHueMaskTable property, RemapHueHTable property, RemapHueSTable property, RemapHueTableSize property.
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


RemapIntensityTable property (LEADDlgColor Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | L_UINT RemapIntensityTable[L_UINT uIndex]
Delphi Syntax | RemapIntensityTable [uIndex: L_UINT ]: L_UINT
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets an array of remap values in the RemapIntensity dialog box. This array serves as a lookup table that is updated by the RemapIntensity dialog box unless DLG_REMAPINTENSITY_AUTOPROCESS is set in the DlgFlags property before calling the ShowRemapIntensityDlg method.

Intensity levels range from 0 to the value of RemapIntensityTableSize property - 1. The current intensity values correspond to the table indexes. The values of the entries are the new values to be applied.

See Also

Elements: | ShowRemapIntensityDlg method, RemapIntensityTableSize property, Channel property
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


RemapIntensityTableSize property (LEADDlgColor Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | L_UINT RemapIntensityTableSize
Delphi Syntax | RemapIntensityTableSize: L_UINT
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets the number of entries in the RemapIntensityTable property. Possible values are:

Value | Meaning
65536 | For 16-bit gray or 48-bit images.
4096 | For 12-bit images.
256 | For other-bits images.

See Also

Elements: | ShowRemapIntensityDlg method, RemapIntensityTable property, Channel property
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


SelectedBitmapList property (LEADDlgColor Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | HBITMAPLIST SelectedBitmapList
Delphi Syntax | SelectedBitmapList: HBITMAPLIST
Overview | Refer to Using Imaging Common Dialogs.

Remarks

(Read only) Gets the list of bitmaps selected by the user from the "Available List" in the Halftone dialog box.

See Also

Elements: | ShowHalftoneDlg method, Angle property, Dimension property, HalftoneType property, ItemsCount property, ItemDescription property, ItemFileName property, ItemBitmap property
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


SelectedColor property (LEADDlgColor Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | COLORREF SelectedColor
Delphi Syntax | SelectedColor: COLORREF
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets the selected color in the Color dialog box.

Set this property before calling the ShowColorDlg method to initialize the dialog. When the user selects a color in the displayed dialog, this property will be updated with that color

You can specify a COLORREF value, such as the return value of the Windows RGB macro.

See Also

Elements: | ShowColorDlg method, ColorSpace property, ColorModel property, UserPaletteColors property, UserPaletteColorsCount property
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


ShowHelpButton property (LEADDlgColor Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | bool ShowHelpButton
Delphi Syntax | ShowHelpButton: Boolean
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Used by all the control dialogs. It determines if a Help button will be displayed in the dialog. Possible values are:

Setting | Description
TRUE | Help Button will be displayed.
FALSE | Help Button will not be displayed and the OnDlgHelp Event will not be available for the dialogs.

See Also

Elements: | OnDlgHelp Event, ShowBalanceColorsDlg method, ShowColoredGrayDlg method, ShowGrayScaleDlg method, ShowRemapIntensityDlg method, ShowRemapHueDlg method, ShowCustomizePaletteDlg method, ShowLocalHistoEqualizeDlg method, ShowIntensityDetectDlg method, ShowSolarizeDlg method, ShowPosterizeDlg method, ShowBrightnessDlg method, ShowContrastDlg method, ShowHueDlg method, ShowSaturationDlg method, ShowGammaAdjustmentDlg method, ShowHalftoneDlg method, ShowColorResDlg method, ShowHistoContrastDlg method, ShowColorDlg method
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


SmoothSize property (LEADDlgColor Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | L_UINT SmoothSize
Delphi Syntax | SmoothSize: L_UINT
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets the size of the area to be used when smoothing the edges between localized blocks in the LocalHistoEqualize dialog box.

Possible values range from 0 to 7, but if RectHeight is less than or equal to 7 then the maximum value for this item is RectHeight - 1.

See Also

Elements: | ShowLocalHistoEqualizeDlg method, RectWidth property, RectHeight property, XExtension property, YExtension property, ColorSpace property.
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


Threshold property (LEADDlgColor Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | L_UINT Threshold
Delphi Syntax | Threshold: L_UINT
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets the threshold at or above which colors are to be inverted in the Solarize dialog box.

The valid range is 0 - 255.

See Also

Elements: | ShowSolarizeDlg method
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


UserPaletteColorsCount property (LEADDlgColor Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | L_UINT UserPaletteColorsCount
Delphi Syntax | UserPaletteColorsCount: L_UINT
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Get or sets the number of colors in the User Palette table used in the CustomizePalette, ColorRes, and Color dialog boxes.

To ignore the user palette in the dialog boxes, set this property to 0, or set it to the number of colors in the UserPaletteColors property.

See Also

Elements: | ShowColorResDlg method, ShowCustomizePaletteDlg method, ShowColorDlg method
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


UserPaletteColors property (LEADDlgColor Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | COLORREF UserPaletteColors [ L_UINT uIndex ]
Delphi Syntax | UserPaletteColors [ uIndex: L_UINT ]: COLORREF
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Sets a color in a palette that you define.

The user palette is an array of 256 elements. Each element is a long integer value containing the red, green and blue (RGB) components of the color. You can specify a color using the RGB function, and you can specify 256 or fewer colors.

Palettes are used only for images that are 8 bits per pixel or less.

To ignore the user palette, set the UserPaletteColorsCount property to 0.

To use your custom palette in the dialog boxes, fill the UserPaletteColors property with the desired colors, and set the UserPaletteColorsCount property to the number of colors.

This User Palette will be used when a dialog box needs a custom palette. It is associated with ColorRes dialog box, the CustomizePalette dialog box, and the Color dialog box.

See Also

Elements: | ShowColorResDlg method, ShowCustomizePaletteDlg method, ShowColorDlg method
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


WindowLevelEndColor property (LEADDlgColor Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | COLORREF WindowLevelEndColor
Delphi Syntax | WindowLevelEndColor: COLORREF
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets the ending color value in the WindowLevel dialog box.

See Also

Elements: | ShowWindowLevelDlg method, WindowLevelLUTLength property, WindowLevelLUT property, WindowLevelHighBit property, WindowLevelLowBit property, WindowLevelLow property, WindowLevelHigh property, WindowLevelEndColor property, WindowLevelFactor property, WindowLevelFlags property.
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


WindowLevelFactor property (LEADDlgColor Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | L_INT WindowLevelFactor
Delphi Syntax | WindowLevelFactor: L_INT
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets the value that indicates the factor in the WindowLevel dialog box, to be applied in the function operation specified in the WindowLevelFlags property.

This property is used only if WindowLevelFlags property is FILLLUT_EXPONENTIAL, FILLLUT_LOGARITHMIC or FILLLUT_SIGMOID.

If FILLLUT_EXPONENTIAL or FILLLUT_SIGMOID flag is selected its values range from 1000 to -1000.

If FILLLUT_LOGARITHMIC flag is selected its values range from 0 to 1000. If WindowLevelFactor = 0, the lookup table will be filled linearly.

See Also

Elements: | ShowWindowLevelDlg method, WindowLevelLUTLength property, WindowLevelLUT property, WindowLevelHighBit property, WindowLevelLowBit property, WindowLevelLow property, WindowLevelHigh property, WindowLevelStartColor property, WindowLevelEndColor property, WindowLevelFlags property.
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


WindowLevelFlags property (LEADDlgColor Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | L_UINT WindowLevelFlags
Delphi Syntax | WindowLevelFlags: L_UINT
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets flags that indicate how the range is used to fill the LUT and the type of LUT in the

WindowLevel dialog box.

The following flags indicate how the range is used to fill the LUT:

Value | Meaning
FILLLUT_INSIDE | [$0001] Fill the LUT between WindowLevelLow and WindowLevelHigh. (Inside the WindowLevelLow... WindowLevelHigh range)
FILLLUT_OUTSIDE | [$0002] Fill the LUT below WindowLevelLow and above WindowLevelHigh. (Outside the WindowLevelLow... WindowLevelHigh range)

The following flags indicate the LUT type:

Value | Meaning
FILLLUT_LINEAR | [$0010] LUT is linear.
FILLLUT_EXPONENTIAL | [$0020] LUT is exponential.
FILLLUT_LOGARITHMIC | [$0030] LUT is logarithmic.
FILLLUT_SIGMOID | [$0040] LUT is sigmoid.

See Also

Elements: | ShowWindowLevelDlg method, WindowLevelLUTLength property, WindowLevelLUT property, WindowLevelHighBit property, WindowLevelLowBit property, WindowLevelLow property, WindowLevelHigh property, WindowLevelStartColor property, WindowLevelEndColor property, WindowLevelFactor property.
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


WindowLevelHighBit property (LEADDlgColor Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | L_UINT WindowLevelHighBit
Delphi Syntax | WindowLevelHighBit: L_UINT
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets the high bit value used for displaying a 12 or 16 bit grayscale image in the WindowLevel dialog box. For example, if the WindowLevelHighBit property is 11 and the WindowLevelLowBit property is 0, the image in the WindowLevel dialog box will be displayed as a 12 bit grayscale.

See Also

Elements: | ShowWindowLevelDlg method, WindowLevelLUTLength property, WindowLevelLUT property, WindowLevelLowBit property, WindowLevelLow property, WindowLevelHigh property, WindowLevelStartColor property, WindowLevelEndColor property, WindowLevelFactor property, WindowLevelFlags property
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


WindowLevelHigh property (LEADDlgColor Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | L_INT WindowLevelHigh
Delphi Syntax | WindowLevelHigh: L_INT
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets the high level value from the WindowLevel dialog box, which indicates the highest grayscale intensity level that will be color mapped.

See Also

Elements: | ShowWindowLevelDlg method, WindowLevelLUTLength property, WindowLevelLUT property, WindowLevelHighBit property, WindowLevelLowBit property, WindowLevelLow property, WindowLevelStartColor property, WindowLevelEndColor property, WindowLevelFactor property, WindowLevelFlags property.
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


WindowLevelLowBit property (LEADDlgColor Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | L_UINT WindowLevelLowBit
Delphi Syntax | WindowLevelLowBit: L_UINT
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets the low bit value used for displaying a 12 or 16 bit grayscale image in the WindowLevel dialog box. For example, if the WindowLevelHighBit property is 11 and the WindowLevelLowBit property is 0, the image in the WindowLevel dialog box will be displayed as a 12 bit grayscale.

See Also

Elements: | ShowWindowLevelDlg method, WindowLevelLUTLength property, WindowLevelLUT property, WindowLevelHighBit property, WindowLevelLow property, WindowLevelHigh property, WindowLevelStartColor property, WindowLevelEndColor property, WindowLevelFactor property, WindowLevelFlags property
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


WindowLevelLow property (LEADDlgColor Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | L_INT WindowLevelLow
Delphi Syntax | WindowLevelLow: L_INT
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets the low level value from the WindowLevel dialog box, which indicates the lowest grayscale intensity level that will be color mapped.

See Also

Elements: | ShowWindowLevelDlg method, WindowLevelLUTLength property, WindowLevelLUT property, WindowLevelHighBit property, WindowLevelLowBit property, WindowLevelHigh property, WindowLevelStartColor property, WindowLevelEndColor property, WindowLevelFactor property, WindowLevelFlags property.
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


WindowLevelLUTLength property (LEADDlgColor Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | L_UINT WindowLevelLUTLength
Delphi Syntax | WindowLevelLUTLength: L_UINT
Overview | Refer to Using Imaging Common Dialogs.

Remarks

(Read Only) Gets the length of the WindowLevelLUT remapping palette generated by the WindowLevel diaog box. It is equal to 2 raised to the power of (WindowLevelHighBit - WindowLevelLowBit + 1).

See Also

Elements: | ShowWindowLevelDlg method, WindowLevelLUT property, WindowLevelLowBit property, WindowLevelHighBit property, WindowLevelLow property, WindowLevelHigh property, WindowLevelStartColor property, WindowLevelEndColor property, WindowLevelFactor property, WindowLevelFlags property
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


WindowLevelLUT property (LEADDlgColor Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | COLOREF WindowLevelLUT[L_UINT uIndex]
Delphi Syntax | WindowLevelLUT [uIndex: L_UINT]: COLORREF
Overview | Refer to Using Imaging Common Dialogs.

Remarks

(Read Only) Gets a color stored in the Window Level Lookup Table (LUT) generated using the WindowLevel dialog box. The LUT specifies a remapping palette that can be used to change the color of every pixel painted on the screen. For each pixel, WindowLevelLowBit property and WindowLevelHighBit property are used to generate a value between 0 and WindowLevelLUTLength - 1. This value is used as an index into the WindowLevelLUT palette to obtain the corresponding color. By default the interval 0 to WindowLevelLUTLength - 1 is remapped to 0 to 255 and the corresponding gray value is used.

See Also

Elements: | ShowWindowLevelDlg method, WindowLevelLUTLength property, WindowLevelLowBit property, WindowLevelHighBit property, WindowLevelLow property, WindowLevelHigh property, WindowLevelStartColor property, WindowLevelEndColor property, WindowLevelFactor property, WindowLevelFlags property
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


WindowLevelStartColor property (LEADDlgColor Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | COLORREF WindowLevelStartColor
Delphi Syntax | WindowLevelStartColor: COLORREF
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets the starting color value in the WindowLevel dialog box.

See Also

Elements: | ShowWindowLevelDlg method, WindowLevelLUTLength property, WindowLevelLUT property, WindowLevelHighBit property, WindowLevelLowBit property, WindowLevelLow property, WindowLevelHigh property, WindowLevelEndColor property, WindowLevelFactor property, WindowLevelFlags property.
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


XExtension property (LEADDlgColor Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | L_INT XExtension
Delphi Syntax | XExtension: L_INT
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets the extension of the width of the local histogram equalizer rectangle, in pixels, in the LocalHistoEqualize dialog box.

See Also

Elements: | ShowLocalHistoEqualizeDlg method, RectWidth property, RectHeight property, YExtension property, ColorSpace property, SmoothSize property.
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


YExtension property (LEADDlgColor Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | L_INT YExtension
Delphi Syntax | YExtension: L_INT
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets the extension of the height of the local histogram equalizer rectangle, in pixels, in the LocalHistoEqualize dialog box.

See Also

Elements: | ShowLocalHistoEqualizeDlg method, RectWidth property, RectHeight property, XExtension property, ColorSpace property, SmoothSize property.
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


ZoomToFit property (LEADDlgColor Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | bool ZoomToFit
Delphi Syntax | ZoomToFit: Boolean
Overview | Refer to Using Imaging Common Dialogs.

Remarks

General property used by all the Imaging Common Dialog methods.

It is a flag that indicates the initial zoom level for previewing the image. Possible values are:

Value | Meaning
TRUE | Set the initial zoom level to "Zoom to fit".
FALSE | Set the initial zoom level to "Normal (1:1)".

See Also

Elements: | ShowBalanceColorsDlg method, ShowColoredGrayDlg method, ShowGrayScaleDlg method, ShowRemapIntensityDlg method, ShowRemapHueDlg method, ShowCustomizePaletteDlg method, ShowLocalHistoEqualizeDlg method, ShowIntensityDetectDlg method, ShowSolarizeDlg method, ShowPosterizeDlg method, ShowBrightnessDlg method, ShowContrastDlg method, ShowHueDlg method, ShowSaturationDlg method, ShowGammaAdjustmentDlg method, ShowHalftoneDlg method, ShowColorResDlg method, ShowHistoContrastDlg method, ShowColorDlg method.
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


ShowBalanceColorsDlg method (LEADDlgColor Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | int ShowBalanceColorsDlg(TWinControl* AOwnerCtrl);
Delphi Syntax | Function ShowBalanceColorsDlg (AOwnerCtrl: TWinControl ): L_INT;
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Displays the BalanceColors dialog box and gets the options for the BalanceColors method.

This method supports only RGB images. It does not support grayscale images.

Support for 48-bit and 64-bit colored images are available only in the Document/Medical toolkits.

The layout and action of the dialog depends on the flags set in the DlgFlags property. Possible options are:

Value | Meaning
DLG_BALANCECOLORS_AUTOPROCESS | [$00000001] Process the image on OK; The LEADImage property must be assigned a Main Control containing a valid bitmap before calling this method.
DLG_BALANCECOLORS_SHOW_CONTEXTHELP | [$00000002] Dialog should contain a context sensitive help icon.
DLG_BALANCECOLORS_SHOW_PREVIEW | [$00000004] Show a preview of the image in the dialog. The LEADImage property must be assigned a Main Control containing a valid bitmap before calling this method.
DLG_BALANCECOLORS_SHOW_TOOL_ZOOMLEVEL | [$00000008] Show the "Zoom to fit" and "Zoom Normal" toolbar buttons.The DLG_BALANCECOLORS_SHOW_PREVIEW flag must be set in order to show these buttons.

If you include DLG_BALANCECOLORS_AUTOPROCESS or DLG_BALANCECOLORS_SHOW_PREVIEW in the DlgFlags property, the LEADImage property must be assigned a Main Control containing a valid bitmap before calling this method.

The following properties are associated with this dialog:

BalanceRedFactor property

BalanceGreenFactor property

BalanceBlueFactor property.

To include a Help button in the dialog, set the ShowHelpButton property to TRUE.The Balance Colors dialog can be seen below:

See Also

Elements: | BalanceColors method , BalanceRedFactor property, BalanceGreenFactor property, BalanceBlueFactor property, ShowHelpButton property, ZoomToFit Property, DlgFlags property, EnableMethodErrors property.
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


ShowBrightnessDlg method (LEADDlgColor Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | int ShowBrightnessDlg(TWinControl* AOwnerCtrl );
Delphi Syntax | Function ShowBrightnessDlg (AOwnerCtrl: TWinControl ): L_INT;
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Displays the Brightness dialog box, and gets the options for the Intensity method .

The layout and action of the dialog depends on the flags set in the DlgFlags property. Possible options are:

Value | Meaning
DLG_BRIGHTNESS_AUTOPROCESS | [$00000001] Process the image on OK. The LEADImage property must be assigned a Main Control containing a valid bitmap before calling this method.
DLG_BRIGHTNESS_SHOW_CONTEXTHELP | [$00000002] Dialog should contain a context sensitive help icon.
DLG_BRIGHTNESS_SHOW_PREVIEW | [$00000004] Show a preview of the image in the dialog. The LEADImage property must be assigned a Main Control containing a valid bitmap before calling this method.
DLG_BRIGHTNESS_SHOW_TOOL_ZOOMLEVEL | [$00000008] Show the "Zoom to fit" and "Zoom Normal" toolbar buttons. The DLG_BRIGHTNESS_SHOW_PREVIEW flag must be set in order to show these buttons.

If you include DLG_BRIGHTNESS_AUTOPROCESS or DLG_BRIGHTNESS_SHOW_PREVIEW in the DlgFlags property, the LEADImage property must be assigned a Main Control containing a valid bitmap before calling this method.

The following property is associated with this dialog:

Change property

To include a Help button in the dialog, set the ShowHelpButton property to TRUE.

The Brightness dialog can be seen below:

See Also

Elements: | Intensity method , ShowHelpButton property, ZoomToFit Property, DlgFlags property, EnableMethodErrors property.
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


ShowColorDlg method (LEADDlgColor Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | int ShowColorDlg(TWinControl* AOwnerCtrl );
Delphi Syntax | Function ShowColorDlg (AOwnerCtrl: TWinControl ): L_INT;
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Displays the Color dialog box, which allows the user to pick a color.

The layout and action of the dialog depends on the flags set in the DlgFlags property. Possible options are:

Value | Meaning
DLG_COLOR_SHOW_CONTEXTHELP | [$00000001] Dialog should contain a context sensitive help icon.
DLG_COLOR_SHOW_OLDCOLOR | [$00000002] Dialog should contain the Old color in a static control.
DLG_COLOR_SHOW_NEWCOLOR | [$00000004] Dialog should contain the New color in a static control.
DLG_COLOR_SHOW_NAME | [$00000008] Dialog should contain the name in a static control.
DLG_COLOR_COLORSPACE_SHOW_HUE | [$00000010] Dialog should contain the HSB-Hue Based color space
DLG_COLOR_COLORSPACE_SHOW_BRIGHTNESS | [$00000020] Dialog should contain the HSB-Brightness Based color space
DLG_COLOR_COLORSPACE_SHOW_WHEEL | [$00000040] Dialog should contain the HSB-Wheel Based color space.
DLG_COLOR_COLORSPACE_SHOW_RGB | [$00000080] Dialog should contain the RGB-3D Additive color space.
DLG_COLOR_COLORSPACE_SHOW_CMY | [$00000100] Dialog should contain the CMY-3D Subtractive color space.
DLG_COLOR_COLORSPACE_SHOW_CMYK | [$00000200] Dialog should contain the CMYK-3D Subtractive color space.
DLG_COLOR_COLORSPACE_SHOW_LAB | [$00000400] Dialog should contain the LAB- Device Independent color space.
DLG_COLOR_COLORMODEL_SHOW_RGB | [$00000800] Dialog should contain the RGB color values display.
DLG_COLOR_COLORMODEL_SHOW_HSB | [$00001000] Dialog should contain the HSB color values display.
DLG_COLOR_COLORMODEL_SHOW_HLS | [$00002000] Dialog should contain the HLS color values display.
DLG_COLOR_COLORMODEL_SHOW_CMY | [$00004000] Dialog should contain the CMY color values display.
DLG_COLOR_COLORMODEL_SHOW_CMYK | [$00008000] Dialog should contain the CMYK color values display.
DLG_COLOR_COLORMODEL_SHOW_LAB | [$00010000] Dialog should display the LAB color values display.

The following properties are associated with this dialog:

SelectedColor property

ColorSpace property

ColorModel property

UserPaletteColors property

UserPaletteColorsCount property.

Note that when UserPaletteColors property contains valid colors, the dialog will display only the colors in this palette, no available color spaces will be displayed, and only color values from this palette can be selected.

To include a Help button in the dialog, set the ShowHelpButton property to TRUE.

The Color dialog can be seen below:

See Also

Elements: | SelectedColor property, ColorSpace property, ColorModel property, UserPaletteColors property, UserPaletteColorsCount property, ShowBalanceColorsDlg method, ShowColoredGrayDlg method, ShowGrayScaleDlg method, ShowRemapIntensityDlg method, ShowRemapHueDlg method, ShowCustomizePaletteDlg method, ShowLocalHistoEqualizeDlg method, ShowIntensityDetectDlg method, ShowSolarizeDlg method, ShowPosterizeDlg method, ShowBrightnessDlg method, ShowContrastDlg method, ShowHueDlg method, ShowSaturationDlg method, ShowGammaAdjustmentDlg method, ShowHalftoneDlg method, ShowColorResDlg method, ShowHistoContrastDlg method, ShowHelpButton property, ZoomToFit Property, DlgFlags property, EnableMethodErrors property.
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


ShowColoredGrayDlg method (LEADDlgColor Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | int ShowColoredGrayDlg(TWinControl* AOwnerCtrl);
Delphi Syntax | Function ShowColoredGrayDlg (AOwnerCtrl: TWinControl ): L_INT;
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Displays the ColoredGray dialog box and gets the options for the ConvertToColoredGray method .

The layout and action of the dialog depends on the flags set in the DlgFlags property. Possible options are:

Value | Meaning
DLG_COLOREDGRAY_AUTOPROCESS | [$00000001] Process the image on OK; The LEADImage property must be assigned a Main Control containing a valid bitmap before calling this method.
DLG_COLOREDGRAY_SHOW_CONTEXTHELP | [$00000002] Dialog should contain a context sensitive help icon.
DLG_COLOREDGRAY_SHOW_PREVIEW | [$00000004] Show a preview of the image in the dialog. The LEADImage property must be assigned a Main Control containing a valid bitmap before calling this method.
DLG_COLOREDGRAY_SHOW_TOOL_ZOOMLEVEL | [$00000008] Show the "Zoom to fit" and "Zoom Normal" toolbar buttons. The DLG_COLOREDGRAY_SHOW_PREVIEW flag must be set in order to show these buttons.

If you include DLG_COLOREDGRAY_AUTOPROCESS or DLG_COLOREDGRAY_SHOW_PREVIEW in the DlgFlags property, the LEADImage property must be assigned a Main Control containing a valid bitmap before calling this method.

The following properties are associated with this dialog:

RedFactor property

GreenFactor property

BlueFactor property

RedGrayFactor property

GreenGrayFactor property

BlueGrayFactor property.

To include a Help button in the dialog, set the ShowHelpButton property to TRUE.

The Colored Gray dialog can be seen below:

See Also

Elements: | ConvertToColoredGray method , RedFactor property, GreenFactor property, BlueFactor property, RedGrayFactor property, GreenGrayFactor property, BlueGrayFactor property, ShowHelpButton property, ZoomToFit Property, DlgFlags property, EnableMethodErrors property.
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


ShowColorResDlg method (LEADDlgColor Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | int ShowColorResDlg(TWinControl* AOwnerCtrl);
Delphi Syntax | Function ShowColorResDlg (AOwnerCtrl: TWinControl ): L_INT;
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Displays the Color Resolution dialog box, and gets the options for the ColorRes method.

The layout and action of the dialog depends on the flags set in the DlgFlags property. Possible options are:

Value | Meaning
DLG_COLORRES_AUTOPROCESS | [$00000001] Process the image on OK. The LEADImage property must be assigned a Main Control containing a valid bitmap before calling this method.
DLG_COLORRES_SHOW_CONTEXTHELP | [$00000002] Dialog should contain a context sensitive help icon.
DLG_COLORRES_SHOW_PREVIEW | [$00000004] Show a preview of the image in the dialog. The LEADImage property must be assigned a Main Control containing a valid bitmap before calling this method.
DLG_COLORRES_SHOW_TOOL_ZOOMLEVEL | [$00000008] Show the "Zoom to fit" and "Zoom Normal" toolbar buttons. The DLG_COLORRES_SHOW_PREVIEW flag must be set in order to show these buttons.
DLG_COLORRES_SHOW_ORDER | [$00000080] Show the color order in the dialog
DLG_COLORRES_SHOW_OPENPALFILE | [$00000100] Show the open palette button used to load LEAD palette files. LEAD palette files are created using the ShowCustomizePalette method.

If you include DLG_COLORRES_AUTOPROCESS or DLG_COLORRES_SHOW_PREVIEW in the DlgFlags property, the LEADImage property must be assigned a Main Control containing a valid bitmap before calling this method.

The following properties associated with this dialog:

BitsPerPixel property

PaletteFlags property

DitherFlags property

DlgFlagsEx property

UserPaletteColors property

UserPaletteColorsCount property.

To include a Help button in the dialog, set the ShowHelpButton property to TRUE.

The ColorRes dialog can be seen below:

See Also

Elements: | ColorRes method , ShowCustomizePaletteDlg method, BitsPerPixel property, PaletteFlags property, DitherFlags property, DlgFlagsEx property, ShowHelpButton property, ZoomToFit Property, DlgFlags property, EnableMethodErrors property.
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


ShowContrastDlg method (LEADDlgColor Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | int ShowContrastDlg(TWinControl* AOwnerCtrl );
Delphi Syntax | Function ShowContrastDlg (AOwnerCtrl: TWinControl ): L_INT;
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Displays the Contrast dialog box, and gets the options for the Contrast method.

The layout and action of the dialog depends on the flags set in the DlgFlags property. Possible options are:

Value | Meaning
DLG_CONTRAST_AUTOPROCESS | [$00000001] Process the image on OK. The LEADImage property must be assigned a Main Control containing a valid bitmap before calling this method.
DLG_CONTRAST_SHOW_CONTEXTHELP | [$00000002] Dialog should contain a context sensitive help icon.
DLG_CONTRAST_SHOW_PREVIEW | [$00000004] Show a preview of the image in the dialog. The LEADImage property must be assigned a Main Control containing a valid bitmap before calling this method.
DLG_CONTRAST_SHOW_TOOL_ZOOMLEVEL | [$00000008] Show the "Zoom to fit" and "Zoom Normal" toolbar buttons. The DLG_CONTRAST_SHOW_PREVIEW flag must be set in order to show these buttons.

If you include DLG_CONTRAST_AUTOPROCESS or DLG_CONTRAST_SHOW_PREVIEW in the DlgFlags property, the LEADImage property must be assigned a Main Control containing a valid bitmap before calling this method.

The following property is associated with this dialog:

Change property

To include a Help button in the dialog, set the ShowHelpButton property to TRUE.

The Contrast dialog can be seen below:

See Also

Elements: | Contrast method , ShowHelpButton property, ZoomToFit Property, DlgFlags property, EnableMethodErrors property.
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


ShowCustomizePaletteDlg method (LEADDlgColor Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | int ShowCustomizePaletteDlg(TWinControl* AOwnerCtrl);
Delphi Syntax | Function ShowCustomizePaletteDlg (AOwnerCtrl: TWinControl ): L_INT;
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Displays the Customize Palette dialog box. This dialog box allows you to create, save, load, or edit custom palettes.

The layout and action of the dialog depends on the flags set in the DlgFlags property. Possible options are:

Value | Meaning
DLG_CUSTOMIZEPALETTE_SHOW_CONTEXTHELP | [$00000001] Dialog should contain a context sensitive help icon.
DLG_CUSTOMIZEPALETTE_SHOW_SORT | [$00000002] Dialog should contain the Sort button.
DLG_CUSTOMIZEPALETTE_SHOW_FINDCLOSEST | [$00000004] Dialog should contain the Find Closest button.
DLG_CUSTOMIZEPALETTE_SHOW_ADDOPTION | [$00000008] Dialog should contain the Add Options button.
DLG_CUSTOMIZEPALETTE_SHOW_REMOVEOPTION | [$00000010] Dialog should contain the Remove Options button.
DLG_CUSTOMIZEPALETTE_SHOW_COLORMODEL | [$00000020] Dialog should contain the Color Model button.
DLG_CUSTOMIZEPALETTE_SHOW_RGBLEFTPAN | [$00000040] Dialog should contain the left pan RGB static control.
DLG_CUSTOMIZEPALETTE_SHOW_HTMLLEFTPAN | [$00000080] Dialog should contain the left pan HTML static control.
DLG_CUSTOMIZEPALETTE_SHOW_INDEXLEFTPAN | [$00000100] Dialog should contain the left pan Index static control.
DLG_CUSTOMIZEPALETTE_SHOW_RGBRIGHTPAN | [$00000200] Dialog should contain the right pan RGB static control.
DLG_CUSTOMIZEPALETTE_SHOW_HTMLRIGHTPAN | [$00000400] Dialog should contain the right pan HTML static control.
DLG_CUSTOMIZEPALETTE_SHOW_INDEXRIGHTPAN | [$00000800] Dialog should contain the right pan Index static control.
DLG_CUSTOMIZEPALETTE_SHOW_NEW | [$00001000] Dialog should contain the new button.
DLG_CUSTOMIZEPALETTE_SHOW_OPEN | [$00002000] Dialog should contain the open button.
DLG_CUSTOMIZEPALETTE_SHOW_SAVE | [$00004000] Dialog should contain the save button.
DLG_CUSTOMIZEPALETTE_SHOW_SAVEAS | [$00008000] Dialog should contain the save as button.
DLG_CUSTOMIZEPALETTE_GENERATE_PALETTE | [$00010000] Dialog should update the GeneratedPaletteColors property with the user created palette in the right pane, and the GeneratedPaletteColorsCount property with the number of valid colors in the GeneratedPaletteColors property..
DLG_CUSTOMIZEPALETTE_SHOW_APPLYPALETTEWHENEXIT | [$00020000] Dialog should contain the "Apply When Exit" check box, and the dialog will update the GeneratedPaletteColors property with the user created palette in the right pane, and the GeneratedPaletteColorsCount property with the number of valid colors in the GeneratedPaletteColors property. Notice that you can’t combine this flag with flag DLG_CUSTOMIZEPALETTE_GENERATE_PALETTE.

The following properties are associated with this dialog:

UserPaletteColors property

UserPaletteColorsCount property

GeneratedPaletteColors property

GeneratedPaletteColorsCount property

ApplyPaletteWhenExit property.

To include a Help button in the dialog, set the ShowHelpButton property to TRUE.

The Customize Palette dialog can be seen below:

This dialog has the following fields:

Palettes List:

The Palette List provides you with some standard palettes:

- System Colors This palette contains colors used by MS Windows when the screen mode is 256-colors.

- Netscape Palette This is the palette used by Netscape browsers.

- MSIE Palette This is the palette used by Microsoft Internet Explorer browsers.

- Gray Scale Palette This palette contains 256 shades of gray (such as the shades found in a "black & white" photograph).

- Standard VGA Palette This is the palette used by VGA monitors.

- Uniform Palette This palette contains a set of colors uniformly distributed across the set of all 16 million 24-bit colors.

If you pass a palette to the dialog the "Image Colors" item is added to the palette list to view the current colors in the passed palette.

Left Pane:

The Left Pane of the Customize Palette dialog displays the colors that you can add to your palette. This pane is not editable and it has two modes of display; it either displays lists of individual colors (palettes), or continuous colors based on a particular color model. When displaying palettes, you can select multiple individual colors using the <Ctrl> key, and a range of consecutive colors using the <Shift> key.

Right Pane:

The Right Pane of the Customize Palette displays the list of colors that you have chosen. (It is empty until you begin to choose colors). After selecting a single color or a group of colors in the left pane, you can add them to your list of chosen colors in the right pane by clicking the Add button or by dragging them into the right pane. You can re-arrange the colors in the right pane by clicking and dragging them to their new position, or by using one of the pre-defined sort methods listed in the Sort drop-down list box.

Color Value Display:

The RGB components and corresponding HTML form of the currently selected color are displayed at the bottom of the dialog.

Color Model Button:

The Color Model button will list the color models available for the left pane and can switch the display mode in the left pane.

Clicking this button will activate a menu with the following options:

- Palette. This option is the default. Choosing this option will activate the Palette drop-down list box and display the available colors in the Left Pane.

- HSB-Hue Based Choosing this option will open the HSB-Hue Based Model in the Left Pane.

- HSB-Wheel Based Choosing this option will open the HSB-Wheel Based Model in the Left Pane.

- HSB-Brightness Based Choosing this option will open the HSB-Brightness Based Model in the Left Pane.

- RGB-3D Additive Choosing this option will open the RGB-3D Additive Model in the Left Pane.

- CMY-3D Subtractive Choosing this option will open the CMY-3D Subtractive Model in the Left Pane.

- CMYK-3D Subtractive Choosing this option will open the CMYK-3D Subtractive Model in the Left Pane.

- Lab-Device Independent Choosing this option will open the Lab-Device Independent Model in the Left Pane.

Replace Button:

The Replace button replaces a number of selected items in the Right pane with the same number and order of selected items from the Left pane.

Add and Add Options:

The Add button adds an item or a group of items selected in the Left pane into the Right pane. Items can also be added from the Left pane to the Right pane by dragging them. Notice that the mouse cursor changes into a hand [image] when dragging item(s). If the cursor is not in a valid insert area, the cursor will turn into [image].

The Add Options button (the down arrow button to the right of the Add button) activates a menu that contains options indicating where those items should be added. The default is "At the end". The options included in this menu are as follows:

- At the End Add all insertions at the end of the list in the Right Pane.

- After Selected Add all insertions after the selected item. Notice that if no items are selected in the Right Pane the Add operation will fail and an error message will appear. This will also occur if more than one item is selected in the Right Pane.

- Before Selected Add all insertions before the selected item. Notice that if no items are selected in the Right Pane the Add operation will fail and an error message will appear. This will also occur if more than one item is selected in the Right Pane.

Note: If "After Selected" or "Before Selected" is chosen, the add operation will only be performed if there is exactly one item selected in the right pane.

"Add Options" is displayed only if the DLG_CUSTOMIZEPALETTE_SHOW_ADDOPTION flag is passed through the DlgFlags property.

Remove and Remove Options:

The Remove button removes the selected item(s) from the Right Pane. Items can also be removed by dragging them out of the Right Pane. Notice that the mouse cursor changes into [image] to indicate the item is about to be deleted.

The Remove Options button (the down arrow button to the right of the Remove button) activates a menu that allows you to set whether or not to be notified by a warning message when an item is about to be removed. The options included in this menu are as follows:

Confirm When this option is checked a confirmation message will appear whenever you remove an item.

Find Closest Button:

The Find Closest button highlights the item in the Right Pane that is the closest match to the item selected in the Left Pane. This button is displayed only if the DLG_CUSTOMIZEPALETTE_SHOW_FINDCLOSEST flag is passed through the DlgFlags property.

Sort:

The Sort button allows you to choose a method for sorting items in the right pane depending on their color components. Clicking the button will activate a menu with the following options:

- HSB Clicking this option will sort all items in the Right Pane according to their HSB color components.

- HUE Clicking this option will sort all items in the Right Pane according to the Hue value of their HSB color components.

- Saturation Clicking this option will sort all items in the Right Pane according to the Saturation value of their HSB color components.

- Brightness Clicking this option will sort all items in the Right Pane according to the Brightness value of their HSB color components.

- RGB Clicking this option will sort all items in the Right Pane according to their RGB color components.

- Reverse Clicking this option will invert the order of all items in the Right Pane.

Note: "Sort" is displayed only if DLG_CUSTOMIZEPALETTE_SHOW_SORT flag is passed through the DlgFlags property.

Apply When Exit Check box:

When you pass the DLG_CUSTOMIZEPALETTE_GENARATE_PALETTE flag, you can prompt the user to use the palette generated or not by using the DLG_CUSTOMIZEPALETTE_SHOW_APPLYPALETTEWHENEXIT flag which shows/hides the ‘Apply When Exit’ checkbox.

New:

Use the New button to empty the Right Pane. This button is displayed only if the DLG_CUSTOMIZEPALETTE_SHOW_NEW flag is passed through the DlgFlags property.

Open:

Use the Open button to open a previously saved palette file; palette files have the extension "ltp". This button is displayed only if the DLG_CUSTOMIZEPALETTE_SHOW_OPEN flag is passed through the DlgFlags property.

Save:

Use the Save button to save your palette. If you are starting a new file, the save command will prompt you for the file location and name. This button is displayed only if the DLG_CUSTOMIZEPALETTE_SHOW_SAVE flag is passed through the DlgFlags property.

Save as:

Use the Save as command to save a palette to a new filename. If you are starting a new file, the save command will prompt you for the file location and name. This button is displayed only if the DLG_CUSTOMIZEPALETTE_SHOW_SAVEAS flag is passed through the DlgFlags property.

Close:

Use the Close button to end the dialog. If there are changes unsaved on the Right Pane, a prompt message will appear.

See Also

Elements: | ShowColorResDlg method, ColorRes method , UserPaletteColors property, ApplyPaletteWhenExit property, UserPaletteColorsCount property, GeneratedPaletteColors property, GeneratedPaletteColorsCount property, ShowHelpButton property, ZoomToFit Property, DlgFlags property, EnableMethodErrors property.
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


ShowGammaAdjustmentDlg method (LEADDlgColor Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | int ShowGammaAdjustmentDlg(TWinControl* AOwnerCtrl );
Delphi Syntax | Function ShowGammaAdjustmentDlg (AOwnerCtrl: TWinControl ): L_INT;
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Displays the Gamma Adjustment dialog box and gets the options for the gamma correction methods.

The layout and action of the dialog depends on the flags set in the DlgFlags property. Possible options are:

Value | Meaning
DLG_GAMMAADJUSTMENT_AUTOPROCESS | [$00000001] Process the image on OK. The LEADImage property must be assigned a Main Control containing a valid bitmap before calling this method.
DLG_GAMMAADJUSTMENT_SHOW_CONTEXTHELP | [$00000002] Dialog should contain a context sensitive help icon.
DLG_GAMMAADJUSTMENT_SHOW_PREVIEW | [$00000004] Show a preview of the image in the dialog. The LEADImage property must be assigned a Main Control containing a valid bitmap before calling this method.
DLG_GAMMAADJUSTMENT_SHOW_TOOL_ZOOMLEVEL | [$00000008] Show the "Zoom to fit" and "Zoom Normal" toolbar buttons. The DLG_GAMMAADJUSTMENT_SHOW_PREVIEW flag must be set in order to show these buttons.
DLG_GAMMAADJUSTMENT_FORCELINKCHANNELS | [$00000010] Force the dialog to apply "Link \all channels" at all times.

If you include DLG_GAMMAADJUSTMENT_AUTOPROCESS or DLG_GAMMAADJUSTMENT_SHOW_PREVIEW in the DlgFlags property, the LEADImage property must be assigned a Main Control containing a valid bitmap before calling this method.

The following properties are associated with this dialog:

GammaRedValue property

GammaGreenValue property

GammaBlueValue property

GammaAllChannels property

To include a Help button in the dialog, set the ShowHelpButton property to TRUE.

The Gamma Adjustment dialog can be seen below:

See Also

Elements: | GammaCorrect method , GammaGreenvalue property, GammaBluevalue property, GammaAllChannels Property, ShowHelpButton property, ZoomToFit Property, DlgFlags property, EnableMethodErrors property.
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


ShowGrayScaleDlg method (LEADDlgColor Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | int ShowGrayScaleDlg(TWinControl* AOwnerCtrl);
Delphi Syntax | Function ShowGrayScaleDlg (AOwnerCtrl: TWinControl ): L_INT;
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Displays the Gray Scale dialog box, and gets the options for the GrayScaleExt method.

The layout and action of the dialog depends on the flags set in the DlgFlags property. Possible options are:

Value | Meaning
DLG_GRAYSCALE_AUTOPROCESS | [$00000001] Process the image on OK; The LEADImage property must be assigned a Main Control containing a valid bitmap before calling this method.
DLG_GRAYSCALE_SHOW_CONTEXTHELP | [$00000002] Dialog should contain a context sensitive help icon.
DLG_GRAYSCALE_SHOW_PREVIEW | [$00000004] Show a preview of the image in the dialog. The LEADImage property must be assigned a Main Control containing a valid bitmap before calling this method.
DLG_GRAYSCALE_SHOW_TOOL_ZOOMLEVEL | [$00000008] Show the "Zoom to fit" and "Zoom Normal" toolbar buttons. The DLG_GRAYSCALE_SHOW_PREVIEW flag must be set in order to show these buttons.

If you include DLG_GRAYSCALE_AUTOPROCESS or DLG_GRAYSCALE_SHOW_PREVIEW in the DlgFlags property, the LEADImage property must be assigned a Main Control containing a valid bitmap before calling this method.

The following properties are associated with this dialog

RedFactor property

GreenFactor property

BlueFactor property.

To include a Help button in the dialog, set the ShowHelpButton property to TRUE.

The Gray Scale dialog can be seen below:

See Also

Elements: | GrayScale method , RedFactor property, GreenFactor property, BlueFactor property, ShowHelpButton property, ZoomToFit Property, DlgFlags property, EnableMethodErrors property.
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


ShowHalftoneDlg method (LEADDlgColor Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | int ShowHalftoneDlg(TWinControl* AOwnerCtrl);
Delphi Syntax | Function ShowHalftoneDlg (AOwnerCtrl: TWinControl ): L_INT;
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Displays the Halftone dialog box, and gets the options for the HalfTone method.

The layout and action of the dialog depends on the flags set in the DlgFlags property. Possible options are:

Value | Meaning
DLG_HALFTONE_AUTOPROCESS | [$00000001] Process the image on OK. The LEADImage property must be assigned a Main Control containing a valid bitmap before calling this method.
DLG_HALFTONE_SHOW_CONTEXTHELP | [$00000002] Dialog should contain a context sensitive help icon.
DLG_HALFTONE_SHOW_PREVIEW | [$00000004] Show a preview of the image in the dialog. The LEADImage property must be assigned a Main Control containing a valid bitmap before calling this method.
DLG_HALFTONE_SHOW_TOOL_ZOOMLEVEL | [$00000008] Show the "Zoom to fit" and "Zoom Normal" toolbar buttons. The DLG_HALFTONE_SHOW_PREVIEW flag must be set in order to show these buttons.

If you include DLG_HALFTONE_AUTOPROCESS or DLG_HALFTONE_SHOW_PREVIEW in the DlgFlags property, the LEADImage property must be assigned a Main Control containing a valid bitmap before calling this method.

The following properties are associated with this dialog:

Dimension property

Angle property

HalftoneType property

To include a Help button in the dialog, set the ShowHelpButton property to TRUE.

The Halftone dialog can be seen below:

See Also

Elements: | HalfTone method , Angle property, Dimension property, HalftoneType property, ItemsCount property, ItemDescription property, ItemFileName property, ItemBitmap property, SelectedBitmapList property, ShowHelpButton property, ZoomToFit Property, DlgFlags property, EnableMethodErrors property.
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


ShowHistoContrastDlg method (LEADDlgColor Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | int ShowHistoContrastDlg(TWinControl* AOwnerCtrl );
Delphi Syntax | Function ShowHistoContrastDlg (AOwnerCtrl: TWinControl ): L_INT;
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Displays the HistoContrast dialog box, and gets the options for HistoContrast method .

The layout and action of the dialog depends on the flags set in the DlgFlags property. Possible options are:

Value | Meaning
DLG_HISTOCONTRAST_AUTOPROCESS | [$00000001] Process the image on OK. The LEADImage property must be assigned a Main Control containing a valid bitmap before calling this method.
DLG_HISTOCONTRAST_SHOW_CONTEXTHELP | [$00000002] Dialog should contain a context sensitive help icon.
DLG_HISTOCONTRAST_SHOW_PREVIEW | [$00000004] Show a preview of the image in the dialog. The LEADImage property must be assigned a Main Control containing a valid bitmap before calling this method.
DLG_HISTOCONTRAST_SHOW_TOOL_ZOOMLEVEL | [$00000008] Show the "Zoom to fit" and "Zoom Normal" toolbar buttons. The DLG_HISTOCONTRAST_SHOW_PREVIEW flag must be set in order to show these buttons.

If you include DLG_HISTOCONTRAST_AUTOPROCESS or DLG_HISTOCONTRAST_SHOW_PREVIEW in the DlgFlags property, the LEADImage property must be assigned a Main Control containing a valid bitmap before calling this method.

The following property is associated with this dialog:

Change property

To include a Help button in the dialog, set the ShowHelpButton property to TRUE.

The HistoContrast dialog can be seen below:

See Also

Elements: | HistoContrast method , ShowHelpButton property, ZoomToFit Property, DlgFlags property, EnableMethodErrors property.
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


ShowHueDlg method (LEADDlgColor Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | int ShowHueDlg(TWinControl* AOwnerCtrl );
Delphi Syntax | Function ShowHueDlg (AOwnerCtrl: TWinControl ): L_INT;
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Displays the Hue dialog box, and gets the options for the Hue Method.

The layout and action of the dialog depends on the flags set in the DlgFlags property. Possible options are:

Value | Meaning
DLG_HUE_AUTOPROCESS | [$00000001] Process the image on OK. The LEADImage property must be assigned a Main Control containing a valid bitmap before calling this method.
DLG_HUE_SHOW_CONTEXTHELP | [$00000002] Dialog should contain a context sensitive help icon.
DLG_HUE_SHOW_PREVIEW | [$00000004] Show a preview of the image in the dialog. The LEADImage property must be assigned a Main Control containing a valid bitmap before calling this method.
DLG_HUE_SHOW_TOOL_ZOOMLEVEL | [$00000008] Show the "Zoom to fit" and "Zoom Normal" toolbar buttons. The DLG_HUE_SHOW_PREVIEW flag must be set in order to show these buttons.

If you include DLG_HUE_AUTOPROCESS or DLG_HUE_SHOW_PREVIEW in the DlgFlags property, the LEADImage property must be assigned a Main Control containing a valid bitmap before calling this method.

The following property is associated with this dialog:

Angle property

To include a Help button in the dialog, set the ShowHelpButton property to TRUE.

The Hue dialog can be seen below:

See Also

Elements: | Hue Method , Angle property, ShowHelpButton property, ZoomToFit Property, DlgFlags property, EnableMethodErrors property.
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


ShowIntensityDetectDlg method (LEADDlgColor Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | int ShowIntensityDetectDlg(TWinControl* AOwnerCtrl);
Delphi Syntax | Function ShowIntensityDetectDlg (AOwnerCtrl: TWinControl ): L_INT;
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Displays the Intensity Detect dialog box, and gets the options for the IntensityDetect method .

The layout and action of the dialog depends on the flags set in the DlgFlags property. Possible options are:

Value | Meaning
DLG_INTENSITYDETECT_AUTOPROCESS | [$00000001] Process the image on OK. The LEADImage property must be assigned a Main Control containing a valid bitmap before calling this method.
DLG_INTENSITYDETECT_SHOW_CONTEXTHELP | [$00000002] Dialog should contain a context sensitive help icon.
DLG_INTENSITYDETECT_SHOW_PREVIEW | [$00000004] Show a preview of the image in the dialog. The LEADImage property must be assigned a Main Control containing a valid bitmap before calling this method.
DLG_INTENSITYDETECT_SHOW_TOOL_ZOOMLEVEL | [$00000008] Show the "Zoom to fit" and "Zoom Normal" toolbar buttons. The DLG_INTENSITYDETECT_SHOW_PREVIEW flag must be set in order to show these buttons.

If you include DLG_INTENSITYDETECT_AUTOPROCESS or DLG_INTENSITYDETECT_SHOW_PREVIEW in the DlgFlags property, the LEADImage property must be assigned a Main Control containing a valid bitmap before calling this method.

The following properties are associated with this dialog:

IntensityLow property

IntensityHigh property

To include a Help button in the dialog, set the ShowHelpButton property to TRUE.

The Intensity Detect dialog can be seen below:

See Also

Elements: | IntensityDetect method , IntensityLow property, IntensityHigh property, ShowHelpButton property, ZoomToFit Property, DlgFlags property, EnableMethodErrors property.
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


ShowLocalHistoEqualizeDlg method (LEADDlgColor Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | int ShowLocalHistoEqualizeDlg(TWinControl* AOwnerCtrl);
Delphi Syntax | Function ShowLocalHistoEqualizeDlg (AOwnerCtrl: TWinControl ): L_INT;
Overview | Refer to Using Imaging Common Dialogs.

Remarks

(Medical only) Displays the Local Histo Equalize dialog box, and gets the options for the LocalHistoEqualize method .

The layout and action of the dialog depends on the flags set in the DlgFlags property. Possible options are:

Value | Meaning
DLG_LOCALHISTOEQUALIZE_AUTOPROCESS | [$00000001] Process the image on OK. The LEADImage property must be assigned a Main Control containing a valid bitmap before calling this method.
DLG_LOCALHISTOEQUALIZE_SHOW_CONTEXTHELP | [$00000002] Dialog should contain a context sensitive help icon.
DLG_LOCALHISTOEQUALIZE_SHOW_PREVIEW | [$00000004] Show a preview of the image in the dialog. The LEADImage property must be assigned a Main Control containing a valid bitmap before calling this method.
DLG_LOCALHISTOEQUALIZE_SHOW_TOOL_ZOOMLEVEL | [$00000008] Show the "Zoom to fit" and "Zoom Normal" toolbar buttons. The DLG_LOCALHISTOEQUALIZE_SHOW_PREVIEW flag must be set in order to show these buttons.

If you include DLG_LOCALHISTOEQUALIZE_AUTOPROCESS or DLG_LOCALHISTOEQUALIZE_SHOW_PREVIEW in the DlgFlags property, the LEADImage property must be assigned a Main Control containing a valid bitmap before calling this method.

The following properties are associated with this dialog:

RectWidth property

RectHeight property

XExtension property

YExtension property

ColorSpace property

SmoothSize property.

To include a Help button in the dialog, set the ShowHelpButton property to TRUE.

The Local Histo Equalize dialog can be seen below:

See Also

Elements: | LocalHistoEqualize method , RectWidth property, RectHeight property, XExtension property, YExtension property, ColorSpace property, SmoothSize property, ShowHelpButton property, ZoomToFit Property, DlgFlags property, EnableMethodErrors property.
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


ShowPosterizeDlg method (LEADDlgColor Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | int ShowPosterizeDlg(TWinControl* AOwnerCtrl);
Delphi Syntax | Function ShowPosterizeDlg (AOwnerCtrl: TWinControl ): L_INT;
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Displays the Posterize dialog box, and gets the options for the Posterize method.

The layout and action of the dialog depends on the flags set in the DlgFlags property. Possible options are:

Value | Meaning
DLG_POSTERIZE_AUTOPROCESS | [$00000001] Process the image on OK. The LEADImage property must be assigned a Main Control containing a valid bitmap before calling this method.
DLG_POSTERIZE_SHOW_CONTEXTHELP | [$00000002] Dialog should contain a context sensitive help icon.
DLG_POSTERIZE_SHOW_PREVIEW | [$00000004] Show a preview of the image in the dialog. The LEADImage property must be assigned a Main Control containing a valid bitmap before calling this method.
DLG_POSTERIZE_SHOW_TOOL_ZOOMLEVEL | [$00000008] Show the "Zoom to fit" and "Zoom Normal" toolbar buttons. The DLG_POSTERIZE_SHOW_PREVIEW flag must be set in order to show these buttons.

If you include DLG_POSTERIZE_AUTOPROCESS or DLG_POSTERIZE_SHOW_PREVIEW in the DlgFlags property, the LEADImage property must be assigned a Main Control containing a valid bitmap before calling this method.

The following property is associated with this dialog:

Levels property

To include a Help button in the dialog, set the ShowHelpButton property to TRUE.

The Posterize dialog can be seen below:

See Also

Elements: | Posterize method , ShowHelpButton property, ZoomToFit Property, DlgFlags property, EnableMethodErrors property.
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


ShowRemapHueDlg method (LEADDlgColor Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | int ShowRemapHueDlg(TWinControl* AOwnerCtrl);
Delphi Syntax | Function ShowRemapHueDlg (AOwnerCtrl: TWinControl ): L_INT;
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Displays the Remap Hue dialog box, and gets the options for the RemapHue method.

The layout and action of the dialog depends on the flags set in the DlgFlags property. Possible options are:

Value | Meaning
DLG_REMAPHUE_AUTOPROCESS | [$00000001] Process the image on OK; The LEADImage property must be assigned a Main Control containing a valid bitmap to prior to calling this method.
DLG_REMAPHUE_SHOW_CONTEXTHELP | [$00000002] Dialog should contain a context sensitive help icon.
DLG_REMAPHUE_SHOW_PREVIEW | [$00000004] Show a preview of the image in the dialog. The LEADImage property must be assigned a Main Control containing a valid bitmap to prior to calling this method.
DLG_REMAPHUE_SHOW_TOOL_ZOOMLEVEL | [$00000008] Show the "Zoom to fit" and "Zoom Normal" toolbar buttons. The DLG_REMAPHUE_SHOW_PREVIEW flag must be set in order to show these buttons.

If you include DLG_REMAPHUE_AUTOPROCESS or DLG_REMAPHUE_SHOW_PREVIEW in the DlgFlags property, the LEADImage property must be assigned a Main Control containing a valid bitmap to prior to calling this method.

The following properties are associated with this dialog:

RemapHueMaskTable property

RemapHueHTable property

RemapHueSTable property

RemapHueVTable property

RemapHueTableSize property.

To include a Help button in the dialog, set the ShowHelpButton property to TRUE.

The Remap Hue dialog can be seen below:

This dialog has the following fields:

Channel Drop-down list box:

Use this to select the channel to remap. There are three choices:

- Hue: remaps the Hue channel, for the values within the mask range.

- Saturation: remaps the Saturation channel, for the values within the mask range.

- Value: remaps the Value channel, for the values within the mask range.

Curve Mode Drop-down list box:

Use this to select the curve mode to use when remapping. There are four choices:

- [image] Curve: remaps the selected channel using curve data.

- [image] Linear: remaps the selected channel using linear data.

- [image] Exponential: remaps the selected channel using exponential data, which is affected by the Factor value.

- [image] Logarithm: remaps the selected channel using logarithmic data, which is affected by the Factor value.

Factor Edit box:

Use this to set the factor of the Exponential/Logarithm curve. Enter the value directly in the edit box or use the arrows to set the desired value.

Flip Buttons:

Use these buttons to flip the curve if the Curve Mode is either Curve or Linear. The following options are available:

- [image] Both. Flip the curve vertically and horizontally.

- [image] Vertically. Flip the curve vertically.

- [image] Horizontally. Flip the curve horizontally.

Mask Multi-Slider:

Use the Mask Multi-slider Control to specify the range of values for which to apply the changes specified by the channel, the Curve mode and the factor. The first marker from the left is the minimum value of the range, and the second is the maximum value.

Reset Button:

Use the Reset button to set the curve of the current channel to the default values.

Reset All Button:

Use the Reset All button to set the curve for all the channels to default values.

Load Button:

Use the Load button to load an "*.lrh" file that contains Remap Hue curve settings, using the Load dialog. The loaded file will set a new curve for each channel.

Note: Loading curve settings will overwrite all current settings for all channels!

Save Button:

Use the Save button to save all the curve settings for all the channels into an "*.lrh" file. This allows you set the same curve settings for other images by re-loading the file.

See Also

Elements: | RemapHue method , RemapHueMaskTable property, RemapHueHTable property, RemapHueSTable property, RemapHueVTable property, RemapHueTableSize property, ShowHelpButton property, ZoomToFit Property, DlgFlags property, EnableMethodErrors property.
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


ShowRemapIntensityDlg method (LEADDlgColor Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | int ShowRemapIntensityDlg(TWinControl* AOwnerCtrl);
Delphi Syntax | Function ShowRemapIntensityDlg (AOwnerCtrl: TWinControl ): L_INT;
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Displays the Remap Intensity dialog box, and gets the options for the RemapIntensity method .

The layout and action of the dialog depends on the flags set in the DlgFlags property. Possible options are:

Value | Meaning
DLG_REMAPINTENSITY_AUTOPROCESS | [$00000001] Process the image on OK; The LEADImage property must be assigned a Main Control containing a valid bitmap before calling this method.
DLG_REMAPINTENSITY_SHOW_CONTEXTHELP | [$00000002] Dialog should contain a context sensitive help icon.
DLG_REMAPINTENSITY_SHOW_PREVIEW | [$00000004] Show a preview of the image in the dialog. The LEADImage property must be assigned a Main Control containing a valid bitmap before calling this method.
DLG_REMAPINTENSITY_SHOW_TOOL_ZOOMLEVEL | [$00000008] Show the "Zoom to fit" and "Zoom Normal" toolbar buttons. The DLG_REMAPINTENSITY_SHOW_PREVIEW flag must be set in order to show these buttons.

If you include DLG_REMAPINTENSITY_AUTOPROCESS or DLG_REMAPINTENSITY_SHOW_PREVIEW in the DlgFlags property, the LEADImage property must be assigned a Main Control containing a valid bitmap before calling this method.

The following properties are associated with this dialog:

Channel property

RemapIntensityTable property

RemapIntensityTableSize property.

To include a Help button in the dialog, set the ShowHelpButton property to TRUE.

The Remap Intensity dialog can be seen below:

This dialog has the following fields:

Channel Drop-down list box:

Use this to select the channel to remap. There are four choices:

- RGB: remap all channels.

- Red: remap the red channel.

- Green: remap the green channel.

- Blue: remap the blue channel.

Curve Mode Drop-down list box:

Use this to select the curve mode to use when remapping. There are four choices:

- [image] Curve: remaps the selected channel using curve data.

- [image] Linear: remaps the selected channel using linear data.

- [image] Exponential: remaps the selected channel using exponential data, which is affected by the Factor value.

- [image] Logarithm: remaps the selected channel using logarithmic data, which is affected by the Factor value.

Factor Edit box:

Use this to set the factor of the Exponential/Logarithm curve. Enter the value directly in the edit box or use the arrows to set the desired value.

Flip Buttons:

Use these buttons to flip the curve if the Curve Mode is either Curve or Linear. The following options are available:

- [image] Both. Flip the curve vertically and horizontally.

- [image] Vertically. Flip the curve vertically.

- [image] Horizontally. Flip the curve horizontally.

Reset Button:

Use the Reset button to set the curve of the current channel to default values.

Reset All Button:

Use the Reset All button to set the curve for all the channels to default values.

Load Button:

Use the Load button to load an "*.lri" file that contains Remap Intensity curve settings, using the Load dialog. The loaded file will set a new curve for each channel.

Note: Loading curve settings will overwrite all current settings for all channels!

Save Button:

Use the Save button to save all the curve settings for all the channels into an "*.lri" file. This allows you set the same curve settings for other images by re-loading the file.

See Also

Elements: | RemapIntensity method , Channel property, RemapIntensityTable property, RemapIntensityTableSize property, ShowHelpButton property, ZoomToFit Property, DlgFlags property, EnableMethodErrors property.
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


ShowSaturationDlg method (LEADDlgColor Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | int ShowSaturationDlg(TWinControl* AOwnerCtrl);
Delphi Syntax | Function ShowSaturationDlg (AOwnerCtrl: TWinControl ): L_INT;
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Displays the Saturation dialog box, and gets the options for the Saturation method .

The layout and action of the dialog depends on the flags set in the DlgFlags property. Possible options are:

Value | Meaning
DLG_SATURATION_AUTOPROCESS | [$00000001] Process the image on OK. The LEADImage property must be assigned a Main Control containing a valid bitmap before calling this method.
DLG_SATURATION_SHOW_CONTEXTHELP | [$00000002] Dialog should contain a context sensitive help icon.
DLG_SATURATION_SHOW_PREVIEW | [$00000004] Show a preview of the image in the dialog. The LEADImage property must be assigned a Main Control containing a valid bitmap before calling this method.
DLG_SATURATION_SHOW_TOOL_ZOOMLEVEL | [$00000008] Show the "Zoom to fit" and "Zoom Normal" toolbar buttons. The DLG_SATURATION_SHOW_PREVIEW flag must be set in order to show these buttons.

If you include DLG_SATURATION_AUTOPROCESS or DLG_SATURATION_SHOW_PREVIEW in the DlgFlags property, the LEADImage property must be assigned a Main Control containing a valid bitmap before calling this method.

The following property is associated with this dialog:

Change property

To include a Help button in the dialog, set the ShowHelpButton property to TRUE.

The Saturation dialog can be seen below:

See Also

Elements: | Saturation method , ShowHelpButton property, ZoomToFit Property, DlgFlags property, EnableMethodErrors property.
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


ShowSolarizeDlg method (LEADDlgColor Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | int ShowSolarizeDlg(TWinControl* AOwnerCtrl);
Delphi Syntax | Function ShowSolarizeDlg (AOwnerCtrl: TWinControl ): L_INT;
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Displays the Solarize dialog box, and gets the options for the Solarize method .

The layout and action of the dialog depends on the flags set in the DlgFlags property. Possible options are:

Value | Meaning
DLG_SOLARIZE_AUTOPROCESS | [$00000001] Process the image on OK. The LEADImage property must be assigned a Main Control containing a valid bitmap before calling this method.
DLG_SOLARIZE_SHOW_CONTEXTHELP | [$00000002] Dialog should contain a context sensitive help icon.
DLG_SOLARIZE_SHOW_PREVIEW | [$00000004] Show a preview of the image in the dialog. The LEADImage property must be assigned a Main Control containing a valid bitmap before calling this method.
DLG_SOLARIZE_SHOW_TOOL_ZOOMLEVEL | [$00000008] Show the "Zoom to fit" and "Zoom Normal" toolbar buttons. The DLG_SOLARIZE_SHOW_PREVIEW flag must be set in order to show these buttons.

If you include DLG_SOLARIZE_AUTOPROCESS or DLG_SOLARIZE_SHOW_PREVIEW in the DlgFlags property, the LEADImage property must be assigned a Main Control containing a valid bitmap before calling this method.

The following property is associated with this dialog:

Thresold property.

To include a Help button in the dialog, set the ShowHelpButton property to TRUE.

The Solarize dialog can be seen below:

See Also

Elements: | Solarize method , Threshold property, ShowHelpButton property, ZoomToFit Property, DlgFlags property, EnableMethodErrors property.
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


ShowWindowLevelDlg method (LEADDlgColor Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | int ShowWindowLevelDlg (TWinControl* AOwnerCtrl );
Delphi Syntax | Function ShowWindowLevelDlg (AOwnerCtrl: TWinControl ): L_INT;
Overview | Refer to Using Imaging Common Dialogs.

Remarks

(Medical only) Displays the WindowLevel dialog box, and gets the options for the WindowLevel method .

The layout and action of the dialog depends on the flags set in the DlgFlags property. Possible options are:

Value | Meaning
DLG_WINDOWLEVEL_AUTOPROCESS | [$00000001] [0x00000001] Process the image on OK. The LEADImage property must be assigned a Main Control containing a valid bitmap before calling this method.
DLG_WINDOWLEVEL_SHOW_CONTEXTHELP | [$00000002] Dialog should contain a context sensitive help icon.
DLG_WINDOWLEVEL_SHOW_PREVIEW | [$00000004] Show a preview of the image in the dialog. The LEADImage property must be assigned a Main Control containing a valid bitmap before calling this method.
DLG_WINDOWLEVEL_SHOW_TOOL_ZOOMLEVEL | [$00000008] Show the "Zoom to fit" and "Zoom Normal" toolbar buttons. The DLG_HUE_SHOW_PREVIEW flag must be set in order to show these buttons.
DLG_WINDOWLEVEL_SHOW_RANGE | [$00000010] Show the Range combo in the dialog.

An image is required for this dialog. Therefore, the LEADImage property must be assigned a Main Control containing a valid bitmap before calling this method.

There are some properties are associated with this dialog:

WindowLevelLUTLength property.

WindowLevelLUT property.

WindowLevelLowBit property.

WindowLevelHighBit property.

WindowLevelLow property.

WindowLevelHigh property.

WindowLevelStartColor property.

WindowLevelEndColor property.

WindowLevelFactor property.

WindowLevelFlags property.

To include a Help button in the dialog, set the ShowHelpButton property to TRUE.

Note:

This dialog only works for 12 or 16 bit grayscale images. Trying to use this dialog with other images will result in an error.

The WindowLevel dialog can be seen below:

See Also

Elements: | WindowLevel method , WindowLevelLUTLength property, WindowLevelLUT property, WindowLevelLowBit property, WindowLevelHighBit property, WindowLevelLow property, WindowLevelHigh property, WindowLevelStartColor property, WindowLevelEndColor property, WindowLevelFactor property, WindowLevelFlags property, ShowHelpButton property, ZoomToFit Property, DlgFlags property, EnableMethodErrors property.
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


OnDlgHelp Event (LEADDlgColor Control)

C++ Builder example Delphi 4.0 example

Builder Syntax void OnDlgHelp (unsigned uDialogID);

Delphi Syntax procedure OnDlgHelp (uDialogID: L_UINT32);

Overview Refer to Using Imaging Common Dialogs.

Remarks

The OnDlgHelp event is triggered when the user clicks on the Help Button on any dialog. To include a help button in a dialog, the ShowHelpButton property must be set to TRUE.

See Also

Elements: ShowHelpButton property

Topics: Imaging Common Dialogs: Properties, Methods, and Events


BackColor property (LEADDlgEffect Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | COLORRES BackColor
Delphi Syntax | BackColor: COLORREF
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets the background color.

This property is associated with the following dialog boxes:

GetShape dialog box | In this case it represents the shape's background color.
GetTransition dialog box | In this case if the transition is a pattern, this property gets or sets the pattern's background color. If the transition is a gradient, this property gets or sets the GradientStartColor.

See Also

Elements: | ShowGetShapeDlg method, ShowGetTransitionDlg method, DlgFlags property.
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


Delay property (LEADDlgEffect Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | L_UINT Delay
Delphi Syntax | Delay: L_UINT
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets the effect delay, in milliseconds, in the GetEffect and GetTransition dialog boxes.

See Also

Elements: | ShowGetEffectDlg method, ShowGetTransitionDlg method, DlgFlags property.
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


DlgFlags property (LEADDlgEffect Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | L_UINT32 DlgFlags
Delphi Syntax | DlgFlags: L_UINT32
Overview | Refer to Using Imaging Common Dialogs.

Remarks

General property used by all the Imaging Common Dialog methods. The options set in this property determine the layout and action of the dialog boxes. The options available for each method depend on and are listed with each method.

See Also

Elements: | ShowGetShapeDlg method, ShowGetEffectDlg method, ShowGetTransitionDlg method, ShowGetGradientDlg method, ShowGetTextDlg method.
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


Effect property (LEADDlgEffect Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | L_UINT Effect
Delphi Syntax | Effect: L_UINT
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets the effect (PaintEffect or TransitionEffect) in the GetEffect and GetTransition dialog boxes. For a list of available effects, refer to Effects .

See Also

Elements: | ShowGetEffectDlg method, ShowGetTransitionDlg method, DlgFlags property.
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


EnableMethodErrors property (LEADDlgEffect Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | bool EnableMethodErrors
Delphi Syntax | EnableMethodErrors: Boolean
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Specifies whether LEADTOOLS generates runtime exceptions (in addition to method return values). Possible values are:

Setting | Description
TRUE | Generate system error events.
FALSE | Do not generate system error events.

See Also

Elements: | ShowGetShapeDlg method, ShowGetEffectDlg method, ShowGetTransitionDlg method, ShowGetGradientDlg method, ShowGetTextDlg method.
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


EndColor property (LEADDlgEffect Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | COLORREF EndColor
Delphi Syntax | EndColor: COLORREF
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets the ending color of the gradient in the Gradient dialog box.

See Also

Elements: | ShowGetGradientDlg method, DlgFlags property.
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


ErrorMsg property (LEADDlgEffect Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | AnsiString ErrorMsg
Delphi Syntax | ErrorMsg: String
Overview | Refer to Using Imaging Common Dialogs.

Remarks

(Read only) Gets a string that contains the description of the error resulting from the last Common Dialog method called or property set.

See Also

Elements: | EnableMethodErrors property, Error property
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


Error property (LEADDlgEffect Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | int Error
Delphi Syntax | Error: L_INT
Overview | Refer to Using Imaging Common Dialogs.

Remarks

(Read only) Gets the error code resulting from the last Common Dialog method called or property set. If the last operation performed was successful, the value is SUCCESS or SUCCESS_DLG_OK.

For a list of error codes, refer to Error Codes.

See Also

Elements: | EnableMethodErrors property, ErrorMsg property
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


ForeColor property (LEADDlgEffect Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | COLORRES ForeColor
Delphi Syntax | ForeColor: COLORREF
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets the foreground color.

This property is associated with the following dialog boxes:

GetShape dialog box | In this case it represents the shape's foreground color.
GetTransition dialog box | In this case if the transition is a pattern, this property gets or sets the pattern's ForeColor. If the transition is a gradient, this property gets or sets the GradientEndColor.

See Also

Elements: | ShowGetShapeDlg method, ShowGetTransitionDlg method, DlgFlags property.
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


GradientSteps property (LEADDlgEffect Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | L_UINT GradientSteps
Delphi Syntax | GradientSteps: L_UINT
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets the number of steps in the gradient in the Gradient dialog box.

This property is also used if the DLG_TRANSITION_GRADIENT flag is included in the DlgFlags property in the Transition dialog.

See Also

Elements: | ShowGetGradientDlg method, DlgFlags property.
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


GradientStyle property (LEADDlgEffect Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | L_UINT GradientStyle
Delphi Syntax | GradientStyle: L_UINT
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets the gradient style in the Gradient dialog box. For a list of available gradients, refer to Gradients .

This property is also used if the DLG_TRANSITION_GRADIENT flag is included in the DlgFlags property when the Transition dialog is displayed.

See Also

Elements: | ShowGetGradientDlg method, DlgFlags property.
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


Grain property (LEADDlgEffect Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | L_UINT Grain
Delphi Syntax | Grain: L_UINT
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets the size of the grain in the GetEffect and GetTransition dialog boxes.

See Also

Elements: | ShowGetEffectDlg method, ShowGetTransitionDlg method, DlgFlags property.
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


LEADDlgService property (LEADDlgEffect Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | TLEADDlgService* LEADDlgService
Delphi Syntax | LEADDlgService: TLEADDlgService
Overview | Refer to Using Imaging Common Dialogs.

Remarks

A general property used by all the control dialogs; it is a LEAD Dialog Service Control. To apply the font set in the DialogsFont property to the dialogs of this control, set this property for the Dialog Service Control that has the font you want to apply.

See Also

Elements: | LEADImage property.
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


LEADImage property (LEADDlgEffect Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | TLEADImage* LEADImage
Delphi Syntax | LEADImage: TLEADImage
Overview | Refer to Using Imaging Common Dialogs.

Remarks

A general property used by most of the control dialogs; it is a LEAD Main Control. For any Common Dialog method in which the AUTOPROCESS or SHOWPREVIEW flags are set in the DlgFlags property, you must assign a Main Control to the LEADImage property. This causes the Main Control's bitmap to be referenced in the Dialog Control methods and a copy is NOT created.

See Also

Elements: | LEADDlgService Property.
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


MaxPass property (LEADDlgEffect Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | L_UINT MaxPass
Delphi Syntax | MaxPass: L_UINT
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets the maximum number of passes in the GetEffect and GetTransition dialog boxes.

See Also

Elements: | ShowGetEffectDlg method, ShowGetTransitionDlg method, DlgFlags property.
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


PatternStyle property (LEADDlgEffect Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | TPatternStyle PatternStyle
Delphi Syntax | PatternStyle: TPatternStyle
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets the transition fill pattern style in the Transition dialog box, when the TransitionStyle property is set to etsPattern.

For a list of possible pattern styles, refer to PatternStyles . However, transparency (epsTransparent) is not an option for transitions. Therefore, it is not possible to set the PatternStyle property to epsTransparent.

See Also

Elements: | ShowGetTransitionDlg method, DlgFlags property.
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


SampleText property (LEADDlgEffect Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | AnsiString SampleText
Delphi Syntax | SampleText: String
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets the actual text in the Text dialog box.

See Also

Elements: | ShowGetTextDlg method, DlgFlags property.
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


ShadowColor property (LEADDlgEffect Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | L_INT ShadowColor
Delphi Syntax | ShadowColor: L_INT
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets the shadow color for the shape in the Shape dialog box.

See Also

Elements: | ShowGetShapeDlg method, ShowGetTextDlg method, DlgFlags property.
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


ShadowXDepth property (LEADDlgEffect Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | L_INT ShadowXDepth
Delphi Syntax | ShadowXDepth: L_INT
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets the horizontal position of the shadow for the shape in the Shape dialog box.

See Also

Elements: | ShowGetShapeDlg method, ShowGetTextDlg method, DlgFlags property.
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


ShadowYDepth property (LEADDlgEffect Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | L_INT ShadowYDepth
Delphi Syntax | ShadowYDepth: L_INT
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets the vertical position of the shadow for the shape in the Shape dialog box.

See Also

Elements: | ShowGetShapeDlg method, ShowGetTextDlg method, DlgFlags property.
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


Shape property (LEADDlgEffect Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | L_UINT Shape
Delphi Syntax | Shape: L_UINT
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets the shape in the Shape dialog box.

For a list of available shapes, refer to Shapes .

See Also

Elements: | ShowGetShapeDlg method, DlgFlags property.
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


ShapeBackgroundBitmap property (LEADDlgEffect Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | TBitmapHandle ShapeBackgroundBitmap
Delphi Syntax | ShapeBackgroundBitmap: TBitmapHandle
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets a handle to a LEAD bitmap that references the background bitmap in the Shape dialog box.

Fill this property with a valid bitmap to be used for the background of the previewed shape when DLG_SHAPE_SHOW_PREVIEW is set in the DlgFlags property.

This property is automatically filled if DLG_SHAPE_BROWSEIMAGE is set in the DlgFlags property and the user picks an image to use as the ShapeBackgroundBitmap.

To free the memory used by this bitmap, assign a value of 0.

If you set this property from a Main Control, a copy of the image will be made.

See Also

Elements: | ShowGetShapeDlg method, DlgFlags property.
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


ShapeBackgroundStyle property (LEADDlgEffect Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | TShapeBackStyle ShapeBackgroundStyle
Delphi Syntax | ShapeBackgroundStyle: TShapeBackStyle
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets the background style for the shape property in the Shape dialog box. Possible values are:

Value | Meaning
sbsTransparent | The background is transparent
sbsOpaque | The background is opaque
sbsTranslucent | The background is translucent
sbsTiledImage | The background is a tiled image
sbsTranslucentTiledImage | The background is a translucent tiled image
sbsGradient | The background is a gradient color
sbsTranslucentGradient | The background is a translucent gradient color

See Also

Elements: | ShowGetShapeDlg method, DlgFlags property
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


ShapeBorderColor property (LEADDlgEffect Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | COLORRES ShapeBorderColor
Delphi Syntax | ShapeBorderColor: COLORREF
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets the border color for the shape in the Shape dialog box.

See Also

Elements: | ShowGetShapeDlg method, DlgFlags property.
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


ShapeBorderStyle property (LEADDlgEffect Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | TShapeBorderStyle ShapeBorderStyle
Delphi Syntax | ShapeBorderStyle: TShapeBorderStyle
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets the border style for the shape in the Shape dialog box. Possible values are:

Value | Meaning
sbrTransparent | Transparent
sbrSolid | Solid line
sbrDash | Dash line (valid only for 1-pixel lines)
sbrDot | Dotted line (valid only for 1-pixel lines)
sbrDashDot | Dash dot line (valid only for 1-pixel lines)
sbrDashDotDot | Dash dot dot line (valid only for 1-pixel lines)

See Also

Elements: | ShowGetShapeDlg method, DlgFlags property.
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


ShapeBorderThickness property (LEADDlgEffect Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | L_UINT ShapeBorderThickness
Delphi Syntax | ShapeBorderThickness: L_UINT
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets the border thickness of the shape in the Shape dialog box.

See Also

Elements: | ShowGetShapeDlg method, DlgFlags property.
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


ShapeFillStyle property (LEADDlgEffect Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | TPatternStyle ShapeFillStyle
Delphi Syntax | ShapeFillStyle: TPatternStyle
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets the fill style of the shape in the Shape dialog box.

For a list of available fill styles, refer to PatternStyles .

See Also

Elements: | ShowGetShapeDlg method, DlgFlags property.
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


ShapeInnerBandHiliteColor property (LEADDlgEffect Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | COLORREF ShapeInnerBandHiliteColor
Delphi Syntax | ShapeInnerBandHiliteColor: COLORREF
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets the inner band highlight color for the shape in the Shape dialog box.

See Also

Elements: | ShowGetShapeDlg method, DlgFlags property.
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


ShapeInnerBandShadowColor property (LEADDlgEffect Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | COLORREF ShapeInnerBandShadowColor
Delphi Syntax | ShapeInnerBandShadowColor: COLORREF
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets the inner band shadow color for the shape in the Shape dialog box.

See Also

Elements: | ShowGetShapeDlg method, DlgFlags property.
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


ShapeInnerBandStyle property (LEADDlgEffect Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | TShapeInnerBandStyle ShapeInnerBandStyle
Delphi Syntax | ShapeInnerBandStyle: TShapeInnerBandStyle
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets the inner band style for the shape in the Shape dialog box. Possible values are:

Value | Meaning
sibNone | No inner band
sibInset | Inner band inset
sibRaised | Inner band raised

See Also

Elements: | ShowGetShapeDlg method, DlgFlags property.
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


ShapeInnerBandThickness property (LEADDlgEffect Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | L_UINT ShapeInnerBandThickness
Delphi Syntax | ShapeInnerBandThickness: L_UINT
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets the thickness of the inner band for the shape in the Shape dialog box.

See Also

Elements: | ShowGetShapeDlg method, DlgFlags property.
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


ShapeOuterBandHiliteColor property (LEADDlgEffect Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | COLORREF ShapeOuterBandHiliteColor
Delphi Syntax | ShapeOuterBandHiliteColor: COLORREF
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets the outer band highlight color of the shape in the Shape dialog box.

See Also

Elements: | ShowGetShapeDlg method, DlgFlags property.
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


ShapeOuterBandShadowColor property (LEADDlgEffect Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | COLORREF ShapeOuterBandShadowColor
Delphi Syntax | ShapeOuterBandShadowColor: COLORREF
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets the outer band shadow color for the shape in the Shape dialog box.

See Also

Elements: | ShowGetShapeDlg method, DlgFlags property.
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


ShapeOuterBandStyle property (LEADDlgEffect Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | TShapeOuterBandStyle ShapeOuterBandStyle
Delphi Syntax | ShapeOuterBandStyle: TShapeOuterBandStyle
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets the outer band style of the shape in the Shape dialog box. Possible values are:

Value | Meaning
sobNone | No outer band
sobInset | Outer band inset
sobRaised | Outer band raised

See Also

Elements: | ShowGetShapeDlg method, DlgFlags property.
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


ShapeOuterBandThickness property (LEADDlgEffect Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | L_UINT ShapeOuterBandThickness
Delphi Syntax | ShapeOuterBandThickness: L_UINT
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets the thickness of the outer band of the shape in the Shape dialog box.

See Also

Elements: | ShowGetShapeDlg method, DlgFlags property.
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


ShowHelpButton property (LEADDlgEffect Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | bool ShowHelpButton
Delphi Syntax | ShowHelpButton: Boolean
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Used by all the control dialogs. It determines if a Help button will be displayed in the dialog. Possible values are:

Setting | Description
TRUE | Help Button will be displayed.
FALSE | Help Button will not be displayed and the OnDlgHelp Event will not be available for the dialogs.

See Also

Elements: | OnDlgHelp Event.
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


StartColor property (LEADDlgEffect Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | COLORREF StartColor
Delphi Syntax | StartColor: COLORREF
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets the starting color of the gradient in the Gradient dialog box.

See Also

Elements: | ShowGetGradientDlg method, DlgFlags property.
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


TextAlign property (LEADDlgEffect Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | TTextAlign TextAlign
Delphi Syntax | TextAlign: TTextAlign
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets a value that indicates the alignment of the text in the Text dialog box. Possible values are:

Value | Meaning
etaLeftTop | Left, top
etaLeftVcenter | Left, vertical center
etaLeftBottom | Left, bottom
etaHcenterTop | Top, horizontal center
etaHcenterVcenter | Vertical and horizontal center
etaHcenterBottom | Bottom, horizontal center
etaRightTop | Right, top
etaRightVcenter | Right, vertical center
etaRightBottom | Right, bottom

See Also

Elements: | ShowGetTextDlg method, DlgFlags property.
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


TextAngle property (LEADDlgEffect Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | L_INT TextAngle
Delphi Syntax | TextAngle: L_INT
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets the rotation angle for the text, in tenths of a degree in the Text dialog box.

See Also

Elements: | ShowGetTextDlg method, DlgFlags property.
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


TextFont property (LEADDlgEffect Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | TFont*TextFont
Delphi Syntax | TextFont: TFont
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets the font in the Text dialog box.

You can set the Font object's properties at design time by double-clicking the Common Dialog Control's Font property in the Object Inspector. These properties can also be set at run time. For example:

LEADDlgEffect1.Font.Name = 'Arial'

For a list of the Font object properties, refer to Delphi or C++ Builder documentation.

See Also

Elements: | ShowGetTextDlg method, DlgFlags property.
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


TextForegroundBitmap property (LEADDlgEffect Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | TBitmapHandle TextForegroundBitmap
Delphi Syntax | TextForegroundBitmap: TBitmapHandle
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets the bitmap to be used for the foreground of the text in the Text dialog box. This bitmap will be updated if the user chooses a new image using the Browse Image button. (DLG_TEXT_BROWSEIMAGE is set in the DlgFlags property.)

Fill this property with a valid bitmap to be used for the foreground of the previewed text when DLG_TEXT_SHOW_PREVIEW is set in the DlgFlags property.

To free the memory used by this bitmap, assign a value of 0.

If this property is set from a Main Control, a copy of the image will be made.

See Also

Elements: | ShowGetTextDlg method, DlgFlags property.
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


TextHiliteColor property (LEADDlgEffect Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | COLORREF TextHiliteColor
Delphi Syntax | TextHiliteColor: COLORREF
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets the highlight color for the text in the Text dialog box.

See Also

Elements: | ShowGetTextDlg method, DlgFlags property.
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


TextStyle property (LEADDlgEffect Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | TTextStyle TextStyle
Delphi Syntax | TextStyle: TTextStyle
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets the style of the text in Text dialog box. Possible values are:

Value | Meaning
etsNormal | No three-dimensional effect
etsInsetLight | Inset light text
etsInsetExtraLight | Inset extra light text
etsInsetHeavy | Inset heavy text
etsInsetExtraHeavy | Inset extra heavy text
etsRaisedLight | Raised light text
etsRaisedHeavy | Raised heavy text
etsDropShadow | Drop shadow text
etsBlockShadow | Block shadow text
etsOutLineBlock | Outline block text
etsRaisedExtraHeavy | Raised extra heavy text
etsRaisedExtraLight | Raised extra light text

See Also

Elements: | ShowGetTextDlg method, DlgFlags property.
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


TextUseForegroundImage property (LEADDlgEffect Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | bool TextUseForegroundImage
Delphi Syntax | TextUseForegroundImage: Boolean
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets a value that indicates whether the TextUseForegroundImage checkbox was checked in the Text dialog box. Possible values are:

Value | Meaning
TRUE | The TextUseForegroundImage check box was checked.
FALSE | The TextUseForegroundImage check box wasn’t checked.

See Also

Elements: | ShowGetTextDlg method, DlgFlags property.
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


TextWordWrap property (LEADDlgEffect Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | bool TextWordWrap
Delphi Syntax | TextWordWrap: Boolean
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets a value that indicates whether the WordWrap checkbox was checked in the Text dialog box. Possible values are:

Value | Meaning
TRUE | The TextWordWrap check box was checked. Allow word wrapping.
FALSE | The TextWordWrap check box wasn’t checked. Do not allow word wrapping.

See Also

Elements: | ShowGetTextDlg method, DlgFlags property.
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


TransitionStyle property (LEADDlgEffect Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | TTransitionStyle TransitionStyle
Delphi Syntax | TransitionStyle: TTransitionStyle
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets the mode of transition in the GetTransition dialog box.

Possible values are:

Value | Meaning
etsNone | No transition effect.
etsGradient | Use the gradient color for the transition. See the GradientStyle property.
etsPattern | Use a solid color or pattern for the transition. See the PatternStyle property

See Also

Elements: | ShowGetTransitionDlg method, GradientStyle property, PatternStyle property, DlgFlags property.
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


TransparentColor property (LEADDlgEffect Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | COLORREF TransparentColor
Delphi Syntax | TransparentColor: COLORREF
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets the transparent color in the GetEffect and GetTransition dialog boxes.

See Also

Elements: | ShowGetEffectDlg method, ShowGetTransitionDlg method, DlgFlags property.
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


Transparent property (LEADDlgEffect Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | bool Transparent
Delphi Syntax | Transparent: Boolean
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets a value that indicates whether the transparent checkbox was checked in the GetEffect or GetTransition dialog boxes. Possible values are:

Value | Meaning
TRUE | The Transparent check box was checked.
FALSE | The Transparent check box wasn’t checked.

See Also

Elements: | ShowGetEffectDlg method, ShowGetTransitionDlg method, DlgFlags property.
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


WandColor property (LEADDlgEffect Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | COLORREF WandColor
Delphi Syntax | WandColor: COLORREF
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets the color of the wand, in the GetEffect and GetTransition dialog boxes.

See Also

Elements: | ShowGetEffectDlg method, ShowGetTransitionDlg method, DlgFlags property.
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


WandThickness property (LEADDlgEffect Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | L_UINT WandThickness
Delphi Syntax | WandThickness: L_UINT
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets the width of the wand, in pixels, in the GetEffect and GetTransition dialog boxes.

See Also

Elements: | ShowGetEffectDlg method, ShowGetTransitionDlg method, DlgFlags property.
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


ShowGetEffectDlg method (LEADDlgEffect Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | int ShowGetEffectDlg(Controls::TWinControl* AOwnerCtrl);
Delphi Syntax | Function ShowGetEffectDlg (AOwnerCtrl: TWinControl ): L_INT;
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Displays the Get Effect dialog box, and gets the options for the Effect properties.

The layout and action of the dialog depends on the flags set in the DlgFlags property. Possible options are:

Value | Meaning
DLG_EFFECT_SHOW_CONTEXTHELP | [$00000001] Dialog should contain a context sensitive help icon.
DLG_EFFECT_SHOW_PREVIEW | [$00000002] Show a preview of the image in the dialog. The Common Dialog LEADImage property must be assigned a Main Control containing a valid bitmap before calling this method.
DLG_EFFECT_AUTOPREVIEW | [$00000004] Auto preview when options change
DLG_EFFECT_DELAY | [$00000008] Effect delay is an option.
DLG_EFFECT_GRAIN | [$00000010] Effect grain is an option.
DLG_EFFECT_PASSES | [$00000020] Effect passes is an option
DLG_EFFECT_TRANSPARENT | [$00000040] Transparency is an option
DLG_EFFECT_WAND | [$00000080] Wand is an option
DLG_EFFECT_NO_TREEVIEW | [$00000100] DO NOT use TreeView
DLG_EFFECT_CLASS_NONE | [$00000200] No effect is an option
DLG_EFFECT_CLASS_WIPE | [$00000400] Linear wipe is an option
DLG_EFFECT_CLASS_WIPERECT | [$00000800] Rectangular wipe is an option
DLG_EFFECT_CLASS_WIPECIRCLE | [$00001000] Circular wipe is an option
DLG_EFFECT_CLASS_PUSH | [$00002000] Push is an option
DLG_EFFECT_CLASS_SLIDE | [$00004000] Slide is an option
DLG_EFFECT_CLASS_ROLL | [$00008000] Roll is an option
DLG_EFFECT_CLASS_ROTATE | [$00010000] Rotate is an option
DLG_EFFECT_CLASS_ZOOM | [$00020000] Zoom is an option
DLG_EFFECT_CLASS_DRIP | [$00040000] Drip is an option
DLG_EFFECT_CLASS_BLIND | [$00080000] Blind is an option
DLG_EFFECT_CLASS_RANDOM | [$00100000] Random is an option
DLG_EFFECT_CLASS_CHECK | [$00200000] Check is an option
DLG_EFFECT_CLASS_BLOCKS | [$00400000] Blocks is an option
DLG_EFFECT_CLASS_CIRCLE | [$00800000] Circle is an option
DLG_EFFECT_CLASS_ELLIPSE | [$01000000] Ellipse is an option

These values may be combined by ORing them. If you include DLG_EFX_SHOW_PREVIEW in the DlgFlags property, the Common Dialog LEADImage property must be assigned a Main Control containing a valid bitmap before calling this method.

The following properties are associated specifically with this method:

Effect property

Grain property

Delay property

MaxPass property

Transparent property

TransparentColor property

WandThickness property

WandColor property

To include a Help button in the dialog, set the ShowHelpButton property to TRUE.

The Get Effect dialog can be seen below:

See Also

Elements: | Effect property, PaintEffect property , Grain property, EffectDelay property , MaxPass property, Transparent property, WandThickness property, TransitionStyle property, TransitionEffect property , EffectGrain property , PaintMaxPasses property , PaintPass property , PaintNotificationDelay property , OnPaintNotify event , UseTransparentColor property , TransparentColor property, WandColor property, WandSize property , DlgFlags property, ShowHelpButton property.
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


ShowGetGradientDlg method (LEADDlgEffect Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | int ShowGetGradientDlg(TWinControl* AOwnerCtrl);
Delphi Syntax | Function ShowGetGradientDlg (AOwnerCtrl: TWinControl ): L_INT;
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Displays the GetGradient dialog box, and gets the options for the Gradient properties.

The layout and action of the dialog depends on the flags set in the DlgFlags property. Possible options are:

Value | Meaning
DLG_GRADIENT_SHOW_CONTEXTHELP | [$00000001] Dialog should contain a context sensitive help icon.
DLG_GRADIENT_SHOW_PREVIEW | [$00000002] Show a preview of the image in the dialog. The Common Dialog LEADImage property must be assigned a Main Control containing a valid bitmap before calling this method.
DLG_GRADIENT_AUTOPREVIEW | [$00000004] Auto preview when options change
DLG_GRADIENT_STARTCOLOR | [$00000008] Start color is an option
DLG_GRADIENT_ENDCOLOR | [$00000010] End color is an option
DLG_GRADIENT_STEPS | [$00000020] gradient steps is an option
DLG_GRADIENT_NO_TREEVIEW | [$00000040] DO NOT use TreeView
DLG_GRADIENT_CLASS_LINEAR | [$00000080] Linear gradients are an option
DLG_GRADIENT_CLASS_ANGULAR | [$00000100] Angular gradients are an option
DLG_GRADIENT_CLASS_RECTANGULAR | [$00000200] Rectangular gradients are an option
DLG_GRADIENT_CLASS_ELLIPTICAL | [$00000400] Elliptical gradients are an option
DLG_GRADIENT_CLASS_CONICAL | [$00000800] Conical gradients are an option

These values may be combined by ORing them.

If you include DLG_GRAD_SHOWPREVIEW in the DlgFlags property, the Common Dialog LEADImage property must be assigned a Main Control containing a valid bitmap before calling this method.

The following properties are associated specifically with this method:

GradientStyle property

GradientSteps property

StartColor property

EndColor property

To include a Help button in the dialog, set the ShowHelpButton property to TRUE.

The GetGradient dialog can be seen below:

See Also

Elements: | GradientStyle property, GradientStartColor property, StartColor property, EndColor property, GradientEndColor property, GradientSteps property, PatternStyle property, PatternBackColor property , PatternForeColor property , DlgFlags property, ShowHelpButton property.
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


ShowGetShapeDlg method (LEADDlgEffect Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | int ShowGetShapeDlg(TWinControl* AOwnerCtrl);
Delphi Syntax | Function ShowGetShapeDlg (AOwnerCtrl: TWinControl ): L_INT;
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Displays the Get Shape dialog box, and gets the options for Shape properties and the DrawShape method .

The layout and action of the dialog depends on the flags set in the DlgFlags property. Possible options are:

Value | Meaning
DLG_SHAPE_SHOW_CONTEXTHELP | [$00000001] Dialog should contain a context sensitive help icon.
DLG_SHAPE_AUTOPREVIEW | [$00000002] Auto preview when options change
DLG_SHAPE_SHOW_PREVIEW | [$00000004] Show a preview of the image in the dialog, The Common Dialog LEADImage property must be assigned a Main Control containing a valid bitmap before calling this method.
DLG_SHAPE_BACKSTYLE | [$00000008] Back style is an option
DLG_SHAPE_FILLSTYLE | [$00000010] Fill style is an option
DLG_SHAPE_FORE_BACK_COLOR | [$00000020] Fore and back colors are options
DLG_SHAPE_BORDERSTYLE | [$00000040] Border style is an option
DLG_SHAPE_BORDERWIDTH | [$00000080] Border width is an option
DLG_SHAPE_BORDERCOLOR | [$00000100] Border color is an option
DLG_SHAPE_INNERSTYLE | [$00000200] inner band style is an option
DLG_SHAPE_INNERWIDTH | [$00000400] inner band width is an option
DLG_SHAPE_INNER_HILITE_SHADOW | [$00000800] inner band colors are options
DLG_SHAPE_OUTERSTYLE | [$00001000] Outer band style is an option
DLG_SHAPE_OUTERWIDTH | [$00002000] Outer band width is an option
DLG_SHAPE_OUTER_HILITE_SHADOW | [$00004000] Outer band colors are options
DLG_SHAPE_SHADOWCOLOR | [$00008000] Shadow color is an option
DLG_SHAPE_SHADOW_X_Y | [$00010000] Shadow x and y are options
DLG_SHAPE_BROWSEIMAGE | [$00020000] Browse image button is an option
DLG_SHAPE_NO_TREEVIEW | [$00040000] DO NOT use the TreeView
DLG_SHAPE_CLASS_SQUARE | [$00080000] Squares are options
DLG_SHAPE_CLASS_RECTANGLE | [$00100000] Rectangles are options
DLG_SHAPE_CLASS_PARALLELOGRAM | [$00200000] Parallelograms are options
DLG_SHAPE_CLASS_TRAPEZOID | [$00400000] Trapezoids are options
DLG_SHAPE_CLASS_TRIANGLE | [$00800000] Triangles are options
DLG_SHAPE_CLASS_OTHER | [$01000000] Other polygons are options
DLG_SHAPE_CLASS_CIRCLE | [$02000000] Circles are options
DLG_SHAPE_CLASS_ELLIPSE | [$04000000] Ellipses are options
DLG_SHAPE_CLASS_STAR | [$08000000] Stars are options
DLG_SHAPE_CLASS_CROSS | [$10000000] Crosses are options
DLG_SHAPE_CLASS_ARROW | [$20000000] Arrows are options

These values may be combined by ORing them.

If you include DLG_SHAPE_SHOW_PREVIEW in the DlgFlags property, the Common Dialog LEADImage property must be assigned a Main Control containing a valid bitmap before calling this method.

The following properties are associated specifically with this method:

Shape property

ShapeBackgroundStyle property

ShapeFillStyle property

ShapeBorderColor property

ShapeBorderStyle property

ShapeBorderThickness property

ShapeInnerBandStyle property

ShapeInnerBandThickness property

ShapeInnerBandHiliteColor property

ShapeInnerBandShadowColor property

ShapeOuterBandStyle property

ShapeOuterBandThickness property

ShapeOuterBandHiliteColor property

ShapeOuterBandShadowColor property

ShadowXDepth property

ShadowYDepth property

ShadowColor property

ShapeBackgroundBitmap property

ForeColor property property

BackColor property property

To include a Help button in the dialog, set the ShowHelpButton property to TRUE.

The Get Shape dialog can be seen below:

See Also

Elements: | DrawShape method , ShapeLeft property , ShapeTop property , ShapeWidth property , ShapeHeight property , ShapeBackgroundStyle property, BackgroundImageHeight property , BackgroundImageLeft property , BackgroundImageTop property , BackgroundImageWidth property , ShapeBorderColor property, ShapeBorderStyle property, ShapeBorderThickness property, ShapeInnerBandHiliteColor property, ShapeInnerBandShadowColor property, ShapeInnerBandStyle property, ShapeInnerBandThickness property, ShapeOuterBandHiliteColor property, ShapeOuterBandShadowColor property, ShapeOuterBandStyle property, ShapeOuterBandThickness property, DlgFlags property, ShowHelpButton property.
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


ShowGetTextDlg method (LEADDlgEffect Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | int ShowGetTextDlg(TWinControl* AOwnerCtrl);
Delphi Syntax | Function ShowGetTextDlg (AOwnerCtrl: TWinControl ): L_INT;
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Displays the Get Text dialog box, and gets the options for the Text properties.

The layout and action of the dialog depends on the flags set in the DlgFlags property. Possible options are:

Value | Meaning
DLG_TEXT_SHOW_CONTEXTHELP | [$00000001] Dialog should contain a context sensitive help icon.
DLG_TEXT_SHOW_PREVIEW | [$00000002] Show a preview of the image in the dialog. The Common Dialog LEADImage property must be assigned a Main Control containing a valid bitmap before calling this method.
DLG_TEXT_AUTOPREVIEW | [$00000004] Auto preview when options change
DLG_TEXT_SAMPLETEXT | [$00000008] Sample text edit box is an option
DLG_TEXT_STYLE | [$00000010] Text style is an option
DLG_TEXT_COLOR | [$00000020] Text color is an option
DLG_TEXT_BORDERCOLOR | [$00000040] Border color is an option
DLG_TEXT_ALIGN | [$00000080] Alignment is an option
DLG_TEXT_ANGLE | [$00000100] Angle is an option
DLG_TEXT_WORDWRAP | [$00000200] Word-wrap is an option
DLG_TEXT_FONT | [$00000400] Font is an option
DLG_TEXT_FOREIMAGE | [$00000800] Foreground image is an option
DLG_TEXT_BROWSEIMAGE | [$00001000] Browse image button is an option
DLG_TEXT_SHADOWCOLOR | [$00002000] Shadow color is an option
DLG_TEXT_SHADOW_X_Y | [$00004000] Shadow x and y are options

These values may be combined by ORing them.

If you include DLG_TEXT_SHOW_PREVIEW in the DlgFlags property, The Common Dialog LEADImage property must be assigned a Main Control containing a valid bitmap before calling this method.

The following properties are associated specifically with this method:

SampleText property

TextStyle property

TextAlign property

TextWordWrap property

TextHiliteColor property

TextUseForegroundImage property

TextForegroundBitmap property

ShadowXDepth property

ShadowYDepth property

ShadowColor property

TextAngle property

TextFont property

To include a Help button in the dialog, set the ShowHelpButton property to TRUE.

The Get Text dialog can be seen below:

See Also

Elements: | TextWordWrap property, TextAngle property , TextAlign property, TextFont property, TextStyle property, TextHiliteColor property, SampleText property, TextUseForegroundImage property, TextForegroundBitmap property, ShadowXDepth property, ShadowYDepth property, ShadowColor property, DrawTextStr method , TextLeft property , TextTop property , TextWidth property , TextHeight property , DrawTextHeight method , DrawTextWidth method , DlgFlags property, ShowHelpButton property
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


ShowGetTransitionDlg method (LEADDlgEffect Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | int ShowGetTransitionDlg(TWinControl* AOwnerCtrl);
Delphi Syntax | Function ShowGetTransitionDlg (AOwnerCtrl: TWinControl ): L_INT;
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Displays the Get Transition dialog box, and gets the options for the Transition properties.

The layout and action of the dialog depends on the flags set in the DlgFlags property. Possible options are:

Value | Meaning
DLG_TRANSITION_SHOW_CONTEXTHELP | [$00000001] Dialog should contain a context sensitive help icon.
DLG_TRANSITION_SHOW_PREVIEW | [$00000002] Show a preview of the image in the dialog. The Common Dialog LEADImage property must be assigned a Main Control containing a valid bitmap before calling this method.
DLG_TRANSITION_AUTOPREVIEW | [$00000004] Auto preview when options change
DLG_TRANSITION_FORECOLOR | [$00000008] Fore color is an option
DLG_TRANSITION_BACKCOLOR | [$00000010] Back color is an option
DLG_TRANSITION_DELAY | [$00000020] Transition delay is an option
DLG_TRANSITION_GRAIN | [$00000040] Transition grain is an option
DLG_TRANSITION_EFFECT | [$00000080] Paint effect is an option
DLG_TRANSITION_PASSES | [$00000100] Transition passes is an option
DLG_TRANSITION_WAND | [$00000200] Wand is an option
DLG_TRANSITION_TRANSPARENT | [$00000400] Transparency is an option
DLG_TRANSITION_GRADIENT | [$00000800] Gradient is an option

These values may be combined by ORing them.

If you include DLG_TRANSITION_SHOW_PREVIEW in the DlgFlags property, the Common Dialog LEADImage property must be assigned a Main Control containing a valid bitmap before calling this method.

The following properties are associated specifically with this method:

TransitionStyle property

PatternStyle property

Effect property

ForeColor property

BackColor property

StartColor property

EndColor property

GradientStyle property

GradientSteps property

Grain property

Delay property

MaxPass property

Transparent property

TransparentColor property

WandThickness property

WandColor property

To include a Help button in the dialog, set the ShowHelpButton property to TRUE.

The Get Transition dialog can be seen below:

See Also

Elements: | TransitionStyle property, Effect property, TransitionEffect property , PaintEffect property , EffectDelay property , EffectGrain property , PaintMaxPasses property , PaintPass property , PaintNotificationDelay property , OnPaintNotify event , UseTransparentColor property , BackColor property, ForeColor property, StartColor property, PatternStyle property, EndColor property, GradientStyle property, DlgFlags property, ShowHelpButton property, Transparent property, TransparentColor property, WandColor property, WandSize property
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


OnDlgHelp Event (LEADDlgEffect Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | void OnDlgHelp (unsigned uDialogID);
Delphi Syntax | procedure OnDlgHelp (uDialogID: L_UINT32);
Overview | Refer to Using Imaging Common Dialogs.

Remarks

The OnDlgHelp event is triggered when the user clicks on the Help Button on any dialog. To include a help button in a dialog, ShowHelpButton property must be set to TRUE.

See Also

Elements: | ShowHelpButton property.
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


Bitmap property (LEADDlgFile Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | TBitmapHandle Bitmap
Delphi Syntax | Bitmap: TBitmapHandle
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets a handle to a loaded file bitmap. This property is updated by the Open dialog box.

This property can be read if you include DLG_OPEN_LOADBITMAP in the DlgFlags property.

You can assign 0 to this property to free the existing bitmap.

If you set DLG_OPEN_ALLOWMULTI in the DlgFileFlags property, and DLG_OPEN_LOADBITMAP in the DlgFlags property, this property will be valid only during the OnOpenFileEvent event. When each OnOpenFileEvent event occurs this property will contain the bitmap of one of the selected (loaded) files. The OnOpenFileEvent event will occur for each of the selected files opened using the Open dialog box. In this case you can’t assign this property to 0.

See Also

Elements:

ShowOpenDlg method, Filter property, FilterIndex property, FileName property, FileTitle property, DialogTitle property, DlgFileFlags property, InitialDir property, MaxFileSize property, MaxFileTitleSize property, PreviewEnabled property, OptionsFileType property, Thumbnail property, PageNumber property, LoadPasses property, LoadCompressed property, LoadRotated property, ShowLoadOptions property, PCDResolution property, PDFXResolution property, PDFYResolution property, PDFDisplayDepth property, PDFTextAlpha property, PDFGraphicsAlpha property, RASTERMISCXResolution property, RASTERMISCYResolution property, METAFILEXResolution property, METAFILEYResolution property, VECTORMISCViewportWidth property, VECTORMISCViewportHeight property, VECTORMISCViewportMode property, VECTORMISCFont property, DXFViewportWidth property, DXFViewportHeight property, DXFViewportMode property, DXFFont property, DXFAutoCADColorScheme property, PLTViewportWidth property, PLTViewportHeight property, PLTViewportMode property, PLTPenWidth property, PLTPenColor property

Topics:

Imaging Common Dialogs: Properties, Methods, and Events


CommandShow property (LEADDlgFile Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | L_INT CommandShow
Delphi Syntax | CommandShow: L_INT
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Flag that indicates the display state of the preview window of the PrintPreiew and the PrintStitchedImages dialog boxes. This is the same flag passed to the ShowWindow windows API function. Please refer to the Microsoft SDK documentation – Windows User Interface – ShowWindow for more information. Please note that the SW_HIDE flag is ignored.

See Also

Elements: | ShowPrintPreviewDlg method, ShowPrintStitchedImagesDlg method, DevModeHandle property, DevNamesHandle property, MinMarginsRect property
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


DestinationPath property (LEADDlgFile Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | AnsiString DestinationPath
Delphi Syntax | DestinationPath: String
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets the path to the folder in which to save the file(s) converted using the FileConversion dialog box.

See Also

Elements: | ShowFileConversionDlg method, FileFormats property, SelectedExt property, ServerAppName property, SourceFilePath property
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


DevModeHandle property (LEADDlgFile Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | L_HGLOBAL DevModeHandle
Delphi Syntax | DevModeHandle: L_HGLOBAL
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Handle to a movable global memory object that contains a DEVMODE Microsoft Windows structure. For more information please refer to Microsoft’s SDK documentation.

If DevModeHandle is not 0 on input, you must allocate a movable block of memory for the DEVMODE structure and initialize its members.

If DevModeHandle is 0 on input, the dialog may allocate memory for the DEVMODE structure, initialize its members to indicate the user's input, and update the DevModeHandle property by it.

This handle is used to set or preserve printing settings. Set this property to 0 to use the default printer settings.

See Also

Elements: | ShowPrintPreviewDlg method, ShowPrintStitchedImagesDlg method, DevNamesHandle property
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


DevNamesHandle property (LEADDlgFile Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | L_HGLOBAL DevNamesHandle
Delphi Syntax | DevNamesHandle: L_HGLOBAL
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Handle to a movable global memory object that contains a DEVNAMES Microsoft Windows structure. For more information please refer to Microsoft’s SDK documentation.

If DevNamesHandle is not 0 on input, you must allocate a movable block of memory for the DEVNAMES structure and initialize its members.

If DevNamesHandle is 0 on input, the dialog may allocate memory for the DEVNAMES structure, initialize its members to indicate the user's input, and update the DevNamesHandle property by it.

This structure (DEVNAMES) contains three strings that specify the driver name, the printer name, and the output port name, which are used to set or preserve printer settings. Set this property to 0 to use the default printer settings.

See Also

Elements: | ShowPrintPreviewDlg method, ShowPrintStitchedImagesDlg method, DevModeHandle property
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


DialogTitle property (LEADDlgFile Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | AnsiString DialogTitle
Delphi Syntax | DialogTitle: String
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets the string used as the title bar for either the Open, Save, or GetDirectory dialog boxes.

See Also

Elements: | ShowGetDirectoryDlg method, ShowOpenDlg method, ShowSaveDlg method.
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


Directory property (LEADDlgFile Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | AnsiString Directory
Delphi Syntax | Directory: String
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets a string containing the directory name. Set this to initialize the dialog to open a particular directory. This will be filled with the user's directory selection in the GetDirectory dialog box.

See Also

Elements: | ShowGetDirectoryDlg method.
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


DlgFileFlags property (LEADDlgFile Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | L_UINT DlgFileFlags
Delphi Syntax | DlgFileFlags: L_UINT
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets the user interface flags for the Open dialog box and the Save dialog box. These flags determine the layout and action of the dialog.

For a list of available options for the Open method and the Save method, refer to the specific method.

If DLG_OPEN_ALLOWMULTI is included, you cannot include DLG_LOADBITMAP in the DlgFlags property, or you will get ERROR_FILENOTFOUND when the Open dialog box returns.

See Also

Elements:

ShowOpenDlg method, ShowSaveDlg method, Filter property, FilterIndex property, FileName property, FileTitle property, DialogTitle property, InitialDir property, MaxFileSize property, MaxFileTitleSize property, PreviewEnabled property, OptionsFileType property, Bitmap property, Thumbnail property, PageNumber property, LoadPasses property, LoadCompressed property, LoadRotated property, ShowLoadOptions property, PCDResolution property, PDFXResolution property, PDFYResolution property, PDFDisplayDepth property, PDFTextAlpha property, PDFGraphicsAlpha property, RASTERMISCXResolution property, RASTERMISCYResolution property, METAFILEXResolution property, METAFILEYResolution property, VECTORMISCViewportWidth property, VECTORMISCViewportHeight property, VECTORMISCViewportMode property, VECTORMISCFont property, DXFViewportWidth property, DXFViewportHeight property, DXFViewportMode property, DXFFont property, DXFAutoCADColorScheme property, PLTViewportWidth property, PLTViewportHeight property, PLTViewportMode property, PLTPenWidth property, PLTPenColor property, SaveBitsPerPixel property, SaveFormat property, SaveQFactor property, SaveMulti property, SaveInterlaced property, SavePasses property, SaveWithStamp property, SaveStampBits property, SaveStampWidth property, SaveStampHeight property, SaveFileTypeIndex property, SaveSubTypeIndex property, SaveJ2KUseColorTransform property, SaveJ2KDerivedQuantization property, SaveJ2KCompressionControl property, SaveJ2KCompressionRatio property, SaveJ2KTargetFileSize property, SaveJ2KXOsiz property, SaveJ2KYOsiz property, SaveJ2KXTsiz property, SaveJ2KYTsiz property, SaveJ2KXTOsiz property, SaveJ2KYTOsiz property, SaveJ2KDecompLevel property, SaveJ2KProgressOrder property, SaveJ2KCodBlockWidth property, SaveJ2KCodBlockHeight property, SaveJ2KCBS_SelectiveACBypass property, SaveJ2KCBS_ResetContextOnBoundaries property, SaveJ2KCBS_TerminationOnEachPass property, SaveJ2KCBS_VerticallyCausalContext property, SaveJ2KCBS_PredictableTermination property, SaveJ2KCBS_ErrorResilienceSymbol property, SaveJ2KGuardBits property, SaveJ2KDerivedBaseMantissa property, SaveJ2KDerivedBaseExponent property, SaveJ2KUseSOPMarker property, SaveJ2KUseEPHMarker property

Topics:

Imaging Common Dialogs: Properties, Methods, and Events


DlgFlags property (LEADDlgFile Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | L_UINT32 DlgFlags
Delphi Syntax | DlgFlags: L_UINT32
Overview | Refer to Using Imaging Common Dialogs.

Remarks

General property used by all the Imaging Common Dialog methods. The options set in this property determine the layout and action of the dialog boxes. The options available for each method depend on and are listed with each method.

See Also

Elements: | ShowGetDirectoryDlg method, ShowFilesAssociationDlg method, ShowOpenDlg method, ShowSaveDlg method, ShowFileConversionDlg method, ShowPrintPreviewDlg method, ShowPrintStitchedImagesDlg method.
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


DXFAutoCADColorScheme property (LEADDlgFile Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | L_UINT32 DXFAutoCADColorScheme
Delphi Syntax | DXFAutoCADColorScheme: L_UINT32
Overview | Refer to Using Imaging Common Dialogs.

Remarks

(Read Only) Gets the background color to use when loading AutoCAD files, entered by the user in the Open dialog box.

This property is valid only if the OptionsFileType property is one of the following formats:

FILE_DXF, FILE_DXF_R13, FILE_DWG.

See Also

Elements:

ShowOpenDlg method, Filter property, FilterIndex property, FileName property, FileTitle property, DialogTitle property, DlgFileFlags property, InitialDir property, MaxFileSize property, MaxFileTitleSize property, PreviewEnabled property, OptionsFileType property, Bitmap property, Thumbnail property, PageNumber property, LoadPasses property, LoadCompressed property, LoadRotated property, ShowLoadOptions property, PCDResolution property, PDFXResolution property, PDFYResolution property, PDFDisplayDepth property, PDFTextAlpha property, PDFGraphicsAlpha property, RASTERMISCXResolution property, RASTERMISCYResolution property, METAFILEXResolution property, METAFILEYResolution property, VECTORMISCViewportWidth property, VECTORMISCViewportHeight property, VECTORMISCViewportMode property, VECTORMISCFont property, DXFViewportWidth property, DXFViewportHeight property, DXFViewportMode property, DXFFont property, PLTViewportWidth property, PLTViewportHeight property, PLTViewportMode property, PLTPenWidth property, PLTPenColor property

Topics:

Imaging Common Dialogs: Properties, Methods, and Events


DXFFont property (LEADDlgFile Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | AnsiString DXFFont
Delphi Syntax | DXFFont: String
Overview | Refer to Using Imaging Common Dialogs.

Remarks

(Read only) Gets the typeface name of the font to use in vector font mapping entered by the user in the Open dialog box.

The length of this string must not exceed 32 characters.

This property is valid only if the OptionsFileType property is one of the following formats:

FILE_DXF, FILE_DXF_R13, FILE_DWG.

See Also

Elements:

ShowOpenDlg method, Filter property, FilterIndex property, FileName property, FileTitle property, DialogTitle property, DlgFileFlags property, InitialDir property, MaxFileSize property, MaxFileTitleSize property, PreviewEnabled property, OptionsFileType property, Bitmap property, Thumbnail property, PageNumber property, LoadPasses property, LoadCompressed property, LoadRotated property, ShowLoadOptions property, PCDResolution property, PDFXResolution property, PDFYResolution property, PDFDisplayDepth property, PDFTextAlpha property, PDFGraphicsAlpha property, RASTERMISCXResolution property, RASTERMISCYResolution property, METAFILEXResolution property, METAFILEYResolution property, VECTORMISCViewportWidth property, VECTORMISCViewportHeight property, VECTORMISCViewportMode property, VECTORMISCFont property, DXFViewportWidth property, DXFViewportHeight property, DXFViewportMode property, DXFAutoCADColorScheme property, PLTViewportWidth property, PLTViewportHeight property, PLTViewportMode property, PLTPenWidth property, PLTPenColor property

Topics:

Imaging Common Dialogs: Properties, Methods, and Events


DXFViewportHeight property (LEADDlgFile Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | L_INT DXFViewportHeight
Delphi Syntax | DXFViewportHeight: L_INT
Overview | Refer to Using Imaging Common Dialogs.

Remarks

(Read Only) Gets the viewport height value entered by the user in the Open dialog box.

This property is valid only if the OptionsFileType property is one of the following formats:

FILE_DXF, FILE_DXF_R13, FILE_DWG.

See Also

Elements:

ShowOpenDlg method, Filter property, FilterIndex property, FileName property, FileTitle property, DialogTitle property, DlgFileFlags property, InitialDir property, MaxFileSize property, MaxFileTitleSize property, PreviewEnabled property, OptionsFileType property, Bitmap property, Thumbnail property, PageNumber property, LoadPasses property, LoadCompressed property, LoadRotated property, ShowLoadOptions property, PCDResolution property, PDFXResolution property, PDFYResolution property, PDFDisplayDepth property, PDFTextAlpha property, PDFGraphicsAlpha property, RASTERMISCXResolution property, RASTERMISCYResolution property, METAFILEXResolution property, METAFILEYResolution property, VECTORMISCViewportWidth property, VECTORMISCViewportHeight property, VECTORMISCViewportMode property, VECTORMISCFont property, DXFViewportWidth property, DXFViewportMode property, DXFFont property, DXFAutoCADColorScheme property, PLTViewportWidth property, PLTViewportHeight property, PLTViewportMode property, PLTPenWidth property, PLTPenColor property

Topics:

Imaging Common Dialogs: Properties, Methods, and Events


DXFViewportMode property (LEADDlgFile Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | L_UINT DXFViewportMode
Delphi Syntax | DXFViewportMode: L_UINT
Overview | Refer to Using Imaging Common Dialogs.

Remarks

(Read only) Gets the viewport mode value entered by the user in the Open dialog box.

Possible values are:

Value | Meaning
L2D_USE_BEST | Fit the drawing into the current view-port width and height. Final image size is less than or equal to view-port size.
L2D_USE_WIDTH | Use the current view-port width. Calculate the new height, preserving the aspect ratio. Final image size has the same width as the current view-port width, with the height less than or equal to the current view-port height.
L2D_USE_HEIGHT | Use the current view-port height. Calculate the new width, preserving the aspect ratio. Final image size has the same height as the current view-port height, with the width less than or equal to the current view-port width.
L2D_USE_WIDTH_HEIGHT | Use both the width and the height (stretch the image if necessary). Final image size has the same width and height as the current view-port size

This property is valid only if the OptionsFileType property is one of the following formats:

FILE_DXF, FILE_DXF_R13, FILE_DWG.

See Also

Elements:

ShowOpenDlg method, Filter property, FilterIndex property, FileName property, FileTitle property, DialogTitle property, DlgFileFlags property, InitialDir property, MaxFileSize property, MaxFileTitleSize property, PreviewEnabled property, OptionsFileType property, Bitmap property, Thumbnail property, PageNumber property, LoadPasses property, LoadCompressed property, LoadRotated property, ShowLoadOptions property, PCDResolution property, PDFXResolution property, PDFYResolution property, PDFDisplayDepth property, PDFTextAlpha property, PDFGraphicsAlpha property, RASTERMISCXResolution property, RASTERMISCYResolution property, METAFILEXResolution property, METAFILEYResolution property, VECTORMISCViewportWidth property, VECTORMISCViewportHeight property, VECTORMISCViewportMode property, VECTORMISCFont property, DXFViewportWidth property, DXFViewportHeight property, DXFFont property, DXFAutoCADColorScheme property, PLTViewportWidth property, PLTViewportHeight property, PLTViewportMode property, PLTPenWidth property, PLTPenColor property

Topics:

Imaging Common Dialogs: Properties, Methods, and Events


DXFViewportWidth property (LEADDlgFile Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | L_INT DXFViewportWidth
Delphi Syntax | DXFViewportWidth: L_INT
Overview | Refer to Using Imaging Common Dialogs.

Remarks

(Read Only) Gets the viewport width value entered by the user in the Open dialog box.

This property is valid only if the OptionsFileType property is one of the following formats:

FILE_DXF, FILE_DXF_R13, FILE_DWG.

See Also

Elements:

ShowOpenDlg method, Filter property, FilterIndex property, FileName property, FileTitle property, DialogTitle property, DlgFileFlags property, InitialDir property, MaxFileSize property, MaxFileTitleSize property, PreviewEnabled property, OptionsFileType property, Bitmap property, Thumbnail property, PageNumber property, LoadPasses property, LoadCompressed property, LoadRotated property, ShowLoadOptions property, PCDResolution property, PDFXResolution property, PDFYResolution property, PDFDisplayDepth property, PDFTextAlpha property, PDFGraphicsAlpha property, RASTERMISCXResolution property, RASTERMISCYResolution property, METAFILEXResolution property, METAFILEYResolution property, VECTORMISCViewportWidth property, VECTORMISCViewportHeight property, VECTORMISCViewportMode property, VECTORMISCFont property, DXFViewportHeight property, DXFViewportMode property, DXFFont property, DXFAutoCADColorScheme property, PLTViewportWidth property, PLTViewportHeight property, PLTViewportMode property, PLTPenWidth property, PLTPenColor property

Topics:

Imaging Common Dialogs: Properties, Methods, and Events


EnableMethodErrors property (LEADDlgFile Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | bool EnableMethodErrors
Delphi Syntax | EnableMethodErrors: Boolean
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Specifies whether LEADTOOLS generates runtime exceptions (in addition to method return values).

Setting | Description
TRUE | Generate system error events.
FALSE | Do not generate system error events.

See Also

Elements: | ShowGetDirectoryDlg method, ShowFilesAssociationDlg method, ShowOpenDlg method, ShowSaveDlg method, ShowFileConversionDlg method, ShowPrintPreviewDlg method, ShowPrintStitchedImagesDlg method.
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


ErrorMsg property (LEADDlgFile Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | AnsiString ErrorMsg
Delphi Syntax | ErrorMsg: String
Overview | Refer to Using Imaging Common Dialogs.

Remarks

(Read only) Gets a string that contains the description of the error resulting from the last Common Dialog method called or property set.

See Also

Elements: | EnableMethodErrors property, Error property
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


Error property (LEADDlgFile Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | int Error
Delphi Syntax | Error: L_INT
Overview | Refer to Using Imaging Common Dialogs.

Remarks

(Read only) Gets the error code resulting from the last Common Dialog method called or property set. If the last operation performed was successful, the value is SUCCESS or SUCCESS_DLG_OK.

For a list of error codes, refer to Error Codes.

See Also

Elements: | EnableMethodErrors property, ErrorMsg property
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


FileFormatsCount property (LEADDlgFile Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | L_UINT FileFormatsCount
Delphi Syntax | FileFormatsCount: L_UINT
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets the number of the items in the FileFormats property.

The FileFormats property indicates which formats, BPP, and sub-formats to include in the FileConversion or Save dialog box. For more information on available file types, refer to Customizing File Format Lists.

You must set this property before using FileFormats property.

Set this property to 0 to have LEADTOOLS add all supported formats, BPP, and sub-formats to the FileConversion dialog box or Save dialog box.

See Also

Elements:

ShowSaveDlg method, ShowFileConversionDlg method, FileFormats property, SelectedExt property, ServerAppName property, Filter property, FilterIndex property, FileName property, FileTitle property, DialogTitle property, DlgFileFlags property, InitialDir property, MaxFileSize property, MaxFileTitleSize property, PageNumber property, SaveBitsPerPixel property, SaveFormat property, SaveQFactor property, SaveMulti property, SaveInterlaced property, SavePasses property, SaveWithStamp property, SaveStampBits property, SaveStampWidth property, SaveStampHeight property, SaveFileTypeIndex property, SaveSubTypeIndex property, SaveJ2KUseColorTransform property, SaveJ2KDerivedQuantization property, SaveJ2KCompressionControl property, SaveJ2KCompressionRatio property, SaveJ2KTargetFileSize property, SaveJ2KXOsiz property, SaveJ2KYOsiz property, SaveJ2KXTsiz property, SaveJ2KYTsiz property, SaveJ2KXTOsiz property, SaveJ2KYTOsiz property, SaveJ2KDecompLevel property, SaveJ2KProgressOrder property, SaveJ2KCodBlockWidth property, SaveJ2KCodBlockHeight property, SaveJ2KCBS_SelectiveACBypass property, SaveJ2KCBS_ResetContextOnBoundaries property, SaveJ2KCBS_TerminationOnEachPass property, SaveJ2KCBS_VerticallyCausalContext property, SaveJ2KCBS_PredictableTermination property, SaveJ2KCBS_ErrorResilienceSymbol property, SaveJ2KGuardBits property, SaveJ2KDerivedBaseMantissa property, SaveJ2KDerivedBaseExponent property, SaveJ2KUseSOPMarker property, SaveJ2KUseEPHMarker property

Topics:

Imaging Common Dialogs: Properties, Methods, and Events


FileFormats property (LEADDlgFile Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | TLEADFileSaveFormat * FileFormats [ L_UINT uIndex]
Delphi Syntax | FileFormats [uIndex: L_UINT ]: TLEADFileSaveFormat
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets an array of TLEADFileSaveFormat objects that indicates which formats, BPP, and sub-formats to include in the FileConversion dialog box or Save dialog box. The order of the formats in the array elements indicates the order the items will appear in the FileType drop-down list box, for the FileConversion dialog box, or the Save dialog box.

Before using this property, you must set the FileFormatsCount property to the number of file formats you want include in the File type combo box of the FileConversion dialog box or the Save dialog box.

See Also

Elements:

ShowSaveDlg method, ShowFileConversionDlg method, SelectedExt property, ServerAppName property, Filter property, FilterIndex property, FileName property, FileTitle property, DialogTitle property, DlgFileFlags property, InitialDir property, MaxFileSize property, MaxFileTitleSize property, PageNumber property, SaveBitsPerPixel property, SaveFormat property, SaveQFactor property, SaveMulti property, SaveInterlaced property, SavePasses property, SaveWithStamp property, SaveStampBits property, SaveStampWidth property, SaveStampHeight property, SaveFileTypeIndex property, SaveSubTypeIndex property, SaveJ2KUseColorTransform property, SaveJ2KDerivedQuantization property, SaveJ2KCompressionControl property, SaveJ2KCompressionRatio property, SaveJ2KTargetFileSize property, SaveJ2KXOsiz property, SaveJ2KYOsiz property, SaveJ2KXTsiz property, SaveJ2KYTsiz property, SaveJ2KXTOsiz property, SaveJ2KYTOsiz property, SaveJ2KDecompLevel property, SaveJ2KProgressOrder property, SaveJ2KCodBlockWidth property, SaveJ2KCodBlockHeight property, SaveJ2KCBS_SelectiveACBypass property, SaveJ2KCBS_ResetContextOnBoundaries property, SaveJ2KCBS_TerminationOnEachPass property, SaveJ2KCBS_VerticallyCausalContext property, SaveJ2KCBS_PredictableTermination property, SaveJ2KCBS_ErrorResilienceSymbol property, SaveJ2KGuardBits property, SaveJ2KDerivedBaseMantissa property, SaveJ2KDerivedBaseExponent property, SaveJ2KUseSOPMarker property, SaveJ2KUseEPHMarker property

Topics:

Imaging Common Dialogs: Properties, Methods, and Events


FileName property (LEADDlgFile Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | AnsiString FileName
Delphi Syntax | FileName: String
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets the name of the file to open or save using the Open dialog box or the Save dialog box.

See Also

Elements:

ShowOpenDlg method, ShowSaveDlg method, Filter property, FilterIndex property, FileTitle property, DialogTitle property, DlgFileFlags property, InitialDir property, MaxFileSize property, MaxFileTitleSize property, PreviewEnabled property, OptionsFileType property, Bitmap property, Thumbnail property, PageNumber property, LoadPasses property, LoadCompressed property, LoadRotated property, ShowLoadOptions property, PCDResolution property, PDFXResolution property, PDFYResolution property, PDFDisplayDepth property, PDFTextAlpha property, PDFGraphicsAlpha property, RASTERMISCXResolution property, RASTERMISCYResolution property, METAFILEXResolution property, METAFILEYResolution property, VECTORMISCViewportWidth property, VECTORMISCViewportHeight property, VECTORMISCViewportMode property, VECTORMISCFont property, DXFViewportWidth property, DXFViewportHeight property, DXFViewportMode property, DXFFont property, DXFAutoCADColorScheme property, PLTViewportWidth property, PLTViewportHeight property, PLTViewportMode property, PLTPenWidth property, PLTPenColor property, SaveBitsPerPixel property, SaveFormat property, SaveQFactor property, SaveMulti property, SaveInterlaced property, SavePasses property, SaveWithStamp property, SaveStampBits property, SaveStampWidth property, SaveStampHeight property, SaveFileTypeIndex property, SaveSubTypeIndex property, SaveJ2KUseColorTransform property, SaveJ2KDerivedQuantization property, SaveJ2KCompressionControl property, SaveJ2KCompressionRatio property, SaveJ2KTargetFileSize property, SaveJ2KXOsiz property, SaveJ2KYOsiz property, SaveJ2KXTsiz property, SaveJ2KYTsiz property, SaveJ2KXTOsiz property, SaveJ2KYTOsiz property, SaveJ2KDecompLevel property, SaveJ2KProgressOrder property, SaveJ2KCodBlockWidth property, SaveJ2KCodBlockHeight property, SaveJ2KCBS_SelectiveACBypass property, SaveJ2KCBS_ResetContextOnBoundaries property, SaveJ2KCBS_TerminationOnEachPass property, SaveJ2KCBS_VerticallyCausalContext property, SaveJ2KCBS_PredictableTermination property, SaveJ2KCBS_ErrorResilienceSymbol property, SaveJ2KGuardBits property, SaveJ2KDerivedBaseMantissa property, SaveJ2KDerivedBaseExponent property, SaveJ2KUseSOPMarker property, SaveJ2KUseEPHMarker property

Topics:

Imaging Common Dialogs: Properties, Methods, and Events


FileTitle property (LEADDlgFile Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | AnsiString FileTitle
Delphi Syntax | FileTitle: String
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets the name of the file to open, without the path, in the Open dialog box and the name of the file to save, without the path in the Save dialog box. For example, if the FileName property contains "C:\Myimages\image1.tif", the FileTitle property will contain "image1.tif" only.

See Also

Elements:

ShowGetDirectoryDlg method, ShowOpenDlg method, ShowSaveDlg method, Filter property, FilterIndex property, FileName property, DialogTitle property, DlgFileFlags property, InitialDir property, MaxFileSize property, MaxFileTitleSize property, PreviewEnabled property, OptionsFileType property, Bitmap property, Thumbnail property, PageNumber property, LoadPasses property, LoadCompressed property, LoadRotated property, ShowLoadOptions property, PCDResolution property, PDFXResolution property, PDFYResolution property, PDFDisplayDepth property, PDFTextAlpha property, PDFGraphicsAlpha property, RASTERMISCXResolution property, RASTERMISCYResolution property, METAFILEXResolution property, METAFILEYResolution property, VECTORMISCViewportWidth property, VECTORMISCViewportHeight property, VECTORMISCViewportMode property, VECTORMISCFont property, DXFViewportWidth property, DXFViewportHeight property, DXFViewportMode property, DXFFont property, DXFAutoCADColorScheme property, PLTViewportWidth property, PLTViewportHeight property, PLTViewportMode property, PLTPenWidth property, PLTPenColor property, SaveBitsPerPixel property, SaveFormat property, SaveQFactor property, SaveMulti property, SaveInterlaced property, SavePasses property, SaveWithStamp property, SaveStampBits property, SaveStampWidth property, SaveStampHeight property, SaveFileTypeIndex property, SaveSubTypeIndex property, SaveJ2KUseColorTransform property, SaveJ2KDerivedQuantization property, SaveJ2KCompressionControl property, SaveJ2KCompressionRatio property, SaveJ2KTargetFileSize property, SaveJ2KXOsiz property, SaveJ2KYOsiz property, SaveJ2KXTsiz property, SaveJ2KYTsiz property, SaveJ2KXTOsiz property, SaveJ2KYTOsiz property, SaveJ2KDecompLevel property, SaveJ2KProgressOrder property, SaveJ2KCodBlockWidth property, SaveJ2KCodBlockHeight property, SaveJ2KCBS_SelectiveACBypass property, SaveJ2KCBS_ResetContextOnBoundaries property, SaveJ2KCBS_TerminationOnEachPass property, SaveJ2KCBS_VerticallyCausalContext property, SaveJ2KCBS_PredictableTermination property, SaveJ2KCBS_ErrorResilienceSymbol property, SaveJ2KGuardBits property, SaveJ2KDerivedBaseMantissa property, SaveJ2KDerivedBaseExponent property, SaveJ2KUseSOPMarker property, SaveJ2KUseEPHMarker property

Topics:

Imaging Common Dialogs: Properties, Methods, and Events


FilterIndex property (LEADDlgFile Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | L_INT FilterIndex
Delphi Syntax | FilterIndex: L_INT
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets the index corresponding to a filter in the list stored in the Filter property, which is displayed in the file type list control. This is used by the Open, Save and GetDirectory dialog boxes.

If you specify a valid SaveFormat and SaveBitsPerPixel combination before showing the Save dialog box, then the File Type list box will be initialized with the corresponding type. If the specified combination is not valid, the File Type list box will be initialized with the value of the FilterIndex property.

See Also

Elements:

ShowGetDirectoryDlg method, ShowOpenDlg method, ShowSaveDlg method, Filter property, FileName property, FileTitle property, DialogTitle property, DlgFileFlags property, InitialDir property, MaxFileSize property, MaxFileTitleSize property, PreviewEnabled property, OptionsFileType property, Bitmap property, Thumbnail property, PageNumber property, LoadPasses property, LoadCompressed property, LoadRotated property, ShowLoadOptions property, PCDResolution property, PDFXResolution property, PDFYResolution property, PDFDisplayDepth property, PDFTextAlpha property, PDFGraphicsAlpha property, RASTERMISCXResolution property, RASTERMISCYResolution property, METAFILEXResolution property, METAFILEYResolution property, VECTORMISCViewportWidth property, VECTORMISCViewportHeight property, VECTORMISCViewportMode property, VECTORMISCFont property, DXFViewportWidth property, DXFViewportHeight property, DXFViewportMode property, DXFFont property, DXFAutoCADColorScheme property, PLTViewportWidth property, PLTViewportHeight property, PLTViewportMode property, PLTPenWidth property, PLTPenColor property, SaveBitsPerPixel property, SaveFormat property, SaveQFactor property, SaveMulti property, SaveInterlaced property, SavePasses property, SaveWithStamp property, SaveStampBits property, SaveStampWidth property, SaveStampHeight property, SaveFileTypeIndex property, SaveSubTypeIndex property, SaveJ2KUseColorTransform property, SaveJ2KDerivedQuantization property, SaveJ2KCompressionControl property, SaveJ2KCompressionRatio property, SaveJ2KTargetFileSize property, SaveJ2KXOsiz property, SaveJ2KYOsiz property, SaveJ2KXTsiz property, SaveJ2KYTsiz property, SaveJ2KXTOsiz property, SaveJ2KYTOsiz property, SaveJ2KDecompLevel property, SaveJ2KProgressOrder property, SaveJ2KCodBlockWidth property, SaveJ2KCodBlockHeight property, SaveJ2KCBS_SelectiveACBypass property, SaveJ2KCBS_ResetContextOnBoundaries property, SaveJ2KCBS_TerminationOnEachPass property, SaveJ2KCBS_VerticallyCausalContext property, SaveJ2KCBS_PredictableTermination property, SaveJ2KCBS_ErrorResilienceSymbol property, SaveJ2KGuardBits property, SaveJ2KDerivedBaseMantissa property, SaveJ2KDerivedBaseExponent property, SaveJ2KUseSOPMarker property, SaveJ2KUseEPHMarker property, Directory property, Filter property, DialogTitle property

Topics:

Imaging Common Dialogs: Properties, Methods, and Events


Filter property (LEADDlgFile Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | AnsiString Filter
Delphi Syntax | Filter: String
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets the filter for the Open or GetDirectory dialog boxes. This should be set in the following way:

DisplayString|filterAll Files|*.*

To use more than one filter:All Files|*.*|JPEG|*.jpg|Windows BMP|*.bmp|LEAD|*.cmp

If the user passes ‘’ to the Filter property, the file type combo box will disappear in the GetDirectory dialog box.

See Also

Elements:

ShowGetDirectoryDlg method, ShowOpenDlg method, FilterIndex property, FileName property, FileTitle property, DialogTitle property, DlgFileFlags property, InitialDir property, MaxFileSize property, MaxFileTitleSize property, PreviewEnabled property, OptionsFileType property, Bitmap property, Thumbnail property, PageNumber property, LoadPasses property, LoadCompressed property, LoadRotated property, ShowLoadOptions property, PCDResolution property, PDFXResolution property, PDFYResolution property, PDFDisplayDepth property, PDFTextAlpha property, PDFGraphicsAlpha property, RASTERMISCXResolution property, RASTERMISCYResolution property, METAFILEXResolution property, METAFILEYResolution property, VECTORMISCViewportWidth property, VECTORMISCViewportHeight property, VECTORMISCViewportMode property, VECTORMISCFont property, DXFViewportWidth property, DXFViewportHeight property, DXFViewportMode property, DXFFont property, DXFAutoCADColorScheme property, PLTViewportWidth property, PLTViewportHeight property, PLTViewportMode property, PLTPenWidth property, PLTPenColor property, Directory property, FilterIndex property, DialogTitle property

Topics:

Imaging Common Dialogs: Properties, Methods, and Events


Formats property (LEADDlgFile Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | AnsiString Formats
Delphi Syntax | Formats: String
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets the string that specifies the filter(s) to be associated or de-associated and the filter pattern for the FilesAssociation dialog box. This should be set in the following way:

DisplayString|filterAll Files|*.*

To use more than one filter:All Files|*.*|JPEG|*.jpg|Windows BMP|*.bmp|LEAD|*.cmp

See Also

Elements: | ShowFilesAssociationDlg method, SelectedExt property, ServerAppName property
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


InitialDir property (LEADDlgFile Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | AnsiString InitialDir
Delphi Syntax | InitialDir: String
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Sets a string that specifies the initial directory for the Open dialog box or the Save dialog box.If this string is empty, the current directory is used for the initial directory.

See Also

Elements:

ShowGetDirectoryDlg method, ShowOpenDlg method, ShowSaveDlg method, Filter property, FilterIndex property, FileName property, FileTitle property, DialogTitle property, DlgFileFlags property, InitialDir property, MaxFileSize property, MaxFileTitleSize property, PreviewEnabled property, OptionsFileType property, Bitmap property, Thumbnail property, PageNumber property, LoadPasses property, LoadCompressed property, LoadRotated property, ShowLoadOptions property, PCDResolution property, PDFXResolution property, PDFYResolution property, PDFDisplayDepth property, PDFTextAlpha property, PDFGraphicsAlpha property, RASTERMISCXResolution property, RASTERMISCYResolution property, METAFILEXResolution property, METAFILEYResolution property, VECTORMISCViewportWidth property, VECTORMISCViewportHeight property, VECTORMISCViewportMode property, VECTORMISCFont property, DXFViewportWidth property, DXFViewportHeight property, DXFViewportMode property, DXFFont property, DXFAutoCADColorScheme property, PLTViewportWidth property, PLTViewportHeight property, PLTViewportMode property, PLTPenWidth property, PLTPenColor property, SaveBitsPerPixel property, SaveFormat property, SaveQFactor property, SaveMulti property, SaveInterlaced property, SavePasses property, SaveWithStamp property, SaveStampBits property, SaveStampWidth property, SaveStampHeight property, SaveFileTypeIndex property, SaveSubTypeIndex property, SaveJ2KUseColorTransform property, SaveJ2KDerivedQuantization property, SaveJ2KCompressionControl property, SaveJ2KCompressionRatio property, SaveJ2KTargetFileSize property, SaveJ2KXOsiz property, SaveJ2KYOsiz property, SaveJ2KXTsiz property, SaveJ2KYTsiz property, SaveJ2KXTOsiz property, SaveJ2KYTOsiz property, SaveJ2KDecompLevel property, SaveJ2KProgressOrder property, SaveJ2KCodBlockWidth property, SaveJ2KCodBlockHeight property, SaveJ2KCBS_SelectiveACBypass property, SaveJ2KCBS_ResetContextOnBoundaries property, SaveJ2KCBS_TerminationOnEachPass property, SaveJ2KCBS_VerticallyCausalContext property, SaveJ2KCBS_PredictableTermination property, SaveJ2KCBS_ErrorResilienceSymbol property, SaveJ2KGuardBits property, SaveJ2KDerivedBaseMantissa property, SaveJ2KDerivedBaseExponent property, SaveJ2KUseSOPMarker property, SaveJ2KUseEPHMarker property

Topics:

Imaging Common Dialogs: Properties, Methods, and Events


ItemBitmap property (LEADDlgFile Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | TBitmapHandle ItemBitmap [L_UINT uIndex ]
Delphi Syntax | ItemFileName [ uIndex: L_UINT ]: TBitmapHandle
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets an array of bitmaps to be used in the image picker in the PrintStitchedImages dialog box.

You must set the ItemsCount property before using this property.

See Also

Elements: | ShowPrintPreviewDlg method, ShowPrintStitchedImagesDlg method, DevModeHandle property, DevNamesHandle property, MinMarginsRect property, ItemBitmap property, ItemFileName property, ItemDescription property
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


ItemDescription property (LEADDlgFile Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | AnsiString ItemDescription [L_UINT uIndex ]
Delphi Syntax | ItemDescription [ uIndex: L_UINT ]: String
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets a string that contains the text to be use as a tool tip for each image in the image picker when the mouse hovers over it in the PrintStitchedImages dialog box.

You have to set the ItemsCount property before using this property.

See Also

Elements: | ShowPrintPreviewDlg method, ShowPrintStitchedImagesDlg method, DevModeHandle property, DevNamesHandle property, MinMarginsRect property, ItemBitmap property, ItemFileName property, ItemDescription property
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


ItemFileName property (LEADDlgFile Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | AnsiString ItemFileName [L_UINT uIndex ]
Delphi Syntax | ItemFileName [ uIndex: L_UINT ]: String
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets a string that contains the name of the file that contains the bitmap referenced by the ItemBitmap property.

Set this property to a fully qualified path name if you wish to supply a thumbnail for previewing purposes only. This fully qualified path name will be used to load the bitmap when needed. Set this property to ‘’ to indicate that the bitmap set in the ItemBitmap property is not a thumbnail but is the bitmap to be used in processing.

You have to set the ItemsCount property before using this property.

See Also

Elements: | ShowPrintPreviewDlg method, ShowPrintStitchedImagesDlg method, DevModeHandle property, DevNamesHandle property, MinMarginsRect property, ItemBitmap property, ItemFileName property, ItemDescription property
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


ItemsCount property (LEADDlgFile Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | L_UINT ItemsCount
Delphi Syntax | ItemsCount: L_UINT
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets the number of images in the image picker associated with the PrintStitchedImages dialog box.

You must set this property to the number of elements you want to pass to the PrintStitchedImages dialog box before you set any other item properties (ItemBitmap property, ItemDescription property, and ItemFileName property).

Setting this property to 0 will remove all the old ItemBitmap property, ItemDescription property and ItemFileName property settings.

See Also

Elements: | ShowPrintPreviewDlg method, ShowPrintStitchedImagesDlg method, DevModeHandle property, DevNamesHandle property, MinMarginsRect property, ItemBitmap property, ItemFileName property, ItemDescription property
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


LEADDlgService property (LEADDlgFile Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | TLEADDlgService* LEADDlgService
Delphi Syntax | LEADDlgService: TLEADDlgService
Overview | Refer to Using Imaging Common Dialogs.

Remarks

A general property used by all the control dialogs; it is a LEAD Dialog Service Control. To apply the font set in the DialogsFont property to the dialogs of this control, set this property for the Dialog Service Control that has the font you want to apply.

See Also

Elements: | LEADImage property.
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


LEADImage property (LEADDlgFile Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | TLEADImage* LEADImage
Delphi Syntax | LEADImage: TLEADImage
Overview | Refer to Using Imaging Common Dialogs.

Remarks

A general property used by most of the control dialogs; it is a LEAD Main Control. For any Common Dialog method in which the AUTOPROCESS or SHOWPREVIEW flags are set in the DlgFlags property, you must assign a Main Control to the Control LEADImage property. This causes the Main Control's bitmap to be referenced in the Dialog Control methods and a copy is NOT created.

See Also

Elements: | LEADDlgService Property
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


LoadCompressed property (LEADDlgFile Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | bool LoadCompressed
Delphi Syntax | LoadCompressed: Boolean
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets a value that indicates whether the "Load Compressed" check box was checked in the Open dialog box.

You can set this property before calling the ShowOpenDlg method to set the initial status of the "Load Compressed" box. Possible values are:

Value | Meaning
TRUE | The "Load Compressed" check box is checked and the image should be loaded in compressed form.
FALSE | The "Load Compressed" check box is not checked and the image should not be loaded in compressed form.

See Also

Elements:

ShowOpenDlg method, Filter property, FilterIndex property, FileName property, FileTitle property, DialogTitle property, DlgFileFlags property, InitialDir property, MaxFileSize property, MaxFileTitleSize property, PreviewEnabled property, OptionsFileType property, Bitmap property, Thumbnail property, PageNumber property, LoadPasses property, LoadRotated property, ShowLoadOptions property, PCDResolution property, PDFXResolution property, PDFYResolution property, PDFDisplayDepth property, PDFTextAlpha property, PDFGraphicsAlpha property, RASTERMISCXResolution property, RASTERMISCYResolution property, METAFILEXResolution property, METAFILEYResolution property, VECTORMISCViewportWidth property, VECTORMISCViewportHeight property, VECTORMISCViewportMode property, VECTORMISCFont property, DXFViewportWidth property, DXFViewportHeight property, DXFViewportMode property, DXFFont property, DXFAutoCADColorScheme property, PLTViewportWidth property, PLTViewportHeight property, PLTViewportMode property, PLTPenWidth property, PLTPenColor property

Topics:

Imaging Common Dialogs: Properties, Methods, and Events


LoadPasses property (LEADDlgFile Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | L_INT LoadPasses
Delphi Syntax | LoadPasses: L_INT
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets the number of progressive passes (scans through the image) when loading a progressive JPEG, LEADCMP or PNG file using the Open dialog box.

Possible values when loading a progressive file are:

Any positive number | Do the specified number of times.
CALLBACK_ONCE | Do only one pass at the end.
CALLBACK_WHEN_MEANINGFUL | Do only significant scans. (This is usually the best option.)
CALLBACK_ALWAYS | Do the number of passes stored in the file.

For information on progressive loading of JBIG files, refer to Implementing JBIG Features .

See Also

Elements:

ShowOpenDlg method, Filter property, FilterIndex property, FileName property, FileTitle property, DialogTitle property, DlgFileFlags property, InitialDir property, MaxFileSize property, MaxFileTitleSize property, PreviewEnabled property, OptionsFileType property, Bitmap property, Thumbnail property, PageNumber property, LoadCompressed property, LoadRotated property, ShowLoadOptions property, PCDResolution property, PDFXResolution property, PDFYResolution property, PDFDisplayDepth property, PDFTextAlpha property, PDFGraphicsAlpha property, RASTERMISCXResolution property, RASTERMISCYResolution property, METAFILEXResolution property, METAFILEYResolution property, VECTORMISCViewportWidth property, VECTORMISCViewportHeight property, VECTORMISCViewportMode property, VECTORMISCFont property, DXFViewportWidth property, DXFViewportHeight property, DXFViewportMode property, DXFFont property, DXFAutoCADColorScheme property, PLTViewportWidth property, PLTViewportHeight property, PLTViewportMode property, PLTPenWidth property, PLTPenColor property

Topics:

Imaging Common Dialogs: Properties, Methods, and Events


LoadRotated property (LEADDlgFile Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | bool LoadRotated
Delphi Syntax | LoadRotated: Boolean
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets a value that indicates whether the "Load Rotated" check box was checked in the Open dialog box. If LoadRotated is TRUE, the Load Rotated box was checked in the dialog and the image will be loaded in a rotated state. If it is FALSE, the Load Rotated box was not checked and the image will be loaded in its original state.

You can set this property before calling the Open dialog box to set the initial status of the "Load Rotated" box.

Value | Meaning
TRUE | The "Load Rotates" check box is checked and the image should be loaded in rotated form.
FALSE | The "Load Rotated" check box is not checked and the image should not be loaded in rotated form.

See Also

Elements:

ShowOpenDlg method, Filter property, FilterIndex property, FileName property, FileTitle property, DialogTitle property, DlgFileFlags property, InitialDir property, MaxFileSize property, MaxFileTitleSize property, PreviewEnabled property, OptionsFileType property, Bitmap property, Thumbnail property, PageNumber property, LoadPasses property, LoadCompressed property, ShowLoadOptions property, PCDResolution property, PDFXResolution property, PDFYResolution property, PDFDisplayDepth property, PDFTextAlpha property, PDFGraphicsAlpha property, RASTERMISCXResolution property, RASTERMISCYResolution property, METAFILEXResolution property, METAFILEYResolution property, VECTORMISCViewportWidth property, VECTORMISCViewportHeight property, VECTORMISCViewportMode property, VECTORMISCFont property, DXFViewportWidth property, DXFViewportHeight property, DXFViewportMode property, DXFFont property, DXFAutoCADColorScheme property, PLTViewportWidth property, PLTViewportHeight property, PLTViewportMode property, PLTPenWidth property, PLTPenColor property

Topics:

Imaging Common Dialogs: Properties, Methods, and Events


MarginsRect property (LEADDlgFile Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | TRect MarginsRect
Delphi Syntax | MarginsRect: TRect
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets the widths of the left, top, right, and bottom margins, in thousandths of an inch, used by the PrintPreview and PrintStitchedImages dialog boxes. For more information on the margins, refer to the Microsoft SDK documentation – Windows User Interface – PAGESETUPDLG.

See Also

Elements: | ShowPrintPreviewDlg method, ShowPrintStitchedImagesDlg method, DevModeHandle property, DevNamesHandle property, MinMarginsRect property
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


MaxFileSize property (LEADDlgFile Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | L_UINT MaxFileSize
Delphi Syntax | MaxFileSize: L_UINT
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets the maximum size (in bytes) of the filename string in the Open dialog box and the Save dialog box.

The default value is 0. If you use the default value, or if you set this property to 0, the maximum size of the filename string will be 26000 bytes. If you do not want to use the default value, you must set this property to a value greater than or equal to 256.

See Also

Elements:

ShowOpenDlg method, ShowSaveDlg method, Filter property, FilterIndex property, FileName property, FileTitle property, DialogTitle property, DlgFileFlags property, InitialDir property, MaxFileTitleSize property, PreviewEnabled property, OptionsFileType property, Bitmap property, Thumbnail property, PageNumber property, LoadPasses property, LoadCompressed property, LoadRotated property, ShowLoadOptions property, PCDResolution property, PDFXResolution property, PDFYResolution property, PDFDisplayDepth property, PDFTextAlpha property, PDFGraphicsAlpha property, RASTERMISCXResolution property, RASTERMISCYResolution property, METAFILEXResolution property, METAFILEYResolution property, VECTORMISCViewportWidth property, VECTORMISCViewportHeight property, VECTORMISCViewportMode property, VECTORMISCFont property, DXFViewportWidth property, DXFViewportHeight property, DXFViewportMode property, DXFFont property, DXFAutoCADColorScheme property, PLTViewportWidth property, PLTViewportHeight property, PLTViewportMode property, PLTPenWidth property, PLTPenColor property, SaveBitsPerPixel property, SaveFormat property, SaveQFactor property, SaveMulti property, SaveInterlaced property, SavePasses property, SaveWithStamp property, SaveStampBits property, SaveStampWidth property, SaveStampHeight property, SaveFileTypeIndex property, SaveSubTypeIndex property, SaveJ2KUseColorTransform property, SaveJ2KDerivedQuantization property, SaveJ2KCompressionControl property, SaveJ2KCompressionRatio property, SaveJ2KTargetFileSize property, SaveJ2KXOsiz property, SaveJ2KYOsiz property, SaveJ2KXTsiz property, SaveJ2KYTsiz property, SaveJ2KXTOsiz property, SaveJ2KYTOsiz property, SaveJ2KDecompLevel property, SaveJ2KProgressOrder property, SaveJ2KCodBlockWidth property, SaveJ2KCodBlockHeight property, SaveJ2KCBS_SelectiveACBypass property, SaveJ2KCBS_ResetContextOnBoundaries property, SaveJ2KCBS_TerminationOnEachPass property, SaveJ2KCBS_VerticallyCausalContext property, SaveJ2KCBS_PredictableTermination property, SaveJ2KCBS_ErrorResilienceSymbol property, SaveJ2KGuardBits property, SaveJ2KDerivedBaseMantissa property, SaveJ2KDerivedBaseExponent property, SaveJ2KUseSOPMarker property, SaveJ2KUseEPHMarker property

Topics:

Imaging Common Dialogs: Properties, Methods, and Events


MaxFileTitleSize property (LEADDlgFile Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | L_UINT MaxFileTitleSize
Delphi Syntax | MaxFileTitleSize: L_UINT
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets the maximum size, in bytes, of the FileTitle string in the Open dialog box and the Save dialog box.

The default value is 0. If you use the default value, or if you set this property to 0, the maximum size of the filename string will be 26000 bytes. If you do not want to use the default value, you must set this property to a value greater than or equal to 256.

See Also

Elements:

ShowOpenDlg method, ShowSaveDlg method, Filter property, FilterIndex property, FileName property, FileTitle property, DialogTitle property, DlgFileFlags property, InitialDir property, MaxFileSize property, PreviewEnabled property, OptionsFileType property, Bitmap property, Thumbnail property, PageNumber property, LoadPasses property, LoadCompressed property, LoadRotated property, ShowLoadOptions property, PCDResolution property, PDFXResolution property, PDFYResolution property, PDFDisplayDepth property, PDFTextAlpha property, PDFGraphicsAlpha property, RASTERMISCXResolution property, RASTERMISCYResolution property, METAFILEXResolution property, METAFILEYResolution property, VECTORMISCViewportWidth property, VECTORMISCViewportHeight property, VECTORMISCViewportMode property, VECTORMISCFont property, DXFViewportWidth property, DXFViewportHeight property, DXFViewportMode property, DXFFont property, DXFAutoCADColorScheme property, PLTViewportWidth property, PLTViewportHeight property, PLTViewportMode property, PLTPenWidth property, PLTPenColor property, SaveBitsPerPixel property, SaveFormat property, SaveQFactor property, SaveMulti property, SaveInterlaced property, SavePasses property, SaveWithStamp property, SaveStampBits property, SaveStampWidth property, SaveStampHeight property, SaveFileTypeIndex property, SaveSubTypeIndex property, SaveJ2KUseColorTransform property, SaveJ2KDerivedQuantization property, SaveJ2KCompressionControl property, SaveJ2KCompressionRatio property, SaveJ2KTargetFileSize property, SaveJ2KXOsiz property, SaveJ2KYOsiz property, SaveJ2KXTsiz property, SaveJ2KYTsiz property, SaveJ2KXTOsiz property, SaveJ2KYTOsiz property, SaveJ2KDecompLevel property, SaveJ2KProgressOrder property, SaveJ2KCodBlockWidth property, SaveJ2KCodBlockHeight property, SaveJ2KCBS_SelectiveACBypass property, SaveJ2KCBS_ResetContextOnBoundaries property, SaveJ2KCBS_TerminationOnEachPass property, SaveJ2KCBS_VerticallyCausalContext property, SaveJ2KCBS_PredictableTermination property, SaveJ2KCBS_ErrorResilienceSymbol property, SaveJ2KGuardBits property, SaveJ2KDerivedBaseMantissa property, SaveJ2KDerivedBaseExponent property, SaveJ2KUseSOPMarker property, SaveJ2KUseEPHMarker property

Topics:

Imaging Common Dialogs: Properties, Methods, and Events


METAFILEXResolution property (LEADDlgFile Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | L_INT METAFILEXResolution
Delphi Syntax | METAFILEXResolution: L_INT
Overview | Refer to Using Imaging Common Dialogs.

Remarks

(Read Only) Gets the horizontal display resolution in dots per inch, entered by the user in the Open dialog box.

LEADTOOLS uses this property when loading WMF or EMF files.

This property is valid only if the OptionsFileType property is one of the following formats:

FILE_WMF, FILE_EMF

See Also

Elements:

ShowOpenDlg method, Filter property, FilterIndex property, FileName property, FileTitle property, DialogTitle property, DlgFileFlags property, InitialDir property, MaxFileSize property, MaxFileTitleSize property, PreviewEnabled property, OptionsFileType property, Bitmap property, Thumbnail property, PageNumber property, LoadPasses property, LoadCompressed property, LoadRotated property, ShowLoadOptions property, PCDResolution property, PDFXResolution property, PDFYResolution property, PDFDisplayDepth property, PDFTextAlpha property, PDFGraphicsAlpha property, RASTERMISCXResolution property, RASTERMISCYResolution property, METAFILEYResolution property, VECTORMISCViewportWidth property, VECTORMISCViewportHeight property, VECTORMISCViewportMode property, VECTORMISCFont property, DXFViewportWidth property, DXFViewportHeight property, DXFViewportMode property, DXFFont property, DXFAutoCADColorScheme property, PLTViewportWidth property, PLTViewportHeight property, PLTViewportMode property, PLTPenWidth property, PLTPenColor property

Topics:

Imaging Common Dialogs: Properties, Methods, and Events


METAFILEYResolution property (LEADDlgFile Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | L_INT METAFILEYResolution
Delphi Syntax | METAFILEYResolution: L_INT
Overview | Refer to Using Imaging Common Dialogs.

Remarks

(Read Only) Gets the vertical display resolution in dots per inch, entered by the user in the Open dialog box.

LEADTOOLS uses this property when loading WMF or EMF files.

This property is valid only if the OptionsFileType property is one of the following formats:

FILE_WMF, FILE_EMF

See Also

Elements:

ShowOpenDlg method, Filter property, FilterIndex property, FileName property, FileTitle property, DialogTitle property, DlgFileFlags property, InitialDir property, MaxFileSize property, MaxFileTitleSize property, PreviewEnabled property, OptionsFileType property, Bitmap property, Thumbnail property, PageNumber property, LoadPasses property, LoadCompressed property, LoadRotated property, ShowLoadOptions property, PCDResolution property, PDFXResolution property, PDFYResolution property, PDFDisplayDepth property, PDFTextAlpha property, PDFGraphicsAlpha property, RASTERMISCXResolution property, RASTERMISCYResolution property, METAFILEXResolution property, VECTORMISCViewportWidth property, VECTORMISCViewportHeight property, VECTORMISCViewportMode property, VECTORMISCFont property, DXFViewportWidth property, DXFViewportHeight property, DXFViewportMode property, DXFFont property, DXFAutoCADColorScheme property, PLTViewportWidth property, PLTViewportHeight property, PLTViewportMode property, PLTPenWidth property, PLTPenColor property

Topics:

Imaging Common Dialogs: Properties, Methods, and Events


MinMarginsRect property (LEADDlgFile Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | TRect MinMarginsRect
Delphi Syntax | MinMarginsRect: TRect
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets the minimum allowable widths for the left, top, right, and bottom margins (in thousandths of an inch) used by the PrintPreview and PrintStitchedImages dialog boxes. These values must be less than or equal to the values specified in the MarginsRect property. For more information on the margins, refer to the Microsoft SDK documentation – Windows User Interface – PAGESETUPDLG.

See Also

Elements: | ShowPrintPreviewDlg method, ShowPrintStitchedImagesDlg method, DevModeHandle property, DevNamesHandle property, MarginsRect property
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


OptionsFileType property (LEADDlgFile Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | L_UINT OptionsFileType
Delphi Syntax | OptionsFileType: L_UINT
Overview | Refer to Using Imaging Common Dialogs.

Remarks

(Read only) Gets a value the represents the type of file being opened using the Open dialog box.

Based on the file type specified in this property, you can check the properties associated with the file type.

The following properties will be valid based on the value of the OptionsFileType property:

PCDResolution property.

PDFXResolution property.

PDFYResolution property.

PDFDisplayDepth property.

PDFTextAlpha property.

PDFGraphicsAlpha property.

RASTERMISCXResolution property.

RASTERMISCYResolution property.

METAFILEXResolution property.

METAFILEYResolution property.

VECTORMISCViewportWidth property.

VECTORMISCViewportHeight property.

VECTORMISCViewportMode property.

VECTORMISCFont property.

DXFViewportWidth property.

DXFViewportHeight property.

DXFViewportMode property.

DXFFont property.

DXFAutoCADColorScheme property.

PLTViewportWidth property.

PLTViewportHeight property.

PLTViewportMode property.

PLTFont property

PLTPenWidth property.

PLTPenColor property.

The following table describes when each of the above properties becomes valid.

Value of OptionsFileType | Valid Properties
FILE_PCD | PCDResolution.
FILE_RAS_PDF | PDFXResolution.
FILE_RAS_PDF_G3_1D | PDFYResolution.
FILE_RAS_PDF_G3_2D | PDFDisplayDepth.
FILE_RAS_PDF_G4 | PDFTextAlpha.
FILE_RAS_PDF_JPEG | PDFGraphicsAlpha.
FILE_RAS_PDF_JPEG_422 |
FILE_RAS_PDF_JPEG_411 |
FILE_FPX | RASTERMISCXResolution.
FILE_FPX_SINGLE_COLOR | RASTERMISCYResolution.
FILE_FPX_JPEG |
FILE_FPX_JPEG_QFACTOR |
FILE_CMW |
FILE_JBIG |
FILE_JP2 |
FILE_J2K |
FILE_WMF | METAFILEXResolution.
FILE_EMF | METAFILEYResolution.
FILE_DWF | VECTORMISCViewportWidth.
FILE_CGM | VECTORMISCViewportHeight.
FILE_CMX | VECTORMISCViewportMode.
FILE_PCL | VECTORMISCFont.
FILE_VECTOR_DUMP |
FILE_PCT |
FILE_DRW |
FILE_INTERGRAPH_VECTOR |
FILE_GERBER |
FILE_SHP |
FILE_SVG |
FILE_VWPG |
FILE_DXF | DXFViewportWidth.
FILE_DXF_R13 | DXFViewportHeight.
FILE_DWG | DXFViewportMode.
 | DXFFont.
 | DXFAutoCADColorScheme.
FILE_PLT | PLTViewportWidth.
 | PLTViewportHeight.
 | PLTViewportMode.
 | PLTFont.
 | PLTPenWidth.
 | PLTPenColor.
Any other format | none of them are valid.

See Also

Elements:

ShowOpenDlg method, Filter property, FilterIndex property, FileName property, FileTitle property, DialogTitle property, DlgFileFlags property, InitialDir property, MaxFileSize property, MaxFileTitleSize property, PreviewEnabled property, OptionsFileType property, Bitmap property, Thumbnail property, PageNumber property, LoadPasses property, LoadCompressed property, LoadRotated property, ShowLoadOptions property, PCDResolution property, PDFXResolution property, PDFYResolution property, PDFDisplayDepth property, PDFTextAlpha property, PDFGraphicsAlpha property, RASTERMISCXResolution property, RASTERMISCYResolution property, METAFILEXResolution property, METAFILEYResolution property, VECTORMISCViewportWidth property, VECTORMISCViewportHeight property, VECTORMISCViewportMode property, VECTORMISCFont property, DXFViewportWidth property, DXFViewportHeight property, DXFViewportMode property, DXFFont property, DXFAutoCADColorScheme property, PLTViewportWidth property, PLTViewportHeight property, PLTViewportMode property, PLTPenWidth property, PLTPenColor property

Topics:

Imaging Common Dialogs: Properties, Methods, and Events


Overwrite property (LEADDlgFile Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | L_UINT Overwrite
Delphi Syntax | Overwrite: L_UINT
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets a value that indicates how to handle the existence of a file that has the same converted file name, extension, and path, when converting a file using the FileConversion dialog box. Possible values are:

Value | Meaning
DLG_FILECONVERSION_OVERWRITE_ASK | [0] A message box appears each time and asks what to do with this file. It also lets you abort all conversion operations.
DLG_FILECONVERSION_OVERWRITE_SKIP | [1] Skip converting this file and go on to the next file.
DLG_FILECONVERSION_OVERWRITE_REPLACE | [2] Replace the existing file with the new file.
DLG_FILECONVERSION_OVERWRITE_RENAME | [3] Give the new file a different file name from the existing file.

See Also

Elements: | ShowFileConversionDlg method, FileFormats property, SelectedExt property, ServerAppName property, DestinationPath property
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


PageNumber property (LEADDlgFile Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | L_INT PageNumber
Delphi Syntax | PageNumber: L_INT
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets the number of the page to load in the Open dialog box or the page to replace/insert in the Save dialog box.

You can set this property before calling the Open method to set the initial value of the "Page No:" edit box.

See Also

Elements:

ShowOpenDlg method, ShowSaveDlg method, Filter property, FilterIndex property, FileName property, FileTitle property, DialogTitle property, DlgFileFlags property, InitialDir property, MaxFileSize property, MaxFileTitleSize property, PreviewEnabled property, OptionsFileType property, Bitmap property, Thumbnail property, LoadPasses property, LoadCompressed property, LoadRotated property, ShowLoadOptions property, PCDResolution property, PDFXResolution property, PDFYResolution property, PDFDisplayDepth property, PDFTextAlpha property, PDFGraphicsAlpha property, RASTERMISCXResolution property, RASTERMISCYResolution property, METAFILEXResolution property, METAFILEYResolution property, VECTORMISCViewportWidth property, VECTORMISCViewportHeight property, VECTORMISCViewportMode property, VECTORMISCFont property, DXFViewportWidth property, DXFViewportHeight property, DXFViewportMode property, DXFFont property, DXFAutoCADColorScheme property, PLTViewportWidth property, PLTViewportHeight property, PLTViewportMode property, PLTPenWidth property, PLTPenColor property, SaveBitsPerPixel property, SaveFormat property, SaveQFactor property, SaveMulti property, SaveInterlaced property, SavePasses property, SaveWithStamp property, SaveStampBits property, SaveStampWidth property, SaveStampHeight property, SaveFileTypeIndex property, SaveSubTypeIndex property, SaveJ2KUseColorTransform property, SaveJ2KDerivedQuantization property, SaveJ2KCompressionControl property, SaveJ2KCompressionRatio property, SaveJ2KTargetFileSize property, SaveJ2KXOsiz property, SaveJ2KYOsiz property, SaveJ2KXTsiz property, SaveJ2KYTsiz property, SaveJ2KXTOsiz property, SaveJ2KYTOsiz property, SaveJ2KDecompLevel property, SaveJ2KProgressOrder property, SaveJ2KCodBlockWidth property, SaveJ2KCodBlockHeight property, SaveJ2KCBS_SelectiveACBypass property, SaveJ2KCBS_ResetContextOnBoundaries property, SaveJ2KCBS_TerminationOnEachPass property, SaveJ2KCBS_VerticallyCausalContext property, SaveJ2KCBS_PredictableTermination property, SaveJ2KCBS_ErrorResilienceSymbol property, SaveJ2KGuardBits property, SaveJ2KDerivedBaseMantissa property, SaveJ2KDerivedBaseExponent property, SaveJ2KUseSOPMarker property, SaveJ2KUseEPHMarker property

Topics:

Imaging Common Dialogs: Properties, Methods, and Events


PCDResolution property (LEADDlgFile Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | L_INT PCDResolution
Delphi Syntax | PCDResolution: L_INT
Overview | Refer to Using Imaging Common Dialogs.

Remarks

(Read Only) Gets the PCD file resolution entered by the user in the Open dialog box.

This value represents the resolution to load or use in conversion. Possible values are:

Value | Meaning
L_PCD_BASE_OVER_64 | [0] Resolution 64 x 96
L_PCD_BASE_OVER_16 | [1] Resolution 128 x 192
L_PCD_BASE_OVER_4 | [2] Resolution 256 x 384
L_PCD_BASE | [3] Resolution 512 x 768
L_PCD_4BASE | [4] Resolution 1024 x 1536
L_PCD_16BASE | [5] Resolution 2048 x 3072

This property is valid only if the OptionsFileType property is FILE_PCD.

See Also

Elements:

ShowOpenDlg method, Filter property, FilterIndex property, FileName property, FileTitle property, DialogTitle property, DlgFileFlags property, InitialDir property, MaxFileSize property, MaxFileTitleSize property, PreviewEnabled property, OptionsFileType property, Bitmap property, Thumbnail property, PageNumber property, LoadPasses property, LoadCompressed property, LoadRotated property, ShowLoadOptions property, PDFXResolution property, PDFYResolution property, PDFDisplayDepth property, PDFTextAlpha property, PDFGraphicsAlpha property, RASTERMISCXResolution property, RASTERMISCYResolution property, METAFILEXResolution property, METAFILEYResolution property, VECTORMISCViewportWidth property, VECTORMISCViewportHeight property, VECTORMISCViewportMode property, VECTORMISCFont property, DXFViewportWidth property, DXFViewportHeight property, DXFViewportMode property, DXFFont property, DXFAutoCADColorScheme property, PLTViewportWidth property, PLTViewportHeight property, PLTViewportMode property, PLTPenWidth property, PLTPenColor property

Topics:

Imaging Common Dialogs: Properties, Methods, and Events


PDFDisplayDepth property (LEADDlgFile Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | L_INT PDFDisplayDepth
Delphi Syntax | PDFDisplayDepth: L_INT
Overview | Refer to Using Imaging Common Dialogs.

Remarks

(Read Only) Gets the pixel depth entered by the user in the Open dialog box.

LEADTOOLS uses this property when loading PDF, PS or EPS files.

Possible values:

Value | Meaning
1 | 1 bit per pixel in the resultant bitmap
2 | 4 bits per pixel in the resultant bitmap
3 | 8 bits per pixel in the resultant bitmap
24 | bits per pixel in the resultant bitmap

This property is valid only if the OptionsFileType property is one of the PDF formats:

FILE_RAS_PDF, FILE_RAS_PDF_G3_1D, FILE_RAS_PDF_G3_2D, FILE_RAS_PDF_G4, FILE_RAS_PDF_JPEG, FILE_RAS_PDF_JPEG_422, FILE_RAS_PDF_JPEG_411.

See Also

Elements:

ShowOpenDlg method, Filter property, FilterIndex property, FileName property, FileTitle property, DialogTitle property, DlgFileFlags property, InitialDir property, MaxFileSize property, MaxFileTitleSize property, PreviewEnabled property, OptionsFileType property, Bitmap property, Thumbnail property, PageNumber property, LoadPasses property, LoadCompressed property, LoadRotated property, ShowLoadOptions property, PCDResolution property, PDFXResolution property, PDFYResolution property, PDFTextAlpha property, PDFGraphicsAlpha property, RASTERMISCXResolution property, RASTERMISCYResolution property, METAFILEXResolution property, METAFILEYResolution property, VECTORMISCViewportWidth property, VECTORMISCViewportHeight property, VECTORMISCViewportMode property, VECTORMISCFont property, DXFViewportWidth property, DXFViewportHeight property, DXFViewportMode property, DXFFont property, DXFAutoCADColorScheme property, PLTViewportWidth property, PLTViewportHeight property, PLTViewportMode property, PLTPenWidth property, PLTPenColor property

Topics:

Imaging Common Dialogs: Properties, Methods, and Events


PDFGraphicsAlpha property (LEADDlgFile Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | L_INT PDFGraphicsAlpha
Delphi Syntax | PDFGraphicsAlpha: L_INT
Overview | Refer to Using Imaging Common Dialogs.

Remarks

(Read Only) Gets the type of graphics anti-aliasing entered by the user in the Open dialog box.

LEADTOOLS uses this property when loading PDF, PS or EPS files. Possible values:

Value | Meaning
1 | Do not use graphics anti-aliasing.
2 | Use 2-bit graphics anti-aliasing.
4 | Use 4-bit graphics anti-aliasing.

Graphics anti-aliasing slows down the drawing of the resulting bitmap.

Graphics anti-aliasing can only be used if PDFDisplayDepth property is set to 8 or greater.

This property is valid only if the OptionsFileType property contains one of the PDF formats:

FILE_RAS_PDF, FILE_RAS_PDF_G3_1D, FILE_RAS_PDF_G3_2D, FILE_RAS_PDF_G4, FILE_RAS_PDF_JPEG, FILE_RAS_PDF_JPEG_422, FILE_RAS_PDF_JPEG_411.

See Also

Elements:

ShowOpenDlg method, Filter property, FilterIndex property, FileName property, FileTitle property, DialogTitle property, DlgFileFlags property, InitialDir property, MaxFileSize property, MaxFileTitleSize property, PreviewEnabled property, OptionsFileType property, Bitmap property, Thumbnail property, PageNumber property, LoadPasses property, LoadCompressed property, LoadRotated property, ShowLoadOptions property, PCDResolution property, PDFXResolution property, PDFYResolution property, PDFDisplayDepth property, PDFTextAlpha property, RASTERMISCXResolution property, RASTERMISCYResolution property, METAFILEXResolution property, METAFILEYResolution property, VECTORMISCViewportWidth property, VECTORMISCViewportHeight property, VECTORMISCViewportMode property, VECTORMISCFont property, DXFViewportWidth property, DXFViewportHeight property, DXFViewportMode property, DXFFont property, DXFAutoCADColorScheme property, PLTViewportWidth property, PLTViewportHeight property, PLTViewportMode property, PLTPenWidth property, PLTPenColor property

Topics:

Imaging Common Dialogs: Properties, Methods, and Events


PDFTextAlpha property (LEADDlgFile Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | L_INT PDFTextAlpha
Delphi Syntax | PDFTextAlpha: L_INT
Overview | Refer to Using Imaging Common Dialogs.

Remarks

(Read Only) Gets the type of font anti-aliasing entered by the user in the Open dialog box.

LEADTOOLS uses this property when loading PDF, PS or EPS files. Possible values:

Value | Meaning
1 | Do not use font anti-aliasing.
2 | Use 2-bit font anti-aliasing.
4 | Use 4-bit font anti-aliasing.

Aliasing is the effect on all pixel devices where diagonal and curved lines have a zigzag appearance. As pixels get larger, this effect becomes more noticeable. Anti-aliasing refers to methods designed to decrease or eliminate this effect. Shading the pixels along the borders of the affected lines does this.

Font anti-aliasing slows down the drawing of the resulting bitmap.

Font anti-aliasing can only be used if the PDFDisplayDepth property is set to 8 or greater.

This property is valid only if OptionsFileType property contains one of the PDF formats:

FILE_RAS_PDF, FILE_RAS_PDF_G3_1D, FILE_RAS_PDF_G3_2D, FILE_RAS_PDF_G4, FILE_RAS_PDF_JPEG, FILE_RAS_PDF_JPEG_422, FILE_RAS_PDF_JPEG_411

See Also

Elements:

ShowOpenDlg method, Filter property, FilterIndex property, FileName property, FileTitle property, DialogTitle property, DlgFileFlags property, InitialDir property, MaxFileSize property, MaxFileTitleSize property, PreviewEnabled property, OptionsFileType property, Bitmap property, Thumbnail property, PageNumber property, LoadPasses property, LoadCompressed property, LoadRotated property, ShowLoadOptions property, PCDResolution property, PDFXResolution property, PDFYResolution property, PDFDisplayDepth property, PDFGraphicsAlpha property, RASTERMISCXResolution property, RASTERMISCYResolution property, METAFILEXResolution property, METAFILEYResolution property, VECTORMISCViewportWidth property, VECTORMISCViewportHeight property, VECTORMISCViewportMode property, VECTORMISCFont property, DXFViewportWidth property, DXFViewportHeight property, DXFViewportMode property, DXFFont property, DXFAutoCADColorScheme property, PLTViewportWidth property, PLTViewportHeight property, PLTViewportMode property, PLTPenWidth property, PLTPenColor property

Topics:

Imaging Common Dialogs: Properties, Methods, and Events


PDFXResolution property (LEADDlgFile Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | L_INT PDFXResolution
Delphi Syntax | PDFXResolution: L_INT
Overview | Refer to Using Imaging Common Dialogs.

Remarks

(Read Only) Gets the horizontal display resolution in dots per inch, entered by the user in the Open dialog box.

LEADTOOLS uses this property when loading PDF, PS or EPS files.

This property is valid only if the OptionsFileType property contains one of the PDF formats:

FILE_RAS_PDF, FILE_RAS_PDF_G3_1D, FILE_RAS_PDF_G3_2D, FILE_RAS_PDF_G4, FILE_RAS_PDF_JPEG, FILE_RAS_PDF_JPEG_422, FILE_RAS_PDF_JPEG_411.

See Also

Elements:

ShowOpenDlg method, Filter property, FilterIndex property, FileName property, FileTitle property, DialogTitle property, DlgFileFlags property, InitialDir property, MaxFileSize property, MaxFileTitleSize property, PreviewEnabled property, OptionsFileType property, Bitmap property, Thumbnail property, PageNumber property, LoadPasses property, LoadCompressed property, LoadRotated property, ShowLoadOptions property, PCDResolution property, PDFYResolution property, PDFDisplayDepth property, PDFTextAlpha property, PDFGraphicsAlpha property, RASTERMISCXResolution property, RASTERMISCYResolution property, METAFILEXResolution property, METAFILEYResolution property, VECTORMISCViewportWidth property, VECTORMISCViewportHeight property, VECTORMISCViewportMode property, VECTORMISCFont property, DXFViewportWidth property, DXFViewportHeight property, DXFViewportMode property, DXFFont property, DXFAutoCADColorScheme property, PLTViewportWidth property, PLTViewportHeight property, PLTViewportMode property, PLTPenWidth property, PLTPenColor property

Topics:

Imaging Common Dialogs: Properties, Methods, and Events


PDFYResolution property (LEADDlgFile Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | L_INT PDFYResolution
Delphi Syntax | PDFYResolution: L_INT
Overview | Refer to Using Imaging Common Dialogs.

Remarks

(Read Only) Gets the vertical display resolution, in dots per inch, entered by the user in the Open dialog box.

LEADTOOLS uses this property when loading PDF, PS or EPS files.

This property is valid only if the OptionsFileType property contains one of the PDF formats:

FILE_RAS_PDF, FILE_RAS_PDF_G3_1D, FILE_RAS_PDF_G3_2D, FILE_RAS_PDF_G4, FILE_RAS_PDF_JPEG, FILE_RAS_PDF_JPEG_422, FILE_RAS_PDF_JPEG_411.

See Also

Elements:

ShowOpenDlg method, Filter property, FilterIndex property, FileName property, FileTitle property, DialogTitle property, DlgFileFlags property, InitialDir property, MaxFileSize property, MaxFileTitleSize property, PreviewEnabled property, OptionsFileType property, Bitmap property, Thumbnail property, PageNumber property, LoadPasses property, LoadCompressed property, LoadRotated property, ShowLoadOptions property, PCDResolution property, PDFXResolution property, PDFDisplayDepth property, PDFTextAlpha property, PDFGraphicsAlpha property, RASTERMISCXResolution property, RASTERMISCYResolution property, METAFILEXResolution property, METAFILEYResolution property, VECTORMISCViewportWidth property, VECTORMISCViewportHeight property, VECTORMISCViewportMode property, VECTORMISCFont property, DXFViewportWidth property, DXFViewportHeight property, DXFViewportMode property, DXFFont property, DXFAutoCADColorScheme property, PLTViewportWidth property, PLTViewportHeight property, PLTViewportMode property, PLTPenWidth property, PLTPenColor property

Topics:

Imaging Common Dialogs: Properties, Methods, and Events


PLTPenColor property (LEADDlgFile Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | L_UINT PLTPenColor [L_UINT uIndex]
Delphi Syntax | PLTPenColor [uIndex: L_UINT]: L_UINT
Overview | Refer to Using Imaging Common Dialogs.

Remarks

(Read only) Gets an array of COLORREF structures that represents pen colors used by an HPGL file opened by the Open dialog box.

This property is valid only if the OptionsFileType property is FILE_PLT.

See Also

Elements:

ShowOpenDlg method, Filter property, FilterIndex property, FileName property, FileTitle property, DialogTitle property, DlgFileFlags property, InitialDir property, MaxFileSize property, MaxFileTitleSize property, PreviewEnabled property, OptionsFileType property, Bitmap property, Thumbnail property, PageNumber property, LoadPasses property, LoadCompressed property, LoadRotated property, ShowLoadOptions property, PCDResolution property, PDFXResolution property, PDFYResolution property, PDFDisplayDepth property, PDFTextAlpha property, PDFGraphicsAlpha property, RASTERMISCXResolution property, RASTERMISCYResolution property, METAFILEXResolution property, METAFILEYResolution property, VECTORMISCViewportWidth property, VECTORMISCViewportHeight property, VECTORMISCViewportMode property, VECTORMISCFont property, DXFViewportWidth property, DXFViewportHeight property, DXFViewportMode property, DXFFont property, DXFAutoCADColorScheme property, PLTViewportWidth property, PLTViewportHeight property, PLTViewportMode property, PLTPenWidth property

Topics:

Imaging Common Dialogs: Properties, Methods, and Events


PLTPenWidth property (LEADDlgFile Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | L_UINT PLTPenWidth[L_UINT uIndex]
Delphi Syntax | PLTPenWidth[uIndex: L_UINT]: L_UINT
Overview | Refer to Using Imaging Common Dialogs.

Remarks

(Read only) An array of integers that represents pen widths used by an HPGL file opened by the Open dialog box.

This property is valid only if the OptionsFileType property is FILE_PLT.

See Also

Elements:

ShowOpenDlg method, Filter property, FilterIndex property, FileName property, FileTitle property, DialogTitle property, DlgFileFlags property, InitialDir property, MaxFileSize property, MaxFileTitleSize property, PreviewEnabled property, OptionsFileType property, Bitmap property, Thumbnail property, PageNumber property, LoadPasses property, LoadCompressed property, LoadRotated property, ShowLoadOptions property, PCDResolution property, PDFXResolution property, PDFYResolution property, PDFDisplayDepth property, PDFTextAlpha property, PDFGraphicsAlpha property, RASTERMISCXResolution property, RASTERMISCYResolution property, METAFILEXResolution property, METAFILEYResolution property, VECTORMISCViewportWidth property, VECTORMISCViewportHeight property, VECTORMISCViewportMode property, VECTORMISCFont property, DXFViewportWidth property, DXFViewportHeight property, DXFViewportMode property, DXFFont property, DXFAutoCADColorScheme property, PLTViewportWidth property, PLTViewportHeight property, PLTViewportMode property, PLTPenColor property

Topics:

Imaging Common Dialogs: Properties, Methods, and Events


PLTViewportHeight property (LEADDlgFile Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | L_INT PLTViewportHeight
Delphi Syntax | PLTViewportHeight: L_INT
Overview | Refer to Using Imaging Common Dialogs.

Remarks

(Read only) Gets the viewport height value entered by the user in the Open dialog box.

This property is valid only if the OptionsFileType property is FILE_PLT.

See Also

Elements:

ShowOpenDlg method, Filter property, FilterIndex property, FileName property, FileTitle property, DialogTitle property, DlgFileFlags property, InitialDir property, MaxFileSize property, MaxFileTitleSize property, PreviewEnabled property, OptionsFileType property, Bitmap property, Thumbnail property, PageNumber property, LoadPasses property, LoadCompressed property, LoadRotated property, ShowLoadOptions property, PCDResolution property, PDFXResolution property, PDFYResolution property, PDFDisplayDepth property, PDFTextAlpha property, PDFGraphicsAlpha property, RASTERMISCXResolution property, RASTERMISCYResolution property, METAFILEXResolution property, METAFILEYResolution property, VECTORMISCViewportWidth property, VECTORMISCViewportHeight property, VECTORMISCViewportMode property, VECTORMISCFont property, DXFViewportWidth property, DXFViewportHeight property, DXFViewportMode property, DXFFont property, DXFAutoCADColorScheme property, PLTViewportWidth property, PLTViewportMode property, PLTPenWidth property, PLTPenColor property

Topics:

Imaging Common Dialogs: Properties, Methods, and Events


PLTViewportMode property (LEADDlgFile Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | L_UINT PLTViewportMode
Delphi Syntax | PLTViewportMode: L_UINT
Overview | Refer to Using Imaging Common Dialogs.

Remarks

(Read Only) Gets the viewport mode value entered by the user in the Open dialog box. Possible values are:

Value | Meaning
L2D_USE_BEST | Fit the drawing into the current view-port width and height. Final image size is less than or equal to view-port size.
L2D_USE_WIDTH | Use the current view-port width. Calculate the new height, preserving the aspect ratio. Final image size has the same width as the current view-port width, with the height less than or equal to the current view-port height.
L2D_USE_HEIGHT | Use the current view-port height. Calculate the new width, preserving the aspect ratio. Final image size has the same height as the current view-port height, with the width less than or equal to the current view-port width.
L2D_USE_WIDTH_HEIGHT | Use both the width and the height (stretch image if necessary). Final image size has the same width and height as the current view-port size.

This property is valid only if the OptionsFileType property is FILE_PLT.

See Also

Elements:

ShowOpenDlg method, Filter property, FilterIndex property, FileName property, FileTitle property, DialogTitle property, DlgFileFlags property, InitialDir property, MaxFileSize property, MaxFileTitleSize property, PreviewEnabled property, OptionsFileType property, Bitmap property, Thumbnail property, PageNumber property, LoadPasses property, LoadCompressed property, LoadRotated property, ShowLoadOptions property, PCDResolution property, PDFXResolution property, PDFYResolution property, PDFDisplayDepth property, PDFTextAlpha property, PDFGraphicsAlpha property, RASTERMISCXResolution property, RASTERMISCYResolution property, METAFILEXResolution property, METAFILEYResolution property, VECTORMISCViewportWidth property, VECTORMISCViewportHeight property, VECTORMISCViewportMode property, VECTORMISCFont property, DXFViewportWidth property, DXFViewportHeight property, DXFViewportMode property, DXFFont property, DXFAutoCADColorScheme property, PLTViewportWidth property, PLTViewportHeight property, PLTPenWidth property, PLTPenColor property

Topics:

Imaging Common Dialogs: Properties, Methods, and Events


PLTViewportWidth property (LEADDlgFile Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | L_INT PLTViewportWidth
Delphi Syntax | PLTViewportWidth: L_INT
Overview | Refer to Using Imaging Common Dialogs.

Remarks

(Read Only) Gets the viewport width value entered by the user in the Open dialog box.

This property is valid only if the OptionsFileType property is FILE_PLT.

See Also

Elements:

ShowOpenDlg method, Filter property, FilterIndex property, FileName property, FileTitle property, DialogTitle property, DlgFileFlags property, InitialDir property, MaxFileSize property, MaxFileTitleSize property, PreviewEnabled property, OptionsFileType property, Bitmap property, Thumbnail property, PageNumber property, LoadPasses property, LoadCompressed property, LoadRotated property, ShowLoadOptions property, PCDResolution property, PDFXResolution property, PDFYResolution property, PDFDisplayDepth property, PDFTextAlpha property, PDFGraphicsAlpha property, RASTERMISCXResolution property, RASTERMISCYResolution property, METAFILEXResolution property, METAFILEYResolution property, VECTORMISCViewportWidth property, VECTORMISCViewportHeight property, VECTORMISCViewportMode property, VECTORMISCFont property, DXFViewportWidth property, DXFViewportHeight property, DXFViewportMode property, DXFFont property, DXFAutoCADColorScheme property, PLTViewportHeight property, PLTViewportMode property, PLTPenWidth property, PLTPenColor property

Topics:

Imaging Common Dialogs: Properties, Methods, and Events


PreviewEnabled property (LEADDlgFile Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | bool PreviewEnabled
Delphi Syntax | PreviewEnabled: Boolean
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets a value that indicates whether to show the Preview window in the Open dialog box, if DLG_OPEN_SHOW_PREVIEW is set in DlgFlags. Possible values are:

Value | Meaning
TRUE | View the preview window.
FALSE | Hide the preview window.

See Also

Elements:

ShowOpenDlg method, Filter property, FilterIndex property, FileName property, FileTitle property, DialogTitle property, DlgFileFlags property, InitialDir property, MaxFileSize property, MaxFileTitleSize property, PreviewEnabled property, OptionsFileType property, Bitmap property, Thumbnail property, PageNumber property, LoadPasses property, LoadCompressed property, LoadRotated property, ShowLoadOptions property, PCDResolution property, PDFXResolution property, PDFYResolution property, PDFDisplayDepth property, PDFTextAlpha property, PDFGraphicsAlpha property, RASTERMISCXResolution property, RASTERMISCYResolution property, METAFILEXResolution property, METAFILEYResolution property, VECTORMISCViewportWidth property, VECTORMISCViewportHeight property, VECTORMISCViewportMode property, VECTORMISCFont property, DXFViewportWidth property, DXFViewportHeight property, DXFViewportMode property, DXFFont property, DXFAutoCADColorScheme property, PLTViewportWidth property, PLTViewportHeight property, PLTViewportMode property, PLTPenWidth property, PLTPenColor property

Topics:

Imaging Common Dialogs: Properties, Methods, and Events


RASTERMISCXResolution property (LEADDlgFile Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | L_INT RASTERMISCXResolution
Delphi Syntax | RASTERMISCXResolution: L_INT
Overview | Refer to Using Imaging Common Dialogs.

Remarks

(Read Only) Gets the width of the bitmap to load in the Open dialog box.

This property is valid only if the OptionsFileType property is one of the following formats:

FILE_FPX, FILE_FPX_SINGLE_COLOR, FILE_FPX_JPEG, FILE_FPX_JPEG_QFACTOR, FILE_CMW, FILE_JBIG, FILE_JP2, FILE_J2K.

See Also

Elements:

ShowOpenDlg method, Filter property, FilterIndex property, FileName property, FileTitle property, DialogTitle property, DlgFileFlags property, InitialDir property, MaxFileSize property, MaxFileTitleSize property, PreviewEnabled property, OptionsFileType property, Bitmap property, Thumbnail property, PageNumber property, LoadPasses property, LoadCompressed property, LoadRotated property, ShowLoadOptions property, PCDResolution property, PDFXResolution property, PDFYResolution property, PDFDisplayDepth property, PDFTextAlpha property, PDFGraphicsAlpha property, RASTERMISCYResolution property, METAFILEXResolution property, METAFILEYResolution property, VECTORMISCViewportWidth property, VECTORMISCViewportHeight property, VECTORMISCViewportMode property, VECTORMISCFont property, DXFViewportWidth property, DXFViewportHeight property, DXFViewportMode property, DXFFont property, DXFAutoCADColorScheme property, PLTViewportWidth property, PLTViewportHeight property, PLTViewportMode property, PLTPenWidth property, PLTPenColor property

Topics:

Imaging Common Dialogs: Properties, Methods, and Events


RASTERMISCYResolution property (LEADDlgFile Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | L_INT RASTERMISCYResolution
Delphi Syntax | RASTERMISCYResolution: L_INT
Overview | Refer to Using Imaging Common Dialogs.

Remarks

(Read Only) Get the height of the bitmap to load in the Open dialog box.

This property is valid only if the OptionsFileType property is one of the following formats:

FILE_FPX, FILE_FPX_SINGLE_COLOR, FILE_FPX_JPEG, FILE_FPX_JPEG_QFACTOR, FILE_CMW, FILE_JBIG, FILE_JP2, FILE_J2K.

See Also

Elements:

ShowOpenDlg method, Filter property, FilterIndex property, FileName property, FileTitle property, DialogTitle property, DlgFileFlags property, InitialDir property, MaxFileSize property, MaxFileTitleSize property, PreviewEnabled property, OptionsFileType property, Bitmap property, Thumbnail property, PageNumber property, LoadPasses property, LoadCompressed property, LoadRotated property, ShowLoadOptions property, PCDResolution property, PDFXResolution property, PDFYResolution property, PDFDisplayDepth property, PDFTextAlpha property, PDFGraphicsAlpha property, RASTERMISCXResolution property, METAFILEXResolution property, METAFILEYResolution property, VECTORMISCViewportWidth property, VECTORMISCViewportHeight property, VECTORMISCViewportMode property, VECTORMISCFont property, DXFViewportWidth property, DXFViewportHeight property, DXFViewportMode property, DXFFont property, DXFAutoCADColorScheme property, PLTViewportWidth property, PLTViewportHeight property, PLTViewportMode property, PLTPenWidth property, PLTPenColor property

Topics:

Imaging Common Dialogs: Properties, Methods, and Events


RemoveSourceFile property (LEADDlgFile Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | bool RemoveSourceFile
Delphi Syntax | RemoveSourceFile: Boolean
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets a value that indicates whether the "Delete\Overwrite file(s)" check box was checked in the FileConversion dialog box and whether to remove the source file(s) after the conversion operation is finished. Possible values are:

Value | Meaning
TRUE | The "Delete\Overwrite file(s)" check box was checked and the remove the source file after the conversion process has completed.
FALSE | The "Delete\Overwrite file(s)" check box was not checked and do not remove the source file after the conversion process has completed.

See Also

Elements: | ShowFileConversionDlg method, FileFormats property, SelectedExt property, ServerAppName property, DestinationPath property, SourceFilePath property
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


SaveBitsPerPixel property (LEADDlgFile Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | L_UINT SaveBitsPerPixel
Delphi Syntax | SaveBitsPerPixel: L_UINT
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets the number of bits per pixel to use when saving the file in the Save dialog box.

Support for 12 and 16-bit grayscale image is available only in the Document/Medical toolkits. Possible values are:

Setting | Description
1 | 1 bit per pixel in the resultant bitmap
2 | 2 bits per pixel in the resultant bitmap
3 | 3 bits per pixel in the resultant bitmap
4 | 4 bits per pixel in the resultant bitmap
5 | 5 bits per pixel in the resultant bitmap
6 | 6 bits per pixel in the resultant bitmap
7 | 7 bits per pixel in the resultant bitmap
8 | 8 bits per pixel in the resultant bitmap
12 | 12 bits per pixel in the resultant bitmap
16 | 16 bits per pixel in the resultant bitmap
24 | 24 bits per pixel in the resultant bitmap
32 | 32 bits per pixel in the resultant bitmap

If you specify a valid SaveFormat and SaveBitsPerPixel combination before showing the Save dialog box, then the File Type list box will be initialized with the corresponding type. If the specified combination is not valid, the File Type list box will be initialized with the value of the FilterIndex property.

See Also

Elements:

ShowSaveDlg method, Filter property, FilterIndex property, FileName property, FileTitle property, DialogTitle property, DlgFileFlags property, InitialDir property, MaxFileSize property, MaxFileTitleSize property, PageNumber property, SaveFormat property, SaveQFactor property, SaveMulti property, SaveInterlaced property, SavePasses property, SaveWithStamp property, SaveStampBits property, SaveStampWidth property, SaveStampHeight property, SaveFileTypeIndex property, SaveSubTypeIndex property, SaveJ2KUseColorTransform property, SaveJ2KDerivedQuantization property, SaveJ2KCompressionControl property, SaveJ2KCompressionRatio property, SaveJ2KTargetFileSize property, SaveJ2KXOsiz property, SaveJ2KYOsiz property, SaveJ2KXTsiz property, SaveJ2KYTsiz property, SaveJ2KXTOsiz property, SaveJ2KYTOsiz property, SaveJ2KDecompLevel property, SaveJ2KProgressOrder property, SaveJ2KCodBlockWidth property, SaveJ2KCodBlockHeight property, SaveJ2KCBS_SelectiveACBypass property, SaveJ2KCBS_ResetContextOnBoundaries property, SaveJ2KCBS_TerminationOnEachPass property, SaveJ2KCBS_VerticallyCausalContext property, SaveJ2KCBS_PredictableTermination property, SaveJ2KCBS_ErrorResilienceSymbol property, SaveJ2KGuardBits property, SaveJ2KDerivedBaseMantissa property, SaveJ2KDerivedBaseExponent property, SaveJ2KUseSOPMarker property, SaveJ2KUseEPHMarker property

Topics:

Imaging Common Dialogs: Properties, Methods, and Events


SaveFileTypeIndex property (LEADDlgFile Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | L_UINT SaveFileTypeIndex
Delphi Syntax | SaveFileTypeIndex: L_UINT
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets the file type.

When the ShowSaveDlg method returns, this property will be updated with the file type entered by the user through the dialog. Set this property before calling the ShowSaveDlg method to initialize the dialog. For example, to set the initial selection on "LEAD (*.cmp)" format set this member to DLG_FF_SAVE_LEAD. For a list of possible values, refer to Customizing File Format Lists.

See Also

Elements:

ShowSaveDlg method, Filter property, FilterIndex property, FileName property, FileTitle property, DialogTitle property, DlgFileFlags property, InitialDir property, MaxFileSize property, MaxFileTitleSize property, PageNumber property, SaveBitsPerPixel property, SaveFormat property, SaveQFactor property, SaveMulti property, SaveInterlaced property, SavePasses property, SaveWithStamp property, SaveStampBits property, SaveStampWidth property, SaveStampHeight property, SaveSubTypeIndex property, SaveJ2KUseColorTransform property, SaveJ2KDerivedQuantization property, SaveJ2KCompressionControl property, SaveJ2KCompressionRatio property, SaveJ2KTargetFileSize property, SaveJ2KXOsiz property, SaveJ2KYOsiz property, SaveJ2KXTsiz property, SaveJ2KYTsiz property, SaveJ2KXTOsiz property, SaveJ2KYTOsiz property, SaveJ2KDecompLevel property, SaveJ2KProgressOrder property, SaveJ2KCodBlockWidth property, SaveJ2KCodBlockHeight property, SaveJ2KCBS_SelectiveACBypass property, SaveJ2KCBS_ResetContextOnBoundaries property, SaveJ2KCBS_TerminationOnEachPass property, SaveJ2KCBS_VerticallyCausalContext property, SaveJ2KCBS_PredictableTermination property, SaveJ2KCBS_ErrorResilienceSymbol property, SaveJ2KGuardBits property, SaveJ2KDerivedBaseMantissa property, SaveJ2KDerivedBaseExponent property, SaveJ2KUseSOPMarker property, SaveJ2KUseEPHMarker property

Topics:

Imaging Common Dialogs: Properties, Methods, and Events


SaveFormat property (LEADDlgFile Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | L_UINT SaveFormat
Delphi Syntax | SaveFormat: L_UINT
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets the format to use when saving the file from the Save dialog box. For information on output types, refer to the ShowSaveDlg method.

See Also

Elements:

ShowSaveDlg method, Filter property, FilterIndex property, FileName property, FileTitle property, DialogTitle property, DlgFileFlags property, InitialDir property, MaxFileSize property, MaxFileTitleSize property, PageNumber property, SaveBitsPerPixel property, SaveQFactor property, SaveMulti property, SaveInterlaced property, SavePasses property, SaveWithStamp property, SaveStampBits property, SaveStampWidth property, SaveStampHeight property, SaveFileTypeIndex property, SaveSubTypeIndex property, SaveJ2KUseColorTransform property, SaveJ2KDerivedQuantization property, SaveJ2KCompressionControl property, SaveJ2KCompressionRatio property, SaveJ2KTargetFileSize property, SaveJ2KXOsiz property, SaveJ2KYOsiz property, SaveJ2KXTsiz property, SaveJ2KYTsiz property, SaveJ2KXTOsiz property, SaveJ2KYTOsiz property, SaveJ2KDecompLevel property, SaveJ2KProgressOrder property, SaveJ2KCodBlockWidth property, SaveJ2KCodBlockHeight property, SaveJ2KCBS_SelectiveACBypass property, SaveJ2KCBS_ResetContextOnBoundaries property, SaveJ2KCBS_TerminationOnEachPass property, SaveJ2KCBS_VerticallyCausalContext property, SaveJ2KCBS_PredictableTermination property, SaveJ2KCBS_ErrorResilienceSymbol property, SaveJ2KGuardBits property, SaveJ2KDerivedBaseMantissa property, SaveJ2KDerivedBaseExponent property, SaveJ2KUseSOPMarker property, SaveJ2KUseEPHMarker property

Topics:

Imaging Common Dialogs: Properties, Methods, and Events


SaveInterlaced property (LEADDlgFile Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | bool SaveInterlaced
Delphi Syntax | SaveInterlaced: Boolean
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets a value that indicates whether Interlaced GIF was selected as the format in which to save the file from the Save dialog box. If SaveInterlaced is TRUE, Interlaced GIF was chosen. If it is FALSE, Interlaced GIF was not chosen. (GIF files may be saved interlaced or non-interlaced)

See Also

Elements:

ShowSaveDlg method, Filter property, FilterIndex property, FileName property, FileTitle property, DialogTitle property, DlgFileFlags property, InitialDir property, MaxFileSize property, MaxFileTitleSize property, PageNumber property, SaveBitsPerPixel property, SaveFormat property, SaveQFactor property, SaveMulti property, SavePasses property, SaveWithStamp property, SaveStampBits property, SaveStampWidth property, SaveStampHeight property, SaveFileTypeIndex property, SaveSubTypeIndex property, SaveJ2KUseColorTransform property, SaveJ2KDerivedQuantization property, SaveJ2KCompressionControl property, SaveJ2KCompressionRatio property, SaveJ2KTargetFileSize property, SaveJ2KXOsiz property, SaveJ2KYOsiz property, SaveJ2KXTsiz property, SaveJ2KYTsiz property, SaveJ2KXTOsiz property, SaveJ2KYTOsiz property, SaveJ2KDecompLevel property, SaveJ2KProgressOrder property, SaveJ2KCodBlockWidth property, SaveJ2KCodBlockHeight property, SaveJ2KCBS_SelectiveACBypass property, SaveJ2KCBS_ResetContextOnBoundaries property, SaveJ2KCBS_TerminationOnEachPass property, SaveJ2KCBS_VerticallyCausalContext property, SaveJ2KCBS_PredictableTermination property, SaveJ2KCBS_ErrorResilienceSymbol property, SaveJ2KGuardBits property, SaveJ2KDerivedBaseMantissa property, SaveJ2KDerivedBaseExponent property, SaveJ2KUseSOPMarker property, SaveJ2KUseEPHMarker property

Topics:

Imaging Common Dialogs: Properties, Methods, and Events


SaveJ2KCBS_ErrorResilienceSymbol property (LEADDlgFile Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | bool SaveJ2KCBS_ErrorResilienceSymbol
Delphi Syntax | SaveJ2KCBS_ErrorResilienceSymbol: Boolean
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets a value that indicates whether a 4 symbol marker is included for each bit-plane, following the normalization pass and whether the "Error Resilience Symbol" check box is checked in the Save dialog box. Possible values are:

Value | Meaning
TRUE | The "Error Resilience Symbol" check box is checked and a 4 symbol marker is included for each bit-plane, following the normalization pass.
FALSE | The "Error Resilience Symbol" check box is not checked and a 4 symbol marker is not included for each bit-plane, following the normalization pass.

See Also

Elements:

ShowSaveDlg method, Filter property, FilterIndex property, FileName property, FileTitle property, DialogTitle property, DlgFileFlags property, InitialDir property, MaxFileSize property, MaxFileTitleSize property, PageNumber property, SaveBitsPerPixel property, SaveFormat property, SaveQFactor property, SaveMulti property, SaveInterlaced property, SavePasses property, SaveWithStamp property, SaveStampBits property, SaveStampWidth property, SaveStampHeight property, SaveFileTypeIndex property, SaveSubTypeIndex property, SaveJ2KUseColorTransform property, SaveJ2KDerivedQuantization property, SaveJ2KCompressionControl property, SaveJ2KCompressionRatio property, SaveJ2KTargetFileSize property, SaveJ2KXOsiz property, SaveJ2KYOsiz property, SaveJ2KXTsiz property, SaveJ2KYTsiz property, SaveJ2KXTOsiz property, SaveJ2KYTOsiz property, SaveJ2KDecompLevel property, SaveJ2KProgressOrder property, SaveJ2KCodBlockWidth property, SaveJ2KCodBlockHeight property, SaveJ2KCBS_SelectiveACBypass property, SaveJ2KCBS_ResetContextOnBoundaries property, SaveJ2KCBS_TerminationOnEachPass property, SaveJ2KCBS_VerticallyCausalContext property, SaveJ2KCBS_PredictableTermination property, SaveJ2KGuardBits property, SaveJ2KDerivedBaseMantissa property, SaveJ2KDerivedBaseExponent property, SaveJ2KUseSOPMarker property, SaveJ2KUseEPHMarker property

Topics:

Imaging Common Dialogs: Properties, Methods, and Events


SaveJ2KCBS_PredictableTermination property (LEADDlgFile Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | bool SaveJ2KCBS_PredictableTermination
Delphi Syntax | SaveJ2KCBS_PredictableTermination: Boolean
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets a value that indicates whether the encoder has a predictable termination policy and identifies that the policy was used in the code-stream COD/COC markers and whether the "Predictable Termination" check box is checked in the Save dialog box. This can be used to implement error detection and concealment. Possible values are:

Value | Meaning
TRUE | The "Predictable Termination" check box is checked and the encoder has a predictable termination policy and identifies that the policy was used in the COD/COC markers.
FALSE | The "Predictable Termination" check box is not checked and the encoder does not have a predictable termination policy.

See Also

Elements:

ShowSaveDlg method, Filter property, FilterIndex property, FileName property, FileTitle property, DialogTitle property, DlgFileFlags property, InitialDir property, MaxFileSize property, MaxFileTitleSize property, PageNumber property, SaveBitsPerPixel property, SaveFormat property, SaveQFactor property, SaveMulti property, SaveInterlaced property, SavePasses property, SaveWithStamp property, SaveStampBits property, SaveStampWidth property, SaveStampHeight property, SaveFileTypeIndex property, SaveSubTypeIndex property, SaveJ2KUseColorTransform property, SaveJ2KDerivedQuantization property, SaveJ2KCompressionControl property, SaveJ2KCompressionRatio property, SaveJ2KTargetFileSize property, SaveJ2KXOsiz property, SaveJ2KYOsiz property, SaveJ2KXTsiz property, SaveJ2KYTsiz property, SaveJ2KXTOsiz property, SaveJ2KYTOsiz property, SaveJ2KDecompLevel property, SaveJ2KProgressOrder property, SaveJ2KCodBlockWidth property, SaveJ2KCodBlockHeight property, SaveJ2KCBS_SelectiveACBypass property, SaveJ2KCBS_ResetContextOnBoundaries property, SaveJ2KCBS_TerminationOnEachPass property, SaveJ2KCBS_VerticallyCausalContext property, SaveJ2KCBS_ErrorResilienceSymbol property, SaveJ2KGuardBits property, SaveJ2KDerivedBaseMantissa property, SaveJ2KDerivedBaseExponent property, SaveJ2KUseSOPMarker property, SaveJ2KUseEPHMarker property

Topics:

Imaging Common Dialogs: Properties, Methods, and Events


SaveJ2KCBS_ResetContextOnBoundaries property (LEADDlgFile Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | bool SaveJ2KCBS_ResetContextOnBoundaries
Delphi Syntax | SaveJ2KCBS_ResetContextOnBoundaries: Boolean
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets a value that indicates whether the arithmetic coder's probability models are reset between coding passes and whether the "Reset Context On Boundaries" check box is checked in the Save dialog box. This controls where the end of encoded data is and limits the amount of potentially lost data in the event of a transmission error. Possible values are:

Value | Meaning
TRUE | The "Reset Context On Boundaries" check box is checked and the arithmetic coder's probability models are reset between coding passes.
FALSE | The "Reset Context On Boundaries" check box is not checked and the arithmetic coder's probability models are not reset between coding passes.

See Also

Elements:

ShowSaveDlg method, Filter property, FilterIndex property, FileName property, FileTitle property, DialogTitle property, DlgFileFlags property, InitialDir property, MaxFileSize property, MaxFileTitleSize property, PageNumber property, SaveBitsPerPixel property, SaveFormat property, SaveQFactor property, SaveMulti property, SaveInterlaced property, SavePasses property, SaveWithStamp property, SaveStampBits property, SaveStampWidth property, SaveStampHeight property, SaveFileTypeIndex property, SaveSubTypeIndex property, SaveJ2KUseColorTransform property, SaveJ2KDerivedQuantization property, SaveJ2KCompressionControl property, SaveJ2KCompressionRatio property, SaveJ2KTargetFileSize property, SaveJ2KXOsiz property, SaveJ2KYOsiz property, SaveJ2KXTsiz property, SaveJ2KYTsiz property, SaveJ2KXTOsiz property, SaveJ2KYTOsiz property, SaveJ2KDecompLevel property, SaveJ2KProgressOrder property, SaveJ2KCodBlockWidth property, SaveJ2KCodBlockHeight property, SaveJ2KCBS_SelectiveACBypass property, SaveJ2KCBS_TerminationOnEachPass property, SaveJ2KCBS_VerticallyCausalContext property, SaveJ2KCBS_PredictableTermination property, SaveJ2KCBS_ErrorResilienceSymbol property, SaveJ2KGuardBits property, SaveJ2KDerivedBaseMantissa property, SaveJ2KDerivedBaseExponent property, SaveJ2KUseSOPMarker property, SaveJ2KUseEPHMarker property

Topics:

Imaging Common Dialogs: Properties, Methods, and Events


SaveJ2KCBS_SelectiveACBypass property (LEADDlgFile Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | bool SaveJ2KCBS_SelectiveACBypass
Delphi Syntax | SaveJ2KCBS_SelectiveACBypass: Boolean
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets a value that indicates whether the "lazy coding mode" is adopted and whether the "Selective AC Bypass" check box was checked in the Save dialog box. If the lazy coding mode is adopted, trailing bit-planes bypass the arithmetic coder except in the normalization pass. Possible values are:

Value | Meaning
TRUE | The "lazy-coding mode" is adopted and the "Selective AC Bypass" check box is checked. Trailing bit-planes bypass the arithmetic coder except in the normalization pass.
FALSE | The arithmetic encoder will be used on all passes and the "Selective AC Bypass" check box is not checked.

See Also

Elements:

ShowSaveDlg method, Filter property, FilterIndex property, FileName property, FileTitle property, DialogTitle property, DlgFileFlags property, InitialDir property, MaxFileSize property, MaxFileTitleSize property, PageNumber property, SaveBitsPerPixel property, SaveFormat property, SaveQFactor property, SaveMulti property, SaveInterlaced property, SavePasses property, SaveWithStamp property, SaveStampBits property, SaveStampWidth property, SaveStampHeight property, SaveFileTypeIndex property, SaveSubTypeIndex property, SaveJ2KUseColorTransform property, SaveJ2KDerivedQuantization property, SaveJ2KCompressionControl property, SaveJ2KCompressionRatio property, SaveJ2KTargetFileSize property, SaveJ2KXOsiz property, SaveJ2KYOsiz property, SaveJ2KXTsiz property, SaveJ2KYTsiz property, SaveJ2KXTOsiz property, SaveJ2KYTOsiz property, SaveJ2KDecompLevel property, SaveJ2KProgressOrder property, SaveJ2KCodBlockWidth property, SaveJ2KCodBlockHeight property, SaveJ2KCBS_ResetContextOnBoundaries property, SaveJ2KCBS_TerminationOnEachPass property, SaveJ2KCBS_VerticallyCausalContext property, SaveJ2KCBS_PredictableTermination property, SaveJ2KCBS_ErrorResilienceSymbol property, SaveJ2KGuardBits property, SaveJ2KDerivedBaseMantissa property, SaveJ2KDerivedBaseExponent property, SaveJ2KUseSOPMarker property, SaveJ2KUseEPHMarker property

Topics:

Imaging Common Dialogs: Properties, Methods, and Events


SaveJ2KCBS_TerminationOnEachPass property (LEADDlgFile Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | bool SaveJ2KCBS_TerminationOnEachPass
Delphi Syntax | SaveJ2KCBS_TerminationOnEachPass: Boolean
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets a value that indicates whether the arithmetic code-word generation process stops on a byte boundary at the end of each coding pass and whether the "Termination On Each Pass" check box is checked in the Save dialog box. Possible values are:

Value | Meaning
TRUE | The "Termination On Each Pass" check box is checked and the arithmetic code-word generation process stops on a byte boundary at the end of each coding pass.
FALSE | The "Termination On Each Pass" check box is not checked and the arithmetic code-word generation process does not stop on a byte boundary at the end of each coding pass.

See Also

Elements:

ShowSaveDlg method, Filter property, FilterIndex property, FileName property, FileTitle property, DialogTitle property, DlgFileFlags property, InitialDir property, MaxFileSize property, MaxFileTitleSize property, PageNumber property, SaveBitsPerPixel property, SaveFormat property, SaveQFactor property, SaveMulti property, SaveInterlaced property, SavePasses property, SaveWithStamp property, SaveStampBits property, SaveStampWidth property, SaveStampHeight property, SaveFileTypeIndex property, SaveSubTypeIndex property, SaveJ2KUseColorTransform property, SaveJ2KDerivedQuantization property, SaveJ2KCompressionControl property, SaveJ2KCompressionRatio property, SaveJ2KTargetFileSize property, SaveJ2KXOsiz property, SaveJ2KYOsiz property, SaveJ2KXTsiz property, SaveJ2KYTsiz property, SaveJ2KXTOsiz property, SaveJ2KYTOsiz property, SaveJ2KDecompLevel property, SaveJ2KProgressOrder property, SaveJ2KCodBlockWidth property, SaveJ2KCodBlockHeight property, SaveJ2KCBS_SelectiveACBypass property, SaveJ2KCBS_ResetContextOnBoundaries property, SaveJ2KCBS_VerticallyCausalContext property, SaveJ2KCBS_PredictableTermination property, SaveJ2KCBS_ErrorResilienceSymbol property, SaveJ2KGuardBits property, SaveJ2KDerivedBaseMantissa property, SaveJ2KDerivedBaseExponent property, SaveJ2KUseSOPMarker property, SaveJ2KUseEPHMarker property

Topics:

Imaging Common Dialogs: Properties, Methods, and Events


SaveJ2KCBS_VerticallyCausalContext property (LEADDlgFile Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | bool SaveJ2KCBS_VerticallyCausalContext
Delphi Syntax | SaveJ2KCBS_VerticallyCausalContext: Boolean
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets a value that indicates whether the context models are restricted to being vertically causal within each sub-block and whether the "Vertically Causal Context" check box was checked in the Save dialog box. Possible values are:

Value | Meaning
TRUE | The "Vertically Causal Context" check box is checked and the context models are restricted to being vertically causal within each sub-block.
FALSE | The "Vertically Causal Context" check box is not checked and the context models are not restricted to being vertically causal within each sub-block.

See Also

Elements:

ShowSaveDlg method, Filter property, FilterIndex property, FileName property, FileTitle property, DialogTitle property, DlgFileFlags property, InitialDir property, MaxFileSize property, MaxFileTitleSize property, PageNumber property, SaveBitsPerPixel property, SaveFormat property, SaveQFactor property, SaveMulti property, SaveInterlaced property, SavePasses property, SaveWithStamp property, SaveStampBits property, SaveStampWidth property, SaveStampHeight property, SaveFileTypeIndex property, SaveSubTypeIndex property, SaveJ2KUseColorTransform property, SaveJ2KDerivedQuantization property, SaveJ2KCompressionControl property, SaveJ2KCompressionRatio property, SaveJ2KTargetFileSize property, SaveJ2KXOsiz property, SaveJ2KYOsiz property, SaveJ2KXTsiz property, SaveJ2KYTsiz property, SaveJ2KXTOsiz property, SaveJ2KYTOsiz property, SaveJ2KDecompLevel property, SaveJ2KProgressOrder property, SaveJ2KCodBlockWidth property, SaveJ2KCodBlockHeight property, SaveJ2KCBS_SelectiveACBypass property, SaveJ2KCBS_ResetContextOnBoundaries property, SaveJ2KCBS_TerminationOnEachPass property, SaveJ2KCBS_PredictableTermination property, SaveJ2KCBS_ErrorResilienceSymbol property, SaveJ2KGuardBits property, SaveJ2KDerivedBaseMantissa property, SaveJ2KDerivedBaseExponent property, SaveJ2KUseSOPMarker property, SaveJ2KUseEPHMarker property

Topics:

Imaging Common Dialogs: Properties, Methods, and Events


SaveJ2KCodBlockHeight property (LEADDlgFile Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | L_UINT SaveJ2KCodBlockHeight
Delphi Syntax | SaveJ2KCodBlockHeight: L_UINT
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets the height of the code block, following wavelet transformation, in the Save dialog box. This property is used only if the file to be saved is a J2K file.

The value must be a power of 2. It must be at least 4 and less than or equal to 1024.

See Also

Elements:

ShowSaveDlg method, Filter property, FilterIndex property, FileName property, FileTitle property, DialogTitle property, DlgFileFlags property, InitialDir property, MaxFileSize property, MaxFileTitleSize property, PageNumber property, SaveBitsPerPixel property, SaveFormat property, SaveQFactor property, SaveMulti property, SaveInterlaced property, SavePasses property, SaveWithStamp property, SaveStampBits property, SaveStampWidth property, SaveStampHeight property, SaveFileTypeIndex property, SaveSubTypeIndex property, SaveJ2KUseColorTransform property, SaveJ2KDerivedQuantization property, SaveJ2KCompressionControl property, SaveJ2KCompressionRatio property, SaveJ2KTargetFileSize property, SaveJ2KXOsiz property, SaveJ2KYOsiz property, SaveJ2KXTsiz property, SaveJ2KYTsiz property, SaveJ2KXTOsiz property, SaveJ2KYTOsiz property, SaveJ2KDecompLevel property, SaveJ2KProgressOrder property, SaveJ2KCodBlockWidth property, SaveJ2KCBS_SelectiveACBypass property, SaveJ2KCBS_ResetContextOnBoundaries property, SaveJ2KCBS_TerminationOnEachPass property, SaveJ2KCBS_VerticallyCausalContext property, SaveJ2KCBS_PredictableTermination property, SaveJ2KCBS_ErrorResilienceSymbol property, SaveJ2KGuardBits property, SaveJ2KDerivedBaseMantissa property, SaveJ2KDerivedBaseExponent property, SaveJ2KUseSOPMarker property, SaveJ2KUseEPHMarker property

Topics:

Imaging Common Dialogs: Properties, Methods, and Events


SaveJ2KCodBlockWidth property (LEADDlgFile Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | L_UINT SaveJ2KCodBlockWidth
Delphi Syntax | SaveJ2KCodBlockWidth: L_UINT
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets the width of the code block, following wavelet transformation, in the Save dialog box. This property is used only if the file to be saved is a J2K file.

The value must be a power of 2. It must be at least 4 and less than or equal to 1024.

See Also

Elements:

ShowSaveDlg method, Filter property, FilterIndex property, FileName property, FileTitle property, DialogTitle property, DlgFileFlags property, InitialDir property, MaxFileSize property, MaxFileTitleSize property, PageNumber property, SaveBitsPerPixel property, SaveFormat property, SaveQFactor property, SaveMulti property, SaveInterlaced property, SavePasses property, SaveWithStamp property, SaveStampBits property, SaveStampWidth property, SaveStampHeight property, SaveFileTypeIndex property, SaveSubTypeIndex property, SaveJ2KUseColorTransform property, SaveJ2KDerivedQuantization property, SaveJ2KCompressionControl property, SaveJ2KCompressionRatio property, SaveJ2KTargetFileSize property, SaveJ2KXOsiz property, SaveJ2KYOsiz property, SaveJ2KXTsiz property, SaveJ2KYTsiz property, SaveJ2KXTOsiz property, SaveJ2KYTOsiz property, SaveJ2KDecompLevel property, SaveJ2KProgressOrder property, SaveJ2KCodBlockHeight property, SaveJ2KCBS_SelectiveACBypass property, SaveJ2KCBS_ResetContextOnBoundaries property, SaveJ2KCBS_TerminationOnEachPass property, SaveJ2KCBS_VerticallyCausalContext property, SaveJ2KCBS_PredictableTermination property, SaveJ2KCBS_ErrorResilienceSymbol property, SaveJ2KGuardBits property, SaveJ2KDerivedBaseMantissa property, SaveJ2KDerivedBaseExponent property, SaveJ2KUseSOPMarker property, SaveJ2KUseEPHMarker property

Topics:

Imaging Common Dialogs: Properties, Methods, and Events


SaveJ2KCompressionControl property (LEADDlgFile Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | L_UINT SaveJ2KCompressionControl
Delphi Syntax | SaveJ2KCompressionControl: L_UINT
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets a value that indicates how to determine the resulting compression. The value of this property determines which property should be used for determining the compression. This property is used in the Save dialog box, if the file to be save is a J2K file. Possible values are:

Value | Meaning
J2K_COMPRESSION_LOSSLESS | Lossless compression.
J2K_COMPRESSION_RATIO | Compress the file based on the value of the SaveJ2KCompressionRatio property.
J2K_COMPRESSION_TARGETSIZE | Compress the file based on the target file size in the SaveJ2KTargetFileSize property.
J2K_COMPRESSION_QFACTOR | Compress the file based on the quality factor used when saving the file.

See Also

Elements:

ShowSaveDlg method, Filter property, FilterIndex property, FileName property, FileTitle property, DialogTitle property, DlgFileFlags property, InitialDir property, MaxFileSize property, MaxFileTitleSize property, PageNumber property, SaveBitsPerPixel property, SaveFormat property, SaveQFactor property, SaveMulti property, SaveInterlaced property, SavePasses property, SaveWithStamp property, SaveStampBits property, SaveStampWidth property, SaveStampHeight property, SaveFileTypeIndex property, SaveSubTypeIndex property, SaveJ2KUseColorTransform property, SaveJ2KDerivedQuantization property, SaveJ2KCompressionRatio property, SaveJ2KTargetFileSize property, SaveJ2KXOsiz property, SaveJ2KYOsiz property, SaveJ2KXTsiz property, SaveJ2KYTsiz property, SaveJ2KXTOsiz property, SaveJ2KYTOsiz property, SaveJ2KDecompLevel property, SaveJ2KProgressOrder property, SaveJ2KCodBlockWidth property, SaveJ2KCodBlockHeight property, SaveJ2KCBS_SelectiveACBypass property, SaveJ2KCBS_ResetContextOnBoundaries property, SaveJ2KCBS_TerminationOnEachPass property, SaveJ2KCBS_VerticallyCausalContext property, SaveJ2KCBS_PredictableTermination property, SaveJ2KCBS_ErrorResilienceSymbol property, SaveJ2KGuardBits property, SaveJ2KDerivedBaseMantissa property, SaveJ2KDerivedBaseExponent property, SaveJ2KUseSOPMarker property, SaveJ2KUseEPHMarker property

Topics:

Imaging Common Dialogs: Properties, Methods, and Events


SaveJ2KCompressionRatio property (LEADDlgFile Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | float SaveJ2KCompressionRatio
Delphi Syntax | SaveJ2KCompressionRatio: Single
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets the compression ratio to use. This value is used only if the SaveJ2KCompressionControl property is J2K_COMPRESSION_RATIO.

See Also

Elements:

ShowSaveDlg method, Filter property, FilterIndex property, FileName property, FileTitle property, DialogTitle property, DlgFileFlags property, InitialDir property, MaxFileSize property, MaxFileTitleSize property, PageNumber property, SaveBitsPerPixel property, SaveFormat property, SaveQFactor property, SaveMulti property, SaveInterlaced property, SavePasses property, SaveWithStamp property, SaveStampBits property, SaveStampWidth property, SaveStampHeight property, SaveFileTypeIndex property, SaveSubTypeIndex property, SaveJ2KUseColorTransform property, SaveJ2KDerivedQuantization property, SaveJ2KCompressionControl property, SaveJ2KTargetFileSize property, SaveJ2KXOsiz property, SaveJ2KYOsiz property, SaveJ2KXTsiz property, SaveJ2KYTsiz property, SaveJ2KXTOsiz property, SaveJ2KYTOsiz property, SaveJ2KDecompLevel property, SaveJ2KProgressOrder property, SaveJ2KCodBlockWidth property, SaveJ2KCodBlockHeight property, SaveJ2KCBS_SelectiveACBypass property, SaveJ2KCBS_ResetContextOnBoundaries property, SaveJ2KCBS_TerminationOnEachPass property, SaveJ2KCBS_VerticallyCausalContext property, SaveJ2KCBS_PredictableTermination property, SaveJ2KCBS_ErrorResilienceSymbol property, SaveJ2KGuardBits property, SaveJ2KDerivedBaseMantissa property, SaveJ2KDerivedBaseExponent property, SaveJ2KUseSOPMarker property, SaveJ2KUseEPHMarker property

Topics:

Imaging Common Dialogs: Properties, Methods, and Events


SaveJ2KDecompLevel Property (ILEADRasterDlgFile)

SaveJ2KDecompLevel Property (LEADDlgFile Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | L_UINT SaveJ2KDecompLevel
Delphi Syntax | SaveJ2KDecompLevel: L_UINT
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the value of the Decompress level edit box in the Save dialog box. This value represents the number of resolution levels in the compressed file. The maximum number of levels depends on the size of the image. Each resolution level is one-half the size of the previous resolution, starting with the full image resolution.

This property is used only if the file to be saved is a J2K file. Setting this property with values that are too large will cause the save operation to fail.

See Also

Elements

ShowSaveDlg method, Filter property, FilterIndex property, FileName property, FileTitle property, DialogTitle property, DlgFileFlags property, InitialDir property, MaxFileSize property, MaxFileTitleSize property, PageNumber property, SaveBitsPerPixel property, SaveFormat property, SaveQFactor property, SaveMulti property, SaveInterlaced property, SavePasses property, SaveWithStamp property, SaveStampBits property, SaveStampWidth property, SaveStampHeight property, SaveFileTypeIndex property, SaveSubTypeIndex property, SaveJ2KUseColorTransform property, SaveJ2KDerivedQuantization property, SaveJ2KCompressionControl property, SaveJ2KCompressionRatio property, SaveJ2KTargetFileSize property, SaveJ2KXOsiz property, SaveJ2KYOsiz property, SaveJ2KXTsiz property, SaveJ2KYTsiz property, SaveJ2KXTOsiz property, SaveJ2KYTOsiz property, SaveJ2KDerivedBaseExponent property, SaveJ2KProgressOrder property, SaveJ2KCodBlockWidth property, SaveJ2KCodBlockHeight property, SaveJ2KCBS_SelectiveACBypass property, SaveJ2KCBS_ResetContextOnBoundaries property, SaveJ2KCBS_TerminationOnEachPass property, SaveJ2KCBS_VerticallyCausalContext property, SaveJ2KCBS_PredictableTermination property, SaveJ2KCBS_ErrorResilienceSymbol property, SaveJ2KGuardBits property, SaveJ2KDerivedBaseMantissa property, SaveJ2KUseSOPMarker property, SaveJ2KUseEPHMarker property

Topics:

Imaging Common Dialogs: Properties, Methods, and Events


SaveJ2KDerivedBaseExponent property (LEADDlgFile Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | L_INT SaveJ2KDerivedBaseExponent
Delphi Syntax | SaveJ2KDerivedBaseExponent: L_INT
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets the base exponent used for derived quantization in the Save dialog box. This property is used only if the file being saved is a J2K file.

See Also

Elements:

ShowSaveDlg method, Filter property, FilterIndex property, FileName property, FileTitle property, DialogTitle property, DlgFileFlags property, InitialDir property, MaxFileSize property, MaxFileTitleSize property, PageNumber property, SaveBitsPerPixel property, SaveFormat property, SaveQFactor property, SaveMulti property, SaveInterlaced property, SavePasses property, SaveWithStamp property, SaveStampBits property, SaveStampWidth property, SaveStampHeight property, SaveFileTypeIndex property, SaveSubTypeIndex property, SaveJ2KUseColorTransform property, SaveJ2KDerivedQuantization property, SaveJ2KCompressionControl property, SaveJ2KCompressionRatio property, SaveJ2KTargetFileSize property, SaveJ2KXOsiz property, SaveJ2KYOsiz property, SaveJ2KXTsiz property, SaveJ2KYTsiz property, SaveJ2KXTOsiz property, SaveJ2KYTOsiz property, SaveJ2KDecompLevel property, SaveJ2KProgressOrder property, SaveJ2KCodBlockWidth property, SaveJ2KCodBlockHeight property, SaveJ2KCBS_SelectiveACBypass property, SaveJ2KCBS_ResetContextOnBoundaries property, SaveJ2KCBS_TerminationOnEachPass property, SaveJ2KCBS_VerticallyCausalContext property, SaveJ2KCBS_PredictableTermination property, SaveJ2KCBS_ErrorResilienceSymbol property, SaveJ2KGuardBits property, SaveJ2KDerivedBaseMantissa property, SaveJ2KUseSOPMarker property, SaveJ2KUseEPHMarker property

Topics:

Imaging Common Dialogs: Properties, Methods, and Events


SaveJ2KDerivedBaseMantissa property (LEADDlgFile Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | L_INT SaveJ2KDerivedBaseMantissa
Delphi Syntax | SaveJ2KDerivedBaseMantissa: L_INT
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets the base mantissa used for derived quantization in the Save dialog box. This property is used only if the saved file is a J2K file.

See Also

Elements:

ShowSaveDlg method, Filter property, FilterIndex property, FileName property, FileTitle property, DialogTitle property, DlgFileFlags property, InitialDir property, MaxFileSize property, MaxFileTitleSize property, PageNumber property, SaveBitsPerPixel property, SaveFormat property, SaveQFactor property, SaveMulti property, SaveInterlaced property, SavePasses property, SaveWithStamp property, SaveStampBits property, SaveStampWidth property, SaveStampHeight property, SaveFileTypeIndex property, SaveSubTypeIndex property, SaveJ2KUseColorTransform property, SaveJ2KDerivedQuantization property, SaveJ2KCompressionControl property, SaveJ2KCompressionRatio property, SaveJ2KTargetFileSize property, SaveJ2KXOsiz property, SaveJ2KYOsiz property, SaveJ2KXTsiz property, SaveJ2KYTsiz property, SaveJ2KXTOsiz property, SaveJ2KYTOsiz property, SaveJ2KDecompLevel property, SaveJ2KProgressOrder property, SaveJ2KCodBlockWidth property, SaveJ2KCodBlockHeight property, SaveJ2KCBS_SelectiveACBypass property, SaveJ2KCBS_ResetContextOnBoundaries property, SaveJ2KCBS_TerminationOnEachPass property, SaveJ2KCBS_VerticallyCausalContext property, SaveJ2KCBS_PredictableTermination property, SaveJ2KCBS_ErrorResilienceSymbol property, SaveJ2KGuardBits property, SaveJ2KDerivedBaseExponent property, SaveJ2KUseSOPMarker property, SaveJ2KUseEPHMarker property

Topics:

Imaging Common Dialogs: Properties, Methods, and Events


SaveJ2KDerivedQuantization property (LEADDlgFile Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | bool SaveJ2KDerivedQuantization
Delphi Syntax | SaveJ2KDerivedQuantization: Boolean
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets a value that indicates whether to use derived quantization or expounded quantization. This property is used in the Save dialog box. Possible values are:

Value | Meaning
TRUE | The "Use derived Quantization" check box in the Save dialog box is checked and derived quantization is used.
FALSE | The "Use derived Quantization" check box is not checked, and expounded quantization is used.

See Also

Elements:

ShowSaveDlg method, Filter property, FilterIndex property, FileName property, FileTitle property, DialogTitle property, DlgFileFlags property, InitialDir property, MaxFileSize property, MaxFileTitleSize property, PageNumber property, SaveBitsPerPixel property, SaveFormat property, SaveQFactor property, SaveMulti property, SaveInterlaced property, SavePasses property, SaveWithStamp property, SaveStampBits property, SaveStampWidth property, SaveStampHeight property, SaveFileTypeIndex property, SaveSubTypeIndex property, SaveJ2KUseColorTransform property, SaveJ2KCompressionControl property, SaveJ2KCompressionRatio property, SaveJ2KTargetFileSize property, SaveJ2KXOsiz property, SaveJ2KYOsiz property, SaveJ2KXTsiz property, SaveJ2KYTsiz property, SaveJ2KXTOsiz property, SaveJ2KYTOsiz property, SaveJ2KDecompLevel property, SaveJ2KProgressOrder property, SaveJ2KCodBlockWidth property, SaveJ2KCodBlockHeight property, SaveJ2KCBS_SelectiveACBypass property, SaveJ2KCBS_ResetContextOnBoundaries property, SaveJ2KCBS_TerminationOnEachPass property, SaveJ2KCBS_VerticallyCausalContext property, SaveJ2KCBS_PredictableTermination property, SaveJ2KCBS_ErrorResilienceSymbol property, SaveJ2KGuardBits property, SaveJ2KDerivedBaseMantissa property, SaveJ2KDerivedBaseExponent property, SaveJ2KUseSOPMarker property, SaveJ2KUseEPHMarker property

Topics:

Imaging Common Dialogs: Properties, Methods, and Events


SaveJ2KGuardBits property (LEADDlgFile Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | L_UINT SaveJ2KGuardBits
Delphi Syntax | SaveJ2KGuardBits: L_UINT
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets the number of extra bits to consider when encoding an image in the Save dialog box.

This prevents coding overflow. Possible values are 0 - 7. The default is 2. This property is used only when the file being saved is a J2K file.

See Also

Elements:

ShowSaveDlg method, Filter property, FilterIndex property, FileName property, FileTitle property, DialogTitle property, DlgFileFlags property, InitialDir property, MaxFileSize property, MaxFileTitleSize property, PageNumber property, SaveBitsPerPixel property, SaveFormat property, SaveQFactor property, SaveMulti property, SaveInterlaced property, SavePasses property, SaveWithStamp property, SaveStampBits property, SaveStampWidth property, SaveStampHeight property, SaveFileTypeIndex property, SaveSubTypeIndex property, SaveJ2KUseColorTransform property, SaveJ2KDerivedQuantization property, SaveJ2KCompressionControl property, SaveJ2KCompressionRatio property, SaveJ2KTargetFileSize property, SaveJ2KXOsiz property, SaveJ2KYOsiz property, SaveJ2KXTsiz property, SaveJ2KYTsiz property, SaveJ2KXTOsiz property, SaveJ2KYTOsiz property, SaveJ2KDecompLevel property, SaveJ2KProgressOrder property, SaveJ2KCodBlockWidth property, SaveJ2KCodBlockHeight property, SaveJ2KCBS_SelectiveACBypass property, SaveJ2KCBS_ResetContextOnBoundaries property, SaveJ2KCBS_TerminationOnEachPass property, SaveJ2KCBS_VerticallyCausalContext property, SaveJ2KCBS_PredictableTermination property, SaveJ2KCBS_ErrorResilienceSymbol property, SaveJ2KDerivedBaseMantissa property, SaveJ2KDerivedBaseExponent property, SaveJ2KUseSOPMarker property, SaveJ2KUseEPHMarker property

Topics:

Imaging Common Dialogs: Properties, Methods, and Events


SaveJ2KProgressOrder property (LEADDlgFile Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | L_UINT SaveJ2KProgressOrder
Delphi Syntax | SaveJ2KProgressOrder: L_UINT
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets a value that indicates the order of progression in the Save dialog box. This property is used only if the file to be saved is a J2K file. Possible values are:

Value | Description
J2K_LAYER_RESOLUTION_COMPONENT_POSITION | [0] Quality–axis order.
J2K_RESOLUTION_LAYER_COMPONENT_POSITION | [1] Resolution-axis order.
J2K_RESOLUTION_POSITION_COMPONENT_LAYER | [2] Resolution-axis order.
J2K_POSITION_COMPONENT_RESOLUTION_LAYER | [3] Position–axis order.
J2K_COMPONENT_POSITION_RESOLUTION_LAYER | [4] Color-axis order.

See Also

Elements:

ShowSaveDlg method, Filter property, FilterIndex property, FileName property, FileTitle property, DialogTitle property, DlgFileFlags property, InitialDir property, MaxFileSize property, MaxFileTitleSize property, PageNumber property, SaveBitsPerPixel property, SaveFormat property, SaveQFactor property, SaveMulti property, SaveInterlaced property, SavePasses property, SaveWithStamp property, SaveStampBits property, SaveStampWidth property, SaveStampHeight property, SaveFileTypeIndex property, SaveSubTypeIndex property, SaveJ2KUseColorTransform property, SaveJ2KDerivedQuantization property, SaveJ2KCompressionControl property, SaveJ2KCompressionRatio property, SaveJ2KTargetFileSize property, SaveJ2KXOsiz property, SaveJ2KYOsiz property, SaveJ2KXTsiz property, SaveJ2KYTsiz property, SaveJ2KXTOsiz property, SaveJ2KYTOsiz property, SaveJ2KDecompLevel property, SaveJ2KCodBlockWidth property, SaveJ2KCodBlockHeight property, SaveJ2KCBS_SelectiveACBypass property, SaveJ2KCBS_ResetContextOnBoundaries property, SaveJ2KCBS_TerminationOnEachPass property, SaveJ2KCBS_VerticallyCausalContext property, SaveJ2KCBS_PredictableTermination property, SaveJ2KCBS_ErrorResilienceSymbol property, SaveJ2KGuardBits property, SaveJ2KDerivedBaseMantissa property, SaveJ2KDerivedBaseExponent property, SaveJ2KUseSOPMarker property, SaveJ2KUseEPHMarker property

Topics:

Imaging Common Dialogs: Properties, Methods, and Events


SaveJ2KTargetFileSize property (LEADDlgFile Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | L_UINT SaveJ2KTargetFileSize
Delphi Syntax | SaveJ2KTargetFileSize: L_UINT
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets the size of the target file (in bytes) in the Save dialog box, if the file to be saved is a J2K file. This value is used only if the SaveJ2KCompressionControl property is set to J2K_COMPRESSION_TARGETSIZE.

See Also

Elements:

ShowSaveDlg method, Filter property, FilterIndex property, FileName property, FileTitle property, DialogTitle property, DlgFileFlags property, InitialDir property, MaxFileSize property, MaxFileTitleSize property, PageNumber property, SaveBitsPerPixel property, SaveFormat property, SaveQFactor property, SaveMulti property, SaveInterlaced property, SavePasses property, SaveWithStamp property, SaveStampBits property, SaveStampWidth property, SaveStampHeight property, SaveFileTypeIndex property, SaveSubTypeIndex property, SaveJ2KUseColorTransform property, SaveJ2KDerivedQuantization property, SaveJ2KCompressionControl property, SaveJ2KCompressionRatio property, SaveJ2KXOsiz property, SaveJ2KYOsiz property, SaveJ2KXTsiz property, SaveJ2KYTsiz property, SaveJ2KXTOsiz property, SaveJ2KYTOsiz property, SaveJ2KDecompLevel property, SaveJ2KProgressOrder property, SaveJ2KCodBlockWidth property, SaveJ2KCodBlockHeight property, SaveJ2KCBS_SelectiveACBypass property, SaveJ2KCBS_ResetContextOnBoundaries property, SaveJ2KCBS_TerminationOnEachPass property, SaveJ2KCBS_VerticallyCausalContext property, SaveJ2KCBS_PredictableTermination property, SaveJ2KCBS_ErrorResilienceSymbol property, SaveJ2KGuardBits property, SaveJ2KDerivedBaseMantissa property, SaveJ2KDerivedBaseExponent property, SaveJ2KUseSOPMarker property, SaveJ2KUseEPHMarker property

Topics:

Imaging Common Dialogs: Properties, Methods, and Events


SaveJ2KUseColorTransform property (LEADDlgFile Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | bool SaveJ2KUseColorTransform
Delphi Syntax | SaveJ2KUseColorTransform: Boolean
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets a value that indicates whether to convert an RGB image to YUV space before compressing (YUV space provides greater compression with higher image quality). Possible values are:

Value | Meaning
TRUE | Convert to YUV space before compressing. (Default)
FALSE | Do not convert to YUV space before compressing.

See Also

Elements:

ShowSaveDlg method, Filter property, FilterIndex property, FileName property, FileTitle property, DialogTitle property, DlgFileFlags property, InitialDir property, MaxFileSize property, MaxFileTitleSize property, PageNumber property, SaveBitsPerPixel property, SaveFormat property, SaveQFactor property, SaveMulti property, SaveInterlaced property, SavePasses property, SaveWithStamp property, SaveStampBits property, SaveStampWidth property, SaveStampHeight property, SaveFileTypeIndex property, SaveSubTypeIndex property, SaveJ2KDerivedQuantization property, SaveJ2KCompressionControl property, SaveJ2KCompressionRatio property, SaveJ2KTargetFileSize property, SaveJ2KXOsiz property, SaveJ2KYOsiz property, SaveJ2KXTsiz property, SaveJ2KYTsiz property, SaveJ2KXTOsiz property, SaveJ2KYTOsiz property, SaveJ2KDecompLevel property, SaveJ2KProgressOrder property, SaveJ2KCodBlockWidth property, SaveJ2KCodBlockHeight property, SaveJ2KCBS_SelectiveACBypass property, SaveJ2KCBS_ResetContextOnBoundaries property, SaveJ2KCBS_TerminationOnEachPass property, SaveJ2KCBS_VerticallyCausalContext property, SaveJ2KCBS_PredictableTermination property, SaveJ2KCBS_ErrorResilienceSymbol property, SaveJ2KGuardBits property, SaveJ2KDerivedBaseMantissa property, SaveJ2KDerivedBaseExponent property, SaveJ2KUseSOPMarker property, SaveJ2KUseEPHMarker property

Topics:

Imaging Common Dialogs: Properties, Methods, and Events


SaveJ2KUseEPHMarker property (LEADDlgFile Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | bool SaveJ2KUseEPHMarker
Delphi Syntax | SaveJ2KUseEPHMarker: Boolean
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets a value that indicates whether the EPH Marker will be used and whether the "Use EPH Marker" check box is checked in the Save dialog box. This property is used only if the file being saved is a J2K file. Possible values:

Value | Meaning
TRUE | The "Use EPH Marker" check box was checked and the EPH marker will be used.
FALSE | The "Use EPH Marker" check box was not checked and the EPH marker will not be used (Default).

See Also

Elements:

ShowSaveDlg method, Filter property, FilterIndex property, FileName property, FileTitle property, DialogTitle property, DlgFileFlags property, InitialDir property, MaxFileSize property, MaxFileTitleSize property, PageNumber property, SaveBitsPerPixel property, SaveFormat property, SaveQFactor property, SaveMulti property, SaveInterlaced property, SavePasses property, SaveWithStamp property, SaveStampBits property, SaveStampWidth property, SaveStampHeight property, SaveFileTypeIndex property, SaveSubTypeIndex property, SaveJ2KUseColorTransform property, SaveJ2KDerivedQuantization property, SaveJ2KCompressionControl property, SaveJ2KCompressionRatio property, SaveJ2KTargetFileSize property, SaveJ2KXOsiz property, SaveJ2KYOsiz property, SaveJ2KXTsiz property, SaveJ2KYTsiz property, SaveJ2KXTOsiz property, SaveJ2KYTOsiz property, SaveJ2KDecompLevel property, SaveJ2KProgressOrder property, SaveJ2KCodBlockWidth property, SaveJ2KCodBlockHeight property, SaveJ2KCBS_SelectiveACBypass property, SaveJ2KCBS_ResetContextOnBoundaries property, SaveJ2KCBS_TerminationOnEachPass property, SaveJ2KCBS_VerticallyCausalContext property, SaveJ2KCBS_PredictableTermination property, SaveJ2KCBS_ErrorResilienceSymbol property, SaveJ2KGuardBits property, SaveJ2KDerivedBaseMantissa property, SaveJ2KDerivedBaseExponent property, SaveJ2KUseSOPMarker property

Topics:

Imaging Common Dialogs: Properties, Methods, and Events


SaveJ2KUseSOPMarker property (LEADDlgFile Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | bool SaveJ2KUseSOPMarker
Delphi Syntax | SaveJ2KUseSOPMarker: Boolean
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets a value that indicates whether the SOP Marker will be used and whether the "Use SOP Marker" check box is checked in the Save dialog box. This property is used only if the file being saved is a J2K file. Possible values:

Value | Meaning
TRUE | The "Use SOP Marker" check box was checked and the SOP marker will be used.
FALSE | The "Use SOP Marker" check box was not checked and the SOP marker will not be used (Default).

See Also

Elements:

ShowSaveDlg method, Filter property, FilterIndex property, FileName property, FileTitle property, DialogTitle property, DlgFileFlags property, InitialDir property, MaxFileSize property, MaxFileTitleSize property, PageNumber property, SaveBitsPerPixel property, SaveFormat property, SaveQFactor property, SaveMulti property, SaveInterlaced property, SavePasses property, SaveWithStamp property, SaveStampBits property, SaveStampWidth property, SaveStampHeight property, SaveFileTypeIndex property, SaveSubTypeIndex property, SaveJ2KUseColorTransform property, SaveJ2KDerivedQuantization property, SaveJ2KCompressionControl property, SaveJ2KCompressionRatio property, SaveJ2KTargetFileSize property, SaveJ2KXOsiz property, SaveJ2KYOsiz property, SaveJ2KXTsiz property, SaveJ2KYTsiz property, SaveJ2KXTOsiz property, SaveJ2KYTOsiz property, SaveJ2KDecompLevel property, SaveJ2KProgressOrder property, SaveJ2KCodBlockWidth property, SaveJ2KCodBlockHeight property, SaveJ2KCBS_SelectiveACBypass property, SaveJ2KCBS_ResetContextOnBoundaries property, SaveJ2KCBS_TerminationOnEachPass property, SaveJ2KCBS_VerticallyCausalContext property, SaveJ2KCBS_PredictableTermination property, SaveJ2KCBS_ErrorResilienceSymbol property, SaveJ2KGuardBits property, SaveJ2KDerivedBaseMantissa property, SaveJ2KDerivedBaseExponent property, SaveJ2KUseEPHMarker property

Topics:

Imaging Common Dialogs: Properties, Methods, and Events


SaveJ2KXOsiz property (LEADDlgFile Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | L_UINT32 SaveJ2KXOsiz
Delphi Syntax | SaveJ2KXOsiz: L_UINT32
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets the horizontal offset from the origin of the reference grid to the left side of the image area, in the Save dialog box, if the file to be saved is a J2K file.

See Also

Elements:

ShowSaveDlg method, Filter property, FilterIndex property, FileName property, FileTitle property, DialogTitle property, DlgFileFlags property, InitialDir property, MaxFileSize property, MaxFileTitleSize property, PageNumber property, SaveBitsPerPixel property, SaveFormat property, SaveQFactor property, SaveMulti property, SaveInterlaced property, SavePasses property, SaveWithStamp property, SaveStampBits property, SaveStampWidth property, SaveStampHeight property, SaveFileTypeIndex property, SaveSubTypeIndex property, SaveJ2KUseColorTransform property, SaveJ2KDerivedQuantization property, SaveJ2KCompressionControl property, SaveJ2KCompressionRatio property, SaveJ2KTargetFileSize property, SaveJ2KYOsiz property, SaveJ2KXTsiz property, SaveJ2KYTsiz property, SaveJ2KXTOsiz property, SaveJ2KYTOsiz property, SaveJ2KDecompLevel property, SaveJ2KProgressOrder property, SaveJ2KCodBlockWidth property, SaveJ2KCodBlockHeight property, SaveJ2KCBS_SelectiveACBypass property, SaveJ2KCBS_ResetContextOnBoundaries property, SaveJ2KCBS_TerminationOnEachPass property, SaveJ2KCBS_VerticallyCausalContext property, SaveJ2KCBS_PredictableTermination property, SaveJ2KCBS_ErrorResilienceSymbol property, SaveJ2KGuardBits property, SaveJ2KDerivedBaseMantissa property, SaveJ2KDerivedBaseExponent property, SaveJ2KUseSOPMarker property, SaveJ2KUseEPHMarker property

Topics:

Imaging Common Dialogs: Properties, Methods, and Events


SaveJ2KXTOsiz property (LEADDlgFile Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | L_UINT32 SaveJ2KXTOsiz
Delphi Syntax | SaveJ2KXTOsiz: L_UINT32
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Get or set the horizontal offset from the origin of the reference grid to the left side of the first tile, in the Save dialog box, if the file to be saved is a J2K file.

See Also

Elements:

ShowSaveDlg method, Filter property, FilterIndex property, FileName property, FileTitle property, DialogTitle property, DlgFileFlags property, InitialDir property, MaxFileSize property, MaxFileTitleSize property, PageNumber property, SaveBitsPerPixel property, SaveFormat property, SaveQFactor property, SaveMulti property, SaveInterlaced property, SavePasses property, SaveWithStamp property, SaveStampBits property, SaveStampWidth property, SaveStampHeight property, SaveFileTypeIndex property, SaveSubTypeIndex property, SaveJ2KUseColorTransform property, SaveJ2KDerivedQuantization property, SaveJ2KCompressionControl property, SaveJ2KCompressionRatio property, SaveJ2KTargetFileSize property, SaveJ2KXOsiz property, SaveJ2KYOsiz property, SaveJ2KXTsiz property, SaveJ2KYTsiz property, SaveJ2KYTOsiz property, SaveJ2KDecompLevel property, SaveJ2KProgressOrder property, SaveJ2KCodBlockWidth property, SaveJ2KCodBlockHeight property, SaveJ2KCBS_SelectiveACBypass property, SaveJ2KCBS_ResetContextOnBoundaries property, SaveJ2KCBS_TerminationOnEachPass property, SaveJ2KCBS_VerticallyCausalContext property, SaveJ2KCBS_PredictableTermination property, SaveJ2KCBS_ErrorResilienceSymbol property, SaveJ2KGuardBits property, SaveJ2KDerivedBaseMantissa property, SaveJ2KDerivedBaseExponent property, SaveJ2KUseSOPMarker property, SaveJ2KUseEPHMarker property

Topics:

Imaging Common Dialogs: Properties, Methods, and Events


SaveJ2KXTsiz property (LEADDlgFile Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | L_UINT32 SaveJ2KXTsiz
Delphi Syntax | SaveJ2KXTsiz: L_UINT32
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets the width of one reference tile, with respect to the reference grid, in the Save dialog box, if the file to be saved is a J2K file.

See Also

Elements:

ShowSaveDlg method, Filter property, FilterIndex property, FileName property, FileTitle property, DialogTitle property, DlgFileFlags property, InitialDir property, MaxFileSize property, MaxFileTitleSize property, PageNumber property, SaveBitsPerPixel property, SaveFormat property, SaveQFactor property, SaveMulti property, SaveInterlaced property, SavePasses property, SaveWithStamp property, SaveStampBits property, SaveStampWidth property, SaveStampHeight property, SaveFileTypeIndex property, SaveSubTypeIndex property, SaveJ2KUseColorTransform property, SaveJ2KDerivedQuantization property, SaveJ2KCompressionControl property, SaveJ2KCompressionRatio property, SaveJ2KTargetFileSize property, SaveJ2KXOsiz property, SaveJ2KYOsiz property, SaveJ2KYTsiz property, SaveJ2KXTOsiz property, SaveJ2KYTOsiz property, SaveJ2KDecompLevel property, SaveJ2KProgressOrder property, SaveJ2KCodBlockWidth property, SaveJ2KCodBlockHeight property, SaveJ2KCBS_SelectiveACBypass property, SaveJ2KCBS_ResetContextOnBoundaries property, SaveJ2KCBS_TerminationOnEachPass property, SaveJ2KCBS_VerticallyCausalContext property, SaveJ2KCBS_PredictableTermination property, SaveJ2KCBS_ErrorResilienceSymbol property, SaveJ2KGuardBits property, SaveJ2KDerivedBaseMantissa property, SaveJ2KDerivedBaseExponent property, SaveJ2KUseSOPMarker property, SaveJ2KUseEPHMarker property

Topics:

Imaging Common Dialogs: Properties, Methods, and Events


SaveJ2KYOsiz property (LEADDlgFile Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | L_UINT32 SaveJ2KYOsiz
Delphi Syntax | SaveJ2KYOsiz: L_UINT32
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets the vertical offset from the origin of the reference grid to the top of the image area, in the Save dialog box, if the file to be saved is a J2K file.

See Also

Elements:

ShowSaveDlg method, Filter property, FilterIndex property, FileName property, FileTitle property, DialogTitle property, DlgFileFlags property, InitialDir property, MaxFileSize property, MaxFileTitleSize property, PageNumber property, SaveBitsPerPixel property, SaveFormat property, SaveQFactor property, SaveMulti property, SaveInterlaced property, SavePasses property, SaveWithStamp property, SaveStampBits property, SaveStampWidth property, SaveStampHeight property, SaveFileTypeIndex property, SaveSubTypeIndex property, SaveJ2KUseColorTransform property, SaveJ2KDerivedQuantization property, SaveJ2KCompressionControl property, SaveJ2KCompressionRatio property, SaveJ2KTargetFileSize property, SaveJ2KXOsiz property, SaveJ2KXTsiz property, SaveJ2KYTsiz property, SaveJ2KXTOsiz property, SaveJ2KYTOsiz property, SaveJ2KDecompLevel property, SaveJ2KProgressOrder property, SaveJ2KCodBlockWidth property, SaveJ2KCodBlockHeight property, SaveJ2KCBS_SelectiveACBypass property, SaveJ2KCBS_ResetContextOnBoundaries property, SaveJ2KCBS_TerminationOnEachPass property, SaveJ2KCBS_VerticallyCausalContext property, SaveJ2KCBS_PredictableTermination property, SaveJ2KCBS_ErrorResilienceSymbol property, SaveJ2KGuardBits property, SaveJ2KDerivedBaseMantissa property, SaveJ2KDerivedBaseExponent property, SaveJ2KUseSOPMarker property, SaveJ2KUseEPHMarker property

Topics:

Imaging Common Dialogs: Properties, Methods, and Events


SaveJ2KYTOsiz property (LEADDlgFile Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | L_UINT32 SaveJ2KYTOsiz
Delphi Syntax | SaveJ2KYTOsiz: L_UINT32
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets the vertical offset from the origin of the reference grid to the top of the first tile, in the Save dialog box, if the file to be saved is a J2K file.

See Also

Elements:

ShowSaveDlg method, Filter property, FilterIndex property, FileName property, FileTitle property, DialogTitle property, DlgFileFlags property, InitialDir property, MaxFileSize property, MaxFileTitleSize property, PageNumber property, SaveBitsPerPixel property, SaveFormat property, SaveQFactor property, SaveMulti property, SaveInterlaced property, SavePasses property, SaveWithStamp property, SaveStampBits property, SaveStampWidth property, SaveStampHeight property, SaveFileTypeIndex property, SaveSubTypeIndex property, SaveJ2KUseColorTransform property, SaveJ2KDerivedQuantization property, SaveJ2KCompressionControl property, SaveJ2KCompressionRatio property, SaveJ2KTargetFileSize property, SaveJ2KXOsiz property, SaveJ2KYOsiz property, SaveJ2KXTsiz property, SaveJ2KYTsiz property, SaveJ2KXTOsiz property, SaveJ2KDecompLevel property, SaveJ2KProgressOrder property, SaveJ2KCodBlockWidth property, SaveJ2KCodBlockHeight property, SaveJ2KCBS_SelectiveACBypass property, SaveJ2KCBS_ResetContextOnBoundaries property, SaveJ2KCBS_TerminationOnEachPass property, SaveJ2KCBS_VerticallyCausalContext property, SaveJ2KCBS_PredictableTermination property, SaveJ2KCBS_ErrorResilienceSymbol property, SaveJ2KGuardBits property, SaveJ2KDerivedBaseMantissa property, SaveJ2KDerivedBaseExponent property, SaveJ2KUseSOPMarker property, SaveJ2KUseEPHMarker property

Topics:

Imaging Common Dialogs: Properties, Methods, and Events


SaveJ2KYTsiz property (LEADDlgFile Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | L_UINT32 SaveJ2KYTsiz
Delphi Syntax | SaveJ2KYTsiz: L_UINT32
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets the height of one reference tile, with respect to the reference grid, in the Save dialog box, if the file to be saved is a J2K file.

See Also

Elements:

ShowSaveDlg method, Filter property, FilterIndex property, FileName property, FileTitle property, DialogTitle property, DlgFileFlags property, InitialDir property, MaxFileSize property, MaxFileTitleSize property, PageNumber property, SaveBitsPerPixel property, SaveFormat property, SaveQFactor property, SaveMulti property, SaveInterlaced property, SavePasses property, SaveWithStamp property, SaveStampBits property, SaveStampWidth property, SaveStampHeight property, SaveFileTypeIndex property, SaveSubTypeIndex property, SaveJ2KUseColorTransform property, SaveJ2KDerivedQuantization property, SaveJ2KCompressionControl property, SaveJ2KCompressionRatio property, SaveJ2KTargetFileSize property, SaveJ2KXOsiz property, SaveJ2KYOsiz property, SaveJ2KXTsiz property, SaveJ2KXTOsiz property, SaveJ2KYTOsiz property, SaveJ2KDecompLevel property, SaveJ2KProgressOrder property, SaveJ2KCodBlockWidth property, SaveJ2KCodBlockHeight property, SaveJ2KCBS_SelectiveACBypass property, SaveJ2KCBS_ResetContextOnBoundaries property, SaveJ2KCBS_TerminationOnEachPass property, SaveJ2KCBS_VerticallyCausalContext property, SaveJ2KCBS_PredictableTermination property, SaveJ2KCBS_ErrorResilienceSymbol property, SaveJ2KGuardBits property, SaveJ2KDerivedBaseMantissa property, SaveJ2KDerivedBaseExponent property, SaveJ2KUseSOPMarker property, SaveJ2KUseEPHMarker property

Topics:

Imaging Common Dialogs: Properties, Methods, and Events


SaveJBIG2GBATX1 property (LEADDlgFile Control)

C++ Builder example

Delphi example

Builder Syntax | Shortint SaveJBIG2GBATX1
Delphi Syntax | SaveJBIG2GBATX1: ShortInt
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets the JBIG2 X location of the adaptive template pixel A1 in the Save Dialog Box.

Possible values range from -128 to 127.

When the value of the SaveJBIG2GBATY1 property is zero, then the possible values of this property will range from –128 to –1

See Also

Elements: | ShowSaveDlg method, SaveJBIG2SaveFlags property, SaveJBIG2TemplateType property, SaveJBIG2GBATY1 property, SaveJBIG2GBATX2 property, SaveJBIG2GBATY2 property, SaveJBIG2GBATX3 property, SaveJBIG2GBATY3 property, SaveJBIG2GBATX4 property, SaveJBIG2GBATY4 property.
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


SaveJBIG2GBATX2 property (LEADDlgFile Control)

C++ Builder example

Delphi example

Builder Syntax | Shortint SaveJBIG2GBATX2
Delphi Syntax | SaveJBIG2GBATX2: ShortInt
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets the JBIG2 X location of the adaptive template pixel A2 in the Save Dialog Box.

Possible values range from -128 to 127.

When the value of the SaveJBIG2GBATY2 property is zero, then the possible values of this property will range from –128 to –1.

See Also

Elements: | ShowSaveDlg method, SaveJBIG2SaveFlags property, SaveJBIG2TemplateType property, SaveJBIG2GBATX1 property, SaveJBIG2GBATY1 property, SaveJBIG2GBATY2 property, SaveJBIG2GBATX3 property, SaveJBIG2GBATY3 property, SaveJBIG2GBATX4 property, SaveJBIG2GBATY4 property.
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


SaveJBIG2GBATX3 property (LEADDlgFile Control)

C++ Builder example

Delphi example

Builder Syntax | Shortint SaveJBIG2GBATX3
Delphi Syntax | SaveJBIG2GBATX3: ShortInt
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets the JBIG2 X location of the adaptive template pixel A3 in the Save Dialog Box.

Possible values are range from -128 to 127.

When the value of the SaveJBIG2GBATY3 property is zero, the possible values of this property will range from –128 to -1.

See Also

Elements: | ShowSaveDlg method, SaveJBIG2SaveFlags property, SaveJBIG2TemplateType property, SaveJBIG2GBATX1 property, SaveJBIG2GBATY1 property, SaveJBIG2GBATX2 property, SaveJBIG2GBATY2 property, SaveJBIG2GBATY3 property, SaveJBIG2GBATX4 property, SaveJBIG2GBATY4 property.
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


SaveJBIG2GBATX4 property (LEADDlgFile Control)

C++ Builder example

Delphi example

Builder Syntax | Shortint SaveJBIG2GBATX4
Delphi Syntax | SaveJBIG2GBATX4: ShortInt
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets the JBIG2 X location of the adaptive template pixel A4 in the Save Dialog Box.

Possible values range from -128 to 127.

When the value of the SaveJBIG2GBATY4 property is zero, the possible values of this property will range from –128 to -1.

See Also

Elements: | ShowSaveDlg method, SaveJBIG2SaveFlags property, SaveJBIG2TemplateType property, SaveJBIG2GBATX1 property, SaveJBIG2GBATY1 property, SaveJBIG2GBATX2 property, SaveJBIG2GBATY2 property, SaveJBIG2GBATX3 property, SaveJBIG2GBATY3 property, SaveJBIG2GBATY4 property.
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


SaveJBIG2GBATY1 property (LEADDlgFile Control)

C++ Builder example

Delphi example

Builder Syntax | Shortint SaveJBIG2GBATY1
Delphi Syntax | SaveJBIG2GBATY1: ShortInt
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets the JBIG2 Y location of the adaptive template pixel A1 in the Save Dialog Box.

Possible values range from -128 to 0.

See Also

Elements: | ShowSaveDlg method, SaveJBIG2SaveFlags property, SaveJBIG2TemplateType property, SaveJBIG2GBATX1 property, SaveJBIG2GBATX2 property, SaveJBIG2GBATY2 property, SaveJBIG2GBATX3 property, SaveJBIG2GBATY3 property, SaveJBIG2GBATX4 property, SaveJBIG2GBATY4 property.
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


SaveJBIG2GBATY2 property (LEADDlgFile Control)

C++ Builder example

Delphi example

Builder Syntax | Shortint SaveJBIG2GBATY2
Delphi Syntax | SaveJBIG2GBATY2: ShortInt
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets the JBIG2 Y location of the adaptive template pixel A2 in the Save Dialog Box.

Possible values range from -128 to 0.

See Also

Elements: | ShowSaveDlg method, SaveJBIG2SaveFlags property, SaveJBIG2TemplateType property, SaveJBIG2GBATX1 property, SaveJBIG2GBATY1 property, SaveJBIG2GBATX2 property, SaveJBIG2GBATX3 property, SaveJBIG2GBATY3 property, SaveJBIG2GBATX4 property, SaveJBIG2GBATY4 property.
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


SaveJBIG2GBATY3 property (LEADDlgFile Control)

C++ Builder example

Delphi example

Builder Syntax | Shortint SaveJBIG2GBATY3
Delphi Syntax | SaveJBIG2GBATY3: ShortInt
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets the JBIG2 Y location of the adaptive template pixel A3 in the Save Dialog Box.

Possible values range from -128 to 0.

See Also

Elements: | ShowSaveDlg method, SaveJBIG2SaveFlags property, SaveJBIG2TemplateType property, SaveJBIG2GBATX1 property, SaveJBIG2GBATY1 property, SaveJBIG2GBATX2 property, SaveJBIG2GBATY2 property, SaveJBIG2GBATX3 property, SaveJBIG2GBATX4 property, SaveJBIG2GBATY4 property.
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


SaveJBIG2GBATY4 property (LEADDlgFile Control)

C++ Builder example

Delphi example

Builder Syntax | Shortint SaveJBIG2GBATY4
Delphi Syntax | SaveJBIG2GBATY4: ShortInt
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets the JBIG2 Y location of the adaptive template pixel A4 in the Save Dialog Box.

Possible values range from -128 to 0.

See Also

Elements: | ShowSaveDlg method, SaveJBIG2SaveFlags property, SaveJBIG2TemplateType property, SaveJBIG2GBATX1 property, SaveJBIG2GBATY1 property, SaveJBIG2GBATX2 property, SaveJBIG2GBATY2 property, SaveJBIG2GBATX3 property, SaveJBIG2GBATY3 property, SaveJBIG2GBATX4 property.
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


SaveJBIG2SaveFlags property (LEADDlgFile Control)

C++ Builder example

Delphi example

Builder Syntax | unsigned SaveJBIG2SaveFlags;
Delphi Syntax | SaveJBIG2SaveFlags: L_UINT32
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets the JBIG2 save flags in the Save Dialog Box.

Flags that indicates the unwanted JBIG2 segments and whether to use the typical prediction (TP) in the Save dialog box. You can use a bit wise OR (|) to specify more than one flag. Possible values are:

Value | Meaning
FLAG_JBIG2_REMOVE_MARKER | [0x0001] Removes the two bytes marker from generic region segment data.
FLAG_JBIG2_REMOVE_HEADER_SEGMENT | [0x0002] Removes JBIG2 header.
FLAG_JBIG2_REMOVE_EOP_SEGMENT | [0x0004] Removes End Of Page segment.
FLAG_JBIG2_REMOVE_EOF_SEGMENT | [0x0008] Removes End Of File segment.
FLAG_JBIG2_TPON | [0x0010] Uses typical prediction (TP) while encoding.

See Also

Elements: | ShowSaveDlg method, SaveJBIG2TemplateType property, SaveJBIG2GBATX1 property, SaveJBIG2GBATY1 property, SaveJBIG2GBATX2 property, SaveJBIG2GBATY2 property, SaveJBIG2GBATX3 property, SaveJBIG2GBATY3 property, SaveJBIG2GBATX4 property, SaveJBIG2GBATY4 property.
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


SaveJBIG2TemplateType property (LEADDlgFile Control)

C++ Builder example

Delphi example

Builder Syntax | Byte SaveJBIG2TemplateType
Delphi Syntax | SaveJBIG2TemplateType: L_UCHAR
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets the JBIG2 template value in the Save Dialog Box.

The template value used for template-based arithmetic encoder. Possible values are:

Value

Meaning
Template

0

Three lines with 16 pixels template.

1

Three lines with 13 pixels template.

2

Three lines with 10 pixels template.

3

Two lines with 10 pixels template.

See Also

Elements: | ShowSaveDlg method, SaveJBIG2SaveFlags property, SaveJBIG2GBATX1 property, SaveJBIG2GBATY1 property, SaveJBIG2GBATX2 property, SaveJBIG2GBATY2 property, SaveJBIG2GBATX3 property, SaveJBIG2GBATY3 property, SaveJBIG2GBATX4 property, SaveJBIG2GBATY4 property.
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


SaveMulti property (LEADDlgFile Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | L_UINT SaveMulti
Delphi Syntax | SaveMulti: L_UINT
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets a value that indicates how to save a file as a multi-page file. It is set in or retrieved from the Save dialog box. You can save multi-page images in PCX, GIF, FlashPix, and most TIFF file formats (including JTIF, but excluding EXIF). Possible values are:

Value | Meaning
MULTIPAGE_OPERATION_OVERWRITE | [1] Overwrite the file.
MULTIPAGE_OPERATION_APPEND | [2] Append page to the end of the file.
MULTIPAGE_OPERATION_REPLACE | [3] Replace page.
MULTIPAGE_OPERATION_INSERT | [4] Insert page.

See Also

Elements:

ShowSaveDlg method, Filter property, FilterIndex property, FileName property, FileTitle property, DialogTitle property, DlgFileFlags property, InitialDir property, MaxFileSize property, MaxFileTitleSize property, PageNumber property, SaveBitsPerPixel property, SaveFormat property, SaveQFactor property, SaveInterlaced property, SavePasses property, SaveWithStamp property, SaveStampBits property, SaveStampWidth property, SaveStampHeight property, SaveFileTypeIndex property, SaveSubTypeIndex property, SaveJ2KUseColorTransform property, SaveJ2KDerivedQuantization property, SaveJ2KCompressionControl property, SaveJ2KCompressionRatio property, SaveJ2KTargetFileSize property, SaveJ2KXOsiz property, SaveJ2KYOsiz property, SaveJ2KXTsiz property, SaveJ2KYTsiz property, SaveJ2KXTOsiz property, SaveJ2KYTOsiz property, SaveJ2KDecompLevel property, SaveJ2KProgressOrder property, SaveJ2KCodBlockWidth property, SaveJ2KCodBlockHeight property, SaveJ2KCBS_SelectiveACBypass property, SaveJ2KCBS_ResetContextOnBoundaries property, SaveJ2KCBS_TerminationOnEachPass property, SaveJ2KCBS_VerticallyCausalContext property, SaveJ2KCBS_PredictableTermination property, SaveJ2KCBS_ErrorResilienceSymbol property, SaveJ2KGuardBits property, SaveJ2KDerivedBaseMantissa property, SaveJ2KDerivedBaseExponent property, SaveJ2KUseSOPMarker property, SaveJ2KUseEPHMarker property

Topics:

Imaging Common Dialogs: Properties, Methods, and Events


SavePasses property (LEADDlgFile Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | L_UINT SavePasses
Delphi Syntax | SavePasses: L_UINT
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets the number of passes (scans through the image) to save when saving progressive JPEG, LEAD CMP or PNG files. (This value is also used when loading, but not when saving, interlaced PNG files.). This value is obtained from or set in the Save dialog box.

Possible values when saving (whether progressive or not):

Value | Meaning
Any positive number | Save the file as a progressive file with the specified number of passes.
0 | Save the file as an ordinary JPEG or LEAD CMP file (not a progressive file).
Any negative number | Save the file as a progressive file with the LEADTOOLS default number of passes.

See Also

Elements:

ShowSaveDlg method, Filter property, FilterIndex property, FileName property, FileTitle property, DialogTitle property, DlgFileFlags property, InitialDir property, MaxFileSize property, MaxFileTitleSize property, PageNumber property, SaveBitsPerPixel property, SaveFormat property, SaveQFactor property, SaveMulti property, SaveInterlaced property, SaveWithStamp property, SaveStampBits property, SaveStampWidth property, SaveStampHeight property, SaveFileTypeIndex property, SaveSubTypeIndex property, SaveJ2KUseColorTransform property, SaveJ2KDerivedQuantization property, SaveJ2KCompressionControl property, SaveJ2KCompressionRatio property, SaveJ2KTargetFileSize property, SaveJ2KXOsiz property, SaveJ2KYOsiz property, SaveJ2KXTsiz property, SaveJ2KYTsiz property, SaveJ2KXTOsiz property, SaveJ2KYTOsiz property, SaveJ2KDecompLevel property, SaveJ2KProgressOrder property, SaveJ2KCodBlockWidth property, SaveJ2KCodBlockHeight property, SaveJ2KCBS_SelectiveACBypass property, SaveJ2KCBS_ResetContextOnBoundaries property, SaveJ2KCBS_TerminationOnEachPass property, SaveJ2KCBS_VerticallyCausalContext property, SaveJ2KCBS_PredictableTermination property, SaveJ2KCBS_ErrorResilienceSymbol property, SaveJ2KGuardBits property, SaveJ2KDerivedBaseMantissa property, SaveJ2KDerivedBaseExponent property, SaveJ2KUseSOPMarker property, SaveJ2KUseEPHMarker property

Topics:

Imaging Common Dialogs: Properties, Methods, and Events


SaveQFactor property (LEADDlgFile Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | L_UINT SaveQFactor
Delphi Syntax | SaveQFactor: L_UINT
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets the QFactor used when saving a file using the Save dialog box.

This parameter is used when saving an image file as FILE_LEAD, FILE_CMP, FILE_PNG, FILE_JPEG, FILE_JPEG_422, FILE_JPEG_411, FILE_EXIF_JPEG_411, FILE_EXIF_JPEG, FILE_FPX_JPEG_QFACTOR, FILE_TIF_JPEG, FILE_TIF_JPEG_422, FILE_TIF_JPEG_411, FILE_JPEG_LAB, FILE_JPEG_LAB_422, FILE_JPEG_LAB_411, FILE_DICOM_JPEG_GRAY, FILE_DICOM_JPEG_COLOR, FILE_DICOM_J2K_GRAY, FILE_TIF_CMP, FILE_TIF_J2K, FILE_TIF_CMW, FILE_RAS_PDF_JPEG, FILE_RAS_PDF_JPEG_422, FILE_RAS_PDF_JPEG_411, FILE_J2K, FILE_JP2, FILE_CMW.

QFactor is a number that determines the degree of loss in the compression process. For possible values, refer to Compression Quality Factors ..

See Also

Elements:

ShowSaveDlg method, Filter property, FilterIndex property, FileName property, FileTitle property, DialogTitle property, DlgFileFlags property, InitialDir property, MaxFileSize property, MaxFileTitleSize property, PageNumber property, SaveBitsPerPixel property, SaveFormat property, SaveMulti property, SaveInterlaced property, SavePasses property, SaveWithStamp property, SaveStampBits property, SaveStampWidth property, SaveStampHeight property, SaveFileTypeIndex property, SaveSubTypeIndex property, SaveJ2KUseColorTransform property, SaveJ2KDerivedQuantization property, SaveJ2KCompressionControl property, SaveJ2KCompressionRatio property, SaveJ2KTargetFileSize property, SaveJ2KXOsiz property, SaveJ2KYOsiz property, SaveJ2KXTsiz property, SaveJ2KYTsiz property, SaveJ2KXTOsiz property, SaveJ2KYTOsiz property, SaveJ2KDecompLevel property, SaveJ2KProgressOrder property, SaveJ2KCodBlockWidth property, SaveJ2KCodBlockHeight property, SaveJ2KCBS_SelectiveACBypass property, SaveJ2KCBS_ResetContextOnBoundaries property, SaveJ2KCBS_TerminationOnEachPass property, SaveJ2KCBS_VerticallyCausalContext property, SaveJ2KCBS_PredictableTermination property, SaveJ2KCBS_ErrorResilienceSymbol property, SaveJ2KGuardBits property, SaveJ2KDerivedBaseMantissa property, SaveJ2KDerivedBaseExponent property, SaveJ2KUseSOPMarker property, SaveJ2KUseEPHMarker property

Topics:

Imaging Common Dialogs: Properties, Methods, and Events


SaveStampBits property (LEADDlgFile Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | L_UINT SaveStampBits
Delphi Syntax | SaveStampBits: L_UINT
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets the number of bits per pixel to use when saving a stamp in an image format that supports stamps. It is used by the Save dialog box.

Possible values are 8 or 24.

See Also

Elements:

ShowSaveDlg method, Filter property, FilterIndex property, FileName property, FileTitle property, DialogTitle property, DlgFileFlags property, InitialDir property, MaxFileSize property, MaxFileTitleSize property, PageNumber property, SaveBitsPerPixel property, SaveFormat property, SaveQFactor property, SaveMulti property, SaveInterlaced property, SavePasses property, SaveWithStamp property, SaveStampWidth property, SaveStampHeight property, SaveFileTypeIndex property, SaveSubTypeIndex property, SaveJ2KUseColorTransform property, SaveJ2KDerivedQuantization property, SaveJ2KCompressionControl property, SaveJ2KCompressionRatio property, SaveJ2KTargetFileSize property, SaveJ2KXOsiz property, SaveJ2KYOsiz property, SaveJ2KXTsiz property, SaveJ2KYTsiz property, SaveJ2KXTOsiz property, SaveJ2KYTOsiz property, SaveJ2KDecompLevel property, SaveJ2KProgressOrder property, SaveJ2KCodBlockWidth property, SaveJ2KCodBlockHeight property, SaveJ2KCBS_SelectiveACBypass property, SaveJ2KCBS_ResetContextOnBoundaries property, SaveJ2KCBS_TerminationOnEachPass property, SaveJ2KCBS_VerticallyCausalContext property, SaveJ2KCBS_PredictableTermination property, SaveJ2KCBS_ErrorResilienceSymbol property, SaveJ2KGuardBits property, SaveJ2KDerivedBaseMantissa property, SaveJ2KDerivedBaseExponent property, SaveJ2KUseSOPMarker property, SaveJ2KUseEPHMarker property

Topics:

Imaging Common Dialogs: Properties, Methods, and Events


SaveStampHeight property (LEADDlgFile Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | L_UINT SaveStampHeight
Delphi Syntax | SaveStampHeight: L_UINT
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets the height of the stamp to be saved. It is used by the Save dialog box.

A stamp is saved only in formats that support stamps. Possible values range from 1 to 255.

See Also

Elements:

ShowSaveDlg method, Filter property, FilterIndex property, FileName property, FileTitle property, DialogTitle property, DlgFileFlags property, InitialDir property, MaxFileSize property, MaxFileTitleSize property, PageNumber property, SaveBitsPerPixel property, SaveFormat property, SaveQFactor property, SaveMulti property, SaveInterlaced property, SavePasses property, SaveWithStamp property, SaveStampBits property, SaveStampWidth property, SaveFileTypeIndex property, SaveSubTypeIndex property, SaveJ2KUseColorTransform property, SaveJ2KDerivedQuantization property, SaveJ2KCompressionControl property, SaveJ2KCompressionRatio property, SaveJ2KTargetFileSize property, SaveJ2KXOsiz property, SaveJ2KYOsiz property, SaveJ2KXTsiz property, SaveJ2KYTsiz property, SaveJ2KXTOsiz property, SaveJ2KYTOsiz property, SaveJ2KDecompLevel property, SaveJ2KProgressOrder property, SaveJ2KCodBlockWidth property, SaveJ2KCodBlockHeight property, SaveJ2KCBS_SelectiveACBypass property, SaveJ2KCBS_ResetContextOnBoundaries property, SaveJ2KCBS_TerminationOnEachPass property, SaveJ2KCBS_VerticallyCausalContext property, SaveJ2KCBS_PredictableTermination property, SaveJ2KCBS_ErrorResilienceSymbol property, SaveJ2KGuardBits property, SaveJ2KDerivedBaseMantissa property, SaveJ2KDerivedBaseExponent property, SaveJ2KUseSOPMarker property, SaveJ2KUseEPHMarker property

Topics:

Imaging Common Dialogs: Properties, Methods, and Events


SaveStampWidth property (LEADDlgFile Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | L_UINT SaveStampWidth
Delphi Syntax | SaveStampWidth: L_UINT
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets the width of the stamp to be saved. It is used by the Save dialog box.

A stamp is saved only in formats that support stamps. Possible values range from 1 to 255.

See Also

Elements:

ShowSaveDlg method, Filter property, FilterIndex property, FileName property, FileTitle property, DialogTitle property, DlgFileFlags property, InitialDir property, MaxFileSize property, MaxFileTitleSize property, PageNumber property, SaveBitsPerPixel property, SaveFormat property, SaveQFactor property, SaveMulti property, SaveInterlaced property, SavePasses property, SaveWithStamp property, SaveStampBits property, SaveStampHeight property, SaveFileTypeIndex property, SaveSubTypeIndex property, SaveJ2KUseColorTransform property, SaveJ2KDerivedQuantization property, SaveJ2KCompressionControl property, SaveJ2KCompressionRatio property, SaveJ2KTargetFileSize property, SaveJ2KXOsiz property, SaveJ2KYOsiz property, SaveJ2KXTsiz property, SaveJ2KYTsiz property, SaveJ2KXTOsiz property, SaveJ2KYTOsiz property, SaveJ2KDecompLevel property, SaveJ2KProgressOrder property, SaveJ2KCodBlockWidth property, SaveJ2KCodBlockHeight property, SaveJ2KCBS_SelectiveACBypass property, SaveJ2KCBS_ResetContextOnBoundaries property, SaveJ2KCBS_TerminationOnEachPass property, SaveJ2KCBS_VerticallyCausalContext property, SaveJ2KCBS_PredictableTermination property, SaveJ2KCBS_ErrorResilienceSymbol property, SaveJ2KGuardBits property, SaveJ2KDerivedBaseMantissa property, SaveJ2KDerivedBaseExponent property, SaveJ2KUseSOPMarker property, SaveJ2KUseEPHMarker property

Topics:

Imaging Common Dialogs: Properties, Methods, and Events


SaveSubTypeIndex property (LEADDlgFile Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | L_UINT SaveSubTypeIndex
Delphi Syntax | SaveSubTypeIndex: L_UINT
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets the file sub-type, if one exists.

When the ShowSaveDlg method returns, this property will be updated with the file sub-type entered by the user through the dialog, if one exists. Set this property before calling ShowSaveDlg to initialize the dialog. For example, to set the initial selection to the "Progressive" subtype of the "LEAD (*.cmp)" file type, set this member to DLG_FF_SAVE_SUB_CMP_PROGRESSIVE. For a list of possible values, refer to Customizing File Format Lists.

See Also

Elements:

ShowSaveDlg method, Filter property, FilterIndex property, FileName property, FileTitle property, DialogTitle property, DlgFileFlags property, InitialDir property, MaxFileSize property, MaxFileTitleSize property, PageNumber property, SaveBitsPerPixel property, SaveFormat property, SaveQFactor property, SaveMulti property, SaveInterlaced property, SavePasses property, SaveWithStamp property, SaveStampBits property, SaveStampWidth property, SaveStampHeight property, SaveFileTypeIndex property, SaveJ2KUseColorTransform property, SaveJ2KDerivedQuantization property, SaveJ2KCompressionControl property, SaveJ2KCompressionRatio property, SaveJ2KTargetFileSize property, SaveJ2KXOsiz property, SaveJ2KYOsiz property, SaveJ2KXTsiz property, SaveJ2KYTsiz property, SaveJ2KXTOsiz property, SaveJ2KYTOsiz property, SaveJ2KDecompLevel property, SaveJ2KProgressOrder property, SaveJ2KCodBlockWidth property, SaveJ2KCodBlockHeight property, SaveJ2KCBS_SelectiveACBypass property, SaveJ2KCBS_ResetContextOnBoundaries property, SaveJ2KCBS_TerminationOnEachPass property, SaveJ2KCBS_VerticallyCausalContext property, SaveJ2KCBS_PredictableTermination property, SaveJ2KCBS_ErrorResilienceSymbol property, SaveJ2KGuardBits property, SaveJ2KDerivedBaseMantissa property, SaveJ2KDerivedBaseExponent property, SaveJ2KUseSOPMarker property, SaveJ2KUseEPHMarker property

Topics:

Imaging Common Dialogs: Properties, Methods, and Events


SaveWithStamp property (LEADDlgFile Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | bool SaveWithStamp
Delphi Syntax | SaveWithStamp : Boolean
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets a value that indicates whether to save a stamp with the file (if DLG_SAVE_AUTOPROCESS was set in the DlgFlags property and the format supports stamps). If the Save With Stamp check box in the Save dialog box is checked, this property is TRUE. If the box is not checked, this property is FALSE. This is only valid with formats that support stamps.

See Also

Elements:

ShowSaveDlg method, Filter property, FilterIndex property, FileName property, FileTitle property, DialogTitle property, DlgFileFlags property, InitialDir property, MaxFileSize property, MaxFileTitleSize property, PageNumber property, SaveBitsPerPixel property, SaveFormat property, SaveQFactor property, SaveMulti property, SaveInterlaced property, SavePasses property, SaveStampBits property, SaveStampWidth property, SaveStampHeight property, SaveFileTypeIndex property, SaveSubTypeIndex property, SaveJ2KUseColorTransform property, SaveJ2KDerivedQuantization property, SaveJ2KCompressionControl property, SaveJ2KCompressionRatio property, SaveJ2KTargetFileSize property, SaveJ2KXOsiz property, SaveJ2KYOsiz property, SaveJ2KXTsiz property, SaveJ2KYTsiz property, SaveJ2KXTOsiz property, SaveJ2KYTOsiz property, SaveJ2KDecompLevel property, SaveJ2KProgressOrder property, SaveJ2KCodBlockWidth property, SaveJ2KCodBlockHeight property, SaveJ2KCBS_SelectiveACBypass property, SaveJ2KCBS_ResetContextOnBoundaries property, SaveJ2KCBS_TerminationOnEachPass property, SaveJ2KCBS_VerticallyCausalContext property, SaveJ2KCBS_PredictableTermination property, SaveJ2KCBS_ErrorResilienceSymbol property, SaveJ2KGuardBits property, SaveJ2KDerivedBaseMantissa property, SaveJ2KDerivedBaseExponent property, SaveJ2KUseSOPMarker property, SaveJ2KUseEPHMarker property

Topics:

Imaging Common Dialogs: Properties, Methods, and Events


SelectedExt property (LEADDlgFile Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | AnsiString SelectedExt
Delphi Syntax | SelectedExt: String
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets the string that indicates which filter(s) to initially be checked and associated for the FilesAssociation dialog box. This should be set in the following way:

"*.cmp|*.dic|*.bmp"

See Also

Elements: | ShowFilesAssociationDlg method, Formats property, ServerAppName property
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


ServerAppName property (LEADDlgFile Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | AnsiString ServerAppName
Delphi Syntax | ServerAppName: String
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets a string that contains the "Programmatic Identifier" to be associated with the selected image type(s) when successfully exiting the FilesAssociation dialog box.

The dialog assumes that the server application name has already been created before calling the dialog. For more information about creating a file association programmatic identifier, refer to the Microsoft Windows Win32 SDK documentation.

See Also

Elements: | ShowFilesAssociationDlg method, Formats property, SelectedExt property
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


ShowFullPath property (LEADDlgFile Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | bool ShowFullPath
Delphi Syntax | ShowFullPath: Boolean
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets a value that indicates whether the "Full path" box was checked in the FileConversion dialog box and whether to view the file name and path in the source File(s) list or just the file name. Possible values are:

Value | Meaning
TRUE | The "Full path" check box was checked and the file name and the path will be displayed in the Source Files List.
FALSE | The "Full path" check box was not checked and only the file name will be displayed in the Source Files List.

See Also

Elements: | ShowFileConversionDlg method, FileFormats property, SelectedExt property, ServerAppName property, DestinationPath property, SourceFilePath property, RemoveSourceFile property
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


ShowHelpButton property (LEADDlgFile Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | bool ShowHelpButton
Delphi Syntax | ShowHelpButton: Boolean
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Used by all the control dialogs. It determines if a Help button will be displayed in the dialog. If this property is TRUE, a Help Button will be displayed. If it is FALSE, the Help Button will not be displayed and the OnDlgHelp Event will not be available for the dialogs.

See Also

Elements: | OnDlgHelp Event, ShowGetDirectoryDlg method, ShowFilesAssociationDlg method, ShowOpenDlg method, ShowSaveDlg method, ShowFileConversionDlg method, ShowPrintPreviewDlg method, ShowPrintStitchedImagesDlg method
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


ShowLoadOptions property (LEADDlgFile Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | bool ShowLoadOptions
Delphi Syntax | ShowLoadOptions: Boolean
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets a value that indicates whether to show the load options when pressing the Open button on the Open dialog box.

Possible values are:

Value | Meaning
TRUE | Show the load options when pressing the Open button, and check the Show Load Options check box. This will occur whether or not DLG_OPEN_SHOW_LOADOPTIONS is set in DlgFlags.
FALSE | Don’t show the load options when pressing the Open button, and uncheck the Show Load Options check box.

See Also

Elements:

ShowOpenDlg method, Filter property, FilterIndex property, FileName property, FileTitle property, DialogTitle property, DlgFileFlags property, InitialDir property, MaxFileSize property, MaxFileTitleSize property, PreviewEnabled property, OptionsFileType property, Bitmap property, Thumbnail property, PageNumber property, LoadPasses property, LoadCompressed property, LoadRotated property, PCDResolution property, PDFXResolution property, PDFYResolution property, PDFDisplayDepth property, PDFTextAlpha property, PDFGraphicsAlpha property, RASTERMISCXResolution property, RASTERMISCYResolution property, METAFILEXResolution property, METAFILEYResolution property, VECTORMISCViewportWidth property, VECTORMISCViewportHeight property, VECTORMISCViewportMode property, VECTORMISCFont property, DXFViewportWidth property, DXFViewportHeight property, DXFViewportMode property, DXFFont property, DXFAutoCADColorScheme property, PLTViewportWidth property, PLTViewportHeight property, PLTViewportMode property, PLTPenWidth property, PLTPenColor property

Topics:

Imaging Common Dialogs: Properties, Methods, and Events


SourceFileList property (LEADDlgFile Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | AnsiString SourceFileList
Delphi Syntax | SourceFileList: String
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets the full path and name of each file to include in the "Source File(s)" list of the FileConversion dialog box.

Each file name should end with |. For example: ‘C:\images\MyFile.cmp|D:\images\MyFile2.cmp|C:\images\MyOtherFile.cmp|E:\MyLastFile.cmp|’.

See Also

Elements: | ShowFileConversionDlg method, FileFormats property, SelectedExt property, ServerAppName property, DestinationPath property, SourceFilePath property, RemoveSourceFile property, ShowFullPath property
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


SourceFilePath property (LEADDlgFile Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | AnsiString SourceFilePath
Delphi Syntax | SourceFilePath: String
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets the path to the folder in which the files to be converted using the FileConversion dialog box are located.

See Also

Elements: | ShowFileConversionDlg method, FileFormats property, SelectedExt property, ServerAppName property, DestinationPath property, UseLogReport property
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


Thumbnail property (LEADDlgFile Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | TBitmapHandle Thumbnail
Delphi Syntax | Thumbnail: TBitmapHandle
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets a handle to a thumbnail image used by the Open dialog box. This property will be updated with the file's thumbnail bitmap if DLG_OPEN_GENERATETHUMBNAIL is set in the DlgFlags property.

You can assign 0 to this property to free the existing thumbnail bitmap.

If you set DLG_OPEN_ALLOWMULTI flag in the DlgFileFlags property, and DLG_OPEN_GENERATETHUMBNAIL in the DlgFlags property, this property will be valid only during the OnOpenFileEvent event. For each OnOpenFileEvent event that occurs this property will contain one of the selected (loaded) file’s thumbnails. The OnOpenFileEvent event will occur for each of the selected files opened using the Open dialog box. In this case you can’t assign this property to 0.

See Also

Elements:

ShowOpenDlg method, Filter property, FilterIndex property, FileName property, FileTitle property, DialogTitle property, DlgFileFlags property, InitialDir property, MaxFileSize property, MaxFileTitleSize property, PreviewEnabled property, OptionsFileType property, Bitmap property, PageNumber property, LoadPasses property, LoadCompressed property, LoadRotated property, ShowLoadOptions property, PCDResolution property, PDFXResolution property, PDFYResolution property, PDFDisplayDepth property, PDFTextAlpha property, PDFGraphicsAlpha property, RASTERMISCXResolution property, RASTERMISCYResolution property, METAFILEXResolution property, METAFILEYResolution property, VECTORMISCViewportWidth property, VECTORMISCViewportHeight property, VECTORMISCViewportMode property, VECTORMISCFont property, DXFViewportWidth property, DXFViewportHeight property, DXFViewportMode property, DXFFont property, DXFAutoCADColorScheme property, PLTViewportWidth property, PLTViewportHeight property, PLTViewportMode property, PLTPenWidth property, PLTPenColor property

Topics:

Imaging Common Dialogs: Properties, Methods, and Events


UseLogReport property (LEADDlgFile Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | bool UseLogReport
Delphi Syntax | UseLogReport: Boolean
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets a value that indicates whether the "Log Report" check box was checked in the FileConversion dialog box and whether to view the Log Report after the conversion operation is finished. Possible values are:

Value | Meaning
TRUE | The "Log Report" check box was checked and the Log Report will be displayed after the conversion process.
FALSE | The "Log Report" check box was not checked and the Log Report will not be displayed after the conversion process.

See Also

Elements: | ShowFileConversionDlg method, FileFormats property, SelectedExt property, ServerAppName property, DestinationPath property, SourceFilePath property, RemoveSourceFile property
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


UseOriginalFolder property (LEADDlgFile Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | bool UseOriginalFolder
Delphi Syntax | UseOriginalFolder: Boolean
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets a value that indicates whether the "use original folder" radio button was checked in the FileConversion dialog box and whether to save the converted file(s) in the same folder as the source file(s). Possible values are:

Value | Meaning
TRUE | The "Use Original folder" radio button was checked and the converted file(s) will be saved in the same folder as the source file(s).
FALSE | The "Use Original folder" radio button was not checked and the converted file(s) will not be saved in the same folder as the source file(s).

See Also

Elements: | ShowFileConversionDlg method, FileFormats property, SelectedExt property, ServerAppName property, DestinationPath property, SourceFilePath property, RemoveSourceFile property, ShowFullPath property
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


VECTORMISCFont property (LEADDlgFile Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | AnsiString VECTORMISCFont
Delphi Syntax | VECTORMISCFont: String
Overview | Refer to Using Imaging Common Dialogs.

Remarks

(Read Only) Gets the typeface name of the font to use in vector font mapping entered by the user in the Open dialog box.

The length of this string must not exceed 32 characters.

This property is valid only if the OptionsFileType property is one of the following formats:

FILE_DWF, FILE_CGM, FILE_CMX, FILE_PCL, FILE_VECTOR_DUMP, FILE_PCT, FILE_DRW, FILE_INTERGRAPH_VECTOR, FILE_GERBER, FILE_SHP, FILE_SVG, FILE_VWPG.

See Also

Elements:

ShowOpenDlg method, Filter property, FilterIndex property, FileName property, FileTitle property, DialogTitle property, DlgFileFlags property, InitialDir property, MaxFileSize property, MaxFileTitleSize property, PreviewEnabled property, OptionsFileType property, Bitmap property, Thumbnail property, PageNumber property, LoadPasses property, LoadCompressed property, LoadRotated property, ShowLoadOptions property, PCDResolution property, PDFXResolution property, PDFYResolution property, PDFDisplayDepth property, PDFTextAlpha property, PDFGraphicsAlpha property, RASTERMISCXResolution property, RASTERMISCYResolution property, METAFILEXResolution property, METAFILEYResolution property, VECTORMISCViewportWidth property, VECTORMISCViewportHeight property, VECTORMISCViewportMode property, DXFViewportWidth property, DXFViewportHeight property, DXFViewportMode property, DXFFont property, DXFAutoCADColorScheme property, PLTViewportWidth property, PLTViewportHeight property, PLTViewportMode property, PLTPenWidth property, PLTPenColor property

Topics:

Imaging Common Dialogs: Properties, Methods, and Events


VECTORMISCViewportHeight property (LEADDlgFile Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | L_INT VECTORMISCViewportHeight
Delphi Syntax | VECTORMISCViewportHeight: L_INT
Overview | Refer to Using Imaging Common Dialogs.

Remarks

(Read Only) Gets the viewport height value entered by the user in the Open dialog box.

This property is valid only if the OptionsFileType property contains one of the following formats:

FILE_DWF, FILE_CGM, FILE_CMX, FILE_PCL, FILE_VECTOR_DUMP, FILE_PCT, FILE_DRW, FILE_INTERGRAPH_VECTOR, FILE_GERBER, FILE_SHP, FILE_SVG, FILE_VWPG.

See Also

Elements:

ShowOpenDlg method, Filter property, FilterIndex property, FileName property, FileTitle property, DialogTitle property, DlgFileFlags property, InitialDir property, MaxFileSize property, MaxFileTitleSize property, PreviewEnabled property, OptionsFileType property, Bitmap property, Thumbnail property, PageNumber property, LoadPasses property, LoadCompressed property, LoadRotated property, ShowLoadOptions property, PCDResolution property, PDFXResolution property, PDFYResolution property, PDFDisplayDepth property, PDFTextAlpha property, PDFGraphicsAlpha property, RASTERMISCXResolution property, RASTERMISCYResolution property, METAFILEXResolution property, METAFILEYResolution property, VECTORMISCViewportWidth property, VECTORMISCViewportMode property, VECTORMISCFont property, DXFViewportWidth property, DXFViewportHeight property, DXFViewportMode property, DXFFont property, DXFAutoCADColorScheme property, PLTViewportWidth property, PLTViewportHeight property, PLTViewportMode property, PLTPenWidth property, PLTPenColor property

Topics:

Imaging Common Dialogs: Properties, Methods, and Events


VECTORMISCViewportMode property (LEADDlgFile Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | L_UINT VECTORMISCViewportMode
Delphi Syntax | VECTORMISCViewportMode: L_UINT
Overview | Refer to Using Imaging Common Dialogs.

Remarks

(Read Only) Gets the viewport mode value entered by the user in the Open dialog box. Possible values are:

Value | Meaning
L2D_USE_BEST | Fit the drawing into the current view-port width and height. Final image size is less than or equal to the view-port size.
L2D_USE_WIDTH | Use the current view-port width. Calculate the new height, preserving the aspect ratio. Final image size has the same width as the current view-port width, with the height less than or equal to the current view-port height.
L2D_USE_HEIGHT | Use the current view-port height. Calculate the new width, preserving the aspect ratio. Final image size has the same height as the current view-port height, with the width less than or equal to the current view-port width.
L2D_USE_WIDTH_HEIGHT | Use both the width and the height (stretch the image if necessary). Final image size has the same width and height as the current view-port size.

This property is valid only if the OptionsFileType property contains one of the following formats:

FILE_DWF, FILE_CGM, FILE_CMX, FILE_PCL, FILE_VECTOR_DUMP, FILE_PCT, FILE_DRW, FILE_INTERGRAPH_VECTOR, FILE_GERBER, FILE_SHP, FILE_SVG, FILE_VWPG

See Also

Elements:

ShowOpenDlg method, Filter property, FilterIndex property, FileName property, FileTitle property, DialogTitle property, DlgFileFlags property, InitialDir property, MaxFileSize property, MaxFileTitleSize property, PreviewEnabled property, OptionsFileType property, Bitmap property, Thumbnail property, PageNumber property, LoadPasses property, LoadCompressed property, LoadRotated property, ShowLoadOptions property, PCDResolution property, PDFXResolution property, PDFYResolution property, PDFDisplayDepth property, PDFTextAlpha property, PDFGraphicsAlpha property, RASTERMISCXResolution property, RASTERMISCYResolution property, METAFILEXResolution property, METAFILEYResolution property, VECTORMISCViewportWidth property, VECTORMISCViewportHeight property, VECTORMISCFont property, DXFViewportWidth property, DXFViewportHeight property, DXFViewportMode property, DXFFont property, DXFAutoCADColorScheme property, PLTViewportWidth property, PLTViewportHeight property, PLTViewportMode property, PLTPenWidth property, PLTPenColor property

Topics:

Imaging Common Dialogs: Properties, Methods, and Events


VECTORMISCViewportWidth property (LEADDlgFile Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | L_INT VECTORMISCViewportWidth
Delphi Syntax | VECTORMISCViewportWidth: L_INT
Overview | Refer to Using Imaging Common Dialogs.

Remarks

(Read Only) Gets the viewport width value entered by the user in the Open dialog box.

This property is valid only if theOptionsFileType property is one of the following formats:

FILE_DWF, FILE_CGM, FILE_CMX, FILE_PCL, FILE_VECTOR_DUMP, FILE_PCT, FILE_DRW, FILE_INTERGRAPH_VECTOR, FILE_GERBER, FILE_SHP, FILE_SVG, FILE_VWPG.

See Also

Elements:

ShowOpenDlg method, Filter property, FilterIndex property, FileName property, FileTitle property, DialogTitle property, DlgFileFlags property, InitialDir property, MaxFileSize property, MaxFileTitleSize property, PreviewEnabled property, OptionsFileType property, Bitmap property, Thumbnail property, PageNumber property, LoadPasses property, LoadCompressed property, LoadRotated property, ShowLoadOptions property, PCDResolution property, PDFXResolution property, PDFYResolution property, PDFDisplayDepth property, PDFTextAlpha property, PDFGraphicsAlpha property, RASTERMISCXResolution property, RASTERMISCYResolution property, METAFILEXResolution property, METAFILEYResolution property, VECTORMISCViewportHeight property, VECTORMISCViewportMode property, VECTORMISCFont property, DXFViewportWidth property, DXFViewportHeight property, DXFViewportMode property, DXFFont property, DXFAutoCADColorScheme property, PLTViewportWidth property, PLTViewportHeight property, PLTViewportMode property, PLTPenWidth property, PLTPenColor property

Topics:

Imaging Common Dialogs: Properties, Methods, and Events


WindowIcon property (LEADDlgFile Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | TIcon* WindowIcon
Delphi Syntax | WindowIcon: TIcon
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets a custom icon to be use by the PrintPreview and PrintStitchedImages dialog boxes.

Assign this property to Nil (NULL) to use the default icon.

See Also

Elements: | ShowPrintPreviewDlg method, ShowPrintStitchedImagesDlg method, DevModeHandle property, DevNamesHandle property
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


ShowFileConversionDlg method (LEADDlgFile Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | int ShowFileConversionDlg (TWinControl* AOwnerCtrl);
Delphi Syntax | Function ShowFileConversionDlg (AOwnerCtrl: TWinControl ): L_INT;
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Displays the File Conversion dialog box, and gets the options for converting files.

The layout and action of the dialog depends on the flags set in the DlgFlags property. Possible options are:

Value | Meaning
DLG_FILECONVERSION_SHOW_CONTEXTHELP | [$00000001] dialog should contain a context sensitive help icon.
DLG_FILECONVERSION_SHOW_PREVIEW | [$00000002] show a preview of the selected image in the Source File List.
DLG_FILECONVERSION_SHOW_LOADOPTIONS | [$00000004] dialog should have an "Options" button.
DLG_FILECONVERSION_SHOW_FILEINFO | [$00000008] dialog should have a "File Info" button.
DLG_FILECONVERSION_SHOW_PREVIEW_PAGES | [$00000010] dialog should have "<" and ">" buttons.
DLG_FILECONVERSION_SHOW_RESIZE | [$00000020] dialog should have a "Resize" button.
DLG_FILECONVERSION_SHOW_ROTATE | [$00000040] dialog should have a "Rotate" button.
DLG_FILECONVERSION_SHOW_NAMINGTEMPLATE | [$00000080] dialog should have a "Naming Template" button.
DLG_FILECONVERSION_SHOW_OVERWRITE | [$00000100] dialog should have the "Overwrite" combo.
DLG_FILECONVERSION_SHOW_OVERWRITE_ASK | [$00000200] dialog should have the "Ask" option in the "Overwrite" combo.
DLG_FILECONVERSION_SHOW_OVERWRITE_SKIP | [$00000400] dialog should have the "Skip" option in the "Overwrite" combo.
DLG_FILECONVERSION_SHOW_OVERWRITE_REPLACE | [$00000800] dialog should have the "Replace" option in the "Overwrite" combo.
DLG_FILECONVERSION_SHOW_OVERWRITE_RENAME | [$00001000] dialog should have the "Rename" option in the "Overwrite" combo.
DLG_FILECONVERSION_SHOW_OVERWRITE_ALL | [$00001E00] dialog should have all overwrite options in the "Overwrite" combo.
DLG_FILECONVERSION_SHOW_ADD | [$00002000] dialog should have an "Add" button.
DLG_FILECONVERSION_SHOW_ADDFOLDER | [$00004000] dialog should have an "Add Folder" button.
DLG_FILECONVERSION_SHOW_REMOVE | [$00008000] dialog should have a "Remove" button.
DLG_FILECONVERSION_SHOW_SELECTALL | [$00010000] dialog should have a "Select All" button .
DLG_FILECONVERSION_SHOW_DELETEORIGINAL | [$00020000] dialog should have a "Delete/Overwrite File(s)" check box in the "Source File(s)" group.
DLG_FILECONVERSION_SHOW_NEWFORMATSUPDATES | [0x00040000] Dialog should have the new formats updates for version 14.5.

The following properties are associated with this method:

Overwrite property.

FileFormatsCount property.

FileFormats property.

DestinationPath property.

SourceFilePath property.

UseLogReport property.

RemoveSourceFile property.

ShowFullPath property.

UseOriginalFolder property.

SourceFileList property.

To include a Help button in the dialog, set the ShowHelpButton property to TRUE.

The File Conversion dialog can be seen below:

See Also

Elements: | Overwrite property, FileFormatsCount property, FileFormats property, DestinationPath property, SourceFilePath property, UseLogReport property, RemoveSourceFile property, ShowFullPath property, UseOriginalFolder property, SourceFileList property, DlgFlags property, ShowHelpButton property, EnableMethodErrors property.
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


ShowFilesAssociationDlg method (LEADDlgFile Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | int ShowFilesAssociationDlg (TWinControl* AOwnerCtrl);
Delphi Syntax | Function ShowFilesAssociationDlg (AOwnerCtrl: TWinControl ): L_INT;
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Displays the File Association dialog, in order to change file association options.

The layout and action of the dialog depends on the flags set in the DlgFlags property. Possible option is:

Value | Meaning
DLG_FILESASSOCIATION_SHOW_CONTEXTHELP | [$00000800] Dialog should contain a context sensitive help icon.

The properties associated with this dialog box are:

Formats property.

SelectedExt property.

ServerAppName property.

Use this dialog to control how the shell treats certain types of files. This lets you link your application to a certain file type, which causes the application to take ownership of that file type.

The properties are used as input only and will not be updated by the dialog.

If the method was successful, then file formats will be associated or de-associated accordingly.

To include a Help button in the dialog, set the ShowHelpButton property to TRUE.

The File Association dialog can be seen below:

See Also

Elements: | Formats property, SelectedExt property, ServerAppName property, DlgFlags property, ShowHelpButton property, EnableMethodErrors property
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


ShowGetDirectoryDlg method (LEADDlgFile Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | int ShowGetDirectoryDlg (TWinControl* AOwnerCtrl);
Delphi Syntax | Function ShowGetDirectoryDlg (AOwnerCtrl: TWinControl ): L_INT;
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Displays the Get Directory dialog box, and allows the user to browse the file system for a folder/directory.

The properties associated with this dialog box are:

Directory property.

Filter property.

FilterIndex property.

DialogTitle property.

To include a Help button in the dialog, set the ShowHelpButton property to TRUE.

The Get Directory dialog can be seen below:

See Also

Elements: | Directory property, Filter property, FilterIndex property, DialogTitle property, ShowHelpButton property, EnableMethodErrors property
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


ShowOpenDlg method (LEADDlgFile Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | int ShowOpenDlg (TWinControl* AOwnerCtrl);
Delphi Syntax | Function ShowOpenDlg (AOwnerCtrl: TWinControl ): L_INT;
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Displays the Open dialog for getting the filename to open, file information, and applicable options.

You may want to set one or more of the following properties prior to calling this method:

Filter property, FilterIndex property, FileName property, MaxFileSize property, FileTitle property, MaxFileTitleSize property, InitialDir property, DialogTitle property, DlgFileFlags property.

Available options for the DlgFileFlags property are:

Setting | Description
DLG_OPEN_ALLOWMULTI | [$00000200] Allow selection of multiple files
DLG_OPEN_NOCHANGEDIR | [$00000008] Restore directory to original after closing

The layout and action of the dialog depends on the flags set in the DlgFlags property. Possible options are:

Value | Meaning
DLG_OPEN_SHOW_CONTEXTHELP | [$00000001] Dialog should contain a context sensitive help icon.
DLG_OPEN_SHOW_PROGRESSIVE | [$00000002] The File Load Options will contain the Progressive Passes option.
DLG_OPEN_SHOW_MULTIPAGE | [$00000004] The File Load Options will contain the Multi-page options.
DLG_OPEN_SHOW_LOADROTATED | [$00000008] The File Load Options will contain the Load-Rotated option.
DLG_OPEN_SHOW_LOADCOMPRESSED | [$00000010] The File Load Options will contain the load-compressed option.
DLG_OPEN_SHOW_FILEINFO | [$00000020] Dialog should have the File-Info button.
DLG_OPEN_SHOW_PREVIEW | [$00000040] Dialog should have a preview window to preview the selected file image.
DLG_OPEN_SHOW_DELPAGE | [$00000080] Dialog should have a delete button to delete a page in a multi-page image file.
DLG_OPEN_SHOW_LOADOPTIONS | [$00000100] Dialog should contain the "Show Load Options" check box
DLG_OPEN_VIEWTOTALPAGES | [$00010000] Show the total number of pages on the file info dialog.
DLG_OPEN_ENABLESIZING | [$00020000] Dialog should contain the Enable Sizing option.
DLG_OPEN_NOFILEMUSTEXIST | [$00040000] Do not verify that the file exists.
DLG_OPEN_NOPATHMUSTEXIST | $00080000] Do not verify that the path exists.
DLG_OPEN_USEFILESTAMP | [$00100000] Dialog should preview the stamp in the image file, if it contains a stamp and DLG_OPEN_SHOW_PREVIEW flag is passed.
DLG_OPEN_LOADBITMAP | [$00200000] Load the image when the Open button is pressed and fill the Main control Bitmap property.
DLG_OPEN_GENERATETHUMBNAIL | [$00400000] Generate the image thumbnail or create one when the Open button is pressed and update the Thumbnail property.

If you include DLG_OPEN_LOADBITMAP in the DlgFlags property, the LEADImage property must be assigned a Main Control containing a valid bitmap before calling this method.

If you include DLG_OPEN_ALLOWMULTI in the DlgFileFlags property, the OnOpenFileEvent event will occur for each file selected. The loaded file can be accessed in the LEADDlgFile.Bitmap property.

If you did not include DLG_OPEN_ALLOWMULTI in the DlgFileFlags property, the LEADDlgFile.LEADImage.Bitmap property will be updated with the loaded bitmap.

If DLG_OPEN_SHOW_PREVIEW or DLG_OPEN_USEFILESTAMP is set in the DlgFlags property and the PreviewEnabled property is set to TRUE, the "Enable Preview" box in the Open dialog box will be checked.

To initialize the "Load Rotated" box, the "Load Compressed" box and the "Page No." box when the dialog is displayed, set the following properties before calling this method:

PageNumber property.

LoadRotated property.

LoadCompressed property.

Please note, if you set the PageNumber property prior to calling the ShowOpenDlg method, the value you put in PageNumber will appear when the dialog is created. If you then select a file, which has fewer pages, the maximum number of pages for that file will appear in the "Page No.:" box.

The following properties are associated with this method:

Filter property

FilterIndex property

FileName property

FileTitle property

DialogTitle property

DlgFileFlags property

InitialDir property

MaxFileSize property

MaxFileTitleSize property

PreviewEnabled property

OptionsFileType property.

Bitmap property.

Thumbnail property.

PageNumber property.

LoadPasses property.

LoadCompressed property.

LoadRotated property.

ShowLoadOptions property.

PCDResolution property.

PDFXResolution property.

PDFXResolution property.

PDFYResolution property.

PDFDisplayDepth property.

PDFTextAlpha property.

PDFGraphicsAlpha property.

RASTERMISCXResolution property.

RASTERMISCYResolution property.

METAFILEXResolution property.

METAFILEYResolution property.

VECTORMISCViewportWidth property.

VECTORMISCViewportHeight property.

VECTORMISCViewportMode property.

VECTORMISCFont property.

DXFViewportWidth property.

DXFViewportHeight property.

DXFViewportMode property.

DXFFont property.

DXFAutoCADColorScheme property.

PLTViewportWidth property.

PLTViewportHeight property.

PLTViewportMode property.

PLTFont property.

PLTPenWidth property.

PLTPenColor property.

To include a Help button in the dialog, set the ShowHelpButton property to TRUE.

The Open dialog can be seen below:

See Also

Elements:

Load method , FileName property, FileTitle property, DialogTitle property, DlgFileFlags property, InitialDir property, MaxFileSize property, MaxFileTitleSize property, PreviewEnabled property, OptionsFileType property, Bitmap property, Thumbnail property, PageNumber property, LoadPasses property, LoadCompressed property, LoadRotated property, ShowLoadOptions property, PCDResolution property, PDFXResolution property, PDFYResolution property, PDFDisplayDepth property, PDFTextAlpha property, PDFGraphicsAlpha property, RASTERMISCXResolution property, RASTERMISCYResolution property, METAFILEXResolution property, METAFILEYResolution property, VECTORMISCViewportWidth property, VECTORMISCViewportHeight property, VECTORMISCViewportMode property, VECTORMISCFont property, DXFViewportWidth property, DXFViewportHeight property, DXFViewportMode property, DXFFont property, DXFAutoCADColorScheme property, PLTViewportWidth property, PLTViewportHeight property, PLTViewportMode property, PLTPenWidth property, PLTPenColor property, DlgFlags property, ShowHelpButton property, EnableMethodErrors property.

Topics:

Imaging Common Dialogs: Properties, Methods, and Events


ShowPrintPreviewDlg method (LEADDlgFile Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | int ShowPrintPreviewDlg (TWinControl* AOwnerCtrl);
Delphi Syntax | Function ShowPrintPreviewDlg (AOwnerCtrl: TWinControl ): L_INT;
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Displays the print preview dialog box for a single image printing.

The LEADImage property must be assigned a Main Control containing a valid bitmap before calling this method.

The following properties are associated with this method:

MarginsRect property.

MinMarginsRect property.

DevModeHandle property.

DevNamesHandle property.

WindowIcon property.

CommandShow property.

To include a Help button in the dialog, set the ShowHelpButton property to TRUE.

The Print Preview dialog for printing a single image can be seen below:

See Also

Elements: | MarginsRect property, MinMarginsRect property, DevModeHandle property, DevNamesHandle property, WindowIcon property, CommandShow property, ShowHelpButton property, EnableMethodErrors property
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


ShowPrintStitchedImagesDlg method (LEADDlgFile Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | int ShowPrintStitchedImagesDlg (TWinControl* AOwnerCtrl);
Delphi Syntax | Function ShowPrintStitchedImagesDlg (AOwnerCtrl: TWinControl ): L_INT;
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Displays the dialog box for printing multiple images.

Before calling this method, set the number of bitmaps you wish to print using this dialog in the ItemsCount property. Then, set the bitmaps to use in the ItemBitmap property and the file names of the bitmaps in the ItemFileName property.

The following properties are associated with this method:

MarginsRect property.

MinMarginsRect property.

DevModeHandle property.

DevNamesHandle property.

WindowIcon property.

CommandShow property.

ItemsCount property.

ItemDescription property.

ItemFileName property.

ItemBitmap property.

To include a Help button in the dialog, set the ShowHelpButton property to TRUE.

The Print Preview dialog for printing a single image can be seen below:

See Also

Elements: | MarginsRect property, MinMarginsRect property, DevModeHandle property, DevNamesHandle property, WindowIcon property, CommandShow property, ShowHelpButton property, EnableMethodErrors property
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


ShowSaveDlg method (LEADDlgFile Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | int ShowSaveDlg (TWinControl* AOwnerCtrl);
Delphi Syntax | Function ShowSaveDlg (AOwnerCtrl: TWinControl ): L_INT;
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Displays the Save dialog box, for getting the filename to save, along with any applicable options.

The layout and action of the dialog depends on the flags set in the DlgFlags property. Possible options are:

Value | Meaning
DLG_SAVE_AUTOPROCESS | [$00000001] process the image on OK. The LEADImage property must be assigned a Main Control containing a valid bitmap before calling this method.
DLG_SAVE_SHOW_CONTEXTHELP | [$00000002] dialog should contain a context sensitive help icon.
DLG_SAVE_SHOW_FILEOPTIONS_PROGRESSIVE | [$00000004] The Save File Options dialog will have progressive save options.
DLG_SAVE_SHOW_FILEOPTIONS_MULTIPAGE | [$00000008] The Save File Options dialog will have multi-page options.
DLG_SAVE_SHOW_FILEOPTIONS_STAMP | [$00000010] The Save File Options dialog will have stamp options for formats that support stamps.
DLG_SAVE_SHOW_FILEOPTIONS_QFACTOR | [$00000020] The Save File Options dialog will have the Qfactor option for formats that support Qfactor.
DLG_SAVE_SHOW_FILEOPTIONS_J2KOPTIONS | [$00000040] The Save File Options dialog will have a J2K Options button for formats that support J2K options.
DLG_SAVE_SHOW_FILEOPTIONS_BASICJ2KOPTIONS | [$00000080] The Save File Options dialog will have the Compression group controls ("Control", "Ratio" and "Target Size") for formats that support J2K options.
DLG_SAVE_ENABLESIZING | [$00000100] The Save File Options dialog will have the enable sizing option. This option does not work under Windows NT 4.0 and Windows 95.
DLG_SAVE_SHOW_FILEOPTIONS_JBIG2OPTIONS | [0x00000200] The Save File Options dialog will have "JBIG2 options" button.

If you include DLG_SAVE_AUTOPROCESS in the DlgFlags property, the LEADImage property must be assigned a Main Control containing a valid bitmap before calling this method.

Available options for DlgFileFlags property are:

Setting Description

DLG_SAVE_OVERWRITEPROMPT [$00000002] prompt if file already exists.

DLG_SAVE_NOCHANGEDIR [$00000008] restore directory to original after closing.

The following properties are associated with this method:

FileName property.

FileTitle property.

DialogTitle property.

DlgFileFlags property.

InitialDir property.

MaxFileSize property.

MaxFileTitleSize property.

PageNumber property.

SaveBitsPerPixel property.

SaveFormat property.

SaveQFactor property.

SaveMulti property.

SaveInterlaced property.

SavePasses property.

SaveWithStamp property.

SaveStampBits property.

SaveStampWidth property.

SaveStampHeight property.

SaveFileTypeIndex property.

SaveSubTypeIndex property.

SaveJ2KUseColorTransform property.

SaveJ2KDerivedQuantization property.

SaveJ2KCompressionControl property.

SaveJ2KCompressionRatio property.

SaveJ2KTargetFileSize property.

SaveJ2KXOsiz property.

SaveJ2KYOsiz property.

SaveJ2KXTsiz property.

SaveJ2KYTsiz property.

SaveJ2KXTOsiz property.

SaveJ2KYTOsiz property.

SaveJ2KDecompLevel property

SaveJ2KProgressOrder property.

SaveJ2KCodBlockWidth property.

SaveJ2KCodBlockHeight property.

SaveJ2KCBS_SelectiveACBypass property.

SaveJ2KCBS_ResetContextOnBoundaries property.

SaveJ2KCBS_TerminationOnEachPass property.

SaveJ2KCBS_VerticallyCausalContext property.

SaveJ2KCBS_PredictableTermination property.

SaveJ2KCBS_ErrorResilienceSymbol property.

SaveJ2KGuardBits property.

SaveJ2KDerivedBaseMantissa property.

SaveJ2KDerivedBaseExponent property.

SaveJ2KUseSOPMarker property.

SaveJ2KUseEPHMarker property.

FileFormatsCount property.

FileFormats property

SaveJBIG2SaveFlags property.

SaveJBIG2TemplateType property.

SaveJBIG2GBATX1 property.

SaveJBIG2GBATY1 property.

SaveJBIG2GBATX2 property.

SaveJBIG2GBATY2 property.

SaveJBIG2GBATX3 property.

SaveJBIG2GBATY3 property.

SaveJBIG2GBATX4 property.

SaveJBIG2GBATY4 property.

To include a Help button in the dialog, set the ShowHelpButton property to TRUE.

You may want to set one or more of the following properties prior to showing the Save dialog box:

FileName property, MaxFileSize property, FileTitle property, MaxFileTitleSize property, InitialDir property, DialogTitle property, DlgFileFlags property

If you want to initialize the setting for the "multi-page-> operation" combo box indicated in the dialog box, set the SaveMulti property before calling the ShowSaveDlg method.

The formats included in the dialog depend on the Formats set in the FileFormats property.

The Save dialog can be seen below:

See Also

Elements:

Save method , FileName property, FileTitle property, DialogTitle property, DlgFileFlags property, InitialDir property, MaxFileSize property, MaxFileTitleSize property, PageNumber property, SaveBitsPerPixel property, SaveFormat property, SaveQFactor property, SaveMulti property, SaveInterlaced property, SavePasses property, SaveWithStamp property, SaveStampBits property, SaveStampWidth property, SaveStampHeight property, SaveFileTypeIndex property, SaveSubTypeIndex property, SaveJ2KUseColorTransform property, SaveJ2KDerivedQuantization property, SaveJ2KCompressionControl property, SaveJ2KCompressionRatio property, SaveJ2KTargetFileSize property, SaveJ2KXOsiz property, SaveJ2KYOsiz property, SaveJ2KXTsiz property, SaveJ2KYTsiz property, SaveJ2KXTOsiz property, SaveJ2KYTOsiz property, SaveJ2KDecompLevel property, SaveJ2KProgressOrder property, SaveJ2KCodBlockWidth property, SaveJ2KCodBlockHeight property, SaveJ2KCBS_SelectiveACBypass property, SaveJ2KCBS_ResetContextOnBoundaries property, SaveJ2KCBS_TerminationOnEachPass property, SaveJ2KCBS_VerticallyCausalContext property, SaveJ2KCBS_PredictableTermination property, SaveJ2KCBS_ErrorResilienceSymbol property, SaveJ2KGuardBits property, SaveJ2KDerivedBaseMantissa property, SaveJ2KDerivedBaseExponent property, SaveJ2KUseSOPMarker property, SaveJ2KUseEPHMarker property, FileFormatsCount property, FileFormats property, DlgFlags property, ShowHelpButton property, EnableMethodErrors property

Topics:

Imaging Common Dialogs: Properties, Methods, and Events


OnDlgHelp Event (LEADDlgFile Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | void OnDlgHelp (unsigned uDialogID);
Delphi Syntax | procedure OnDlgHelp (uDialogID: L_UINT32);
Overview | Refer to Using Imaging Common Dialogs.

Remarks

The OnDlgHelp event is triggered when the user clicks on the Help Button on any dialog. To include a help button in a dialog, ShowHelpButton property must be set to TRUE.

See Also

Elements: | ShowHelpButton property, ShowGetDirectoryDlg method, ShowFilesAssociationDlg method, ShowOpenDlg method, ShowSaveDlg method, ShowFileConversionDlg method, ShowPrintPreviewDlg method, ShowPrintStitchedImagesDlg method
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


OnOpenFile Event (LEADDlgFile Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | L_INT OnOpenFile (int nFilePercent, int nTotalPercent);
Delphi Syntax | Function OnOpenFile (nFilePercent: L_INT; nTotalPercent: L_INT): L_INT;
Overview | Refer to Using Imaging Common Dialogs.

Remarks

OnOpenFile event is triggered for each file selected by the user to be opened using the Open dialog box when the user wants to open multiple files at the same time.

This event will be triggered only if DLG_OPEN_ALLOWMULTI is set in the DlgFileFlags property.

If you set DLG_OPEN_LOADBITMAP in the DlgFlags property, the Bitmap property will be valid during this event only when the nFilePercent= 100.

If you set DLG_OPEN_GENERATETHUMBNAIL in DlgFlags property, the Thumbnail property will be valid during this event only when the nFilePercent= 100.

The FileName property will be changed in this event according to the file currently loading.

Do not assign 0 to LEADDlgFile.Bitmap or LEADDlgFile.Thumbnails during this event.

See Also

Elements: | ShowOpenDlg method, Bitmap property, Thumbnail property, FileName property.
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


Angle property (LEADDlgImage Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | L_INT Angle
Delphi Syntax | Angle: L_INT
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets the angle value. This property is associated with the following dialog boxes:

Rotate dialog box | In this case it represents the angle by which to rotate the image. This angle is measured in hundredths of degrees. Possible values range from –36000 - +36000. A positive value will rotate the image in a clockwise rotation, while a negative value will rotate the image in a counter-clockwise rotation.
Shear dialog box | In this case it represents the angle of shear. Positive values are for clockwise angles; negative values are for counterclockwise angles. The angle is expressed in hundredths of degrees. Possible values range from –4500 - 4500.

See Also

Elements: | ShowRotateDlg method, ShowShearDlg method.
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


BackgroundColor property (LEADDlgImage Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | COLORREF BackgroundColor
Delphi Syntax | BackgroundColor: COLORREF
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets the background fill color. This color may be used to fill any exposed areas resulting from processing the bitmap.

This property is associated with the following dialog boxes:

Rotate dialog box

Shear dialog box

CanvasResize dialog box

See Also

Elements: | ShowRotateDlg method, ShowShearDlg method, ShowCanvasResizeDlg method.
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


BitmapIndex property (LEADDlgImage Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | L_UINT BitmapIndex
Delphi Syntax | BitmapIndex: L_UINT
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets the index of bitmap to use.

This property is associated with the following dialog boxes:

AddBorder dialog box | In this case, it represents the index of a tile bitmap in the image picker.
AddFrame dialog box | In this case, it represents the index of a frame bitmap in the image picker.

This property value must be between 0 and ItemsCount property value -1.

When the dialog box closes, this property will be updated with the selected tile or frame image in the image picker.

See Also

Elements: | ShowAddBorderDlg method, ShowAddFrameDlg method
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


BlueChannelPenColor property (LEADDlgImage Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | COLORREF BlueChannelPenColor
Delphi Syntax | BlueChannelPenColor: COLORREF
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets the plotting color for the blue channel histogram chart used in the Histogram dialog box.

To use this property, DLG_HISTOGRAM_USERPENCOLORS must be set in the DlgFlags property before calling the ShowHistogramDlg method. You can specify a COLORREF value, such as the return value of the Windows RGB macro.

See Also

Elements: | ShowHistogramDlg method.
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


BlueHistogram property (LEADDlgImage Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | L_UINT32 BlueHistogram [L_UINT uIndex]
Delphi Syntax | BlueHistogram [uIndex: L_UINT ]: L_UINT32
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets an array of unsigned integers that charts the number of times each intensity level occurs in the image. Set this property to initialize the blue histogram chart in the Histogram dialog box. If this property is 0, then the LEADImage property must be assigned a Main Control that has a valid bitmap, and vice versa. The MasterHistogram, RedHistogram, GreenHistogram and BlueHistogram properties must all be valid to be considered as the source of the histogram tables.

Before using this property you have to set the property BlueHistogramLen to the size of the chart.

See Also

Elements: | ShowHistogramDlg method.
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


BlueHistogramLen property (LEADDlgImage Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | L_UINT BlueHistogramLen
Delphi Syntax | BlueHistogramLen: L_UINT
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets the number of entries in the BlueHistogram property used in Histogram dialog box.

You have to set this property before using the BlueHistogram property.

Setting this property to 0 will destroy the BlueHistogram array.

See Also

Elements: | ShowHistogramDlg method.
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


BorderStyle property (LEADDlgImage Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | L_UINT BorderStyle
Delphi Syntax | BorderStyle: L_UINT
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets the style of the border in the AddBorder dialog box.

Possible values are:

Value | Meaning
BORDER_STYLE_TRANSPARENT | [0] The border is transparent. Therefore, the bitmap itself shows through as the border. This is the default.
BORDER_STYLE_OPAQUE | [1] Use a single color to create the border. The color used is GradientStartColor property.
BORDER_STYLE_GRADIENT | [2] The border contains a color gradient from GradientStartColor to GradientEndColor.
BORDER_STYLE_TILES | [3] The border is taken from the bitmap referenced by the ItemBitmap property.

When the dialog box closes, this property will be updated according to the Border Style combo box value in the dialog box.

See Also

Elements: | ShowAddBorderDlg method
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


BottomThickness property (LEADDlgImage Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | L_UINT BottomThickness
Delphi Syntax | BottomThickness: L_UINT
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets the thickness of the bottom side of the border, in pixels, in the AddBorder dialog box.

When the dialog box closes, this property will be updated with the value entered in the Bottom Margin box in the dialog box.

See Also

Elements: | ShowAddBorderDlg method
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


BumpyShadow property (LEADDlgImage Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | bool BumpyShadow
Delphi Syntax | BumpyShadow: Boolean
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets a value that indicates whether the "Bumped" checkbox was checked in the AddBorder dialog box. Possible values are:

Value | Meaning
TRUE | The "Bumped" check box was checked. Increase the intensity near the far edge of the shadow.
FALSE | The "Bumped" check box wasn’t checked. Do not increase the intensity near the far edge of the shadow.

See Also

Elements: | ShowAddBorderDlg method
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


CurrentHeight property (LEADDlgImage Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | L_UINT CurrentHeight
Delphi Syntax | CurrentHeight: L_UINT
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets the current height in the CanvasResize dialog box.

The value of this property will be display in the Current Height static control. This value may be equal to the bitmap width.

See Also

Elements: | ShowCanvasResizeDlg method
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


CurrentWidth property (LEADDlgImage Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | L_UINT CurrentWidth
Delphi Syntax | CurrentWidth: L_UINT
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets the current width in the CanvasResize dialog box.

The value of this property will be displayed in the Current Width static control. This value may be equal to the bitmap width.

See Also

Elements: | ShowCanvasResizeDlg method
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


CurveIntensity property (LEADDlgImage Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | L_INT CurveIntensity
Delphi Syntax | CurveIntensity: L_INT
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets a value that indicates the degree to which to change the appearance of the border in the AddBorder dialog box.

Valid range is from 0 to 1000.

When the dialog box closes, this property will be updated according to the intensity edit box value in the dialog box.

See Also

Elements: | ShowAddBorderDlg method.
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


DlgFlags property (LEADDlgImage Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | L_UINT32 DlgFlags
Delphi Syntax | DlgFlags: L_UINT32
Overview | Refer to Using Imaging Common Dialogs.

Remarks

General property used by all the Imaging Common Dialog methods. The options set in this property determine the layout and action of the dialog boxes. The options available for each method depend on and are listed with each method.

See Also

Elements: | ShowRotateDlg method, ShowShearDlg method, ShowResizeDlg method, ShowAutoTrimDlg method, ShowCanvasResizeDlg method, ShowHistogramDlg method, ShowAddBorderDlg method, ShowAddFrameDlg method.
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


EffectStyle property (LEADDlgImage Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | L_UINT EffectStyle
Delphi Syntax | EffectStyle: L_UINT
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets a value that indicates the change in the appearance of the border in the AddBorder dialog box.

By default there are no changes. The change also depends on the value of the CurveIntesity property. If the CurveIntensity property value is zero, there are no changes. Possible values are:

Value | Meaning
BORDER_EFFECT_CURVEDIN | [1] Add a 3D appearance to the border by adding a high intensity color to the inner side of the border and a lower intensity color to the outer side of the border.
BORDER_EFFECT_CURVEDOUT | [2] Add a 3D appearance to the border by adding a high intensity color to the outer side of the border and a lower intensity color to the inner side of the border.
BORDER_EFFECT_RAISED | [3] Add a curved appearance to the border.

When the dialog box closed, this property will be updated according to the Effect Style combo box value in the dialog box.

See Also

Elements: | ShowAddBorderDlg method
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


EnableMethodErrors property (LEADDlgImage Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | bool EnableMethodErrors
Delphi Syntax | EnableMethodErrors: Boolean
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Specifies whether LEADTOOLS generates runtime exceptions (in addition to method return values). Possible values are:

Setting | Description
TRUE | Generate system error events.
FALSE | Do not generate system error events.

See Also

Elements: | ShowRotateDlg method, ShowShearDlg method, ShowResizeDlg method, ShowAddBorderDlg method, ShowAddFrameDlg method, ShowAutoTrimDlg method, ShowCanvasResizeDlg method, ShowHistogramDlg method
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


Error property (LEADDlgImage Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | int Error
Delphi Syntax | Error: L_INT
Overview | Refer to Using Imaging Common Dialogs.

Remarks

(Read only) Gets the error code resulting from the last Common Dialog method called or property set. If the last operation performed was successful, the value is SUCCESS or SUCCESS_DLG_OK.

For a list of error codes, refer to Error Codes.

See Also

Elements: | EnableMethodErrors property, ErrorMsg property
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


ErrorMsg property (LEADDlgImage Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | AnsiString ErrorMsg
Delphi Syntax | ErrorMsg: String
Overview | Refer to Using Imaging Common Dialogs.

Remarks

(Read only) Gets a string that contains the description of the error resulting from the last Common Dialog method called or property set.

See Also

Elements: | EnableMethodErrors property, Error property
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


GradientEndColor property (LEADDlgImage Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | COLORREF GradientEndColor
Delphi Syntax | GradientEndColor: COLORREF
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets the gradient ending color in the AddBorder dialog box.

This property is valid when the BorderStyle option in the AddBorder dialog is BORDER_STYLE_GRADIENT (BorderStyle property is BORDER_STYLE_GRADIENT).

When the dialog box closes, this property will be updated according to the selected color in the dialog box.

See Also

Elements: | ShowAddBorderDlg method
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


GradientStartColor property (LEADDlgImage Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | COLORREF GradientStartColor
Delphi Syntax | GradientStartColor: COLORREF
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets the gradient starting color in the AddBorder dialog box.

This property is valid when the BorderStyle option in the AddBorder dialog is BORDER_STYLE_GRADIENT (BorderStyle property is BORDER_STYLE_GRADIENT).

When the dialog box closes, this property will be updated according to the selected color in the dialog box.

See Also

Elements: | ShowAddBorderDlg method.
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


GradientStyle property (LEADDlgImage Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | L_UINT GradientStyle
Delphi Syntax | GradientStyle: L_UINT
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets the gradient style in the AddBorder dialog box. Possible values are:

Value | Meaning
BORDER_GRAD_INSIDEOUT | [0] The gradient starts from the inside of the border and progresses toward the outside of the border. This is the default.
BORDER_GRAD_CENTEROUT | [1] The gradient starts from the center of the border and progresses toward both the inside and outside of the border.
BORDER_GRAD_CORNEROUT | [2] The gradient starts from the corners of the border.

When the dialog box closes, this property will be updated according to the Direction combo box value in the dialog box.

See Also

Elements: | ShowAddBorderDlg method.
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


GreenChannelPenColor property (LEADDlgImage Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | COLORREF GreenChannelPenColor
Delphi Syntax | GreenChannelPenColor: COLORREF
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets the plotting color for the green channel histogram chart used in the Histogram dialog box. To use this property, DLG_HISTOGRAM_USERPENCOLORS must be set in the DlgFlags property before calling the ShowHistogramDlg method. You can specify a COLORREF value, such as the return value of the Windows RGB macro.

See Also

Elements: | ShowHistogramDlg method.
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


GreenHistogram property (LEADDlgImage Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | L_UINT32 GreenHistogram [L_UINT uIndex]
Delphi Syntax | GreenHistogram [uIndex: L_UINT ]: L_UINT32
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets an array of unsigned integers that charts the number of times each intensity level occurs in the image. Set this property to initialize the green histogram chart in the Histogram dialog box. If this property is 0, then the LEADImage property must be assigned a Main Control that has a valid bitmap, and vice versa. The MasterHistogram, RedHistogram, GreenHistogram and BlueHistogram properties must all be valid to be considered as the source of the histogram tables.

Before using this property you have to set the GreenHistogramLen property to the size of the chart.

See Also

Elements: | ShowHistogramDlg method.
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


GreenHistogramLen property (LEADDlgImage Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | L_UINT GreenHistogramLen
Delphi Syntax | GreenHistogramLen: L_UINT
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets the number of entries in the GreenHistogram property used in the Histogram dialog box.

You have to set this property before using the GreenHistogram property.

Setting this property to 0 will destroy the GreenHistogram array.

See Also

Elements: | ShowHistogramDlg method.
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


HistogramFlags property (LEADDlgImage Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | L_UINT HistogramFlags
Delphi Syntax | HistogramFlags: L_UINT
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets a value used to determine which bits to use when calculating the histogram in the Histogram dialog box. This value is used only if the bitmap is 12 or 16-bit grayscale. Possible values are:

Value | Meaning
HIST_LOWHIGH_BITS | [$0000] Use the only the bits between the LowBit and HighBit values stored in the bitmap handle.
HIST_ALL_BITS | [$0010] Use all the bits for calculating the histogram (the LowBit and HighBit values from the bitmap handle are ignored.

See Also

Elements: | ShowHistogramDlg method.
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


Horizontal property (LEADDlgImage Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | bool Horizontal
Delphi Syntax | Horizontal: Boolean
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets the shear direction in the Shear dialog box. Possible values are:

Value | Meaning
TRUE | The Horizontal check box was checked. The shear direction is horizontal.
FALSE | The Horizontal check box wasn’t checked. The shear direction is vertical.

See Also

Elements: | ShowShearDlg method
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


ItemBitmap property (LEADDlgImage Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | TBitmapHandle ItemBitmap [L_UINT uIndex ]
Delphi Syntax | ItemFileName [uIndex: L_UINT ]: TBitmapHandle
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets an array of bitmaps to be used in the image picker in the AddBorder and the AddFrame dialog boxes.

For each bitmap in the ItemBitmap property, the name of the file that contains the bitmap can be found in the ItemFileName property, at the same index. In addition, the ItemDescription property contains a description pertaining to the corresponding bitmap in the ItemBitmap property.

You have to set the ItemsCount property before using this property.

See Also

Elements: | ShowAddBorderDlg method, ShowAddFrameDlg method
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


ItemFileName property (LEADDlgImage Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | AnsiString ItemFileName[L_UINT uIndex]
Delphi Syntax | ItemFileName [uIndex: L_UINT ]: String
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets an array of strings that contains the file names corresponding to the bitmaps in the ItemBitmap property.

Set this property to a fully qualified path name if you wish to supply a thumbnail for previewing purposes only. This fully qualified path name will be used to load the bitmap when needed. Set this field to ‘’ to indicate that the bitmap set in the ItemBitmap field is not a thumbnail but is the bitmap to be used in processing.

You have to set the ItemsCount property before using this property.

See Also

Elements: | ShowAddBorderDlg method, ShowAddFrameDlg method.
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


ItemsCount property (LEADDlgImage Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | L_UINT ItemsCount
Delphi Syntax | ItemsCount: L_UINT
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets the number of bitmaps included in the image picker associated with the AddBorder or the AddFrame dialog box.

You have to set this property to the number of elements you want to pass to the AddBorder or the AddFrame dialog boxes before you set any other item properties (ItemBitmap property, ItemDescription property, or ItemFileName property).

Setting this property to 0 will clear the old ItemBitmap property, ItemDescription property and ItemFileName property settings.

See Also

Elements: | ShowAddBorderDlg method, ShowAddFrameDlg method.
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


KeepFrameState property (LEADDlgImage Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | bool KeepFrameState
Delphi Syntax | KeepFrameState: Boolean
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets a value that indicates the state of the frame bitmap in the AddFrame dialog box.

Value | Meaning
TRUE | Keep the state of the frame bitmap and operate on a copy of the frame bitmap.
FALSE | Work on the original frame bitmap so this bitmap may be resized during the AddFrame method .

This flag is only used as an input and only when DLG_ADDFRAME_AUTOPROCESS is set in the DlgFlags property before calling the ShowAddFrameDlg method.

See Also

Elements: | ShowAddFrameDlg method.
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


LEADDlgService property (LEADDlgImage Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | TLEADDlgService* LEADDlgService
Delphi Syntax | LEADDlgService: TLEADDlgService
Overview | Refer to Using Imaging Common Dialogs.

Remarks

A general property used by all the control dialogs; it is a LEAD Dialog Service Control. If you want to apply the font set by the DialogsFont property to the Dialogs of this control you have to set this property by the Dialog Service Control that has the Font you want to be applied.

See Also

Elements: | LEADImage property.
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


LEADImage property (LEADDlgImage Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | TLEADImage* LEADImage
Delphi Syntax | LEADImage: TLEADImage
Overview | Refer to Using Imaging Common Dialogs.

Remarks

A general property used by most of the control dialogs; it is a LEAD Main Control. For any Common Dialog method in which the AUTOPROCESS or SHOWPREVIEW flags are set in the DlgFlags property, you must assign a Main Control to the LEADImage property. This causes the Main Control's bitmap to be referenced in the Dialog Control methods and a copy is NOT created.

See Also

Elements: | LEADDlgService Property.
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


LeftThickness property (LEADDlgImage Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | L_UINT LeftThickness
Delphi Syntax | LeftThickness: L_UINT
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets the thickness of the left side of the border, in pixels, in the AddBorder dialog box.

When the dialog box closes, this property will be updated with the value entered in the Left Margin box in the dialog box.

See Also

Elements: | ShowAddBorderDlg method
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


Location property (LEADDlgImage Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | L_UINT Location
Delphi Syntax | Location: L_UINT
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets the location value.

This property is associated with the following dialog boxes:

AddBorder dialog box | In this case it represents the position of the border. Possible values are:
 | Value | Meaning
 | BORDER_INSIDE | [0] The border will be within the bitmap. This is the default.
 | BORDER_OUTSIDE | [1] The border will be outside the bitmap.
AddFrame dialog box | In this case it represents the placement of frame. Possible values are:
 | Value | Meaning
 | FRAME_INSIDE | [0] The frame will be within the original bitmap. This is the default.
 | FRAME_OUTSIDE | [1] The frame will be outside the original bitmap.

When the dialog box closed, this property will be updated according to the Placement combo box value in the dialog boxes.

See Also

Elements: | ShowAddBorderDlg method, ShowAddFrameDlg method
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


MaskColor property (LEADDlgImage Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | COLORREF MaskColor
Delphi Syntax | MaskColor: COLORREF
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets the masking color to use when the UseMask property is TRUE in the AddFrame dialog box.

When the dialog box closes, this property will be updated according to the transparent color picker value in the dialog box.

See Also

Elements: | ShowAddFrameDlg method
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


MasterHistogram property (LEADDlgImage Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | L_UINT32 MasterHistogram [L_UINT uIndex]
Delphi Syntax | MasterHistogram [uIndex: L_UINT ]: L_UINT32
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets an array of unsigned integers that charts the number of times each intensity level occurs in the image. Set this property to initialize the master histogram chart in the Histogram dialog box. If this property is 0, then the LEADImage property must be assigned a Main Control that has a valid bitmap, and vice versa. The MasterHistogram, RedHistogram, GreenHistogram and BlueHistogram properties must all be valid to be considered as the source of the histogram tables.

Before using this property you have to set the MasterHistogramLen property to the size of this chart.

See Also

Elements: | ShowHistogramDlg method
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


MasterHistogramLen property (LEADDlgImage Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | L_UINT MasterHistogramLen
Delphi Syntax | MasterHistogramLen: L_UINT
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets the number of entries in the MasterHistogram property used in the Histogram dialog box.

You have to set this property before using the MasterHistogram property.

Setting this property to 0 will destroy the MasterHistogram array.

See Also

Elements: | ShowHistogramDlg method.
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


MasterPenColor property (LEADDlgImage Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | COLORREF MasterPenColor
Delphi Syntax | MasterPenColor: COLORREF
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets the plotting color for the master channel histogram chart used in the Histogram dialog box.

To use this property, DLG_HISTOGRAM_USERPENCOLORS must be set in the DlgFlags property before calling the ShowHistogramDlg method. You can specify a COLORREF value, such as the return value of the Windows RGB macro.

See Also

Elements: | ShowHistogramDlg method.
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


MaxNewHeight property (LEADDlgImage Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | L_UINT MaxNewHeight
Delphi Syntax | MaxNewHeight: L_UINT
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets the maximum height for the resized bitmap that can be set in the Resize dialog box.

This value ranges from 1 to 100000. If you set this field to 0 the dialog will set the maximum allowed value to the default of 30000.

See Also

Elements: | ShowResizeDlg method
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


MaxNewResolutionX property (LEADDlgImage Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | L_UINT MaxNewResolutionX
Delphi Syntax | MaxNewResolutionX: L_UINT
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets the maximum X resolution that can be set in the Resize dialog box user.

This value ranges from 1 to 30000. If you set this field to 0 the dialog will set the maximum allowed value to the default of 10000.

See Also

Elements: | ShowResizeDlg method
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


MaxNewResolutionY property (LEADDlgImage Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | L_UINT MaxNewResolutionY
Delphi Syntax | MaxNewResolutionY: L_UINT
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets the maximum Y resolution that can be set in the Resize dialog box.

This value ranges from 1 to 30000. If you set this field to 0 the dialog will set the maximum allowed value to the default of 10000.

See Also

Elements: | ShowResizeDlg method
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


MaxNewWidth property (LEADDlgImage Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | L_UINT MaxNewWidth
Delphi Syntax | MaxNewWidth: L_UINT
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets the maximum width for the resized bitmap that can be set in the Resize dialog box.

This value ranges from 1 to 100000. If you set this field to 0 the dialog will set the maximum allowed value to the default of 30000.

See Also

Elements: | ShowResizeDlg method
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


NewHeight property (LEADDlgImage Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | L_UINT NewHeight
Delphi Syntax | NewHeight: L_UINT
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets the new height value in the Resize and the CanvasResize dialog boxes.

Resize dialog box | The value set must not exceed the maximum set in the MaxNewHeight property. In addition, if you set DLG_RESIZE_MAINTAINASPECT in DlgFlags property before calling the ShowResizeDlg method you must be sure that the NewWidth and NewHeight properties have the same aspect ratio as the OriginalWidth and OriginalHeight properties. Otherwise both the NewWidth and NewHeight values will be replaced with the OriginalWidth and OriginalHeight properties values respectively. If you set this field to 0 the dialog's initial width value will equal the value of the OriginalHeight field.
CanvasResize dialog box | It represents the new height entered by the user.

See Also

Elements: | ShowResizeDlg method, ShowCanvasResizeDlg method
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


NewResolutionX property (LEADDlgImage Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | L_UINT NewResolutionX
Delphi Syntax | NewResolutionX: L_UINT
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets the horizontal resolution value in the Resize dialog box.

This property value must not exceed the value set in the MaxNewResolutionX property. The value set in this field will not affect the initial width and height set in the NewWidth and NewHeight properties. Setting this property to 0 will set the initial horizontal value in the dialog to the value of the OriginalResolutionX property.

See Also

Elements: | ShowResizeDlg method
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


NewResolutionY property (LEADDlgImage Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | L_UINT NewResolutionY
Delphi Syntax | NewResolutionY: L_UINT
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets the vertical resolution value in the Resize dialog box.

This property value must not exceed the value set in the MaxNewResolutionY property. The value set in this field will not affect the initial width and height set in the NewWidth and NewHeight properties. Setting this property to 0 will set the initial horizontal value in the dialog to the value of the OriginalResolutionY property.

See Also

Elements: | ShowResizeDlg method
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


NewWidth property (LEADDlgImage Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | L_UINT NewWidth
Delphi Syntax | NewWidth: L_UINT
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets the width value in the Resize and the CanvasResize dialog boxes.

Resize dialog box | The value set must not exceed the maximum set in the MaxNewWidth property. In addition, if you set DLG_RESIZE_MAINTAINASPECT in the DlgIFlags property before calling the ShowResizeDlg method you must be sure that the NewWidth and NewHeight properties have the same aspect ratio as the OriginalWidth and OriginalHeight properties. Otherwise, both the NewWidth and NewHeight property values will be replaced with the OriginalWidth and OriginalHeight property values respectively. If you set this property to 0 the dialog's initial width value will equal the value of the OriginalWidth property.
CanvasResize dialog box | It represents the new width entered by the user.

See Also

Elements: | ShowResizeDlg method, ShowCanvasResizeDlg method.
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


OpaqueColor property (LEADDlgImage Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | COLORREF OpaqueColor
Delphi Syntax | OpaqueColor: COLORREF
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets the opaque color to use when the BorderStyle property is BORDER_STYLE_OPAQUE, in the AddBorder dialog box.

When calling the AddBorder method , use this property for GradientStartColor parameter if BorderStyle property is BORDER_STYLE_OPAQUE.

When the dialog box closes, this property will be updated according to the selected color in the dialog box.

See Also

Elements: | ShowAddBorderDlg method
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


OriginalBitsPerPixel property (LEADDlgImage Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | L_UINT OriginalBitsPerPixel
Delphi Syntax | OriginalBitsPerPixel: L_UINT
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets the original bits per pixel, which is usually the bitmap bits per pixel, in the Resize dialog box.

The value set in this property will be used to calculate the size displayed in the Original Image Size static control and the New Image Size static control. Notice that setting the bitmap will not compensate for not setting the appropriate value in this property.

See Also

Elements: | ShowResizeDlg method
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


OriginalHeight property (LEADDlgImage Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | L_UINT OriginalHeight
Delphi Syntax | OriginalHeight: L_UINT
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets the original height, which is usually the bitmap height, in the Resize dialog box.

The value must not be less than 1. OriginalHeight will be used to calculate the height percentage and the aspect ratio. The value set in this property will be displayed in the Original Image Height static control. Notice that setting the bitmap will not compensate for not setting the appropriate value in this property.

See Also

Elements: | ShowResizeDlg method
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


OriginalResolutionX property (LEADDlgImage Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | L_UINT OriginalResolutionX
Delphi Syntax | OriginalResolutionX: L_UINT
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets the original horizontal resolution, which is usually the bitmap horizontal resolution, in the Resize dialog box.

The value set in this property will be displayed in the Resolution Horizontal static control. Notice that setting the bitmap will not compensate for not setting the appropriate value in this property.

See Also

Elements: | ShowResizeDlg method
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


OriginalResolutionY property (LEADDlgImage Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | L_UINT OriginalResolutionY
Delphi Syntax | OriginalResolutionY: L_UINT
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets the original vertical resolution, which is usually the bitmap vertical resolution, in the Resize dialog box.

The value set in this property will be displayed in the Resolution Vertical static control. Notice that setting the bitmap will not compensate for not setting the appropriate value in this property.

See Also

Elements: | ShowResizeDlg method
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


OriginalWidth property (LEADDlgImage Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | L_UINT OriginalWidth
Delphi Syntax | OriginalWidth: L_UINT
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets the original width, which is usually the bitmap width, in the Resize dialog box.

The value must not be less than 1. OriginalWidth will be used through the dialog to calculate the width percentage and the aspect ratio. The value set in this property will be displayed in the Original Image Width static control. Notice that setting the bitmap will not compensate for not setting the appropriate value in this property.

See Also

Elements: | ShowResizeDlg method
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


Quality property (LEADDlgImage Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | L_INT Quality
Delphi Syntax | Quality: L_INT
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets a value that indicates the quality of the resulting bitmap in the AddFrame dialog box. Possible values are:

Value | Meaning
FRAME_QUALITY_LOW | [0] Give the resulting bitmap normal quality.
FRAME_QUALITY_HIGH | [1] Give the resulting bitmap high quality.

When the dialog box closes, this property will be updated according to the Quality combo box value in the dialog box.

See Also

Elements: | ShowAddFrameDlg method
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


RedChannelPenColor property (LEADDlgImage Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | COLORREF RedChannelPenColor
Delphi Syntax | RedChannelPenColor: COLORREF
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets the plotting color for the red channel histogram chart used in the Histogram dialog box.

To use this property, DLG_HISTOGRAM_USERPENCOLORS must be set in the DlgFlags property before calling the ShowHistogramDlg method. You can specify a COLORREF value, such as the return value of the Windows RGB macro.

See Also

Elements: | ShowHistogramDlg method.
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


RedHistogram property (LEADDlgImage Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | L_UINT32 RedHistogram [L_UINT uIndex]
Delphi Syntax | RedHistogram [uIndex: L_UINT ]: L_UINT32
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets an array of unsigned integers that charts the number of times each intensity level occurs in the image. Set this property to initialize the red histogram chart in the Histogram dialog box. If this property is 0, then the LEADImage property must be assigned a Main Control that has a valid bitmap, and vice versa. The MasterHistogram, RedHistogram, GreenHistogram and BlueHistogram properties must all be valid to be considered as the source of the histogram tables.

Before using this property you have to set the property RedHistogramLen to the size of the chart.

See Also

Elements: | ShowHistogramDlg method.
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


RedHistogramLen property (LEADDlgImage Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | L_UINT RedHistogramLen
Delphi Syntax | RedHistogramLen: L_UINT
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets the number of entries in the RedHistogram property used in the Histogram dialog box.

You have to set this property before using the RedHistogram property.

Setting this property to 0 will destroy the RedHistogram array.

See Also

Elements: | ShowHistogramDlg method.
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


Resize property (LEADDlgImage Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | bool Resize
Delphi Syntax | Resize: Boolean
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets a value that indicates whether the resize checkbox was checked in the Rotate dialog box. Possible values are:

Value | Meaning
TRUE | The Resize check box was checked.
FALSE | The Resize check box wasn’t checked.

See Also

Elements: | ShowResizeDlg method.
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


ResizeFlags property (LEADDlgImage Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | L_UINT ResizeFlags
Delphi Syntax | ResizeFlags: L_UINT
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets the resize method in the Resize dialog box. Possible values are:

Value | Meaning
SIZE_NORMAL | [$0000] Resize normally.
SIZE_FAVORBLACK | [$0001] (Document/Medical only) Preserve black objects when making the image smaller. This option affects only 1-bit, black-and-white images, where it prevents the disappearance of thin lines. You can use a bitwise OR ( | ) to combine this flag with another one. For example, SIZE_RESAMPLE | SIZE_FAVORBLACK causes color images to be resampled, but applies the favor-black option to 1-bit, black-and-white images.
SIZE_RESAMPLE | [$0002] Use linear interpolation and averaging to produce a higher-quality image.
SIZE_BICUBIC | [$0004] Use bicubic interpolation and averaging to produce a higher quality image. This is slower than SIZE_RESAMPLE.

See Also

Elements: | ShowResizeDlg method
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


RightThickness property (LEADDlgImage Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | L_UINT RightThickness
Delphi Syntax | RightThickness: L_UINT
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets the thickness of the right side of the border, in pixels, in the AddBorder dialog box.

When the dialog box closes, this property will be updated with the value entered in the Right Margin box in the dialog box.

See Also

Elements: | ShowAddBorderDlg method
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


RotateFlags property (LEADDlgImage Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | L_UINT RotateFlags
Delphi Syntax | RotateFlags: L_UINT
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets the type of resizing to perform in the Rotate dialog box. Possible values are:

Value | Meaning
0 | Normal resize.
ROTATE_RESAMPLE | Resample resize.
ROTATE_BICUBIC | Bicubic resize.

See Also

Elements: | ShowRotateDlg method
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


SelectedBitmap property (LEADDlgImage Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | TBitmapHandle SelectedBitmap
Delphi Syntax | SelectedBitmap: TBitmapHandle
Overview | Refer to Using Imaging Common Dialogs.

Remarks

(Read Only) Gets the bitmap selected by the user when the AddBorder dialog box or the AddFrame dialog box closed successfully.

You can pass this bitmap to the AddBorder method or AddFrame method .

See Also

Elements: | ShowAddBorderDlg method, ShowAddFrameDlg method.
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


ShadowDirection property (LEADDlgImage Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | L_UINT ShadowDirection
Delphi Syntax | ShadowDirection: L_UINT
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets the direction of the shadow in the AddBorder dialog box.

This value is used only when the UseShadow property is TRUE. Possible values are:

Value | Meaning
BORDER_SHADOW_LEFT | [0] The shadow is on the left top side of the image. This is the default.
BORDER_SHADOW_RIGHT | [1] The shadow is on the right bottom side of the image.
BORDER_SHADOW_SURROUND | [2] The shadow surrounds the border.

When the dialog box closes, this property will be updated according to the Shadows Placement combo box value in the dialog box.

See Also

Elements: | ShowAddBorderDlg method
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


ShadowSize property (LEADDlgImage Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | L_UINT ShadowSize
Delphi Syntax | ShadowSize: L_UINT
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets the size of the shadow, in pixels, in the AddBorder dialog box.

Valid range is from –1000 to 1000.

This property value is valid only if the UseShadow property is TRUE.

When the dialog box closes, this property will be updated according to the Shadow Size edit box value in the dialog box.

See Also

Elements: | ShowAddBorderDlg method
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


ShowHelpButton property (LEADDlgImage Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | bool ShowHelpButton
Delphi Syntax | ShowHelpButton: Boolean
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Used by all the control dialogs. It determines if a Help button will be displayed in the dialog. Possible values are:

Setting | Description
TRUE | Help Button will be displayed.
FALSE | Help Button will not be displayed and the OnDlgHelp Event will not be available for the dialogs.

See Also

Elements: | OnDlgHelp Event.
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


SmoothEdge property (LEADDlgImage Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | Byte SmoothEdge
Delphi Syntax | SmoothEdge: Byte
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets a value that indicates the amount to smooth the edge between the frame and the original bitmap in the AddFrame dialog box.

This value is used only when the UseMask property is FALSE. Valid range is from 0 to 255.

When the dialog box closes, this property will be updated according to the Tolerance edit box value in the dialog box.

See Also

Elements: | ShowAddFrameDlg method
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


SoftCurve property (LEADDlgImage Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | bool SoftCurve
Delphi Syntax | SoftCurve: Boolean
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets a value that indicates whether the Smooth checkbox was checked in the AddBorder dialog box. Possible values are:

Value | Meaning
TRUE | The Smooth check box was checked. Make the border more homogeneous in intensity, giving the appearance of a smoother curve.
FALSE | The Smooth check box wasn’t checked. Do not make the border more homogeneous in intensity, giving the appearance of a smoother curve.

See Also

Elements: | ShowAddBorderDlg method
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


Threshold property (LEADDlgImage Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | L_UINT Threshold
Delphi Syntax | Threshold: L_UINT
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets the delta value for detecting blank space in the AutoTrim dialog box.

Notice that the dialog dynamically calculates the range of threshold values that are applicable to your bitmap, once the dialog starts using the bitmap found in the LEADImage property. If you don’t provide a valid bitmap, or Nil is set in LEADImage property, the range of values is between 0 and 244

See Also

Elements: | ShowAutoTrimDlg method
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


TopLeftPoint property (LEADDlgImage Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | TPoint TopLeftPoint
Delphi Syntax | TopLeftPoint: TPoint
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets the top and left coordinates of the bitmap within its new canvas in the CanvasResize dialog box.

This point is relative to the bitmap, and will not exceed the bitmap's width or height.

See Also

Elements: | ShowCanvasResizeDlg method
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


TopThickness property (LEADDlgImage Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | L_UINT TopThickness
Delphi Syntax | TopThickness: L_UINT
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets the thickness of the top side of the border, in pixels, in the AddBorder dialog box.

When the dialog box closes, this property will be updated with the value entered in the Top Margin box in the dialog box.

See Also

Elements: | ShowAddBorderDlg method
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


UseMask property (LEADDlgImage Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | bool UseMask
Delphi Syntax | UseMask: Boolean
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets a value that indicates whether the "Use Mask" checkbox was checked in the AddFrame dialog box. Possible values are:

Value | Meaning
TRUE | The "Use Mask" check box was checked. Use the color specified in the Transparent Color picker as the masking color.
FALSE | The "Use Mask" check box wasn’t checked. Automatically detect masking color.

See Also

Elements: | ShowAddFrameDlg method
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


UseShadow property (LEADDlgImage Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | bool UseShadow
Delphi Syntax | UseShadow: Boolean
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets a value that indicates whether the "Use Shadows" checkbox was checked in the AddBorder dialog box. Possible values are:

Value | Meaning
TRUE | The "Use Shadows" check box was checked. Add a shadow to the border.
FALSE | The "Use Shadows" check box wasn’t checked. Do not add a shadow to the border.

See Also

Elements: | ShowAddBorderDlg method
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


ZoomToFit property (LEADDlgImage Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | bool ZoomToFit
Delphi Syntax | ZoomToFit: Boolean
Overview | Refer to Using Imaging Common Dialogs.

Remarks

General property used by all the Imaging Common Dialog methods.

It is a flag that indicates the initial zoom level for previewing the image. Possible values are:

Value | Meaning
TRUE | Set the initial zoom level to "Zoom to fit".
FALSE | Set the initial zoom level to "Normal (1:1)".

See Also

Elements: | ShowRotateDlg method, ShowShearDlg method, ShowResizeDlg method, ShowAutoTrimDlg method, ShowCanvasResizeDlg method, ShowHistogramDlg method, ShowAddBorderDlg method, ShowAddFrameDlg method.
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


ShowAddBorderDlg method (LEADDlgImage Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | int ShowAddBorderDlg(TWinControl* AOwnerCtrl);
Delphi Syntax | Function ShowAddBorderDlg (AOwnerCtrl: TWinControl): L_INT;
Overview | Refer to Using Imaging Common Dialogs.

Remarks

(Raster Pro and above toolkits only) Displays the Add Border dialog box and get the options for the AddBorder method .

The layout and action of the dialog depends on the flags set in the DlgFlags property. Possible options are:

Value | Meaning
DLG_ADDBORDER_AUTOPROCESS | [$00000001] Process the image on OK. The LEADImage property must be assigned a Main Control containing a valid bitmap before calling this method.
DLG_ADDBORDER_SHOW_CONTEXTHELP | [$00000002] Dialog should contain a context sensitive help icon.
DLG_ADDBORDER_SHOW_PREVIEW | [$00000004] Show a preview of the image in the dialog. The LEADImage property must be assigned a Main Control containing a valid bitmap before calling this method.
DLG_ADDBORDER_SHOW_TOOL_ZOOMLEVEL | [$00000008] Show the "Zoom to fit" and "Zoom Normal" toolbar buttons. The DLG_ADDBORDER_SHOW_PREVIEW flag must be set in order to show these buttons.

If you include DLG_ADDBORDER_AUTOPROCESS or DLG_ADDBORDER_SHOW_PREVIEW in the DlgFlags property, the LEADImage property must be assigned a Main Control containing a valid bitmap before calling this method.

The properties associated with this dialog are:

BitmapIndex property.

LeftThickness property.

TopThickness property.

RightThickness property.

BottomThickness property.

Location property.

BorderStyle property.

EffectStyle property.

GradientStyle property.

OpaqueColor property.

GradientStartColor property.

GradientEndColor property.

CurveIntensity property.

SoftCurve property.

UseShadow property.

ShadowSize property.

ShadowDirection property.

BumpyShadow property.

ItemsCount property.

ItemDescription property.

ItemFileName property.

ItemBitmap property.

SelectedBitmap property.

To include a Help button in the dialog, set the ShowHelpButton property to TRUE.

The Histogram dialog can be seen below:

See Also

Elements: | AddBorder method , BitmapIndex property, LeftThickness property, TopThickness property, RightThickness property, BottomThickness property, Location property, BorderStyle property, EffectStyle property, GradientStyle property, OpaqueColor property, GradientStartColor property, GradientEndColor property, CurveIntensity property, SoftCurve property, UseShadow property, ShadowSize property, ShadowDirection property, BumpyShadow property, ItemsCount property, ItemDescription property, ItemFileName property, ItemBitmap property, SelectedBitmap property, ShowHelpButton property, DlgFlags property, ZoomToFit Property, EnableMethodErrors property.
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


ShowAddFrameDlg method (LEADDlgImage Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | int ShowAddFrameDlg(TWinControl* AOwnerCtrl);
Delphi Syntax | Function ShowAddFrameDlg (AOwnerCtrl: TWinControl): L_INT;
Overview | Refer to Using Imaging Common Dialogs.

Remarks

(Raster Pro and above toolkits only) Displays the Add Frame dialog box and get the options of AddFrame method .

The layout and action of the dialog depends on the flags set in the DlgFlags property. Possible options are:

Value | Meaning
DLG_ADDFRAME_AUTOPROCESS | [$00000001] Process the image on OK. The LEADImage property must be assigned a Main Control containing a valid bitmap before calling this method.
DLG_ADDFRAME_SHOW_CONTEXTHELP | [$00000002] Dialog should contain a context sensitive help icon.
DLG_ADDFRAME_SHOW_PREVIEW | [$00000004] Show a preview of the image in the dialog. The LEADImage property must be assigned a Main Control containing a valid bitmap before calling this method.
DLG_ADDFRAME_SHOW_TOOL_ZOOMLEVEL | [$00000008] Show the "Zoom to fit" and "Zoom Normal" toolbar buttons. The DLG_ADDBORDER_SHOW_PREVIEW flag must be set in order to show these buttons.
DLG_ADDFRAME_SHOW_TOOL_COLORPICKER | [$00000010] Show the Color button.

If you include DLG_ADDFRAME_AUTOPROCESS or DLG_ADDFRAME_SHOW_PREVIEW in the DlgFlags property, the LEADImage property must be assigned a Main Control containing a valid bitmap before calling this method.

The properties associated with this dialog are:

BitmapIndex property.

Location property.

UseMask property.

KeepFrameState property.

MaskColor property.

SmoothEdge property.

Quality property.

ItemsCount property.

ItemDescription property.

ItemFileName property.

ItemBitmap property.

SelectedBitmap property.

To include a Help button in the dialog, set the ShowHelpButton property to TRUE.

The Histogram dialog can be seen below:

See Also

Elements: | AddFrame method , BitmapIndex property, Location property, UseMask property, KeepFrameState property, MaskColor property, SmoothEdge property, Quality property, ItemsCount property, ItemDescription property, ItemFileName property, ItemBitmap property, SelectedBitmap property, ShowHelpButton property, DlgFlags property, ZoomToFit Property, EnableMethodErrors property.
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


ShowAutoTrimDlg method (LEADDlgImage Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | int ShowAutoTrimDlg(TWinControl* AOwnerCtrl);
Delphi Syntax | Function ShowAutoTrimDlg (AOwnerCtrl: TWinControl ): L_INT;
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Displays the AutoTrim dialog box, and gets the options for the AutoTrim method.

The layout and action of the dialog depends on the flags set in the DlgFlags property. Possible options are:

Value | Meaning
DLG_AUTOTRIM_AUTOPROCESS | [$00000001] Process the image on OK. The LEADImage property must be assigned a Main Control containing a valid bitmap before calling this method.
DLG_AUTOTRIM_SHOW_CONTEXTHELP | [$00000002] Dialog should contain a context sensitive help icon.
DLG_AUTOTRIM_SHOW_PREVIEW | [$00000004] Show a preview of the image in the dialog. The LEADImage property must be assigned a Main Control containing a valid bitmap before calling this method.

If you include DLG_AUTOTRIM_AUTOPROCESS or DLG_AUTOTRIM_SHOW_PREVIEW in the DlgFlags property, the Common Dialog LEADImage property must be assigned a Main Control containing a valid bitmap before calling this method.

The property associated with this dialog is:

Threshold property.

To include a Help button in the dialog, set the ShowHelpButton property to TRUE.

The Auto Trim dialog can be seen below:

See Also

Elements: | AutoTrim method , Threshold property, ShowHelpButton property, DlgFlags property, ZoomToFit Property, EnableMethodErrors property.
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


ShowCanvasResizeDlg method (LEADDlgImage Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | int ShowCanvasResizeDlg(TWinControl* AOwnerCtrl);
Delphi Syntax | Function ShowCanvasResizeDlg (AOwnerCtrl: TWinControl ): L_INT;
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Displays the CanvasResize dialog box.

The layout and action of the dialog depends on the flags set in the DlgFlags property. Possible options are:

Value | Meaning
DLG_CANVASRESIZE_AUTOPROCESS | [$00000001] Process the image on OK. The LEADImage property must be assigned a Main Control containing a valid bitmap before calling this method.
DLG_CANVASRESIZE_SHOW_CONTEXTHELP | [$00000002] Dialog should contain a context sensitive help icon.
DLG_CANVASRESIZE_SHOW_CURRENT_HEIGHT | [$00000004] Dialog should contain the Current Height static control.
DLG_CANVASRESIZE_SHOW_CURRENT_WIDTH | [$00000008] Dialog should contain the Current Width static control.
DLG_CANVASRESIZE_SHOW_HORIZPOS | [$00000010] Dialog should contain the Horizontal position.
DLG_CANVASRESIZE_SHOW_VERTPOS | [$00000020] Dialog should contain the Vertical position.
DLG_CANVASRESIZE_SHOW_BACKCOLOR | [$00000040] Dialog should contain a background color picker button.
DLG_CANVASRESIZE_SHOW_KEEPASPECT | [$00000080] Dialog should contain the Maintain Aspect Ratio check box.

If you include DLG_CANVASRESIZE_AUTOPROCESS in the DlgFlags property, the LEADImage property must be assigned a Main Control containing a valid bitmap before calling this method.

The properties associated with this dialog are:

CurrentWidth property.

CurrentHeight property.

TopLeftPoint property.

NewWidth property.

BackgroundColor property.

NewHeight property.

To include a Help button in the dialog, set the ShowHelpButton property to TRUE.

The Canvas Resize dialog can be seen below:

See Also

Elements: | CreateBitmap method , Combine method , CurrentWidth property, CurrentHeight property, TopLeftPoint property, NewWidth property, BackgroundColor property, NewHeight property, ShowHelpButton property, DlgFlags property, ZoomToFit Property, EnableMethodErrors property.
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


ShowHistogramDlg method (LEADDlgImage Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | int ShowHistogramDlg(TWinControl* AOwnerCtrl);
Delphi Syntax | Function ShowHistogramDlg (AOwnerCtrl: TWinControl): L_INT;
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Displays the Histogram dialog box.

The layout and action of the dialog depends on the flags set in the DlgFlags property. Possible options are:

Value | Meaning
DLG_HISTOGRAM_SHOW_CONTEXTHELP | [$00000001] Dialog should contain a context sensitive help icon.
DLG_HISTOGRAM_SHOW_VIEWSTYLE | [$00000002] Dialog should contain the view styles option.
DLG_HISTOGRAM_USERPENCOLORS | [$00000004] Flag that indicates that the MasterPenColor, RedChannelPenColor, GreenChannelPenColor, and BlueChannelPenColor properties are valid

Use this dialog to display histogram charts for a bitmap. Charts can be displayed for either the main, red, green or blue channels.

This dialog can be used in to different ways:

1.You may pass the bitmap, and let the dialog do the processing to calculate the histogram(s).

2.You may pass the histogram table(s), which can be acquired using GetHistogram method.

The properties associated with this dialog are:

MasterHistogram property.

MasterHistogramLen property.

RedHistogram property.

RedHistogramLen property.

GreenHistogram property.

GreenHistogramLen property.

BlueHistogram property.

BlueHistogramLen property.

HistogramFlags property.

MasterPenColor property.

RedChannelPenColor property.

GreenChannelPenColor property.

BlueChannelPenColor property.

To include a Help button in the dialog, set the ShowHelpButton property to TRUE.

The Histogram dialog can be seen below:

See Also

Elements: | GetHistogram method , MasterHistogram property, MasterHistogramLen property, RedHistogram property, RedHistogramLen property, GreenHistogram property, GreenHistogramLen property, BlueHistogram property, BlueHistogramLen property, HistogramFlags property, MasterPenColor property, RedChannelPenColor property, GreenChannelPenColor property, BlueChannelPenColor property, ShowHelpButton property, DlgFlags property, EnableMethodErrors property.
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


ShowResizeDlg method (LEADDlgImage Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | int ShowResizeDlg(TWinControl* AOwnerCtrl);
Delphi Syntax | Function ShowResizeDlg (AOwnerCtrl: TWinControl ): L_INT;
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Displays the Resize dialog box and gets the options for the Size method.

The layout and action of the dialog depends on the flags set in the DlgFlags property. Possible options are:

Value | Meaning
DLG_RESIZE_AUTOPROCESS | [$00000001] Process the image on OK. The Common Dialog LEADImage property must be assigned a Main Control containing a valid bitmap before calling this method.
DLG_RESIZE_SHOW_CONTEXTHELP | [$00000002] Dialog should contain a context sensitive help icon.
DLG_RESIZE_SHOW_PERCENTAGE | [$00000004] Dialog should contain the percentage value combo
DLG_RESIZE_SHOW_MAINTAINASPECT | [$00000008] Dialog should contain the maintain aspect check box
DLG_RESIZE_SHOW_RESOLUTION | [$00000010] Dialog should contain the resolution group information.
DLG_RESIZE_SHOW_IDENTICALVALUE | [$00000020] Dialog should contain the identical value check box. This option requires DLG_RESIZE_SHOW_RESOLUTION to be set.
DLG_RESIZE_MAINTAINASPECT | [$00000040] Dialog will maintain the aspect ratio for the NewWidth property and NewHeight property.

If you include DLG_RESIZE_AUTOPROCESS in the DlgFlags property, the LEADImage property must be assigned a Main Control containing a valid bitmap before calling this method.

The properties associated with this dialog are:

MaxNewWidth property.

MaxNewHeight property.

MaxNewResolutionX property.

MaxNewResolutionY property.

NewWidth property.

NewHeight property.

NewResolutionX property.

NewResolutionY property.

OriginalWidth property.

OriginalHeight property.

OriginalResolutionX property.

OriginalResolutionY property.

OriginalBitsPerPixel property.

ResizeFlags property.

To include a Help button in the dialog, set the ShowHelpButton property to TRUE.

The Resize dialog can be seen below:

See Also

Elements: | Size method , MaxNewWidth property, MaxNewHeight property, MaxNewResolutionX property, MaxNewResolutionY property, NewWidth property, NewHeight property, NewResolutionX property, NewResolutionY property, OriginalWidth property, OriginalHeight property, OriginalResolutionX property, OriginalResolutionY property, OriginalBitsPerPixel property, ResizeFlags property, ShowHelpButton property, DlgFlags property, ZoomToFit Property, EnableMethodErrors property.
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


ShowRotateDlg method (LEADDlgImage Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | int ShowRotateDlg(TWinControl* AOwnerCtrl);
Delphi Syntax | Function ShowRotateDlg (AOwnerCtrl: TWinControl): L_INT;
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Displays the Rotate dialog box, and gets the options for the Rotate method .

The layout and action of the dialog depends on the flags set in the DlgFlags property. Possible options are:

Value | Meaning
DLG_ROTATE_AUTOPROCESS | [$00000001] Process the image on OK; The Common Dialog LEADImage property must be assigned a Main Control containing a valid bitmap before calling this method.
DLG_ROTATE_SHOW_CONTEXTHELP | [$00000002] Dialog should contain a context sensitive help icon.
DLG_ROTATE_SHOW_PREVIEW | [$00000004] Show a preview of the image in the dialog. The Common Dialog LEADImage property must be assigned a Main Control containing a valid bitmap before calling this method.
DLG_ROTATE_SHOW_BACKCOLOR | [$00000008] Dialog will show the background color button.
DLG_ROTATE_SHOW_RESIZE | [$00000010] Dialog will show the resize check box.

If you include DLG_ROTATE_AUTOPROCESS or DLG_ROTATE_SHOW_PREVIEW in the DlgFlags property, the LEADImage property must be assigned a Main Control containing a valid bitmap before calling this method.

The properties associated with this dialog are:

Angle property.

Resize property.

RotateFlags property.

BackgroundColor property.

To include a Help button in the dialog, set the ShowHelpButton property to TRUE.

The Rotate dialog can be seen below:

See Also

Elements: | Rotate method , Angle property, Resize property, RotateFlags property, BackgroundColor property, ShowHelpButton property, DlgFlags property, ZoomToFit Property, EnableMethodErrors property.
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


ShowShearDlg method (LEADDlgImage Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | int ShowShearDlg(TWinControl* AOwnerCtrl);
Delphi Syntax | Function ShowShearDlg (AOwnerCtrl: TWinControl ): L_INT;
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Displays the Shear dialog box, and gets the options for the Shear method .

The layout and action of the dialog depends on the flags set in the DlgFlags property. Possible options are:

Value | Meaning
DLG_SHEAR_AUTOPROCESS | [$00000001] Process the image on OK. The Common Dialog LEADImage property must be assigned a Main Control containing a valid bitmap before calling this method.
DLG_SHEAR_SHOW_CONTEXTHELP | [$00000002] Dialog should contain a context sensitive help icon.
DLG_SHEAR_SHOW_PREVIEW | [$00000004] Show preview of the image in the dialog. The Common Dialog LEADImage property must be assigned a Main Control containing a valid bitmap before calling this method.
DLG_SHEAR_SHOW_BACKCOLOR | [$00000008] Dialog will show the background color button.
DLG_SHEAR_SHOW_HORIZONTAL | [$00000010] Dialog will show the horizontal check box.

If you include DLG_SHEAR_AUTOPROCESS or DLG_SHEAR_SHOW_PREVIEW in the DlgFlags property, the LEADImage property must be assigned a Main Control containing a valid bitmap before calling this method.

The properties associated with this dialog are:

Angle property.

Horizontal property.

BackgroundColor property.

To include a Help button in the dialog, set the ShowHelpButton property to TRUE.

The Shear dialog can be seen below:

See Also

Elements: | Shear method , Angle property, Horizontal property, BackgroundColor property, ShowHelpButton property, DlgFlags property, ZoomToFit Property, EnableMethodErrors property.
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


OnDlgHelp Event (LEADDlgImage Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | void OnDlgHelp (unsigned uDialogID);
Delphi Syntax | procedure OnDlgHelp (uDialogID: L_UINT32);
Overview | Refer to Using Imaging Common Dialogs.

Remarks

OnDlgHelp event is triggered when the user clicks on the Help Button on any dialog. To include a help button in a dialog, ShowHelpButton property must be set to TRUE.

See Also

Elements: | ShowHelpButton property.
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


BlackAreaColor property (LEADDlgImgDoc Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | COLORREF BlackAreaColor
Delphi Syntax | BlackAreaColor: COLORREF
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets the color used to fill the processed black areas in the Document Clean Up dialog boxes.

This property is used only for dialog previewing purposes.

This property is associated with the following dialog boxes:

Smooth dialog box.

InvertedText dialog box.

DotRemove dialog box.

HolePUnchRemove dialog box.

See Also

Elements: | ShowSmoothDlg method, ShowInvertedTextDlg method, ShowDotRemoveDlg method, ShowHolePunchRemoveDlg method.
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


BorderPercent property (LEADDlgImgDoc Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | L_INT32 BorderPercent
Delphi Syntax | BorderPercent: L_INT32
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets the percent of the image dimension in which the border will be found in the BorderRemove dialog box.

For most images, use 20. For example, if an image is 200 pixels wide, BorderPercent is set to 20 and BorderToRemove is set to BORDER_LEFT, then the left border will be found in the area between the left edge of the image and a line 40 pixels from the left edge. If the border is closer to the edge of the image, use a smaller value. If the border is farther from the edge, use a larger value.

See Also

Elements: | ShowBorderRemoveDlg method.
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


BorderToRemove property (LEADDlgImgDoc Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | L_UINT32 BorderToRemove
Delphi Syntax | BorderToRemove: L_UINT32
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets, which border to remove in the BorderRemove dialog box.

These values can be combined using the OR operator. Possible values are:

Value | Meaning
BORDER_LEFT | Remove the left border.
BORDER_RIGHT | Remove the right border.
BORDER_TOP | Remove the top border.
BORDER_BOTTOM | Remove the bottom border.
BORDER_ALL | Remove all borders. This is the same as BORDER_LEFT Or BORDER_RIGHT Or BORDER_TOP Or BORDER_BOTTOM.

See Also

Elements: | ShowBorderRemoveDlg method.
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


DlgFlags property (LEADDlgImgDoc Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | L_UINT32 DlgFlags
Delphi Syntax | DlgFlags: L_UINT32
Overview | Refer to Using Imaging Common Dialogs.

Remarks

General property used by all the Imaging Common Dialog methods. The options set in this property determine the layout and action of the dialog boxes. The options available for each method depend on and are listed with each method.

See Also

Elements: | ShowRemoveRedeyeDlg method, ShowSmoothDlg method, ShowLineRemoveDlg method, ShowBorderRemoveDlg method, ShowInvertedTextDlg method, ShowDotRemoveDlg method, ShowHolePunchRemoveDlg method.
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


DocCleanBitmap property (LEADDlgImgDoc Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | TBitmapHandle DocCleanBitmap
Delphi Syntax | DocCleanBitmap: TBitmapHandle
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets a LEAD bitmap that also contains a region that has the elements removed by the Document Clean up dialog boxes.

This property is associated with the following dialog boxes:

Smooth dialog box.

LineRemove dialog box.

BorderRemove dialog box.

InvertedText dialog box.

DotRemove dialog box.

HolePUnchRemove dialog box.

See Also

Elements: | ShowSmoothDlg method, ShowLineRemoveDlg method, ShowBorderRemoveDlg method, ShowInvertedTextDlg method, ShowDotRemoveDlg method, ShowHolePunchRemoveDlg method.
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


EnableMethodErrors property (LEADDlgImgDoc Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | bool EnableMethodErrors
Delphi Syntax | EnableMethodErrors: Boolean
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Specifies whether LEADTOOLS generates runtime exceptions (in addition to method return values).

Setting | Description
TRUE | Generate system error events.
FALSE | Do not generate system error events.

See Also

Elements: | ShowRemoveRedeyeDlg method, ShowSmoothDlg method, ShowLineRemoveDlg method, ShowBorderRemoveDlg method, ShowInvertedTextDlg method, ShowDotRemoveDlg method, ShowHolePunchRemoveDlg method.
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


ErrorMsg property (LEADDlgImgDoc Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | AnsiString ErrorMsg
Delphi Syntax | ErrorMsg: String
Overview | Refer to Using Imaging Common Dialogs.

Remarks

(Read only) Gets a string that contains the description of the error resulting from the last Common Dialog method called or property set.

See Also

Elements: | EnableMethodErrors property, Error property
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


Error property (LEADDlgImgDoc Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | int Error
Delphi Syntax | Error: L_INT
Overview | Refer to Using Imaging Common Dialogs.

Remarks

(Read only) Gets the error code resulting from the last Common Dialog method called or property set. If the last operation performed was successful, the value is SUCCESS or SUCCESS_DLG_OK.

For a list of error codes, refer to Error Codes.

See Also

Elements: | EnableMethodErrors property, ErrorMsg property
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


GapLength property (LEADDlgImgDoc Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | L_INT32 GapLength
Delphi Syntax | GapLength: L_INT32
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets the maximum length of a break or a hole (in a line) in the LineRemove dialog box.

This can be used to remove dotted lines, dashed lines, or lines that have breaks due to scanning. If LINE_USE_DPI is set in the ProcessFlags property, units are in thousandths of an inch, otherwise units are in pixels. This parameter is valid only if LINE_USE_GAP is set in the ProcessFlags property.

See Also

Elements: | ShowLineRemoveDlg method.
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


LEADDlgService property (LEADDlgImgDoc Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | TLEADDlgService* LEADDlgService
Delphi Syntax | LEADDlgService: TLEADDlgService
Overview | Refer to Using Imaging Common Dialogs.

Remarks

A general property used by all the control dialogs; it is a LEAD Dialog Service Control. To apply the font set in the DialogsFont property to the dialogs of this control, set this property for the Dialog Service Control that has the font you want to apply.

See Also

Elements: | LEADImage property.
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


LEADImage property (LEADDlgImgDoc Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | TLEADImage* LEADImage
Delphi Syntax | LEADImage: TLEADImage
Overview | Refer to Using Imaging Common Dialogs.

Remarks

A general property used by most of the control dialogs; it is a LEAD Main Control. For any Common Dialog method in which the AUTOPROCESS or SHOWPREVIEW flags are set in the DlgFlags property, you must assign a Main Control to the LEADImage property. This causes the Main Control's bitmap to be referenced in the Dialog Control methods and a copy is NOT created.

See Also

Elements: | LEADDlgService Property.
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


Length property (LEADDlgImgDoc Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | L_INT32 Length
Delphi Syntax | Length: L_INT32
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets the length of the bump (or nick) to remove (or fill) in the Smooth dialog box.

All bumps and nicks less than or equal to this size are processed.

This value is in pixels.

See Also

Elements: | ShowSmoothDlg method.
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


Lightness property (LEADDlgImgDoc Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | L_INT Lightness
Delphi Syntax | Lightness: L_INT
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets the Lightness value in the RemoveRedEye dialog box.

This property value is a "Percentage" value that indicates whether the pixels that are replaced are lightened or darkened.

Possible values range from 0 to 500.

See Also

Elements: | ShowRemoveRedeyeDlg method.
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


Location property (LEADDlgImgDoc Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | L_INT32 Location
Delphi Syntax | Location: L_INT32
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets the location within the document of the hole-punches to remove in the HoleBunchRemove dialog box. Possible values are:

Value | Meaning
HOLEPUNCH_LEFT | Searches for the hole-punch pattern on the left side of the document.
HOLEPUNCH_RIGHT | Searches for the hole-punch pattern on the right side of the document.
HOLEPUNCH_TOP | Searches for the hole-punch pattern across the top of the document.
HOLEPUNCH_BOTTOM | Searches for the hole-punch pattern across the bottom of the document.

See Also

Elements: | ShowHolePunchRemoveDlg method.
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


MaxBlackPercent property (LEADDlgImgDoc Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | L_INT32 MaxBlackPercent
Delphi Syntax | MaxBlackPercent: L_INT32
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets the maximum percent of total pixels in an inverted text area that must be black in the InvertedText dialog box.

Areas with a higher percent of black pixels are not considered.

See Also

Elements: | ShowInvertedTextDlg method.
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


MaxDotHeight property (LEADDlgImgDoc Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | L_INT32 MaxDotHeight
Delphi Syntax | MaxDotHeight: L_INT32
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets the maximum height of a dot to be removed in the DotRemove dialog box.

If DOT_USE_DPI is set in the ProcessFlags property, units are in thousandths of an inch, otherwise units are in pixels.

See Also

Elements: | ShowDotRemoveDlg method.
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


MaxDotWidth property (LEADDlgImgDoc Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | L_INT32 MaxDotWidth
Delphi Syntax | MaxDotWidth: L_INT32
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets the maximum width of a dot to be removed in the DotRemove dialog box.

If DOT_USE_DPI is set in the ProcessFlags property, units are in thousandths of an inch, otherwise units are in pixels.

See Also

Elements: | ShowDotRemoveDlg method.
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


MaxHoleCount property (LEADDlgImgDoc Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | L_INT32 MaxHoleCount
Delphi Syntax | MaxHoleCount: L_INT32
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets the maximum number of holes to detect in the HoleBunchRemove dialog box.

This property is valid only if HOLEPUNCH_USE_COUNT is set in the ProcessFlags property.

See Also

Elements: | ShowHolePunchRemoveDlg method.
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


MaxHoleHeight property (LEADDlgImgDoc Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | L_INT32 MaxHoleHeight
Delphi Syntax | MaxHoleHeight: L_INT32
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets the maximum height of one of the holes of the hole punch configuration to be removed in the HoleBunchRemove dialog box.

If HOLEPUNCH_USE_DPI is set in the ProcessFlags property, units are in thousandths of an inch, otherwise units are in pixels. This parameter is valid only if HOLEPUNCH_USE_SIZE is set in ProcessFlags.

See Also

Elements: | ShowHolePunchRemoveDlg method.
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


MaxHoleWidth property (LEADDlgImgDoc Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | L_INT32 MaxHoleWidth
Delphi Syntax | MaxHoleWidth: L_INT32
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets the maximum width of one of the holes of the hole punch configuration to be removed in the HoleBunchRemove dialog box.

If HOLEPUNCH_USE_DPI is set in the ProcessFlags property, units are in thousandths of an inch, otherwise units are in pixels. This parameter is valid only if HOLEPUNCH_USE_SIZE is set in ProcessFlags.

See Also

Elements: | ShowHolePunchRemoveDlg method
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


MaxLineWidth property (LEADDlgImgDoc Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | L_INT32 MaxLineWidth
Delphi Syntax | MaxLineWidth: L_INT32
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets the maximum average width of a line that is considered for removal in the LineRemove dialog box.

Lines that are greater in average width are not removed. If LINE_USE_DPI is set in ProcessFlags, units are in thousandths of an inch, otherwise units are in pixels.

See Also

Elements: | ShowLineRemoveDlg method.
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


MaxWallPercent property (LEADDlgImgDoc Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | L_INT32 MaxWallPercent
Delphi Syntax | MaxWallPercent: L_INT32
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets the maximum number of wall slices (expressed as a percent of the total length of the line) that are allowed in the LineRemove dialog box.

A line consists of wall slices and non-wall slices (see description of Wall). This field specifies that maximum number of wall slices (expressed as a percent of the total length of the line) that are allowed. Lines that have a wall percent that is larger than MaxWallPercent will not be removed. For example, consider the line below that is 10 pixels in length, and 1 pixel in height in some places, and five pixels in height in other places.

Setting MinLineLength to 10 pixels and Wall to four pixels will identify the line below as a candidate for removal. Note that the wall percent for this line is 60% (because six of ten line slices are walls). If MaxWallPercent is 80 then the line will be removed (actually, the pixels marked as red will be removed). If MaxWallPercent is 30, then the line will not be removed.

See Also

Elements: | ShowLineRemoveDlg method.
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


MinBlackPercent property (LEADDlgImgDoc Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | L_INT32 MinBlackPercent
Delphi Syntax | MinBlackPercent: L_INT32
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets the minimum percent of total pixels in an inverted text area that must be black in the InvertedText dialog box.

Areas with a lower percent of black pixels are not considered.

See Also

Elements: | ShowInvertedTextDlg method.
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


MinDotHeight property (LEADDlgImgDoc Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | L_INT32 MinDotHeight
Delphi Syntax | MinDotHeight: L_INT32
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets the minimum height of a dot to be removed in the DotRemove dialog box.

If DOT_USE_DPI is set in the ProcessFlags property, units are in thousandths of an inch, otherwise units are in pixels.

See Also

Elements: | ShowDotRemoveDlg method.
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


MinDotWidth property (LEADDlgImgDoc Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | L_INT32 MinDotWidth
Delphi Syntax | MinDotWidth: L_INT32
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets the minimum width of a dot to be removed in the DotRemove dialog box.

If DOT_USE_DPI is set in the ProcessFlags property, units are in thousandths of an inch, otherwise units are in pixels.

See Also

Elements: | ShowDotRemoveDlg method.
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


MinHoleCount property (LEADDlgImgDoc Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | L_INT32 MinHoleCount
Delphi Syntax | MinHoleCount: L_INT32
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets the minimum number of holes to detect in the HoleBunchRemove dialog box.

This property is valid only if HOLEPUNCH_USE_COUNT is set in the ProcessFlags property.

See Also

Elements: | ShowHolePunchRemoveDlg method.
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


MinHoleHeight property (LEADDlgImgDoc Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | L_INT32 MinHoleHeight
Delphi Syntax | MinHoleHeight: L_INT32
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets the minimum height of one of the holes of the hole punch configuration to be removed in the HoleBunchRemove dialog box.

If HOLEPUNCH_USE_DPI is set in the ProcessFlags property, units are in thousandths of an inch, otherwise units are in pixels. This parameter is valid only if HOLEPUNCH_USE_SIZE is set in ProcessFlags.

See Also

Elements: | ShowHolePunchRemoveDlg method.
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


MinHoleWidth property (LEADDlgImgDoc Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | L_INT32 MinHoleWidth
Delphi Syntax | MinHoleWidth: L_INT32
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets the minimum width of one of the holes of the hole punch configuration to be removed in the HoleBunchRemove dialog box.

If HOLEPUNCH_USE_DPI is set in ProcessFlags, units are in thousandths of an inch, otherwise units are in pixels. This property is valid only if HOLEPUNCH_USE_SIZE is set in the ProcessFlags property.

See Also

Elements: | ShowHolePunchRemoveDlg method.
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


MinInvertHeight property (LEADDlgImgDoc Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | L_INT32 MinInvertHeight
Delphi Syntax | MinInvertHeight: L_INT32
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets the minimum height of an area that is considered to be inverted text in the InvertedText dialog box.

If INVERTEDTEXT_USE_DPI is set in the ProcessFlags property, units are in thousandths of an inch, otherwise units are in pixels.

See Also

Elements: | ShowInvertedTextDlg method.
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


MinInvertWidth property (LEADDlgImgDoc Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | L_INT32 MinInvertWidth
Delphi Syntax | MinInvertWidth: L_INT32
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets the minimum width of an area that is considered to be inverted text in the InvertedText dialog box.

If INVERTEDTEXT_USE_DPI is set in the ProcessFlags property, units are in thousandths of an inch, otherwise units are in pixels.

See Also

Elements: | ShowInvertedTextDlg method.
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


MinLineLength property (LEADDlgImgDoc Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | L_INT32 MinLineLength
Delphi Syntax | MinLineLength: L_INT32
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets the minimum length of a line considered for removal in the LineRemove dialog box.

Lines less than this length are not removed. If LINE_USE_DPI is set in ProcessFlags, units are in thousandths of an inch, otherwise units are in pixels.

See Also

Elements: | ShowLineRemoveDlg method.
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


ModificationColor property (LEADDlgImgDoc Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | COLORREF ModificationColor
Delphi Syntax | ModificationColor: COLORREF
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets the color used to fill the modified areas in the Document Clean Up dialog boxes.

This property is used only for dialog previewing purposes.

This property is associated with the following dialog boxes:

LineRemove dialog box

BorderRemove dialog box

See Also

Elements: | ShowLineRemoveDlg method, ShowBorderRemoveDlg method.
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


NewColor property (LEADDlgImgDoc Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | COLORREF NewColor
Delphi Syntax | NewColor: COLORREF
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets the new color value used to replace the red color in the eyes in the RemoveRedEye dialog box.

See Also

Elements: | ShowRemoveRedeyeDlg method.
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


ProcessFlags property (LEADDlgImgDoc Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | L_UINT32 ProcessFlags
Delphi Syntax | ProcessFlags: L_UINT32
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets the processing flags for the Document clean up dialog boxes.

This property is associated with the following dialog boxes:

Smooth dialog box | In this case it represents the processing flags for the Smooth dialog box. Flags may be combined using a bitwise OR (|). Possible values are:
 | Value | Meaning
 | SMOOTH_SINGLE_REGION: | For each bump or nick found by the Smooth dialog the removed bump or nick is added to an internal single region. When the Smooth dialog ends, either the DocCleanBitmap or the DocCleanRgn properties will reference a region that contains all the removed bumps or nicks. If SMOOTH_LEAD_REGION is also set, the DocCleanBitmap will be updated with a bitmap that has a LEAD region that contains all the removed bumps or nicks. If SMOOTH_LEAD_REGION is not set, the DocCleanRgn property is set to a Windows region that contains all the removed nicks or bumps. When the region (either LEAD or Windows) is no longer needed, it must be destroyed.
 | SMOOTH_LEAD_REGION | When the Smooth dialog ends, the DocCleanBitmap property is updated with a copy of the bitmap that also contains a region with all the removed bumps or nicks. This flag must be used in conjunction with SMOOTH_SINGLE_REGION. To use this flag set ProcessFlags to SMOOTH_SINGLE_REGION | SMOOTH_LEAD_REGION. The DocCleanBitmap property will be updated when the Smooth dialog ends.
 | SMOOTH_IMAGE_UNCHANGED | The original image is unchanged.
 | SMOOTH_FAVOR_LONG | Processes long bumps or nicks before short bumps or nicks. If this flag is not passed, short is favored over long. For example:
 | Smooth the following image with Length == 3
 | X X
 | XXXXXXXXXX
 | Favoring short would remove the two "bumps" giving:
 | XXXXXXXXXX
 | Favoring long would fill in the "gap" giving:
 | XXXXX
 | XXXXXXXXXX
LineRemove dialog box | In this case it represents the processing flags for the LineRemove dialog box. Flags may be combined using a bitwise OR. Possible values are:
 | Value | Meaning
 | LINE_SINGLE_REGION: | For each line found by the LineRemove dialog, the removed line is added to an internal single region. If the When the Line Remove dialog ends, either the DocCleanBitmap property or the DocCleanRgn property will reference a region that contains all the removed lines. If LINE_LEAD_REGION is also set, the DocCleanBitmap property will be updated with a bitmap that has a LEAD region that contains all the removed lines. If LINE_LEAD_REGION is not set, the DocCleanRgn property is updated with a Windows region that contains all the removed lines. When the region (either LEAD or Windows) is no longer needed, it must be destroyed.
 | LINE_LEAD_REGION | When the Line Remove dialog ends, the DocCleanBitmap property is updated with a bitmap that also contains a region with all the removed lines. This flag must be used in conjunction with LINE_SINGLE_REGION. To use this flag set ProcessFlags to LINE_SINGLE_REGION Or LINE_LEAD_REGION. The DocCleanBitmap property will be updated when the Line Remove dialog ends.
 | LINE_IMAGE_UNCHANGED | The original image is unchanged.
 | LINE_USE_DPI | The unit of measure for all parameters of this method is thousandths of an inch. Use the image's DPI to convert to pixels. This allows the processing of many images with different DPI. If this flag is not set, the unit of measure is pixels.
 | LINE_REMOVE_ENTIRE | Remove the entire line, even if the line passes through a character or a wall.
 | LINE_USE_GAP | Consider "gaps" in lines when performing line removal. If this flag is passed, the GapLength property is used. If this flag is not passed, the GapLength property is ignored.
 | LINE_USE_VARIANCE | Consider line variance when performing line removal. If this flag is passed, the Variance property is used. If this flag is not passed, the property is ignored.
BorderRemove dialog box | In this case it determines the behavior of the border removal process. Flags may be combined using a bitwise OR. Possible values are:
 | Value | Meaning
 | BORDER_SINGLE_REGION: | For each border found by the Border Remove dialog the removed border is added to an internal single region. When the Border Remove dialog ends, either the DocCleanBitmap property or the DocCleanRgn property will be set to a region that contains all the removed borders. If BORDER_LEAD_REGION is also set, the DocCleanBitmap property will be set to a bitmap that has a LEAD region that contains all the removed borders. If BORDER_LEAD_REGION is not set, DocCleanRgn is set to a Windows region that contains all the removed borders. When the region (either LEAD or Windows) is no longer needed, it must be destroyed.
 | BORDER_LEAD_REGION | When the Border Remove dialog ends, the DocCleanBitmap property is set to a bitmap that also contains a region with all the removed lines. This flag must be used in conjunction with BORDER_SINGLE_REGION. Pass BORDER_SINGLE_REGION Or BORDER_LEAD_REGION in the ProcessFlags parameter of. The DocCleanBitmap property will be set when the Border Remove dialog ends.
 | BORDER_IMAGE_UNCHANGED | The original image is unchanged.
 | BORDER_USE_VARIANCE | Consider border variance when performing border removal. If this flag is passed, the Variance property is used. If this flag is not passed, the Variance property is ignored.
InvertedText dialog box | In this case it represents the behavior of the inverted text removal process. Flags may be combined using a bitwise OR. Possible values are:
 | Value | Meaning
 | INVERTEDTEXT_SINGLE_REGION: | For each inverted text segment found by the Inverted Text dialog, the inverted text is added to an internal single region. When the Inverted Text dialog ends, either the DocCleanBitmap property or the DocCleanRgn property will reference a region that contains all the corrected inverted text. If INVERTEDTEXT_LEAD_REGION is also set, the DocCleanBitmap property will be updated with a bitmap that has a LEAD region that contains all the corrected inverted text. If INVERTEDTEXT_LEAD_REGION is not set, DocCleanRgn is updated with a Windows region that contains all the corrected inverted text. When the region (either LEAD or Windows) is no longer needed, it must be destroyed.
 | INVERTEDTEXT_LEAD_REGION | When the Inverted Text dialog ends, the DocCleanBitmap member is updated with a bitmap that also contains a region with all the corrected inverted text. This flag must be used in conjunction with INVERTEDTEXT_SINGLE_REGION. To use this flag set ProcessFlags to INVERTEDTEXT_SINGLE_REGION Or INVERTEDTEXT_LEAD_REGION. The DocCleanBitmap property will be updated when the Inverted Text dialog ends.
 | INVERTEDTEXT_IMAGE_UNCHANGED | The original image is unchanged.
 | INVERTEDTEXT_USE_DPI | The unit of measure for all parameters of this method is thousandths of an inch. Use the image's DPI to convert to pixels. This allows the processing of many images with different DPI. If this flag is not set, the unit of measure is pixels.
DotRemove dialog box | In this case it determines the behavior of the dot removal process. Flags may be combined using a bitwise OR. Possible values are:
 | Value | Meaning
 | DOT_SINGLE_REGION | For each dot found by the Dot Remove dialog, the removed dot is added to an internal single region. When the Dot Remove dialog ends, either the DocCleanBitmap property or the DocCleanRgn property will reference a region that contains all the removed dots. If DOT_LEAD_REGION is also set, the DocCleanBitmap property will be set to a bitmap that has a LEAD region that contains all the removed dots. If DOT_LEAD_REGION is not set, DocCleanRgn is set to a Windows region that contains all the removed borders. When the region (either LEAD or Windows) is no longer needed, it must be destroyed.
 | DOT_LEAD_REGION | When the Dot Remove dialog ends, the DocCleanBitmap property is updated with a bitmap that also contains a region with all the removed dots. This flag must be used in conjunction with DOT_SINGLE_REGION. To use this flag set ProcessFlags to DOT_SINGLE_REGION Or DOT_LEAD_REGION. The DocCleanBitmap member will be updated when the Dot Remove dialog ends.
 | DOT_IMAGE_UNCHANGED | The original image is unchanged.
 | DOT_USE_DPI | The unit of measure for all parameters of this method is thousandths of an inch. Use the image's DPI to convert to pixels. This allows the processing of many images with different DPI. If this flag is not set, the unit of measure is pixels.
 | DOT_USE_SIZE | Use the MinDotWidth, MinDotHeight, MaxDotWidth, MaxDotHeight properties to indicate the size of the dots to remove. If this flag is not set, default values for the four sizes will be used. These defaults are as follows: MinDotWidth = 1, MinDotHeight = 1, MaxDotWidth = 2 and MaxDotHeight = 2.
HolePunchRemove dialog box | In this case it determines the behavior of the hole punch removal process. Flags may be combined using a bitwise OR (|). Possible values are:
 | Value | Meaning
 | HOLEPUNCH_SINGLE_REGION | For each Hole punch found by the Hole Punch Remove dialog, the removed Hole punch is added to an internal single region. When the Hole Punch Remove dialog ends, either the DocCleanBitmap property or the DocCleanRgn member will reference a region that contains all the removed Hole punches. If HOLEPUNCH_LEAD_REGION is also set, the DocCleanBitmap property will be set to a bitmap that has a LEAD region that contains all the removed Hole punches. If HOLEPUNCH_LEAD_REGION is not set, DocCleanRgn is set to a Windows region that contains all the removed Hole punches. When the region (either LEAD or Windows) is no longer needed, it must be destroyed.
 | HOLEPUNCH_LEAD_REGION | When the Hole Punch Remove dialog ends, the DocCleanBitmap property is updated with a copy of the bitmap that also contains a region with all the removed Hole punches. This flag must be used in conjunction with HOLEPUNCH_SINGLE_REGION. To use this flag set ProcessFlags to HOLEPUNCH_SINGLE_REGION Or HOLEPUNCH_LEAD_REGION. The DocCleanBitmap member will be updated when the Hole Punch Remove dialog ends.
 | HOLEPUNCH_IMAGE_UNCHANGED | The original image is unchanged.
 | HOLEPUNCH_USE_DPI | The unit of measure for all parameters of this method is thousandths of an inch. Use the image's DPI to convert to pixels. This allows the processing of many images with different DPI. If this flag is not set, the unit of measure for all fields of the HOLEPUNCH Record (structure) is pixels.
 | HOLEPUNCH_USE_SIZE | Use the MinHoleWidth, MinHoleHeight, MaxHoleWidth, MaxHoleHeight properties to indicate the size of the Hole punches to remove. If this flag is not set, default values for the four sizes will be used. If HOLEPUNCH_USE_DPI is set, the defaults are calculated from the image DPI. Otherwise, the defaults are calculated from the image width and height.
 | HOLEPUNCH_USE_COUNT | Use the MinHoleCount and MaxHoleCount properties to indicate the number of Hole punches to remove. If this flag is not set, default values for the two count values will be used. These default values are as follows: MinHoleCount = 3 and MaxHoleCount = 3.
 | HOLEPUNCH_USE_LOCATION | Use the Location property to indicate the location of the hole punches to remove. If this flag is not set, a default of HOLEPUNCH_LEFT will be used.

See Also

Elements: | ShowSmoothDlg method, ShowLineRemoveDlg method, ShowBorderRemoveDlg method, ShowInvertedTextDlg method, ShowDotRemoveDlg method, ShowHolePunchRemoveDlg method.
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


RemoveFlags property (LEADDlgImgDoc Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | L_UINT32 RemoveFlags
Delphi Syntax | RemoveFlags: L_UINT32
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets, which lines to remove in the LineRemove dialog box.

Possible values are:

Value | Meaning
LINEREMOVE_HORIZONTAL | Remove horizontal lines
LINEREMOVE_VERTICAL | Remove vertical lines

See Also

Elements: | ShowLineRemoveDlg method.
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


ShowHelpButton property (LEADDlgImgDoc Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | bool ShowHelpButton
Delphi Syntax | ShowHelpButton: Boolean
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Used by all the control dialogs. It determines if a Help button will be displayed in the dialog. Possible values are:

Setting | Description
TRUE | Help Button will be displayed.
FALSE | Help Button will not be displayed and the OnDlgHelp Event will not be available for the dialogs.

See Also

Elements: | OnDlgHelp Event.
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


Threshold property (LEADDlgImgDoc Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | L_INT Threshold
Delphi Syntax | Threshold: L_INT
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets the threshold value that indicates which pixels will be changed in the RemoveRedEye dialog box.

This value is between 0 and 255.

See Also

Elements: | ShowRemoveRedeyeDlg method.
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


Variance property (LEADDlgImgDoc Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | L_INT32 Variance
Delphi Syntax | Variance: L_INT32
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets the amount of variance.

This property is associated with the following dialog boxes

LineRemove dialog box | In this case it represents the amount of width change that is tolerated between adjacent line slices. If LINE_USE_DPI is set in ProcessFlags property, units are in thousandths of an inch, otherwise units are in pixels. This property is valid only if LINE_USE_VARIANCE is set in ProcessFlags. For example, the following horizontal line is 30 pixels in length (X represents a pixel)
 | XXXXXXXXXX
 | XXXXXXXXXXXXXXXXXXXXXXXXXXXXXX
 | XXXXXXXXXXXXXXXXXXXXXXXXXXXXXX
 | XXXXXXXXXX
 | XXXXXXXXXX
 | If Variance is 2 pixels (i.e. tolerate width changes of 2 pixels or less), the first 10 columns and the last 10 columns of the line will be removed. The middle 10 columns will be unchanged. This helps preserve characters that intersect a line that is being removed.
BorderRemove dialog box | In this case it represents the amount of variance tolerated in the border. If the border varies significantly in thickness, you should use a higher value for Variance. Range is 0 to 10.

See Also

Elements: | ShowLineRemoveDlg method, ShowBorderRemoveDlg method.
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


Wall property (LEADDlgImgDoc Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | L_INT32 Wall
Delphi Syntax | Wall: L_INT32
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets the height of a wall in the LineRemove dialog box.

Walls are slices of a line that are too wide to be considered part of the line. Examples of walls include a character that a line passes through or a perpendicular line. If the image contains lines that pass through characters, set Wall to be equal to or a little larger than the MaxLineWidth property. If LINE_USE_DPI is set in the ProcessFlags property, units are in thousandths of an inch, otherwise units are in pixels.

See Also

Elements: | ShowLineRemoveDlg method.
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


WhiteAreaColor property (LEADDlgImgDoc Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | COLORREF WhiteAreaColor
Delphi Syntax | WhiteAreaColor: COLORREF
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets the color used to fill the processed white areas in the Document Clean Up dialog boxes.

This property is used only for dialog previewing purposes.

This property is associated with the following dialog boxes:

Smooth dialog box.

InvertedText dialog box.

DotRemove dialog box.

HolePUnchRemove dialog box.

See Also

Elements: | ShowSmoothDlg method, ShowInvertedTextDlg method, ShowDotRemoveDlg method, ShowHolePunchRemoveDlg method.
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


WhiteNoiseLength property (LEADDlgImgDoc Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | L_INT32 WhiteNoiseLength
Delphi Syntax | WhiteNoiseLength: L_INT32
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets the amount of white noise tolerated when determining the border in the BorderRemove dialog box.

The units are in pixels. Values of 0 to 10 are sufficient for most images.

See Also

Elements: | ShowBorderRemoveDlg method.
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


ZoomToFit property (LEADDlgImgDoc Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | bool ZoomToFit
Delphi Syntax | ZoomToFit: Boolean
Overview | Refer to Using Imaging Common Dialogs.

Remarks

General property used by all the Imaging Common Dialog methods.

It is a flag that indicates the initial zoom level for previewing the image. Possible values are:

Value | Meaning
TRUE | Set the initial zoom level to "Zoom to fit".
FALSE | Set the initial zoom level to "Normal (1:1)".

See Also

Elements: | ShowRemoveRedeyeDlg method, ShowSmoothDlg method, ShowLineRemoveDlg method, ShowBorderRemoveDlg method, ShowInvertedTextDlg method, ShowDotRemoveDlg method, ShowHolePunchRemoveDlg method.
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


ShowBorderRemoveDlg method (LEADDlgImgDoc Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | int ShowBorderRemoveDlg(TWinControl* AOwnerCtrl);
Delphi Syntax | Function ShowBorderRemoveDlg (AOwnerCtrl: TWinControl): L_INT;
Overview | Refer to Using Imaging Common Dialogs.

Remarks

(Document/Medical only) Displays the Border Remove dialog box, and gets the options for BorderRemove method .

The layout and action of the dialog depends on the flags set in the DlgFlags property. Possible options are:

Value | Meaning
DLG_BORDERREMOVE_AUTOPROCESS | [$00000001] Process the image on OK. The Common Dialog LEADImage property must be assigned a Main Control containing a valid 1-bit bitmap before calling this method.
DLG_BORDERREMOVE_SHOW_CONTEXTHELP | [$00000002] Dialog should contain a context sensitive help icon.
DLG_BORDERREMOVE_SHOW_PREVIEW | [$00000004] Show a preview of the image in the dialog. The Common Dialog LEADImage property must be assigned a Main Control containing a valid 1-bit bitmap before calling this method.
DLG_BORDERREMOVE_SHOW_TOOL_ZOOMLEVEL | [$00000008] Show the "Zoom to fit" and "Zoom Normal" toolbar buttons. The DLG_BORDERREMOVE_SHOW_PREVIEW flag must be set in order to show these buttons.

If you include DLG_BORDERREMOVE_AUTOPROCESS or DLG_BORDERREMOVE_SHOW_PREVIEW in the DlgFlags property, the Common Dialog LEADImage property must be assigned a Main Control containing a valid 1-bit bitmap before calling this method.

The BorderRemove method only works with 1-bit images. If you provide a Main Control in the LEADImage property, it must be contain a valid 1-bit bitmap.

The properties associated with this dialog box are:

ProcessFlags property.

BorderToRemove property.

BorderPercent property.

WhiteNoiseLength property.

Variance property.

DocCleanBitmap property.

DocCleanRgn property.

ModificationColor property.

To include a Help button in the dialog, set the ShowHelpButton property to TRUE.

The Border Remove dialog can be seen below:

See Also

Elements: | BorderRemove method , ProcessFlags property, BorderToRemove property, BorderPercent property, WhiteNoiseLength property, Variance property, DocCleanBitmap property, ModificationColor property, ShowHelpButton property, DlgFlags property, ZoomToFit Property, EnableMethodErrors property.
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


ShowDotRemoveDlg method (LEADDlgImgDoc Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | int ShowDotRemoveDlg(TWinControl* AOwnerCtrl);
Delphi Syntax | Function ShowDotRemoveDlg (AOwnerCtrl: TWinControl): L_INT;
Overview | Refer to Using Imaging Common Dialogs.

Remarks

(Document/Medical only) Displays the Dot Remove dialog box, and gets the options for the DotRemove method .

The layout and action of the dialog depends on the flags set in the DlgFlags property. Possible options are:

Value | Meaning
DLG_DOTREMOVE_AUTOPROCESS | [$00000001] Process the image on OK. The Common Dialog LEADImage property must be assigned a Main Control containing a valid 1-bit bitmap before calling this method.
DLG_DOTREMOVE_SHOW_CONTEXTHELP | [$00000002] Dialog should contain a context sensitive help icon.
DLG_DOTREMOVE_SHOW_PREVIEW | [$00000004] Show a preview of the image in the dialog. The Common Dialog LEADImage property must be assigned a Main Control containing a valid 1-bit bitmap before calling this method.
DLG_DOTREMOVE_SHOW_TOOL_ZOOMLEVEL | [$00000008] Show the "Zoom to fit" and "Zoom Normal" toolbar buttons. The DLG_DOTREMOVE_SHOW_PREVIEW flag must be set in order to show these buttons.

If you include DLG_DOTREMOVE_AUTOPROCESS or DLG_DOTREMOVE_SHOW_PREVIEW in the DlgFlags property, the Common Dialog LEADImage property must be assigned a Main Control containing a valid 1-bit bitmap before calling this method.

The DotRemove method only works with 1-bit images. If you provide a Main Control in the LEADImage property, it must be contain a valid 1-bit bitmap.

The properties associated with this dialog box are:

ProcessFlags property

MinDotWidth property

MinDotHeight property

MaxDotWidth property

MaxDotHeight property

DocCleanBitmap property

DocCleanRgn property

WhiteAreaColor property

BlackAreaColor Property

To include a Help button in the dialog, set the ShowHelpButton property to TRUE.

The Dot Remove dialog can be seen below:

See Also

Elements: | DotRemove method , ProcessFlags property, MinDotWidth property, MinDotHeight property, MaxDotWidth property, MaxDotHeight property, DocCleanBitmap property, WhiteAreaColor property, BlackAreaColor property, ShowHelpButton property, DlgFlags property, ZoomToFit Property, EnableMethodErrors property.
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


ShowHolePunchRemoveDlg method (LEADDlgImgDoc Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | int ShowHolePunchRemoveDlg(TWinControl* AOwnerCtrl);
Delphi Syntax | Function ShowHolePunchRemoveDlg (AOwnerCtrl: TWinControl ): L_INT;
Overview | Refer to Using Imaging Common Dialogs.

Remarks

(Document/Medical only) Displays the Hole Punch Remove dialog box and gets the options for the HolePunchRemove method .

The layout and action of the dialog depends on the flags set in the DlgFlags property. Possible options are:

Value | Meaning
DLG_HOLEPUNCHREMOVE_AUTOPROCESS | [$00000001] Process the image on OK. The Common Dialog LEADImage property must be assigned a Main Control containing a valid 1-bit bitmap before calling this method.
DLG_HOLEPUNCHREMOVE_SHOW_CONTEXTHELP | [$00000002] Dialog should contain a context sensitive help icon.
DLG_HOLEPUNCHREMOVE_SHOW_PREVIEW | [$00000004] Show a preview of the image in the dialog. The Common Dialog LEADImage property must be assigned a Main Control containing a valid 1-bit bitmap before calling this method.
DLG_HOLEPUNCHREMOVE_SHOW_TOOL_ZOOMLEVEL | [$00000008] Show the "Zoom to fit" and "Zoom Normal" toolbar buttons. The DLG_HOLEPUNCHREMOVE_SHOW_PREVIEW flag must be set in order to show these buttons.

If you include DLG_HOLEPUNCHREMOVE_AUTOPROCESS or DLG_HOLEPUNCHREMOVE_SHOW_PREVIEW in the DlgFlags property, the Common Dialog LEADImage property must be assigned a Main Control containing a valid 1-bit bitmap before calling this method.

The HolePunchRemove method only works with 1-bit images. If you provide a Main Control in the LEADImage property, it must be contain a valid 1-bit bitmap.

The properties associated with this dialog box are:

ProcessFlags property.

MinHoleCount property.

MaxHoleCount property.

MinHoleWidth property.

MinHoleHeight property.

MaxHoleWidth property.

MaxHoleHeight property.

Location property.

DocCleanBitmap property.

DocCleanRgn property.

WhiteAreaColor property.

BlackAreaColor Property.

To include a Help button in the dialog, set the ShowHelpButton property to TRUE.

The Hole Punch Remove dialog can be seen below:

See Also

Elements: | HolePunchRemove method , ProcessFlags property, MinHoleCount property, MaxHoleCount property, MinHoleWidth property, MinHoleHeight property, MaxHoleWidth property, MaxHoleHeight property, Location property, DocCleanBitmap property, WhiteAreaColor property, BlackAreaColor property, ShowHelpButton property, DlgFlags property, ZoomToFit Property, EnableMethodErrors property.
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


ShowInvertedTextDlg method (LEADDlgImgDoc Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | int ShowInvertedTextDlg(Controls::TWinControl* AOwnerCtrl);
Delphi Syntax | Function ShowInvertedTextDlg (AOwnerCtrl: TWinControl): L_INT;
Overview | Refer to Using Imaging Common Dialogs.

Remarks

(Document/Medical only) Displays the Inverted Text dialog box, and gets the options for the InvertedText method .

The layout and action of the dialog depends on the flags set in the DlgFlags property. Possible options are:

Value | Meaning
DLG_INVERTEDTEXT_AUTOPROCESS | [$00000001] Process the image on OK. The Common Dialog LEADImage property must be assigned a Main Control containing a valid 1-bit bitmap before calling this method.
DLG_INVERTEDTEXT_SHOW_CONTEXTHELP | [$00000002] Dialog should contain a context sensitive help icon.
DLG_INVERTEDTEXT_SHOW_PREVIEW | [$00000004] Show a preview of the image in the dialog. The Common Dialog LEADImage property must be assigned a Main Control containing a valid 1-bit bitmap before calling this method.
DLG_INVERTEDTEXT_SHOW_TOOL_ZOOMLEVEL | [$00000008] Show the "Zoom to fit" and "Zoom Normal" toolbar buttons. The DLG_INVERTEDTEXT_SHOW_PREVIEW flag must be set in order to show these buttons.

If you include DLG_INVERTEDTEXT_AUTOPROCESS or DLG_INVERTEDTEXT_SHOW_PREVIEW in the DlgFlags property, the Common Dialog LEADImage property must be assigned a Main Control containing a valid 1-bit bitmap before calling this method.

The InvertedText method only works with 1-bit images. If you provide a Main Control in the LEADImage property, it must be contain a valid 1-bit bitmap.

The properties associated with this dialog box are:

ProcessFlags property.

MinInvertWidth property.

MinInvertHeight property.

MinBlackPercent property.

MaxBlackPercent property.

DocCleanBitmap property.

DocCleanRgn property.

WhiteAreaColor property.

BlackAreaColor property.

To include a Help button in the dialog, set the ShowHelpButton property to TRUE.

The Inverted Text dialog can be seen below:

See Also

Elements: | InvertedText method , ProcessFlags property, MinInvertWidth property, MinInvertHeight property, MinBlackPercent property, MaxBlackPercent property, WhiteAreaColor property, BlackAreaColor property, ShowHelpButton property, DlgFlags property, ZoomToFit Property, EnableMethodErrors property.
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


ShowLineRemoveDlg method (LEADDlgImgDoc Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | int ShowLineRemoveDlg(TWinControl* AOwnerCtrl);
Delphi Syntax | Function ShowLineRemoveDlg (AOwnerCtrl: TWinControl ): L_INT;
Overview | Refer to Using Imaging Common Dialogs.

Remarks

(Document/Medical only) Displays the Line Remove dialog box, and gets the options for the LineRemove method .

The layout and action of the dialog depends on the flags set in the DlgFlags property. Possible options are:

Value | Meaning
DLG_LINEREMOVE_AUTOPROCESS | [$00000001] Process the image on OK. The Common Dialog LEADImage property must be assigned a Main Control containing a valid 1-bit bitmap before calling this method.
DLG_LINEREMOVE_SHOW_CONTEXTHELP | [$00000002] Dialog should contain a context sensitive help icon.
DLG_LINEREMOVE_SHOW_PREVIEW | [$00000004] Show a preview of the image in the dialog. The Common Dialog LEADImage property must be assigned a Main Control containing a valid 1-bit bitmap before calling this method.
DLG_LINEREMOVE_SHOW_TOOL_ZOOMLEVEL | [$00000008] Show the "Zoom to fit" and "Zoom Normal" toolbar buttons. The DLG_LINEREMOVE_SHOW_PREVIEW flag must be set in order to show these buttons.

If you include DLG_LINEREMOVE_AUTOPROCESS or DLG_LINEREMOVE_SHOW_PREVIEW in the DlgFlags property, the Common Dialog LEADImage property must be assigned a Main Control containing a valid 1-bit bitmap before calling this method.

The LineRemove method only works with 1-bit images. If you provide a Main Control in the LEADImage property, it must be contain a valid 1-bit bitmap.

The properties associated with this dialog box are:

ProcessFlags property.

MinLineLength property.

MaxLineWidth property.

Wall property.

MaxWallPercent property.

GapLength property.

Variance property.

RemoveFlags property.

DocCleanBitmap property.

DocCleanRgn property.

ModificationColor property.

To include a Help button in the dialog, set the ShowHelpButton property to TRUE.

The Line Remove dialog can be seen below:

See Also

Elements: | LineRemove method , ProcessFlags property, MinLineLength property, MaxLineWidth property, Wall property, MaxWallPercent property, GapLength property, Variance property, RemoveFlags property, DocCleanBitmap property, ModificationColor property, ShowHelpButton property, DlgFlags property, ZoomToFit Property, EnableMethodErrors property.
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


ShowRemoveRedeyeDlg method (LEADDlgImgDoc Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | int ShowRemoveRedeyeDlg(TWinControl* AOwnerCtrl);
Delphi Syntax | Function ShowRemoveRedeyeDlg (AOwnerCtrl: TWinControl ): L_INT;
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Displays the Remove Redeye dialog box, and gets the options for the RemoveRedeye method .

The layout and action of the dialog depends on the flags set in the DlgFlags property. Possible options are:

Value | Meaning
DLG_REMOVEREDEYE_AUTOPROCESS | [$00000001] Process the image on OK. The Common Dialog LEADImage property must be assigned a Main Control containing a valid bitmap before calling this method.
DLG_REMOVEREDEYE_SHOW_CONTEXTHELP | [$00000002] Dialog should contain a context sensitive help icon.
DLG_REMOVEREDEYE_SHOW_PREVIEW | [$00000004] Show a preview of the image in the dialog. The Common Dialog LEADImage property must be assigned a Main Control containing a valid bitmap before calling this method.
DLG_REMOVEREDEYE_SHOW_TOOL_ZOOMLEVEL | [$00000008] Show the "Zoom to fit" and "Zoom Normal" toolbar buttons. The DLG_REMOVEREDEYE_SHOW_PREVIEW flag must be set in order to show these buttons.

If you include DLG_REMOVEREDEYE_AUTOPROCESS or DLG_REMOVEREDEYE_SHOW_PREVIEW in the DlgFlags property, the Common Dialog LEADImage property must be assigned a Main Control containing a valid bitmap before calling this method.

The properties associated with this dialog box are:

NewColor property.

Threshold property.

Lightness property.

To include a Help button in the dialog, set the ShowHelpButton property to TRUE.

The Remove Redeye dialog can be seen below:

See Also

Elements: | RemoveRedeye method , NewColor property, Threshold property, Lightness property, ShowHelpButton property, DlgFlags property, ZoomToFit Property, EnableMethodErrors property.
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


ShowSmoothDlg method (LEADDlgImgDoc Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | int ShowSmoothDlg(TWinControl* AOwnerCtrl);
Delphi Syntax | Function ShowSmoothDlg (AOwnerCtrl: TWinControl): L_INT;
Overview | Refer to Using Imaging Common Dialogs.

Remarks

(Document/Medical only) Displays the Smooth dialog box, and gets the options for the Smooth method .

The layout and action of the dialog depends on the flags set in the DlgFlags property. Possible options are:

Value | Meaning
DLG_SMOOTH_AUTOPROCESS | [$00000001] Process the image on OK. The Common Dialog LEADImage property must be assigned a Main Control containing a valid bitmap before calling this method.
DLG_SMOOTH_SHOW_CONTEXTHELP | [$00000002] Dialog should contain a context sensitive help icon.
DLG_SMOOTH_SHOW_PREVIEW | [$00000004] Show a preview of the image in the dialog. The Common Dialog LEADImage property must be assigned a Main Control containing a valid bitmap before calling this method.
DLG_SMOOTH_SHOW_TOOL_ZOOMLEVEL | [$00000008] Show the "Zoom to fit" and "Zoom Normal" toolbar buttons. The DLG_SMOOTH_SHOW_PREVIEW flag must be set in order to show these buttons.

If you include DLG_SMOOTH_AUTOPROCESS or DLG_SMOOTH_SHOW_PREVIEW in the DlgFlags property, the Common Dialog LEADImage property must be assigned a Main Control containing a valid bitmap before calling this method.

The Smooth method only works with 1-bit images. If you provide a Main Control in the LEADImage property, it must be contain a valid 1-bit bitmap.

The properties associated with this dialog box are:

ProcessFlags property

Length property

DocCleanBitmap property

DocCleanRgn property

WhiteAreaColor property

BlackAreaColor property

To include a Help button in the dialog, set the ShowHelpButton property to TRUE.

The Smooth dialog can be seen below:

See Also

Elements: | Smooth method , ProcessFlags property, Length property, WhiteAreaColor property, BlackAreaColor property, ShowHelpButton property, DlgFlags property, ZoomToFit Property, EnableMethodErrors property.
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


OnDlgHelp Event (LEADDlgImgDoc Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | void OnDlgHelp (unsigned uDialogID);
Delphi Syntax | procedure OnDlgHelp (uDialogID: L_UINT32);
Overview | Refer to Using Imaging Common Dialogs.

Remarks

OnDlgHelp event is triggered when the user clicks on the Help Button on any dialog. To include a help button in a dialog, ShowHelpButton property must be set to TRUE.

See Also

Elements: | ShowHelpButton property.
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


AddBitmapsFlags property (LEADDlgImgEffect Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | L_UINT AddBitmapsFlags
Delphi Syntax | AddBitmapsFlags: L_UINT
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets the operation to perform in the AddBitmaps dialog box. Possible values are:

Value | Meaning
BC_ADD | Add the bitmaps indicated in the dialog.
BC_AVE | Average the bitmaps indicated in the dialog.

See Also

Elements: | ShowAddBitmapsDlg method, ItemsCount property, ItemDescription property, ItemFileName property, ItemBitmap property, SelectedBitmapList property
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


Amount property (LEADDlgImgEffect Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | L_UINT Amount
Delphi Syntax | Amount: L_UINT
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets the adjustment factor value in the UnsharpMask dialog box.

Possible values range from 0 - 500.

See Also

Elements: | ShowUnsharpMaskDlg method, Radius property, Threshold property, UnshrpMaskFlags property
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


Amplitude property (LEADDlgImgEffect Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | long Amplitude
Delphi Syntax | Scale: Longint
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets the wave amplitude.

This property is associated with the following dialog boxes:

ZoomWave dialog box | In this case it represents the Zoom wave magnitude. The value must be greater than zero.
RadialWave dialog box | In this case it represents the magnitude of the wave. Valid values range from 0 to 100.
Wave dialog box | In this case it represents the wave length, if DIS_PER is set in the ImageEffectFlags property . Possible values range from 0 – 100 and give the WaveLength property as a percentage of the bitmap dimensions. If DIS_FRQ is set in the ImageEffectFlags property, this value is the number of repeated waves. Possible values range from 0 – 100.
Ripple dialog box | In this case it represents the amount of displacement. The values range from 1 to the length of the image's diagonal.

See Also

Elements: | ShowRadialWaveDlg method, ShowWaveDlg method, ShowZoomWaveDlg method, ShowRippleDlg method.
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


AmplitudesCount property (LEADDlgImgEffect Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | L_UINT AmplitudesCount
Delphi Syntax | AmplitudesCount: L_UINT
Overview | Refer to Using Imaging Common Dialogs.

Remarks

(Read Only) Gets the number of items in the Amplitudes property.

This property is associated with the FreeHandWave, and the FreeHandShear dialog boxes.

This property will be valid only after you call one of the dialog boxes associated with this property successfully.

See Also

Elements: | ShowFreeHandWaveDlg method, ShowFreeHandShearDlg method, Amplitudes property, Scale property, WaveLength property, Angle property, FillColor property, FreeHandWaveFlags property, GetCurvePoints method
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


Amplitudes property (LEADDlgImgEffect Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | L_INT Amplitudes [ L_UINT uIndex]
Delphi Syntax | Amplitudes [uIndex: L_UINT ]: L_INT
Overview | Refer to Using Imaging Common Dialogs.

Remarks

(Read Only) Gets an array of integers that represent shear wave amplitude values.

This property is associated with the following dialog boxes:

FreeHandWave dialog box | In this case it represents the wave amplitudes.
FreeHandShear dialog box | In this case it represents the shear wave values. The valid value of each element in the Amplitudes property is between –1000 and 1000. These values are obtained through the FreeHandShear Dialog box, or, for image processing; they may be obtained from the GetCurvePoints method .

You can get the number of items in this array property in the AmplitudesCount property.

This property will be valid after you call one of the dialog boxes associated with this property successfully.

See Also

Elements: | ShowFreeHandWaveDlg method, ShowFreeHandShearDlg method, AmplitudesCount property, Scale property, WaveLength property, Angle property, FillColor property, FreeHandWaveFlags property, GetCurvePoints method
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


Angle property (LEADDlgImgEffect Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | L_INT Angle
Delphi Syntax | Angle: L_INT
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets the Angle value. This property is associated with the following dialog boxes:

MotionBlur dialog box | In this case it represents the direction of the motion, in hundredths of a degree (+/-). Possible values range from -36000 to 36000. If the value is positive, the motion will be clockwise. If the value is negative, the motion is counter-clockwise.
FreeHandWave dialog box | In this case it represents the wave rotation angle, in hundredths of a degree. Possible values range from –36000 to 36000. Negative values rotate the wave counter-clockwise; positive values rotate the wave clockwise.
Wind dialog box | In this case it represents the angle of the thin lines used to create the wind effect, in hundredths of a degree. Possible values range from –36000 to 36000.
Swirl dialog box | In this case it represents the degree of rotation. This value is in degrees from -4000 to 4000.
Wave dialog box | In this case it represents the wave’s rotation angle in hundredths of degrees. The valid range is from –18000 to 18000 (The value in degrees is Angle divided by 100).

See Also

Elements: | ShowMotionBlurDlg method, ShowFreeHandWaveDlg method, ShowWindDlg method, ShowSwirlDlg method, ShowWaveDlg method, Dimension property, Unidirectional property, Amplitudes property, AmplitudesCount property, Scale property, WaveLength property, Opacity property, CenterPoint property, FillColor property, FreeHandWaveFlags property, Amplitude property, HorzScale property, VertScale property, WaveFlags property
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


AntiAliasFilterType property (LEADDlgImgEffect Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | L_UINT AntiAliasFilterType
Delphi Syntax | AntiAliasFilterType: L_UINT
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets the type of anti-aliasing filter to use in the AntiAlias dialog box.

Possible values are:

Value | Meaning
ANTIALIAS_1 | [$0000] Anti-alias the bitmap vertically and horizontally.
ANTIALIAS_2 | [$0001] Anti-alias the bitmap in all directions.
ANTIALIAS_3 | [$0002] Anti-alias the bitmap in all directions. The filter used for this option is different from the filter used for the ANTIALIAS_2 option.
ANTIALIAS_DIAG | [$0003] Anti-alias the bitmap diagonally.
ANTIALIAS_HORZ | [$0004] Anti-alias the bitmap horizontally.
ANTIALIAS_VERT | [$0005] Anti-alias the bitmap vertically.

See Also

Elements: | ShowAntiAliasDlg method, Dimension property, Threshold property
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


Attenuation property (LEADDlgImgEffect Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | L_UINT Attenuation
Delphi Syntax | Attenuation: L_UINT
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets the attenuation value in the Ripple dialog box.

The attenuation value indicates how rapidly the wave amplitude decays as the wave travels along the radial line. The values range from 0 - 1000.

See Also

Elements: | ShowRippleDlg method, Amplitude property, Frequency property, Phase property, CenterPoint property, FillColor property, RippleFlags property
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


BackgroundColor property (LEADDlgImgEffect Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | COLORREF BackgroundColor
Delphi Syntax | BackgroundColor: COLORREF
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets the value that specifies the background color for the resulting image in the Stitch dialog box.

This value is used to initialize the back-color color picker in the Image Attributes sub dialog.

See Also

Elements: | ShowStitchDlg method, ItemsCount property, ItemDescription property, ItemFileName property, ItemBitmap property, BitmapWidth property, BitmapHeight property, BitmapBitsPerPixel property, Resolution property, WindowIcon property, StitchBitmap property
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


BendingFlags property (LEADDlgImgEffect Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | L_UINT BendingFlags
Delphi Syntax | BendingFlags: L_UINT
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets the BendingFlags in the Bending dialog box.

This property indicates how to handle peripherally exposed areas, how to handle centrally exposed areas and the type of bending.

You can use a bitwise OR (|) to specify one flag from each group.

The following are the flags that indicate how to handle peripherally exposed areas:

Value | Meaning
FILL_CLR | [$0000] Fill exposed areas with the color in the FillColor property.
FILL_RPT | [$0001] Stretch the edges of the image to fill exposed areas.
FILL_NOCHG | [$0002] Do not change or process exposed areas.

The following are the flags that indicate how to handle an exposed center:

Value | Meaning
FILL_ROT | [$0000] Rotate the image inside the arc pattern.
FILL_WOUTROT | [$0010] Fill the exposed center as you would any other exposed area. This is determined by setting the FILL_CLR, FILL_RPT or FILL_NOCHG flags.

This flag is ignored if the Value property is negative.

The following are the flags that indicate how the bitmap is bent:

Value | Meaning
BND_NORM | [$0000] Stretch the image along the vertical and horizontal planes.
BND_HORZ | [$0100] Stretch the image along the horizontal plane.
BND_VERT | [$0200] Stretch the image along the vertical plane.

See Also

Elements: | ShowBendingDlg method, Value property, CenterPoint property, FillColor property
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


BinaryFilterType property (LEADDlgImgEffect Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | L_UINT BinaryFilterType
Delphi Syntax | BinaryFilterType: L_UINT
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets the binary filter type used with the Binary Filter dialog boxes.

If a user selects a binary filter from one of the binary filter dialog boxes, the BinaryFilterType property is set to a value that corresponds to the filter chosen.

The Binary filter dialog boxes are:

ErosionFilter dialog box: | Erosion filters shrink black objects in the image. The effect is biased in the specified direction. Possible values are:
 | BFLT_EROSION_OMNI
 | BFLT_EROSION_HORZ
 | BFLT_EROSION_VERT
 | BFLT_EROSION_DIAG
DilationFilter dialog box: | Dilation filters enlarge black objects in the image. The effect is biased in the specified direction. Possible values are:
 | BFLT_DILATION_OMNI
 | BFLT_DILATION_HORZ
 | BFLT_DILATION_VERT
 | BFLT_DILATION_DIAG

See Also

Elements: | BinaryFilter method , ShowErosionFilterDlg method, ShowDilationFilterDlg method
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


BitmapBitsPerPixel property (LEADDlgImgEffect Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | L_UINT BitmapBitsPerPixel
Delphi Syntax | BitmapBitsPerPixel: L_UINT
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets the image depth of the resulting image in the Stitch dialog box.

This may be 1, 4, 8, 16, 24 bpp. This value is used to initialize the Depth combo box in the Image Attributes sub dialog.

See Also

Elements: | ShowStitchDlg method, ItemsCount property, ItemDescription property, ItemFileName property, ItemBitmap property, BitmapWidth property, BitmapHeight property, Resolution property, BackgroundColor property, WindowIcon property, StitchBitmap property
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


BitmapHeight property (LEADDlgImgEffect Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | L_UINT BitmapHeight
Delphi Syntax | BitmapHeight: L_UINT
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets the bitmap height value.

This property associated with 2 dialog boxes:

Picturize dialog box | In this case it represents the maximum possible cell height. The value must be greater than zero.
Stitch dialog box | In this case it represents the value that indicates the resulting image's height in pixels. This value is used to initialize the height edit box in the image attributes sub dialog.

See Also

Elements: | ShowPicturizeDlg method, ShowStitchDlg method, DirectoryPath property, PicturizeResizeFlags property, CellWidth property, CellHeight property, ItemsCount property, ItemDescription property, ItemFileName property, ItemBitmap property, BitmapWidth property, BitmapBitsPerPixel property, Resolution property, BackgroundColor property, WindowIcon property, StitchBitmap property
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


BitmapWidth property (LEADDlgImgEffect Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | L_UINT BitmapWidth
Delphi Syntax | BitmapWidth: L_UINT
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets the bitmap width value.

This property associated with 2 dialog boxes:

Picturize dialog box | In this case it represents the maximum possible cell width. The value must be greater than zero.
Stitch dialog box | In this case it represents the value that indicates the resulting image's width in pixels. This value is used to initialize the width edit box in the image attributes sub dialog.

See Also

Elements: | ShowPicturizeDlg method, ShowStitchDlg method, DirectoryPath property, PicturizeResizeFlags property, CellWidth property, CellHeight property, ItemsCount property, ItemDescription property, ItemFileName property, ItemBitmap property, BitmapHeight property, BitmapBitsPerPixel property, Resolution property, BackgroundColor property, WindowIcon property, StitchBitmap property
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


CellHeight property (LEADDlgImgEffect Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | L_UINT CellHeight
Delphi Syntax | CellHeight: L_UINT
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets the cell height value.

This property is associated with the following dialog boxes:

Pixelate dialog box | In this case it represents the height of a rectangular cell, the number of rectangular cells present across the height of the bitmap, the number of cells around the center point of a circular cell, or the length in degrees of each cell around the center point of a circular cell, based on the flags set in the PixelateFlags property. For more information on the different types of information contained in this member, refer to the Pixelate method .
Picturize dialog box | In this case it represents the height of the images used to reconstruct the image. Possible values range from 1 to BitmapHeight property.

See Also

Elements: | ShowPixelateDlg method, ShowPicturizeDlg method, PixelateFlags property, CellWidth property, Opacity property, CenterPoint property, DirectoryPath property, PicturizeResizeFlags property
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


CellWidth property (LEADDlgImgEffect Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | L_UINT CellWidth
Delphi Syntax | CellWidth: L_UINT
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets the cell width value.

This property is associated with the following dialog boxes:

Pixelate dialog box | In this case it represents the width of a rectangular cell, the number of rectangular cells present across the width of the bitmap, the number of cells around the center point of a circular cell, or the length in degrees of each cell around the center point of a circular cell, based on the flags set in PixelateFlags property. For more information on the different types of information contained in this member, refer to Pixelate method .
Picturize dialog box | In this case it represents the width of the images used to reconstruct the image. Possible values range from 1 to BitmapWidth property.

See Also

Elements: | ShowPixelateDlg method, ShowPicturizeDlg method, PixelateFlags property, CellHeight property, Opacity property, CenterPoint property, DirectoryPath property, PicturizeResizeFlags property
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


CenterPoint property (LEADDlgImgEffect Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | TPoint CenterPoint
Delphi Syntax | CenterPoint: TPoint
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets the center point.

This property is associated with the following dialog boxes:

RadialBlur dialog box | In this case it represents the point about which the image is blurred.
ZoomBlur dialog box | In this case it represents the point about which the image is blurred and zoomed.
ZoomWave dialog box | In this case it represents the center point from which the wave is zoomed.
RadialWave dialog box | In this case it represents the point from which the wave radiates.
Swirl dialog box | In this case it represents the center of the swirl.
Ripple dialog box | In this case it represents the center of the Ripple wave.
Bending dialog box | In this case it represents the center of the arc. This is ignored when either BND_HORZ or BND_VERT is set in the BendingFlags property.
Spherize dialog box | In this case it represents the center of the sphere.
Pixelate dialog box | In this case it represents the center of revolution when circular cells are used. This property will be ignored if PIX_RECT is set in PixelateFlags property.
Punch dialog box | In this case it represents the point around which the image will be pinched or punched. The center point must be defined inside the bitmap or inside the region, if the bitmap has a region.

The point should be within the image rectangle coordinates. However, if there is a region in the bitmap, then the point should be within the region.

See Also

Elements: | ShowRadialBlurDlg method, ShowZoomBlurDlg method, ShowRadialWaveDlg method, ShowSwirlDlg method, ShowRippleDlg method, ShowBendingDlg method, ShowSpherizeDlg method, ShowPixelateDlg method, ShowPunchDlg method, ShowZoomWaveDlg method, Dimension property, Stress property, Angle property, Amplitude property, WaveLength property, Phase property, FillColor property, RadialWaveFlags property, Frequency property, ZoomFactor property, ZoomWaveFlags property, Value property, PunchFlags property, Attenuation property, RippleFlags property, BendingFlags property, SpherizeFlags property, CellWidth property, CellHeight property, Opacity property, PixelateFlags property
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


Channel property (LEADDlgImgEffect Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | L_UINT Channel
Delphi Syntax | Channel: L_UINT
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets the channel to which to add the noise in the AddNoise dialog box. Possible values are:

Value | Meaning
CHANNEL_MASTER | [0] All channels.
CHANNEL_RED | [1] Red channel only.
CHANNEL_GREEN | [2] Green channel only.
CHANNEL_BLUE | [3] Blue channel only.

See Also

Elements: | AddNoise method , ShowAddNoiseDlg method, Range property
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


CommandShow property (LEADDlgImgEffect Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | L_INTBasicDataTypes CommandShow
Delphi Syntax | CommandShow: L_INT
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets the display state of the stitch window in the Stitch dialog box.

This is the same flag passed to the ShowWindow windows API, Please refer to the Microsoft SDK documentation – Windows User Interface – ShowWindow for more information. Please note that the SW_HIDE flag is ignored.

See Also

Elements: | ShowStitchDlg method, ItemBitmap property, BitmapWidth property, BitmapHeight property, BitmapBitsPerPixel property, Resolution property, BackgroundColor property, WindowIcon property, StitchBitmap property
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


CylindricalType property (LEADDlgImgEffect Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | L_UINT CylindricalType
Delphi Syntax | CylindricalType: L_UINT
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets the cylinder shape in the Cylindrical dialog box. Possible values are:

Value | Meaning
CYL_HORZ | [$0000] Stretch the pixels along the vertical plane (horizontal cylinder).
CYL_VERT | [$0001] Stretch the pixels along the horizontal plane (vertical cylinder).

See Also

Elements: | ShowCylindricalDlg method, Value property
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


DeltaDirection property (LEADDlgImgEffect Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | L_INT DeltaDirection
Delphi Syntax | DeltaDirection: L_INT
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets the maximum angle for the thinning algorithm in the ContourFilter dialog box.

Values can be from 1 to 64.

See Also

Elements: | ContourFilter method , ShowContourFilterDlg method, Threshold property, MaxError property, Option property, OptionFlags property
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


Depth property (LEADDlgImgEffect Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | L_UINT Depth
Delphi Syntax | Depth: L_UINT
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets the apparent depth of this three-dimensional effect from the Emboss dialog box.

Valid values are 0 to 1000, with 500 as normal.

See Also

Elements: | Emboss method , ShowEmbossDlg method, Direction property
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


Dimension property (LEADDlgImgEffect Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | L_UINT Dimension
Delphi Syntax | Dimension: L_UINT
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets the dimension value.

This property is associated with the following dialog boxes:

AntiAlias dialog box | In this case it represents the size of the anti-aliasing mask. This value represents the side of a square neighborhood. Possible values range from 2 - 100.
Average dialog box | In this case it represents the size of the averaging neighborhood. It is the length, in pixels, of one side of a square. The size ranges from 2 to 255.
MaxFilter dialog box | In this case it represents the Dimensions of the neighborhood used for filtering (uDim x uDim), in pixels. Possible values range from 2 to 100.
Median dialog box | In this case it represents the size of the neighborhood used to determine the median. It is the length, in pixels, of one side of a square. Possible values range from 2 to 100.
MinFilter dialog box | In this case it represents the Dimensions of the neighborhood used for filtering (uDim x uDim), in pixels. Possible values range from 2 to 100.
Mosaic dialog box | In this case it represents the dmensions of the tiles (uDim x uDim), in pixels. Possible values range from 2 to 64.
MotionBlur dialog box | In this case it represents the size of the blur effect, in pixels. Possible values range from 3 - 100.
Oilify dialog box | In this case it represents the Dimensions of the neighborhood used for filtering (uDim x uDim), in pixels. Possible values range from 2 to 255.
RadialBlur dialog box | In this case it represents the size of the neighborhood used in blurring. Increasing this value will increase the amount of blurring. Possible values range from 2 - 100.
Wind dialog box | In this case it represents the size, in pixels, of the thin lines used to create the wind effect. Possible values range from 2 - 100.
ZoomBlur dialog box | In this case it represents the amount of blur. Possible values range from 2 - 100.

See Also

Elements: | ShowMotionBlurDlg method, ShowRadialBlurDlg method, ShowZoomBlurDlg method, ShowAntiAliasDlg method, ShowAverageDlg method, ShowMedianDlg method, ShowMaxFilterDlg method, ShowMinFilterDlg method, ShowOilifyDlg method, ShowMosaicDlg method, ShowWindDlg method, Angle property, Unidirectional property, CenterPoint property, Stress property, Opacity property
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


Direction property (LEADDlgImgEffect Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | L_UINT Direction
Delphi Syntax | Direction: L_UINT
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets the direction of the apparent light source in the Emboss dialog box.

Possible values are:

Value | Meaning
EMBOSS_N | [0]
EMBOSS_NE | [1]
EMBOSS_E | [2]
EMBOSS_SE | [3]
EMBOSS_S | [4]
EMBOSS_SW | [5]
EMBOSS_W | [6]
EMBOSS_NW | [7]

See Also

Elements: | Emboss method , ShowEmbossDlg method, Depth property
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


DirectoryPath property (LEADDlgImgEffect Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | AnsiString DirectoryPath
Delphi Syntax | DirectoryPath: String
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets a string, that contains the full path to the directory that contains the images to use, in the Picturize dialog box.

Only images from this directory will be used. Images in any subdirectories will NOT be used.

See Also

Elements: | ShowPicturizeDlg method, PicturizeResizeFlags property, CellWidth property, CellHeight property
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


DlgFlags property (LEADDlgImgEffect Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | L_UINT32 DlgFlags
Delphi Syntax | DlgFlags: L_UINT32
Overview | Refer to Using Imaging Common Dialogs.

Remarks

General property used by all the Imaging Common Dialog methods. The options set in this property determine the layout and action of the dialog boxes. The options available for each method depend on and are listed with each method.

See Also

Elements:

ShowMotionBlurDlg method, ShowRadialBlurDlg method, ShowZoomBlurDlg method, ShowGaussianBlurDlg method, ShowAntiAliasDlg method, ShowAverageDlg method, ShowMedianDlg method, ShowAddNoiseDlg method, ShowMaxFilterDlg method, ShowMinFilterDlg method, ShowSharpenDlg method, ShowShiftDifferenceFilterDlg method, ShowEmbossDlg method, ShowOilifyDlg method, ShowMosaicDlg method, ShowErosionFilterDlg method, ShowDilationFilterDlg method, ShowContourFilterDlg method, ShowGradientFilterDlg method, ShowLaplacianFilterDlg method, ShowSobelFilterDlg method, ShowPrewittFilterDlg method, ShowLineSegmentFilterDlg method, ShowUnsharpMaskDlg method, ShowMultiplyDlg method, ShowAddBitmapsDlg method, ShowStitchDlg method, ShowFreeHandWaveDlg method, ShowWindDlg method, ShowPolarDlg method, ShowZoomWaveDlg method, ShowRadialWaveDlg method, ShowSwirlDlg method, ShowWaveDlg method, ShowFreeHandShearDlg method, ShowPunchDlg method, ShowRippleDlg method, ShowBendingDlg method, ShowCylindricalDlg method, ShowSpherizeDlg method, ShowImpressionistDlg method, ShowPixelateDlg method, ShowEdgeDetectorDlg method, ShowUnderlayDlg method, ShowPicturizeDlg method.

Topics:

Imaging Common Dialogs: Properties, Methods, and Events


EdgeDetectionFilterType property (LEADDlgImgEffect Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | L_UINT EdgeDetectionFilterType
Delphi Syntax | EdgeDetectionFilterType: L_UINT
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets the edge detection filter in the EdgeDetector dialog box.

If a user selects an edge detection filter from the EdgeDetector dialog box, the EdgeDetectionFilterType property is updated with the value that corresponds to the filter chosen. Possible values are:

Value | Meaning
EDG_SOBEL_VERT | [$0101] Detect the vertical edges
EDG_SOBEL_HORZ | [$0102] Detect the horizontal edges
EDG_SOBEL_ALL | [$0103] Detect horizontal & vertical edges
EDG_PREWITT_VERT | [$0201] Detect the vertical edges
EDG_PREWITT_HORZ | [$0202] Detect the horizontal edges
EDG_PREWITT_ALL | [$0203] Detect horizontal & vertical edges
EDG_LAPLACE_1 | [$0301] Detect vertical & horizontal edges
EDG_LAPLACE_2 | [$0302] Detect general edges
EDG_LAPLACE_3 | [$0303] Detect general edges. (The filter used for this option is different than the filter used for the EDG_LAPLACE_2 filter.)
EDG_LAPLACE_DIAG | [$0304] Detect the diagonal edges
EDG_LAPLACE_HORZ | [$0305] Detect the horizontal edges
EDG_LAPLACE_VERT | [$0306] Detect the vertical edges
EDG_GRADIENT_N | [$0401] Detect north edges
EDG_GRADIENT_NE | [$0402] Detect north east edges
EDG_GRADIENT_E | [$0403] Detect east edges
EDG_GRADIENT_SE | [$0404] Detect south east edges
EDG_GRADIENT_S | [$0405] Detect south edges
EDG_GRADIENT_SW | [$0406] Detect south west edges
EDG_GRADIENT_W | [$0407] Detect west edges
EDG_GRADIENT_NW | [$0408] Detect north west edges

See Also

Elements: | ShowEdgeDetectorDlg method, Threshold property
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


EnableMethodErrors property (LEADDlgImgEffect Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | bool EnableMethodErrors
Delphi Syntax | EnableMethodErrors: Boolean
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Specifies whether LEADTOOLS generates runtime exceptions (in addition to method return values). Possible values are:

Setting | Description
TRUE | Generate system error events.
FALSE | Do not generate system error events.

See Also

Elements:

ShowMotionBlurDlg method, ShowRadialBlurDlg method, ShowZoomBlurDlg method, ShowGaussianBlurDlg method, ShowAntiAliasDlg method, ShowAverageDlg method, ShowMedianDlg method, ShowAddNoiseDlg method, ShowMaxFilterDlg method, ShowMinFilterDlg method, ShowSharpenDlg method, ShowShiftDifferenceFilterDlg method, ShowEmbossDlg method, ShowOilifyDlg method, ShowMosaicDlg method, ShowErosionFilterDlg method, ShowDilationFilterDlg method, ShowContourFilterDlg method, ShowGradientFilterDlg method, ShowLaplacianFilterDlg method, ShowSobelFilterDlg method, ShowPrewittFilterDlg method, ShowLineSegmentFilterDlg method, ShowUnsharpMaskDlg method, ShowMultiplyDlg method, ShowAddBitmapsDlg method, ShowStitchDlg method, ShowFreeHandWaveDlg method, ShowWindDlg method, ShowPolarDlg method, ShowZoomWaveDlg method, ShowRadialWaveDlg method, ShowSwirlDlg method, ShowWaveDlg method, ShowFreeHandShearDlg method, ShowPunchDlg method, ShowRippleDlg method, ShowBendingDlg method, ShowCylindricalDlg method, ShowSpherizeDlg method, ShowImpressionistDlg method, ShowPixelateDlg method, ShowEdgeDetectorDlg method, ShowUnderlayDlg method, ShowPicturizeDlg method.

Topics:

Imaging Common Dialogs: Properties, Methods, and Events


ErrorMsg property (LEADDlgImgEffect Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | AnsiString ErrorMsg
Delphi Syntax | ErrorMsg: String
Overview | Refer to Using Imaging Common Dialogs.

Remarks

(Read only) Gets a string that contains the description of the error resulting from the last Common Dialog method called or property set.

See Also

Elements: | EnableMethodErrors property, Error property
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


Error property (LEADDlgImgEffect Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | int Error
Delphi Syntax | Error: L_INT
Overview | Refer to Using Imaging Common Dialogs.

Remarks

(Read only) Gets the error code resulting from the last Common Dialog method called or property set. If the last operation performed was successful, the value is SUCCESS or SUCCESS_DLG_OK.

For a list of error codes, refer to Error Codes.

See Also

Elements: | EnableMethodErrors property, ErrorMsg property
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


Factor property (LEADDlgImgEffect Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | L_UINT Factor
Delphi Syntax | Factor: L_UINT
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets the multiplication factor by which to multiply the bitmap in the Multiply dialog box.

The factor used is equal to Factor / 100. Possible values are:

If you are working with: | possible values are:
16-bit grayscale images. | 0 - 6553500
12-bit images. | 0 - 409500
Images of other bits per pixel | 0 - 25500

See Also

Elements: | ShowMultiplyDlg method
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


FillColor property (LEADDlgImgEffect Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | COLORREF FillColor
Delphi Syntax | FillColor: COLORREF
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets the color used to fill any exposed areas.

This property is associated with the following dialog boxes:

FreeHandWave dialog box

Polar dialog box

ZoomWave dialog box

RadialWave dialog box

Wave dialog box

FreeHandShear dialog box

Punch dialog box

Ripple dialog box

Bending dialog box

Spherize dialog box

See Also

Elements: | ShowFreeHandWaveDlg method, ShowPolarDlg method, ShowZoomWaveDlg method, ShowRadialWaveDlg method, ShowWaveDlg method, ShowFreeHandShearDlg method, ShowPunchDlg method, ShowRippleDlg method, ShowBendingDlg method, ShowSpherizeDlg method, Amplitudes property, AmplitudesCount property, Scale property, WaveLength property, Angle property, FreeHandWaveFlags property, PolarFlags property, Amplitude property, Frequency property, Phase property, ZoomFactor property, CenterPoint property, ZoomWaveFlags property, RadialWaveFlags property, HorzScale property, VertScale property, WaveFlags property, Value property, Stress property, PunchFlags property, Attenuation property, RippleFlags property, BendingFlags property, SpherizeFlags property
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


FreeHandShearFlags property (LEADDlgImgEffect Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | L_UINT FreeHandShearFlags
Delphi Syntax | FreeHandShearFlags: L_UINT
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets the FreeHandShearFlags in the FreeHandShear dialog box.

This property determines how to handle exposed areas, and the direction of the shear wave. You can use a bit wise OR (|) to specify one flag from each group. The following are the flags that indicate how to handle the exposed areas:

Value | Meaning
FILL_CLR | [$0000] Fill exposed areas with the color in the FillColor property.
FILL_RPT | [$0001] Stretch the edges of the image to fill exposed areas.
FILL_NOCHG | [$0002] Do not change or process exposed areas.

The following are the flags that indicate the direction of the shear wave:

Value | Meaning
SHR_HORZ | [$0000] Apply the shear wave horizontally.
SHR_VERT | [$0010] Apply the shear wave vertically.

See Also

Elements: | ShowFreeHandShearDlg method, Amplitudes property, AmplitudesCount property, FillColor property, Scale property
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


FreeHandWaveFlags property (LEADDlgImgEffect Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | L_UINT FreeHandWaveFlags
Delphi Syntax | FreeHandWaveFlags: L_UINT
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets the FreeHandWaveFlags in the FreeHandWave dialog box.

This property indicates how exposed areas will be handled and the type of data in the WaveLength property. You can use a bitwise OR (|) to specify one flag from each group. The following are the flags that indicate how to handle exposed areas:

Value | Meaning
FILL_CLR | [$0000] Fill exposed areas with the color in the FillColor property.
FILL_RPT | [$0001] Stretch the edges of the image to fill exposed areas.
FILL_NOCHG | [$0002] Do not change or process exposed areas.

The following are the flags that indicate the type of information in the WaveLength property:

Value | Meaning
DIS_PER | [$0000] The value in WaveLength property is a wavelength given as a percent of the bitmap dimensions. If this value is set, the valid range of values for the WaveLength property is from 0 to 100.
DIS_FRQ | [$0010] The value in the WaveLength property is the frequency, or the number of times the wave repeats.

See Also

Elements: | ShowFreeHandWaveDlg method, WaveLength property, FillColor property, Angle property, Scale property, Amplitudes property, AmplitudesCount property
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


Frequency property (LEADDlgImgEffect Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | L_UINT Frequency
Delphi Syntax | Frequency: L_UINT
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets the number of repeated waves along the radial line.

This property is associated with the following dialog boxes:

ZoomWave diaog box | The value must be greater than zero.
Ripple dialog box | The values range from 1 to one-half the length of the image's diagonal. ( 1 – (length of image diagonal)/2 ).

See Also

Elements: | ShowZoomWaveDlg method, ShowRippleDlg method, Amplitude property, Phase property, ZoomFactor property, CenterPoint property, FillColor property, ZoomWaveFlags property, Attenuation property, RippleFlags property
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


HorizontalDim property (LEADDlgImgEffect Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | L_UINT HorizontalDim
Delphi Syntax | HorizontalDim: L_UINT
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets the horizontal effect size, in pixels, in the Impressionist dialog box.

Possible values range from 1 – 100.

See Also

Elements: | ShowImpressionistDlg method, VerticalDim property
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


HorzScale property (LEADDlgImgEffect Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | L_UINT HorzScale
Delphi Syntax | HorzScale: L_UINT
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets the size of the horizontal wave, given as a percentage of the Amplitude property, in the Wave dialog box.

The valid range is from 0 to 100.

See Also

Elements: | ShowWaveDlg method, Amplitude property, WaveLength property, Angle property, VertScale property, FillColor property, WaveFlags property
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


ItemBitmap property (LEADDlgImgEffect Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | TBitmapHandle ItemBitmap [L_UINT uIndex]
Delphi Syntax | ItemFileName [uIndex: L_UINT ]: TBitmapHandle
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets the array of bitmaps to be included in:

the "Available " list in the AddBitmaps dialog, or

the image picker in either the Underlay dialog or the Stitch dialog.

You have to set the ItemsCount property before using this property.

See Also

Elements: | ShowUnderlayDlg method, ShowAddBitmapsDlg method, ShowStitchDlg method
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


ItemDescription property (LEADDlgImage Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | AnsiString ItemDescription[L_UINT uIndex]
Delphi Syntax | ItemDescription [uIndex: L_UINT ]: String
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets an array of strings that contains the text to be used as a tool tip for each image in the image picker when the mouse hovers over it in the AddBorder and the AddFrame dialog boxes.

You have to set the ItemsCount property before using this property.

See Also

Elements: | ShowAddBorderDlg method, ShowAddFrameDlg method.
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


ItemDescription property (LEADDlgImgEffect Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | AnsiString ItemDescription [L_UINT uIndex]
Delphi Syntax | ItemDescription [uIndex: L_UINT ]: String
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets an array of strings that contains the text used to fill the "Available List" in the AddBitmaps, Stitch or Underlay dialog boxes.

You have to set the ItemsCount property before using this property.

See Also

Elements: | ShowAddBitmapsDlg method, ShowStitchDlg method, ShowUnderlayDlg method, ItemsCount property, ItemFileName property, ItemBitmap property, SelectedBitmapList property
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


ItemFileName property (LEADDlgImgEffect Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | AnsiString ItemFileName [L_UINT uIndex]
Delphi Syntax | ItemFileName [uIndex: L_UINT ]: String
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets an array of strings that contains the names of the files that contain the bitmaps referenced by the ItemBitmap property.

Set this property to a fully qualified path name if you wish to supply a thumbnail for previewing purposes only. This fully qualified path name will be used to load the bitmap when needed. Set this field to ‘’ to indicate that the bitmap set in the ItemBitmap property is not a thumbnail but is the bitmap to be used in processing.

You have to set the ItemsCount property before using this property.

See Also

Elements: | ShowUnderlayDlg method, ShowStitchDlg method.
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


ItemsCount property (LEADDlgImgEffect Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | L_UINT ItemsCount
Delphi Syntax | ItemsCount: L_UINT
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets the number of items associated with the Underlay, Stitch and AddBitmaps dialog boxes.

You have to set this property to the number of elements you want to pass to the Underlay, or Stitch dialog box before you set any other item properties (ItemBitmap property, ItemDescription property, and ItemFileName property).

Setting this property to 0 will clear the ItemBitmap property, ItemDescription property and ItemFileName property.

See Also

Elements: | ShowAddBitmapsDlg method, ShowUnderlayDlg method, ShowStitchDlg method, ItemDescription property, ItemFileName property, ItemBitmap property, SelectedBitmapList property
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


LEADImage property (LEADDlgImgEffect Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | TLEADImage* LEADImage
Delphi Syntax | LEADImage: TLEADImage
Overview | Refer to Using Imaging Common Dialogs.

Remarks

A general property used by most of the control dialogs; it is a LEAD Main Control. For any Common Dialog method in which the AUTOPROCESS or SHOWPREVIEW flags are set in the DlgFlags property, you must assign a Main Control to the LEADImage property. This causes the Main Control's bitmap to be referenced in the Dialog Control methods and a copy is NOT created.

See Also

Elements: | LEADDlgService Property
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


LEADDlgService property (LEADDlgImgEffect Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | TLEADDlgService* LEADDlgService
Delphi Syntax | LEADDlgService: TLEADDlgService
Overview | Refer to Using Imaging Common Dialogs.

Remarks

A general property used by all the control dialogs; it is a LEAD Dialog Service Control. To apply the font set in the DialogsFont property to the dialogs of this control, set this property for the Dialog Service Control that has the font you want to apply.

See Also

Elements: | LEADImage property
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


MaxError property (LEADDlgImgEffect Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | L_INT MaxError
Delphi Syntax | MaxError: L_INT
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or set the maximum error for the approximation algorithm in the ContourFilter dialog box.

Values can be from 0 to 255.

See Also

Elements: | ContourFilter method , ShowContourFilterDlg method, Threshold property, DeltaDirection property, Option property, OptionFlags property
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


Opacity property (LEADDlgImgEffect Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | L_UINT Opacity
Delphi Syntax | Opacity: L_UINT
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets the opacity value.

This property is associated with the following properties:

Wind dialog box | In this case it represents the density, in pixels, of the thin lines used to create the wind effect. Possible values range from 0 - 100.
Pixelate dialog box | In this case it represents how transparent the cells are, compared to the original pixels. This is a percentage. Possible values are 0 – 100. (0 is total opacity and 100 is total transparency.)

See Also

Elements: | ShowWindDlg method, ShowPixelateDlg method, CellWidth property, CellHeight property, CenterPoint property, PixelateFlags property, Angle property, Dimension property
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


OptionFlags property (LEADDlgImgEffect Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | L_UINT32 OptionFlags
Delphi Syntax | OptionFlags: L_UINT32
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets the option flags for the ContourFilter dialog box. These flags represent the options present in the ContourOption dropdown list box in the ContourFilter dialog box. Possible values are:

DLG_CONTOURFILTER_SHOW_OPTION_THIN | [$00000001] The return after thinning option is available.
DLG_CONTOURFILTER_SHOW_OPTION_LINK_BW | [$00000002] The return after contour linking using only black and white option is available
DLG_CONTOURFILTER_SHOW_OPTION_LINK_GRAY | [$00000004] The return after contour linking using 256 grayscale options is available.
DLG_CONTOURFILTER_SHOW_OPTION_LINK_COLOR | [$00000008] The return after contour linking using colors option is available.
DLG_CONTOURFILTER_SHOW_OPTION_APPROX_COLOR | [$00000010] The return after line segment approximation option is available.
DLG_CONTOURFILTER_SHOW_OPTION_ALL | [$0000001F] ALL the options above available.

See Also

Elements: | ContourFilter method , ShowContourFilterDlg method, Threshold property, DeltaDirection property, MaxError property, Option property
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


Option property (LEADDlgImgEffect Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | L_INT Option
Delphi Syntax | Option: L_INT
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets an option value in the ContourFilter dialog box. This value tells the method what process to complete before returning. Possible values are:

Value | Meaning
CONTOUR_THIN | [0] Return after the thinning algorithm
CONTOUR_LINK_BLACKWHITE | [1] Return after contour linking, using only black and white
CONTOUR_LINK_GRAY | [2] Return after contour linking, using 256 grayscale
CONTOUR_LINK_COLOR | [3] Return after contour linking, using colors
CONTOUR_APPROX_COLOR | [4] Return after line segment approximation, using colors

See Also

Elements: | ContourFilter method , ShowContourFilterDlg method, Threshold property, DeltaDirection property, MaxError property, OptionFlags property
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


Phase property (LEADDlgImgEffect Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | L_INT Phase
Delphi Syntax | Phase: L_INT
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets the wave phase shift.

This property value is in hundredths of degrees.

The valid range is from –36000 to 36000. The value in degrees is Phase divided by 100.

This property is associated with ZoomWave, RadialWave, and Ripple dialog boxes.

See Also

Elements: | ShowZoomWaveDlg method, ShowRadialWaveDlg method, ShowRippleDlg method, Amplitude property, Frequency property, ZoomFactor property, CenterPoint property, FillColor property, ZoomWaveFlags property, WaveLength property, RadialWaveFlags property, Attenuation property, RippleFlags property
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


PicturizeResizeFlags property (LEADDlgImgEffect Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | L_UINT PicturizeResizeFlags
Delphi Syntax | PicturizeResizeFlags: L_UINT
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets the PicturizeResizeFlags in the Picturize dialog box.

This property controls the behavior of the picturize process.

Possible values are given below. These values can be combined using OR (|).

Value | Meaning
PICTURIZE_RESIZE | [$0002] Resize the images that are not the required size.
PICTURIZE_RESAMPLE | [$0004] Resample the images that are not the required size.
PICTURIZE_ONCE | [$0010] Use the image only once throughout the process.
PICTURIZE_EQUALUSAGE | [$0020] Use all images equally. That is, before an image will be used twice, all other images must be used at least once.
PICTURIZE_BESTFIT | [$0040] Images will be resized to fit the image if the bitmap width or height is not a multiple of CellWidth/CellHeight properties.
0 | The picturize process will not use any of the above flags. It will: reload all the files each time you look for a rectangle to substitute and ignore all the images present in DirectoryPath if their size is not CellWidth x CellHeight.

See Also

Elements: | ShowPicturizeDlg method, CellHeight property, CellWidth property, DirectoryPath property, BitmapWidth property, BitmapHeight property
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


PixelateFlags property (LEADDlgImgEffect Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | L_UINT PixelateFlags
Delphi Syntax | PixelateFlags: L_UINT
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets the PixelateFlags in the Pixelate dialog box.

This property indicates the values used to fill the cells, the shape of the cells, and what type of data is in the CellWidth and CellHeight properties. You can use a bitwise OR (|) to specify one flag from each group.

The following are the flags indicate what values will be used to fill the cells:

Value | Meaning
PIX_MAX | [$0000] Fill the cell with the maximum pixel value of the cell.
PIX_MIN | [$0001] Fill the cell with the minimum pixel value of the cell.
PIX_AVR | [$0002] Fill the cell with the average pixel value of the cell.

The following are the flags that indicate the shape of the cells:

Value | Meaning
PIX_RECT | [$0000] Divide the image into rectangular cells. If this flag used, the CellWidth property value contains the cell width in pixels or the number of cells across the width of the bitmap. CellHeight property contains the cell height in pixels or the number of cells across the height of the bitmap.
PIX_RAD | [$0010] Divide the image into circular cells, centered on the CenterPoint property. If this flag is used, the CellWidth property value determines the angular component of the cell, and CellHeight property determines the radial component of the cell. Please note that PIX_RAD must be OR-ed with PIX_WPER or PIX_WFRQ.

The following are the flags the indicate what information is contained in the CellWidth and CellHeight properties:

Value | Meaning
PIX_WFRQ | [$0100] Indicates the number of cells along the width of the bitmap if rectangular cells are used. If circular cells are used, this indicates the number of cells present around the center of the circle.
PIX_WPER | [$0200] Indicates the width, in pixels of a cell, if rectangular cells are used. If circular cells are used, this indicates the number of degrees in each cell around the center point.
PIX_HFRQ | [$0400] Indicates the number of cells along the height of the bitmap if rectangular cells are used. If circular cells are used, this indicates the number of cells present along the radius of the circle.
PIX_HPER | [$0800] Indicates the height, in pixels of a cell, if rectangular cells are used. If circular cells are used, this indicates the radial length of each cell along the radius.

See Also

Elements: | ShowPixelateDlg method, CellWidth property, CellHeight property, Opacity property, CenterPoint property
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


PolarFlags property (LEADDlgImgEffect Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | L_UINT PolarFlags
Delphi Syntax | PolarFlags: L_UINT
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets the PolarFlags in the Polar dialog box.

This property indicates how exposed areas will be handled and the conversion type. You can use a bitwise OR (|) to specify one flag from each group. The following are the flags that indicate how to handle exposed areas:

Value | Meaning
FILL_CLR | [$0000] Fill exposed areas with the color in the FillColor property.
FILL_RPT | [$0001] Stretch the edges of the image to fill exposed areas.
FILL_NOCHANGE | [$0002] Do not change exposed areas.

The following are the flags that indicate the conversion type:

Value | Meaning
CART_TO_POL | [$0000] Convert the image from Cartesian (rectangular) coordinates to polar coordinates.
POL_TO_CART | [$0010] Convert the image from polar coordinates to Cartesian (rectangular) coordinates.

See Also

Elements: | ShowPolarDlg method, FillColor property
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


PunchFlags property (LEADDlgImgEffect Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | L_UINT PunchFlags
Delphi Syntax | PunchFlags: L_UINT
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets the punch flags in the Punch dialog box.

This property determines how to handle exposed areas, both centrally and peripherally.

You can use a bitwise OR (|) to specify one flag from each group. The following are the flags that indicate how to handle peripherally exposed areas:

Value | Meaning
FILL_CLR | [$0000] Fill exposed areas with the color in FillColor property.
FILL_RPT | [$0001] Stretch the edges of the image to fill exposed areas.
FILL_NOCHG | [$0002] Do not change or process exposed areas.

The following are the flags that indicate how to handle centrally exposed areas:

Value | Meaning
FILL_ROT | [$0000] Rotate the image inside the pinch pattern.
FILL_WOUTROT | [$0010] Fill the exposed center the same way the peripherally exposed areas are filled.

This property is ignored if the Value property is positive.

See Also

Elements: | ShowPunchDlg method, CenterPoint property, FillColor property, Stress property, Value property
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


RadialWaveFlags property (LEADDlgImgEffect Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | L_UINT RadialWaveFlags
Delphi Syntax | RadialWaveFlags: L_UINT
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets the RadialWaveFlags in the RadialWave dialog box.

This property indicates how to handle exposed areas and what type of information is in the WaveLength property. You can use a bitwise OR (|) to specify one flag from each group. The following flags indicate how to handle exposed areas:

Value | Meaning
FILL_CLR | [$0000] Fill exposed areas with the color in FillColor property.
FILL_RPT | [$0001] Stretch the edges of the image to fill exposed areas.
FILL_NOCHG | [$0002] Do not change or process exposed areas.

The following flags indicate the type of information in the WaveLength property:

Value | Meaning
DIS_PER | [$0000] The value in the WaveLength property is a wavelength given as a percent of the bitmap dimensions. If this value is set, the valid range for the WaveLength property is from 0 to 100.
DIS_FRQ | [$0010] The value in the WaveLength property is the frequency, or the number of times the wave repeats.

See Also

Elements: | ShowRadialWaveDlg method, Amplitude property, WaveLength property, Phase property, CenterPoint property, FillColor property
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


Radius property (LEADDlgImgEffect Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | L_INT Radius
Delphi Syntax | Radius: L_INT
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets the size of the neighborhood used for blurring each pixel of the bitmap in the Gaussian and UnsharpMask dialog boxes.

Possible values range from 1 – 1000.

See Also

Elements: | ShowGaussianBlurDlg method, ShowUnsharpMaskDlg method, Amount property, Threshold property, UnshrpMaskFlags property
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


Range property (LEADDlgImgEffect Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | L_UINT Range
Delphi Syntax | Range: L_UINT
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets the noise range value in the AddNoise dialog box.

The value is expressed in tenths of a percent. Valid values are 0 - 1000.

See Also

Elements: | AddNoise method , ShowAddNoiseDlg method, Channel property
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


Resolution property (LEADDlgImgEffect Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | L_UINT Resolution
Delphi Syntax | Resolution: L_UINT
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets the horizontal and vertical resolution, in dots per inch, in the Stitch dialog box.

This value is used to initialize the Resolution edit box in the Image Attributes sub dialog.

See Also

Elements: | ShowStitchDlg method, ItemsCount property, ItemDescription property, ItemFileName property, ItemBitmap property, BitmapWidth property, BitmapHeight property, BitmapBitsPerPixel property, BackgroundColor property, WindowIcon property, StitchBitmap property
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


RippleFlags property (LEADDlgImgEffect Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | L_UINT RippleFlags
Delphi Syntax | RippleFlags: L_UINT
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets the RippleFlags in the Ripple dialog box.

This property indicates how to handle exposed areas. Possible values are:

Value | Meaning
FILL_CLR | [$0000] Fill exposed areas with the color in the FillColor property.
FILL_RPT | [$0001] Stretch the edges of the image to fill exposed areas.
FILL_NOCHG | [$0002] Do not change or process exposed areas.

See Also

Elements: | ShowRippleDlg method, Amplitude property, Frequency property, Phase property, CenterPoint property, FillColor property, Attenuation property
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


Scale property (LEADDlgImgEffect Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | L_UINT Scale
Delphi Syntax | Scale: L_UINT
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets the scaling factor.

This property is associated with the following dialog boxes:

FreeHandWave dialog box | In this case it represents the factor to be multiplied with the Amplitudes property array values. The values range from 1 to 1000.
FreeHandShear dialog box | In this case it represents the factor used to decrease the various amplitude values in the Amplitudes property array. Each value in the Amplitudes property array is multiplied by this factor. The real factor value is the Scale value divided by 100. Therefore, to multiply the amplitude values by 1.0, set this property to 100.The values range (1-100).

See Also

Elements: | ShowFreeHandWaveDlg method, ShowFreeHandShearDlg method, Amplitudes property, AmplitudesCount property, Scale property, WaveLength property, Angle property, FillColor property, FreeHandWaveFlags property, GetCurvePoints method
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


SelectedBitmapIndex property (LEADDlgImgEffect Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | L_UINT SelectedBitmapIndex
Delphi Syntax | SelectedBitmapIndex: L_UINT
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets the index of the selected tile bitmap in the Underlay dialog box.

This property value must be less than or equal (ItemsCount – 1).

See Also

Elements: | ShowUnderlayDlg method, ItemsCount property, ItemDescription property, ItemFileName property, ItemBitmap property, BitmapIndex property, UnderlayFlags property, SelectedBitmap property
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


SelectedBitmapList property (LEADDlgImgEffect Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | HBITMAPLIST SelectedBitmapList
Delphi Syntax | SelectedBitmapList: HBITMAPLIST
Overview | Refer to Using Imaging Common Dialogs.

Remarks

(Read only) Gets the list of bitmaps selected by the user in the AddBitmaps dialog box for adding or averaging.

See Also

Elements: | ShowAddBitmapsDlg method, ItemsCount property, ItemDescription property, ItemBitmap property, AddBitmapsFlags property
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


SelectedBitmap property (LEADDlgImgEffect Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | TBitmapHandle SelectedBitmap
Delphi Syntax | SelectedBitmap: TBitmapHandle
Overview | Refer to Using Imaging Common Dialogs.

Remarks

(Read Only) Gets the bitmap selected by user when the Underlay dialog box closes successfully.

See Also

Elements: | ShowUnderlayDlg method
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


Sharpness property (LEADDlgImgEffect Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | L_INT32 Sharpness
Delphi Syntax | Sharpness: L_INT32
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets the amount to change the sharpness in the Sharpen dialog box.

The sharpness ranges from -1000 to 1000. Negative numbers decrease the sharpness and positive numbers increase the sharpness.

See Also

Elements: | Sharpen method , ShowSharpenDlg method
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


ShowHelpButton property (LEADDlgImgEffect Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | bool ShowHelpButton
Delphi Syntax | ShowHelpButton: Boolean
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Used by all the control dialogs. It determines if a Help button will be displayed in the dialog. Possible values are:

Setting | Description
TRUE | Help Button will be displayed.
FALSE | Help Button will not be displayed and the OnDlgHelp Event will not be available for the dialogs.

See Also

Elements:

OnDlgHelp Event, ShowMotionBlurDlg method, ShowRadialBlurDlg method, ShowZoomBlurDlg method, ShowGaussianBlurDlg method, ShowAntiAliasDlg method, ShowAverageDlg method, ShowMedianDlg method, ShowAddNoiseDlg method, ShowMaxFilterDlg method, ShowMinFilterDlg method, ShowSharpenDlg method, ShowShiftDifferenceFilterDlg method, ShowEmbossDlg method, ShowOilifyDlg method, ShowMosaicDlg method, ShowErosionFilterDlg method, ShowDilationFilterDlg method, ShowContourFilterDlg method, ShowGradientFilterDlg method, ShowLaplacianFilterDlg method, ShowSobelFilterDlg method, ShowPrewittFilterDlg method, ShowLineSegmentFilterDlg method, ShowUnsharpMaskDlg method, ShowMultiplyDlg method, ShowAddBitmapsDlg method, ShowStitchDlg method, ShowFreeHandWaveDlg method, ShowWindDlg method, ShowPolarDlg method, ShowZoomWaveDlg method, ShowRadialWaveDlg method, ShowSwirlDlg method, ShowWaveDlg method, ShowFreeHandShearDlg method, ShowPunchDlg method, ShowRippleDlg method, ShowBendingDlg method, ShowCylindricalDlg method, ShowSpherizeDlg method, ShowImpressionistDlg method, ShowPixelateDlg method, ShowEdgeDetectorDlg method, ShowUnderlayDlg method, ShowPicturizeDlg method.

Topics:

Imaging Common Dialogs: Properties, Methods, and Events


SpatialFilterType property (LEADDlgImgEffect Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | L_UINT SpatialFilterType
Delphi Syntax | SpatialFilterType: L_UINT
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets the spatial filter type used with the Spatial Filter dialog boxes.

If a user selects a spatial filter from one of the Spatial filter dialog boxes, the SpatialFilterType property is set to a value that corresponds to the filter chosen.

The Spatial filter dialog boxes are:

ShiftDifferenceFilter dialog box | The spatial filter applies shift-and-difference edge detection. All pixels not on the detected edges are changed to black. Choose the appropriate value for diagonal, horizontal, or vertical detection. Possible values are:
 | FLT_SHIFTDIFF_DIAG
 | FLT_SHIFTDIFF_HORZ
 | FLT_SHIFTDIFF_VERT
GradientFilter dialog box | Gradient filters detect edges. All pixels not on the detected edges are changed to black. Choose the appropriate value for the direction of the effect. Possible values are:
 | FLT_GRADIENT_N
 | FLT_GRADIENT_NE
 | FLT_GRADIENT_E
 | FLT_GRADIENT_SE
 | FLT_GRADIENT_S
 | FLT_GRADIENT_SW
 | FLT_GRADIENT_W
 | FLT_GRADIENT_NW
LaplacianFilter dialog box | Laplacian filters apply Laplacian line detection. There are three omnidirectional filters and three bi-directional ones. All pixels not on the detected lines are changed to black. Possible values are:
 | FLT_LAPLACE_1
 | FLT_LAPLACE_2
 | FLT_LAPLACE_3
 | FLT_LAPLACE_DIAG
 | FLT_LAPLACE_HORZ
 | FLT_LAPLACE_VERT
SobelFilter dialog box | Sobel filters apply Sobel edge detection. All pixels not on the detected edges are changed to black. (The usage is the same as Prewitt, but the algorithm is different.) Choose the appropriate value for horizontal or vertical detection. Possible values are:
 | FLT_SOBEL_HORZ
 | FLT_SOBEL_VERT
PrewittFilter dialog box | The Prewitt filter applies Prewitt edge detection. All pixels not on the detected edges are changed to black. (The usage is the same as Sobel, but the algorithm is different.) Choose the appropriate value for horizontal or vertical detection. Possible values are:
 | FLT_PREWITT_HORZ
 | FLT_PREWITT_VERT
LineSegmentFilter dialog box | The Line Segment filter applies line segment line detection. You can use this filter to find line discontinuities in an image. All pixels not on the detected line segments are changed to black. Choose the appropriate value for horizontal, vertical, left-to-right diagonal, or right-to-left diagonal detection. Possible values are:
 | FLT_LINESEG_HORZ
 | FLT_LINESEG_VERT
 | FLT_LINESEG_LTOR
 | FLT_LINESEG_RTOL

See Also

Elements: | SpatialFilter method , ShowShiftDifferenceFilterDlg method, ShowGradientFilterDlg method, ShowLaplacianFilterDlg method, ShowSobelFilterDlg method, ShowPrewittFilterDlg method, ShowLineSegmentFilterDlg method
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


SpherizeFlags property (LEADDlgImgEffect Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | L_UINT SpherizeFlags
Delphi Syntax | SpherizeFlags: L_UINT
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets the SpherizeFlags in the Spherize dialog box.

This property indicates how to handle exposed areas outside the sphere and inside the sphere. You can use a bitwise OR (|) to specify one flag from each group.

The following are the flags that indicate how to handle exposed areas outside the sphere:

Value | Meaning
FILL_CLR | [$0000] Fill exposed areas with the color in FillColor property.
FILL_RPT | [$0001] Stretch the edges of the image to fill exposed areas.
FILL_NOCHG | [$0002] Do not change or process exposed areas.

The following are the flags that indicate how to handle exposed areas inside the sphere:

Value | Meaning
FILL_ROT | [$0000] Rotate the image inside the sphere pattern.
FILL_WOUTROT | [$0010] Fill the exposed center of the sphere in the same manner as exposed areas outside the sphere.

This flag is ignored if the Value property is negative.

See Also

Elements: | ShowSpherizeDlg method, Value property, CenterPoint property, FillColor property
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


StitchBitmap property (LEADDlgImgEffect Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | TBitmapHandle StitchBitmap
Delphi Syntax | StitchBitmap: TBitmapHandle
Overview | Refer to Using Imaging Common Dialogs.

Remarks

(Read Only) Gets the bitmap resulting when the Stitch dialog box closes successfully.

See Also

Elements: | ShowStitchDlg method, ItemBitmap property, BitmapWidth property, BitmapHeight property, BitmapBitsPerPixel property, Resolution property, BackgroundColor property, WindowIcon property
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


Stress property (LEADDlgImgEffect Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | L_UINT Stress
Delphi Syntax | Stress: L_UINT
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets the Stress value.

This property is associated with the following dialog boxes:

RadialBlur dialog box | In this case it represents the blur intensity. Possible values range from 0 - 15.
ZoomBlur dialog box | In this case it represents the blur intensity. Possible values range from 0 - 100.
Punch dialog box | In this case it represents the amount of punching intensity. This value is ignored when the Value property is less than 0. Valid values range from 0 to 1000.

See Also

Elements: | ShowRadialBlurDlg method, ShowZoomBlurDlg method, ShowPunchDlg method, CenterPoint property, Dimension property, Value property, FillColor property, PunchFlags property
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


UnderlayFlags property (LEADDlgImgEffect Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | L_UINT UnderlayFlags
Delphi Syntax | UnderlayFlags: L_UINT
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets the UnderlayFlags in the Underlay dialog box.

This property indicates how the underlying image is to be positioned. Possible values are:

Value | Meaning
UB_TILE | [$00] Tile the underlay image. This repeats the underlying image, so that it fills the target image.
UB_STRETCH | [$01] Stretch the underlay image to fit the dimensions of the target image.

See Also

Elements: | ShowUnderlayDlg method, BitmapIndex property, SelectedBitmap property, SelectedBitmapIndex property
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


Unidirectional property (LEADDlgImgEffect Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | bool Unidirectional
Delphi Syntax | Unidirectional: Boolean
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets a value that indicates whether the Unidirection checkbox was checked in the MotionBlur dialog box. Possible values are:

Value | Meaning
TRUE | The Unidirection check box was checked. The motion blur effect is only in the direction specified in the Angle property.
FALSE | The Unidirection check box wasn’t checked. The motion blur effect is along the line with that angle specified in the Angle property. For example, if the Angle property is 0, the blur effect will occur in the 0 degree direction and the 180 degree direction.

Set this property before calling the ShowMotionBlurDlg method to initialize the dialog box.

See Also

Elements: | ShowMotionBlurDlg method, Angle property, Dimension property
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


UnshrpMaskFlags property (LEADDlgImgEffect Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | L_UINT UnshrpMaskFlags
Delphi Syntax | UnshrpMaskFlags: L_UINT
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets the color space in which, to apply the mask in the UnsharpMask dialog box. Possible values are:

Value | Meaning
RGB_SPACE | [$0001] Apply the mask in the RGB color space.
YUV_SPACE | [$0002] Apply the mask in the YUV color space.

See Also

Elements: | ShowUnsharpMaskDlg method, Radius property, Threshold property, Amount property
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


Threshold property (LEADDlgImgEffect Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | L_UINT Threshold
Delphi Syntax | Threshold: L_UINT
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets the Threshold value.

This property is associated with the following dialog boxes:

AntiAlias dialog box | In this case it represents which pixels to smooth. The application of the anti-aliasing filter on the image associates a value with each pixel. Only pixels with values above this threshold are smoothed. Possible values are:
 | If the image is: | Range of possible values:
 | 12-bit. | 0-4095
 | 16-bit, 48-bit, or 64-bit. | 0-65535
 | Other bits per pixel. | 0-255

ContourFilter dialog box | In this case it represents the gradient magnitude. Values below this will be considered as background, and will be set to 0. Values can be from 1 to 254. A lower threshold provides a better quality image.
UnsharpMask dialog box | In this case it represents the threshold for modifying the original value of the pixel. Possible values range from 0 - 255.
EdgeDetector dialog box | In this case it represents Threshold value used to determine which pixels are edge pixels. Possible values depend on the image, as shown here:
 | If the image is: | Possible values are:
 | The image is 16-bit gray, 48-bit, or 64-bit. | 0-65535
 | The image is 12-bit. | 0-4095
 | Otherwise. | 0-255

See Also

Elements: | ShowAntiAliasDlg method, ShowContourFilterDlg method, ShowUnsharpMaskDlg method, ShowEdgeDetectorDlg method, EdgeDetectionFilterType property, Amount property, Radius property, UnshrpMaskFlags property, DeltaDirection property, MaxError property, Option property, OptionFlags property, Dimension property, AntiAliasFilterType property
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


Value property (LEADDlgImgEffect Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | L_INT Value
Delphi Syntax | Value: L_INT
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets a value that represents the amount of stretching.

This property is associated with the following dialog boxes:

Punch dialog box | In this case positive values pinch the image toward its center and negative values expand the image away from its center. Valid values range from –500 to 500.
Bending dialog box | In this case positive values stretch the pixels toward edges, and negative values stretch the pixels toward the center. Possible values range from –500 to 500.
Cylindrical dialog box | In this case positive values stretch the pixels toward the bitmap edges, depending on the type of cylinder, and negative values stretch the pixels toward the central line of the cylinder. The valid range is from –100 to 100.
Spherize dialog box | In this case where positive values stretch the central pixels toward the edges and negative values stretch the pixels toward the center. Valid range is from –500 to 500.

See Also

Elements: | ShowPunchDlg method, ShowBendingDlg method, ShowCylindricalDlg method, ShowSpherizeDlg method, Stress property, CenterPoint property, FillColor property, PunchFlags property, BendingFlags property, CylindricalType property
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


VerticalDim property (LEADDlgImgEffect Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | L_UINT VerticalDim
Delphi Syntax | VerticalDim: L_UINT
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets the vertical effect size, in pixels, in the Impressionist dialog box.

Possible values range from 1 – 100.

See Also

Elements: | ShowImpressionistDlg method, HorizontalDim property
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


VertScale property (LEADDlgImgEffect Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | L_UINT VertScale
Delphi Syntax | VertScale: L_UINT
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets the size of the vertical wave, given as a percentage of the Amplitude property, in the Wave dialog box.

The valid range is from 0 to 100.

See Also

Elements: | ShowWaveDlg method, Amplitude property, WaveLength property, Angle property, HorzScale property, FillColor property, WaveFlags property
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


WaveFlags property (LEADDlgImgEffect Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | L_UINT WaveFlags
Delphi Syntax | WaveFlags: L_UINT
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets the WaveFlags in the Wave dialog box.

This property indicates how to handle exposed areas and what type of information is in the WaveLength property. You can use a bitwise OR (|) to specify one flag from each group. The following are the flags that indicate how to handle exposed areas:

Value | Meaning
FILL_CLR | [$0000] Fill exposed areas with the color in FillColor property.
FILL_RPT | [$0001] Stretch the edges of the image to fill exposed areas.
FILL_NOCHG | [$0002] Do not change or process exposed areas.

The following are the flags that indicate the type of information in the WaveLength property:

Value | Meaning
DIS_PER | [$0000] The value in WaveLength property is a wavelength given as a percent of the bitmap dimensions. If this value is set, the valid range for the WaveLength property is from 0 to 100.
DIS_FRQ | [$0010] The value in WaveLength property is the frequency, or the number of times the wave repeats.

See Also

Elements: | ShowWaveDlg method, Amplitude property, WaveLength property, Angle property, HorzScale property, VertScale property, FillColor property, WaveFlags property
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


WaveLength property (LEADDlgImgEffect Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | L_UINT WaveLength
Delphi Syntax | WaveLength: L_UINT
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets the wavelength value.

This property is associated with the following dialog boxes:

FreeHandWave dialog box | In this case, if DIS_PER is set in the FreeHandWaveFlags property. Possible values range from 0 – 100 and give the wavelength as a percentage of the bitmap dimensions. If DIS_FRQ is set in FreeHandWaveFlags property, this value is the number of repeated waves. Possible values range from 0 – 100
RadialWave dialog box | In this case, if DIS_PER is set in the RadialWaveFlags property. Possible values range from 0 – 100 and give the wavelength as a percentage of the bitmap dimensions. If DIS_FRQ is set in RadialWaveFlags property, this value is the number of repeated waves. Possible values range from 0 – 100.
Wave dialog box | In this case, if DIS_PER is set in the WaveFlags property. Possible values range from 0 – 100 and give the wavelength as a percentage of the bitmap dimensions. If DIS_FRQ is set in WaveFlags property, this value is the number of repeated waves. Possible values range from 0 – 100.

See Also

Elements: | ShowFreeHandWaveDlg method, ShowRadialWaveDlg method, ShowWaveDlg method, FreeHandWaveFlags property, RadialWaveFlags property, WaveFlags property, Amplitudes property, AmplitudesCount property, Scale property, WaveLength property, Angle property, FillColor property, GetCurvePoints method ¸ Amplitude property, Phase property, CenterPoint property, HorzScale property, VertScale property,
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


WindowIcon property (LEADDlgImgEffect Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | TIcon* WindowIcon
Delphi Syntax | WindowIcon: TIcon
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets a custom Stitch Window icon.

Assign this property to Nil (NULL) to use the default icon.

See Also

Elements: | ShowStitchDlg method, ItemBitmap property, BitmapWidth property, BitmapHeight property, BitmapBitsPerPixel property, Resolution property, BackgroundColor property, StitchBitmap property
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


ZoomFactor property (LEADDlgImgEffect Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | L_UINT ZoomFactor
Delphi Syntax | ZoomFactor: L_UINT
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets the zoom factor in the ZoomWave dialog box.

This property represents the percentage the wave grows as it moves from the image center. The valid range is from 0 to 100.

See Also

Elements: | ShowZoomWaveDlg method, Amplitude property, Frequency property, Phase property, CenterPoint property, FillColor property, ZoomWaveFlags property
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


ZoomToFit property (LEADDlgImgEffect Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | bool ZoomToFit
Delphi Syntax | ZoomToFit: Boolean
Overview | Refer to Using Imaging Common Dialogs.

Remarks

General property used by all the Imaging Common Dialog methods.

It is a flag that indicates the initial zoom level for previewing the image. Possible values are:

Value | Meaning
TRUE | Set the initial zoom level to "Zoom to fit".
FALSE | Set the initial zoom level to "Normal (1:1)".

See Also

Elements:

ShowMotionBlurDlg method, ShowRadialBlurDlg method, ShowZoomBlurDlg method, ShowGaussianBlurDlg method, ShowAntiAliasDlg method, ShowAverageDlg method, ShowMedianDlg method, ShowAddNoiseDlg method, ShowMaxFilterDlg method, ShowMinFilterDlg method, ShowSharpenDlg method, ShowShiftDifferenceFilterDlg method, ShowEmbossDlg method, ShowOilifyDlg method, ShowMosaicDlg method, ShowErosionFilterDlg method, ShowDilationFilterDlg method, ShowContourFilterDlg method, ShowGradientFilterDlg method, ShowLaplacianFilterDlg method, ShowSobelFilterDlg method, ShowPrewittFilterDlg method, ShowLineSegmentFilterDlg method, ShowUnsharpMaskDlg method, ShowMultiplyDlg method, ShowAddBitmapsDlg method, ShowStitchDlg method, ShowFreeHandWaveDlg method, ShowWindDlg method, ShowPolarDlg method, ShowZoomWaveDlg method, ShowRadialWaveDlg method, ShowSwirlDlg method, ShowWaveDlg method, ShowFreeHandShearDlg method, ShowPunchDlg method, ShowRippleDlg method, ShowBendingDlg method, ShowCylindricalDlg method, ShowSpherizeDlg method, ShowImpressionistDlg method, ShowPixelateDlg method, ShowEdgeDetectorDlg method, ShowUnderlayDlg method, ShowPicturizeDlg method.

Topics:

Imaging Common Dialogs: Properties, Methods, and Events


ZoomWaveFlags property (LEADDlgImgEffect Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | L_UINT ZoomWaveFlags
Delphi Syntax | ZoomWaveFlags: L_UINT
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets the ZoomWaveFlags in the ZoomWave dialog box.

This property indicates how exposed areas will be handled. Possible values are:

Value | Meaning
FILL_CLR | [$0000] Fill exposed areas with the color in the FillColor property.
FILL_RPT | [$0001] Stretch the edges of the image to fill exposed areas.
FILL_NOCHANGE | [$0002] Do not change exposed areas.

See Also

Elements: | ShowZoomWaveDlg method, Amplitude property, Frequency property, Phase property, CenterPoint property, FillColor property, ZoomFactor property
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


ShowAddBitmapsDlg method (LEADDlgImgEffect Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | int ShowAddBitmapsDlg (TWinControl* AOwnerCtrl);
Delphi Syntax | Function ShowAddBitmapsDlg (AOwnerCtrl: TWinControl ): L_INT;
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Displays the AddBitmaps dialog box, and gets the options for the AddBitmaps method.

The layout and action of the dialog depends on the flags set in the DlgFlags property. Possible options are:

Value | Meaning
DLG_ADDBITMAPS_AUTOPROCESS | [$00000001] Process the image on OK. The LEADImage property must be assigned a Main Control containing a valid bitmap before calling this method.
DLG_ADDBITMAPS_SHOW_CONTEXTHELP | [$00000002] Dialog should contain a context sensitive help icon.
DLG_ADDBITMAPS_SHOW_PREVIEW | [$00000004] Show a preview of the image in the dialog. The LEADImage property must be assigned a Main Control containing a valid bitmap before calling this method.
DLG_ADDBITMAPS_SHOW_TOOL_ZOOMLEVEL | [$00000008] Show the "Zoom to fit" and "Zoom Normal" toolbar buttons. The DLG_UNDERLAY_SHOW_PREVIEW flag must be set in order to show these buttons.

If you include DLG_ADDBITMAPS_AUTOPROCESS or DLG_ADDBITMAPS_SHOW_PREVIEW in the DlgFlags property, the LEADImage property must be assigned a Main Control containing a valid bitmap before calling this method.

The properties associated with this dialog box are:

ItemsCount property.

ItemDescription property.

ItemFileName property.

ItemBitmap property.

AddBitmapsFlags property.

SelectedBitmapList property.

To include a Help button in the dialog, set the ShowHelpButton property to TRUE.

The AddBitmaps dialog can be seen below:

See Also

Elements: | AddBitmaps method , ItemsCount property, ItemDescription property, ItemFileName property, ItemBitmap property, AddBitmapsFlags property, SelectedBitmapList property, ShowHelpButton property, ZoomToFit Property, DlgFlags property, EnableMethodErrors property, LEADImage property
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


ShowAddNoiseDlg method (LEADDlgImgEffect Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | int ShowAddNoiseDlg(TWinControl* AOwnerCtrl);
Delphi Syntax | Function ShowAddNoiseDlg (AOwnerCtrl: TWinControl ): L_INT;
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Displays the Add Noise dialog box, and gets the options for the AddNoise method .

The layout and action of the dialog depends on the flags set in the DlgFlags property. Possible options are:

Value | Meaning
DLG_ADDNOISE_AUTOPROCESS | [$00000001] Process the image on OK. The LEADImage property must be assigned a Main Control containing a valid bitmap before calling this method.
DLG_ADDNOISE_SHOW_CONTEXTHELP | [$00000002] Dialog should contain a context sensitive help icon.
DLG_ADDNOISE_SHOW_PREVIEW | [$00000004] Show a preview of the image in the dialog. The LEADImage property must be assigned a Main Control containing a valid bitmap before calling this method.
DLG_ADDNOISE_SHOW_TOOL_ZOOMLEVEL | [$00000008] Show the "Zoom to fit" and "Zoom Normal" toolbar buttons. The DLG_ADDNOISE_SHOW_PREVIEW flag must be set in order to show these buttons.

If you include DLG_ADDNOISE_AUTOPROCESS or DLG_ADDNOISE_SHOW_PREVIEW in the DlgFlags property, the LEADImage property must be assigned a Main Control containing a valid bitmap before calling this method.

The properties associated with this dialog box are:

Range property.

Channel property.

To include a Help button in the dialog, set the ShowHelpButton property to TRUE.

The Add Noise dialog can be seen below:

See Also

Elements: | AddNoise method , Range property, Channel property, ShowHelpButton property, ZoomToFit Property, DlgFlags property, EnableMethodErrors property, LEADImage property
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


ShowAntiAliasDlg method (LEADDlgImgEffect Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | int ShowAntiAliasDlg(TWinControl* AOwnerCtrl);
Delphi Syntax | Function ShowAntiAliasDlg (AOwnerCtrl: TWinControl ): L_INT;
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Displays the AntiAlias dialog box, and gets the options for the AntiAlias method .

The layout and action of the dialog depends on the flags set in the DlgFlags property. Possible options are:

Value | Meaning
DLG_ANTIALIAS_AUTOPROCESS | [$00000001] Process the image on OK. The LEADImage property must be assigned a Main Control containing a valid bitmap before calling this method.
DLG_ANTIALIAS_SHOW_CONTEXTHELP | [$00000002] Dialog should contain a context sensitive help icon.
DLG_ANTIALIAS_SHOW_PREVIEW | [$00000004] Show a preview of the image in the dialog. The LEADImage property must be assigned a Main Control containing a valid bitmap before calling this method.
DLG_ANTIALIAS_SHOW_TOOL_ZOOMLEVEL | [$00000008] Show the "Zoom to fit" and "Zoom Normal" toolbar buttons. The DLG_ANTIALIAS_SHOW_PREVIEW flag must be set in order to show these buttons.

If you include DLG_ANTIALIAS_AUTOPROCESS or DLG_ANTIALIAS_SHOW_PREVIEW in the DlgFlags property, the LEADImage property must be assigned a Main Control containing a valid bitmap before calling this method.

The properties associated with this dialog box are:

Threshold property.

Dimension property.

AntiAliasFilterType property.

To include a Help button in the dialog, set the ShowHelpButton property to TRUE.

The AntiAlias dialog can be seen below:

See Also

Elements: | AntiAlias method , Threshold property, Dimension property, AntiAliasFilterType property, ShowHelpButton property, ZoomToFit Property, DlgFlags property, EnableMethodErrors property, LEADImage property
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


ShowAverageDlg method (LEADDlgImgEffect Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | int ShowAverageDlg(TWinControl* AOwnerCtrl);
Delphi Syntax | Function ShowAverageDlg (AOwnerCtrl: TWinControl ): L_INT;
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Displays the Average dialog box, and gets the options for Average method .

The layout and action of the dialog depends on the flags set in the DlgFlags property. Possible options are:

Value | Meaning
DLG_AVERAGE_AUTOPROCESS | [$00000001] Process the image on OK. The LEADImage property must be assigned a Main Control containing a valid bitmap before calling this method.
DLG_AVERAGE_SHOW_CONTEXTHELP | [$00000002] Dialog should contain a context sensitive help icon.
DLG_AVERAGE_SHOW_PREVIEW | [$00000004] Show a preview of the image in the dialog. The LEADImage property must be assigned a Main Control containing a valid bitmap before calling this method.
DLG_AVERAGE_SHOW_TOOL_ZOOMLEVEL | [$00000008] Show the "Zoom to fit" and "Zoom Normal" toolbar buttons. The DLG_AVERAGE_SHOW_PREVIEW flag must be set in order to show these buttons.

If you include DLG_AVERAGE_AUTOPROCESS or DLG_AVERAGE_SHOW_PREVIEW in the DlgFlags property, the LEADImage property must be assigned a Main Control containing a valid bitmap before calling this method.

The property associated with this dialog box is:

Dimension property.

To include a Help button in the dialog, set the ShowHelpButton property to TRUE.

The Average dialog can be seen below:

See Also

Elements: | Average method , Dimension property, ShowHelpButton property, ZoomToFit Property, DlgFlags property, EnableMethodErrors property, LEADImage property
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


ShowBendingDlg method (LEADDlgImgEffect Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | int ShowBendingDlg(TWinControl* AOwnerCtrl);
Delphi Syntax | Function ShowBendingDlg (AOwnerCtrl: TWinControl ): L_INT;
Overview | Refer to Using Imaging Common Dialogs.

Remarks

(Raster Pro and above toolkits) Displays the Bending dialog box, and gets the options for the Bending method .

The layout and action of the dialog depends on the flags set in the DlgFlags property. Possible options are:

Value | Meaning
DLG_BENDING_AUTOPROCESS | [$00000001] Process the image on OK; The LEADImage property must be assigned a Main Control containing a valid bitmap before calling this method.
DLG_BENDING_SHOW_CONTEXTHELP | [$00000002] Dialog should contain a context sensitive help icon.
DLG_BENDING_SHOW_PREVIEW | [$00000004] Show a preview of the image in the dialog. The LEADImage property must be assigned a Main Control containing a valid bitmap before calling this method.
DLG_BENDING_SHOW_TOOL_ZOOMLEVEL | [$00000008] Show the "Zoom to fit" and "Zoom Normal" toolbar buttons. The DLG_BENDING_SHOW_PREVIEW flag must be set in order to show these buttons.

If you include DLG_BENDING_AUTOPROCESS or DLG_BENDING_SHOW_PREVIEW in the DlgFlags property, the LEADImage property must be assigned a Main Control containing a valid bitmap before calling this method.

The properties associated with this dialog box are:

Value property.

CenterPoint property.

FillColor property.

BendingFlags property.

To include a Help button in the dialog, set the ShowHelpButton property to TRUE.

The Bending dialog can be seen below:

This dialog has the following fields:

Pivot Section:

This section contains two edit boxes and a display area for setting the pivot point. You can also set the pivot point by right clicking on the Before view. The Pivot point [image] appears on the point you just clicked.

X Edit box:

Use this to set the pivot's x-axis position in the image. Enter the value directly in the edit box or use the arrows to set the desired value.

Y Edit box:

Use this to set the pivot's y-axis position in the image. Enter the value directly in the edit box or use the arrows to set the desired value.

Cursor Pos (x,y):

Displays the mouse position with respect to the image.

Center Button:

Use the Center button to center the Before and After views with respect to [image] the pivot point position.

See Also

Elements: | Bending method , Value property, CenterPoint property, FillColor property, BendingFlags property, ShowHelpButton property, ZoomToFit Property, DlgFlags property, EnableMethodErrors property, LEADImage property
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


ShowContourFilterDlg method (LEADDlgImgEffect Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | int ShowContourFilterDlg(TWinControl* AOwnerCtrl);
Delphi Syntax | Function ShowContourFilterDlg (AOwnerCtrl: TWinControl ): L_INT;
Overview | Refer to Using Imaging Common Dialogs.

Remarks

(Medical only) Displays the Contour Filter dialog box, and gets the options for the ContourFilter method .

The layout and action of the dialog depends on the flags set in the DlgFlags property. Possible options are:

Value | Meaning
DLG_CONTOURFILTER_AUTOPROCESS | [$00000001] Process the image on OK. The LEADImage property must be assigned a Main Control containing a valid bitmap before calling this method.
DLG_CONTOURFILTER_SHOW_CONTEXTHELP | [$00000002] Dialog should contain a context sensitive help icon.
DLG_CONTOURFILTER_SHOW_PREVIEW | [$00000004] Show a preview of the image in the dialog. The LEADImage property must be assigned a Main Control containing a valid bitmap before calling this method..
DLG_CONTOURFILTER_SHOW_TOOL_ZOOMLEVEL | [$00000008] Show the "Zoom to fit" and "Zoom Normal" toolbar buttons. The DLG_CONTOURFILTER_SHOW_PREVIEW flag must be set in order to show these buttons.
DLG_CONTOURFILTER_SHOW_OPTION | [$00000010] Show the Contour Option.
DLG_CONTOURFILTER_SHOW_THRESHOLD | [$00000020] Show the Threshold option.
DLG_CONTOURFILTER_SHOW_DELTADIRECTION | [$00000040] Show the Delta Direction option.
DLG_CONTOURFILTER_SHOW_MAXIMUMERROR | [$00000080] Show the Maximum Error option.

If you include DLG_CONTOURFILTER_AUTOPROCESS or DLG_CONTOURFILTER_SHOW_PREVIEW in the DlgFlags property, the LEADImage property must be assigned a Main Control containing a valid bitmap before calling this method.

The properties associated with this dialog box are:

Threshold property

DeltaDirection property.

MaxError property.

Option property.

OptionFlags property.

To include a Help button in the dialog, set the ShowHelpButton property to TRUE.

The Contour Filter dialog can be seen below:

See Also

Elements: | ContourFilter method , Threshold property, DeltaDirection property, MaxError property, Option property, OptionFlags property, ShowHelpButton property, ZoomToFit Property, DlgFlags property, EnableMethodErrors property, LEADImage property
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


ShowCylindricalDlg method (LEADDlgImgEffect Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | int ShowCylindricalDlg(TWinControl* AOwnerCtrl);
Delphi Syntax | Function ShowCylindricalDlg (AOwnerCtrl: TWinControl ): L_INT;
Overview | Refer to Using Imaging Common Dialogs.

Remarks

(Raster Pro and above toolkits) Displays the Cylindrical dialog box, and gets the options for the Cylindrical method .

The layout and action of the dialog depends on the flags set in the DlgFlags property. Possible options are:

Value | Meaning
DLG_CYLINDRICAL_AUTOPROCESS | [$00000001] Process the image on OK. The LEADImage property must be assigned a Main Control containing a valid bitmap before calling this method.
DLG_CYLINDRICAL_SHOW_CONTEXTHELP | [$00000002] Dialog should contain a context sensitive help icon.
DLG_CYLINDRICAL_SHOW_PREVIEW | [$00000004] Show a preview of the image in the dialog. The LEADImage property must be assigned a Main Control containing a valid bitmap before calling this method.
DLG_CYLINDRICAL_SHOW_TOOL_ZOOMLEVEL | [$00000008] Show the "Zoom to fit" and "Zoom Normal" toolbar buttons. The DLG_CYLINDRICAL_SHOW_PREVIEW flag must be set in order to show these buttons.

If you include DLG_CYLINDRICAL_AUTOPROCESS or DLG_CYLINDRICAL_SHOW_PREVIEW in the DlgFlags property, the LEADImage property must be assigned a Main Control containing a valid bitmap before calling this method.

The properties associated with this dialog box are:

Value property.

CylindricalType property.

To include a Help button in the dialog, set the ShowHelpButton property to TRUE.

The Cylindrical dialog can be seen below:

See Also

Elements: | Cylindrical method ., Value property, CylindricalType property, ShowHelpButton property, ZoomToFit Property, DlgFlags property, EnableMethodErrors property, LEADImage property
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


ShowDilationFilterDlg method (LEADDlgImgEffect Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | int ShowDilationFilterDlg(TWinControl* AOwnerCtrl);
Delphi Syntax | Function ShowDilationFilterDlg (AOwnerCtrl: TWinControl ): L_INT;
Overview | Refer to Using Imaging Common Dialogs.

Remarks

(Document/Medical only) Displays the Dilation Filter dialog box, and gets the options for the BinaryFilter method .

The layout and action of the dialog depends on the flags set in the DlgFlags property. Possible options are:

Value | Meaning
DLG_DILATIONFILTER_AUTOPROCESS | [$00000001] Process the image on OK. The LEADImage property must be assigned a Main Control containing a valid bitmap before calling this method.
DLG_DILATIONFILTER_SHOW_CONTEXTHELP | [$00000002] Dialog should contain a context sensitive help icon.
DLG_DILATIONFILTER_SHOW_PREVIEW | [$00000004] Show a preview of the image in the dialog. The LEADImage property must be assigned a Main Control containing a valid bitmap before calling this method.
DLG_DILATIONFILTER_SHOW_TOOL_ZOOMLEVEL | [$00000008] Show the "Zoom to fit" and "Zoom Normal" toolbar buttons. The DLG_DILATIONFILTER_SHOW_PREVIEW flag must be set in order to show these buttons.

If you include DLG_DILATIONFILTER_AUTOPROCESS or DLG_DILATIONFILTER_SHOW_PREVIEW in the DlgFlags property, the LEADImage property must be assigned a Main Control containing a valid bitmap before calling this method.

The property associated with this dialog box is:

BinaryFilterType property.

To include a Help button in the dialog, set the ShowHelpButton property to TRUE.

The Dilation Filter dialog can be seen below:

See Also

Elements: | BinaryFilter method , BinaryFilterType property, ShowHelpButton property, ZoomToFit Property, DlgFlags property, EnableMethodErrors property, LEADImage property
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


ShowEdgeDetectorDlg method (LEADDlgImgEffect Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | int ShowEdgeDetectorDlg(TWinControl* AOwnerCtrl);
Delphi Syntax | Function ShowEdgeDetectorDlg (AOwnerCtrl: TWinControl ): L_INT;
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Displays the Edge Detector dialog box, and gets the options for the EdgeDetector method .

The layout and action of the dialog depends on the flags set in the DlgFlags property. Possible options are:

Value | Meaning
DLG_EDGEDETECTOR_AUTOPROCESS | [$00000001] Process the image on OK. The LEADImage property must be assigned a Main Control containing a valid bitmap before calling this method.
DLG_EDGEDETECTOR_SHOW_CONTEXTHELP | [$00000002] Dialog should contain a context sensitive help icon.
DLG_EDGEDETECTOR_SHOW_PREVIEW | [$00000004] Show a preview of the image in the dialog. The LEADImage property must be assigned a Main Control containing a valid bitmap before calling this method.
DLG_EDGEDETECTOR_SHOW_TOOL_ZOOMLEVEL | [$00000008] Show the "Zoom to fit" and "Zoom Normal" toolbar buttons. The DLG_EDGEDETECTOR_SHOW_PREVIEW flag must be set in order to show these buttons.

If you include DLG_EDGEDETECTOR_AUTOPROCESS or DLG_EDGEDETECTOR_SHOW_PREVIEW in the DlgFlags property, the LEADImage property must be assigned a Main Control containing a valid bitmap before calling this method.

The properties associated with this dialog box are:

Threshold property.

EdgeDetectionFilterType property.

To include a Help button in the dialog, set the ShowHelpButton property to TRUE.

The Edge Detector dialog can be seen below:

See Also

Elements: | EdgeDetector method , Threshold property, EdgeDetectionFilterType property, LEADImage property
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


ShowEmbossDlg method (LEADDlgImgEffect Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | int ShowEmbossDlg(TWinControl* AOwnerCtrl);
Delphi Syntax | Function ShowEmbossDlg (AOwnerCtrl: TWinControl ): L_INT;
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Displays the Emboss dialog box, and gets the options for the Emboss method .

The layout and action of the dialog depends on the flags set in the DlgFlags property. Possible options are:

Value | Meaning
DLG_EMBOSS_AUTOPROCESS | [$00000001] Process the image on OK. The LEADImage property must be assigned a Main Control containing a valid bitmap before calling this method.
DLG_EMBOSS_SHOW_CONTEXTHELP | [$00000002] Dialog should contain a context sensitive help icon.
DLG_EMBOSS_SHOW_PREVIEW | [$00000004] Show a preview of the image in the dialog. The LEADImage property must be assigned a Main Control containing a valid bitmap before calling this method.
DLG_EMBOSS_SHOW_TOOL_ZOOMLEVEL | [$00000008] Show the "Zoom to fit" and "Zoom Normal" toolbar buttons. The DLG_EMBOSS_SHOW_PREVIEW flag must be set in order to show these buttons.

If you include DLG_EMBOSS_AUTOPROCESS or DLG_EMBOSS_SHOW_PREVIEW in the DlgFlags property, the LEADImage property must be assigned a Main Control containing a valid bitmap before calling this method.

The properties associated with this dialog box are:

Depth property

Direction property

To include a Help button in the dialog, set the ShowHelpButton property to TRUE.

The Emboss dialog can be seen below:

See Also

Elements: | Emboss method , Depth property, Direction property, ShowHelpButton property, ZoomToFit Property, DlgFlags property, EnableMethodErrors property, LEADImage property
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


ShowErosionFilterDlg method (LEADDlgImgEffect Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | int ShowErosionFilterDlg(TWinControl* AOwnerCtrl);
Delphi Syntax | Function ShowErosionFilterDlg (AOwnerCtrl: TWinControl ): L_INT;
Overview | Refer to Using Imaging Common Dialogs.

Remarks

(Document/Medical only) Displays the Erosion Filter dialog box, and gets the options for the BinaryFilter method .

The layout and action of the dialog depends on the flags set in the DlgFlags property. Possible options are:

Value | Meaning
DLG_EROSIONFILTER_AUTOPROCESS | [$00000001] Process the image on OK. The LEADImage property must be assigned a Main Control containing a valid bitmap before calling this method.
DLG_EROSIONFILTER_SHOW_CONTEXTHELP | [$00000002] Dialog should contain a context sensitive help icon.
DLG_EROSIONFILTER_SHOW_PREVIEW | [$00000004] Show a preview of the image in the dialog. The LEADImage property must be assigned a Main Control containing a valid bitmap before calling this method.
DLG_EROSIONFILTER_SHOW_TOOL_ZOOMLEVEL | [$00000008] Show the "Zoom to fit" and "Zoom Normal" toolbar buttons. The DLG_EROSIONFILTER_SHOW_PREVIEW flag must be set in order to show these buttons.

If you include DLG_EROSIONFILTER_AUTOPROCESS or DLG_EROSIONFILTER_SHOW_PREVIEW in the DlgFlags property, the LEADImage property must be assigned a Main Control containing a valid bitmap before calling this method.

The property associated with this dialog box is:

BinaryFilterType property.

To include a Help button in the dialog, set the ShowHelpButton property to TRUE.

The Erosion Filter dialog can be seen below:

See Also

Elements: | BinaryFilter method , BinaryFilterType property, ShowHelpButton property, ZoomToFit Property, DlgFlags property, EnableMethodErrors property, LEADImage property
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


ShowFreeHandShearDlg method (LEADDlgImgEffect Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | int ShowFreeHandShearDlg(TWinControl* AOwnerCtrl);
Delphi Syntax | Function ShowFreeHandShearDlg (AOwnerCtrl: TWinControl ): L_INT;
Overview | Refer to Using Imaging Common Dialogs.

Remarks

(Raster Pro and above toolkits) Displays the FreeHandShear dialog box, and gets the options for the FreeHandShear method .

The layout and action of the dialog depends on the flags set in the DlgFlags property. Possible options are:

Value | Meaning
DLG_FREEHANDSHEAR_AUTOPROCESS | [$00000001] Process the image on OK. The LEADImage property must be assigned a Main Control containing a valid bitmap before calling this method.
DLG_FREEHANDSHEAR_SHOW_CONTEXTHELP | [$00000002] Dialog should contain a context sensitive help icon.
DLG_FREEHANDSHEAR_SHOW_PREVIEW | [$00000004] Show a preview of the image in the dialog. The LEADImage property must be assigned a Main Control containing a valid bitmap before calling this method.
DLG_FREEHANDSHEAR_SHOW_TOOL_ZOOMLEVEL | [$00000008] Show the "Zoom to fit" and "Zoom Normal" toolbar buttons. The DLG_FREEHANDSHEAR_SHOW_PREVIEW flag must be set in order to show these buttons.

If you include DLG_FREEHANDSHEAR_AUTOPROCESS or DLG_FREEHANDSHEAR_SHOW_PREVIEW in the DlgFlags property, the LEADImage property must be assigned a Main Control containing a valid bitmap before calling this method.

The properties associated with this dialog box are:

Amplitudes property.

AmplitudesCount property.

Scale property.

FillColor property.

FreeHandShearFlags property.

To include a Help button in the dialog, set the ShowHelpButton property to TRUE.

The FreeHand Shear dialog can be seen below:

This dialog has the following fields:

Curve Mode Drop-down list box:

Use this to select the curve mode to use. There are two choices:

- [image] Curve: distorts the image using a curve wave.

- [image] Linear: distorts the image using a linear wave.

Flip Buttons:

Use these buttons to flip the curve if the Curve Mode is either Curve or Linear. The following options are available:

- [image] Both. Flip the curve vertically and horizontally.

- [image] Vertically. Flip the curve vertically.

- [image] Horizontally. Flip the curve horizontally.

Reset Button:

Use the Reset button to set the curve to its default values.

Load Button:

Use the Load button to load an "*.lsr" file that contains Shear Wave curve settings, using the Load dialog. The loaded file will set a new curve.

Note: Loading curve settings will overwrite all current settings!

Save Button:

Use the Save button to save curve settings into an "*.lsr" file. This allows you set the same curve settings for other images by re-loading the file.

See Also

Elements: | FreeHandShear method , Amplitudes property, AmplitudesCount property, Scale property, FillColor property, FreeHandShearFlags property, ShowHelpButton property, ZoomToFit Property, DlgFlags property, EnableMethodErrors property, LEADImage property
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


ShowFreeHandWaveDlg method (LEADDlgImgEffect Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | int ShowFreeHandWaveDlg(TWinControl* AOwnerCtrl);
Delphi Syntax | Function ShowFreeHandWaveDlg (AOwnerCtrl: TWinControl ): L_INT;
Overview | Refer to Using Imaging Common Dialogs.

Remarks

(Raster Pro and above toolkits) Displays the Free Hand Wave dialog box, and gets the options for the FreeHandWave method.

The layout and action of the dialog depends on the flags set in the DlgFlags property. Possible options are:

Value | Meaning
DLG_FREEHANDWAVE_AUTOPROCESS | [$00000001] Process the image on OK. The LEADImage property must be assigned a Main Control containing a valid bitmap before calling this method.
DLG_FREEHANDWAVE_SHOW_CONTEXTHELP | [$00000002] Dialog should contain a context sensitive help icon.
DLG_FREEHANDWAVE_SHOW_PREVIEW | [$00000004] Show a preview of the image in the dialog. The LEADImage property must be assigned a Main Control containing a valid bitmap before calling this method.
DLG_FREEHANDWAVE_SHOW_TOOL_ZOOMLEVEL | [$00000008] Show the "Zoom to fit" and "Zoom Normal" toolbar buttons. The DLG_FREEHANDWAVE_SHOW_PREVIEW flag must be set in order to show these buttons.

If you include DLG_FREEHANDWAVE_AUTOPROCESS or DLG_FREEHANDWAVE_SHOW_PREVIEW in the DlgFlags property, the LEADImage property must be assigned a Main Control containing a valid bitmap before calling this method.

The properties associated with this dialog box are:

Amplitudes property.

AmplitudesCount property.

Scale property.

WaveLength property.

Angle property.

FillColor property.

FreeHandWaveFlags property.

To include a Help button in the dialog, set the ShowHelpButton property to TRUE.

The Free Hand Wave dialog can be seen below:

This dialog has the following fields:

Curve Mode Drop-down list box:

Use this to select the curve mode to use. There are two choices:

- [image] Curve: distorts the image using a curve wave.

- [image] Linear: distorts the image using a linear wave.

Flip Buttons:

Use these buttons to flip the curve if the Curve Mode is either Curve or Linear. The following options are available:

- [image] Both. Flip the curve vertically and horizontally.

- [image] Vertically. Flip the curve vertically.

- [image] Horizontally. Flip the curve horizontally.

Reset Button:

Use the Reset button to set the curve to its default values.

Load Button:

Use the Load button to load an "*.lhw" file that contains Hand Wave curve settings and the angle setting, using the Load dialog. The loaded file will set new curve and angle settings. Note: Loading curve and angle settings will overwrite all current curve and angle settings!

Save Button:

Use the Save button to save the curve and angle settings into an "*.lhw" file. This allows you set the same curve and angle settings for other images by re-loading the file.

See Also

Elements: | AddBitmaps method , Amplitudes property, AmplitudesCount property, Scale property, WaveLength property, Angle property, FillColor property, FreeHandWaveFlags property, ShowHelpButton property, ZoomToFit Property, DlgFlags property, EnableMethodErrors property, LEADImage property
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


ShowGaussianBlurDlg method (LEADDlgImgEffect Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | int ShowGaussianBlurDlg(TWinControl* AOwnerCtrl);
Delphi Syntax | Function ShowGaussianBlurDlg (AOwnerCtrl: TWinControl ): L_INT;
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Displays the Gaussian Blur dialog box, and gets the options for the GaussianFilter method.

The layout and action of the dialog depends on the flags set in the DlgFlags property. Possible options are:

Value | Meaning
DLG_GAUSSIANBLUR_AUTOPROCESS | [$00000001] Process the image on OK. The LEADImage property must be assigned a Main Control containing a valid bitmap to the Common Dialog before calling this method.
DLG_GAUSSIANBLUR_SHOW_CONTEXTHELP | [$00000002] Dialog should contain a context sensitive help icon.
DLG_GAUSSIANBLUR_SHOW_PREVIEW | [$00000004] Show a preview of the image in the dialog. The LEADImage property must be assigned a Main Control containing a valid bitmap to the Common Dialog before calling this method.
DLG_GAUSSIANBLUR_SHOW_TOOL_ZOOMLEVEL | [$00000008] Show the "Zoom to fit" and "Zoom Normal" toolbar buttons. The DLG_GAUSSIANBLUR_SHOW_PREVIEW flag must be set in order to show these buttons.

If you include DLG_GAUSSIANBLUR_AUTOPROCESS or DLG_GAUSSIANBLUR_SHOW_PREVIEW in the DlgFlags property, the LEADImage property must be assigned a Main Control containing a valid bitmap to the Common Dialog before calling this method.

The property associated with this dialog box is:

Radius property.

To include a Help button in the dialog, set the ShowHelpButton property to TRUE.

The Gaussian Blur dialog can be seen below:

See Also

Elements: | GaussianFilter method , Radius property, ShowHelpButton property, ZoomToFit Property, DlgFlags property, EnableMethodErrors property, LEADImage property
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


ShowGradientFilterDlg method (LEADDlgImgEffect Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | int ShowGradientFilterDlg(TWinControl* AOwnerCtrl);
Delphi Syntax | Function ShowGradientFilterDlg (AOwnerCtrl: TWinControl ): L_INT;
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Displays the Gradient Filter dialog box, and gets the options for the SpatialFilter method .

The layout and action of the dialog depends on the flags set in the DlgFlags property. Possible options are:

Value | Meaning
DLG_GRADIENTFILTER_AUTOPROCESS | [$00000001] Process the image on OK. The LEADImage property must be assigned a Main Control containing a valid bitmap before calling this method.
DLG_GRADIENTFILTER_SHOW_CONTEXTHELP | [$00000002] Dialog should contain a context sensitive help icon.
DLG_GRADIENTFILTER_SHOW_PREVIEW | [$00000004] Show a preview of the image in the dialog; The LEADImage property must be assigned a Main Control containing a valid bitmap before calling this method.
DLG_GRADIENTFILTER_SHOW_TOOL_ZOOMLEVEL | [$00000008] Show the "Zoom to fit" and "Zoom Normal" toolbar buttons. The DLG_GRADIENTFILTER_SHOW_PREVIEW flag must be set in order to show these buttons.

If you include DLG_HISTOCONTRAST_AUTOPROCESS or DLG_HISTOCONTRAST_SHOW_PREVIEW in the DlgFlags property, the LEADImage property must be assigned a Main Control containing a valid bitmap before calling this method.

The property associated with this dialog box is:

SpatialFilterType property.

To include a Help button in the dialog, set the ShowHelpButton property to TRUE.

The GradientFilter dialog can be seen below:

See Also

Elements: | SpatialFilter method , SpatialFilterType property, ShowHelpButton property, ZoomToFit Property, DlgFlags property, EnableMethodErrors property, LEADImage property
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


ShowImpressionistDlg method (LEADDlgImgEffect Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | int ShowImpressionistDlg(TWinControl* AOwnerCtrl);
Delphi Syntax | Function ShowImpressionistDlg (AOwnerCtrl: TWinControl ): L_INT;
Overview | Refer to Using Imaging Common Dialogs.

Remarks

(Raster Pro and above toolkits) Displays the Impressionist dialog box, and gets the options for the Impressionist method .

The layout and action of the dialog depends on the flags set in the DlgFlags property. Possible options are:

Value | Meaning
DLG_IMPRESSIONIST_AUTOPROCESS | [$00000001] Process the image on OK. The LEADImage property must be assigned a Main Control containing a valid bitmap before calling this method.
DLG_IMPRESSIONIST_SHOW_CONTEXTHELP | [$00000002] Dialog should contain a context sensitive help icon.
DLG_IMPRESSIONIST_SHOW_PREVIEW | [$00000004] Show a preview of the image in the dialog. The LEADImage property must be assigned a Main Control containing a valid bitmap before calling this method.
DLG_IMPRESSIONIST_SHOW_TOOL_ZOOMLEVEL | [$00000008] Show the "Zoom to fit" and "Zoom Normal" toolbar buttons. The DLG_IMPRESSIONIST_SHOW_PREVIEW flag must be set in order to show these buttons.

If you include DLG_IMPRESSIONIST_AUTOPROCESS or DLG_IMPRESSIONIST_SHOW_PREVIEW in the DlgFlags property, the LEADImage property must be assigned a Main Control containing a valid bitmap before calling this method.

The properties associated with this dialog box are:

HorizontalDim property.

VerticalDim property.

To include a Help button in the dialog, set the ShowHelpButton property to TRUE.

The Impressionist dialog can be seen below:

See Also

Elements: | Impressionist method , HorizontalDim property, VerticalDim property, ShowHelpButton property, ZoomToFit Property, DlgFlags property, EnableMethodErrors property, LEADImage property
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


ShowLaplacianFilterDlg method (LEADDlgImgEffect Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | int ShowLaplacianFilterDlg(TWinControl* AOwnerCtrl);
Delphi Syntax | Function ShowLaplacianFilterDlg (AOwnerCtrl: TWinControl ): L_INT;
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Displays the Laplacian Filter dialog box, and gets the options for the SpatialFilter method .

The layout and action of the dialog depends on the flags set in the DlgFlags property. Possible options are:

Value | Meaning
DLG_LAPLACIANFILTER_AUTOPROCESS | [$00000001] Process the image on OK. The LEADImage property must be assigned a Main Control containing a valid bitmap before calling this method.
DLG_LAPLACIANFILTER_SHOW_CONTEXTHELP | [$00000002] Dialog should contain a context sensitive help icon.
DLG_LAPLACIANFILTER_SHOW_PREVIEW | [$00000004] Show a preview of the image in the dialog. The LEADImage property must be assigned a Main Control containing a valid bitmap before calling this method.
DLG_LAPLACIANFILTER_SHOW_TOOL_ZOOMLEVEL | [$00000008] Show the "Zoom to fit" and "Zoom Normal" toolbar buttons. The DLG_LAPLACIANFILTER_SHOW_PREVIEW flag must be set in order to show these buttons.

If you include DLG_LAPLACIANFILTER_AUTOPROCESS or DLG_LAPLACIANFILTER_SHOW_PREVIEW in the DlgFlags property, the LEADImage property must be assigned a Main Control containing a valid bitmap to before calling this method.

The property associated with this dialog box is:

SpatialFilterType property

To include a Help button in the dialog, set the ShowHelpButton property to TRUE.

The Laplacian Filter dialog can be seen below:

See Also

Elements: | SpatialFilter method , SpatialFilterType property, ShowHelpButton property, ZoomToFit Property, DlgFlags property, EnableMethodErrors property, LEADImage property
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


ShowLineSegmentFilterDlg method (LEADDlgImgEffect Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | int ShowLineSegmentFilterDlg(TWinControl* AOwnerCtrl);
Delphi Syntax | Function ShowLineSegmentFilterDlg (AOwnerCtrl: TWinControl ): L_INT;
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Displays the Line Segment Filter dialog box, and gets the options for the SpatialFilter method .

The layout and action of the dialog depends on the flags set in the DlgFlags property. Possible options are:

Value | Meaning
DLG_LINESEGMENTFILTER_AUTOPROCESS | [$00000001] Process the image on OK. The LEADImage property must be assigned a Main Control containing a valid bitmap before calling this method.
DLG_LINESEGMENTFILTER_SHOW_CONTEXTHELP | [$00000002] Dialog should contain a context sensitive help icon.
DLG_LINESEGMENTFILTER_SHOW_PREVIEW | [$00000004] Show a preview of the image in the dialog. The LEADImage property must be assigned a Main Control containing a valid bitmap before calling this method.
DLG_LINESEGMENTFILTER_SHOW_TOOL_ZOOMLEVEL | [$00000008] Show the "Zoom to fit" and "Zoom Normal" toolbar buttons. The DLG_LINESEGMENTFILTER_SHOW_PREVIEW flag must be set in order to show these buttons.

If you include DLG_LINESEGMENTFILTER_AUTOPROCESS or DLG_LINESEGMENTFILTER_SHOW_PREVIEW in the DlgFlags property, the LEADImage property must be assigned a Main Control containing a valid bitmap before calling this method.

The property associated with this dialog box is:

SpatialFilterType property

To include a Help button in the dialog, set the ShowHelpButton property to TRUE.

The Line Segment Filter dialog can be seen below:

See Also

Elements: | SpatialFilter method , SpatialFilterType property, ShowHelpButton property, ZoomToFit Property, DlgFlags property, EnableMethodErrors property, LEADImage property
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


ShowMaxFilterDlg method (LEADDlgImgEffect Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | int ShowMaxFilterDlg(TWinControl* AOwnerCtrl);
Delphi Syntax | Function ShowMaxFilterDlg (AOwnerCtrl: TWinControl ): L_INT;
Overview | Refer to Using Imaging Common Dialogs.

Remarks

(Document/Medical only) Displays the Max Filter dialog box, and gets the options for the MaxFilter method .

The layout and action of the dialog depends on the flags set in the DlgFlags property. Possible options are:

Value | Meaning
DLG_MAXFILTER_AUTOPROCESS | [$00000001] Process the image on OK. The LEADImage property must be assigned a Main Control containing a valid bitmap before calling this method.
DLG_MAXFILTER_SHOW_CONTEXTHELP | [$00000002] Dialog should contain a context sensitive help icon.
DLG_MAXFILTER_SHOW_PREVIEW | [$00000004] Show a preview of the image in the dialog. The LEADImage property must be assigned a Main Control containing a valid bitmap before calling this method.
DLG_MAXFILTER_SHOW_TOOL_ZOOMLEVEL | [$00000008] Show the "Zoom to fit" and "Zoom Normal" toolbar buttons. The DLG_MAXFILTER_SHOW_PREVIEW flag must be set in order to show these buttons.

If you include DLG_MAXFILTER_AUTOPROCESS or DLG_MAXFILTER_SHOW_PREVIEW in the DlgFlags property, the LEADImage property must be assigned a Main Control containing a valid bitmap before calling this method.

The property associated with this dialog box is:

Dimension property.

To include a Help button in the dialog, set the ShowHelpButton property to TRUE.

The Max Filter dialog can be seen below:

See Also

Elements: | MaxFilter method , Dimension property, ShowHelpButton property, ZoomToFit Property, DlgFlags property, EnableMethodErrors property, LEADImage property
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


ShowMedianDlg method (LEADDlgImgEffect Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | int ShowMedianDlg(TWinControl* AOwnerCtrl);
Delphi Syntax | Function ShowMedianDlg (AOwnerCtrl: TWinControl ): L_INT;
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Displays the Median dialog box, and gets the options for the Median method .

The layout and action of the dialog depends on the flags set in the DlgFlags property. Possible options are:

Value | Meaning
DLG_MEDIAN_AUTOPROCESS | [$00000001] Process the image on OK. The LEADImage property must be assigned a Main Control containing a valid bitmap before calling this method.
DLG_MEDIAN_SHOW_CONTEXTHELP | [$00000002] Dialog should contain a context sensitive help icon.
DLG_MEDIAN_SHOW_PREVIEW | [$00000004] Show a preview of the image in the dialog. The LEADImage property must be assigned a Main Control containing a valid bitmap before calling this method.
DLG_MEDIAN_SHOW_TOOL_ZOOMLEVEL | [$00000008] Show the "Zoom to fit" and "Zoom Normal" toolbar buttons. The DLG_MEDIAN_SHOW_PREVIEW flag must be set in order to show these buttons.

If you include DLG_MEDIAN_AUTOPROCESS or DLG_MEDIAN_SHOW_PREVIEW in the DlgFlags property, the LEADImage property must be assigned a Main Control containing a valid bitmap before calling this method.

The property associated with this dialog box is:

Dimension property.

To include a Help button in the dialog, set the ShowHelpButton property to TRUE.

The Median dialog can be seen below:

See Also

Elements: | Median method , Dimension property, ShowHelpButton property, ZoomToFit Property, DlgFlags property, EnableMethodErrors property, LEADImage property
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


ShowMinFilterDlg method (LEADDlgImgEffect Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | int ShowMinFilterDlg(TWinControl* AOwnerCtrl);
Delphi Syntax | Function ShowMinFilterDlg (AOwnerCtrl: TWinControl ): L_INT;
Overview | Refer to Using Imaging Common Dialogs.

Remarks

(Document/Medical only) Displays the Min Filter dialog box, and gets the options for the MinFilter method .

The layout and action of the dialog depends on the flags set in the DlgFlags property. Possible options are:

Value | Meaning
DLG_MINFILTER_AUTOPROCESS | [$00000001] Process the image on OK. The LEADImage property must be assigned a Main Control containing a valid bitmap before calling this method.
DLG_MINFILTER_SHOW_CONTEXTHELP | [$00000002] Dialog should contain a context sensitive help icon.
DLG_MINFILTER_SHOW_PREVIEW | [$00000004] Show a preview of the image in the dialog. The LEADImage property must be assigned a Main Control containing a valid bitmap before calling this method.
DLG_MINFILTER_SHOW_TOOL_ZOOMLEVEL | [$00000008] Show the "Zoom to fit" and "Zoom Normal" toolbar buttons. The DLG_MINFILTER_SHOW_PREVIEW flag must be set in order to show these buttons.

If you include DLG_MINFILTER_AUTOPROCESS or DLG_MINFILTER_SHOW_PREVIEW in the DlgFlags property, the LEADImage property must be assigned a Main Control containing a valid bitmap to the Common Dialog before calling this method.

The property associated with this dialog box is:

Dimension property.

To include a Help button in the dialog, set the ShowHelpButton property to TRUE.

The Min Filter dialog can be seen below:

See Also

Elements: | MinFilter method , Dimension property, ShowHelpButton property, ZoomToFit Property, DlgFlags property, EnableMethodErrors property, LEADImage property
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


ShowMosaicDlg method (LEADDlgImgEffect Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | int ShowMosaicDlg(TWinControl* AOwnerCtrl);
Delphi Syntax | Function ShowMosaicDlg (AOwnerCtrl: TWinControl ): L_INT;
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Displays the Mosaic dialog box, and gets the options for the Mosaic method .

The layout and action of the dialog depends on the flags set in the DlgFlags property. Possible options are:

Value | Meaning
DLG_MOSAIC_AUTOPROCESS | [$00000001] Process the image on OK. The LEADImage property must be assigned a Main Control containing a valid bitmap before calling this method.
DLG_MOSAIC_SHOW_CONTEXTHELP | [$00000002] Dialog should contain a context sensitive help icon.
DLG_MOSAIC_SHOW_PREVIEW | [$00000004] Show a preview of the image in the dialog. The LEADImage property must be assigned a Main Control containing a valid bitmap before calling this method.
DLG_MOSAIC_SHOW_TOOL_ZOOMLEVEL | [$00000008] Show the "Zoom to fit" and "Zoom Normal" toolbar buttons. The DLG_MOSAIC_SHOW_PREVIEW flag must be set in order to show these buttons.

If you include DLG_MOSAIC_AUTOPROCESS or DLG_MOSAIC_SHOW_PREVIEW in the DlgFlags property, the LEADImage property must be assigned a Main Control containing a valid bitmap before calling this method.

The property associated with this dialog box is:

Dimension property.

To include a Help button in the dialog, set the ShowHelpButton property to TRUE.

The Mosaic dialog can be seen below:

See Also

Elements: | Mosaic method , Dimension property, ShowHelpButton property, ZoomToFit Property, DlgFlags property, EnableMethodErrors property, LEADImage property
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


ShowMotionBlurDlg method (LEADDlgImgEffect Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | int ShowMotionBlurDlg(TWinControl* AOwnerCtrl);
Delphi Syntax | Function ShowMotionBlurDlg (AOwnerCtrl: TWinControl ): L_INT;
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Displays the Motion Blur dialog box, and gets the options for the MotionBlur method.

The layout and action of the dialog depends on the flags set in the DlgFlags property. Possible options are:

Value | Meaning
DLG_MOTIONBLUR_AUTOPROCESS | [$00000001] Process the image on OK. The LEADImage property must be assigned a Main Control containing a valid bitmap before calling this method.
DLG_MOTIONBLUR_SHOW_CONTEXTHELP | [$00000002] Dialog should contain a context sensitive help icon.
DLG_MOTIONBLUR_SHOW_PREVIEW | [$00000004] Show a preview of the image in the dialog. The LEADImage property must be assigned a Main Control containing a valid bitmap before calling this method.
DLG_MOTIONBLUR_SHOW_TOOL_ZOOMLEVEL | [$00000008] Show the "Zoom to fit" and "Zoom Normal" toolbar buttons. The DLG_MOTIONBLUR_SHOW_PREVIEW flag must be set in order to show these buttons.

If you include DLG_MOTIONBLUR_AUTOPROCESS or DLG_MOTIONBLUR_SHOW_PREVIEW in the DlgFlags property, the LEADImage property must be assigned a Main Control containing a valid bitmap before calling this method.

The properties associated with this dialog box are:

Dimension property.

Angle property.

Unidirectional property.

To include a Help button in the dialog, set the ShowHelpButton property to TRUE.

The Motion Blur dialog can be seen below:

See Also

Elements: | MotionBlur method , Dimension property, Angle property, Unidirectional property, ShowHelpButton property, ZoomToFit Property, DlgFlags property, EnableMethodErrors property.
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


ShowMultiplyDlg method (LEADDlgImgEffect Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | int ShowMultiplyDlg(TWinControl* AOwnerCtrl);
Delphi Syntax | Function ShowMultiplyDlg (AOwnerCtrl: TWinControl ): L_INT;
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Displays the Multiply dialog box, and gets the options for the Multiply method .

The layout and action of the dialog depends on the flags set in the DlgFlags property. Possible options are:

Value | Meaning
DLG_MULTIPLY_AUTOPROCESS | [$00000001] Process the image on OK. The LEADImage property must be assigned a Main Control containing a valid bitmap before calling this method.
DLG_MULTIPLY_SHOW_CONTEXTHELP | [$00000002] Dialog should contain a context sensitive help icon.
DLG_MULTIPLY_SHOW_PREVIEW | [$00000004] Show a preview of the image in the dialog. The LEADImage property must be assigned a Main Control containing a valid bitmap before calling this method.
DLG_MULTIPLY_SHOW_TOOL_ZOOMLEVEL | [$00000008] Show the "Zoom to fit" and "Zoom Normal" toolbar buttons. The DLG_MULTIPLY_SHOW_PREVIEW flag must be set in order to show these buttons.

If you include DLG_MULTIPLY_AUTOPROCESS or DLG_MULTIPLY_SHOW_PREVIEW in the DlgFlags property, the LEADImage property must be assigned a Main Control containing a valid bitmap before calling this method.

The property associated with this dialog box is:

Factor property.

To include a Help button in the dialog, set the ShowHelpButton property to TRUE.

The Multiply dialog can be seen below:

See Also

Elements: | Multiply method , Factor property, ShowHelpButton property, ZoomToFit Property, DlgFlags property, EnableMethodErrors property, LEADImage property
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


ShowOilifyDlg method (LEADDlgImgEffect Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | int ShowOilifyDlg(TWinControl* AOwnerCtrl);
Delphi Syntax | Function ShowOilifyDlg (AOwnerCtrl: TWinControl ): L_INT;
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Displays the Oilify dialog box, and gets the options for the Oilify method .

The layout and action of the dialog depends on the flags set in the DlgFlags property. Possible options are:

Value | Meaning
DLG_OILIFY_AUTOPROCESS | [$00000001] Process the image on OK. The LEADImage property must be assigned a Main Control containing a valid bitmap before calling this method.
DLG_OILIFY_SHOW_CONTEXTHELP | [$00000002] Dialog should contain a context sensitive help icon.
DLG_OILIFY_SHOW_PREVIEW | [$00000004] Show a preview of the image in the dialog. The LEADImage property must be assigned a Main Control containing a valid bitmap before calling this method.
DLG_OILIFY_SHOW_TOOL_ZOOMLEVEL | [$00000008] Show the "Zoom to fit" and "Zoom Normal" toolbar buttons. The DLG_OILIFY_SHOW_PREVIEW flag must be set in order to show these buttons.

If you include DLG_OILIFY_AUTOPROCESS or DLG_OILIFY_SHOW_PREVIEW in the DlgFlags property, the LEADImage property must be assigned a Main Control containing a valid bitmap before calling this method.

The property associated with this dialog box is:

Dimension property.

To include a Help button in the dialog, set the ShowHelpButton property to TRUE.

The Oilify dialog can be seen below:

See Also

Elements: | Oilify method , Dimension property, ShowHelpButton property, ZoomToFit Property, DlgFlags property, EnableMethodErrors property, LEADImage property
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


ShowPicturizeDlg method (LEADDlgImgEffect Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | int ShowPicturizeDlg(TWinControl* AOwnerCtrl);
Delphi Syntax | Function ShowPicturizeDlg (AOwnerCtrl: TWinControl ): L_INT;
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Displays the Picturize dialog box, and gets the options for the Picturize method .

The layout and action of the dialog depends on the flags set in the DlgFlags property. Possible options are:

Value | Meaning
DLG_PICTURIZE_AUTOPROCESS | [$00000001] Process the image on OK. The LEADImage property must be assigned a Main Control containing a valid bitmap before calling this method.
DLG_PICTURIZE_SHOW_CONTEXTHELP | [$00000002] Dialog should contain a context sensitive help icon.

If you include DLG_PICTURIZE_AUTOPROCESS in the DlgFlags property, the LEADImage property must be assigned a Main Control containing a valid bitmap before calling this method.

The properties associated with this dialog box are:

DirectoryPath property.

PicturizeResizeFlags property.

CellWidth property.

CellHeight property.

To include a Help button in the dialog, set the ShowHelpButton property to TRUE.

The Picturize dialog can be seen below:

See Also

Elements: | Picturize method , DirectoryPath property, PicturizeResizeFlags property, CellWidth property, CellHeight property, ShowHelpButton property, ZoomToFit Property, DlgFlags property, EnableMethodErrors property, LEADImage property
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


ShowPixelateDlg method (LEADDlgImgEffect Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | int ShowPixelateDlg(TWinControl* AOwnerCtrl);
Delphi Syntax | Function ShowPixelateDlg (AOwnerCtrl: TWinControl ): L_INT;
Overview | Refer to Using Imaging Common Dialogs.

Remarks

(Raster Pro and above toolkits) Displays the Pixelate dialog box, and gets the options for the Pixelate method .

The layout and action of the dialog depends on the flags set in the DlgFlags property. Possible options are:

Value | Meaning
DLG_PIXELATE_AUTOPROCESS | [$00000001] Process the image on OK. The LEADImage property must be assigned a Main Control containing a valid bitmap before calling this method.
DLG_PIXELATE_SHOW_CONTEXTHELP | [$00000002] Dialog should contain a context sensitive help icon.
DLG_PIXELATE_SHOW_PREVIEW | [$00000004] Show a preview of the image in the dialog. The LEADImage property must be assigned a Main Control containing a valid bitmap before calling this method.
DLG_PIXELATE_SHOW_TOOL_ZOOMLEVEL | [$00000008] Show the "Zoom to fit" and "Zoom Normal" toolbar buttons. The DLG_PIXELATE_SHOW_PREVIEW flag must be set in order to show these buttons.

If you include DLG_PIXELATE_AUTOPROCESS or DLG_PIXELATE_SHOW_PREVIEW in the DlgFlags property, the LEADImage property must be assigned a Main Control containing a valid bitmap before calling this method.vv

The properties associated with this dialog box are:

CellWidth property.

CellHeight property.

Opacity property.

CenterPoint property.

PixelateFlags property.

To include a Help button in the dialog, set the ShowHelpButton property to TRUE.

The Pixelate dialog can be seen below:

This dialog has the following fields:

Pivot Section:

This section contains two edit boxes and a display area for setting the pivot point. You can also set the pivot point by right clicking on the Before view. The Pivot point [image] appears on the point you just clicked.

X Edit box:

Use this to set the pivot's x-axis position in the image. Enter the value directly in the edit box or use the arrows to set the desired value.

Y Edit box:

Use this to set the pivot's y-axis position in the image. Enter the value directly in the edit box or use the arrows to set the desired value.

Cursor Pos (x,y):

Displays the mouse position with respect to the image.

Center Button:

Use the Center button to center the Before and After views with respect to [image] the pivot point position.

See Also

Elements: | Pixelate method , CellWidth property, CellHeight property, Opacity property, CenterPoint property, PixelateFlags property, ShowHelpButton property, ZoomToFit Property, DlgFlags property, EnableMethodErrors property, LEADImage property
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


ShowPolarDlg method (LEADDlgImgEffect Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | int ShowPolarDlg(Controls::TWinControl* AOwnerCtrl);
Delphi Syntax | Function ShowPolarDlg (AOwnerCtrl: TWinControl ): L_INT;
Overview | Refer to Using Imaging Common Dialogs.

Remarks

(Raster Pro and above toolkits) Displays the Polar dialog box, and gets the options for the Polar method .

The layout and action of the dialog depends on the flags set in the DlgFlags property. Possible options are:

Value | Meaning
DLG_POLAR_AUTOPROCESS | [$00000001] Process the image on OK. The LEADImage property must be assigned a Main Control containing a valid bitmap before calling this method.
DLG_POLAR_SHOW_CONTEXTHELP | [$00000002] Dialog should contain a context sensitive help icon.
DLG_POLAR_SHOW_PREVIEW | [$00000004] Show a preview of the image in the dialog. The LEADImage property must be assigned a Main Control containing a valid bitmap before calling this method.
DLG_POLAR_SHOW_TOOL_ZOOMLEVEL | [$00000008] Show the "Zoom to fit" and "Zoom Normal" toolbar buttons. The DLG_POLAR_SHOW_PREVIEW flag must be set in order to show these buttons.

If you include DLG_POLAR_AUTOPROCESS or DLG_POLAR_SHOW_PREVIEW in the DlgFlags property, the LEADImage property must be assigned a Main Control containing a valid bitmap before calling this method.

The properties associated with this dialog box are:

FillColor property.

PolarFlags property.

To include a Help button in the dialog, set the ShowHelpButton property to TRUE.

The Polar dialog can be seen below:

See Also

Elements: | Polar method , FillColor property, PolarFlags property, ShowHelpButton property, ZoomToFit Property, DlgFlags property, EnableMethodErrors property, LEADImage property
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


ShowPrewittFilterDlg method (LEADDlgImgEffect Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | int ShowPrewittFilterDlg(Controls::TWinControl* AOwnerCtrl);
Delphi Syntax | Function ShowPrewittFilterDlg (AOwnerCtrl: TWinControl ): L_INT;
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Displays the Prewitt Filter dialog box, and gets the options for the SpatialFilter method .

The layout and action of the dialog depends on the flags set in the DlgFlags property. Possible options are:

Value | Meaning
DLG_PREWITTFILTER_AUTOPROCESS | [$00000001] Process the image on OK. The LEADImage property must be assigned a Main Control containing a valid bitmap before calling this method.
DLG_PREWITTFILTER_SHOW_CONTEXTHELP | [$00000002] Dialog should contain a context sensitive help icon.
DLG_PREWITTFILTER_SHOW_PREVIEW | [$00000004] Show a preview of the image in the dialog; The LEADImage property must be assigned a Main Control containing a valid bitmap before calling this method.
DLG_PREWITTFILTER_SHOW_TOOL_ZOOMLEVEL | [$00000008] Show the "Zoom to fit" and "Zoom Normal" toolbar buttons. The DLG_PREWITTFILTER_SHOW_PREVIEW flag must be set in order to show these buttons.

If you include DLG_PREWITTFILTER_AUTOPROCESS or DLG_PREWITTFILTER_SHOW_PREVIEW in the DlgFlags property, the LEADImage property must be assigned a Main Control containing a valid bitmap before calling this method.

The property associated with this dialog box is:

SpatialFilterType property

To include a Help button in the dialog, set the ShowHelpButton property to TRUE.

The Prewitt Filter dialog can be seen below:

See Also

Elements: | SpatialFilter method , SpatialFilterType property, ShowHelpButton property, ZoomToFit Property, DlgFlags property, EnableMethodErrors property, LEADImage property
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


ShowPunchDlg method (LEADDlgImgEffect Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | int ShowPunchDlg(TWinControl* AOwnerCtrl);
Delphi Syntax | Function ShowPunchDlg (AOwnerCtrl: TWinControl ): L_INT;
Overview | Refer to Using Imaging Common Dialogs.

Remarks

(Raster Pro and above toolkits) Displays the Punch dialog box, and gets the options for the Punch method .

The layout and action of the dialog depends on the flags set in the DlgFlags property. Possible options are:

Value | Meaning
DLG_PUNCH_AUTOPROCESS | [$00000001] Process the image on OK. The LEADImage property must be assigned a Main Control containing a valid bitmap before calling this method.
DLG_PUNCH_SHOW_CONTEXTHELP | [$00000002] Dialog should contain a context sensitive help icon.
DLG_PUNCH_SHOW_PREVIEW | [$00000004] Show a preview of the image in the dialog. The LEADImage property must be assigned a Main Control containing a valid bitmap before calling this method.
DLG_PUNCH_SHOW_TOOL_ZOOMLEVEL | [$00000008] Show the "Zoom to fit" and "Zoom Normal" toolbar buttons. The DLG_PUNCH_SHOW_PREVIEW flag must be set in order to show these buttons.

If you include DLG_PUNCH_AUTOPROCESS or DLG_PUNCH_SHOW_PREVIEW in the DlgFlags property, the LEADImage property must be assigned a Main Control containing a valid bitmap before calling this method.

The properties associated with this dialog box are:

Value property.

Stress property.

CenterPoint property.

FillColor property.

PunchFlags property.

To include a Help button in the dialog, set the ShowHelpButton property to TRUE.

The Punch dialog can be seen below:

This dialog has the following fields:

Pivot Section:

This section contains two edit boxes and a display area for setting the pivot point. You can also set the pivot point by right clicking on the Before view. The Pivot point [image] appears on the point you just clicked.

X Edit box:

Use this to set the pivot's x-axis position in the image. Enter the value directly in the edit box or use the arrows to set the desired value.

Y Edit box:

Use this to set the pivot's y-axis position in the image. Enter the value directly in the edit box or use the arrows to set the desired value.

Cursor Pos (x,y):

Brings up the mouse position with respect to the image.

Center Button:

Use the Center button to center the Before and After views with respect to [image] the pivot point position.

See Also

Elements: | Punch method , Value property, Stress property, CenterPoint property, FillColor property, PunchFlags property, ShowHelpButton property, ZoomToFit Property, DlgFlags property, EnableMethodErrors property, LEADImage property
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


ShowRadialBlurDlg method (LEADDlgImgEffect Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | int ShowRadialBlurDlg(TWinControl* AOwnerCtrl);
Delphi Syntax | Function ShowRadialBlurDlg (AOwnerCtrl: TWinControl ): L_INT;
Overview | Refer to Using Imaging Common Dialogs.

Remarks

(Raster Pro and above toolkits) Displays the Radial Blur dialog box, and gets the options for the RadialBlur method .

The layout and action of the dialog depends on the flags set in the DlgFlags property. Possible options are:

Value | Meaning
DLG_RADIALBLUR_AUTOPROCESS | [$00000001] Process the image on OK. The LEADImage property must be assigned a Main Control containing a valid bitmap before calling this method.
DLG_RADIALBLUR_SHOW_CONTEXTHELP | [$00000002] Dialog should contain a context sensitive help icon.
DLG_RADIALBLUR_SHOW_PREVIEW | [$00000004] Show a preview of the image in the dialog. The LEADImage property must be assigned a Main Control containing a valid bitmap before calling this method.
DLG_RADIALBLUR_SHOW_TOOL_ZOOMLEVEL | [$00000008] Show the "Zoom to fit" and "Zoom Normal" toolbar buttons. The DLG_RADIALBLUR_SHOW_PREVIEW flag must be set in order to show these buttons.

If you include DLG_RADIALBLUR_AUTOPROCESS or DLG_RADIALBLUR_SHOW_PREVIEW in the DlgFlags property, the LEADImage property must be assigned a Main Control containing a valid bitmap before calling this method.

The properties associated with this dialog box are:

Dimension property.

Stress property.

CenterPoint property.

To include a Help button in the dialog, set the ShowHelpButton property to TRUE.

The Radial Blur dialog can be seen below:

This dialog has the following fields:

Pivot Section:

This section contains two edit boxes and a display area for setting the pivot point. You can also set the pivot point by right clicking on the Before view. The Pivot point [image] appears on the point you just clicked.

X Edit box:

Use this to set the pivot's x-axis position in the image. Enter the value directly in the edit box or use the arrows to set the desired value.

Y Edit box:

Use this to set the pivot's y-axis position in the image. Enter the value directly in the edit box or use the arrows to set the desired value.

Cursor Pos (x,y):

Brings up the mouse position with respect to the image.

Center Button:

Use the Center button to center the Before and After views with respect to [image] the pivot point position.

See Also

Elements: | RadialBlur method , Dimension property, Stress property, CenterPoint property, ShowHelpButton property, ZoomToFit Property, DlgFlags property, EnableMethodErrors property, LEADImage property
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


ShowRadialWaveDlg method (LEADDlgImgEffect Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | int ShowRadialWaveDlg(TWinControl* AOwnerCtrl);
Delphi Syntax | Function ShowRadialWaveDlg (AOwnerCtrl: TWinControl ): L_INT;
Overview | Refer to Using Imaging Common Dialogs.

Remarks

(Raster Pro and above toolkits.) Displays the Radial Wave dialog box, and gets the options for the RadWave method.

The layout and action of the dialog depends on the flags set in the DlgFlags property. Possible options are:

Value | Meaning
DLG_RADIALWAVE_AUTOPROCESS | [$00000001] Process the image on OK. The LEADImage property must be assigned a Main Control containing a valid bitmap before calling this method.
DLG_RADIALWAVE_SHOW_CONTEXTHELP | [$00000002] Dialog should contain a context sensitive help icon.
DLG_RADIALWAVE_SHOW_PREVIEW | [$00000004] Show a preview of the image in the dialog. The LEADImage property must be assigned a Main Control containing a valid bitmap before calling this method.
DLG_RADIALWAVE_SHOW_TOOL_ZOOMLEVEL | [$00000008] Show the "Zoom to fit" and "Zoom Normal" toolbar buttons. The DLG_RADIALWAVE_SHOW_PREVIEW flag must be set in order to show these buttons.

If you include DLG_RADIALWAVE_AUTOPROCESS or DLG_RADIALWAVE_SHOW_PREVIEW in the DlgFlags property, the LEADImage property must be assigned a Main Control containing a valid bitmap before calling this method.

The properties associated with this dialog box are:

Amplitude property.

WaveLength property.

Phase property.

CenterPoint property.

FillColor property.

RadialWaveFlags property.

To include a Help button in the dialog, set the ShowHelpButton property to TRUE.

The Radial Wave dialog can be seen below:

This dialog has the following fields:

Pivot Section:

This section contains two edit boxes and a display area for setting the pivot point. You can also set the pivot point by right clicking on the Before view. The Pivot point [image] appears on the point you just clicked.

X Edit box:

Use this to set the pivot's x-axis position in the image. Enter the value directly in the edit box or use the arrows to set the desired value.

Y Edit box:

Use this to set the pivot's y-axis position in the image. Enter the value directly in the edit box or use the arrows to set the desired value.

Cursor Pos (x,y):

Displays the mouse position with respect to the image.

Center Button:

Use the Center button to center the Before and After views with respect to [image] the pivot point position.

See Also

Elements: | RadWave method , Amplitude property, WaveLength property, Phase property, CenterPoint property, FillColor property, RadialWaveFlags property, ShowHelpButton property, ZoomToFit Property, DlgFlags property, EnableMethodErrors property, LEADImage property
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


ShowRippleDlg method (LEADDlgImgEffect Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | int ShowRippleDlg(Controls::TWinControl* AOwnerCtrl);
Delphi Syntax | Function ShowRippleDlg (AOwnerCtrl: TWinControl ): L_INT;
Overview | Refer to Using Imaging Common Dialogs.

Remarks

(Raster Pro and above toolkits) Displays the Ripple dialog box, and gets the options for the Ripple method .

The layout and action of the dialog depends on the flags set in the DlgFlags property. Possible options are:

Value | Meaning
DLG_RIPPLE_AUTOPROCESS | [$00000001] Process the image on OK. The LEADImage property must be assigned a Main Control containing a valid bitmap before calling this method.
DLG_RIPPLE_SHOW_CONTEXTHELP | [$00000002] Dialog should contain a context sensitive help icon.
DLG_RIPPLE_SHOW_PREVIEW | [$00000004] Show a preview of the image in the dialog; The LEADImage property must be assigned a Main Control containing a valid bitmap before calling this method.
DLG_RIPPLE_SHOW_TOOL_ZOOMLEVEL | [$00000008] Show the "Zoom to fit" and "Zoom Normal" toolbar buttons. The DLG_RIPPLE_SHOW_PREVIEW flag must be set in order to show these buttons.

If you include DLG_RIPPLE_AUTOPROCESS or DLG_RIPPLE_SHOW_PREVIEW in the DlgFlags property, the LEADImage property must be assigned a Main Control containing a valid bitmap before calling this method.

The properties associated with this dialog box are:

Amplitude property.

Frequency property.

Phase property.

Attenuation property.

CenterPoint property.

FillColor property.

RippleFlags property.

To include a Help button in the dialog, set the ShowHelpButton property to TRUE.

The Ripple dialog can be seen below:

This dialog has the following fields:

Pivot Section:

This section contains two edit boxes and a display area for setting the pivot point. You can also set the pivot point by right clicking on the Before view. The Pivot point [image] appears on the point you just clicked.

X Edit box:

Use this to set the pivot's x-axis position in the image. Enter the value directly in the edit box or use the arrows to set the desired value.

Y Edit box:

Use this to set the pivot's y-axis position in the image. Enter the value directly in the edit box or use the arrows to set the desired value.

Cursor Pos (x,y):

Brings up the mouse position with respect to the image.

Center Button:

Use the Center button to center the Before and After views with respect to [image] the pivot point position.

See Also

Elements: | Ripple method , Amplitude property, Frequency property, Phase property, Attenuation property, CenterPoint property, FillColor property, RippleFlags property, ShowHelpButton property, ZoomToFit Property, DlgFlags property, EnableMethodErrors property, LEADImage property
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


ShowSharpenDlg method (LEADDlgImgEffect Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | int ShowSharpenDlg(TWinControl* AOwnerCtrl);
Delphi Syntax | Function ShowSharpenDlg (AOwnerCtrl: TWinControl ): L_INT;
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Displays the Sharpen dialog box, and gets the options for the Sharpen method .

The layout and action of the dialog depends on the flags set in the DlgFlags property. Possible options are:

Value | Meaning
DLG_SHARPEN_AUTOPROCESS | [$00000001] Process the image on OK. The LEADImage property must be assigned a Main Control containing a valid bitmap before calling this method.
DLG_SHARPEN_SHOW_CONTEXTHELP | [$00000002] Dialog should contain a context sensitive help icon.
DLG_SHARPEN_SHOW_PREVIEW | [$00000004] Show a preview of the image in the dialog. The LEADImage property must be assigned a Main Control containing a valid bitmap before calling this method.
DLG_SHARPEN_SHOW_TOOL_ZOOMLEVEL | [$00000008] Show the "Zoom to fit" and "Zoom Normal" toolbar buttons. The DLG_SHARPEN_SHOW_PREVIEW flag must be set in order to show these buttons.

If you include DLG_SHARPEN_AUTOPROCESS or DLG_SHARPEN_SHOW_PREVIEW in the DlgFlags property, the LEADImage property must be assigned a Main Control containing a valid bitmap before calling this method.

The property associated with this dialog box is:

Sharpness property

To include a Help button in the dialog, set the ShowHelpButton property to TRUE.

The Sharpen dialog can be seen below:

See Also

Elements: | Sharpen method , Sharpness property, ShowHelpButton property, ZoomToFit Property, DlgFlags property, EnableMethodErrors property, LEADImage property
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


ShowShiftDifferenceFilterDlg method (LEADDlgImgEffect Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | int ShowShiftDifferenceFilterDlg(TWinControl* AOwnerCtrl);
Delphi Syntax | Function ShowShiftDifferenceFilterDlg (AOwnerCtrl: TWinControl ): L_INT;
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Displays the Shift and Difference Filter dialog box, and gets the options for the SpatialFilter method .

The layout and action of the dialog depends on the flags set in the DlgFlags property. Possible options are:

Value | Meaning
DLG_SHIFTDIFFERENCEFILTER_AUTOPROCESS | [$00000001] Process the image on OK. The LEADImage property must be assigned a Main Control containing a valid bitmap before calling this method.
DLG_SHIFTDIFFERENCEFILTER_SHOW_CONTEXTHELP | [$00000002] Dialog should contain a context sensitive help icon.
DLG_SHIFTDIFFERENCEFILTER_SHOW_PREVIEW | [$00000004] Show a preview of the image in the dialog. The LEADImage property must be assigned a Main Control containing a valid bitmap before calling this method.
DLG_SHIFTDIFFERENCEFILTER_SHOW_TOOL_ZOOMLEVEL | [$00000008] Show the "Zoom to fit" and "Zoom Normal" toolbar buttons. The DLG_SHIFTDIFFERENCEFILTER_SHOW_PREVIEW flag must be set in order to show these buttons.

If you include DLG_SHIFTDIFFERENCEFILTER_AUTOPROCESS or DLG_SHIFTDIFFERENCEFILTER_SHOW_PREVIEW in the DlgFlags property, the LEADImage property must be assigned a Main Control containing a valid bitmap before calling this method.

The property associated with this dialog box is:

SpatialFilterType property.

To include a Help button in the dialog, set the ShowHelpButton property to TRUE.

The Shift and Difference dialog can be seen below:

See Also

Elements: | SpatialFilter method , SpatialFilterType property, ShowHelpButton property, ZoomToFit Property, DlgFlags property, EnableMethodErrors property, LEADImage property
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


ShowSobelFilterDlg method (LEADDlgImgEffect Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | int ShowSobelFilterDlg(TWinControl* AOwnerCtrl);
Delphi Syntax | Function ShowSobelFilterDlg (AOwnerCtrl: TWinControl ): L_INT;
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Displays the Sobel Filter dialog box, and gets the options for the SpatialFilter method .

The layout and action of the dialog depends on the flags set in the DlgFlags property. Possible options are:

Value | Meaning
DLG_SOBELFILTER_AUTOPROCESS | [$00000001] Process the image on OK. The LEADImage property must be assigned a Main Control containing a valid bitmap before calling this method.
DLG_SOBELFILTER_SHOW_CONTEXTHELP | [$00000002] Dialog should contain a context sensitive help icon.
DLG_SOBELFILTER_SHOW_PREVIEW | [$00000004] Show a preview of the image in the dialog. The LEADImage property must be assigned a Main Control containing a valid bitmap before calling this method.
DLG_SOBELFILTER_SHOW_TOOL_ZOOMLEVEL | [$00000008] Show the "Zoom to fit" and "Zoom Normal" toolbar buttons. The DLG_SOBELFILTER_SHOW_PREVIEW flag must be set in order to show these buttons.

If you include DLG_SOBELFILTER_AUTOPROCESS or DLG_SOBELFILTER_SHOW_PREVIEW in the DlgFlags property, the LEADImage property must be assigned a Main Control containing a valid bitmap before calling this method.

The property associated with this dialog box is:

SpatialFilterType property

To include a Help button in the dialog, set the ShowHelpButton property to TRUE.

The Sobel Filter dialog can be seen below:

See Also

Elements: | SpatialFilter method , SpatialFilterType property, ShowHelpButton property, ZoomToFit Property, DlgFlags property, EnableMethodErrors property, LEADImage property
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


ShowSpherizeDlg method (LEADDlgImgEffect Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | int ShowSpherizeDlg(TWinControl* AOwnerCtrl);
Delphi Syntax | Function ShowSpherizeDlg (AOwnerCtrl: TWinControl ): L_INT;
Overview | Refer to Using Imaging Common Dialogs.

Remarks

(Raster Pro and above toolkits) Displays the Spherize dialog box, and gets the options for the Spherize method .

The layout and action of the dialog depends on the flags set in the DlgFlags property. Possible options are:

Value | Meaning
DLG_SPHERIZE_AUTOPROCESS | [$00000001] Process the image on OK. The LEADImage property must be assigned a Main Control containing a valid bitmap before calling this method.
DLG_SPHERIZE_SHOW_CONTEXTHELP | [$00000002] Dialog should contain a context sensitive help icon.
DLG_SPHERIZE_SHOW_PREVIEW | [$00000004] Show a preview of the image in the dialog. The LEADImage property must be assigned a Main Control containing a valid bitmap before calling this method.
DLG_SPHERIZE_SHOW_TOOL_ZOOMLEVEL | [$00000008] Show the "Zoom to fit" and "Zoom Normal" toolbar buttons. The DLG_SPHERIZE_SHOW_PREVIEW flag must be set in order to show these buttons.

If you include DLG_SPHERIZE_AUTOPROCESS or DLG_SPHERIZE_SHOW_PREVIEW in the DlgFlags property, the LEADImage property must be assigned a Main Control containing a valid bitmap before calling this method.

The properties associated with this dialog box are:

Value property.

CenterPoint property.

FillColor property.

SpherizeFlags property.

To include a Help button in the dialog, set the ShowHelpButton property to TRUE.

The Spherize dialog can be seen below:

This dialog has the following fields:

Pivot Section:

This section contains two edit boxes and a display area for setting the pivot point. You can also set the pivot point by right clicking on the Before view. The Pivot point [image] appears on the point you just clicked.

X Edit box:

Use this to set the pivot's x-axis position in the image. Enter the value directly in the edit box or use the arrows to set the desired value.

Y Edit box:

Use this to set the pivot's y-axis position in the image. Enter the value directly in the edit box or use the arrows to set the desired value.

Cursor Pos (x,y):

Brings up the mouse position with respect to the image.

Center Button:

Use the Center button to center the Before and After views with respect to [image] the pivot point position.

See Also

Elements: | Spherize method , Value property, CenterPoint property, FillColor property, SpherizeFlags property, ShowHelpButton property, ZoomToFit Property, DlgFlags property, EnableMethodErrors property, LEADImage property
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


ShowStitchDlg method (LEADDlgImgEffect Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | int ShowStitchDlg (TWinControl* AOwnerCtrl);
Delphi Syntax | Function ShowStitchDlg (AOwnerCtrl: TWinControl ): L_INT;
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Displays the Stitch dialog box. Use this dialog to produce a new bitmap that is composed of 1 or more source bitmaps.

The layout and action of the dialog depends on the flags set in the DlgFlags property. Possible option is:

Value | Meaning
DLG_STITCH_NOPAGESETUPONSTART | [$00000001] Don’t display the image attributes sub dialog at stitch dialog startup.

The properties associated with this dialog box are:

ItemDescription property.

ItemFileName property.

ItemBitmap property.

BitmapWidth property.

BitmapHeight property.

BitmapBitsPerPixel property.

Resolution property.

BackgroundColor property.

WindowIcon property.

StitchBitmap property.

To include a Help button in the dialog, set the ShowHelpButton property to TRUE.

The Stitch dialog can be seen below:

See Also

Elements: | ItemsCount property, ItemDescription property, ItemFileName property, ItemBitmap property, BitmapWidth property, BitmapHeight property, BitmapBitsPerPixel property, Resolution property, BackgroundColor property, WindowIcon property, StitchBitmap property, ShowHelpButton property, ZoomToFit Property, DlgFlags property, EnableMethodErrors property, LEADImage property
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


ShowSwirlDlg method (LEADDlgImgEffect Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | int ShowSwirlDlg(TWinControl* AOwnerCtrl);
Delphi Syntax | Function ShowSwirlDlg (AOwnerCtrl: TWinControl ): L_INT;
Overview | Refer to Using Imaging Common Dialogs.

Remarks

(Raster Pro and above toolkits.) Displays the Swirl dialog box, and gets the options for the Swirl method .

The layout and action of the dialog depends on the flags set in the DlgFlags property. Possible options are:

Value | Meaning
DLG_SWIRL_AUTOPROCESS | [$00000001] Process the image on OK. The LEADImage property must be assigned a Main Control containing a valid bitmap before calling this method.
DLG_SWIRL_SHOW_CONTEXTHELP | [$00000002] Dialog should contain a context sensitive help icon.
DLG_SWIRL_SHOW_PREVIEW | [$00000004] Show a preview of the image in the dialog. The LEADImage property must be assigned a Main Control containing a valid bitmap before calling this method.
DLG_SWIRL_SHOW_TOOL_ZOOMLEVEL | [$00000008] Show the "Zoom to fit" and "Zoom Normal" toolbar buttons. The DLG_SWIRL_SHOW_PREVIEW flag must be set in order to show these buttons.

If you include DLG_SWIRL_AUTOPROCESS or DLG_SWIRL_SHOW_PREVIEW in the DlgFlags property, the LEADImage property must be assigned a Main Control containing a valid bitmap before calling this method.

The properties associated with this dialog box are:

Angle property.

CenterPoint property.

To include a Help button in the dialog, set the ShowHelpButton property to TRUE.

The Swirl dialog can be seen below:

This dialog has the following fields:

Pivot Section:

This section contains two edit boxes and a display area for setting the pivot point. You can also set the pivot point by right clicking on the Before view. The Pivot point [image] appears on the point you just clicked.

X Edit box:

Use this to set the pivot's x-axis position in the image. Enter the value directly in the edit box or use the arrows to set the desired value.

Y Edit box:

Use this to set the pivot's y-axis position in the image. Enter the value directly in the edit box or use the arrows to set the desired value.

Cursor Pos (x,y):

Displays the mouse position with respect to the image.

Center Button:

Use the Center button to center the Before and After views with respect to [image] the pivot point position.

See Also

Elements: | Swirl method , Angle property, CenterPoint property, ShowHelpButton property, ZoomToFit Property, DlgFlags property, EnableMethodErrors property, LEADImage property
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


ShowUnderlayDlg method (LEADDlgImgEffect Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | int ShowUnderlayDlg (TWinControl* AOwnerCtrl);
Delphi Syntax | Function ShowUnderlayDlg (AOwnerCtrl: TWinControl ): L_INT;
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Displays the Underlay dialog box, and gets the options for the Underlay method .

The layout and action of the dialog depends on the flags set in the DlgFlags property. Possible options are:

Value | Meaning
DLG_UNDERLAY_AUTOPROCESS | [$00000001] Process the image on OK. The LEADImage property must be assigned a Main Control containing a valid bitmap before calling this method.
DLG_UNDERLAY_SHOW_CONTEXTHELP | [$00000002] Dialog should contain a context sensitive help icon.
DLG_UNDERLAY_SHOW_PREVIEW | [$00000004] Show a preview of the image in the dialog. The LEADImage property must be assigned a Main Control containing a valid bitmap before calling this method.
DLG_UNDERLAY_SHOW_TOOL_ZOOMLEVEL | [$00000008] Show the "Zoom to fit" and "Zoom Normal" toolbar buttons. The DLG_UNDERLAY_SHOW_PREVIEW flag must be set in order to show these buttons.

If you include DLG_UNDERLAY_AUTOPROCESS or DLG_ UNDERLAY_SHOW_PREVIEW in the DlgFlags property, the LEADImage property must be assigned a Main Control containing a valid bitmap before calling this method.

The properties associated with this dialog box are:

ItemsCount property.

ItemDescription property.

ItemFileName property.

ItemBitmap property.

BitmapIndex property.

UnderlayFlags property.

SelectedBitmap property.

To include a Help button in the dialog, set the ShowHelpButton property to TRUE.

The Underlay dialog can be seen below:

See Also

Elements: | Underlay method , ItemsCount property, ItemDescription property, ItemFileName property, ItemBitmap property, BitmapIndex property, UnderlayFlags property, SelectedBitmap property, ShowHelpButton property, ZoomToFit Property, DlgFlags property, EnableMethodErrors property, LEADImage property
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


ShowUnsharpMaskDlg method (LEADDlgImgEffect Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | int ShowUnsharpMaskDlg(TWinControl* AOwnerCtrl);
Delphi Syntax | Function ShowUnsharpMaskDlg (AOwnerCtrl: TWinControl ): L_INT;
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Displays the Unsharp Mask dialog box, and gets the options for the UnsharpMask method .

The layout and action of the dialog depends on the flags set in the DlgFlags property. Possible options are:

Value | Meaning
DLG_UNSHARPMASK_AUTOPROCESS | [$00000001] Process the image on OK. The LEADImage property must be assigned a Main Control containing a valid bitmap before calling this method.
DLG_UNSHARPMASK_SHOW_CONTEXTHELP | [$00000002] Dialog should contain a context sensitive help icon.
DLG_UNSHARPMASK_SHOW_PREVIEW | [$00000004] Show a preview of the image in the dialog. The LEADImage property must be assigned a Main Control containing a valid bitmap before calling this method.
DLG_UNSHARPMASK_SHOW_TOOL_ZOOMLEVEL | [$00000008] Show the "Zoom to fit" and "Zoom Normal" toolbar buttons. The DLG_UNSHARPMASK_SHOW_PREVIEW flag must be set in order to show these buttons.

If you include DLG_UNSHARPMASK_AUTOPROCESS or DLG_UNSHARPMASK_SHOW_PREVIEW in the DlgFlags property, the LEADImage property must be assigned a Main Control containing a valid bitmap before calling this method.

The properties associated with this dialog box are:

Amount property.

Radius property.

Threshold property.

UnshrpMaskFlags property.

To include a Help button in the dialog, set the ShowHelpButton property to TRUE.

The Unsharp Mask dialog can be seen below:

See Also

Elements: | UnsharpMask method , Amount property, Radius property, Threshold property, UnshrpMaskFlags property, ShowHelpButton property, ZoomToFit Property, DlgFlags property, EnableMethodErrors property, LEADImage property
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


ShowWaveDlg method (LEADDlgImgEffect Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | int ShowWaveDlg(TWinControl* AOwnerCtrl);
Delphi Syntax | Function ShowWaveDlg (AOwnerCtrl: TWinControl ): L_INT;
Overview | Refer to Using Imaging Common Dialogs.

Remarks

(Raster Pro and above toolkits) Displays the Wave dialog box, and gets the options for the Wave method.

The layout and action of the dialog depends on the flags set in the DlgFlags property. Possible options are:

Value | Meaning
DLG_WAVE_AUTOPROCESS | [$00000001] Process the image on OK. The LEADImage property must be assigned a Main Control containing a valid bitmap before calling this method.
DLG_WAVE_SHOW_CONTEXTHELP | [$00000002] Dialog should contain a context sensitive help icon.
DLG_WAVE_SHOW_PREVIEW | [$00000004] Show a preview of the image in the dialog. The LEADImage property must be assigned a Main Control containing a valid bitmap before calling this method.
DLG_WAVE_SHOW_TOOL_ZOOMLEVEL | [$00000008] Show the "Zoom to fit" and "Zoom Normal" toolbar buttons. The DLG_WAVE_SHOW_PREVIEW flag must be set in order to show these buttons.

If you include DLG_WAVE_AUTOPROCESS or DLG_WAVE_SHOW_PREVIEW in the DlgFlags property, the LEADImage property must be assigned a Main Control containing a valid bitmap before calling this method.

The properties associated with this dialog box are:

Amplitude property.

WaveLength property.

Angle property.

HorzScale property.

VertScale property.

FillColor property.

WaveFlags property.

To include a Help button in the dialog, set the ShowHelpButton property to TRUE.

The Wave dialog can be seen below:

See Also

Elements: | Wave method , Amplitude property, WaveLength property, Angle property, HorzScale property, VertScale property, FillColor property, WaveFlags property, ShowHelpButton property, ZoomToFit Property, DlgFlags property, EnableMethodErrors property, LEADImage property
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


ShowWindDlg method (LEADDlgImgEffect Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | int ShowWindDlg(TWinControl* AOwnerCtrl);
Delphi Syntax | Function ShowWindDlg (AOwnerCtrl: TWinControl ): L_INT;
Overview | Refer to Using Imaging Common Dialogs.

Remarks

(Raster Pro and above toolkits) Displays the Wind dialog box, and gets the options for the Wind method .

The layout and action of the dialog depends on the flags set in the DlgFlags property. Possible options are:

Value | Meaning
DLG_WIND_AUTOPROCESS | [$00000001] Process the image on OK. The LEADImage property must be assigned a Main Control containing a valid bitmap before calling this method.
DLG_WIND_SHOW_CONTEXTHELP | [$00000002] Dialog should contain a context sensitive help icon.
DLG_WIND_SHOW_PREVIEW | [$00000004] Show a preview of the image in the dialog, The LEADImage property must be assigned a Main Control containing a valid bitmap before calling this method.
DLG_WIND_SHOW_TOOL_ZOOMLEVEL | [$00000008] Show the "Zoom to fit" and "Zoom Normal" toolbar buttons. The DLG_WIND_SHOW_PREVIEW flag must be set in order to show these buttons.

If you include DLG_WIND_AUTOPROCESS or DLG_WIND_SHOW_PREVIEW in the DlgFlags property, the LEADImage property must be assigned a Main Control containing a valid bitmap before calling this method.

The properties associated with this dialog box are:

Dimension property.

Angle property.

Opacity property.

To include a Help button in the dialog, set the ShowHelpButton property to TRUE.

The Wind dialog can be seen below:

See Also

Elements: | Wind method , Dimension property, Angle property, Opacity property, ShowHelpButton property, ZoomToFit Property, DlgFlags property, EnableMethodErrors property, LEADImage property
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


ShowZoomBlurDlg method (LEADDlgImgEffect Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | int ShowZoomBlurDlg(TWinControl* AOwnerCtrl);
Delphi Syntax | Function ShowZoomBlurDlg (AOwnerCtrl: TWinControl ): L_INT;
Overview | Refer to Using Imaging Common Dialogs.

Remarks

(Raster Pro and above toolkits) Displays the Zoom Blur dialog box, and gets the options for the ZoomBlur method .

The layout and action of the dialog depends on the flags set in the DlgFlags property. Possible options are:

Value | Meaning
DLG_ZOOMBLUR_AUTOPROCESS | [$00000001] Process the image on OK. The LEADImage property must be assigned a Main Control containing a valid bitmap before calling this method.
DLG_ZOOMBLUR_SHOW_CONTEXTHELP | [$00000002] Dialog should contain a context sensitive help icon.
DLG_ZOOMBLUR_SHOW_PREVIEW | [$00000004] Show a preview of the image in the dialog. The LEADImage property must be assigned a Main Control containing a valid bitmap before calling this method.
DLG_ZOOMBLUR_SHOW_TOOL_ZOOMLEVEL | [$00000008] Show the "Zoom to fit" and "Zoom Normal" toolbar buttons. The DLG_ZOOMBLUR_SHOW_PREVIEW flag must be set in order to show these buttons.

If you include DLG_ZOOMBLUR_AUTOPROCESS or DLG_ZOOMBLUR_SHOW_PREVIEW in the DlgFlags property, the LEADImage property must be assigned a Main Control containing a valid bitmap to the Common Dialog before calling this method.

The properties associated with this dialog box are:

Dimension property.

Stress property.

CenterPoint property.

To include a Help button in the dialog, set the ShowHelpButton property to TRUE.

The Zoom Blur dialog can be seen below:

This dialog has the following fields:

Pivot Section:

This section contains two edit boxes and a display area for setting the pivot point. You can also set the pivot point by right clicking on the Before view. The Pivot point [image] appears on the point you just clicked.

X Edit box:

Use this to set the pivot's x-axis position in the image. Enter the value directly in the edit box or use the arrows to set the desired value.

Y Edit box:

Use this to set the pivot's y-axis position in the image. Enter the value directly in the edit box or use the arrows to set the desired value.

Cursor Pos (x,y):

Brings up the mouse position with respect to the image.

Center Button:

Use the Center button to center the Before and After views with respect to [image] the pivot point position.

See Also

Elements: | ZoomBlur method , Dimension property, Stress property, CenterPoint property, ShowHelpButton property, ZoomToFit Property, DlgFlags property, EnableMethodErrors property, LEADImage property
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


ShowZoomWaveDlg method (LEADDlgImgEffect Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | int ShowZoomWaveDlg(TWinControl* AOwnerCtrl);
Delphi Syntax | Function ShowZoomWaveDlg (AOwnerCtrl: TWinControl): L_INT;
Overview | Refer to Using Imaging Common Dialogs.

Remarks

(Raster Pro and above toolkits) Displays the Zoom Wave dialog box, and gets the options for the ZoomWave method .

The layout and action of the dialog depends on the flags set in the DlgFlags property. Possible options are:

Value | Meaning
DLG_ZOOMWAVE_AUTOPROCESS | [$00000001] Process the image on OK. The LEADImage property must be assigned a Main Control containing a valid bitmap before calling this method..
DLG_ZOOMWAVE_SHOW_CONTEXTHELP | [$00000002] Dialog should contain a context sensitive help icon.
DLG_ZOOMWAVE_SHOW_PREVIEW | [$00000004] Show a preview of the image in the dialog. The LEADImage property must be assigned a Main Control containing a valid bitmap before calling this method.
DLG_ZOOMWAVE_SHOW_TOOL_ZOOMLEVEL | [$00000008] Show the "Zoom to fit" and "Zoom Normal" toolbar buttons. The DLG_ZOOMWAVE_SHOW_PREVIEW flag must be set in order to show these buttons.

If you include DLG_ZOOMWAVE_AUTOPROCESS or DLG_ZOOMWAVE_SHOW_PREVIEW in the DlgFlags property, the LEADImage property must be assigned a Main Control containing a valid bitmap before calling this method..

The properties associated with this dialog box are:

Amplitude property.

Frequency property.

Phase property.

ZoomFactor property.

CenterPoint property.

FillColor property.

ZoomWaveFlags property.

To include a Help button in the dialog, set the ShowHelpButton property to TRUE.

The Zoom Wave dialog can be seen below:

This dialog has the following fields:

Pivot Section:

This section contains two edit boxes and a display area for setting the pivot point. You can also set the pivot point by right clicking on the Before view. The Pivot point [image] appears on the point you just clicked.

X Edit box:

Use this to set the pivot's x-axis position in the image. Enter the value directly in the edit box or use the arrows to set the desired value.

Y Edit box:

Use this to set the pivot's y-axis position in the image. Enter the value directly in the edit box or use the arrows to set the desired value.

Cursor Pos (x,y):

Brings up the mouse position with respect to the image.

Center Button:

Use the Center button to center the Before and After views with respect to [image] the pivot point position.

See Also

Elements: | ZoomWave method , Amplitude property, Frequency property, Phase property, ZoomFactor property, CenterPoint property, FillColor property, ZoomWaveFlags property, ShowHelpButton property, ZoomToFit Property, DlgFlags property, EnableMethodErrors property, LEADImage property
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


OnDlgHelp Event (LEADDlgImgEffect Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | void OnDlgHelp (unsigned uDialogID);
Delphi Syntax | procedure OnDlgHelp (uDialogID: L_UINT32);
Overview | Refer to Using Imaging Common Dialogs.

Remarks

The OnDlgHelp event is triggered when the user clicks on the Help Button on any dialog. To include a help button in a dialog, the ShowHelpButton property must be set to TRUE.

See Also

Elements: | ShowHelpButton property.
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


BppCount property (LEADFileSaveFormat Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | L_UINT BppCount
Delphi Syntax | BppCount: L_UINT
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets the number of file format options to be included in the Save or FileConversion dialog boxes.

This property must be set only if the format in the Format property contains more than one BPP option. For information on the available BPP, refer to Customizing File Format Lists.

You have to set this property before accessing the other properties (FormatBpp and SubFormats properties).

See Also

Elements: | ShowSaveDlg method, ShowFileConversionDlg method, Format property, FormatBpp property, SubFormats property
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


FormatBpp property (LEADFileSaveFormat Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | L_UINT32 FormatBpp [ L_UINT uIndex]
Delphi Syntax | FormatBpp [uIndex: L_UINT]: L_UINT32
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets the BPP options to be included in the Save or FileConversion dialog boxes. The available options depend on the format specified in the Format property. For more information on the available formats, BPP options and sub format options, refer to Customizing File Format Lists.

You have to set the BppCount property before using this property.

See Also

Elements: | ShowSaveDlg method, ShowFileConversionDlg method, Format property, BppCount property, SubFormats property
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


Format property (LEADFileSaveFormat Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | L_UINT32 Format
Delphi Syntax | Format: L_UINT32
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets the file format type to be included in the Save Dialog or the File Conversion dialog box. For a list of possible values, refer to Customizing File Format Lists.

See Also

Elements: | ShowSaveDlg method, ShowFileConversionDlg method, BppCount property, FormatBpp property, SubFormats property
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


SubFormats property (LEADFileSaveFormat Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | L_UINT32 SubFormats [ L_UINT uIndex]
Delphi Syntax | SubFormats [uIndex: L_UINT ]: L_UINT32
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets the sub-format options to be included in the Save or FileConversion dialog boxes. The available options depend on the format specified in the Format property and on the BPP options set in the FormatBpp property. For more information on the available formats, BPP options and sub format options, refer to Customizing File Format Lists. Sub-format options may be "OR"ed to include more than one sub-format. To include more than one sub-format option, combine the options with a bitwise OR.

You have to set the BppCount property before using this property.

See Also

Elements: | ShowSaveDlg method, ShowFileConversionDlg method, Format property, BppCount property, FormatBpp property
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


DialogsFont property (LEAD Dialog Service Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | TFont* DialogsFont
Delphi Syntax | DialogsFont: TFont
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets the font for the LEADTOOLS Common Dialogs.

See Also

Elements: | SetDialogString method, GetDialogString method.
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


FreeDialogs method (LEAD Dialog Service Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | int FreeDialogs();
Delphi Syntax | Function FreeDialogs ( ):L_INT;
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Frees the internal data for the LEADTOOLS Common Dialogs.

This method will free the internal data for the LEADTOOLS Common Dialogs Controls that was allocated by InitDialogs. You should only call this method if you have previously called the InitDialogs method. After calling this method you will not be able to use any LEADTOOLS Common Dialog Controls.

See Also

Elements: | InitDialogs method
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


GetDialogString method (LEADDlgService Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | AnsiString GetDialogString(unsigned uIndex);
Delphi Syntax | Function GetDialogString (uIndex: L_UINT32 ): String;
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets the current string for the specified index.

To modify the text strings use the SetDialogString method.

See Also

Elements: | SetDialogString method, DialogsFont property
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


InitDialogs method (LEAD Dialog Service Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | int InitDialogs(unsigned uFlags);
Delphi Syntax | Function InitDialogs (uFlags: L_UINT32 ): L_INT;
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Initializes the internal data for the LEADTOOLS Common Dialogs Controls.

You must call this method once and only once before using any LEADTOOLS Common Dialogs Controls. Additionally, you must call FreeDialogs when you are finished using LEADTOOLS Common Dialogs Controls in your application.

If you pass DLG_INIT_COLOR you must have ltclr14n.dll, ltdlgres14n.dll, and ltdlgclr14.dll.

See Also

Elements: | FreeDialogs method.
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


SetDialogString method (LEADDlgService Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | int SetDialogString(unsigned uIndex, AnsiString strDlgString);
Delphi Syntax | Function SetDialogString (uIndex: L_UINT32; strDlgString: String ): L_INT;
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Sets the new string for the specified index in order to change the dialog’s strings.

To retrieve the string at a specific index, use the GetDialogString method.

See Also

Elements: | GetDialogString method, DialogsFont property
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


AddWindowsColors property (LEADDlgWeb Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | bool AddWindowsColors
Delphi Syntax | AddWindowsColors: Boolean
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets a value that indicates whether the "Add Windows colors" checkbox was checked in the PNGWebTuner or GIFWebTuner dialog boxes. Possible values are:

Setting | Description
TRUE | The "Add Windows colors" check box was checked. Use the identity palette.
FALSE | The "Add Windows colors" check box wasn’t checked. Do not use the identity palette.

This property is associated with PNGWebTuner and GIFWebTuner dialog boxes.

See Also

Elements: | ShowPNGWebTunerDlg method, ShowGIFWebTunerDlg method.
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


BitsPerPixel property (LEADDlgWeb Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | L_UINT BitsPerPixel
Delphi Syntax | BitsPerPixel: L_UINT
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets the bits per pixel for the tuned bitmap.

This property is associated with the following dialog boxes:

PNGWebTuner dialog box | In this case the valid values will be: 1, 4, 8, 24, and 32 bpp.
GIFWebTuner dialog box | In this case the valid values will be: 1, 2, 3, 4, 5, 6, 7, and 8 bpp.

See Also

Elements: | ShowPNGWebTunerDlg method, ShowGIFWebTunerDlg method.
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


DitherType property (LEADDlgWeb Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | L_UINT DitherType
Delphi Syntax | DitherType: L_UINT
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets the dithering type to use.

Possible values are:

Value | Meaning
CRF_NODITHERING | Use nearest color matching
CRF_FLOYDSTEINDITHERING | Use Floyd-Steinberg dithering
CRF_STUCKIDITHERING | Use Stucki dithering
CRF_BURKESDITHERING | Use Burkes dithering
CRF_SIERRADITHERING | Use Sierra dithering
CRF_STEVENSONARCEDITHERING | Use Stevenson Arce dithering
CRF_JARVISDITHERING | Use Jarvis dithering
CRF_ORDEREDDITHERING | Use ordered dithering, which is faster but less accurate than other dithering methods.
CRF_CLUSTEREDDITHERING | Use clustered dithering

This property is associated with PNGWebTuner and GIFWebTuner dialog boxes.

See Also

Elements: | ShowPNGWebTunerDlg method, ShowGIFWebTunerDlg method.
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


DlgFlags property (LEADDlgWeb Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | L_UINT32 DlgFlags
Delphi Syntax | DlgFlags: L_UINT32
Overview | Refer to Using Imaging Common Dialogs.

Remarks

General property used by all the Imaging Common Dialog methods. The options set in this property determine the layout and action of the dialog boxes. The options available for each method depend on and are listed with each method.

See Also

Elements: | ShowPNGWebTunerDlg method, ShowGIFWebTunerDlg method, ShowJPEGWebTunerDlg method, ShowHTMLMapperDlg method.
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


EnableMethodErrors property (LEADDlgWeb Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | bool EnableMethodErrors
Delphi Syntax | EnableMethodErrors: Boolean
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Specifies whether LEADTOOLS generates runtime exceptions (in addition to method return values).

Setting | Description
TRUE | Generate system error events.
FALSE | Do not generate system error events.

See Also

Elements: | ShowPNGWebTunerDlg method, ShowGIFWebTunerDlg method, ShowJPEGWebTunerDlg method, ShowHTMLMapperDlg method.
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


ErrorMsg property (LEADDlgWeb Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | AnsiString ErrorMsg
Delphi Syntax | ErrorMsg: String
Overview | Refer to Using Imaging Common Dialogs.

Remarks

(Read only) Gets a string that contains the description of the error resulting from the last Common Dialog method called or property set.

See Also

Elements: | EnableMethodErrors property, Error property
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


Error property (LEADDlgWeb Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | int Error
Delphi Syntax | Error: L_INT
Overview | Refer to Using Imaging Common Dialogs.

Remarks

(Read only) Gets the error code resulting from the last Common Dialog method called or property set. If the last operation performed was successful, the value is SUCCESS or SUCCESS_DLG_OK.

For a list of error codes, refer to Error Codes.

See Also

Elements: | EnableMethodErrors property, ErrorMsg property
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


Format property (LEADDlgWeb Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | L_UINT Format
Delphi Syntax | Format: L_UINT
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets the sub format to use in the JPEGWebTuner dialog box.

Possible values are:

Value | Meaning
FILE_JPEG | JPEG File Interchange Format with YUV 4:4:4 color space and Lossless.
FILE_JPEG_411 | JPEG File Interchange Format with YUV 4:2:2 color space.
FILE_JPEG_422 | JPEG File Interchange Format with YUV 4:1:1 color space.

See Also

Elements: | ShowJPEGWebTunerDlg method.
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


HistoryALT property (LEADDlgWeb Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | AnsiString HistoryALT[L_UINT uIndex]
Delphi Syntax | HistoryALT [uIndex: L_UINT ]: String
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets the ALTs displayed in the ALT History Combo Box in the HTMLMapper dialog box.

The ALT history combo box may be used to enter a short description of a specific area. Some browsers can display this text as a tool tip when the user hovers over the area. This property can be = ‘’ ("").

This property will be updated with the value entered by the user in the dialog.

See Also

Elements: | ShowHTMLMapperDlg method.
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


HistoryALTMaxLength property (LEADDlgWeb Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | L_UINT HistoryALTMaxLength
Delphi Syntax | HistoryALTMaxLength: L_UINT
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets the maximum size of the ALT strings displayed in the ALT History Combo Box in the HTMLMapper dialog box. All ALT Strings will have the same size.

See Also

Elements: | ShowHTMLMapperDlg method.
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


HistoryALTsCount property (LEADDlgWeb Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | L_UINT HistoryALTsCount
Delphi Syntax | HistoryALTsCount: L_UINT
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets the number of ALT strings in the HTMLMapper dialog box.

This property value should be greater than or equal to HistoryALTsValidCount property.

See Also

Elements: | ShowHTMLMapperDlg method.
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


HistoryALTsValidCount property (LEADDlgWeb Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | L_UINT HistoryALTsValidCount
Delphi Syntax | HistoryALTsValidCount: L_UINT
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets the number of valid ALT strings in the ALT combo box of the HTMLMapper dialog box.

When the dialog method is called ([in]), this property determines the number of valid strings that should be inserted into the ALT combo box. When the dialog method returns ([out]), this property is updated with the number of saved strings in the ALT combo box. The HistoryALTsValidCount property should always be less than or equal to the HistoryALTsCount property.

See Also

Elements: | ShowHTMLMapperDlg method.
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


HistoryRolloverMaxLength property (LEADDlgWeb Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | L_UINT HistoryRolloverMaxLength
Delphi Syntax | HistoryRolloverMaxLength: L_UINT
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets the maximum size of the Rollover strings displayed in the Rollover History Combo Box in the HTMLMapper dialog box.

All Rollover Strings will have the same size.

See Also

Elements: | ShowHTMLMapperDlg method.
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


HistoryRollover property (LEADDlgWeb Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | AnsiString HistoryRollover[L_UINT uIndex]
Delphi Syntax | HistoryRollover [uIndex: L_UINT ]: String
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets the information displayed in the Rollover History Combo Box in the HTMLMapper dialog box.

This property can be = ‘’ ("").

This property will be updated with the value entered by the user in the dialog.

See Also

Elements: | ShowHTMLMapperDlg method.
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


HistoryRolloversCount property (LEADDlgWeb Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | L_UINT HistoryRolloversCount
Delphi Syntax | HistoryRolloversCount: L_UINT
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets the number of Rollovers in the HTMLMapper dialog box.

This property value should be greater than or equal to the HistoryRolloversValidCount property.

See Also

Elements: | ShowHTMLMapperDlg method.
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


HistoryRolloversValidCount property (LEADDlgWeb Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | L_UINT HistoryRolloversValidCount
Delphi Syntax | HistoryRolloversValidCount: L_UINT
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets the number of valid Rollover strings in the Rollover combo box of the HTMLMapper dialog box.

When the dialog method is called ([in]), this property determines the number of valid strings that should be inserted into the Rollover combo box. When the dialog method returns ([out]), this property is updated with the number of saved strings in the Rollover combo box. The HistoryRolloversValidCount property should always be less than or equal to the HistoryRolloversCount property.

See Also

Elements: | ShowHTMLMapperDlg method.
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


HistoryTargetMaxLength property (LEADDlgWeb Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | L_UINT HistoryTargetMaxLength
Delphi Syntax | HistoryTargetMaxLength: L_UINT
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets the maximum size of the Target strings displayed in the "Image" History Combo Box in the HTMLMapper dialog box.

All Target Strings will have the same size.

See Also

Elements: | ShowHTMLMapperDlg method.
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


HistoryTarget property (LEADDlgWeb Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | AnsiString HistoryTarget[L_UINT uIndex]
Delphi Syntax | HistoryTarget [uIndex: L_UINT ]: String
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets the information displayed in the "Image" History Combo Box in the HTMLMapper dialog box.

The information in the "Image" combo box can be used to determine how the new page should be displayed. This property can be = ‘’ ("").

This property will be updated with the value entered by the user in the dialog.

See Also

Elements: | ShowHTMLMapperDlg method.
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


HistoryTargetsCount property (LEADDlgWeb Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | L_UINT HistoryTargetsCount
Delphi Syntax | HistoryTargetsCount: L_UINT
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets the number of Targets in the HTMLMapper dialog box.

This property value should be greater than or equal to the HistoryTargetsValidCount property.

See Also

Elements: | ShowHTMLMapperDlg method.
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


HistoryTargetsValidCount property (LEADDlgWeb Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | L_UINT HistoryTargetsValidCount
Delphi Syntax | HistoryTargetsValidCount: L_UINT
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets the number of valid Target strings in the "Image" combo box of the HTMLMapper dialog box.

When the dialog method is called ([in]), this property determines the number of valid strings that should be inserted into the "Image" combo box. When the dialog method returns ([out]), this property is updated with the number of saved strings in the "Image" combo box. The HistoryTargetsValidCount property should always be less than or equal to the HistoryTargetsCount property.

See Also

Elements: | ShowHTMLMapperDlg method.
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


HistoryURLMaxLength property (LEADDlgWeb Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | L_UINT HistoryURLMaxLength
Delphi Syntax | HistoryURLMaxLength: L_UINT
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets the maximum size of the URL strings displayed in the URL History Combo Box in the HTMLMapper dialog box.

All URL Strings will have the same size.

See Also

Elements: | ShowHTMLMapperDlg method.
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


HistoryURL property (LEADDlgWeb Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | AnsiString HistoryURL[L_UINT uIndex]
Delphi Syntax | HistoryURL [uIndex: L_UINT ]: String
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets the URLs displayed in the URL History Combo Box in the HTMLMapper dialog box.

These URLs may be associated with a specific area and activated when the user clicks on that area.

This property can be = ‘’ ("").

This property will be updated with the value entered by the user in the dialog.

See Also

Elements: | ShowHTMLMapperDlg method.
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


HistoryURLsCount property (LEADDlgWeb Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | L_UINT HistoryURLsCount
Delphi Syntax | HistoryURLsCount: L_UINT
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets the number of URLs in the URL History Combo Box in the HTMLMapper dialog box.

This property value should be greater than or equal to the HistoryURLsValidCount property.

See Also

Elements: | ShowHTMLMapperDlg method.
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


HistoryURLsValidCount property (LEADDlgWeb Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | L_UINT HistoryURLsValidCount
Delphi Syntax | HistoryURLsValidCount: L_UINT
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets the number of valid URL strings in the URL combo box of the HTMLMapper dialog box.

When the dialog method is called ([in]), this property determines the number of valid strings that should be inserted into the URL combo box. When the dialog method returns ([out]), this property is updated with the number of saved strings in the URL combo box. The HistoryURLsValidCount property should always be less than or equal to the HistoryURLsCount property.

See Also

Elements: | ShowHTMLMapperDlg method.
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


Interlaced property (LEADDlgWeb Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | bool Interlaced
Delphi Syntax | Interlaced: Boolean
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets a value that indicates whether the "Interlaced" checkbox was checked in the GIFWebTuner dialog box. Possible values are:

Value | Meaning
TRUE | The "Interlaced" check box was checked. The GIF image will be interlaced.
FALSE | The "Interlaced" check box wasn’t checked. The GIF image will not be interlaced.

See Also

Elements: | ShowGIFWebTunerDlg method.
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


LEADDlgService property (LEADDlgWeb Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | TLEADDlgService* LEADDlgService
Delphi Syntax | LEADDlgService: TLEADDlgService
Overview | Refer to Using Imaging Common Dialogs.

Remarks

A general property used by all the control dialogs; it is a LEAD Dialog Service Control. To apply the font set in the DialogsFont property to the dialogs of this control, set this property for the Dialog Service Control that has the font you want to apply.

See Also

Elements: | LEADImage property
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


LEADImage property (LEADDlgWeb Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | TLEADImage* LEADImage
Delphi Syntax | LEADImage: TLEADImage
Overview | Refer to Using Imaging Common Dialogs.

Remarks

A general property used by most of the control dialogs; it is a LEAD Main Control. For any Common Dialog method in which the AUTOPROCESS or SHOWPREVIEW flags are set in the DlgFlags property, you must assign a Main Control to the Control LEADImage property. This causes the Main Control's bitmap to be referenced in the Dialog Control methods and a copy is NOT created.

See Also

Elements: | LEADDlgService Property
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


NumOfColors property (LEADDlgWeb Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | L_UINT NumOfColors
Delphi Syntax | NumOfColors: L_UINT
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets the maximum number of colors that the image can have.

When the BitsPerPixel property is 8 or less the image will use indexed colors.

This property is associated with PNGWebTuner and GIFWebTuner dialog boxes:

Possible values range from 2 to 256. Indexed PNG or GIF images can have from 2 colors to 256 colors.

Using fewer colors results in smaller files, but also reduces the quality of the image.

See Also

Elements: | ShowPNGWebTunerDlg method, ShowGIFWebTunerDlg method.
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


PaletteType property (LEADDlgWeb Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | L_UINT PaletteType
Delphi Syntax | PaletteType: L_UINT
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets the type of palette to use.

Possible values are:

Value | Meaning
CRF_FIXEDPALETTE | Use the fixed palette
CRF_OPTIMIZEDPALETTE | Create an optimized palette

This property is associated with the PNGWebTuner and GIFWebTuner dialog boxes.

See Also

Elements: | ShowPNGWebTunerDlg method, ShowGIFWebTunerDlg method.
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


Progressive property (LEADDlgWeb Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | bool Progressive
Delphi Syntax | Progressive: Boolean
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets a value that indicates whether the "Progressive" checkbox was checked in the JPEGWebTuner dialog box. Possible values:

Value | Meaning
TRUE | The "Progressive" check box was checked. Save the JPEG image as a progressive image.
FALSE | The "Progressive" check box wasn’t checked. Do not save the JPEG image as a progressive image.

Progressive images are useful when transmitting images, because the first part of the file contains the full dimensions of the image. Therefore, in a paint-while-load routine, you can display the whole image, and then progressively clarify it as the rest of the file loads.

See Also

Elements: | ShowJPEGWebTunerDlg method.
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


Quality property (LEADDlgWeb Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | L_INT Quality
Delphi Syntax | Quality: L_INT
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets a value that represents the degree of loss in the compression process in the JPEGWebTuner dialog box.

Valid values are between 2 (highest quality) and 255 (smallest file size) For more information; refer to the Compression Quality Factors .

See Also

Elements: | ShowJPEGWebTunerDlg method.
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


ShowHelpButton property (LEADDlgWeb Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | bool ShowHelpButton
Delphi Syntax | ShowHelpButton: Boolean
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Used by all the control dialogs. It determines if a Help button will be displayed in the dialog. Possible values are:

Setting | Description
TRUE | Help Button will be displayed.
FALSE | Help Button will not be displayed and the OnDlgHelp Event will not be available for the dialogs.

See Also

Elements: | OnDlgHelp Event, ShowPNGWebTunerDlg method, ShowGIFWebTunerDlg method, ShowJPEGWebTunerDlg method, ShowHTMLMapperDlg method.
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


TransparencyTolerance property (LEADDlgWeb Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | L_UINT TransparencyTolerance
Delphi Syntax | TransparencyTolerance: L_UINT
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets tolerance value.

This property determines how close a pixel's RGB value should be to the specified transparent color to be considered transparent. A tolerance of 0 means only the transparent color specified in the TransparentColor property will be considered transparent. Specifying larger numbers will make more of the image transparent.

Valid values are from 0 to 255.

This property is associated with PNGWebTuner and GIFWebTuner dialog boxes:

See Also

Elements: | ShowPNGWebTunerDlg method, ShowGIFWebTunerDlg method.
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


Transparent property (LEADDlgWeb Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | bool Transparent
Delphi Syntax | Transparent: Boolean
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets a value that indicates whether the "Transparency-Enabled" checkbox was checked in the PNGWebTuner or GIFWebTuner dialog boxes. Possible values are:

Value | Meaning
TRUE | The "Transparency-Enabled" check box was checked. The PNG or GIF image will have a transparent color.
FALSE | The "Transparency-Enabled" check box wasn’t checked. The PNG or GIF image will not have a transparent color.

This property is associated with PNGWebTuner and GIFWebTuner dialog boxes.

Note: not all web browsers are capable of presenting transparency for PNG images (especially for 24bits PNG images).

See Also

Elements: | ShowPNGWebTunerDlg method, ShowGIFWebTunerDlg method.
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


TransparentColor property (LEADDlgWeb Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | COLORREF TransparentColor
Delphi Syntax | TransparentColor: COLORREF
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets the color that will be transparent in the image.

This property is associated with the following dialog boxes:

PNGWebTuner dialog box | In this case it represents the color that will be transparent in the PNG image.
GIFWebTuner dialog box | In this case it represents the color that will be transparent in the GIF image.

See Also

Elements: | ShowPNGWebTunerDlg method, ShowGIFWebTunerDlg method.
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


WithStamp property (LEADDlgWeb Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | bool WithStamp
Delphi Syntax | WithStamp: Boolean
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Gets or sets a value that indicates whether the "Save Thumbnail" checkbox was checked in the JPEGWebTuner dialog box. Possible values are:

Value | Meaning
TRUE | The "Save Thumbnail" check box was checked. Save the image with a stamp.
FALSE | The "Save Thumbnail" check box wasn’t checked. Save the image without a stamp.

A stamp is a small thumbnail image saved in addition to the normal image in same file.

See Also

Elements: | ShowJPEGWebTunerDlg method.
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


ZoomToFit property (LEADDlgWeb Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | bool ZoomToFit
Delphi Syntax | ZoomToFit: Boolean
Overview | Refer to Using Imaging Common Dialogs.

Remarks

General property used by all the Imaging Common Dialog methods.

It is a flag that indicates the initial zoom level for previewing the image. Possible values are:

Value | Meaning
TRUE | Set the initial zoom level to "Zoom to fit".
FALSE | Set the initial zoom level to "Normal (1:1)".

See Also

Elements: | ShowPNGWebTunerDlg method, ShowGIFWebTunerDlg method, ShowJPEGWebTunerDlg method, ShowHTMLMapperDlg method.
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


ShowGIFWebTunerDlg method (LEADDlgWeb Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | int ShowGIFWebTunerDlg (TWinControl* AOwnerCtrl);
Delphi Syntax | Function ShowGIFWebTunerDlg (AOwnerCtrl: TWinControl ): L_INT;
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Displays the GIF Web Tuner dialog box, and gets the tuning options used by ColorRes, Fill, and Save methods.

The layout and action of the dialog depends on the flags set in the DlgFlags property. Possible options are:

Value | Meaning
DLG_GIFWEBTUNER_SHOW_CONTEXTHELP | [$00000001] Dialog should contain a context sensitive help icon.
DLG_GIFWEBTUNER_SHOW_PREVIEW | [$00000002] Show a preview of the image in the dialog. The LEADImage property must be assigned a Main Control containing a valid bitmap before calling this method.
DLG_GIFWEBTUNER_SHOW_TOOL_ZOOMLEVEL | [$00000004] Show the "Zoom to fit" and "Zoom Normal" toolbar buttons. The DLG_GIFWEBTUNER_SHOW_PREVIEW flag must be set in order to show these buttons.
DLG_GIFWEBTUNER_SHOW_TOOL_COLORPICKER | [$00000008] Show the Color button.
DLG_GIFWEBTUNER_SHOW_ADDWINDOWCOLOR | [$00000020] Show the Add Window colors check box.
DLG_GIFWEBTUNER_SHOW_TRANSPARENCY | [$00000040] Show the Transparency group of controls.
DLG_GIFWEBTUNER_SHOW_INFORMATION | [$00000080] Show the Information group of controls.
DLG_GIFWEBTUNER_SHOW_OPTIONS | [$00000100] Show the Options group of controls.
DLG_GIFWEBTUNER_SHOW_EXPORT | [$00000200] Show the Export button instead of the OK button.

These values may be combined by ORing them.

If you include DLG_GIFWEBTUNER_SHOW_PREVIEW in the DlgFlags property, the LEADImage property must be assigned a Main Control containing a valid bitmap before calling this method.

The following properties are associated with this method:

TransparentColor property.

PaletteType property.

AddWindowsColors property.

DitherType property.

BitsPerPixel property.

NumOfColors property.

TransparencyTolerance property.

Transparent property

Interlaced property.

To include a Help button in the dialog, set the ShowHelpButton property to TRUE.

The GIF Web Tuner dialog can be seen below:

See Also

Elements: | TransparentColor property, PaletteType property, AddWindowsColors property, DitherType property, BitsPerPixel property, NumOfColors property, TransparencyTolerance property, Transparent property, Interlaced property, ShowHelpButton property, ZoomToFit Property, DlgFlags property, EnableMethodErrors property.
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


ShowHTMLMapperDlg method (LEADDlgWeb Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | int ShowHTMLMapperDlg (TWinControl* AOwnerCtrl);
Delphi Syntax | Function ShowHTMLMapperDlg (AOwnerCtrl: TWinControl ): L_INT;
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Displays the HTML Map Creator dialog, in order to create an HTML map upon an image. Use this dialog to create an HTML map area using the given bitmap.

The layout and action of the dialog depends on the flags set in the DlgFlags property. Possible option is:

Value | Meaning
DLG_HTMLMAPPER_SHOW_CONTEXTHELP | [$00000001] Dialog should contain a context sensitive help icon.

The following properties are associated with this method:

URL property

URLMaxLength property

URLsCount property

URLsValidCount property

ALT property

ALTMaxLength property

ALTsCount property

ALTsValidCount property

Target property

TargetMaxLength property

TargetsCount property

TargetsValidCount property

Rollover property

RolloverMaxLength property

RolloversCount property

RolloversValidCount property

To include a Help button in the dialog, set the ShowHelpButton property to TRUE.

The HTML Map Creator dialog can be seen below:

See Also

Elements: | HistoryURL property, HistoryURLMaxLength property, HistoryURLsCount property, HistoryURLsValidCount property, HistoryALT property, HistoryALTMaxLength property, HistoryALTsCount property, HistoryALTsValidCount property, HistoryTarget property, HistoryTargetMaxLength property, HistoryTargetsCount property, HistoryTargetsValidCount property, HistoryRollover property, HistoryRolloverMaxLength property, HistoryRolloversCount property, HistoryRolloversValidCount property.
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


ShowJPEGWebTunerDlg method (LEADDlgWeb Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | int ShowJPEGWebTunerDlg (TWinControl* AOwnerCtrl);
Delphi Syntax | Function ShowJPEGWebTunerDlg (AOwnerCtrl: TWinControl ): L_INT;
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Displays the JPEG Web Tuner dialog box, and gets the tuning options used by the Save and SaveWithStamp methods.

The layout and action of the dialog depends on the flags set in the DlgFlags property. Possible options are:

Value | Meaning
DLG_JPEGWEBTUNER_SHOW_CONTEXTHELP | [$00000001] Dialog should contain a context sensitive help icon.
DLG_JPEGWEBTUNER_SHOW_PREVIEW | [$00000002] Show a preview of the image in the dialog. The LEADImage property must be assigned a Main Control containing a valid bitmap before calling this method.
DLG_JPEGWEBTUNER_SHOW_TOOL_ZOOMLEVEL | [$00000004] Show the "Zoom to fit" and "Zoom Normal" toolbar buttons. The DLG_JPEGWEBTUNER_SHOW_PREVIEW flag must be set in order to show these buttons.
DLG_JPEGWEBTUNER_SHOW_INFORMATION | [$00000008] Show the Information group of controls.
DLG_JPEGWEBTUNER_SHOW_SAVETHUMBNAIL | [$00000010] Show the Save Thumbnail control.
DLG_JPEGWEBTUNER_SHOW_OPTIONS | [$00000100] Show the Options group of controls.
DLG_JPEGWEBTUNER_SHOW_EXPORT | [$00000200] Show the Export button instead of the OK button.

These values may be combined by ORing them.

If you include DLG_JPEGWEBTUNER_SHOW_PREVIEW in the DlgFlags property, the LEADImage property must be assigned a Main Control containing a valid bitmap before calling this method.

The following properties are associated with this method:

Quality property

Format property

Progressive property

WithStamp property

To include a Help button in the dialog, set the ShowHelpButton property to TRUE.

The JPEG Web Tuner dialog can be seen below:

See Also

Elements: | Quality property, Format property, Progressive property, WithStamp property, ShowHelpButton property, ZoomToFit Property, DlgFlags property, EnableMethodErrors property.
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


ShowPNGWebTunerDlg method (LEADDlgWeb Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | int ShowPNGWebTunerDlg (TWinControl* AOwnerCtrl);
Delphi Syntax | Function ShowPNGWebTunerDlg (AOwnerCtrl: TWinControl ): L_INT;
Overview | Refer to Using Imaging Common Dialogs.

Remarks

Displays the PNG Web Tuner dialog box, and gets the tuning options used by the ColorRes, Fill, and Save methods.

The layout and action of the dialog depends on the flags set in the DlgFlags property. Possible options are:

Value | Meaning
DLG_PNGWEBTUNER_SHOW_CONTEXTHELP | [$00000001] Dialog should contain a context sensitive help icon.
DLG_PNGWEBTUNER_SHOW_PREVIEW | [$00000002] Show a preview of the image in the dialog. The LEADImage property must be assigned a Main Control containing a valid bitmap before calling this method.
DLG_PNGWEBTUNER_SHOW_TOOL_ZOOMLEVEL | [$00000004] Show the "Zoom to fit" and "Zoom Normal" toolbar buttons. The DLG_PNGWEBTUNER_SHOW_PREVIEW flag must be set in order to show these buttons.
DLG_PNGWEBTUNER_SHOW_TOOL_COLORPICKER | [$00000008] Show the color button in the toolbar.
DLG_PNGWEBTUNER_SHOW_INFORMATION | [$00000010] Show the Information group of controls.
DLG_PNGWEBTUNER_SHOW_ADDWINDOWCOLOR | [$00000020] Show the Add Window Colors check box.
DLG_PNGWEBTUNER_SHOW_TRANSPARENCY | [$00000040] Show the Transparency group of controls.
DLG_PNGWEBTUNER_SHOW_EXPORT | [$00000080] Show the Export button instead of the OK button.

These values may be combined by ORing them.

If you include DLG_PNGWEBTUNER_SHOW_PREVIEW in the DlgFlags property, the LEADImage property must be assigned a Main Control containing a valid bitmap before calling this method.

The following properties are associated with this method:

TransparentColor property

PaletteType property

AddWindowsColors property

DitherType property

BitsPerPixel property

NumOfColors property

TransparencyTolerance property

Transparent property

To include a Help button in the dialog, set the ShowHelpButton property to TRUE.

The PNG Web Tuner dialog can be seen below:

See Also

Elements: | TransparentColor property, PaletteType property, AddWindowsColors property, DitherType property, BitsPerPixel property, NumOfColors property, TransparencyTolerance property, Transparent property, ShowHelpButton property, ZoomToFit Property, DlgFlags property, EnableMethodErrors property.
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


OnDlgHelp Event (LEADDlgWeb Control)

C++ Builder example

Delphi 4.0 example

Builder Syntax | void OnDlgHelp (unsigned uDialogID);
Delphi Syntax | procedure OnDlgHelp (uDialogID: L_UINT32);
Overview | Refer to Using Imaging Common Dialogs.

Remarks

The OnDlgHelp event is triggered when the user clicks on the Help Button on any dialog. To include a help button in a dialog, ShowHelpButton property must be set to TRUE.

See Also

Elements: | ShowHelpButton property, ShowPNGWebTunerDlg method, ShowGIFWebTunerDlg method, ShowJPEGWebTunerDlg method, ShowHTMLMapperDlg method
Topics: | Imaging Common Dialogs: Properties, Methods, and Events


Dialog Strings

The following strings can be accessed and modified using GetDialogString method and SetDialogString method.

Generic Control Strings |
DLG_ICCPROFILE_IDSTR_MSG_LOAD_SUCCESS | ICC Profile loaded successfully from %s file
DLG_ICCPROFILE_IDSTR_MSG_LOAD_SUCCESS_CAPTION | Load Success
DLG_ICCPROFILE_IDSTR_MSG_SAVE_SUCCESS | ICC Profile saved successfully in %s file
DLG_ICCPROFILE_IDSTR_MSG_SAVE_SUCCESS_CAPTION | Save Success
DLG_SAVE_IDSTR_QFACTOR_ABCQ_MODIFIED1_FAST | Modified1 fast compression
DLG_IDSTR_OK | OK
DLG_IDSTR_CANCEL | Cancel
DLG_IDSTR_HELP | &Help
DLG_IDSTR_BEFORE | Before
DLG_IDSTR_AFTER | After
Tool tip strings |
DLG_IDSTR_TOOLTIP_ZOOMNORMAL | Zoom to Normal
DLG_IDSTR_TOOLTIP_ZOOMTOFIT | Zoom to Fit Window
DLG_IDSTR_TOOLTIP_AUTOPREVIEW | Auto Preview
DLG_IDSTR_TOOLTIP_PREVIEW | Preview
DLG_IDSTR_TOOLTIP_RESET | Reset Preview
DLG_IDSTR_TOOLTIP_EYEDROPPER | Eye Dropper
DLG_IDSTR_PREVIEWNOTAVAILABLE | Preview not available
Status Bar Strings |
DLG_IDSTR_STATUS_PREPARINGDATA | Preparing Data
DLG_IDSTR_STATUS_APPLYINGEFFECT | Applying Effect
DLG_IDSTR_STATUS_IDLE | Idle
Common Menu Strings |
DLG_IDSTR_HSBHUE | HSB-Hue Based
DLG_IDSTR_HSBWHEEL | HSB-Wheel Based
DLG_IDSTR_HSBBRIGHTNESS | HSB-Brightness Based
DLG_IDSTR_RGBADDITIVE | RGB-3D Additive
DLG_IDSTR_CMYSUBTRACTIVE | CMY-3D Subtractive
DLG_IDSTR_CMYKSUBTRACTIVE | CMYK-3D Subtractive
DLG_IDSTR_LABDEVICEINDEPENDENT | LAB- Device Independent
AutoTrim Dialog Strings |
DLG_AUTOTRIM_IDSTR_CAPTION | Auto Trim
DLG_AUTOTRIM_IDSTR_THRESHOLD | &Threshold
Color Picker Dialog Strings |
DLG_COLOR_IDSTR_CAPTION | Color Picker
DLG_COLOR_IDSTR_NAME | &Name
DLG_COLOR_IDSTR_RGB | RGB
DLG_COLOR_IDSTR_HSB | HSB
DLG_COLOR_IDSTR_HLS | HLS
DLG_COLOR_IDSTR_CMY | CMY
DLG_COLOR_IDSTR_CMYK | CMYK
DLG_COLOR_IDSTR_LAB | Lab
Canvas Resize Dialog Strings |
DLG_CANVASRESIZE_IDSTR_CAPTION | Canvas Resize
DLG_CANVASRESIZE_IDSTR_SIZE | Size
DLG_CANVASRESIZE_IDSTR_NEWWIDTH | New &Width:
DLG_CANVASRESIZE_IDSTR_NEWHEIGHT | New &Height:
DLG_CANVASRESIZE_IDSTR_MAINTAINASPECTRATIO | Maintain &Aspect Ratio
DLG_CANVASRESIZE_IDSTR_CURRENTWIDTH | Current Width:
DLG_CANVASRESIZE_IDSTR_CURRENTHIGHT | Current Height:
DLG_CANVASRESIZE_IDSTR_POSITION | Position
DLG_CANVASRESIZE_IDSTR_HORIZONTAL | Hori&zontal:
DLG_CANVASRESIZE_IDSTR_LEFT | Left
DLG_CANVASRESIZE_IDSTR_RIGHT | Right
DLG_CANVASRESIZE_IDSTR_VERTICAL | &Vertical:
DLG_CANVASRESIZE_IDSTR_TOP | Top
DLG_CANVASRESIZE_IDSTR_BOTTOM | Bottom
DLG_CANVASRESIZE_IDSTR_CENTER | Center
DLG_CANVASRESIZE_IDSTR_CUSTOM | Custom
DLG_CANVASRESIZE_IDSTR_BKGCOLOR | &Background Color:
Picturize Dialog Strings |
DLG_PICTURIZE_IDSTR_CAPTION | Picturize
DLG_PICTURIZE_IDSTR_CELLWIDTH | &Width (Pixels):
DLG_PICTURIZE_IDSTR_CELLHEIGHT | &Height (Pixels):
DLG_PICTURIZE_IDSTR_OPTIONS | &Options
DLG_PICTURIZE_IDSTR_BESTFIT | &Best Fit
DLG_PICTURIZE_IDSTR_FOLDER | &Folder:
DLG_PICTURIZE_IDSTR_EQUALUSAGE | &Equal Usage
DLG_PICTURIZE_IDSTR_USEONCE | &Use Once
DLG_PICTURIZE_IDSTR_CELLSIZE | &Cell Size
DLG_PICTURIZE_IDSTR_RESIZE | &Resize:
DLG_PICTURIZE_IDSTR_VALIDATEFOLDER | &Validate Folder...
DLG_PICTURIZE_IDSTR_BROWSE_DIR_TITLE | Browse for images folder:
DLG_PICTURIZE_IDSTR_RESIZE_NONE | None
DLG_PICTURIZE_IDSTR_RESIZE_NORMAL | Normal
DLG_PICTURIZE_IDSTR_RESIZE_RESAMPLE | Resample
DLG_PICTURIZE_IDSTR_MSG_SETFOLDER_TEXT | The images must be set before applying the picturize function.
DLG_PICTURIZE_IDSTR_MSG_SETFOLDER_CAPTION | Error
DLG_PICTURIZE_IDSTR_MSG_NOFOLDER_TEXT | No folder specified please specify a folder and try again
DLG_PICTURIZE_IDSTR_MSG_NOFOLDER_CAPTION | Error
DLG_PICTURIZE_IDSTR_PROGRESS_ENOUGHIMAGES | The specified folder contains enough images to complete the picturize effect.
DLG_PICTURIZE_IDSTR_PROGRESS_NOENOUGHIMAGES | The specified folder doesn't contain enough images to complete the picturize effect.
Picturize Validity Report |
DLG_PICTURIZE_EVALIDITYREPORT_IDSTR_CAPTION | Folder Images Validity
DLG_PICTURIZE_EVALIDITYREPORT_IDSTR_NEEDEDIMAGES | Needed Images:
DLG_PICTURIZE_EVALIDITYREPORT_IDSTR_AVAILABLEIMAGES | Proper Available Images:
Picturize Count Images Dialog Strings |
DLG_PICTURIZE_COUNTIMAGESINFOLDER_IDSTR_CAPTION | Calculating Images In Folder...
DLG_PICTURIZE_COUNTIMAGESINFOLDER_IDSTR_PROCESSINGFOLDER | Processing Folder
DLG_PICTURIZE_COUNTIMAGESINFOLDER_IDSTR_COUNTINGIMAGES | Counting Images
Customize Palette dialog |
DLG_CUSTOMIZEPALETTE_IDSTR_CAPTION | Customize Palette
DLG_CUSTOMIZEPALETTE_IDSTR_PALETTE | &Palette:
DLG_CUSTOMIZEPALETTE_IDSTR_IMAGECLR | Image Colors
DLG_CUSTOMIZEPALETTE_IDSTR_UNIFORM | Uniform Colors
DLG_CUSTOMIZEPALETTE_IDSTR_GRAYSCALE | Grayscale
DLG_CUSTOMIZEPALETTE_IDSTR_NETSCAPE | Netscape Navigator (TM)
DLG_CUSTOMIZEPALETTE_IDSTR_MICROSOFTIE | Microsoft Internet Explorer
DLG_CUSTOMIZEPALETTE_IDSTR_STANDERDVGA | Standard VGA
DLG_CUSTOMIZEPALETTE_IDSTR_SYSTEMCOLOR | System Colors
DLG_CUSTOMIZEPALETTE_IDSTR_REPLACE | &Replace >>
DLG_CUSTOMIZEPALETTE_IDSTR_ADD | A&dd >>
DLG_CUSTOMIZEPALETTE_IDSTR_ATTHEEND | At the &End
DLG_CUSTOMIZEPALETTE_IDSTR_AFTERSELECTED | &After Selected
DLG_CUSTOMIZEPALETTE_IDSTR_BEFORESELECTED | &Before Selected
DLG_CUSTOMIZEPALETTE_IDSTR_REMOVE | Re&move
DLG_CUSTOMIZEPALETTE_IDSTR_CONFIRM | &Confirm
DLG_CUSTOMIZEPALETTE_IDSTR_FINDCLOSEST | &Find Closest >>
DLG_CUSTOMIZEPALETTE_IDSTR_SORT | Sor&t
DLG_CUSTOMIZEPALETTE_IDSTR_HSB | &HSB
DLG_CUSTOMIZEPALETTE_IDSTR_HUE | H&UE
DLG_CUSTOMIZEPALETTE_IDSTR_SATURATION | &Saturation
DLG_CUSTOMIZEPALETTE_IDSTR_BRIGHTNESS | &Brightness
DLG_CUSTOMIZEPALETTE_IDSTR_RGBMNU | &RGB
DLG_CUSTOMIZEPALETTE_IDSTR_REVERSE | Re&verse
DLG_CUSTOMIZEPALETTE_IDSTR_COLORMODEL | &Color Model
DLG_CUSTOMIZEPALETTE_IDSTR_PALETTEMNU | &Palette
DLG_CUSTOMIZEPALETTE_IDSTR_NEW | &New
DLG_CUSTOMIZEPALETTE_IDSTR_OPEN | &Open...
DLG_CUSTOMIZEPALETTE_IDSTR_OPEN_EXTENSION | LEADTOOLS Palette Files (*.ltp)|*.ltp||
DLG_CUSTOMIZEPALETTE_IDSTR_SAVE | &Save
DLG_CUSTOMIZEPALETTE_IDSTR_SAVEAS | Sa&ve As...
DLG_CUSTOMIZEPALETTE_IDSTR_SAVEAS_EXTENSION | LEADTOOLS Palette Files (*.ltp)|*.ltp||
DLG_CUSTOMIZEPALETTE_IDSTR_RGB | RGB:
DLG_CUSTOMIZEPALETTE_IDSTR_HTML | HTML:
DLG_CUSTOMIZEPALETTE_IDSTR_INDEX | Index:
DLG_CUSTOMIZEPALETTE_IDSTR_HTML_FORMAT | HTML:#%2X%2X%2X
DLG_CUSTOMIZEPALETTE_IDSTR_RGB_FORMAT | RGB:%d %d %d
DLG_CUSTOMIZEPALETTE_IDSTR_INDEX_FORMAT | Index:%d
DLG_CUSTOMIZEPALETTE_IDSTR_CLOSE | Close
DLG_CUSTOMIZEPALETTE_IDSTR_APPLYPALETTEWHENEXIT | Apply Palette &When Exit
The CUSTOMIZEPALETTE error messages |
DLG_CUSTOMIZEPALETTE_IDSTR_MSG_SAVETITLE_TEXT | File Save error
DLG_CUSTOMIZEPALETTE_IDSTR_MSG_OPENTITLE_TEXT | File Open error
DLG_CUSTOMIZEPALETTE_IDSTR_MSG_LOSE_CHANGES_CAPTION | Warning
DLG_CUSTOMIZEPALETTE_IDSTR_MSG_LOSE_CHANGES_TEXT | All changes will be lost.
DLG_CUSTOMIZEPALETTE_IDSTR_MSG_NOT_PALETTE_CAPTION | Error
DLG_CUSTOMIZEPALETTE_IDSTR_MSG_NOT_PALETTE_TEXT | The file specified is not a valid palette file.\nFile can't be opened.
DLG_CUSTOMIZEPALETTE_IDSTR_MSG_NO_SELECTION_CAPTION | Error
DLG_CUSTOMIZEPALETTE_IDSTR_MSG_NO_SELECTION_TEXT | No item(s) is selected.\nPlease select an item and then try again.
DLG_CUSTOMIZEPALETTE_IDSTR_MSG_FIND_CLOSEST_CAPTION | Error
DLG_CUSTOMIZEPALETTE_IDSTR_MSG_FIND_CLOSEST_TEXT | Unable to find the closest color.
DLG_CUSTOMIZEPALETTE_IDSTR_MSG_NO_RIGHT_SEL_CAPTION | Error
DLG_CUSTOMIZEPALETTE_IDSTR_MSG_NO_RIGHT_SEL_TEXT | Add position is unknown in the right pane Please select an item from the right pane and try again.
DLG_CUSTOMIZEPALETTE_IDSTR_MSG_ADD_SELECTION_CAPTION | Error
DLG_CUSTOMIZEPALETTE_IDSTR_MSG_ADD_SELECTION_TEXT | More then one color is being selected in the right pane.\nPlease select only one color and then try again.
DLG_CUSTOMIZEPALETTE_IDSTR_MSG_MAX_COLORS_CAPTION | Error
DLG_CUSTOMIZEPALETTE_IDSTR_MSG_MAX_COLORS_TEXT | Max colors in palette have been reached. No more items can be added.
DLG_CUSTOMIZEPALETTE_IDSTR_MSG_DUPLICATE_CLR_CAPTION | Error
DLG_CUSTOMIZEPALETTE_IDSTR_MSG_DUPLICATE_CLR_TEXT | Color with index: %d RGB: %d %d %d already exists.\n Do you want to skip this color?\nOk: To skip.\nCancel: To abort the operation.
DLG_CUSTOMIZEPALETTE_IDSTR_MSG_DUPLCLR_NO_INDEX_CAPTION | Error
DLG_CUSTOMIZEPALETTE_IDSTR_MSG_DUPLCLR_NO_INDEX_TEXT | Color with RGB %d %d %d already exists.
DLG_CUSTOMIZEPALETTE_IDSTR_MSG_CONFIRM_REMOVE_CAPTION | Warning
DLG_CUSTOMIZEPALETTE_IDSTR_MSG_CONFIRM_REMOVE_TEXT | You are about to delete the selected item(s) in the right pane.
DLG_CUSTOMIZEPALETTE_IDSTR_MSG_IN_RIGHT_PAN_CAPTION | Error
DLG_CUSTOMIZEPALETTE_IDSTR_MSG_IN_RIGHT_PAN_TEXT | Couldn't perform operation. No item(s) in the right pane.
DLG_CUSTOMIZEPALETTE_IDSTR_MSG_FIND_CLOSEST_SEL_CAPTION | Error
DLG_CUSTOMIZEPALETTE_IDSTR_MSG_FIND_CLOSEST_SEL_TEXT | More than one color is selected in the left pane.\nPlease select only one color and then try again.
DLG_CUSTOMIZEPALETTE_IDSTR_MSG_COUNT_DIFFER_CAPTION | Error
DLG_CUSTOMIZEPALETTE_IDSTR_MSG_COUNT_DIFFER_TEXT | Number of colors selected in the left pane don't match the number of colors selected in the right pane.\nPlease make sure that the number of colors to be replaced ( in the right pane ) equals the number of colors selected in the left pane.
DLG_CUSTOMIZEPALETTE_IDSTR_MSG_MULTIPLE_BY_ONE_CAPTION | Error
DLG_CUSTOMIZEPALETTE_IDSTR_MSG_MULTIPLE_BY_ONE_TEXT | Can't replace multiple selection in the right pane with one color from the left pane.
// PNG Web-Tuner dialog |
DLG_PNGWEBTUNER_IDSTR_CAPTION | PNG Web Tuner
DLG_PNGWEBTUNER_IDSTR_ERROR | Error
DLG_PNGWEBTUNER_IDSTR_WAIT | Wait...
DLG_PNGWEBTUNER_IDSTR_UNCOMPRESSED | Uncompressed Size
DLG_PNGWEBTUNER_IDSTR_COMPRESSED | Compressed Size
DLG_PNGWEBTUNER_IDSTR_COLORS | &Colors
DLG_PNGWEBTUNER_IDSTR_COLORDEPTH | Color D&epth:
DLG_PNGWEBTUNER_IDSTR_PALETTE | &Palette:
DLG_PNGWEBTUNER_IDSTR_DITHERING | Dit&hering:
DLG_PNGWEBTUNER_IDSTR_NUMOFCOLORS | &Number of Colors:
DLG_PNGWEBTUNER_IDSTR_ADDWINCOLORS | &Add Windows Colors
DLG_PNGWEBTUNER_IDSTR_TRANSPARENCY | &Transparency
DLG_PNGWEBTUNER_IDSTR_ENABLED | Ena&bled
DLG_PNGWEBTUNER_IDSTR_TOLERANCE | To&lerance:
DLG_PNGWEBTUNER_IDSTR_TRANSPARENTCLR | T&ransparent Color:
DLG_PNGWEBTUNER_IDSTR_INFORMATIONS | &Information
DLG_PNGWEBTUNER_IDSTR_BAUDRATE | Ba&ud Rate:
DLG_PNGWEBTUNER_IDSTR_ESTIMATEDTIME | Estimated Download Time:
DLG_PNGWEBTUNER_IDSTR_144KBS | 14.4 Kbps
DLG_PNGWEBTUNER_IDSTR_288KBS | 28.8 Kbps
DLG_PNGWEBTUNER_IDSTR_56KBS | 56 Kbps
DLG_PNGWEBTUNER_IDSTR_128KBS | 128 Kbps
DLG_PNGWEBTUNER_IDSTR_256KBS | 256 Kbps
DLG_PNGWEBTUNER_IDSTR_CR1BIT | 1-bit
DLG_PNGWEBTUNER_IDSTR_CR4BIT | 4-bit
DLG_PNGWEBTUNER_IDSTR_CR8BIT | 8-bit
DLG_PNGWEBTUNER_IDSTR_CR24BIT | 24-bit
DLG_PNGWEBTUNER_IDSTR_CR32BIT | 32-bit
DLG_PNGWEBTUNER_IDSTR_FIXED | Fixed
DLG_PNGWEBTUNER_IDSTR_CUSTOM | Custom
DLG_PNGWEBTUNER_IDSTR_NEARESTCLRMATCH | Nearest Color Matching
DLG_PNGWEBTUNER_IDSTR_FLOYDSTEINBERG | Floyd-Steinberg dithering
DLG_PNGWEBTUNER_IDSTR_STUCKI | Stucki dithering
DLG_PNGWEBTUNER_IDSTR_BURKES | Burkes dithering
DLG_PNGWEBTUNER_IDSTR_SIERRA | Sierra dithering
DLG_PNGWEBTUNER_IDSTR_STEVENSON | Stevenson Arce dithering
DLG_PNGWEBTUNER_IDSTR_JARVUIS | Jarvis dithering
DLG_PNGWEBTUNER_IDSTR_ORDERED | Ordered dithering
DLG_PNGWEBTUNER_IDSTR_CLUSTERED | Clustered dithering
DLG_PNGWEBTUNER_IDSTR_EXPORT | Export
DLG_PNGWEBTUNER_IDSTR_CLOSE | Close
DLG_PNGWEBTUNER_IDSTR_SAVEDLG_CAPTION | Save PNG Image File...
DLG_PNGWEBTUNER_IDSTR_MSG_ERRORSAVING_TEXT | Error saving image file.
DLG_PNGWEBTUNER_IDSTR_MSG_ERRORSAVING_CAPTION | Error
// GIF Web-Tuner dialog |
DLG_GIFWEBTUNER_IDSTR_CAPTION | GIF Web Tuner
DLG_GIFWEBTUNER_IDSTR_ERROR | Error
DLG_GIFWEBTUNER_IDSTR_WAIT | Wait...
DLG_GIFWEBTUNER_IDSTR_UNCOMPRESSED | Uncompressed Size
DLG_GIFWEBTUNER_IDSTR_COMPRESSED | Compressed Size
DLG_GIFWEBTUNER_IDSTR_COLORS | &Colors
DLG_GIFWEBTUNER_IDSTR_COLORDEPTH | Color D&epth:
DLG_GIFWEBTUNER_IDSTR_PALETTE | &Palette:
DLG_GIFWEBTUNER_IDSTR_DITHERING | Dit&hering:
DLG_GIFWEBTUNER_IDSTR_NUMOFCOLORS | &Number of Colors:
DLG_GIFWEBTUNER_IDSTR_ADDWINCOLORS | &Add Windows Colors
DLG_GIFWEBTUNER_IDSTR_TRANSPARENCY | &Transparency
DLG_GIFWEBTUNER_IDSTR_ENABLED | Ena&bled
DLG_GIFWEBTUNER_IDSTR_TOLERANCE | To&lerance:
DLG_GIFWEBTUNER_IDSTR_TRANSPARENTCLR | T&ransparent Color:
DLG_GIFWEBTUNER_IDSTR_INFORMATIONS | &Information
DLG_GIFWEBTUNER_IDSTR_BAUDRATE | Ba&ud Rate:
DLG_GIFWEBTUNER_IDSTR_ESTIMATEDTIME | Estimated Download Time:
DLG_GIFWEBTUNER_IDSTR_OPTIONS | &Options
DLG_GIFWEBTUNER_IDSTR_INTERLACED | Interlace&d
DLG_GIFWEBTUNER_IDSTR_144KBS | 14.4 Kbps
DLG_GIFWEBTUNER_IDSTR_288KBS | 28.8 Kbps
DLG_GIFWEBTUNER_IDSTR_56KBS | 56 Kbps
DLG_GIFWEBTUNER_IDSTR_128KBS | 128 Kbps
DLG_GIFWEBTUNER_IDSTR_256KBS | 256 Kbps
DLG_GIFWEBTUNER_IDSTR_CR1BIT | 1-bit
DLG_GIFWEBTUNER_IDSTR_CR2BIT | 2-bit
DLG_GIFWEBTUNER_IDSTR_CR3BIT | 3-bit
DLG_GIFWEBTUNER_IDSTR_CR4BIT | 4-bit
DLG_GIFWEBTUNER_IDSTR_CR5BIT | 5-bit
DLG_GIFWEBTUNER_IDSTR_CR6BIT | 6-bit
DLG_GIFWEBTUNER_IDSTR_CR7BIT | 7-bit
DLG_GIFWEBTUNER_IDSTR_CR8BIT | 8-bit
DLG_GIFWEBTUNER_IDSTR_FIXED | Fixed
DLG_GIFWEBTUNER_IDSTR_CUSTOM | Custom
DLG_GIFWEBTUNER_IDSTR_NEARESTCLRMATCH | Nearest Color Matching
DLG_GIFWEBTUNER_IDSTR_FLOYDSTEINBERG | Floyd-Steinberg dithering
DLG_GIFWEBTUNER_IDSTR_STUCKI | Stucki dithering
DLG_GIFWEBTUNER_IDSTR_BURKES | Burkes dithering
DLG_GIFWEBTUNER_IDSTR_SIERRA | Sierra dithering
DLG_GIFWEBTUNER_IDSTR_STEVENSON | Stevenson Arce dithering
DLG_GIFWEBTUNER_IDSTR_JARVUIS | Jarvis dithering
DLG_GIFWEBTUNER_IDSTR_ORDERED | Ordered dithering
DLG_GIFWEBTUNER_IDSTR_CLUSTERED | Clustered dithering
DLG_GIFWEBTUNER_IDSTR_EXPORT | Export
DLG_GIFWEBTUNER_IDSTR_CLOSE | Close
DLG_GIFWEBTUNER_IDSTR_SAVEDLG_CAPTION | Save GIF Image File...
DLG_GIFWEBTUNER_IDSTR_MSG_ERRORSAVING_TEXT | Error saving image file.
DLG_GIFWEBTUNER_IDSTR_MSG_ERRORSAVING_CAPTION | Error
JPEG Web-Tuner dialog |
DLG_JPEGWEBTUNER_IDSTR_CAPTION | JPEG Web Tuner
DLG_JPEGWEBTUNER_IDSTR_ERROR | Error
DLG_JPEGWEBTUNER_IDSTR_WAIT | Wait...
DLG_JPEGWEBTUNER_IDSTR_UNCOMPRESSED | Uncompressed Size
DLG_JPEGWEBTUNER_IDSTR_COMPRESSED | Compressed Size
DLG_JPEGWEBTUNER_IDSTR_IMAGETYPE | I&mage Type
DLG_JPEGWEBTUNER_IDSTR_IMAGECOMPRE | Compre&ssion:
DLG_JPEGWEBTUNER_IDSTR_PROGRESSIVE | Pro&gressive
DLG_JPEGWEBTUNER_IDSTR_OPTIONS | &Options
DLG_JPEGWEBTUNER_IDSTR_OPTIONCOMPRE | Com&pression:
DLG_JPEGWEBTUNER_IDSTR_SAVETHUMBNAIL | Sa&ve Thumbnail
DLG_JPEGWEBTUNER_IDSTR_INFORMATIONS | &Information
DLG_JPEGWEBTUNER_IDSTR_BAUDRATE | Ba&ud Rate:
DLG_JPEGWEBTUNER_IDSTR_ESTIMATEDTIME | Estimated Download Time:
DLG_JPEGWEBTUNER_IDSTR_144KBS | 14.4 Kbps
DLG_JPEGWEBTUNER_IDSTR_288KBS | 28.8 Kbps
DLG_JPEGWEBTUNER_IDSTR_56KBS | 56 Kbps
DLG_JPEGWEBTUNER_IDSTR_128KBS | 128 Kbps
DLG_JPEGWEBTUNER_IDSTR_256KBS | 256 Kbps
DLG_JPEGWEBTUNER_IDSTR_YUV444 | YUV 4:4:4 (Default)
DLG_JPEGWEBTUNER_IDSTR_YUV422 | YUV 4:2:2
DLG_JPEGWEBTUNER_IDSTR_YUV411 | YUV 4:1:1
DLG_JPEGWEBTUNER_IDSTR_EXPORT | Export
DLG_JPEGWEBTUNER_IDSTR_CLOSE | Close
DLG_JPEGWEBTUNER_IDSTR_SAVEDLG_CAPTION | Save JPEG Image File...
DLG_JPEGWEBTUNER_IDSTR_MSG_ERRORSAVING_TEXT | Error saving image file.
DLG_JPEGWEBTUNER_IDSTR_MSG_ERRORSAVING_CAPTION | Error
//Image Formats File Association Dialog |
DLG_FILESASSOCIATION_IDSTR_CAPTION | Image File Formats Association
DLG_FILESASSOCIATION_IDSTR_FORMAT | Format:
DLG_FILESASSOCIATION_IDSTR_DESCRIPTION | Description:
DLG_FILESASSOCIATION_IDSTR_SELECTALL | Select &All
DLG_FILESASSOCIATION_IDSTR_SELECTNONE | Select &None
DLG_FILESASSOCIATION_IDSTR_MSG_WRITINGREG_CAPTION | Not Enough Privileges to Write.
DLG_FILESASSOCIATION_IDSTR_MSG_WRITINGREG_TEXT | Error writing to registry
DLG_FILESASSOCIATION_IDSTR_MSG_ACCESS_CAPTION | Not Enough Privileges to Write.
DLG_FILESASSOCIATION_IDSTR_MSG_ACCESS_TEXT | Some items can't be associated.
//Image Mapper dialog |
DLG_HTMLMAPPER_IDSTR_CAPTION | HTML Map Creator
DLG_HTMLMAPPER_IDSTR_AREAINFO | Area I&nfo
DLG_HTMLMAPPER_IDSTR_URL | &URL:
DLG_HTMLMAPPER_IDSTR_ALTTEXT | &Alt Text:
DLG_HTMLMAPPER_IDSTR_TARGET | &Target:
DLG_HTMLMAPPER_IDSTR_OUTPUT | O&utput
DLG_HTMLMAPPER_IDSTR_IMAGEFORMAT | &Format:
DLG_HTMLMAPPER_IDSTR_JPGFORMAT | JPG Format
DLG_HTMLMAPPER_IDSTR_GIFFORMAT | GIF Format
DLG_HTMLMAPPER_IDSTR_PNGFORMAT | PNG Format
DLG_HTMLMAPPER_IDSTR_GENERATESEL | &Only include selected object
DLG_HTMLMAPPER_IDSTR_OPTIMIZED | &Web Tuned
DLG_HTMLMAPPER_IDSTR_ROLLOVER | &Roll Over
DLG_HTMLMAPPER_IDSTR_EVENT | &Event:
DLG_HTMLMAPPER_IDSTR_ONCLICK | OnClick
DLG_HTMLMAPPER_IDSTR_ONDBLCLICK | OnDblClick
DLG_HTMLMAPPER_IDSTR_ONMMOUSEDOWN | OnMouseDown
DLG_HTMLMAPPER_IDSTR_ONMMOUSEOVER | OnMouseOver
DLG_HTMLMAPPER_IDSTR_ONMMOUSEUP | OnMouseUp
DLG_HTMLMAPPER_IDSTR_ONMMOUSEOUT | OnMouseOut
DLG_HTMLMAPPER_IDSTR_ENABLED | &Enabled
DLG_HTMLMAPPER_IDSTR_IMAGE | &Image:
DLG_HTMLMAPPER_IDSTR_CURSORPOSITION | Cur&sor Position:
DLG_HTMLMAPPER_IDSTR_CLOSE | Close
DLG_HTMLMAPPER_IDSTR_IMAGESAVEDLG_CAPTION | Save Image...
DLG_HTMLMAPPER_IDSTR_HTMLSAVEDLG_CAPTION | Save HTML File...
DLG_HTMLMAPPER_IDSTR_HTMLBROWSEFORFOLDERDLG_CAPTION | HTML File Save Folder...
//Image Mapper dialog Error Messages |
DLG_HTMLMAPPER_IDSTR_MSG_PREVIEWHTML_OUTMEM_TEXT | Unable to open hyperlink:\n\n The operating system is out\nof memory or resources.
DLG_HTMLMAPPER_IDSTR_MSG_PREVIEWHTML_PNF_TEXT | Unable to open hyperlink:\n\n The specified path was not found.
DLG_HTMLMAPPER_IDSTR_MSG_PREVIEWHTML_FNF_TEXT | Unable to open hyperlink:\n\n The specified file was not found.
DLG_HTMLMAPPER_IDSTR_MSG_PREVIEWHTML_FORMAT_TEXT | Unable to open hyperlink:\n\n The .EXE file is invalid\n ( non-Win32 .EXE or error in .EXE image ) .
DLG_HTMLMAPPER_IDSTR_MSG_PREVIEWHTML_ACCESSDENIED_TEXT | Unable to open hyperlink:\n\n The operating system denied\naccess to the specified file.
DLG_HTMLMAPPER_IDSTR_MSG_PREVIEWHTML_ASSOCIATIONINCOMPLETE_TEXT | Unable to open hyperlink:\n\n The filename association is\nincomplete or invalid.
DLG_HTMLMAPPER_IDSTR_MSG_PREVIEWHTML_DDEBUSY_TEXT | Unable to open hyperlink:\n\n The DDE transaction could not\nbe completed because other DDE transactions\nwere being processed.
DLG_HTMLMAPPER_IDSTR_MSG_PREVIEWHTML_DDEFAIL_TEXT | Unable to open hyperlink:\n\n The DDE transaction failed.
DLG_HTMLMAPPER_IDSTR_MSG_PREVIEWHTML_DDETIMEOUT_TEXT | Unable to open hyperlink:\n\n The DDE transaction could not\nbe completed because the request timed out.
DLG_HTMLMAPPER_IDSTR_MSG_PREVIEWHTML_DLLNOTFOUND_TEXT | Unable to open hyperlink:\n\n The specified dynamic-link library was not found.
DLG_HTMLMAPPER_IDSTR_MSG_PREVIEWHTML_NOASSOCIATION_TEXT | Unable to open hyperlink:\n\n There is no application associated\nwith the given filename extension.
DLG_HTMLMAPPER_IDSTR_MSG_PREVIEWHTML_NOENOUGHMEMORY_TEXT | Unable to open hyperlink:\n\n There was not enough memory to complete the operation.
DLG_HTMLMAPPER_IDSTR_MSG_PREVIEWHTML_SHARE_TEXT | Unable to open hyperlink:\n\n A sharing violation occurred.
DLG_HTMLMAPPER_IDSTR_MSG_PREVIEWHTML_UNKNOWNERROR_TEXT | Unable to open hyperlink:\n\n Unknown Error ( %d ) occurred.
DLG_HTMLMAPPER_IDSTR_MSG_SAVESUCCESS_CAPTION | Success
DLG_HTMLMAPPER_IDSTR_MSG_SAVESUCCESS_TEXT | Files saved successfully
DLG_HTMLMAPPER_IDSTR_MSG_SAVEERROR_CAPTION | Error
DLG_HTMLMAPPER_IDSTR_MSG_SAVEERROR_TEXT | Error occurred while writing html file
DLG_HTMLMAPPER_IDSTR_MSG_IMAGEWRITING_CAPTION | Error
DLG_HTMLMAPPER_IDSTR_MSG_IMAGEWRITING_TEXT | Error occurred while writing image file
Underlay dialog |
DLG_UNDERLAY_IDSTR_CAPTION | Underlay Effect
DLG_UNDERLAY_IDSTR_SETTINGS | &Settings
DLG_UNDERLAY_IDSTR_STRETCHED | Stretc&hed
DLG_UNDERLAY_IDSTR_TILED | &Tiled
DLG_UNDERLAY_IDSTR_MSG_INITAL_CAPTION | Error
DLG_UNDERLAY_IDSTR_MSG_INITAL_TEXT | Error initializing dialog. Some images couldn't be loaded
Add Border Dialog strings |
DLG_ADDBORDER_IDSTR_CAPTION | Add Border
DLG_ADDBORDER_IDSTR_MARGINS | Margins
DLG_ADDBORDER_IDSTR_LEFT | &Left:
DLG_ADDBORDER_IDSTR_RIGHT | &Right:
DLG_ADDBORDER_IDSTR_TOP | &Top:
DLG_ADDBORDER_IDSTR_BOTTOM | &Bottom:
DLG_ADDBORDER_IDSTR_PLACEMENT | &Placement:
DLG_ADDBORDER_IDSTR_INSIDE | Inside
DLG_ADDBORDER_IDSTR_OUTSIDE | Outside
DLG_ADDBORDER_IDSTR_LOCKMARGINS | Loc&k Margins
DLG_ADDBORDER_IDSTR_BORDERSTYLE | St&yle:
DLG_ADDBORDER_IDSTR_SAMEIMAGE | Same Image
DLG_ADDBORDER_IDSTR_OPAQUE | Opaque
DLG_ADDBORDER_IDSTR_GRADIENT | Gradient
DLG_ADDBORDER_IDSTR_TILES | Tiles
DLG_ADDBORDER_IDSTR_BORDER | Border
DLG_ADDBORDER_IDSTR_BORDER_DIRECTION | D&irection
DLG_ADDBORDER_IDSTR_INSIDEOUT | Inside Out
DLG_ADDBORDER_IDSTR_CENTEROUT1 | Center Out (1)
DLG_ADDBORDER_IDSTR_CENTEROUT2 | Center Out (2)
DLG_ADDBORDER_IDSTR_OPAQUECOLOR | Colo&r
DLG_ADDBORDER_IDSTR_STARTCOLOR | S&tart Color:
DLG_ADDBORDER_IDSTR_ENDCOLOR | E&nd Color:
DLG_ADDBORDER_IDSTR_TILEIMAGE | T&ile Image:
DLG_ADDBORDER_IDSTR_PRESETS | Pr&esets:
DLG_ADDBORDER_IDSTR_USERDEFINE | User Defined
DLG_ADDBORDER_IDSTR_SIMPLE | Simple
DLG_ADDBORDER_IDSTR_PRESET1 | Preset1
DLG_ADDBORDER_IDSTR_PRESET2 | Preset2
DLG_ADDBORDER_IDSTR_PRESET3 | Preset3
DLG_ADDBORDER_IDSTR_PRESET4 | Preset4
DLG_ADDBORDER_IDSTR_PRESET5 | Preset5
DLG_ADDBORDER_IDSTR_PRESET6 | Preset6
DLG_ADDBORDER_IDSTR_PRESET7 | Preset7
DLG_ADDBORDER_IDSTR_PRESET8 | Preset8
DLG_ADDBORDER_IDSTR_PRESET9 | Preset9
DLG_ADDBORDER_IDSTR_SHADOWS | Shado&ws
DLG_ADDBORDER_IDSTR_SHADOWS_USESHADOWS | Use Shadows
DLG_ADDBORDER_IDSTR_SHADOWS_PLACEMENT | Pla&cement:
DLG_ADDBORDER_IDSTR_SHADOWLEFT | Left
DLG_ADDBORDER_IDSTR_SHADOWRIGHT | Right
DLG_ADDBORDER_IDSTR_SHADOWSURROUND | Surround
DLG_ADDBORDER_IDSTR_BUMPED | Bu&mped
DLG_ADDBORDER_IDSTR_SIZE | Si&ze:
DLG_ADDBORDER_IDSTR_EFFECT | Effect
DLG_ADDBORDER_IDSTR_EFFECT_STYLE | &Style
DLG_ADDBORDER_IDSTR_NONEEFFECT | None
DLG_ADDBORDER_IDSTR_CURVEDIN | Curved In
DLG_ADDBORDER_IDSTR_CURVEDOUT | Curved Out
DLG_ADDBORDER_IDSTR_RAISED | Raised
DLG_ADDBORDER_IDSTR_LOWERED | Lowered
DLG_ADDBORDER_IDSTR_INTENSITY | &Intensity:
DLG_ADDBORDER_IDSTR_SMOOTH | Sm&ooth
DLG_ADDBORDER_IDSTR_MSG_INITAL_CAPTION | Error
DLG_ADDBORDER_IDSTR_MSG_INITAL_TEXT | Error initializing dialog. Some images couldn't be loaded.
DLG_ADDBORDER_IDSTR_EXTENTSIZE | Extent Size = %d
Add Frame Dialog strings |
DLG_ADDFRAME_IDSTR_CAPTION | Add Frame
DLG_ADDFRAME_IDSTR_OPTIONS | Frame &Options
DLG_ADDFRAME_IDSTR_PLACEMENT | &Placement:
DLG_ADDFRAME_IDSTR_INSIDE | Inside
DLG_ADDFRAME_IDSTR_OUTSIDE | Outside
DLG_ADDFRAME_IDSTR_FRAME | &Frame:
DLG_ADDFRAME_IDSTR_MASK | &Mask
DLG_ADDFRAME_IDSTR_USEMASK | &Use Mask
DLG_ADDFRAME_IDSTR_TOLERANCE | &Tolerance:
DLG_ADDFRAME_IDSTR_TRANSPARENTCOLOR | Transparent &Color:
DLG_ADDFRAME_IDSTR_QUALITY | &Quality:
DLG_ADDFRAME_IDSTR_QUALITY_LOW | Low
DLG_ADDFRAME_IDSTR_QUALITY_HIGH | High
DLG_ADDFRAME_IDSTR_MSG_INITAL_CAPTION | Error
DLG_ADDFRAME_IDSTR_MSG_INITAL_TEXT | Error initializing dialog. Some images couldn't be loaded
Convert to Colored Gray dialog strings |
DLG_COLOREDGRAY_IDSTR_CAPTION | Convert to Colored Gray
DLG_COLOREDGRAY_IDSTR_COLORFACTOR | Color Factors
DLG_COLOREDGRAY_IDSTR_GRAYFACTOR | Gray Factors
DLG_COLOREDGRAY_IDSTR_RED | Red:
DLG_COLOREDGRAY_IDSTR_GREEN | Green:
DLG_COLOREDGRAY_IDSTR_BLUE | Blue:
DLG_COLOREDGRAY_IDSTR_REDGRAY | &Red:
DLG_COLOREDGRAY_IDSTR_GREENGRAY | &Green:
DLG_COLOREDGRAY_IDSTR_BLUEGRAY | &Blue:
Gaussian Blur dialog strings |
DLG_GAUSSIANBLUR_IDSTR_CAPTION | Gaussian Blur
DLG_GAUSSIANBLUR_IDSTR_RADIUS | &Radius
Unsharp Mask dialog strings |
DLG_UNSHARPMASK_IDSTR_CAPTION | Unsharp Mask
DLG_UNSHARPMASK_IDSTR_AMOUNT | &Amount
DLG_UNSHARPMASK_IDSTR_RADIUS | &Radius
DLG_UNSHARPMASK_IDSTR_THERSHOLD | &Threshold
DLG_UNSHARPMASK_IDSTR_COLORESPACE | A&pply Mask on:
DLG_UNSHARPMASK_IDSTR_RGB | RGB color space
DLG_UNSHARPMASK_IDSTR_YUV | YUV color space
Antialias dialog strings |
DLG_ANTIALIAS_IDSTR_CAPTION | Anti-alias
DLG_ANTIALIAS_IDSTR_THRESHOLD | &Threshold:
DLG_ANTIALIAS_IDSTR_DIM | &Mask Size:
DLG_ANTIALIAS_IDSTR_FILTER | &Filter:
DLG_ANTIALIAS_IDSTR_ANTIALIAS_1 | Vertically & Horizontally
DLG_ANTIALIAS_IDSTR_ANTIALIAS_2 | All directions (1)
DLG_ANTIALIAS_IDSTR_ANTIALIAS_3 | All directions (2)
DLG_ANTIALIAS_IDSTR_ANTIALIAS_DIAG | Diagonally
DLG_ANTIALIAS_IDSTR_ANTIALIAS_HORZ | Horizontally
DLG_ANTIALIAS_IDSTR_ANTIALIAS_VERT | Vertically
Edge Detector Colors dialog strings |
DLG_EDGEDETECTOR_IDSTR_CAPTION | Edge Detector
DLG_EDGEDETECTOR_IDSTR_THRESHOLD | &Threshold:
DLG_EDGEDETECTOR_IDSTR_FILTER | &Filter:
DLG_EDGEDETECTOR_IDSTR_EDG_SOBEL_VERT | Sobel Vertical
DLG_EDGEDETECTOR_IDSTR_EDG_SOBEL_HORZ | Sobel Horizontal
DLG_EDGEDETECTOR_IDSTR_EDG_SOBEL_ALL | Sobel Horizontal & Vertical
DLG_EDGEDETECTOR_IDSTR_EDG_PREWITT_VERT | Prewitt Vertical
DLG_EDGEDETECTOR_IDSTR_EDG_PREWITT_HORZ | Prewitt Horizontal
DLG_EDGEDETECTOR_IDSTR_EDG_PREWITT_ALL | Prewitt Horizontal & Vertical
DLG_EDGEDETECTOR_IDSTR_EDG_LAPLACE_1 | Laplace Vertical & Horizontal
DLG_EDGEDETECTOR_IDSTR_EDG_LAPLACE_2 | Laplace general (1)
DLG_EDGEDETECTOR_IDSTR_EDG_LAPLACE_3 | Laplace general (2)
DLG_EDGEDETECTOR_IDSTR_EDG_LAPLACE_DIAG | Laplace Diagonal
DLG_EDGEDETECTOR_IDSTR_EDG_LAPLACE_HORZ | Laplace Horizontal
DLG_EDGEDETECTOR_IDSTR_EDG_LAPLACE_VERT | Laplace Vertical
DLG_EDGEDETECTOR_IDSTR_EDG_GRADIENT_N | Gradient North
DLG_EDGEDETECTOR_IDSTR_EDG_GRADIENT_NE | Gradient North-East
DLG_EDGEDETECTOR_IDSTR_EDG_GRADIENT_E | Gradient East
DLG_EDGEDETECTOR_IDSTR_EDG_GRADIENT_SE | Gradient South-East
DLG_EDGEDETECTOR_IDSTR_EDG_GRADIENT_S | Gradient South
DLG_EDGEDETECTOR_IDSTR_EDG_GRADIENT_SW | Gradient South-West
DLG_EDGEDETECTOR_IDSTR_EDG_GRADIENT_W | Gradient West
DLG_EDGEDETECTOR_IDSTR_EDG_GRADIENT_NW | Gradient North-West
Remove Red Eye Detector Colors dialog strings |
DLG_REMOVEREDEYE_IDSTR_CAPTION | Remove RedEye
DLG_REMOVEREDEYE_IDSTR_LIGHTNESS | &Lightness
DLG_REMOVEREDEYE_IDSTR_THRESHOLD | &Threshold
DLG_REMOVEREDEYE_IDSTR_NEWCOLOR | &New Color:
Motion Blur dialog strings |
DLG_MOTIONBLUR_IDSTR_CAPTION | Motion Blur
DLG_MOTIONBLUR_IDSTR_DIM | &Size of Blur
DLG_MOTIONBLUR_IDSTR_ANGLE | &Angle (degrees)
DLG_MOTIONBLUR_IDSTR_UNIDIRECTIONAL | &Unidirectional
Gray Scale dialog strings |
DLG_GRAYSCALE_IDSTR_CAPTION | Gray Scale
DLG_GRAYSCALE_IDSTR_WEIGHT | Colors Weight
DLG_GRAYSCALE_IDSTR_RED | Red:
DLG_GRAYSCALE_IDSTR_GREEN | Green:
DLG_GRAYSCALE_IDSTR_BLUE | Blue:
Histogram dialog strings |
DLG_HISTOGRAM_IDSTR_CAPTION | Histogram
DLG_HISTOGRAM_IDSTR_CLOSE | &Close
DLG_HISTOGRAM_IDSTR_CHANNEL | C&hannel:
DLG_HISTOGRAM_IDSTR_MEAN | Mean:
DLG_HISTOGRAM_IDSTR_MEDIAN | Median:
DLG_HISTOGRAM_IDSTR_PIXELS | Total Pixels:
DLG_HISTOGRAM_IDSTR_LEVEL | Level:
DLG_HISTOGRAM_IDSTR_COUNT | Count:
DLG_HISTOGRAM_IDSTR_PERCENTAGE | Percentile:
DLG_HISTOGRAM_IDSTR_MASTER | Master
DLG_HISTOGRAM_IDSTR_RED | Red
DLG_HISTOGRAM_IDSTR_GREEN | Green
DLG_HISTOGRAM_IDSTR_BLUE | Blue
DLG_HISTOGRAM_IDSTR_VIEW | &View:
DLG_HISTOGRAM_IDSTR_LINE | Line
DLG_HISTOGRAM_IDSTR_AREA | Area
Multiply dialog strings |
DLG_MULTIPLY_IDSTR_CAPTION | Multiply
DLG_MULTIPLY_IDSTR_FACTOR | &Factor
Local Histo-Equalize dialog strings |
DLG_LOCALHISTOEQUALIZE_IDSTR_CAPTION | Local Histo-Equalize
DLG_LOCALHISTOEQUALIZE_IDSTR_WIDTH | &Width:
DLG_LOCALHISTOEQUALIZE_IDSTR_HEIGHT | &Height:
DLG_LOCALHISTOEQUALIZE_IDSTR_SMOOTH | &Smooth:
DLG_LOCALHISTOEQUALIZE_IDSTR_XEXTENSION | &X-Extension:
DLG_LOCALHISTOEQUALIZE_IDSTR_YEXTENSION | &Y-Extension:
DLG_LOCALHISTOEQUALIZE_IDSTR_COLORSPACE | &Color Space:
DLG_LOCALHISTOEQUALIZE_IDSTR_RGB | RGB
DLG_LOCALHISTOEQUALIZE_IDSTR_YUV | YUV
DLG_LOCALHISTOEQUALIZE_IDSTR_GRAY | GRAY
Balance Colors dialog strings |
DLG_BALANCECOLORS_IDSTR_CAPTION | Balance Colors
DLG_BALANCECOLORS_IDSTR_REDWEIGHT | &Red Weights
DLG_BALANCECOLORS_IDSTR_GREENWEIGHT | &Green Weights
DLG_BALANCECOLORS_IDSTR_BLUEWEIGHT | &Blue Weights
DLG_BALANCECOLORS_IDSTR_RED | Red:
DLG_BALANCECOLORS_IDSTR_GREEN | Green:
DLG_BALANCECOLORS_IDSTR_BLUE | Blue:
Add Bitmaps dialog strings |
DLG_ADDBITMAPS_IDSTR_CAPTION | Add Bitmaps
DLG_ADDBITMAPS_IDSTR_PREVIEW | Preview
DLG_ADDBITMAPS_IDSTR_AVAILABLE | A&vailable List:
DLG_ADDBITMAPS_IDSTR_SELECTED | &Selected List:
DLG_ADDBITMAPS_IDSTR_OPERATION | &Operation:
DLG_ADDBITMAPS_IDSTR_ADD | &Add >>
DLG_ADDBITMAPS_IDSTR_ADDALL | A&dd All
DLG_ADDBITMAPS_IDSTR_REMOVE | << &Remove
DLG_ADDBITMAPS_IDSTR_REMOVEALL | Re&move All
DLG_ADDBITMAPS_IDSTR_ADDOPERATION | Add
DLG_ADDBITMAPS_IDSTR_AVERAGEOPERATION | Average
DLG_ADDBITMAPS_IDSTR_ADDBEFORE | &Before
DLG_ADDBITMAPS_IDSTR_ADDAFTER | &After
Remap Intensity dialog strings |
DLG_REMAPINTENSITY_IDSTR_CAPTION | Remap Intensity
DLG_REMAPINTENSITY_IDSTR_INTENSITY | Intensity
DLG_REMAPINTENSITY_IDSTR_CHANNEL | &Channel:
DLG_REMAPINTENSITY_IDSTR_CURVEMODE | Curve &Mode:
DLG_REMAPINTENSITY_IDSTR_FACTOR | &Factor:
DLG_REMAPINTENSITY_IDSTR_RESET | &Reset
DLG_REMAPINTENSITY_IDSTR_RESETALL | Reset &All
DLG_REMAPINTENSITY_IDSTR_LOAD | &Load
DLG_REMAPINTENSITY_IDSTR_LOAD_EXTENSION | LEADTOOLS Remap Intensity Curve (*.lri)|*.lri||
DLG_REMAPINTENSITY_IDSTR_LOAD_CAPTION | Load
DLG_REMAPINTENSITY_IDSTR_SAVE | &Save
DLG_REMAPINTENSITY_IDSTR_SAVE_EXTENSION | LEADTOOLS Remap Intensity Curve (*.lri)|*.lri||
DLG_REMAPINTENSITY_IDSTR_SAVE_CAPTION | Save
DLG_REMAPINTENSITY_IDSTR_CHANNEL_RGB | RGB
DLG_REMAPINTENSITY_IDSTR_CHANNEL_RED | Red
DLG_REMAPINTENSITY_IDSTR_CHANNEL_GREEN | Green
DLG_REMAPINTENSITY_IDSTR_CHANNEL_BLUE | Blue
DLG_REMAPINTENSITY_IDSTR_CURVEMODE_USERPOINTS | Curve
DLG_REMAPINTENSITY_IDSTR_CURVEMODE_LINER | Linear
DLG_REMAPINTENSITY_IDSTR_CURVEMODE_EXP | Exponential
DLG_REMAPINTENSITY_IDSTR_CURVEMODE_LOG | Logarithm
DLG_REMAPINTENSITY_IDSTR_CURVEFLIP_FLIP | Fl&ip
DLG_REMAPINTENSITY_IDSTR_CURVEFLIP_BOTH | Both directions
DLG_REMAPINTENSITY_IDSTR_CURVEFLIP_VERT | Vertically
DLG_REMAPINTENSITY_IDSTR_CURVEFLIP_HORIZ | Horizontally
DLG_REMAPINTENSITY_IDSTR_MSG_LOADFILE_CAPTION | Load Error
DLG_REMAPINTENSITY_IDSTR_MSG_LOADFILE_TEXT | This is not a curve data file!
DLG_REMAPINTENSITY_IDSTR_MSG_SAVEFILE_CAPTION | Save Error
Remap Hue dialog strings |
DLG_REMAPHUE_IDSTR_CAPTION | Remap Hue
DLG_REMAPHUE_IDSTR_INTENSITY | Hue
DLG_REMAPHUE_IDSTR_CHANNEL | &Channel:
DLG_REMAPHUE_IDSTR_CURVEMODE | Curve &Mode:
DLG_REMAPHUE_IDSTR_FACTOR | &Factor:
DLG_REMAPHUE_IDSTR_RESET | &Reset
DLG_REMAPHUE_IDSTR_RESETALL | Reset &All
DLG_REMAPHUE_IDSTR_LOAD | &Load
DLG_REMAPHUE_IDSTR_LOAD_EXTENSION | LEADTOOLS Remap Hue Curve (*.lrh)|*.lrh||
DLG_REMAPHUE_IDSTR_LOAD_CAPTION | Load
DLG_REMAPHUE_IDSTR_SAVE | &Save
DLG_REMAPHUE_IDSTR_SAVE_EXTENSION | LEADTOOLS Remap Hue Curve (*.lrh)|*.lrh||
DLG_REMAPHUE_IDSTR_SAVE_CAPTION | Save
DLG_REMAPHUE_IDSTR_CHANNEL_HUE | Hue
DLG_REMAPHUE_IDSTR_CHANNEL_SATURATION | Saturation
DLG_REMAPHUE_IDSTR_CHANNEL_VALUE | Value
DLG_REMAPHUE_IDSTR_CURVEMODE_USERPOINTS | Curve
DLG_REMAPHUE_IDSTR_CURVEMODE_LINER | Linear
DLG_REMAPHUE_IDSTR_CURVEMODE_EXP | Exponential
DLG_REMAPHUE_IDSTR_CURVEMODE_LOG | Logarithm
DLG_REMAPHUE_IDSTR_CURVEFLIP_FLIP | Fl&ip
DLG_REMAPHUE_IDSTR_CURVEFLIP_BOTH | Both directions
DLG_REMAPHUE_IDSTR_CURVEFLIP_VERT | Vertically
DLG_REMAPHUE_IDSTR_CURVEFLIP_HORIZ | Horizontally
DLG_REMAPHUE_IDSTR_MASK | Mas&k
DLG_REMAPHUE_IDSTR_MASK_START | Start
DLG_REMAPHUE_IDSTR_MASK_END | End
DLG_REMAPHUE_IDSTR_MSG_LOADFILE_CAPTION | Load Error
DLG_REMAPHUE_IDSTR_MSG_LOADFILE_TEXT | This is not a curve data file!
DLG_REMAPHUE_IDSTR_MSG_SAVEFILE_CAPTION | Save Error
Free Hand Wave dialog strings |
DLG_FREEHANDWAVE_IDSTR_CAPTION | Free Hand Wave
DLG_FREEHANDWAVE_IDSTR_WAVE_CURVE | Wave Curve
DLG_FREEHANDWAVE_IDSTR_CURVEMODE | Curve &Mode:
DLG_FREEHANDWAVE_IDSTR_RESET | &Reset
DLG_FREEHANDWAVE_IDSTR_LOAD | &Load
DLG_FREEHANDWAVE_IDSTR_LOAD_EXTENSION | LEADTOOLS Hand Wave Curve (*.lhw)|*.lhw||
DLG_FREEHANDWAVE_IDSTR_LOAD_CAPTION | Load
DLG_FREEHANDWAVE_IDSTR_SAVE | &Save
DLG_FREEHANDWAVE_IDSTR_SAVE_EXTENSION | LEADTOOLS Hand Wave Curve (*.lhw)|*.lhw||
DLG_FREEHANDWAVE_IDSTR_SAVE_CAPTION | Save
DLG_FREEHANDWAVE_IDSTR_CURVEMODE_USERPOINTS | Curve
DLG_FREEHANDWAVE_IDSTR_CURVEMODE_LINER | Linear
DLG_FREEHANDWAVE_IDSTR_CURVEFLIP_FLIP | Fl&ip
DLG_FREEHANDWAVE_IDSTR_CURVEFLIP_BOTH | Both directions
DLG_FREEHANDWAVE_IDSTR_CURVEFLIP_VERT | Vertically
DLG_FREEHANDWAVE_IDSTR_CURVEFLIP_HORIZ | Horizontally
DLG_FREEHANDWAVE_IDSTR_WAVE_SETTING | &Wave Settings
DLG_FREEHANDWAVE_IDSTR_WAVE_SETTING_SCALE | S&cale:
DLG_FREEHANDWAVE_IDSTR_WAVE_SETTING_LENGTH | Len&gth:
DLG_FREEHANDWAVE_IDSTR_WAVE_SETTING_TYPE | &Type:
DLG_FREEHANDWAVE_IDSTR_WAVE_SETTING_TYPE_PERIOD | Period
DLG_FREEHANDWAVE_IDSTR_WAVE_SETTING_TYPE_FREQUENCY | Frequency
DLG_FREEHANDWAVE_IDSTR_WAVE_EXPOSED | E&xposed Area
DLG_FREEHANDWAVE_IDSTR_WAVE_EXPOSED_NOCHANGE | Don't Change
DLG_FREEHANDWAVE_IDSTR_WAVE_EXPOSED_COLOR | Use Color
DLG_FREEHANDWAVE_IDSTR_WAVE_EXPOSED_STRICH | Stretch Image
DLG_FREEHANDWAVE_IDSTR_ANGLE | Angle: %.2f
DLG_FREEHANDWAVE_IDSTR_MSG_LOADFILE_CAPTION | Load Error
DLG_FREEHANDWAVE_IDSTR_MSG_LOADFILE_TEXT | This is not a curve data file!
DLG_FREEHANDWAVE_IDSTR_MSG_SAVEFILE_CAPTION | Save Error
Wind dialog strings |
DLG_WIND_IDSTR_CAPTION | Wind Effect
DLG_WIND_IDSTR_STRENGTH | &Strength
DLG_WIND_IDSTR_DIRECTION | Direction (&Angle)
DLG_WIND_IDSTR_OPACITY | &Opacity
Impressionist dialog strings |
DLG_IMPRESSIONIST_IDSTR_CAPTION | Impressionist Effect
DLG_IMPRESSIONIST_IDSTR_HORIZONTAL | &Horizontal Size
DLG_IMPRESSIONIST_IDSTR_VERTICAL | &Vertical Size
Cylindrical dialog strings |
DLG_CYLINDRICAL_IDSTR_CAPTION | Cylindrical Effect
DLG_CYLINDRICAL_IDSTR_STRETCH | &Stretching Amount
DLG_CYLINDRICAL_IDSTR_TYPE | Cylinder &Type:
DLG_CYLINDRICAL_IDSTR_TYPE_HORZ | Horizontal
DLG_CYLINDRICAL_IDSTR_TYPE_VERT | Vertical
Polar dialog strings |
DLG_POLAR_IDSTR_CAPTION | Polar Effect
DLG_POLAR_IDSTR_EXPOSEDAREA | E&xposed Area
DLG_POLAR_IDSTR_EXPOSED_TYPE_NOCHANGE | Don't Change
DLG_POLAR_IDSTR_EXPOSED_TYPE_STRECH | Stretch Image
DLG_POLAR_IDSTR_EXPOSED_TYPE_FILLCOLOR | Use Color
DLG_POLAR_IDSTR_CONVERSION | Conversion &Option:
DLG_POLAR_IDSTR_CONVERSION_CARTTOPOL | Rectangular to Polar
DLG_POLAR_IDSTR_CONVERSION_POLTOCART | Polar to Rectangular
Pixelate dialog strings |
DLG_PIXELATE_IDSTR_CAPTION | Pixelate Effect
DLG_PIXELATE_IDSTR_PIXELATE | &Pixelate
DLG_PIXELATE_IDSTR_PIXELATE_MODE | &Mode:
DLG_PIXELATE_IDSTR_PIXELATE_TYPE | &Type:
DLG_PIXELATE_IDSTR_HEIGHT | &Height
DLG_PIXELATE_IDSTR_WIDTH | &Width
DLG_PIXELATE_IDSTR_PIVOT | &Pivot
DLG_PIXELATE_IDSTR_CENTER | Cen&ter
DLG_PIXELATE_IDSTR_OPACITY | &Opacity:
DLG_PIXELATE_IDSTR_TYPE_RECTANGLE | Rectangle
DLG_PIXELATE_IDSTR_TYPE_RADIAL | Radial
DLG_PIXELATE_IDSTR_MODE_MAXIMUM | Maximum
DLG_PIXELATE_IDSTR_MODE_MINIMUM | Minimum
DLG_PIXELATE_IDSTR_MODE_AVERAGE | Average
DLG_PIXELATE_IDSTR_CELL_TYPE_PERIOD | Period
DLG_PIXELATE_IDSTR_CELL_TYPE_FREQUENCY | Frequency
DLG_PIXELATE_IDSTR_CURSORPOS_VALUE | Cursor Pos (xy):%d%d
DLG_PIXELATE_IDSTR_CURSORPOS_EMPTY | Cursor Pos (xy):--
Zoom Wave Dialog Strings |
DLG_ZOOMWAVE_IDSTR_CAPTION | Zoom Wave Effect
DLG_ZOOMWAVE_IDSTR_ZOOMWAVE | &Zoom Wave
DLG_ZOOMWAVE_IDSTR_FREQUENCY | &Frequency:
DLG_ZOOMWAVE_IDSTR_AMPLITUDE | &Amplitude:
DLG_ZOOMWAVE_IDSTR_PHASE | P&hase:
DLG_ZOOMWAVE_IDSTR_ZOOMFACTOR | &Zoom Factor:
DLG_ZOOMWAVE_IDSTR_EXPOSED | &Exposed Area
DLG_ZOOMWAVE_IDSTR_CENTER | Cen&ter
DLG_ZOOMWAVE_IDSTR_PIVOT | &Pivot
DLG_ZOOMWAVE_IDSTR_FILLTYPE_USECOLOR | Use Color
DLG_ZOOMWAVE_IDSTR_FILLTYPE_STRETCH | Stretch Image
DLG_ZOOMWAVE_IDSTR_FILLTYPE_NOCHANGE | Don't Change
DLG_ZOOMWAVE_IDSTR_CURSORPOS_VALUE | Cursor Pos (xy):%d%d
DLG_ZOOMWAVE_IDSTR_CURSORPOS_EMPTY | Cursor Pos (xy):--
Radial Wave Dialog Strings |
DLG_RADIALWAVE_IDSTR_CAPTION | Radial Wave Effect
DLG_RADIALWAVE_IDSTR_RADIALWAVE | &Radial Wave
DLG_RADIALWAVE_IDSTR_LENGTH | &Length:
DLG_RADIALWAVE_IDSTR_AMPLITUDE | &Amplitude:
DLG_RADIALWAVE_IDSTR_PHASE | P&hase:
DLG_RADIALWAVE_IDSTR_WAVETYPE | &Type:
DLG_RADIALWAVE_IDSTR_WAVETYPE_PERCENT | Period
DLG_RADIALWAVE_IDSTR_WAVETYPE_FREQUENCY | Frequency
DLG_RADIALWAVE_IDSTR_EXPOSED | &Exposed Area
DLG_RADIALWAVE_IDSTR_CENTER | Cen&ter
DLG_RADIALWAVE_IDSTR_PIVOT | &Pivot
DLG_RADIALWAVE_IDSTR_FILLTYPE_USECOLOR | Use Color
DLG_RADIALWAVE_IDSTR_FILLTYPE_STRETCH | Stretch Image
DLG_RADIALWAVE_IDSTR_FILLTYPE_NOCHANGE | Don't Change
DLG_RADIALWAVE_IDSTR_CURSORPOS_VALUE | Cursor Pos (xy):%d%d
DLG_RADIALWAVE_IDSTR_CURSORPOS_EMPTY | Cursor Pos (xy):--
Ripple Dialog Strings |
DLG_RIPPLE_IDSTR_CAPTION | Ripple Effect
DLG_RIPPLE_IDSTR_SETTINGS | &Ripple Settings
DLG_RIPPLE_IDSTR_FREQUENCY | &Frequency:
DLG_RIPPLE_IDSTR_AMPLITUDE | &Amplitude:
DLG_RIPPLE_IDSTR_PHASE | P&hase:
DLG_RIPPLE_IDSTR_ATTENUATION | A&ttenuation:
DLG_RIPPLE_IDSTR_EXPOSED | &Exposed Area
DLG_RIPPLE_IDSTR_CENTER | Cen&ter
DLG_RIPPLE_IDSTR_PIVOT | &Pivot
DLG_RIPPLE_IDSTR_FILLTYPE_USECOLOR | Use Color
DLG_RIPPLE_IDSTR_FILLTYPE_STRETCH | Stretch Image
DLG_RIPPLE_IDSTR_FILLTYPE_NOCHANGE | Don't Change
DLG_RIPPLE_IDSTR_CURSORPOS_VALUE | Cursor Pos (xy):%d%d
DLG_RIPPLE_IDSTR_CURSORPOS_EMPTY | Cursor Pos (xy):--
Punch dialog strings |
DLG_PUNCH_IDSTR_CAPTION | Punch Effect
DLG_PUNCH_IDSTR_SETTINGS | P&unch Settings
DLG_PUNCH_IDSTR_VALUE | &Value:
DLG_PUNCH_IDSTR_STRESS | &Stress:
DLG_PUNCH_IDSTR_ROTATE | &Rotate
DLG_PUNCH_IDSTR_EXPOSED | &Exposed Area
DLG_PUNCH_IDSTR_CENTER | Cen&ter
DLG_PUNCH_IDSTR_PIVOT | &Pivot
DLG_PUNCH_IDSTR_FILLTYPE_USECOLOR | Use Color
DLG_PUNCH_IDSTR_FILLTYPE_STRETCH | Stretch Image
DLG_PUNCH_IDSTR_FILLTYPE_NOCHANGE | Don't Change
DLG_PUNCH_IDSTR_CURSORPOS_VALUE | Cursor Pos (xy):%d%d
DLG_PUNCH_IDSTR_CURSORPOS_EMPTY | Cursor Pos (xy):--
Bending Dialog Strings |
DLG_BENDING_IDSTR_CAPTION | Bending Effect
DLG_BENDING_IDSTR_SETTINGS | &Bending Settings
DLG_BENDING_IDSTR_VALUE | &Value:
DLG_BENDING_IDSTR_TYPE | T&ype:
DLG_BENDING_IDSTR_ROTATE | &Rotate
DLG_BENDING_IDSTR_EXPOSED | &Exposed Area
DLG_BENDING_IDSTR_CENTER | Cen&ter
DLG_BENDING_IDSTR_PIVOT | &Pivot
DLG_BENDING_IDSTR_FILLTYPE_USECOLOR | Use Color
DLG_BENDING_IDSTR_FILLTYPE_STRETCH | Stretch Image
DLG_BENDING_IDSTR_FILLTYPE_NOCHANGE | Don't Change
DLG_BENDING_IDSTR_TYPE_NORMAL | Normal
DLG_BENDING_IDSTR_TYPE_VERTICAL | Vertically
DLG_BENDING_IDSTR_TYPE_HORIZONTAL | Horizontally
DLG_BENDING_IDSTR_CURSORPOS_VALUE | Cursor Pos (xy):%d%d
DLG_BENDING_IDSTR_CURSORPOS_EMPTY | Cursor Pos (xy):--
Spherize Dialog Strings |
DLG_SPHERIZE_IDSTR_CAPTION | Spherize Effect
DLG_SPHERIZE_IDSTR_SETTINGS | &Spherize
DLG_SPHERIZE_IDSTR_VALUE | &Value:
DLG_SPHERIZE_IDSTR_ROTATE | &Rotate
DLG_SPHERIZE_IDSTR_EXPOSED | &Exposed Area
DLG_SPHERIZE_IDSTR_CENTER | Cen&ter
DLG_SPHERIZE_IDSTR_PIVOT | &Pivot
DLG_SPHERIZE_IDSTR_FILLTYPE_USECOLOR | Use Color
DLG_SPHERIZE_IDSTR_FILLTYPE_STRETCH | Stretch Image
DLG_SPHERIZE_IDSTR_FILLTYPE_NOCHANGE | Don't Change
DLG_SPHERIZE_IDSTR_CURSORPOS_VALUE | Cursor Pos (xy):%d%d
DLG_SPHERIZE_IDSTR_CURSORPOS_EMPTY | Cursor Pos (xy):--
Swirl Dialog Strings |
DLG_SWIRL_IDSTR_CAPTION | Swirl Effect
DLG_SWIRL_IDSTR_ANGLE | &Swirl Rotation Angle (degrees)
DLG_SWIRL_IDSTR_CLOCKWISE | &Clockwise
DLG_SWIRL_IDSTR_PIVOT | &Pivot
DLG_SWIRL_IDSTR_CENTER | Cen&ter
DLG_SWIRL_IDSTR_CURSORPOS_VALUE | Cursor Pos (xy):%d%d
DLG_SWIRL_IDSTR_CURSORPOS_EMPTY | Cursor Pos (xy):--
Radial Blur Dialog Strings |
DLG_RADIALBLUR_IDSTR_CAPTION | Radial Blur Effect
DLG_RADIALBLUR_IDSTR_SETTINGS | Radial &Blur
DLG_RADIALBLUR_IDSTR_SIZE | Si&ze:
DLG_RADIALBLUR_IDSTR_STRESS | &Stress:
DLG_RADIALBLUR_IDSTR_PIVOT | &Pivot
DLG_RADIALBLUR_IDSTR_CENTER | Cen&ter
DLG_RADIALBLUR_IDSTR_CURSORPOS_VALUE | Cursor Pos (xy):%d%d
DLG_RADIALBLUR_IDSTR_CURSORPOS_EMPTY | Cursor Pos (xy):--
Zoom Blur Dialog Strings |
DLG_ZOOMBLUR_IDSTR_CAPTION | Zoom Blur Effect
DLG_ZOOMBLUR_IDSTR_SETTINGS | Zoom &Blur
DLG_ZOOMBLUR_IDSTR_SIZE | Si&ze:
DLG_ZOOMBLUR_IDSTR_STRESS | &Stress:
DLG_ZOOMBLUR_IDSTR_PIVOT | &Pivot
DLG_ZOOMBLUR_IDSTR_CENTER | Cen&ter
DLG_ZOOMBLUR_IDSTR_CURSORPOS_VALUE | Cursor Pos (xy):%d%d
DLG_ZOOMBLUR_IDSTR_CURSORPOS_EMPTY | Cursor Pos (xy):--
Wave Dialog Strings |
DLG_WAVE_IDSTR_CAPTION | Wave Effect
DLG_WAVE_IDSTR_SETTINGS | &Wave Settings
DLG_WAVE_IDSTR_LENGTH | &Length:
DLG_WAVE_IDSTR_AMPLITUDE | &Amplitude:
DLG_WAVE_IDSTR_ANGLE | An&gle:
DLG_WAVE_IDSTR_HORZSCALE | &Horz Scale:
DLG_WAVE_IDSTR_VERTSCALE | &Vert Scale:
DLG_WAVE_IDSTR_WAVETYPE | &Type:
DLG_WAVE_IDSTR_WAVETYPE_PERCENT | Period
DLG_WAVE_IDSTR_WAVETYPE_FREQUENCY | Frequency
DLG_WAVE_IDSTR_WAVEMODE | &Mode
DLG_WAVE_IDSTR_MODE_SIN | Sin
DLG_WAVE_IDSTR_MODE_COS | Cos
DLG_WAVE_IDSTR_MODE_SQUARE | Square
DLG_WAVE_IDSTR_MODE_TRIANGULAR | Triangular
DLG_WAVE_IDSTR_EXPOSED | &Exposed Area
DLG_WAVE_IDSTR_FILLTYPE_USECOLOR | Use Color
DLG_WAVE_IDSTR_FILLTYPE_STRETCH | Stretch Image
DLG_WAVE_IDSTR_FILLTYPE_NOCHANGE | Don't Change
Wave Shear Dialog Strings |
DLG_WAVESHEAR_IDSTR_CAPTION | Wave Shear
DLG_WAVESHEAR_IDSTR_WAVE_CURVE | Wave Curve
DLG_WAVESHEAR_IDSTR_CURVEMODE | Curve &Mode:
DLG_WAVESHEAR_IDSTR_RESET | &Reset
DLG_WAVESHEAR_IDSTR_LOAD | &Load
DLG_WAVESHEAR_IDSTR_LOAD_EXTENSION | LEADTOOLS WaveShear Curve (*.lsr)|*.lsr||
DLG_WAVESHEAR_IDSTR_LOAD_CAPTION | Load
DLG_WAVESHEAR_IDSTR_SAVE | &Save
DLG_WAVESHEAR_IDSTR_SAVE_EXTENSION | LEADTOOLS WaveShear Curve (*.lsr)|*.lsr||
DLG_WAVESHEAR_IDSTR_SAVE_CAPTION | Save
DLG_WAVESHEAR_IDSTR_CURVEMODE_USERPOINTS | Curve
DLG_WAVESHEAR_IDSTR_CURVEMODE_LINER | Linear
DLG_WAVESHEAR_IDSTR_CURVEFLIP_FLIP | Fl&ip
DLG_WAVESHEAR_IDSTR_CURVEFLIP_BOTH | Both directions
DLG_WAVESHEAR_IDSTR_CURVEFLIP_VERT | Vertically
DLG_WAVESHEAR_IDSTR_CURVEFLIP_HORIZ | Horizontally
DLG_WAVESHEAR_IDSTR_WAVE_SETTING | &Wave Settings
DLG_WAVESHEAR_IDSTR_WAVE_SETTING_SCALE | S&cale:
DLG_WAVESHEAR_IDSTR_WAVE_SETTING_DIRECTION | &Direction:
DLG_WAVESHEAR_IDSTR_WAVE_SETTING_DIRECTION_HORZ | Horizontal
DLG_WAVESHEAR_IDSTR_WAVE_SETTING_DIRECTION_VERT | Vertical
DLG_WAVESHEAR_IDSTR_WAVE_EXPOSED | E&xposed Area
DLG_WAVESHEAR_IDSTR_WAVE_EXPOSED_NOCHANGE | Don't Change
DLG_WAVESHEAR_IDSTR_WAVE_EXPOSED_COLOR | Use Color
DLG_WAVESHEAR_IDSTR_WAVE_EXPOSED_STRETCH | Stretch Image
DLG_WAVESHEAR_IDSTR_MSG_LOADFILE_CAPTION | Load Error
DLG_WAVESHEAR_IDSTR_MSG_LOADFILE_TEXT | This is not a curve data file!
DLG_WAVESHEAR_IDSTR_MSG_SAVEFILE_CAPTION | Save Error
File Info Dialog Strings |
DLG_FILEINFO_IDSTR_ITEM_CAPTION | Item:
DLG_FILEINFO_IDSTR_VALUE_CAPTION | Value:
DLG_FILEINFO_IDSTR_INFORMATION | File Information
DLG_FILEINFO_IDSTR_FORMAT | Format
DLG_FILEINFO_IDSTR_FILENAME | Name
DLG_FILEINFO_IDSTR_WIDTH | Width
DLG_FILEINFO_IDSTR_HEIGHT | Height
DLG_FILEINFO_IDSTR_BPP | Bits per pixel
DLG_FILEINFO_IDSTR_SIZEDISK | Size on disk
DLG_FILEINFO_IDSTR_SIZEMEM | Size in memory
DLG_FILEINFO_IDSTR_COMPRESSION | Compression
DLG_FILEINFO_IDSTR_PAGE | Page
DLG_FILEINFO_IDSTR_ARTIST | Artist
DLG_FILEINFO_IDSTR_COPYRIGHT | Copyright
DLG_FILEINFO_IDSTR_DATETIME | Date/Time
DLG_FILEINFO_IDSTR_DESCRIPTION | Description
DLG_FILEINFO_IDSTR_HOSTCOMPUTER | Host Computer
DLG_FILEINFO_IDSTR_MAKE | Make
DLG_FILEINFO_IDSTR_MODEL | Model
DLG_FILEINFO_IDSTR_DOCNAME | Name of Document
DLG_FILEINFO_IDSTR_PAGENAME | Name of Page
DLG_FILEINFO_IDSTR_SOFTWARE | Software
DLG_FILEINFO_IDSTR_XRESOLUTION | XResolution (DPI)
DLG_FILEINFO_IDSTR_YRESOLUTION | YResolution (DPI)
DICOM File Info Strings |
DLG_FILEINFO_IDSTR_PATIENTNAME | Patient Name
DLG_FILEINFO_IDSTR_PATIENTID | Patient ID
DLG_FILEINFO_IDSTR_PATIENTBIRTHDATE | Patient Birth Date
DLG_FILEINFO_IDSTR_PATIENTSEX | Patient Sex
DLG_FILEINFO_IDSTR_STUDYINSTANCE | Study Instance
DLG_FILEINFO_IDSTR_STUDYDATE | Study Date
DLG_FILEINFO_IDSTR_STUDYTIME | Study Time
DLG_FILEINFO_IDSTR_STUDYREFPHYSICIAN | Study Ref. Physician
DLG_FILEINFO_IDSTR_SERIESMODALITY | Series Modality
DLG_FILEINFO_IDSTR_SERIESID | Series ID
DLG_FILEINFO_IDSTR_SERIESNUMBER | Series Number
DLG_FILEINFO_IDSTR_LOSSLESS_JPEG | Lossless JPEG
DLG_FILEINFO_IDSTR_LOSSLESS_TIF_JPEG | Lossless TIF JPEG
PNG File Info Strings |
DLG_FILEINFO_IDSTR_WARNING | Warning
DLG_FILEINFO_IDSTR_DISCLAIMER | Disclaimer
File Conversion Dialog Strings |
DLG_FILECONVERSION_IDSTR_CAPTION | File Conversion
DLG_FILECONVERSION_IDSTR_CONVERT | Con&vert
DLG_FILECONVERSION_IDSTR_CLOSE | &Close
DLG_FILECONVERSION_IDSTR_FILE | Source &File(s)
DLG_FILECONVERSION_IDSTR_PREVIEW | Preview:
DLG_FILECONVERSION_IDSTR_FILELIST | File L&ist:
DLG_FILECONVERSION_IDSTR_ADD | Add File...
DLG_FILECONVERSION_IDSTR_ADDFOLDER | Add Folder...
DLG_FILECONVERSION_OPENDLG_IDSTR_CAPTION | Add File(s)
DLG_FILECONVERSION_OPENDLG_IDSTR_ADD | &Add
DLG_FILECONVERSION_OPENFOLDERDLG_IDSTR_CAPTION | Select Folder
DLG_FILECONVERSION_IDSTR_REMOVE | Remove
DLG_FILECONVERSION_IDSTR_SELECTALL | Select All
DLG_FILECONVERSION_IDSTR_FILEINFO | Fi&le Info...
DLG_FILECONVERSION_IDSTR_FULLPATH | F&ull Path
DLG_FILECONVERSION_IDSTR_TYPE | File &Type
DLG_FILECONVERSION_IDSTR_SUBTYPE | &Sub Type:
DLG_FILECONVERSION_IDSTR_FILETYPEOPTIONS | O&ptions...
DLG_FILECONVERSION_IDSTR_SOURCEFILEOPTIONS | Op&tions...
DLG_FILECONVERSION_IDSTR_RESULTED | Resulting File(s)
DLG_FILECONVERSION_IDSTR_FOLDER | Fol&der:
DLG_FILECONVERSION_IDSTR_USEORIGINALFOLDER | Use Original Fold&er
DLG_FILECONVERSION_IDSTR_DESTINATIONFOLDER | Destination Folder
DLG_FILECONVERSION_IDSTR_REMOVEREPLACE | &Delete/Overwrite File(s)
DLG_FILECONVERSION_IDSTR_OVERWRITE | &Overwrite:
DLG_FILECONVERSION_IDSTR_LOGREPORT | Lo&g Report
DLG_FILECONVERSION_IDSTR_ASK | Ask
DLG_FILECONVERSION_IDSTR_SKIP | Skip
DLG_FILECONVERSION_IDSTR_REPLACE | Replace
DLG_FILECONVERSION_IDSTR_RENAME | Rename
DLG_FILECONVERSION_IDSTR_FILELIST_FILE | File Name
DLG_FILECONVERSION_IDSTR_FILELIST_SELECTEDPAGES | Selected Pages
DLG_FILECONVERSION_IDSTR_CUSTOMIZERENAME | &Customize...
DLG_FILECONVERSION_IDSTR_NAMINGTEMPLATE | &Naming Template...
DLG_FILECONVERSION_IDSTR_TYPEBPP | BPP:
DLG_FILECONVERSION_IDSTR_MSG_PREVIEW_TEXT | Can not find:\n(%s).
DLG_FILECONVERSION_IDSTR_MSG_PREVIEW_CAPTION | Preview Error
DLG_FILECONVERSION_ASKDLG_IDSTR_CAPTION | Overwrite
DLG_FILECONVERSION_ASKDLG_IDSTR_REPLACE | &Replace
DLG_FILECONVERSION_ASKDLG_IDSTR_SKIP | &Skip
DLG_FILECONVERSION_ASKDLG_IDSTR_RENAME | R&ename
DLG_FILECONVERSION_ASKDLG_IDSTR_ABORT | Abort
DLG_FILECONVERSION_ASKDLG_IDSTR_TEXT | File \
File Conversion Log-Report Dialog Strings |
DLG_FILECONVERSION_LOGREPORTDLG_IDSTR_CAPTION | Conversion Log-Report
DLG_FILECONVERSION_LOGREPORTDLG_IDSTR_STATE | State
DLG_FILECONVERSION_LOGREPORTDLG_IDSTR_SOURCE | Source File
DLG_FILECONVERSION_LOGREPORTDLG_IDSTR_DESTINATION | Destination File
File Conversion Update State Dialog Strings |
DLG_FILECONVERSION_UPDATESTATEPROGRESSDLG_IDSTR_CAPTION | Updating...
DLG_FILECONVERSION_UPDATESTATEPROGRESSDLG_IDSTR_STATUS | Updating State...
File Conversion Abort Dialog Strings |
DLG_FILECONVERSION_PROGRESSDLG_IDSTR_CAPTION | Converting...
DLG_FILECONVERSION_PROGRESSDLG_IDSTR_CONVERTINGFILES | Converting Files...
DLG_FILECONVERSION_PROGRESSDLG_IDSTR_ABORT | &Abort
DLG_FILECONVERSION_PROGRESSDLG_IDSTR_BODY | From: %s\nTo : %s
File Conversion Add Progress Dialog Strings |
DLG_FILECONVERSION_ADDPROGRESSDLG_IDSTR_CAPTION | Adding Files...
DLG_FILECONVERSION_ADDPROGRESSDLG_IDSTR_ABORT | &Abort
DLG_FILECONVERSION_ADDPROGRESSDLG_IDSTR_BODY | Adding: %s
File Conversion Load Options Dialog Strings |
DLG_FILECONVERSION_LOADOPTIONSDLG_IDSTR_CAPTION | Load Options
DLG_FILECONVERSION_LOADOPTIONSDLG_IDSTR_PAGESETTINGS | Page &Settings
DLG_FILECONVERSION_LOADOPTIONSDLG_IDSTR_ALLPAGES | &All Pages
DLG_FILECONVERSION_LOADOPTIONSDLG_IDSTR_PAGES | &Page(s):
DLG_FILECONVERSION_LOADOPTIONSDLG_IDSTR_USEINFORMATION | Enter page numbers and/or page ranges separated by commas. For example: 3125-9
DLG_FILECONVERSION_LOADOPTIONSDLG_IDSTR_MSG_TEXT | Invalid page number.
DLG_FILECONVERSION_LOADOPTIONSDLG_IDSTR_MSG_CAPTION | Page Error
File Conversion Rename Template Dialog Strings |
DLG_FILECONVERSION_RENAMEDLG_IDSTR_CAPTION | Rename Template
DLG_FILECONVERSION_RENAMEDLG_IDSTR_SAMPLE | &Sample:
DLG_FILECONVERSION_RENAMEDLG_IDSTR_PREFIX | Set as &Prefix
DLG_FILECONVERSION_RENAMEDLG_IDSTR_SUFFIX | Set as &Suffix
DLG_FILECONVERSION_RENAMEDLG_IDSTR_TAGOPTIONS | &Tags Options
DLG_FILECONVERSION_RENAMEDLG_IDSTR_TAG | T&ag:
DLG_FILECONVERSION_RENAMEDLG_IDSTR_SETTINGS | &Settings
DLG_FILECONVERSION_RENAMEDLG_IDSTR_MASK | Mas&k:
DLG_FILECONVERSION_RENAMEDLG_IDSTR_INCREMENT | &Increment by:
DLG_FILECONVERSION_RENAMEDLG_IDSTR_STARTINGPOSITION | &Starting Position:
DLG_FILECONVERSION_RENAMEDLG_IDSTR_ALPHABETICRANGE | &Alphabetical Range:
DLG_FILECONVERSION_RENAMEDLG_IDSTR_NUMERICRANGE | &Numerical Range:
DLG_FILECONVERSION_RENAMEDLG_IDSTR_UPPERCASE | &Upper Case
DLG_FILECONVERSION_RENAMEDLG_IDSTR_NOTE | Note: Ranges run from lower to higher value.
DLG_FILECONVERSION_RENAMEDLG_IDSTR_MSG_INVALIDTEMPLATE_TEXT | Invalid Template.\nTemplate can't be blank and can't contain any of the following characters:\n\\:?<>*|
DLG_FILECONVERSION_RENAMEDLG_IDSTR_MSG_INVALIDTEMPLATE_CAPTION | Error
File Conversion Naming Template Dialog Strings |
DLG_FILECONVERSION_NAMINGTEMPLATEDLG_IDSTR_CAPTION | Naming Template
DLG_FILECONVERSION_NAMINGTEMPLATEDLG_IDSTR_TEMPLATE | &Template:
DLG_FILECONVERSION_NAMINGTEMPLATEDLG_IDSTR_SAMPLE | &Sample:
DLG_FILECONVERSION_NAMINGTEMPLATEDLG_IDSTR_TAGOPTIONS | &Tags Options
DLG_FILECONVERSION_NAMINGTEMPLATEDLG_IDSTR_TAG | T&ag:
DLG_FILECONVERSION_NAMINGTEMPLATEDLG_IDSTR_SETTINGS | &Settings
DLG_FILECONVERSION_NAMINGTEMPLATEDLG_IDSTR_MASK | Mas&k:
DLG_FILECONVERSION_NAMINGTEMPLATEDLG_IDSTR_INCREMENT | &Increment by:
DLG_FILECONVERSION_NAMINGTEMPLATEDLG_IDSTR_STARTINGPOSITION | &Starting Position:
DLG_FILECONVERSION_NAMINGTEMPLATEDLG_IDSTR_ALPHABETICRANGE | &Alphabetical Range:
DLG_FILECONVERSION_NAMINGTEMPLATEDLG_IDSTR_NUMERICRANGE | &Numerical Range:
DLG_FILECONVERSION_NAMINGTEMPLATEDLG_IDSTR_UPPERCASE | &Upper Case
DLG_FILECONVERSION_NAMINGTEMPLATEDLG_IDSTR_NOTE | Note: Ranges run from lower to higher value.
DLG_FILECONVERSION_NAMINGTEMPLATEDLG_IDSTR_MSG_INVALIDTEMPLATE_TEXT | Invalid Template.\nTemplate can't be blank and can't contain any of the following characters:\n\\:?<>*|
DLG_FILECONVERSION_NAMINGTEMPLATEDLG_IDSTR_MSG_INVALIDTEMPLATE_CAPTION | Error
DLG_FILECONVERSION_NAMINGTEMPLATEDLG_IDSTR_KEEPASIS | Keep as is
DLG_FILECONVERSION_NAMINGTEMPLATEDLG_IDSTR_UPPER | Upper
DLG_FILECONVERSION_NAMINGTEMPLATEDLG_IDSTR_LOWER | Lower
DLG_FILECONVERSION_NAMINGTEMPLATEDLG_IDSTR_TOGGLE | Toggle
DLG_FILECONVERSION_NAMINGTEMPLATEDLG_IDSTR_SHORT | Short
DLG_FILECONVERSION_NAMINGTEMPLATEDLG_IDSTR_LONG | Long
DLG_FILECONVERSION_NAMINGTEMPLATEDLG_IDSTR_LONG24 | Long 24
DLG_FILECONVERSION_NAMINGTEMPLATEDLG_IDSTR_SHORT24 | Short 24
DLG_FILECONVERSION_NAMINGTEMPLATEDLG_IDSTR_LONG12 | Long 12
DLG_FILECONVERSION_NAMINGTEMPLATEDLG_IDSTR_SHORT12 | Short 12
File Conversion dialog Rotate Dialog Strings |
DLG_FILECONVERSION_ROTATEDLG_IDSTR_CAPTION | Rotate
DLG_FILECONVERSION_ROTATEDLG_IDSTR_ANGLE | Clockwise &Angle (degrees)
DLG_FILECONVERSION_ROTATEDLG_IDSTR_INTERPOLATION | Inter&polation Type:
DLG_FILECONVERSION_ROTATEDLG_IDSTR_COLOR | &Background:
DLG_FILECONVERSION_ROTATEDLG_IDSTR_RESIZE | Resi&ze
DLG_FILECONVERSION_ROTATEDLG_IDSTR_NORMAL | Normal
DLG_FILECONVERSION_ROTATEDLG_IDSTR_RESAMPLE | Resample
DLG_FILECONVERSION_ROTATEDLG_IDSTR_BICUBIC | Bicubic
File Conversion Resize Dialog Strings |
DLG_FILECONVERSION_RESIZEDLG_IDSTR_CAPTION | Resize
DLG_FILECONVERSION_RESIZEDLG_IDSTR_ENABLE | &Enable
DLG_FILECONVERSION_RESIZEDLG_IDSTR_WIDTHNEW | New &Width:
DLG_FILECONVERSION_RESIZEDLG_IDSTR_HEIGHTNEW | New &Height:
DLG_FILECONVERSION_RESIZEDLG_IDSTR_METHOD | &Method:
DLG_FILECONVERSION_RESIZEDLG_IDSTR_NORMAL | Normal
DLG_FILECONVERSION_RESIZEDLG_IDSTR_RESAMPLE | Resample
DLG_FILECONVERSION_RESIZEDLG_IDSTR_BICUBIC | Bicubic
DLG_FILECONVERSION_RESIZEDLG_IDSTR_UNIT | &Unit:
DLG_FILECONVERSION_RESIZEDLG_IDSTR_PIXEL | Pixel
DLG_FILECONVERSION_RESIZEDLG_IDSTR_PERCENT | Percent
File Save Options Dialog Strings |
DLG_FILESAVEOPTIONS_IDSTR_APPEND | Append
DLG_FILESAVEOPTIONS_IDSTR_BPP | Bits Per Pi&xel:
DLG_FILESAVEOPTIONS_IDSTR_CAPTION | File Save Options
DLG_FILESAVEOPTIONS_IDSTR_COMPRESSION | Compression
DLG_FILESAVEOPTIONS_IDSTR_COMPRESSIONCONTROL | Contro&l:
DLG_FILESAVEOPTIONS_IDSTR_COMPRESSIONRATIO | Rat&io:
DLG_FILESAVEOPTIONS_IDSTR_GENERAL | General
DLG_FILESAVEOPTIONS_IDSTR_INSERT | Insert
DLG_FILESAVEOPTIONS_IDSTR_J2KADVANCED | &J2K Options...
DLG_FILESAVEOPTIONS_IDSTR_J2KCOLOR | Color-axis
DLG_FILESAVEOPTIONS_IDSTR_J2KCOMPRATIO | Compression Ratio
DLG_FILESAVEOPTIONS_IDSTR_J2KLOSSLESS | Lossless
DLG_FILESAVEOPTIONS_IDSTR_J2KPOSITION | Position-axis
DLG_FILESAVEOPTIONS_IDSTR_J2KQFACTOR | Quality Factor
DLG_FILESAVEOPTIONS_IDSTR_J2KQUALITY | Quality-axis
DLG_FILESAVEOPTIONS_IDSTR_J2KRESOLUTION1 | Resolution-axis 1
DLG_FILESAVEOPTIONS_IDSTR_J2KRESOLUTION2 | Resolution-axis 2
DLG_FILESAVEOPTIONS_IDSTR_J2KTARGETSIZE | Target File Size
DLG_FILESAVEOPTIONS_IDSTR_JBIG2OPTIONS | &JBIG2 Options...
DLG_FILESAVEOPTIONS_IDSTR_MSG_DELETE_CAPTION | Error
DLG_FILESAVEOPTIONS_IDSTR_MSG_DELETE_TEXT | Can not delete ( %s ) file.
DLG_FILESAVEOPTIONS_IDSTR_MSG_FOLDERCREATION_CAPTION | Folder Error
DLG_FILESAVEOPTIONS_IDSTR_MSG_FOLDERCREATION_TEXT | Can't create destination folder \
DLG_FILESAVEOPTIONS_IDSTR_MSG_FOLDEREXISTANCE_CAPTION | Folder Error
DLG_FILESAVEOPTIONS_IDSTR_MSG_FOLDEREXISTANCE_TEXT | The destination folder \
DLG_FILESAVEOPTIONS_IDSTR_MULTIPAGE | Multipage
DLG_FILESAVEOPTIONS_IDSTR_OPERATION | Opera&tion:
DLG_FILESAVEOPTIONS_IDSTR_OVERWRITE | Overwrite
DLG_FILESAVEOPTIONS_IDSTR_PAGE | Page &No.:
DLG_FILESAVEOPTIONS_IDSTR_PROG1 | 1
DLG_FILESAVEOPTIONS_IDSTR_PROG10 | 10
DLG_FILESAVEOPTIONS_IDSTR_PROG2 | 2
DLG_FILESAVEOPTIONS_IDSTR_PROG3 | 3
DLG_FILESAVEOPTIONS_IDSTR_PROG4 | 4
DLG_FILESAVEOPTIONS_IDSTR_PROG5 | 5
DLG_FILESAVEOPTIONS_IDSTR_PROG6 | 6
DLG_FILESAVEOPTIONS_IDSTR_PROG7 | 7
DLG_FILESAVEOPTIONS_IDSTR_PROG8 | 8
DLG_FILESAVEOPTIONS_IDSTR_PROG9 | 9
DLG_FILESAVEOPTIONS_IDSTR_PROGALL | All
DLG_FILESAVEOPTIONS_IDSTR_PROGMEANINGFUL | Meaningful Only
DLG_FILESAVEOPTIONS_IDSTR_PROGOPTIONS | &Progressive Options:
DLG_FILESAVEOPTIONS_IDSTR_PROGRESSIONORDER | Progressing O&rder:
DLG_FILESAVEOPTIONS_IDSTR_QFACTOR | &QFactor:
DLG_FILESAVEOPTIONS_IDSTR_QFACTOR_CUSTOM | Custom
DLG_FILESAVEOPTIONS_IDSTR_QFACTOR_MC | Maximum compression
DLG_FILESAVEOPTIONS_IDSTR_QFACTOR_MCQ | Maximum compression keeping quality
DLG_FILESAVEOPTIONS_IDSTR_QFACTOR_PQ1 | Perfect quality 1
DLG_FILESAVEOPTIONS_IDSTR_QFACTOR_PQ2 | Perfect quality 2
DLG_FILESAVEOPTIONS_IDSTR_QFACTOR_QFS | Quality far more important than size
DLG_FILESAVEOPTIONS_IDSTR_QFACTOR_QMS | Quality more important than size
DLG_FILESAVEOPTIONS_IDSTR_QFACTOR_QS | Quality and size equally important
DLG_FILESAVEOPTIONS_IDSTR_QFACTOR_SQS | Size more important that quality (sharp)
DLG_FILESAVEOPTIONS_IDSTR_QFACTOR_SQT | Size more important than quality (less tiling)
DLG_FILESAVEOPTIONS_IDSTR_REPLACE | Replace
DLG_FILESAVEOPTIONS_IDSTR_SAVESTAMP | Sa&ve
DLG_FILESAVEOPTIONS_IDSTR_STAMPHEIGHT | H&eight:
DLG_FILESAVEOPTIONS_IDSTR_STAMPOPTIONS | Stamp Options
DLG_FILESAVEOPTIONS_IDSTR_STAMPWIDTH | &Width:
DLG_FILESAVEOPTIONS_IDSTR_TARGETSIZE | Target Si&ze:
J2K Options Dialog Strings |
DLG_J2K_IDSTR_CAPTION | JPEG 2000 Options
DLG_J2K_IDSTR_OFFSET | Offset
DLG_J2K_IDSTR_OFFSETHORIZONTAL | &Horizontal:
DLG_J2K_IDSTR_OFFSETVERTICAL | &Vertical:
DLG_J2K_IDSTR_TILESIZE | Tile Size
DLG_J2K_IDSTR_TILEWIDTH | &Width:
DLG_J2K_IDSTR_TILEHEIGHT | Hei&ght:
DLG_J2K_IDSTR_TILEOFFSET | Tile Offset
DLG_J2K_IDSTR_TILEHORIZONTAL | Hori&zontal:
DLG_J2K_IDSTR_TILEVERTICAL | Ver&tical:
DLG_J2K_IDSTR_GENERALSETTINGS | General Settings
DLG_J2K_IDSTR_USECOLORTRANSFORM | Use Color Trans&form
DLG_J2K_IDSTR_USEDERIVEDQUANTIZATION | Use Derived &Quantization
DLG_J2K_IDSTR_DECOMPRESSLEVEL | Decompress &Level
DLG_J2K_IDSTR_GUARDBITS | &Guard Bits:
DLG_J2K_IDSTR_MARKERS | Markers
DLG_J2K_IDSTR_USESOPMARKER | Use &SOP Marker
DLG_J2K_IDSTR_USEEPHMARKER | Use E&PH Marker
DLG_J2K_IDSTR_DERIVEDBASE | Derived Base
DLG_J2K_IDSTR_MANTISSA | &Mantissa
DLG_J2K_IDSTR_EXPONENT | E&xponent
DLG_J2K_IDSTR_CODEBLOCK | Code Block
DLG_J2K_IDSTR_CODEBLOCKWIDTH | W&idth
DLG_J2K_IDSTR_CODEBLOCKHEIGHT | H&eight
DLG_J2K_IDSTR_SELECTIVEACBYPASS | Selective AC &bypass
DLG_J2K_IDSTR_RESETCONTEXT | Reset Context On Bo&undaries
DLG_J2K_IDSTR_TERMINATION | Termi&nation On Each Pass
DLG_J2K_IDSTR_VERTICALLYCAUSAL | Vertically Causal C&ontext
DLG_J2K_IDSTR_PREDICTABLETERMINATION | Pre&dictable Termination
DLG_J2K_IDSTR_ERRORRESILIENCE | E&rror Resiliences Symbol
DLG_J2K_IDSTR_DEFAULTOPTIONS | &Default Options
Stitch Dialog Strings |
DLG_STITCH_IDSTR_CAPTION | Stitch
DLG_STITCH_PROPERTIESDLG_IDSTR_OPACITY | &Opacity:
DLG_STITCH_PROPERTIESDLG_IDSTR_POSITION | &Position
DLG_STITCH_PROPERTIESDLG_IDSTR_LEFT | &Left:
DLG_STITCH_PROPERTIESDLG_IDSTR_TOP | &Top:
DLG_STITCH_PROPERTIESDLG_IDSTR_SIZE | Si&ze
DLG_STITCH_PROPERTIESDLG_IDSTR_WIDTH | &Width:
DLG_STITCH_PROPERTIESDLG_IDSTR_HEIGHT | &Height:
Stich - Page Properties Dialog Strings |
DLG_STITCH_PAGEPROPDLG_IDSTR_CAPTION | Image Attributes
DLG_STITCH_PAGEPROPDLG_IDSTR_WIDTH | &Width:
DLG_STITCH_PAGEPROPDLG_IDSTR_HEIGHT | &Height:
DLG_STITCH_PAGEPROPDLG_IDSTR_RESOLUTION | &Resolution:
DLG_STITCH_PAGEPROPDLG_IDSTR_DEPTH | &Depth:
DLG_STITCH_PAGEPROPDLG_IDSTR_MEMSIZE | Image Memory Size:
DLG_STITCH_PAGEPROPDLG_IDSTR_BACKCOLOR | Back &Color:
DLG_STITCH_PAGEPROPDLG_IDSTR_PIXELS | Pixels
DLG_STITCH_PAGEPROPDLG_IDSTR_INCHES | Inches
DLG_STITCH_PAGEPROPDLG_IDSTR_CENTIMETERS | Centimeters
DLG_STITCH_PAGEPROPDLG_IDSTR_PIXELSINCHE | Pixels/inch
DLG_STITCH_PAGEPROPDLG_IDSTR_PIXELSCM | Pixels/cm
DLG_STITCH_PAGEPROPDLG_IDSTR_2COLORS | 2 Colors (1 bit)
DLG_STITCH_PAGEPROPDLG_IDSTR_16COLORS | 16 Colors (4 bits)
DLG_STITCH_PAGEPROPDLG_IDSTR_256COLORS | 256 Colors (8 bits)
DLG_STITCH_PAGEPROPDLG_IDSTR_65536COLORS | 65536 Colors (16 bits)
DLG_STITCH_PAGEPROPDLG_IDSTR_16MCOLORS | 16.7 Million Colors (24 bits)
Stitch - Tile Dialog Strings |
DLG_STITCH_TILEOPTIONSDLG_IDSTR_CAPTION | Tile Options
DLG_STITCH_TILEOPTIONSDLG_IDSTR_ENABLED | &Enabled
DLG_STITCH_TILEOPTIONSDLG_IDSTR_TILES | &Tiles
DLG_STITCH_TILEOPTIONSDLG_IDSTR_TILESTYLE | &Style:
DLG_STITCH_TILEOPTIONSDLG_IDSTR_TILECOUNT | Set Tiles Count
DLG_STITCH_TILEOPTIONSDLG_IDSTR_TILESIZE | Set Tile Size
DLG_STITCH_TILEOPTIONSDLG_IDSTR_SETHORIZTILES | Set &number of horizontal tiles
DLG_STITCH_TILEOPTIONSDLG_IDSTR_SETVERTTILES | Set n&umber of vertical tiles
DLG_STITCH_TILEOPTIONSDLG_IDSTR_NUMHORIZTILES | Number of hori&zontal tiles (2-256):
DLG_STITCH_TILEOPTIONSDLG_IDSTR_NUMVERTTILES | Number of &vertical tiles (2-256):
DLG_STITCH_TILEOPTIONSDLG_IDSTR_SETTILEWIDTH | Custom Wi&dth
DLG_STITCH_TILEOPTIONSDLG_IDSTR_SETTILEHEIGHT | Custom He&ight
DLG_STITCH_TILEOPTIONSDLG_IDSTR_TILEWIDTH | &Width (1-30000)
DLG_STITCH_TILEOPTIONSDLG_IDSTR_TILEHEIGHT | Heigh&t (1-30000)
DLG_STITCH_TILEOPTIONSDLG_IDSTR_ASPECTRATIO | &Keep Aspect Ratio
DLG_STITCH_TILEOPTIONSDLG_IDSTR_MSG_OUTOFRANGE_TEXT | Some values are out of range.\nPress OK to fix them.
DLG_STITCH_TILEOPTIONSDLG_IDSTR_MSG_OUTOFRANGE_CAPTION | Error
Stitch - Toolbar Strings |
DLG_STITCH_IDSTR_TOOLBAR_OBJECTSLIST | Objects List
DLG_STITCH_IDSTR_TOOLBAR_OBJECTPROPERTIES | Object Properties
DLG_STITCH_IDSTR_TOOLBAR_IMAGE | Image
DLG_STITCH_IDSTR_TOOLBAR_VIEW | View
DLG_STITCH_IDSTR_TOOLBAR_TOOLS | Tools
DLG_STITCH_IDSTR_TOOLBAR_FILE | File
DLG_STITCH_IDSTR_TOOLBAR_OBJECT | Object
DLG_STITCH_IDSTR_TOOLBAR_OBJECTALIGNMENT | Object Alignment
DLG_STITCH_MNU_MAIN_FILE_IDSTR_CAPTION | &File
DLG_STITCH_MNU_MAIN_FILE_IDSTR_EXITEXPORT | &Exit && Export\tCtrl+X
DLG_STITCH_MNU_MAIN_FILE_IDSTR_EXIT | E&xit\tAlt + F4
DLG_STITCH_MNU_MAIN_VIEW_IDSTR_CAPTION | &View
DLG_STITCH_MNU_MAIN_VIEW_IDSTR_NORMAL | &Normal\tCtrl + N
DLG_STITCH_MNU_MAIN_VIEW_IDSTR_ZOOMIN | Zoom &In\tCtrl + Num +
DLG_STITCH_MNU_MAIN_VIEW_IDSTR_ZOOMOUT | Zoom &Out\tCtrl + Num -
DLG_STITCH_MNU_MAIN_VIEW_IDSTR_FITALWAYS | &Fit Always\tCtrl + F
DLG_STITCH_MNU_MAIN_VIEW_IDSTR_TOOLBAR | &Toolbars
DLG_STITCH_MNU_MAIN_VIEW_IDSTR_TOOLBAR_FILE | &File
DLG_STITCH_MNU_MAIN_VIEW_IDSTR_TOOLBAR_VIEW | &View
DLG_STITCH_MNU_MAIN_VIEW_IDSTR_TOOLBAR_IMAGE | &Image
DLG_STITCH_MNU_MAIN_VIEW_IDSTR_TOOLBAR_OBJECT | &Object
DLG_STITCH_MNU_MAIN_VIEW_IDSTR_TOOLBAR_ALIGNMENT | &Align
DLG_STITCH_MNU_MAIN_VIEW_IDSTR_TOOLBAR_TOOLS | &Tools
DLG_STITCH_MNU_MAIN_IMAGE_IDSTR_CAPTION | &Image
DLG_STITCH_MNU_MAIN_IMAGE_IDSTR_STITCH | &Fit to Object(s)\tCtrl + S
DLG_STITCH_MNU_MAIN_IMAGE_IDSTR_ROTATE90 | &Rotate 90\tCtrl + Shift + R
DLG_STITCH_MNU_MAIN_IMAGE_IDSTR_CLEARALL | &Clear All\tCtrl + Shift + Del
DLG_STITCH_MNU_MAIN_IMAGE_IDSTR_ATTRIBUTES | &Attributes...\tCtrl + Shift + P
DLG_STITCH_MNU_MAIN_OBJECT_IDSTR_CAPTION | &Object
DLG_STITCH_MNU_MAIN_OBJECT_IDSTR_MOVETO | &Move To
DLG_STITCH_MNU_MAIN_OBJECT_IDSTR_MOVETO_PREVIOUS | &Previous\tCtrl + P
DLG_STITCH_MNU_MAIN_OBJECT_IDSTR_MOVETO_NEXT | &Next\tCtrl + E
DLG_STITCH_MNU_MAIN_OBJECT_IDSTR_FLIP | &Flip
DLG_STITCH_MNU_MAIN_OBJECT_IDSTR_FLIP_VERT | &Vertically\tCtrl + V
DLG_STITCH_MNU_MAIN_OBJECT_IDSTR_FLIP_HORIZ | &Horizontally\tCtrl + H
DLG_STITCH_MNU_MAIN_OBJECT_IDSTR_ROTATE | &Rotate
DLG_STITCH_MNU_MAIN_OBJECT_IDSTR_ROTATE_90CCW | 90 &CCW\tCtrl + L
DLG_STITCH_MNU_MAIN_OBJECT_IDSTR_ROTATE_90CW | 90 C&W\tCtrl + R
DLG_STITCH_MNU_MAIN_OBJECT_IDSTR_SCALE | &Scale
DLG_STITCH_MNU_MAIN_OBJECT_IDSTR_SCALE_STRICHTONORMAL | &Normal (1:1)\tCtrl + Shift + N
DLG_STITCH_MNU_MAIN_OBJECT_IDSTR_SCALE_STRICHTOFIT | &To Fit\tCtrl + Shift + F
DLG_STITCH_MNU_MAIN_OBJECT_IDSTR_EDIT | &Edit\tIns
DLG_STITCH_MNU_MAIN_OBJECT_IDSTR_DELETE | &Delete\tDel
DLG_STITCH_MNU_MAIN_OBJECT_IDSTR_DUPLICATE | D&uplicate\tCtrl + D
DLG_STITCH_MNU_MAIN_OBJECT_IDSTR_ALIGN | &Align
DLG_STITCH_MNU_MAIN_OBJECT_IDSTR_ALIGN_AUTOARRANGE | &Auto Arrange\tCtrl + A
DLG_STITCH_MNU_MAIN_OBJECT_IDSTR_ALIGN_LEFTTOP | &Left Top\tCtrl + Num 7
DLG_STITCH_MNU_MAIN_OBJECT_IDSTR_ALIGN_CENTERTOP | Center &Top\tCtrl + Num 8
DLG_STITCH_MNU_MAIN_OBJECT_IDSTR_ALIGN_RIGHTTOP | &Right Top\tCtrl + Num 9
DLG_STITCH_MNU_MAIN_OBJECT_IDSTR_ALIGN_CENTERLEFT | L&eft Center\tCtrl + Num 4
DLG_STITCH_MNU_MAIN_OBJECT_IDSTR_ALIGN_CENTERED | &Centered\tCtrl + Num 5
DLG_STITCH_MNU_MAIN_OBJECT_IDSTR_ALIGN_CENTERRIGHT | R&ight Center\tCtrl + Num 6
DLG_STITCH_MNU_MAIN_OBJECT_IDSTR_ALIGN_LEFTBOTTOM | Le&ft Bottom\tCtrl + Num 1
DLG_STITCH_MNU_MAIN_OBJECT_IDSTR_ALIGN_CENTERBOTTOM | Center &Bottom\tCtrl + Num 2
DLG_STITCH_MNU_MAIN_OBJECT_IDSTR_ALIGN_RIGHTBOTTOM | Ri&ght Bottom\tCtrl + Num 3
DLG_STITCH_MNU_MAIN_OBJECT_IDSTR_ORDER | &Order
DLG_STITCH_MNU_MAIN_OBJECT_IDSTR_ORDER_BRINGTOFRONT | &Bring To Front\tCtrl + Shift + Z
DLG_STITCH_MNU_MAIN_OBJECT_IDSTR_ORDER_SENDTOBACK | Send To Bac&k\tCtrl + Z
DLG_STITCH_MNU_MAIN_OBJECT_IDSTR_TILES | &Tiling Options...\tCtrl + T
DLG_STITCH_MNU_MAIN_HELP_IDSTR_CAPTION | &Help
DLG_STITCH_MNU_MAIN_HELP_IDSTR_HELPTOPICS | Help Topics\tF1
DLG_STITCH_IDSTR_MSG_SAVEERROR_TEXT | Save Changes ?
DLG_STITCH_IDSTR_MSG_SAVEERROR_CAPTION | Stitch
DLG_STITCH_IDSTR_MSG_CHANGE_IMAGESIZE_TEXT | Not enough memory or hard disk space to complete the requested operation
DLG_STITCH_IDSTR_MSG_CHANGE_IMAGESIZE_CAPTION | Error
DLG_STITCH_IDSTR_MSG_CHANGE_PAGEPROPERTIES_TEXT | Invalid Page Properties...
DLG_STITCH_IDSTR_MSG_CHANGE_PAGEPROPERTIES_CAPTION | Error
Print Stitched Images Dialog Strings |
DLG_PRINTSTITCHEDIMAGES_IDSTR_CAPTION | Print Stitched Images
DLG_PRINTSTITCHEDIMAGES_IDSTR_TOOLBAR_GENERAL | General
DLG_PRINTSTITCHEDIMAGES_IDSTR_TOOLBAR_TOOLS | Tools
DLG_PRINTSTITCHEDIMAGES_IDSTR_TOOLBAR_PAGES | Pages
DLG_PRINTSTITCHEDIMAGES_IDSTR_UNIT_INCH | inch
DLG_PRINTSTITCHEDIMAGES_IDSTR_UNIT_CM | cm
DLG_PRINTSTITCHEDIMAGES_IDSTR_UNIT_PIXEL | pixel
DLG_PRINTSTITCHEDIMAGES_IDSTR_MSG_CANNOTREMOVEPAGE_TEXT | Can't remove page
DLG_PRINTSTITCHEDIMAGES_IDSTR_MSG_CANNOTREMOVEPAGE_CAPTION | Error
DLG_PRINTSTITCHEDIMAGES_IDSTR_MSG_PAGENOTFOUND_TEXT | Page not found
DLG_PRINTSTITCHEDIMAGES_IDSTR_MSG_PAGENOTFOUND_CAPTION | Error
DLG_PRINTSTITCHEDIMAGES_IDSTR_MSG_CANNOTREMOVEPAGES_TEXT | Can't remove pages
DLG_PRINTSTITCHEDIMAGES_IDSTR_MSG_CANNOTREMOVEPAGES_CAPTION | Error
DLG_PRINTSTITCHEDIMAGES_IDSTR_MSG_NOPAGEFOUND_TEXT | No page found
DLG_PRINTSTITCHEDIMAGES_IDSTR_MSG_NOPAGEFOUND_CAPTION | Error
DLG_PRINTSTITCHEDIMAGES_IDSTR_MSG_INVALIDVALUES_TEXT | Invalid values.
DLG_PRINTSTITCHEDIMAGES_IDSTR_MSG_INVALIDVALUES_CAPTION | Error
DLG_PRINTSTITCHEDIMAGES_IDSTR_CURRENTPAGE | Current Page
DLG_PRINTSTITCHEDIMAGES_IDSTR_PROPERTIES_ALIGNTOPLEFT | Align Top Left
DLG_PRINTSTITCHEDIMAGES_IDSTR_PROPERTIES_STRECHTOFIT | Stretch To Fit
DLG_PRINTSTITCHEDIMAGES_IDSTR_PROPERTIES_ALIGNCENTERED | Align Centered
DLG_PRINTSTITCHEDIMAGES_IDSTR_PROPERTIES_AUTOARRANGE | Auto Arrange
DLG_PRINTSTITCHEDIMAGES_IDSTR_MSG_EXITCONFIRM_TEXT | Are you sure you want to exit?
DLG_PRINTSTITCHEDIMAGES_IDSTR_MSG_EXITCONFIRM_CAPTION | Question
DLG_PRINTSTITCHEDIMAGES_STATUSDLG_IDSTR_CAPTION | Printing...
DLG_PRINTSTITCHEDIMAGES_STATUSDLG_IDSTR_SCALE | Scale
DLG_PRINTSTITCHEDIMAGES_STATUSDLG_IDSTR_SIZE | Size
DLG_PRINTSTITCHEDIMAGES_STATUSDLG_IDSTR_PIXLES | pixels
DLG_PRINTSTITCHEDIMAGES_IDSTR_MSG_MARGINVALUE_TEXT | Please enter a valid value for auto arrange margins
DLG_PRINTSTITCHEDIMAGES_IDSTR_MSG_MARGINVALUE_CAPTION | Error
DLG_PRINTSTITCHEDIMAGES_MNU_MAIN_FILE_IDSTR_CAPTION | &File
DLG_PRINTSTITCHEDIMAGES_MNU_MAIN_FILE_IDSTR_PREFERENCES | P&references...
DLG_PRINTSTITCHEDIMAGES_MNU_MAIN_FILE_IDSTR_PRINT | &Print
DLG_PRINTSTITCHEDIMAGES_MNU_MAIN_FILE_IDSTR_PRINTSETUP | Pa&ge Setup...
DLG_PRINTSTITCHEDIMAGES_MNU_MAIN_FILE_IDSTR_EXITANDEXPORT | Exit && Export Pre&view
DLG_PRINTSTITCHEDIMAGES_MNU_MAIN_FILE_IDSTR_EXIT | E&xit
DLG_PRINTSTITCHEDIMAGES_MNU_MAIN_IMAGE_IDSTR_CAPTION | &Image
DLG_PRINTSTITCHEDIMAGES_MNU_MAIN_IMAGE_IDSTR_FLIP | Flip
DLG_PRINTSTITCHEDIMAGES_MNU_MAIN_IMAGE_IDSTR_FLIP_VERT | Flip &Vertically
DLG_PRINTSTITCHEDIMAGES_MNU_MAIN_IMAGE_IDSTR_FLIP_HORZ | Flip &Horizontally
DLG_PRINTSTITCHEDIMAGES_MNU_MAIN_IMAGE_IDSTR_ROTATE | Rotate
DLG_PRINTSTITCHEDIMAGES_MNU_MAIN_IMAGE_IDSTR_ROTATE_90CCW | Rotate 90 &CCW
DLG_PRINTSTITCHEDIMAGES_MNU_MAIN_IMAGE_IDSTR_ROTATE_90CW | Rotate 90 C&W
DLG_PRINTSTITCHEDIMAGES_MNU_MAIN_IMAGE_IDSTR_SCALE | Scale
DLG_PRINTSTITCHEDIMAGES_MNU_MAIN_IMAGE_IDSTR_SCALE_STRETCHTOFIT | &Stretch To Fit
DLG_PRINTSTITCHEDIMAGES_MNU_MAIN_IMAGE_IDSTR_SCALE_NORMALLY | Scale &Normally
DLG_PRINTSTITCHEDIMAGES_MNU_MAIN_IMAGE_IDSTR_ALIGN | Align
DLG_PRINTSTITCHEDIMAGES_MNU_MAIN_IMAGE_IDSTR_ALIGN_AUTOARRANGE | &Auto Arrange
DLG_PRINTSTITCHEDIMAGES_MNU_MAIN_IMAGE_IDSTR_ALIGN_LEFTTOP | &Left Top
DLG_PRINTSTITCHEDIMAGES_MNU_MAIN_IMAGE_IDSTR_ALIGN_CENTERTOP | Center &Top
DLG_PRINTSTITCHEDIMAGES_MNU_MAIN_IMAGE_IDSTR_ALIGN_RIGHTTOP | &Right Top
DLG_PRINTSTITCHEDIMAGES_MNU_MAIN_IMAGE_IDSTR_ALIGN_CENTERLEFT | L&eft Center
DLG_PRINTSTITCHEDIMAGES_MNU_MAIN_IMAGE_IDSTR_ALIGN_CENTERED | &Centered
DLG_PRINTSTITCHEDIMAGES_MNU_MAIN_IMAGE_IDSTR_ALIGN_CENTERRIGHT | R&ight Center
DLG_PRINTSTITCHEDIMAGES_MNU_MAIN_IMAGE_IDSTR_ALIGN_LEFTBOTTOM | Le&ft Bottom
DLG_PRINTSTITCHEDIMAGES_MNU_MAIN_IMAGE_IDSTR_ALIGN_CENTERBOTTOM | Center &Bottom
DLG_PRINTSTITCHEDIMAGES_MNU_MAIN_IMAGE_IDSTR_ALIGN_RIGHTBOTTOM | Ri&ght Bottom
DLG_PRINTSTITCHEDIMAGES_MNU_MAIN_VIEW_IDSTR_CAPTION | &View
DLG_PRINTSTITCHEDIMAGES_MNU_MAIN_VIEW_IDSTR_GENERALTOOLBAR | &General Toolbar
DLG_PRINTSTITCHEDIMAGES_MNU_MAIN_VIEW_IDSTR_TOOLSTOOLBAR | Tools Toolbar
DLG_PRINTSTITCHEDIMAGES_MNU_MAIN_VIEW_IDSTR_PAGESTOOLBAR | &Pages Toolbar
DLG_PRINTSTITCHEDIMAGES_MNU_MAIN_PAGE_IDSTR_CAPTION | &Page
DLG_PRINTSTITCHEDIMAGES_MNU_MAIN_PAGE_IDSTR_INSERT | &Insert...\tCtrl + Ins
DLG_PRINTSTITCHEDIMAGES_MNU_MAIN_PAGE_IDSTR_DELETE | &Delete...\tCtrl + Del
DLG_PRINTSTITCHEDIMAGES_MNU_MAIN_PAGE_IDSTR_ERASECONTENTS | &Erase Contents\tCtrl + E
DLG_PRINTSTITCHEDIMAGES_MNU_MAIN_PAGE_IDSTR_FIRST | &First\tCtrl + Home
DLG_PRINTSTITCHEDIMAGES_MNU_MAIN_PAGE_IDSTR_NEXT | Ne&xt\tCtrl + PgDn
DLG_PRINTSTITCHEDIMAGES_MNU_MAIN_PAGE_IDSTR_PREVIOUS | Pre&vious\tCtrl + PgUp
DLG_PRINTSTITCHEDIMAGES_MNU_MAIN_PAGE_IDSTR_LAST | &Last\tCtrl + End
DLG_PRINTSTITCHEDIMAGES_MNU_MAIN_HELP_IDSTR_CAPTION | &Help
DLG_PRINTSTITCHEDIMAGES_MNU_MAIN_HELP_IDSTR_HELPTOPICS | &Help Topics
Intensity Detect Dialog Strings |
DLG_INTENSITYDETECT_IDSTR_CAPTION | Intensity Detect
DLG_INTENSITYDETECT_IDSTR_LOW | &Low
DLG_INTENSITYDETECT_IDSTR_HIGH | &High
DLG_INTENSITYDETECT_IDSTR_CHANNEL | &Channel:
DLG_INTENSITYDETECT_IDSTR_IN | &In:
DLG_INTENSITYDETECT_IDSTR_OUT | &Out:
DLG_INTENSITYDETECT_IDSTR_CHANNEL_GRAYSCALE | Grayscale
DLG_INTENSITYDETECT_IDSTR_CHANNEL_RGB | RGB
DLG_INTENSITYDETECT_IDSTR_COLOR | Color:
DLG_INTENSITYDETECT_IDSTR_CHANNEL_RED | &Red
DLG_INTENSITYDETECT_IDSTR_CHANNEL_GREEN | &Green
DLG_INTENSITYDETECT_IDSTR_CHANNEL_BLUE | &Blue
Solarize Dialog Strings |
DLG_SOLARIZE_IDSTR_CAPTION | Solarize
DLG_SOLARIZE_IDSTR_THRESHOLD | &Threshold
Posterize Dialog Strings |
DLG_POSTERIZE_IDSTR_CAPTION | Posterize
DLG_POSTERIZE_IDSTR_LEVELS | &Levels per color plane
Brightness Dialog Strings |
DLG_BRIGHTNESS_IDSTR_CAPTION | Brightness
DLG_BRIGHTNESS_IDSTR_PERCENTAGE | &Percentage
Contrast Dialog Strings |
DLG_CONTRAST_IDSTR_CAPTION | Contrast
DLG_CONTRAST_IDSTR_PERCENTAGE | &Percentage
Hue Dialog Strings |
DLG_HUE_IDSTR_CAPTION | Hue
DLG_HUE_IDSTR_ANGLE | &Angle (degrees)
Saturation Dialog Strings |
DLG_SATURATION_IDSTR_CAPTION | Saturation
DLG_SATURATION_IDSTR_PERCENTAGE | &Percentage
Gamma Adjustment Dialog Strings |
DLG_GAMMAADJUSTMENT_IDSTR_CAPTION | Gamma Adjustment
DLG_GAMMAADJUSTMENT_IDSTR_RED | &Red Channel (10-500):
DLG_GAMMAADJUSTMENT_IDSTR_GREEN | &Green Channel (10-500):
DLG_GAMMAADJUSTMENT_IDSTR_BLUE | &Blue Channel (10-500):
DLG_GAMMAADJUSTMENT_IDSTR_ALLCHNNELS | &All Channels
Halftone Dialog Strings |
DLG_HALFTONE_IDSTR_CAPTION | Halftone
DLG_HALFTONE_IDSTR_ANGLE | &Angle (degrees)
DLG_HALFTONE_IDSTR_TYPE | &Type:
DLG_HALFTONE_IDSTR_DIM | &Dimension:
DLG_HALFTONE_IDSTR_PRINT | Print
DLG_HALFTONE_IDSTR_VIEW | View
DLG_HALFTONE_IDSTR_RECTANGULAR | Rectangular
DLG_HALFTONE_IDSTR_CIRCULAR | Circular
DLG_HALFTONE_IDSTR_ELLIPTICAL | Elliptical
DLG_HALFTONE_IDSTR_RANDOM | Random
DLG_HALFTONE_IDSTR_LINEAR | Linear
DLG_HALFTONE_IDSTR_USERDEFINE | User Define
DLG_HALFTONE_IDSTR_AVAILABLE | A&vailable List:
DLG_HALFTONE_IDSTR_SELECTED | &Selected List:
DLG_HALFTONE_IDSTR_ADD | &Add >>
DLG_HALFTONE_IDSTR_ADDALL | A&dd All
DLG_HALFTONE_IDSTR_REMOVE | << &Remove
DLG_HALFTONE_IDSTR_REMOVEALL | Re&move All
DLG_HALFTONE_IDSTR_ADDBEFORE | &Before
DLG_HALFTONE_IDSTR_ADDAFTER | &After
DLG_HALFTONE_IDSTR_HINT | Hint: Selected List list should contain %d items at least to show preview.
DLG_COLORRES_IDSTR_1BIT | 1-bit
DLG_COLORRES_IDSTR_2BIT | 2-bit
DLG_COLORRES_IDSTR_3BIT | 3-bit
DLG_COLORRES_IDSTR_4BIT | 4-bit
DLG_COLORRES_IDSTR_5BIT | 5-bit
DLG_COLORRES_IDSTR_6BIT | 6-bit
DLG_COLORRES_IDSTR_7BIT | 7-bit
DLG_COLORRES_IDSTR_8BIT | 8-bit
DLG_COLORRES_IDSTR_12BIT | 12-bit
DLG_COLORRES_IDSTR_16BIT | 16-bit
DLG_COLORRES_IDSTR_24BIT | 24-bit
DLG_COLORRES_IDSTR_32BIT | 32-bit
DLG_COLORRES_IDSTR_48BIT | 48-bit
DLG_COLORRES_IDSTR_64BIT | 64-bit
DLG_COLORRES_IDSTR_NONE | None
DLG_COLORRES_IDSTR_FLOYD | Floyd Stein
DLG_COLORRES_IDSTR_STUCKI | Stucki
DLG_COLORRES_IDSTR_BURKES | Burkes
DLG_COLORRES_IDSTR_SIERRA | Sierra
DLG_COLORRES_IDSTR_STEVEN | Stevenson Arce
DLG_COLORRES_IDSTR_JARVIS | Jarvis
DLG_COLORRES_IDSTR_ORDERED | Ordered
DLG_COLORRES_IDSTR_CLUSTER | Clustered
DLG_COLORRES_IDSTR_FIXEDPAL | Fixed Palette
DLG_COLORRES_IDSTR_OPTIMIZEDPAL | Optimized Palette
DLG_COLORRES_IDSTR_NETSCAPEPAL | Netscape Fixed Palette
DLG_COLORRES_IDSTR_IDENTITYPAL | Windows Identity Palette
DLG_COLORRES_IDSTR_SVGA | SVGA Palette
DLG_COLORRES_IDSTR_UNIFORM | Uniform Palette
DLG_COLORRES_IDSTR_MSIE | MSIE Palette
DLG_COLORRES_IDSTR_CUSTOM | Custom Palette
DLG_COLORRES_IDSTR_BGRORDER | Blue-Green-Red (BGR)
DLG_COLORRES_IDSTR_RGBORDER | Red-Green-Blue (RGB)
DLG_COLORRES_IDSTR_GRAYORDER | Grayscale
Histo-Contrast Dialog Strings |
DLG_HISTOCONTRAST_IDSTR_CAPTION | Histo-Contrast
DLG_HISTOCONTRAST_IDSTR_PERCENTAGE | &Percentage
Average Dialog Strings |
DLG_AVERAGE_IDSTR_CAPTION | Average
DLG_AVERAGE_IDSTR_SAMPLESIZE | &Sample size
Median Dialog Strings |
DLG_MEDIAN_IDSTR_CAPTION | Median
DLG_MEDIAN_IDSTR_SAMPLESIZE | &Sample size
Add Noise Dialog Strings |
DLG_ADDNOISE_IDSTR_CAPTION | Add Noise
DLG_ADDNOISE_IDSTR_LEVEL | &Level
DLG_ADDNOISE_IDSTR_CHANNEL | &Channel:
DLG_ADDNOISE_IDSTR_MASTER | Master
DLG_ADDNOISE_IDSTR_RED | Red
DLG_ADDNOISE_IDSTR_GREEN | Green
DLG_ADDNOISE_IDSTR_BLUE | Blue
Max Filter Dialog Strings |
DLG_MAXFILTER_IDSTR_CAPTION | Max Filter
DLG_MAXFILTER_IDSTR_SAMPLESIZE | &Sample size
Min Filter Dialog Strings |
DLG_MINFILTER_IDSTR_CAPTION | Min Filter
DLG_MINFILTER_IDSTR_SAMPLESIZE | &Sample size
Sharpen Dialog Strings |
DLG_SHARPEN_IDSTR_CAPTION | Sharpen
DLG_SHARPEN_IDSTR_PERCENTAGE | &Percentage
Shift and Difference Filter Dialog Strings |
DLG_SHIFTDIFFERENCEFILTER_IDSTR_CAPTION | Shift and Difference filter
DLG_SHIFTDIFFERENCEFILTER_IDSTR_FLTVAL | Filter &Value:
DLG_SHIFTDIFFERENCEFILTER_IDSTR_FLTDIAG | Diagonal
DLG_SHIFTDIFFERENCEFILTER_IDSTR_FLTHORZ | Horizontal
DLG_SHIFTDIFFERENCEFILTER_IDSTR_FLTVERT | Vertical
Emboss Dialog Strings |
DLG_EMBOSS_IDSTR_CAPTION | Emboss
DLG_EMBOSS_IDSTR_EMBOSSDEPTH | D&epth
DLG_EMBOSS_IDSTR_EMBOSSDIR | &Direction:
DLG_EMBOSS_IDSTR_FLTN | North
DLG_EMBOSS_IDSTR_FLTNE | North-East
DLG_EMBOSS_IDSTR_FLTE | East
DLG_EMBOSS_IDSTR_FLTSE | South-East
DLG_EMBOSS_IDSTR_FLTS | South
DLG_EMBOSS_IDSTR_FLTSW | South-West
DLG_EMBOSS_IDSTR_FLTW | West
DLG_EMBOSS_IDSTR_FLTNW | North-West
Oilify Dialog Strings |
DLG_OILIFY_IDSTR_CAPTION | Oilify
DLG_OILIFY_IDSTR_SAMPLESIZE | &Sample size
Mosaic Dialog Strings |
DLG_MOSAIC_IDSTR_CAPTION | Mosaic
DLG_MOSAIC_IDSTR_TILESIZE | &Tile size
Erosion Filter Dialog Strings |
DLG_EROSIONFILTER_IDSTR_CAPTION | Erosion Filter
DLG_EROSIONFILTER_IDSTR_FLTVAL | Filter &Value:
DLG_EROSIONFILTER_IDSTR_FLTOMNI | Omnidirectional
DLG_EROSIONFILTER_IDSTR_FLTHORZ | Horizontal
DLG_EROSIONFILTER_IDSTR_FLTVERT | Vertical
DLG_EROSIONFILTER_IDSTR_FLTDIAG | Diagonal
Dilation Filter Dialog Strings |
DLG_DILATIONFILTER_IDSTR_CAPTION | Dilation Filter
DLG_DILATIONFILTER_IDSTR_FLTVAL | Filter &Value:
DLG_DILATIONFILTER_IDSTR_FLTOMNI | Omnidirectional
DLG_DILATIONFILTER_IDSTR_FLTHORZ | Horizontal
DLG_DILATIONFILTER_IDSTR_FLTVERT | Vertical
DLG_DILATIONFILTER_IDSTR_FLTDIAG | Diagonal
Contour Filter Dialog Strings |
DLG_CONTOURFILTER_IDSTR_CAPTION | Contour Filter
DLG_CONTOURFILTER_IDSTR_OPTION | &Option:
DLG_CONTOURFILTER_IDSTR_THRESHOLD | &Threshold
DLG_CONTOURFILTER_IDSTR_DELTADIRECTION | Delta &Direction
DLG_CONTOURFILTER_IDSTR_MAXIMUMERROR | Maximum &Error
DLG_CONTOURFILTER_IDSTR_THIN | Thinned Image
DLG_CONTOURFILTER_IDSTR_LINKBLACKWHITE | Linked Image - Black and White
DLG_CONTOURFILTER_IDSTR_LINKGRAYSCALE | Linked Image - Grayscales
DLG_CONTOURFILTER_IDSTR_LINKCOLOR | Linked Image - Color
DLG_CONTOURFILTER_IDSTR_APPROXCOLOR | Segment Approximation - Color
Gradient Filter Dialog Strings |
DLG_GRADIENTFILTER_IDSTR_CAPTION | Gradient Filter
DLG_GRADIENTFILTER_IDSTR_FLTVAL | Filter &Value:
DLG_GRADIENTFILTER_IDSTR_FLTN | North
DLG_GRADIENTFILTER_IDSTR_FLTNE | North-East
DLG_GRADIENTFILTER_IDSTR_FLTE | East
DLG_GRADIENTFILTER_IDSTR_FLTSE | South-East
DLG_GRADIENTFILTER_IDSTR_FLTS | South
DLG_GRADIENTFILTER_IDSTR_FLTSW | South-West
DLG_GRADIENTFILTER_IDSTR_FLTW | West
DLG_GRADIENTFILTER_IDSTR_FLTNW | North-West
Laplacian Filter Dialog Strings |
DLG_LAPLACIANFILTER_IDSTR_CAPTION | Laplacian Filter
DLG_LAPLACIANFILTER_IDSTR_FLTVAL | Filter &Value:
DLG_LAPLACIANFILTER_IDSTR_FLT1 | Filter 1
DLG_LAPLACIANFILTER_IDSTR_FLT2 | Filter 2
DLG_LAPLACIANFILTER_IDSTR_FLT3 | Filter 3
DLG_LAPLACIANFILTER_IDSTR_FLTDIAG | Diagonal
DLG_LAPLACIANFILTER_IDSTR_FLTHORZ | Horizontal
DLG_LAPLACIANFILTER_IDSTR_FLTVERT | Vertical
Sobel Filter Dialog Strings |
DLG_SOBELFILTER_IDSTR_CAPTION | Sobel Filter
DLG_SOBELFILTER_IDSTR_FLTVAL | Filter &Value:
DLG_SOBELFILTER_IDSTR_FLTHORZ | Horizontal
DLG_SOBELFILTER_IDSTR_FLTVERT | Vertical
Prewitt Filter Dialog Strings |
DLG_PREWITTFILTER_IDSTR_CAPTION | Prewitt Filter
DLG_PREWITTFILTER_IDSTR_FLTVAL | Filter &Value:
DLG_PREWITTFILTER_IDSTR_FLTHORZ | Horizontal
DLG_PREWITTFILTER_IDSTR_FLTVERT | Vertical
Line Segment Filter Dialog Strings |
DLG_LINESEGMENTFILTER_IDSTR_CAPTION | Line Segment Filter
DLG_LINESEGMENTFILTER_IDSTR_FLTVAL | Filter &Value:
DLG_LINESEGMENTFILTER_IDSTR_FLTHORZ | Horizontal
DLG_LINESEGMENTFILTER_IDSTR_FLTVERT | Vertical
DLG_LINESEGMENTFILTER_IDSTR_FLTLTOR | Left to Right Diagonal
DLG_LINESEGMENTFILTER_IDSTR_FLTRTOL | Right to Left Diagonal
Rotate Dialog Strings |
DLG_ROTATE_IDSTR_CAPTION | Rotate
DLG_ROTATE_IDSTR_ANGLE | Clockwise &Angle (degrees)
DLG_ROTATE_IDSTR_INTERPOLATION | Inter&polation Type:
DLG_ROTATE_IDSTR_COLOR | &Background:
DLG_ROTATE_IDSTR_RESIZE | Resi&ze
DLG_ROTATE_IDSTR_NORMAL | Normal
DLG_ROTATE_IDSTR_RESAMPLE | Resample
DLG_ROTATE_IDSTR_BICUBIC | Bicubic
Shear Dialog Strings |
DLG_SHEAR_IDSTR_CAPTION | Shear
DLG_SHEAR_IDSTR_ANGLE | Clockwise &Angle (degrees)
DLG_SHEAR_IDSTR_COLOR | &Background:
DLG_SHEAR_IDSTR_HORIZONTAL | &Horizontal
Resize Dialog Strings |
DLG_RESIZE_IDSTR_CAPTION | Resize
DLG_RESIZE_IDSTR_ORIGINAL | Original Image
DLG_RESIZE_IDSTR_WIDTH | Width:
DLG_RESIZE_IDSTR_HEIGHT | Height:
DLG_RESIZE_IDSTR_SIZE | Size:
DLG_RESIZE_IDSTR_RESOLUTION | Resolution
DLG_RESIZE_IDSTR_HORIZONTAL | Horizontal:
DLG_RESIZE_IDSTR_VERTICAL | Vertical:
DLG_RESIZE_IDSTR_NEW | New Image
DLG_RESIZE_IDSTR_WIDTHNEW | &Width:
DLG_RESIZE_IDSTR_HEIGHTNEW | &Height:
DLG_RESIZE_IDSTR_HORIZONTALNEW | Hori&zontal:
DLG_RESIZE_IDSTR_VERTICALNEW | &Vertical:
DLG_RESIZE_IDSTR_IDENTICALVALUE | &Identical Values
DLG_RESIZE_IDSTR_METHOD | &Method
DLG_RESIZE_IDSTR_MAINTAINASPECTRATIO | Maintain &Aspect Ratio
DLG_RESIZE_IDSTR_NORMAL | Normal
DLG_RESIZE_IDSTR_RESAMPLE | Resample
DLG_RESIZE_IDSTR_BICUBIC | Bicubic
DLG_RESIZE_IDSTR_FAVORBLACK | &Favor Black
Get Directory Dialog Strings |
DLG_GETDIRECTORY_IDSTR_CAPTION | Get Directory
DLG_GETDIRECTORY_IDSTR_FOLDER | Look &in:
DLG_GETDIRECTORY_IDSTR_FILETYPE | Files of &type:
DLG_GETDIRECTORY_IDSTR_SELECT | Select
DLG_GETDIRECTORY_IDSTR_SELECTEDDIR | Selected Folder:
Save Dialog Strings |
DLG_SAVE_IDSTR_SHORTCUTBAR_PATHS | Paths
DLG_SAVE_IDSTR_SHORTCUTBAR_HISTORY | History
DLG_SAVE_IDSTR_SHORTCUTBAR_MYDOCUMENTS | My Documents
DLG_SAVE_IDSTR_SHORTCUTBAR_DESKTOP | Desktop
DLG_SAVE_IDSTR_SHORTCUTBAR_FAVORITES | Favorites
DLG_SAVE_IDSTR_MSG_MULTIPAGE_UPDATE_TEXT | %s already exists. Do you want to update it?
DLG_SAVE_IDSTR_MSG_MULTIPAGE_OVERWRITE_TEXT | %s already exists. Do you want to replace it?
DLG_SAVE_IDSTR_SAVETYPE | Save as &type:
DLG_SAVE_IDSTR_FILENAME | File &name:
DLG_SAVE_IDSTR_SAVEIN | Save &in:
DLG_SAVE_IDSTR_SUBTYPE | S&ub Type:
DLG_SAVE_IDSTR_BPP | B&PP:
DLG_SAVE_IDSTR_OPTIONS | O&ptions...
DLG_SAVE_IDSTR_SAVE | Save
DLG_SAVE_IDSTR_QFACTOR | &Qfactor:
DLG_SAVE_IDSTR_QFACTOR_PQ1 | Perfect quality 1
DLG_SAVE_IDSTR_QFACTOR_PQ2 | Perfect quality 2
DLG_SAVE_IDSTR_QFACTOR_QFS | Quality far more important than size
DLG_SAVE_IDSTR_QFACTOR_QMS | Quality more important than size
DLG_SAVE_IDSTR_QFACTOR_QS | Quality and size equally important
DLG_SAVE_IDSTR_QFACTOR_SQS | Size more important than quality (sharp)
DLG_SAVE_IDSTR_QFACTOR_SQT | Size more important than quality (less tiling)
DLG_SAVE_IDSTR_QFACTOR_MCQ | Maximum compression keeping quality
DLG_SAVE_IDSTR_QFACTOR_MC | Maximum compression
DLG_SAVE_IDSTR_QFACTOR_CUSTOM | Custom
Shape Dialog Strings |
DLG_SHAPE_IDSTR_CAPTION | Shape Options
DLG_SHAPE_IDSTR_CATEGORY | Shape Cate&gory
DLG_SHAPE_IDSTR_STYLE | &Shape Style:
DLG_SHAPE_IDSTR_PREVIEW | Pre&view
DLG_SHAPE_IDSTR_BACKSTYLE | Bac&kStyle:
DLG_SHAPE_IDSTR_FILLSTYLE | Fi&ll Style:
DLG_SHAPE_IDSTR_FORECOLOR | &ForeColor:
DLG_SHAPE_IDSTR_BACKCOLOR | B&ackColor:
DLG_SHAPE_IDSTR_BORDERSTYLE | Bo&rder Style:
DLG_SHAPE_IDSTR_BORDERCOLOR | &Border Color:
DLG_SHAPE_IDSTR_BORDERWIDTH | Border &Width:
DLG_SHAPE_IDSTR_INNERSTYLE | &Inner Style:
DLG_SHAPE_IDSTR_INNERHILITE | I&nner Hilite:
DLG_SHAPE_IDSTR_INNERSHADOW | Inner S&hadow:
DLG_SHAPE_IDSTR_INNERWIDTH | Inn&er Width:
DLG_SHAPE_IDSTR_OUTERSTYLE | &Outer Style:
DLG_SHAPE_IDSTR_OUTERHILITE | O&uter Hilite:
DLG_SHAPE_IDSTR_OUTERSHADOW | Ou&ter Shadow:
DLG_SHAPE_IDSTR_OUTERWIDTH | Outer Wi&dth:
DLG_SHAPE_IDSTR_SHADOW | Shadow
DLG_SHAPE_IDSTR_SHADOWCOLOR | &Color:
DLG_SHAPE_IDSTR_SHADOWX | &X:
DLG_SHAPE_IDSTR_SHADOWY | &Y:
DLG_SHAPE_IDSTR_NORMAL | Normal
DLG_SHAPE_IDSTR_ROUNDED | Rounded
DLG_SHAPE_IDSTR_LEFT | Left
DLG_SHAPE_IDSTR_RIGHT | Right
DLG_SHAPE_IDSTR_TOP | Top
DLG_SHAPE_IDSTR_BOTTOM | Bottom
DLG_SHAPE_IDSTR_EQ_LEFT | Equilateral Left
DLG_SHAPE_IDSTR_EQ_RIGHT | Equilateral Right
DLG_SHAPE_IDSTR_EQ_TOP | Equilateral Top
DLG_SHAPE_IDSTR_EQ_BOTTOM | Equilateral Bottom
DLG_SHAPE_IDSTR_IS_LEFT | Isosceles Left
DLG_SHAPE_IDSTR_IS_RIGHT | Isosceles Right
DLG_SHAPE_IDSTR_IS_TOP | Isosceles Top
DLG_SHAPE_IDSTR_IS_BOTTOM | Isosceles Bottom
DLG_SHAPE_IDSTR_RIGHT_LT | Right Left-Top
DLG_SHAPE_IDSTR_RIGHT_LB | Right Left-Bottom
DLG_SHAPE_IDSTR_RIGHT_RT | Right Right-Top
DLG_SHAPE_IDSTR_RIGHT_RB | Right Right-Bottom
DLG_SHAPE_IDSTR_OCTAGON | Octagon
DLG_SHAPE_IDSTR_DIAMOND | Diamond
DLG_SHAPE_IDSTR_PENTAGON | Pentagon
DLG_SHAPE_IDSTR_HEXAGON | Hexagon
DLG_SHAPE_IDSTR_LINE | Line
DLG_SHAPE_IDSTR_90_LT | 90° Left-Top
DLG_SHAPE_IDSTR_90_LB | 90° Left-Bottom
DLG_SHAPE_IDSTR_90_RT | 90° Right-Top
DLG_SHAPE_IDSTR_90_RB | 90° Right-Bottom
DLG_SHAPE_IDSTR_180_L | 180° Left
DLG_SHAPE_IDSTR_180_R | 180° Right
DLG_SHAPE_IDSTR_180_T | 180° Top
DLG_SHAPE_IDSTR_180_B | 180° Bottom
DLG_SHAPE_IDSTR_270_LT | 270° Left-Top
DLG_SHAPE_IDSTR_270_LB | 270° Left-Bottom
DLG_SHAPE_IDSTR_270_RT | 270° Right-Top
DLG_SHAPE_IDSTR_270_RB | 270° Right-Bottom
DLG_SHAPE_IDSTR_4_POINT | 4-Point
DLG_SHAPE_IDSTR_5_POINT | 5-Point
DLG_SHAPE_IDSTR_8_POINT | 8-Point
DLG_SHAPE_IDSTR_16_POINT | 16-Point
DLG_SHAPE_IDSTR_24_POINT | 24-Point
DLG_SHAPE_IDSTR_324_POINT | 32-Point
DLG_SHAPE_IDSTR_SMALL | Small
DLG_SHAPE_IDSTR_MEDIUM | Medium
DLG_SHAPE_IDSTR_LARGE | Large
DLG_SHAPE_IDSTR_2WAY_LR | 2way Left-Right
DLG_SHAPE_IDSTR_2WAY_TB | 2way Top-Bottom
DLG_SHAPE_IDSTR_2WAY_LT | 2way Left-Top
DLG_SHAPE_IDSTR_2WAY_LB | 2way Left-Bottom
DLG_SHAPE_IDSTR_2WAY_RT | 2way Right-Top
DLG_SHAPE_IDSTR_2WAY_RB | 2way Right-Bottom
DLG_SHAPE_IDSTR_3WAY_LTR | 3way Left-Top-Right
DLG_SHAPE_IDSTR_3WAY_TRB | 3way Top-Right-Bottom
DLG_SHAPE_IDSTR_3WAY_LBR | 3way Left-Bottom-Right
DLG_SHAPE_IDSTR_3WAY_LTB | 3way Left-Top-Bottom
DLG_SHAPE_IDSTR_4WAY | 4way
DLG_SHAPE_IDSTR_SQUARES | Squares
DLG_SHAPE_IDSTR_RECTS | Rectangles
DLG_SHAPE_IDSTR_PARALLELS | Parallelograms
DLG_SHAPE_IDSTR_TRAPS | Trapezoids
DLG_SHAPE_IDSTR_TRIANGLES | Triangles
DLG_SHAPE_IDSTR_OTHERS | Other
DLG_SHAPE_IDSTR_CIRCLES | Circles
DLG_SHAPE_IDSTR_ELLIPSES | Ellipses
DLG_SHAPE_IDSTR_STARS | Stars
DLG_SHAPE_IDSTR_CROSSES | Crosses
DLG_SHAPE_IDSTR_ARROWS | Arrows
DLG_SHAPE_IDSTR_TRANSPARENT | Transparent
DLG_SHAPE_IDSTR_OPAQUE | Opaque
DLG_SHAPE_IDSTR_TRANSLUCENT | Translucent
DLG_SHAPE_IDSTR_TILEDIMAGE | Tiled Image
DLG_SHAPE_IDSTR_TRANSTILEDIMAGE | Translucent Tiled Image
DLG_SHAPE_IDSTR_SOLIDFILL | Solid
DLG_SHAPE_IDSTR_TRANSFILL | Transparent
DLG_SHAPE_IDSTR_HORZFILL | Horizontal
DLG_SHAPE_IDSTR_VERTFILL | Vertical
DLG_SHAPE_IDSTR_FOREDIAGFILL | Forward Diagonal
DLG_SHAPE_IDSTR_BACKDIAGFILL | Backward Diagonal
DLG_SHAPE_IDSTR_CROSSFILL | Cross
DLG_SHAPE_IDSTR_DIAGCROSSFILL | Diagonal Cross
DLG_SHAPE_IDSTR_TRANSBORDER | Transparent
DLG_SHAPE_IDSTR_SOLIDBORDER | Solid
DLG_SHAPE_IDSTR_DASHBORDER | Dash
DLG_SHAPE_IDSTR_DOTBORDER | Dot
DLG_SHAPE_IDSTR_DASHDOTBORDER | Dash-Dot
DLG_SHAPE_IDSTR_DASHDOTDOTBORDER | Dash-Dot-Dot
DLG_SHAPE_IDSTR_INNEROUTERNONE | None
DLG_SHAPE_IDSTR_INNEROUTERINSET | Inset
DLG_SHAPE_IDSTR_INNEROUTERRAISED | Raised
DLG_SHAPE_IDSTR_LOADIMAGE_CAPTION | Pick Foreground Image
Text Dialog Strings |
DLG_TEXT_IDSTR_CAPTION | Text Options
DLG_TEXT_IDSTR_PREVIEW | Pre&view
DLG_TEXT_IDSTR_SAMPLETEXT | Sample &Text:
DLG_TEXT_IDSTR_STYLE | &Style:
DLG_TEXT_IDSTR_COLOR | Text &Color:
DLG_TEXT_IDSTR_BORDERCOLOR | &Border Color:
DLG_TEXT_IDSTR_ALIGN | &Alignment:
DLG_TEXT_IDSTR_ANGLE | A&ngle:
DLG_TEXT_IDSTR_WORDWRAP | &Word Wrap
DLG_TEXT_IDSTR_FONT | &Font...
DLG_TEXT_IDSTR_USEFOREIMAGE | Use Foreground &Image
DLG_TEXT_IDSTR_SHADOW | Shadow
DLG_TEXT_IDSTR_SHADOWCOLOR | C&olor:
DLG_TEXT_IDSTR_SHADOWX | &X:
DLG_TEXT_IDSTR_SHADOWY | &Y:
DLG_TEXT_IDSTR_NOEFFECT | No 3D Effect
DLG_TEXT_IDSTR_INSETLIGHT | Inset Light
DLG_TEXT_IDSTR_INSETXLIGHT | Inset Extra Light
DLG_TEXT_IDSTR_INSETHEAVY | Inset Heavy
DLG_TEXT_IDSTR_INSETXHEAVY | Inset Extra Heavy
DLG_TEXT_IDSTR_RAISEDLIGHT | Raised Light
DLG_TEXT_IDSTR_RAISEDXLIGHT | Raised Extra Light
DLG_TEXT_IDSTR_RAISEDHEAVY | Raised Heavy
DLG_TEXT_IDSTR_RAISEDXHEAVY | Raised Extra Heavy
DLG_TEXT_IDSTR_DROPSHADOW | Drop Shadow
DLG_TEXT_IDSTR_BLOCKSHADOW | Block Shadow
DLG_TEXT_IDSTR_OUTLINEBLOCK | Outline Block
DLG_TEXT_IDSTR_ALIGNLEFT | Left
DLG_TEXT_IDSTR_ALIGNHORZCENTER | Horz Center
DLG_TEXT_IDSTR_ALIGNRIGHT | Right
DLG_TEXT_IDSTR_ALIGNTOP | Top
DLG_TEXT_IDSTR_ALIGNVERTCENTER | Vert Center
DLG_TEXT_IDSTR_ALIGNBOTTOM | Bottom
DLG_TEXT_IDSTR_LOADIMAGE_CAPTION | Pick Foreground Image
Effect Dialog Strings |
DLG_EFFECT_IDSTR_CAPTION | Paint Effect Options
DLG_EFFECT_IDSTR_CATEGORY | Effect &Category
DLG_EFFECT_IDSTR_STYLE | &Effect Style:
DLG_EFFECT_IDSTR_PREVIEW | Pre&view
DLG_EFFECT_IDSTR_DELAY | &Delay:
DLG_EFFECT_IDSTR_GRAIN | &Grain:
DLG_EFFECT_IDSTR_PASSES | P&asses:
DLG_EFFECT_IDSTR_WAND | &Wand:
DLG_EFFECT_IDSTR_TRANSPARENT | &Transparent
DLG_EFFECT_IDSTR_NONE_CLASS | No Effect
DLG_EFFECT_IDSTR_WIPE_CLASS | Linear Wipes
DLG_EFFECT_IDSTR_WIPE_RECTANGLE_CLASS | Rectangular Wipes
DLG_EFFECT_IDSTR_WIPE_CIRCLE_CLASS | Circular Wipes
DLG_EFFECT_IDSTR_PUSH_CLASS | Pushes
DLG_EFFECT_IDSTR_SLIDE_CLASS | Slides
DLG_EFFECT_IDSTR_ROLL_CLASS | Rolls
DLG_EFFECT_IDSTR_ROTATE_CLASS | Rotates
DLG_EFFECT_IDSTR_ZOOM_CLASS | Zooms
DLG_EFFECT_IDSTR_DRIP_CLASS | Drips
DLG_EFFECT_IDSTR_BLIND_CLASS | Blinds
DLG_EFFECT_IDSTR_RANDOM_CLASS | Random Effects
DLG_EFFECT_IDSTR_CHECKERBOARD_CLASS | Checkerboards
DLG_EFFECT_IDSTR_BLOCKS_CLASS | Blocks
DLG_EFFECT_IDSTR_CIRCLE_CLASS | Circular Effects
DLG_EFFECT_IDSTR_ELLIPSE_CLASS | Elliptical Effects
No Effect |
DLG_EFFECT_IDSTR_NONE | No effect
DLG_EFFECT_IDSTR_NO_PICTURE | No picture (no background)
Linear Wipe |
DLG_EFFECT_IDSTR_WIPE_L_TO_R | Left to Right
DLG_EFFECT_IDSTR_WIPE_R_TO_L | Right to Left
DLG_EFFECT_IDSTR_WIPE_T_TO_B | Top to Btm
DLG_EFFECT_IDSTR_WIPE_B_TO_T | Btm to Top
DLG_EFFECT_IDSTR_WIPE_LT_TO_RB | L-Top to R-Btm
DLG_EFFECT_IDSTR_WIPE_LB_TO_RT | L-Btm to R-Top
DLG_EFFECT_IDSTR_WIPE_RT_TO_LB | R-Top to L-Btm
DLG_EFFECT_IDSTR_WIPE_RB_TO_LT | R-Btm to L-Top
DLG_EFFECT_IDSTR_WIPE_INTERH_L_TO_R_THEN_L_TO_R | Horz Interlace Left to Right twice
DLG_EFFECT_IDSTR_WIPE_INTERV_T_TO_B_THEN_T_TO_B | Vert Interlace Top to Btm twice
DLG_EFFECT_IDSTR_WIPE_INTERH_L_TO_R_THEN_R_TO_L | Horz Interlace Left to Right & Back
DLG_EFFECT_IDSTR_WIPE_INTERV_T_TO_B_THEN_B_TO_T | Vert Interlace Top to Btm & Back
DLG_EFFECT_IDSTR_WIPE_INTERV_L_TO_R_THEN_L_TO_R | Vert Interlace Left to Right twice
DLG_EFFECT_IDSTR_WIPE_INTERV_R_TO_L_THEN_R_TO_L | Vert Interlace Right to Left twice
DLG_EFFECT_IDSTR_WIPE_INTERH_T_TO_B_THEN_T_TO_B | Horz Interlace Top to Btm twice
DLG_EFFECT_IDSTR_WIPE_INTERH_B_TO_T_THEN_B_TO_T | Horz Interlace Btm to Top twice
DLG_EFFECT_IDSTR_WIPE_INTERV_L_TO_R_THEN_R_TO_L | Vert Interlace Left to Right & Back
DLG_EFFECT_IDSTR_WIPE_INTERV_R_TO_L_THEN_L_TO_R | Vert Interlace Right to Left & Back
DLG_EFFECT_IDSTR_WIPE_INTERH_T_TO_B_THEN_B_TO_T | Horz Interlace Top to Btm & Back
DLG_EFFECT_IDSTR_WIPE_INTERH_B_TO_T_THEN_T_TO_B | Horz Interlace Btm to Top & Back
DLG_EFFECT_IDSTR_WIPE_INTERH_L_TO_R_AND_R_TO_L | Horz Interlace Left to Right & Right to Left
DLG_EFFECT_IDSTR_WIPE_INTERV_T_TO_B_AND_B_TO_T | Vert Interlace Top to Btm & Btm to Top
DLG_EFFECT_IDSTR_WIPE_INTERV_L_AND_R_TO_C | Vert Interlace Left & Right to Center
DLG_EFFECT_IDSTR_WIPE_INTERV_C_TO_L_AND_R | Vert Interlace Center to Left & Right
DLG_EFFECT_IDSTR_WIPE_INTERH_T_AND_B_TO_C | Horz Interlace Top & Btm to Center
DLG_EFFECT_IDSTR_WIPE_INTERH_C_TO_T_AND_B | Horz Interlace Center to Top & Btm
DLG_EFFECT_IDSTR_WIPE_INTERV_L_AND_R_TO_C_THEN_C_TO_L_AND_R | Vert Interlace Left & Right to Center & Back
DLG_EFFECT_IDSTR_WIPE_INTERV_C_TO_L_AND_R_THEN_L_AND_R_TO_C | Vert Interlace Center to Left & Right & Back
DLG_EFFECT_IDSTR_WIPE_INTERH_T_AND_B_TO_C_THEN_C_TO_T_AND_B | Horz Interlace Top & Btm to Center & Back
DLG_EFFECT_IDSTR_WIPE_INTERH_C_TO_T_AND_B_THEN_T_AND_B_TO_C | Horz Interlace Center to Top & Btm & Back
DLG_EFFECT_IDSTR_WIPE2_LT_AND_RB_TO_C | 2way L-Top & R-Btm to Center
DLG_EFFECT_IDSTR_WIPE2_LB_AND_RT_TO_C | 2way L-Btm & R-Top to Center
DLG_EFFECT_IDSTR_WIPE2_C_TO_LT_AND_RB | 2way Center to L-Top & R-Btm
DLG_EFFECT_IDSTR_WIPE2_C_TO_LB_AND_RT | 2way Center to L-Btm & R-Top
DLG_EFFECT_IDSTR_WIPE2_LB_AND_RB_TO_T | 2way L-Btm & R-Btm to Top
DLG_EFFECT_IDSTR_WIPE2_LT_AND_RT_TO_B | 2way L-Top & R-Top to Btm
DLG_EFFECT_IDSTR_WIPE2_RT_AND_RB_TO_L | 2way R-Top & R-Btm to Left
DLG_EFFECT_IDSTR_WIPE2_LT_AND_LB_TO_R | 2way L-Top & L-Btm to Right
DLG_EFFECT_IDSTR_WIPE2_L_T_TO_B_AND_R_B_TO_T | 2way Left Down & Right Up
DLG_EFFECT_IDSTR_WIPE2_T_L_TO_R_AND_B_R_TO_L | 2way Left to Right & Right to Left
DLG_EFFECT_IDSTR_WIPE4_CORNERS_OUT | 4way Corners Out
DLG_EFFECT_IDSTR_WIPE4_C_TO_L_AND_R_THEN_T_AND_B | 4way Out Horz then Vert
DLG_EFFECT_IDSTR_WIPE4_T_AND_B_THEN_L_AND_R_TO_C | 4way In Vert then Horz
DLG_EFFECT_IDSTR_WIPE4_L_L_L_L | 4way Left Left Left Left
DLG_EFFECT_IDSTR_WIPE4_L_L_L_R | 4way Left Left Left Right
DLG_EFFECT_IDSTR_WIPE4_L_L_L_T | 4way Left Left Left Top
DLG_EFFECT_IDSTR_WIPE4_L_L_L_B | 4way Left Left Left Btm
DLG_EFFECT_IDSTR_WIPE4_L_L_R_L | 4way Left Left Right Left
DLG_EFFECT_IDSTR_WIPE4_L_L_R_R | 4way Left Left Right Right
DLG_EFFECT_IDSTR_WIPE4_L_L_R_T | 4way Left Left Right Top
DLG_EFFECT_IDSTR_WIPE4_L_L_R_B | 4way Left Left Right Btm
DLG_EFFECT_IDSTR_WIPE4_L_L_T_L | 4way Left Left Top Left
DLG_EFFECT_IDSTR_WIPE4_L_L_T_R | 4way Left Left Top Right
DLG_EFFECT_IDSTR_WIPE4_L_L_T_T | 4way Left Left Top Top
DLG_EFFECT_IDSTR_WIPE4_L_L_T_B | 4way Left Left Top Btm
DLG_EFFECT_IDSTR_WIPE4_L_L_B_L | 4way Left Left Btm Left
DLG_EFFECT_IDSTR_WIPE4_L_L_B_R | 4way Left Left Btm Right
DLG_EFFECT_IDSTR_WIPE4_L_L_B_T | 4way Left Left Btm Top
DLG_EFFECT_IDSTR_WIPE4_L_L_B_B | 4way Left Left Btm Btm
DLG_EFFECT_IDSTR_WIPE4_L_R_L_L | 4way Left Right Left Left
DLG_EFFECT_IDSTR_WIPE4_L_R_L_R | 4way Left Right Left Right
DLG_EFFECT_IDSTR_WIPE4_L_R_L_T | 4way Left Right Left Top
DLG_EFFECT_IDSTR_WIPE4_L_R_L_B | 4way Left Right Left Btm
DLG_EFFECT_IDSTR_WIPE4_L_R_R_L | 4way Left Right Right Left
DLG_EFFECT_IDSTR_WIPE4_L_R_R_R | 4way Left Right Right Right
DLG_EFFECT_IDSTR_WIPE4_L_R_R_T | 4way Left Right Right Top
DLG_EFFECT_IDSTR_WIPE4_L_R_R_B | 4way Left Right Right Btm
DLG_EFFECT_IDSTR_WIPE4_L_R_T_L | 4way Left Right Top Left
DLG_EFFECT_IDSTR_WIPE4_L_R_T_R | 4way Left Right Top Right
DLG_EFFECT_IDSTR_WIPE4_L_R_T_T | 4way Left Right Top Top
DLG_EFFECT_IDSTR_WIPE4_L_R_T_B | 4way Left Right Top Btm
DLG_EFFECT_IDSTR_WIPE4_L_R_B_L | 4way Left Right Btm Left
DLG_EFFECT_IDSTR_WIPE4_L_R_B_R | 4way Left Right Btm Right
DLG_EFFECT_IDSTR_WIPE4_L_R_B_T | 4way Left Right Btm Top
DLG_EFFECT_IDSTR_WIPE4_L_R_B_B | 4way Left Right Btm Btm
DLG_EFFECT_IDSTR_WIPE4_L_T_L_L | 4way Left Top Left Left
DLG_EFFECT_IDSTR_WIPE4_L_T_L_R | 4way Left Top Left Right
DLG_EFFECT_IDSTR_WIPE4_L_T_L_T | 4way Left Top Left Top
DLG_EFFECT_IDSTR_WIPE4_L_T_L_B | 4way Left Top Left Btm
DLG_EFFECT_IDSTR_WIPE4_L_T_R_L | 4way Left Top Right Left
DLG_EFFECT_IDSTR_WIPE4_L_T_R_R | 4way Left Top Right Right
DLG_EFFECT_IDSTR_WIPE4_L_T_R_T | 4way Left Top Right Top
DLG_EFFECT_IDSTR_WIPE4_L_T_R_B | 4way Left Top Right Btm
DLG_EFFECT_IDSTR_WIPE4_L_T_T_L | 4way Left Top Top Left
DLG_EFFECT_IDSTR_WIPE4_L_T_T_R | 4way Left Top Top Right
DLG_EFFECT_IDSTR_WIPE4_L_T_T_T | 4way Left Top Top Top
DLG_EFFECT_IDSTR_WIPE4_L_T_T_B | 4way Left Top Top Btm
DLG_EFFECT_IDSTR_WIPE4_L_T_B_L | 4way Left Top Btm Left
DLG_EFFECT_IDSTR_WIPE4_L_T_B_R | 4way Left Top Btm Right
DLG_EFFECT_IDSTR_WIPE4_L_T_B_T | 4way Left Top Btm Top
DLG_EFFECT_IDSTR_WIPE4_L_T_B_B | 4way Left Top Btm Btm
DLG_EFFECT_IDSTR_WIPE4_L_B_L_L | 4way Left Btm Left Left
DLG_EFFECT_IDSTR_WIPE4_L_B_L_R | 4way Left Btm Left Right
DLG_EFFECT_IDSTR_WIPE4_L_B_L_T | 4way Left Btm Left Top
DLG_EFFECT_IDSTR_WIPE4_L_B_L_B | 4way Left Btm Left Btm
DLG_EFFECT_IDSTR_WIPE4_L_B_R_L | 4way Left Btm Right Left
DLG_EFFECT_IDSTR_WIPE4_L_B_R_R | 4way Left Btm Right Right
DLG_EFFECT_IDSTR_WIPE4_L_B_R_T | 4way Left Btm Right Top
DLG_EFFECT_IDSTR_WIPE4_L_B_R_B | 4way Left Btm Right Btm
DLG_EFFECT_IDSTR_WIPE4_L_B_T_L | 4way Left Btm Top Left
DLG_EFFECT_IDSTR_WIPE4_L_B_T_R | 4way Left Btm Top Right
DLG_EFFECT_IDSTR_WIPE4_L_B_T_T | 4way Left Btm Top Top
DLG_EFFECT_IDSTR_WIPE4_L_B_T_B | 4way Left Btm Top Btm
DLG_EFFECT_IDSTR_WIPE4_L_B_B_L | 4way Left Btm Btm Left
DLG_EFFECT_IDSTR_WIPE4_L_B_B_R | 4way Left Btm Btm Right
DLG_EFFECT_IDSTR_WIPE4_L_B_B_T | 4way Left Btm Btm Top
DLG_EFFECT_IDSTR_WIPE4_L_B_B_B | 4way Left Btm Btm Btm
DLG_EFFECT_IDSTR_WIPE4_R_L_L_L | 4way Right Left Left Left
DLG_EFFECT_IDSTR_WIPE4_R_L_L_R | 4way Right Left Left Right
DLG_EFFECT_IDSTR_WIPE4_R_L_L_T | 4way Right Left Left Top
DLG_EFFECT_IDSTR_WIPE4_R_L_L_B | 4way Right Left Left Btm
DLG_EFFECT_IDSTR_WIPE4_R_L_R_L | 4way Right Left Right Left
DLG_EFFECT_IDSTR_WIPE4_R_L_R_R | 4way Right Left Right Right
DLG_EFFECT_IDSTR_WIPE4_R_L_R_T | 4way Right Left Right Top
DLG_EFFECT_IDSTR_WIPE4_R_L_R_B | 4way Right Left Right Btm
DLG_EFFECT_IDSTR_WIPE4_R_L_T_L | 4way Right Left Top Left
DLG_EFFECT_IDSTR_WIPE4_R_L_T_R | 4way Right Left Top Right
DLG_EFFECT_IDSTR_WIPE4_R_L_T_T | 4way Right Left Top Top
DLG_EFFECT_IDSTR_WIPE4_R_L_T_B | 4way Right Left Top Btm
DLG_EFFECT_IDSTR_WIPE4_R_L_B_L | 4way Right Left Btm Left
DLG_EFFECT_IDSTR_WIPE4_R_L_B_R | 4way Right Left Btm Right
DLG_EFFECT_IDSTR_WIPE4_R_L_B_T | 4way Right Left Btm Top
DLG_EFFECT_IDSTR_WIPE4_R_L_B_B | 4way Right Left Btm Btm
DLG_EFFECT_IDSTR_WIPE4_R_R_L_L | 4way Right Right Left Left
DLG_EFFECT_IDSTR_WIPE4_R_R_L_R | 4way Right Right Left Right
DLG_EFFECT_IDSTR_WIPE4_R_R_L_T | 4way Right Right Left Top
DLG_EFFECT_IDSTR_WIPE4_R_R_L_B | 4way Right Right Left Btm
DLG_EFFECT_IDSTR_WIPE4_R_R_R_L | 4way Right Right Right Left
DLG_EFFECT_IDSTR_WIPE4_R_R_R_R | 4way Right Right Right Right
DLG_EFFECT_IDSTR_WIPE4_R_R_R_T | 4way Right Right Right Top
DLG_EFFECT_IDSTR_WIPE4_R_R_R_B | 4way Right Right Right Btm
DLG_EFFECT_IDSTR_WIPE4_R_R_T_L | 4way Right Right Top Left
DLG_EFFECT_IDSTR_WIPE4_R_R_T_R | 4way Right Right Top Right
DLG_EFFECT_IDSTR_WIPE4_R_R_T_T | 4way Right Right Top Top
DLG_EFFECT_IDSTR_WIPE4_R_R_T_B | 4way Right Right Top Btm
DLG_EFFECT_IDSTR_WIPE4_R_R_B_L | 4way Right Right Btm Left
DLG_EFFECT_IDSTR_WIPE4_R_R_B_R | 4way Right Right Btm Right
DLG_EFFECT_IDSTR_WIPE4_R_R_B_T | 4way Right Right Btm Top
DLG_EFFECT_IDSTR_WIPE4_R_R_B_B | 4way Right Right Btm Btm
DLG_EFFECT_IDSTR_WIPE4_R_T_L_L | 4way Right Top Left Left
DLG_EFFECT_IDSTR_WIPE4_R_T_L_R | 4way Right Top Left Right
DLG_EFFECT_IDSTR_WIPE4_R_T_L_T | 4way Right Top Left Top
DLG_EFFECT_IDSTR_WIPE4_R_T_L_B | 4way Right Top Left Btm
DLG_EFFECT_IDSTR_WIPE4_R_T_R_L | 4way Right Top Right Left
DLG_EFFECT_IDSTR_WIPE4_R_T_R_R | 4way Right Top Right Right
DLG_EFFECT_IDSTR_WIPE4_R_T_R_T | 4way Right Top Right Top
DLG_EFFECT_IDSTR_WIPE4_R_T_R_B | 4way Right Top Right Btm
DLG_EFFECT_IDSTR_WIPE4_R_T_T_L | 4way Right Top Top Left
DLG_EFFECT_IDSTR_WIPE4_R_T_T_R | 4way Right Top Top Right
DLG_EFFECT_IDSTR_WIPE4_R_T_T_T | 4way Right Top Top Top
DLG_EFFECT_IDSTR_WIPE4_R_T_T_B | 4way Right Top Top Btm
DLG_EFFECT_IDSTR_WIPE4_R_T_B_L | 4way Right Top Btm Left
DLG_EFFECT_IDSTR_WIPE4_R_T_B_R | 4way Right Top Btm Right
DLG_EFFECT_IDSTR_WIPE4_R_T_B_T | 4way Right Top Btm Top
DLG_EFFECT_IDSTR_WIPE4_R_T_B_B | 4way Right Top Btm Btm
DLG_EFFECT_IDSTR_WIPE4_R_B_L_L | 4way Right Btm Left Left
DLG_EFFECT_IDSTR_WIPE4_R_B_L_R | 4way Right Btm Left Right
DLG_EFFECT_IDSTR_WIPE4_R_B_L_T | 4way Right Btm Left Top
DLG_EFFECT_IDSTR_WIPE4_R_B_L_B | 4way Right Btm Left Btm
DLG_EFFECT_IDSTR_WIPE4_R_B_R_L | 4way Right Btm Right Left
DLG_EFFECT_IDSTR_WIPE4_R_B_R_R | 4way Right Btm Right Right
DLG_EFFECT_IDSTR_WIPE4_R_B_R_T | 4way Right Btm Right Top
DLG_EFFECT_IDSTR_WIPE4_R_B_R_B | 4way Right Btm Right Btm
DLG_EFFECT_IDSTR_WIPE4_R_B_T_L | 4way Right Btm Top Left
DLG_EFFECT_IDSTR_WIPE4_R_B_T_R | 4way Right Btm Top Right
DLG_EFFECT_IDSTR_WIPE4_R_B_T_T | 4way Right Btm Top Top
DLG_EFFECT_IDSTR_WIPE4_R_B_T_B | 4way Right Btm Top Btm
DLG_EFFECT_IDSTR_WIPE4_R_B_B_L | 4way Right Btm Btm Left
DLG_EFFECT_IDSTR_WIPE4_R_B_B_R | 4way Right Btm Btm Right
DLG_EFFECT_IDSTR_WIPE4_R_B_B_T | 4way Right Btm Btm Top
DLG_EFFECT_IDSTR_WIPE4_R_B_B_B | 4way Right Btm Btm Btm
DLG_EFFECT_IDSTR_WIPE4_T_L_L_L | 4way Top Left Left Left
DLG_EFFECT_IDSTR_WIPE4_T_L_L_R | 4way Top Left Left Right
DLG_EFFECT_IDSTR_WIPE4_T_L_L_T | 4way Top Left Left Top
DLG_EFFECT_IDSTR_WIPE4_T_L_L_B | 4way Top Left Left Btm
DLG_EFFECT_IDSTR_WIPE4_T_L_R_L | 4way Top Left Right Left
DLG_EFFECT_IDSTR_WIPE4_T_L_R_R | 4way Top Left Right Right
DLG_EFFECT_IDSTR_WIPE4_T_L_R_T | 4way Top Left Right Top
DLG_EFFECT_IDSTR_WIPE4_T_L_R_B | 4way Top Left Right Btm
DLG_EFFECT_IDSTR_WIPE4_T_L_T_L | 4way Top Left Top Left
DLG_EFFECT_IDSTR_WIPE4_T_L_T_R | 4way Top Left Top Right
DLG_EFFECT_IDSTR_WIPE4_T_L_T_T | 4way Top Left Top Top
DLG_EFFECT_IDSTR_WIPE4_T_L_T_B | 4way Top Left Top Btm
DLG_EFFECT_IDSTR_WIPE4_T_L_B_L | 4way Top Left Btm Left
DLG_EFFECT_IDSTR_WIPE4_T_L_B_R | 4way Top Left Btm Right
DLG_EFFECT_IDSTR_WIPE4_T_L_B_T | 4way Top Left Btm Top
DLG_EFFECT_IDSTR_WIPE4_T_L_B_B | 4way Top Left Btm Btm
DLG_EFFECT_IDSTR_WIPE4_T_R_L_L | 4way Top Right Left Left
DLG_EFFECT_IDSTR_WIPE4_T_R_L_R | 4way Top Right Left Right
DLG_EFFECT_IDSTR_WIPE4_T_R_L_T | 4way Top Right Left Top
DLG_EFFECT_IDSTR_WIPE4_T_R_L_B | 4way Top Right Left Btm
DLG_EFFECT_IDSTR_WIPE4_T_R_R_L | 4way Top Right Right Left
DLG_EFFECT_IDSTR_WIPE4_T_R_R_R | 4way Top Right Right Right
DLG_EFFECT_IDSTR_WIPE4_T_R_R_T | 4way Top Right Right Top
DLG_EFFECT_IDSTR_WIPE4_T_R_R_B | 4way Top Right Right Btm
DLG_EFFECT_IDSTR_WIPE4_T_R_T_L | 4way Top Right Top Left
DLG_EFFECT_IDSTR_WIPE4_T_R_T_R | 4way Top Right Top Right
DLG_EFFECT_IDSTR_WIPE4_T_R_T_T | 4way Top Right Top Top
DLG_EFFECT_IDSTR_WIPE4_T_R_T_B | 4way Top Right Top Btm
DLG_EFFECT_IDSTR_WIPE4_T_R_B_L | 4way Top Right Btm Left
DLG_EFFECT_IDSTR_WIPE4_T_R_B_R | 4way Top Right Btm Right
DLG_EFFECT_IDSTR_WIPE4_T_R_B_T | 4way Top Right Btm Top
DLG_EFFECT_IDSTR_WIPE4_T_R_B_B | 4way Top Right Btm Btm
DLG_EFFECT_IDSTR_WIPE4_T_T_L_L | 4way Top Top Left Left
DLG_EFFECT_IDSTR_WIPE4_T_T_L_R | 4way Top Top Left Right
DLG_EFFECT_IDSTR_WIPE4_T_T_L_T | 4way Top Top Left Top
DLG_EFFECT_IDSTR_WIPE4_T_T_L_B | 4way Top Top Left Btm
DLG_EFFECT_IDSTR_WIPE4_T_T_R_L | 4way Top Top Right Left
DLG_EFFECT_IDSTR_WIPE4_T_T_R_R | 4way Top Top Right Right
DLG_EFFECT_IDSTR_WIPE4_T_T_R_T | 4way Top Top Right Top
DLG_EFFECT_IDSTR_WIPE4_T_T_R_B | 4way Top Top Right Btm
DLG_EFFECT_IDSTR_WIPE4_T_T_T_L | 4way Top Top Top Left
DLG_EFFECT_IDSTR_WIPE4_T_T_T_R | 4way Top Top Top Right
DLG_EFFECT_IDSTR_WIPE4_T_T_T_T | 4way Top Top Top Top
DLG_EFFECT_IDSTR_WIPE4_T_T_T_B | 4way Top Top Top Btm
DLG_EFFECT_IDSTR_WIPE4_T_T_B_L | 4way Top Top Btm Left
DLG_EFFECT_IDSTR_WIPE4_T_T_B_R | 4way Top Top Btm Right
DLG_EFFECT_IDSTR_WIPE4_T_T_B_T | 4way Top Top Btm Top
DLG_EFFECT_IDSTR_WIPE4_T_T_B_B | 4way Top Top Btm Btm
DLG_EFFECT_IDSTR_WIPE4_T_B_L_L | 4way Top Btm Left Left
DLG_EFFECT_IDSTR_WIPE4_T_B_L_R | 4way Top Btm Left Right
DLG_EFFECT_IDSTR_WIPE4_T_B_L_T | 4way Top Btm Left Top
DLG_EFFECT_IDSTR_WIPE4_T_B_L_B | 4way Top Btm Left Btm
DLG_EFFECT_IDSTR_WIPE4_T_B_R_L | 4way Top Btm Right Left
DLG_EFFECT_IDSTR_WIPE4_T_B_R_R | 4way Top Btm Right Right
DLG_EFFECT_IDSTR_WIPE4_T_B_R_T | 4way Top Btm Right Top
DLG_EFFECT_IDSTR_WIPE4_T_B_R_B | 4way Top Btm Right Btm
DLG_EFFECT_IDSTR_WIPE4_T_B_T_L | 4way Top Btm Top Left
DLG_EFFECT_IDSTR_WIPE4_T_B_T_R | 4way Top Btm Top Right
DLG_EFFECT_IDSTR_WIPE4_T_B_T_T | 4way Top Btm Top Top
DLG_EFFECT_IDSTR_WIPE4_T_B_T_B | 4way Top Btm Top Btm
DLG_EFFECT_IDSTR_WIPE4_T_B_B_L | 4way Top Btm Btm Left
DLG_EFFECT_IDSTR_WIPE4_T_B_B_R | 4way Top Btm Btm Right
DLG_EFFECT_IDSTR_WIPE4_T_B_B_T | 4way Top Btm Btm Top
DLG_EFFECT_IDSTR_WIPE4_T_B_B_B | 4way Top Btm Btm Btm
DLG_EFFECT_IDSTR_WIPE4_B_L_L_L | 4way Btm Left Left Left
DLG_EFFECT_IDSTR_WIPE4_B_L_L_R | 4way Btm Left Left Right
DLG_EFFECT_IDSTR_WIPE4_B_L_L_T | 4way Btm Left Left Top
DLG_EFFECT_IDSTR_WIPE4_B_L_L_B | 4way Btm Left Left Btm
DLG_EFFECT_IDSTR_WIPE4_B_L_R_L | 4way Btm Left Right Left
DLG_EFFECT_IDSTR_WIPE4_B_L_R_R | 4way Btm Left Right Right
DLG_EFFECT_IDSTR_WIPE4_B_L_R_T | 4way Btm Left Right Top
DLG_EFFECT_IDSTR_WIPE4_B_L_R_B | 4way Btm Left Right Btm
DLG_EFFECT_IDSTR_WIPE4_B_L_T_L | 4way Btm Left Top Left
DLG_EFFECT_IDSTR_WIPE4_B_L_T_R | 4way Btm Left Top Right
DLG_EFFECT_IDSTR_WIPE4_B_L_T_T | 4way Btm Left Top Top
DLG_EFFECT_IDSTR_WIPE4_B_L_T_B | 4way Btm Left Top Btm
DLG_EFFECT_IDSTR_WIPE4_B_L_B_L | 4way Btm Left Btm Left
DLG_EFFECT_IDSTR_WIPE4_B_L_B_R | 4way Btm Left Btm Right
DLG_EFFECT_IDSTR_WIPE4_B_L_B_T | 4way Btm Left Btm Top
DLG_EFFECT_IDSTR_WIPE4_B_L_B_B | 4way Btm Left Btm Btm
DLG_EFFECT_IDSTR_WIPE4_B_R_L_L | 4way Btm Right Left Left
DLG_EFFECT_IDSTR_WIPE4_B_R_L_R | 4way Btm Right Left Right
DLG_EFFECT_IDSTR_WIPE4_B_R_L_T | 4way Btm Right Left Top
DLG_EFFECT_IDSTR_WIPE4_B_R_L_B | 4way Btm Right Left Btm
DLG_EFFECT_IDSTR_WIPE4_B_R_R_L | 4way Btm Right Right Left
DLG_EFFECT_IDSTR_WIPE4_B_R_R_R | 4way Btm Right Right Right
DLG_EFFECT_IDSTR_WIPE4_B_R_R_T | 4way Btm Right Right Top
DLG_EFFECT_IDSTR_WIPE4_B_R_R_B | 4way Btm Right Right Btm
DLG_EFFECT_IDSTR_WIPE4_B_R_T_L | 4way Btm Right Top Left
DLG_EFFECT_IDSTR_WIPE4_B_R_T_R | 4way Btm Right Top Right
DLG_EFFECT_IDSTR_WIPE4_B_R_T_T | 4way Btm Right Top Top
DLG_EFFECT_IDSTR_WIPE4_B_R_T_B | 4way Btm Right Top Btm
DLG_EFFECT_IDSTR_WIPE4_B_R_B_L | 4way Btm Right Btm Left
DLG_EFFECT_IDSTR_WIPE4_B_R_B_R | 4way Btm Right Btm Right
DLG_EFFECT_IDSTR_WIPE4_B_R_B_T | 4way Btm Right Btm Top
DLG_EFFECT_IDSTR_WIPE4_B_R_B_B | 4way Btm Right Btm Btm
DLG_EFFECT_IDSTR_WIPE4_B_T_L_L | 4way Btm Top Left Left
DLG_EFFECT_IDSTR_WIPE4_B_T_L_R | 4way Btm Top Left Right
DLG_EFFECT_IDSTR_WIPE4_B_T_L_T | 4way Btm Top Left Top
DLG_EFFECT_IDSTR_WIPE4_B_T_L_B | 4way Btm Top Left Btm
DLG_EFFECT_IDSTR_WIPE4_B_T_R_L | 4way Btm Top Right Left
DLG_EFFECT_IDSTR_WIPE4_B_T_R_R | 4way Btm Top Right Right
DLG_EFFECT_IDSTR_WIPE4_B_T_R_T | 4way Btm Top Right Top
DLG_EFFECT_IDSTR_WIPE4_B_T_R_B | 4way Btm Top Right Btm
DLG_EFFECT_IDSTR_WIPE4_B_T_T_L | 4way Btm Top Top Left
DLG_EFFECT_IDSTR_WIPE4_B_T_T_R | 4way Btm Top Top Right
DLG_EFFECT_IDSTR_WIPE4_B_T_T_T | 4way Btm Top Top Top
DLG_EFFECT_IDSTR_WIPE4_B_T_T_B | 4way Btm Top Top Btm
DLG_EFFECT_IDSTR_WIPE4_B_T_B_L | 4way Btm Top Btm Left
DLG_EFFECT_IDSTR_WIPE4_B_T_B_R | 4way Btm Top Btm Right
DLG_EFFECT_IDSTR_WIPE4_B_T_B_T | 4way Btm Top Btm Top
DLG_EFFECT_IDSTR_WIPE4_B_T_B_B | 4way Btm Top Btm Btm
DLG_EFFECT_IDSTR_WIPE4_B_B_L_L | 4way Btm Btm Left Left
DLG_EFFECT_IDSTR_WIPE4_B_B_L_R | 4way Btm Btm Left Right
DLG_EFFECT_IDSTR_WIPE4_B_B_L_T | 4way Btm Btm Left Top
DLG_EFFECT_IDSTR_WIPE4_B_B_L_B | 4way Btm Btm Left Btm
DLG_EFFECT_IDSTR_WIPE4_B_B_R_L | 4way Btm Btm Right Left
DLG_EFFECT_IDSTR_WIPE4_B_B_R_R | 4way Btm Btm Right Right
DLG_EFFECT_IDSTR_WIPE4_B_B_R_T | 4way Btm Btm Right Top
DLG_EFFECT_IDSTR_WIPE4_B_B_R_B | 4way Btm Btm Right Btm
DLG_EFFECT_IDSTR_WIPE4_B_B_T_L | 4way Btm Btm Top Left
DLG_EFFECT_IDSTR_WIPE4_B_B_T_R | 4way Btm Btm Top Right
DLG_EFFECT_IDSTR_WIPE4_B_B_T_T | 4way Btm Btm Top Top
DLG_EFFECT_IDSTR_WIPE4_B_B_T_B | 4way Btm Btm Top Btm
DLG_EFFECT_IDSTR_WIPE4_B_B_B_L | 4way Btm Btm Btm Left
DLG_EFFECT_IDSTR_WIPE4_B_B_B_R | 4way Btm Btm Btm Right
DLG_EFFECT_IDSTR_WIPE4_B_B_B_T | 4way Btm Btm Btm Top
DLG_EFFECT_IDSTR_WIPE4_B_B_B_B | 4way Btm Btm Btm Btm
DLG_EFFECT_IDSTR_WIPE4_LT_LT_LT_LT | 4way L-Top L-Top L-Top L-Top
DLG_EFFECT_IDSTR_WIPE4_LT_LT_LT_LB | 4way L-Top L-Top L-Top L-Btm
DLG_EFFECT_IDSTR_WIPE4_LT_LT_LT_RT | 4way L-Top L-Top L-Top R-Top
DLG_EFFECT_IDSTR_WIPE4_LT_LT_LT_RB | 4way L-Top L-Top L-Top R-Btm
DLG_EFFECT_IDSTR_WIPE4_LT_LT_LB_LT | 4way L-Top L-Top L-Btm L-Top
DLG_EFFECT_IDSTR_WIPE4_LT_LT_LB_LB | 4way L-Top L-Top L-Btm L-Btm
DLG_EFFECT_IDSTR_WIPE4_LT_LT_LB_RT | 4way L-Top L-Top L-Btm R-Top
DLG_EFFECT_IDSTR_WIPE4_LT_LT_LB_RB | 4way L-Top L-Top L-Btm R-Btm
DLG_EFFECT_IDSTR_WIPE4_LT_LT_RT_LT | 4way L-Top L-Top R-Top L-Top
DLG_EFFECT_IDSTR_WIPE4_LT_LT_RT_LB | 4way L-Top L-Top R-Top L-Btm
DLG_EFFECT_IDSTR_WIPE4_LT_LT_RT_RT | 4way L-Top L-Top R-Top R-Top
DLG_EFFECT_IDSTR_WIPE4_LT_LT_RT_RB | 4way L-Top L-Top R-Top R-Btm
DLG_EFFECT_IDSTR_WIPE4_LT_LT_RB_LT | 4way L-Top L-Top R-Btm L-Top
DLG_EFFECT_IDSTR_WIPE4_LT_LT_RB_LB | 4way L-Top L-Top R-Btm L-Btm
DLG_EFFECT_IDSTR_WIPE4_LT_LT_RB_RT | 4way L-Top L-Top R-Btm R-Top
DLG_EFFECT_IDSTR_WIPE4_LT_LT_RB_RB | 4way L-Top L-Top R-Btm R-Btm
DLG_EFFECT_IDSTR_WIPE4_LT_LB_LT_LT | 4way L-Top L-Btm L-Top L-Top
DLG_EFFECT_IDSTR_WIPE4_LT_LB_LT_LB | 4way L-Top L-Btm L-Top L-Btm
DLG_EFFECT_IDSTR_WIPE4_LT_LB_LT_RT | 4way L-Top L-Btm L-Top R-Top
DLG_EFFECT_IDSTR_WIPE4_LT_LB_LT_RB | 4way L-Top L-Btm L-Top R-Btm
DLG_EFFECT_IDSTR_WIPE4_LT_LB_LB_LT | 4way L-Top L-Btm L-Btm L-Top
DLG_EFFECT_IDSTR_WIPE4_LT_LB_LB_LB | 4way L-Top L-Btm L-Btm L-Btm
DLG_EFFECT_IDSTR_WIPE4_LT_LB_LB_RT | 4way L-Top L-Btm L-Btm R-Top
DLG_EFFECT_IDSTR_WIPE4_LT_LB_LB_RB | 4way L-Top L-Btm L-Btm R-Btm
DLG_EFFECT_IDSTR_WIPE4_LT_LB_RT_LT | 4way L-Top L-Btm R-Top L-Top
DLG_EFFECT_IDSTR_WIPE4_LT_LB_RT_LB | 4way L-Top L-Btm R-Top L-Btm
DLG_EFFECT_IDSTR_WIPE4_LT_LB_RT_RT | 4way L-Top L-Btm R-Top R-Top
DLG_EFFECT_IDSTR_WIPE4_LT_LB_RT_RB | 4way L-Top L-Btm R-Top R-Btm
DLG_EFFECT_IDSTR_WIPE4_LT_LB_RB_LT | 4way L-Top L-Btm R-Btm L-Top
DLG_EFFECT_IDSTR_WIPE4_LT_LB_RB_LB | 4way L-Top L-Btm R-Btm L-Btm
DLG_EFFECT_IDSTR_WIPE4_LT_LB_RB_RT | 4way L-Top L-Btm R-Btm R-Top
DLG_EFFECT_IDSTR_WIPE4_LT_LB_RB_RB | 4way L-Top L-Btm R-Btm R-Btm
DLG_EFFECT_IDSTR_WIPE4_LT_RT_LT_LT | 4way L-Top R-Top L-Top L-Top
DLG_EFFECT_IDSTR_WIPE4_LT_RT_LT_LB | 4way L-Top R-Top L-Top L-Btm
DLG_EFFECT_IDSTR_WIPE4_LT_RT_LT_RT | 4way L-Top R-Top L-Top R-Top
DLG_EFFECT_IDSTR_WIPE4_LT_RT_LT_RB | 4way L-Top R-Top L-Top R-Btm
DLG_EFFECT_IDSTR_WIPE4_LT_RT_LB_LT | 4way L-Top R-Top L-Btm L-Top
DLG_EFFECT_IDSTR_WIPE4_LT_RT_LB_LB | 4way L-Top R-Top L-Btm L-Btm
DLG_EFFECT_IDSTR_WIPE4_LT_RT_LB_RT | 4way L-Top R-Top L-Btm R-Top
DLG_EFFECT_IDSTR_WIPE4_LT_RT_LB_RB | 4way L-Top R-Top L-Btm R-Btm
DLG_EFFECT_IDSTR_WIPE4_LT_RT_RT_LT | 4way L-Top R-Top R-Top L-Top
DLG_EFFECT_IDSTR_WIPE4_LT_RT_RT_LB | 4way L-Top R-Top R-Top L-Btm
DLG_EFFECT_IDSTR_WIPE4_LT_RT_RT_RT | 4way L-Top R-Top R-Top R-Top
DLG_EFFECT_IDSTR_WIPE4_LT_RT_RT_RB | 4way L-Top R-Top R-Top R-Btm
DLG_EFFECT_IDSTR_WIPE4_LT_RT_RB_LT | 4way L-Top R-Top R-Btm L-Top
DLG_EFFECT_IDSTR_WIPE4_LT_RT_RB_LB | 4way L-Top R-Top R-Btm L-Btm
DLG_EFFECT_IDSTR_WIPE4_LT_RT_RB_RT | 4way L-Top R-Top R-Btm R-Top
DLG_EFFECT_IDSTR_WIPE4_LT_RT_RB_RB | 4way L-Top R-Top R-Btm R-Btm
DLG_EFFECT_IDSTR_WIPE4_LT_RB_LT_LT | 4way L-Top R-Btm L-Top L-Top
DLG_EFFECT_IDSTR_WIPE4_LT_RB_LT_LB | 4way L-Top R-Btm L-Top L-Btm
DLG_EFFECT_IDSTR_WIPE4_LT_RB_LT_RT | 4way L-Top R-Btm L-Top R-Top
DLG_EFFECT_IDSTR_WIPE4_LT_RB_LT_RB | 4way L-Top R-Btm L-Top R-Btm
DLG_EFFECT_IDSTR_WIPE4_LT_RB_LB_LT | 4way L-Top R-Btm L-Btm L-Top
DLG_EFFECT_IDSTR_WIPE4_LT_RB_LB_LB | 4way L-Top R-Btm L-Btm L-Btm
DLG_EFFECT_IDSTR_WIPE4_LT_RB_LB_RT | 4way L-Top R-Btm L-Btm R-Top
DLG_EFFECT_IDSTR_WIPE4_LT_RB_LB_RB | 4way L-Top R-Btm L-Btm R-Btm
DLG_EFFECT_IDSTR_WIPE4_LT_RB_RT_LT | 4way L-Top R-Btm R-Top L-Top
DLG_EFFECT_IDSTR_WIPE4_LT_RB_RT_LB | 4way L-Top R-Btm R-Top L-Btm
DLG_EFFECT_IDSTR_WIPE4_LT_RB_RT_RT | 4way L-Top R-Btm R-Top R-Top
DLG_EFFECT_IDSTR_WIPE4_LT_RB_RT_RB | 4way L-Top R-Btm R-Top R-Btm
DLG_EFFECT_IDSTR_WIPE4_LT_RB_RB_LT | 4way L-Top R-Btm R-Btm L-Top
DLG_EFFECT_IDSTR_WIPE4_LT_RB_RB_LB | 4way L-Top R-Btm R-Btm L-Btm
DLG_EFFECT_IDSTR_WIPE4_LT_RB_RB_RT | 4way L-Top R-Btm R-Btm R-Top
DLG_EFFECT_IDSTR_WIPE4_LT_RB_RB_RB | 4way L-Top R-Btm R-Btm R-Btm
DLG_EFFECT_IDSTR_WIPE4_LB_LT_LT_LT | 4way L-Btm L-Top L-Top L-Top
DLG_EFFECT_IDSTR_WIPE4_LB_LT_LT_LB | 4way L-Btm L-Top L-Top L-Btm
DLG_EFFECT_IDSTR_WIPE4_LB_LT_LT_RT | 4way L-Btm L-Top L-Top R-Top
DLG_EFFECT_IDSTR_WIPE4_LB_LT_LT_RB | 4way L-Btm L-Top L-Top R-Btm
DLG_EFFECT_IDSTR_WIPE4_LB_LT_LB_LT | 4way L-Btm L-Top L-Btm L-Top
DLG_EFFECT_IDSTR_WIPE4_LB_LT_LB_LB | 4way L-Btm L-Top L-Btm L-Btm
DLG_EFFECT_IDSTR_WIPE4_LB_LT_LB_RT | 4way L-Btm L-Top L-Btm R-Top
DLG_EFFECT_IDSTR_WIPE4_LB_LT_LB_RB | 4way L-Btm L-Top L-Btm R-Btm
DLG_EFFECT_IDSTR_WIPE4_LB_LT_RT_LT | 4way L-Btm L-Top R-Top L-Top
DLG_EFFECT_IDSTR_WIPE4_LB_LT_RT_LB | 4way L-Btm L-Top R-Top L-Btm
DLG_EFFECT_IDSTR_WIPE4_LB_LT_RT_RT | 4way L-Btm L-Top R-Top R-Top
DLG_EFFECT_IDSTR_WIPE4_LB_LT_RT_RB | 4way L-Btm L-Top R-Top R-Btm
DLG_EFFECT_IDSTR_WIPE4_LB_LT_RB_LT | 4way L-Btm L-Top R-Btm L-Top
DLG_EFFECT_IDSTR_WIPE4_LB_LT_RB_LB | 4way L-Btm L-Top R-Btm L-Btm
DLG_EFFECT_IDSTR_WIPE4_LB_LT_RB_RT | 4way L-Btm L-Top R-Btm R-Top
DLG_EFFECT_IDSTR_WIPE4_LB_LT_RB_RB | 4way L-Btm L-Top R-Btm R-Btm
DLG_EFFECT_IDSTR_WIPE4_LB_LB_LT_LT | 4way L-Btm L-Btm L-Top L-Top
DLG_EFFECT_IDSTR_WIPE4_LB_LB_LT_LB | 4way L-Btm L-Btm L-Top L-Btm
DLG_EFFECT_IDSTR_WIPE4_LB_LB_LT_RT | 4way L-Btm L-Btm L-Top R-Top
DLG_EFFECT_IDSTR_WIPE4_LB_LB_LT_RB | 4way L-Btm L-Btm L-Top R-Btm
DLG_EFFECT_IDSTR_WIPE4_LB_LB_LB_LT | 4way L-Btm L-Btm L-Btm L-Top
DLG_EFFECT_IDSTR_WIPE4_LB_LB_LB_LB | 4way L-Btm L-Btm L-Btm L-Btm
DLG_EFFECT_IDSTR_WIPE4_LB_LB_LB_RT | 4way L-Btm L-Btm L-Btm R-Top
DLG_EFFECT_IDSTR_WIPE4_LB_LB_LB_RB | 4way L-Btm L-Btm L-Btm R-Btm
DLG_EFFECT_IDSTR_WIPE4_LB_LB_RT_LT | 4way L-Btm L-Btm R-Top L-Top
DLG_EFFECT_IDSTR_WIPE4_LB_LB_RT_LB | 4way L-Btm L-Btm R-Top L-Btm
DLG_EFFECT_IDSTR_WIPE4_LB_LB_RT_RT | 4way L-Btm L-Btm R-Top R-Top
DLG_EFFECT_IDSTR_WIPE4_LB_LB_RT_RB | 4way L-Btm L-Btm R-Top R-Btm
DLG_EFFECT_IDSTR_WIPE4_LB_LB_RB_LT | 4way L-Btm L-Btm R-Btm L-Top
DLG_EFFECT_IDSTR_WIPE4_LB_LB_RB_LB | 4way L-Btm L-Btm R-Btm L-Btm
DLG_EFFECT_IDSTR_WIPE4_LB_LB_RB_RT | 4way L-Btm L-Btm R-Btm R-Top
DLG_EFFECT_IDSTR_WIPE4_LB_LB_RB_RB | 4way L-Btm L-Btm R-Btm R-Btm
DLG_EFFECT_IDSTR_WIPE4_LB_RT_LT_LT | 4way L-Btm R-Top L-Top L-Top
DLG_EFFECT_IDSTR_WIPE4_LB_RT_LT_LB | 4way L-Btm R-Top L-Top L-Btm
DLG_EFFECT_IDSTR_WIPE4_LB_RT_LT_RT | 4way L-Btm R-Top L-Top R-Top
DLG_EFFECT_IDSTR_WIPE4_LB_RT_LT_RB | 4way L-Btm R-Top L-Top R-Btm
DLG_EFFECT_IDSTR_WIPE4_LB_RT_LB_LT | 4way L-Btm R-Top L-Btm L-Top
DLG_EFFECT_IDSTR_WIPE4_LB_RT_LB_LB | 4way L-Btm R-Top L-Btm L-Btm
DLG_EFFECT_IDSTR_WIPE4_LB_RT_LB_RT | 4way L-Btm R-Top L-Btm R-Top
DLG_EFFECT_IDSTR_WIPE4_LB_RT_LB_RB | 4way L-Btm R-Top L-Btm R-Btm
DLG_EFFECT_IDSTR_WIPE4_LB_RT_RT_LT | 4way L-Btm R-Top R-Top L-Top
DLG_EFFECT_IDSTR_WIPE4_LB_RT_RT_LB | 4way L-Btm R-Top R-Top L-Btm
DLG_EFFECT_IDSTR_WIPE4_LB_RT_RT_RT | 4way L-Btm R-Top R-Top R-Top
DLG_EFFECT_IDSTR_WIPE4_LB_RT_RT_RB | 4way L-Btm R-Top R-Top R-Btm
DLG_EFFECT_IDSTR_WIPE4_LB_RT_RB_LT | 4way L-Btm R-Top R-Btm L-Top
DLG_EFFECT_IDSTR_WIPE4_LB_RT_RB_LB | 4way L-Btm R-Top R-Btm L-Btm
DLG_EFFECT_IDSTR_WIPE4_LB_RT_RB_RT | 4way L-Btm R-Top R-Btm R-Top
DLG_EFFECT_IDSTR_WIPE4_LB_RT_RB_RB | 4way L-Btm R-Top R-Btm R-Btm
DLG_EFFECT_IDSTR_WIPE4_LB_RB_LT_LT | 4way L-Btm R-Btm L-Top L-Top
DLG_EFFECT_IDSTR_WIPE4_LB_RB_LT_LB | 4way L-Btm R-Btm L-Top L-Btm
DLG_EFFECT_IDSTR_WIPE4_LB_RB_LT_RT | 4way L-Btm R-Btm L-Top R-Top
DLG_EFFECT_IDSTR_WIPE4_LB_RB_LT_RB | 4way L-Btm R-Btm L-Top R-Btm
DLG_EFFECT_IDSTR_WIPE4_LB_RB_LB_LT | 4way L-Btm R-Btm L-Btm L-Top
DLG_EFFECT_IDSTR_WIPE4_LB_RB_LB_LB | 4way L-Btm R-Btm L-Btm L-Btm
DLG_EFFECT_IDSTR_WIPE4_LB_RB_LB_RT | 4way L-Btm R-Btm L-Btm R-Top
DLG_EFFECT_IDSTR_WIPE4_LB_RB_LB_RB | 4way L-Btm R-Btm L-Btm R-Btm
DLG_EFFECT_IDSTR_WIPE4_LB_RB_RT_LT | 4way L-Btm R-Btm R-Top L-Top
DLG_EFFECT_IDSTR_WIPE4_LB_RB_RT_LB | 4way L-Btm R-Btm R-Top L-Btm
DLG_EFFECT_IDSTR_WIPE4_LB_RB_RT_RT | 4way L-Btm R-Btm R-Top R-Top
DLG_EFFECT_IDSTR_WIPE4_LB_RB_RT_RB | 4way L-Btm R-Btm R-Top R-Btm
DLG_EFFECT_IDSTR_WIPE4_LB_RB_RB_LT | 4way L-Btm R-Btm R-Btm L-Top
DLG_EFFECT_IDSTR_WIPE4_LB_RB_RB_LB | 4way L-Btm R-Btm R-Btm L-Btm
DLG_EFFECT_IDSTR_WIPE4_LB_RB_RB_RT | 4way L-Btm R-Btm R-Btm R-Top
DLG_EFFECT_IDSTR_WIPE4_LB_RB_RB_RB | 4way L-Btm R-Btm R-Btm R-Btm
DLG_EFFECT_IDSTR_WIPE4_RT_LT_LT_LT | 4way R-Top L-Top L-Top L-Top
DLG_EFFECT_IDSTR_WIPE4_RT_LT_LT_LB | 4way R-Top L-Top L-Top L-Btm
DLG_EFFECT_IDSTR_WIPE4_RT_LT_LT_RT | 4way R-Top L-Top L-Top R-Top
DLG_EFFECT_IDSTR_WIPE4_RT_LT_LT_RB | 4way R-Top L-Top L-Top R-Btm
DLG_EFFECT_IDSTR_WIPE4_RT_LT_LB_LT | 4way R-Top L-Top L-Btm L-Top
DLG_EFFECT_IDSTR_WIPE4_RT_LT_LB_LB | 4way R-Top L-Top L-Btm L-Btm
DLG_EFFECT_IDSTR_WIPE4_RT_LT_LB_RT | 4way R-Top L-Top L-Btm R-Top
DLG_EFFECT_IDSTR_WIPE4_RT_LT_LB_RB | 4way R-Top L-Top L-Btm R-Btm
DLG_EFFECT_IDSTR_WIPE4_RT_LT_RT_LT | 4way R-Top L-Top R-Top L-Top
DLG_EFFECT_IDSTR_WIPE4_RT_LT_RT_LB | 4way R-Top L-Top R-Top L-Btm
DLG_EFFECT_IDSTR_WIPE4_RT_LT_RT_RT | 4way R-Top L-Top R-Top R-Top
DLG_EFFECT_IDSTR_WIPE4_RT_LT_RT_RB | 4way R-Top L-Top R-Top R-Btm
DLG_EFFECT_IDSTR_WIPE4_RT_LT_RB_LT | 4way R-Top L-Top R-Btm L-Top
DLG_EFFECT_IDSTR_WIPE4_RT_LT_RB_LB | 4way R-Top L-Top R-Btm L-Btm
DLG_EFFECT_IDSTR_WIPE4_RT_LT_RB_RT | 4way R-Top L-Top R-Btm R-Top
DLG_EFFECT_IDSTR_WIPE4_RT_LT_RB_RB | 4way R-Top L-Top R-Btm R-Btm
DLG_EFFECT_IDSTR_WIPE4_RT_LB_LT_LT | 4way R-Top L-Btm L-Top L-Top
DLG_EFFECT_IDSTR_WIPE4_RT_LB_LT_LB | 4way R-Top L-Btm L-Top L-Btm
DLG_EFFECT_IDSTR_WIPE4_RT_LB_LT_RT | 4way R-Top L-Btm L-Top R-Top
DLG_EFFECT_IDSTR_WIPE4_RT_LB_LT_RB | 4way R-Top L-Btm L-Top R-Btm
DLG_EFFECT_IDSTR_WIPE4_RT_LB_LB_LT | 4way R-Top L-Btm L-Btm L-Top
DLG_EFFECT_IDSTR_WIPE4_RT_LB_LB_LB | 4way R-Top L-Btm L-Btm L-Btm
DLG_EFFECT_IDSTR_WIPE4_RT_LB_LB_RT | 4way R-Top L-Btm L-Btm R-Top
DLG_EFFECT_IDSTR_WIPE4_RT_LB_LB_RB | 4way R-Top L-Btm L-Btm R-Btm
DLG_EFFECT_IDSTR_WIPE4_RT_LB_RT_LT | 4way R-Top L-Btm R-Top L-Top
DLG_EFFECT_IDSTR_WIPE4_RT_LB_RT_LB | 4way R-Top L-Btm R-Top L-Btm
DLG_EFFECT_IDSTR_WIPE4_RT_LB_RT_RT | 4way R-Top L-Btm R-Top R-Top
DLG_EFFECT_IDSTR_WIPE4_RT_LB_RT_RB | 4way R-Top L-Btm R-Top R-Btm
DLG_EFFECT_IDSTR_WIPE4_RT_LB_RB_LT | 4way R-Top L-Btm R-Btm L-Top
DLG_EFFECT_IDSTR_WIPE4_RT_LB_RB_LB | 4way R-Top L-Btm R-Btm L-Btm
DLG_EFFECT_IDSTR_WIPE4_RT_LB_RB_RT | 4way R-Top L-Btm R-Btm R-Top
DLG_EFFECT_IDSTR_WIPE4_RT_LB_RB_RB | 4way R-Top L-Btm R-Btm R-Btm
DLG_EFFECT_IDSTR_WIPE4_RT_RT_LT_LT | 4way R-Top R-Top L-Top L-Top
DLG_EFFECT_IDSTR_WIPE4_RT_RT_LT_LB | 4way R-Top R-Top L-Top L-Btm
DLG_EFFECT_IDSTR_WIPE4_RT_RT_LT_RT | 4way R-Top R-Top L-Top R-Top
DLG_EFFECT_IDSTR_WIPE4_RT_RT_LT_RB | 4way R-Top R-Top L-Top R-Btm
DLG_EFFECT_IDSTR_WIPE4_RT_RT_LB_LT | 4way R-Top R-Top L-Btm L-Top
DLG_EFFECT_IDSTR_WIPE4_RT_RT_LB_LB | 4way R-Top R-Top L-Btm L-Btm
DLG_EFFECT_IDSTR_WIPE4_RT_RT_LB_RT | 4way R-Top R-Top L-Btm R-Top
DLG_EFFECT_IDSTR_WIPE4_RT_RT_LB_RB | 4way R-Top R-Top L-Btm R-Btm
DLG_EFFECT_IDSTR_WIPE4_RT_RT_RT_LT | 4way R-Top R-Top R-Top L-Top
DLG_EFFECT_IDSTR_WIPE4_RT_RT_RT_LB | 4way R-Top R-Top R-Top L-Btm
DLG_EFFECT_IDSTR_WIPE4_RT_RT_RT_RT | 4way R-Top R-Top R-Top R-Top
DLG_EFFECT_IDSTR_WIPE4_RT_RT_RT_RB | 4way R-Top R-Top R-Top R-Btm
DLG_EFFECT_IDSTR_WIPE4_RT_RT_RB_LT | 4way R-Top R-Top R-Btm L-Top
DLG_EFFECT_IDSTR_WIPE4_RT_RT_RB_LB | 4way R-Top R-Top R-Btm L-Btm
DLG_EFFECT_IDSTR_WIPE4_RT_RT_RB_RT | 4way R-Top R-Top R-Btm R-Top
DLG_EFFECT_IDSTR_WIPE4_RT_RT_RB_RB | 4way R-Top R-Top R-Btm R-Btm
DLG_EFFECT_IDSTR_WIPE4_RT_RB_LT_LT | 4way R-Top R-Btm L-Top L-Top
DLG_EFFECT_IDSTR_WIPE4_RT_RB_LT_LB | 4way R-Top R-Btm L-Top L-Btm
DLG_EFFECT_IDSTR_WIPE4_RT_RB_LT_RT | 4way R-Top R-Btm L-Top R-Top
DLG_EFFECT_IDSTR_WIPE4_RT_RB_LT_RB | 4way R-Top R-Btm L-Top R-Btm
DLG_EFFECT_IDSTR_WIPE4_RT_RB_LB_LT | 4way R-Top R-Btm L-Btm L-Top
DLG_EFFECT_IDSTR_WIPE4_RT_RB_LB_LB | 4way R-Top R-Btm L-Btm L-Btm
DLG_EFFECT_IDSTR_WIPE4_RT_RB_LB_RT | 4way R-Top R-Btm L-Btm R-Top
DLG_EFFECT_IDSTR_WIPE4_RT_RB_LB_RB | 4way R-Top R-Btm L-Btm R-Btm
DLG_EFFECT_IDSTR_WIPE4_RT_RB_RT_LT | 4way R-Top R-Btm R-Top L-Top
DLG_EFFECT_IDSTR_WIPE4_RT_RB_RT_LB | 4way R-Top R-Btm R-Top L-Btm
DLG_EFFECT_IDSTR_WIPE4_RT_RB_RT_RT | 4way R-Top R-Btm R-Top R-Top
DLG_EFFECT_IDSTR_WIPE4_RT_RB_RT_RB | 4way R-Top R-Btm R-Top R-Btm
DLG_EFFECT_IDSTR_WIPE4_RT_RB_RB_LT | 4way R-Top R-Btm R-Btm L-Top
DLG_EFFECT_IDSTR_WIPE4_RT_RB_RB_LB | 4way R-Top R-Btm R-Btm L-Btm
DLG_EFFECT_IDSTR_WIPE4_RT_RB_RB_RT | 4way R-Top R-Btm R-Btm R-Top
DLG_EFFECT_IDSTR_WIPE4_RT_RB_RB_RB | 4way R-Top R-Btm R-Btm R-Btm
DLG_EFFECT_IDSTR_WIPE4_RB_LT_LT_LT | 4way R-Btm L-Top L-Top L-Top
DLG_EFFECT_IDSTR_WIPE4_RB_LT_LT_LB | 4way R-Btm L-Top L-Top L-Btm
DLG_EFFECT_IDSTR_WIPE4_RB_LT_LT_RT | 4way R-Btm L-Top L-Top R-Top
DLG_EFFECT_IDSTR_WIPE4_RB_LT_LT_RB | 4way R-Btm L-Top L-Top R-Btm
DLG_EFFECT_IDSTR_WIPE4_RB_LT_LB_LT | 4way R-Btm L-Top L-Btm L-Top
DLG_EFFECT_IDSTR_WIPE4_RB_LT_LB_LB | 4way R-Btm L-Top L-Btm L-Btm
DLG_EFFECT_IDSTR_WIPE4_RB_LT_LB_RT | 4way R-Btm L-Top L-Btm R-Top
DLG_EFFECT_IDSTR_WIPE4_RB_LT_LB_RB | 4way R-Btm L-Top L-Btm R-Btm
DLG_EFFECT_IDSTR_WIPE4_RB_LT_RT_LT | 4way R-Btm L-Top R-Top L-Top
DLG_EFFECT_IDSTR_WIPE4_RB_LT_RT_LB | 4way R-Btm L-Top R-Top L-Btm
DLG_EFFECT_IDSTR_WIPE4_RB_LT_RT_RT | 4way R-Btm L-Top R-Top R-Top
DLG_EFFECT_IDSTR_WIPE4_RB_LT_RT_RB | 4way R-Btm L-Top R-Top R-Btm
DLG_EFFECT_IDSTR_WIPE4_RB_LT_RB_LT | 4way R-Btm L-Top R-Btm L-Top
DLG_EFFECT_IDSTR_WIPE4_RB_LT_RB_LB | 4way R-Btm L-Top R-Btm L-Btm
DLG_EFFECT_IDSTR_WIPE4_RB_LT_RB_RT | 4way R-Btm L-Top R-Btm R-Top
DLG_EFFECT_IDSTR_WIPE4_RB_LT_RB_RB | 4way R-Btm L-Top R-Btm R-Btm
DLG_EFFECT_IDSTR_WIPE4_RB_LB_LT_LT | 4way R-Btm L-Btm L-Top L-Top
DLG_EFFECT_IDSTR_WIPE4_RB_LB_LT_LB | 4way R-Btm L-Btm L-Top L-Btm
DLG_EFFECT_IDSTR_WIPE4_RB_LB_LT_RT | 4way R-Btm L-Btm L-Top R-Top
DLG_EFFECT_IDSTR_WIPE4_RB_LB_LT_RB | 4way R-Btm L-Btm L-Top R-Btm
DLG_EFFECT_IDSTR_WIPE4_RB_LB_LB_LT | 4way R-Btm L-Btm L-Btm L-Top
DLG_EFFECT_IDSTR_WIPE4_RB_LB_LB_LB | 4way R-Btm L-Btm L-Btm L-Btm
DLG_EFFECT_IDSTR_WIPE4_RB_LB_LB_RT | 4way R-Btm L-Btm L-Btm R-Top
DLG_EFFECT_IDSTR_WIPE4_RB_LB_LB_RB | 4way R-Btm L-Btm L-Btm R-Btm
DLG_EFFECT_IDSTR_WIPE4_RB_LB_RT_LT | 4way R-Btm L-Btm R-Top L-Top
DLG_EFFECT_IDSTR_WIPE4_RB_LB_RT_LB | 4way R-Btm L-Btm R-Top L-Btm
DLG_EFFECT_IDSTR_WIPE4_RB_LB_RT_RT | 4way R-Btm L-Btm R-Top R-Top
DLG_EFFECT_IDSTR_WIPE4_RB_LB_RT_RB | 4way R-Btm L-Btm R-Top R-Btm
DLG_EFFECT_IDSTR_WIPE4_RB_LB_RB_LT | 4way R-Btm L-Btm R-Btm L-Top
DLG_EFFECT_IDSTR_WIPE4_RB_LB_RB_LB | 4way R-Btm L-Btm R-Btm L-Btm
DLG_EFFECT_IDSTR_WIPE4_RB_LB_RB_RT | 4way R-Btm L-Btm R-Btm R-Top
DLG_EFFECT_IDSTR_WIPE4_RB_LB_RB_RB | 4way R-Btm L-Btm R-Btm R-Btm
DLG_EFFECT_IDSTR_WIPE4_RB_RT_LT_LT | 4way R-Btm R-Top L-Top L-Top
DLG_EFFECT_IDSTR_WIPE4_RB_RT_LT_LB | 4way R-Btm R-Top L-Top L-Btm
DLG_EFFECT_IDSTR_WIPE4_RB_RT_LT_RT | 4way R-Btm R-Top L-Top R-Top
DLG_EFFECT_IDSTR_WIPE4_RB_RT_LT_RB | 4way R-Btm R-Top L-Top R-Btm
DLG_EFFECT_IDSTR_WIPE4_RB_RT_LB_LT | 4way R-Btm R-Top L-Btm L-Top
DLG_EFFECT_IDSTR_WIPE4_RB_RT_LB_LB | 4way R-Btm R-Top L-Btm L-Btm
DLG_EFFECT_IDSTR_WIPE4_RB_RT_LB_RT | 4way R-Btm R-Top L-Btm R-Top
DLG_EFFECT_IDSTR_WIPE4_RB_RT_LB_RB | 4way R-Btm R-Top L-Btm R-Btm
DLG_EFFECT_IDSTR_WIPE4_RB_RT_RT_LT | 4way R-Btm R-Top R-Top L-Top
DLG_EFFECT_IDSTR_WIPE4_RB_RT_RT_LB | 4way R-Btm R-Top R-Top L-Btm
DLG_EFFECT_IDSTR_WIPE4_RB_RT_RT_RT | 4way R-Btm R-Top R-Top R-Top
DLG_EFFECT_IDSTR_WIPE4_RB_RT_RT_RB | 4way R-Btm R-Top R-Top R-Btm
DLG_EFFECT_IDSTR_WIPE4_RB_RT_RB_LT | 4way R-Btm R-Top R-Btm L-Top
DLG_EFFECT_IDSTR_WIPE4_RB_RT_RB_LB | 4way R-Btm R-Top R-Btm L-Btm
DLG_EFFECT_IDSTR_WIPE4_RB_RT_RB_RT | 4way R-Btm R-Top R-Btm R-Top
DLG_EFFECT_IDSTR_WIPE4_RB_RT_RB_RB | 4way R-Btm R-Top R-Btm R-Btm
DLG_EFFECT_IDSTR_WIPE4_RB_RB_LT_LT | 4way R-Btm R-Btm L-Top L-Top
DLG_EFFECT_IDSTR_WIPE4_RB_RB_LT_LB | 4way R-Btm R-Btm L-Top L-Btm
DLG_EFFECT_IDSTR_WIPE4_RB_RB_LT_RT | 4way R-Btm R-Btm L-Top R-Top
DLG_EFFECT_IDSTR_WIPE4_RB_RB_LT_RB | 4way R-Btm R-Btm L-Top R-Btm
DLG_EFFECT_IDSTR_WIPE4_RB_RB_LB_LT | 4way R-Btm R-Btm L-Btm L-Top
DLG_EFFECT_IDSTR_WIPE4_RB_RB_LB_LB | 4way R-Btm R-Btm L-Btm L-Btm
DLG_EFFECT_IDSTR_WIPE4_RB_RB_LB_RT | 4way R-Btm R-Btm L-Btm R-Top
DLG_EFFECT_IDSTR_WIPE4_RB_RB_LB_RB | 4way R-Btm R-Btm L-Btm R-Btm
DLG_EFFECT_IDSTR_WIPE4_RB_RB_RT_LT | 4way R-Btm R-Btm R-Top L-Top
DLG_EFFECT_IDSTR_WIPE4_RB_RB_RT_LB | 4way R-Btm R-Btm R-Top L-Btm
DLG_EFFECT_IDSTR_WIPE4_RB_RB_RT_RT | 4way R-Btm R-Btm R-Top R-Top
DLG_EFFECT_IDSTR_WIPE4_RB_RB_RT_RB | 4way R-Btm R-Btm R-Top R-Btm
DLG_EFFECT_IDSTR_WIPE4_RB_RB_RB_LT | 4way R-Btm R-Btm R-Btm L-Top
DLG_EFFECT_IDSTR_WIPE4_RB_RB_RB_LB | 4way R-Btm R-Btm R-Btm L-Btm
DLG_EFFECT_IDSTR_WIPE4_RB_RB_RB_RT | 4way R-Btm R-Btm R-Btm R-Top
DLG_EFFECT_IDSTR_WIPE4_RB_RB_RB_RB | 4way R-Btm R-Btm R-Btm R-Btm
Rectangular Wipe |
DLG_EFFECT_IDSTR_WIPE_RECTANGLE_IN | In
DLG_EFFECT_IDSTR_WIPE_RECTANGLE_OUT | Out
DLG_EFFECT_IDSTR_WIPE_RECTANGLE_INTER_IN_THEN_IN | Interlace In then In
DLG_EFFECT_IDSTR_WIPE_RECTANGLE_INTER_OUT_THEN_OUT | Interlace Out then Out
DLG_EFFECT_IDSTR_WIPE_RECTANGLE_INTER_IN_THEN_OUT | Interlace In then Out
DLG_EFFECT_IDSTR_WIPE_RECTANGLE_INTER_OUT_THEN_IN | Interlace Out then In
Circular Wipe |
DLG_EFFECT_IDSTR_WIPE_CIRCLE_C_CW_FROM_L | Center CW from Left
DLG_EFFECT_IDSTR_WIPE_CIRCLE_C_CCW_FROM_L | Center CCW from Left
DLG_EFFECT_IDSTR_WIPE_CIRCLE_C_CW_FROM_R | Center CW from Right
DLG_EFFECT_IDSTR_WIPE_CIRCLE_C_CCW_FROM_R | Center CCW from Right
DLG_EFFECT_IDSTR_WIPE_CIRCLE_C_CW_FROM_T | Center CW from Top
DLG_EFFECT_IDSTR_WIPE_CIRCLE_C_CCW_FROM_T | Center CCW from Top
DLG_EFFECT_IDSTR_WIPE_CIRCLE_C_CW_FROM_B | Center CW from Btm
DLG_EFFECT_IDSTR_WIPE_CIRCLE_C_CCW_FROM_B | Center CCW from Btm
DLG_EFFECT_IDSTR_WIPE_CIRCLE_L_CCW_FROM_B | Left CCW from Btm
DLG_EFFECT_IDSTR_WIPE_CIRCLE_L_CW_FROM_T | Left CW from Top
DLG_EFFECT_IDSTR_WIPE_CIRCLE_R_CW_FROM_B | Right CW from Btm
DLG_EFFECT_IDSTR_WIPE_CIRCLE_R_CCW_FROM_T | Right CCW from Top
DLG_EFFECT_IDSTR_WIPE_CIRCLE_T_CCW_FROM_L | Top CCW from Left
DLG_EFFECT_IDSTR_WIPE_CIRCLE_T_CW_FROM_R | Top CW from Right
DLG_EFFECT_IDSTR_WIPE_CIRCLE_B_CW_FROM_L | Btm CW from Left
DLG_EFFECT_IDSTR_WIPE_CIRCLE_B_CCW_FROM_R | Btm CCW from Right
DLG_EFFECT_IDSTR_WIPE_CIRCLE2_C_CW_FROM_L_AND_FROM_R | 2way Center CW from Left & Right
DLG_EFFECT_IDSTR_WIPE_CIRCLE2_C_CCW_FROM_L_AND_FROM_R | 2way Center CCW from Left & Right
DLG_EFFECT_IDSTR_WIPE_CIRCLE2_C_CW_FROM_T_AND_FROM_B | 2way Center CW from Top & Btm
DLG_EFFECT_IDSTR_WIPE_CIRCLE2_C_CCW_FROM_T_AND_FROM_B | 2way Center CCW from Top & Btm
DLG_EFFECT_IDSTR_WIPE_CIRCLE2_L_CW_FROM_T_AND_CCW_FROM_B | 2way Left CW down & CCW up
DLG_EFFECT_IDSTR_WIPE_CIRCLE2_L_CCW_TO_T_AND_CW_TO_B | 2way Left CCW up & CW down
DLG_EFFECT_IDSTR_WIPE_CIRCLE2_R_CCW_FROM_T_AND_CW_FROM_B | 2way Right CCW down & CW up
DLG_EFFECT_IDSTR_WIPE_CIRCLE2_R_CW_TO_T_AND_CCW_TO_B | 2way Right CW up & CCW down
DLG_EFFECT_IDSTR_WIPE_CIRCLE2_T_CCW_FROM_L_AND_CW_FROM_R | 2way Top CCW from Left & CW from Right
DLG_EFFECT_IDSTR_WIPE_CIRCLE2_T_CW_TO_L_AND_CCW_TO_R | 2way Top CW to Left & CCW to Right
DLG_EFFECT_IDSTR_WIPE_CIRCLE2_B_CW_FROM_L_AND_CCW_FROM_R | 2way Btm CW from Left & CCW from Right
DLG_EFFECT_IDSTR_WIPE_CIRCLE2_B_CCW_TO_L_AND_CW_TO_R | 2way Btm CCW to Left & CW to Right
DLG_EFFECT_IDSTR_WIPE_CIRCLE4_C_CW_CCW_CCW_CW | 4way Center CW CCW CCW CW
DLG_EFFECT_IDSTR_WIPE_CIRCLE4_C_CCW_CW_CW_CCW | 4way Center CCW CW CW CCW
Push |
DLG_EFFECT_IDSTR_PUSH_R_TO_L | Right to Left
DLG_EFFECT_IDSTR_PUSH_L_TO_R | Left to Right
DLG_EFFECT_IDSTR_PUSH_B_TO_T | Btm to Top
DLG_EFFECT_IDSTR_PUSH_T_TO_B | Top to Btm
DLG_EFFECT_IDSTR_PUSH2_T_R_TO_L_AND_B_L_TO_R | 2way Top Right to Left & Btm Left to Right
DLG_EFFECT_IDSTR_PUSH2_T_L_TO_R_AND_B_R_TO_L | 2way Top Left to Right & Btm Right to Left
DLG_EFFECT_IDSTR_PUSH2_L_B_TO_T_AND_R_T_TO_B | 2way Left Btm to Top & Right Top to Btm
DLG_EFFECT_IDSTR_PUSH2_L_T_TO_B_AND_R_B_TO_T | 2way Left Top to Btm & Right Btm to Top
DLG_EFFECT_IDSTR_PUSH4_L_L_L_L | 4way Left Left Left Left
DLG_EFFECT_IDSTR_PUSH4_L_L_L_R | 4way Left Left Left Right
DLG_EFFECT_IDSTR_PUSH4_L_L_L_T | 4way Left Left Left Top
DLG_EFFECT_IDSTR_PUSH4_L_L_L_B | 4way Left Left Left Btm
DLG_EFFECT_IDSTR_PUSH4_L_L_R_L | 4way Left Left Right Left
DLG_EFFECT_IDSTR_PUSH4_L_L_R_R | 4way Left Left Right Right
DLG_EFFECT_IDSTR_PUSH4_L_L_R_T | 4way Left Left Right Top
DLG_EFFECT_IDSTR_PUSH4_L_L_R_B | 4way Left Left Right Btm
DLG_EFFECT_IDSTR_PUSH4_L_L_T_L | 4way Left Left Top Left
DLG_EFFECT_IDSTR_PUSH4_L_L_T_R | 4way Left Left Top Right
DLG_EFFECT_IDSTR_PUSH4_L_L_T_T | 4way Left Left Top Top
DLG_EFFECT_IDSTR_PUSH4_L_L_T_B | 4way Left Left Top Btm
DLG_EFFECT_IDSTR_PUSH4_L_L_B_L | 4way Left Left Btm Left
DLG_EFFECT_IDSTR_PUSH4_L_L_B_R | 4way Left Left Btm Right
DLG_EFFECT_IDSTR_PUSH4_L_L_B_T | 4way Left Left Btm Top
DLG_EFFECT_IDSTR_PUSH4_L_L_B_B | 4way Left Left Btm Btm
DLG_EFFECT_IDSTR_PUSH4_L_R_L_L | 4way Left Right Left Left
DLG_EFFECT_IDSTR_PUSH4_L_R_L_R | 4way Left Right Left Right
DLG_EFFECT_IDSTR_PUSH4_L_R_L_T | 4way Left Right Left Top
DLG_EFFECT_IDSTR_PUSH4_L_R_L_B | 4way Left Right Left Btm
DLG_EFFECT_IDSTR_PUSH4_L_R_R_L | 4way Left Right Right Left
DLG_EFFECT_IDSTR_PUSH4_L_R_R_R | 4way Left Right Right Right
DLG_EFFECT_IDSTR_PUSH4_L_R_R_T | 4way Left Right Right Top
DLG_EFFECT_IDSTR_PUSH4_L_R_R_B | 4way Left Right Right Btm
DLG_EFFECT_IDSTR_PUSH4_L_R_T_L | 4way Left Right Top Left
DLG_EFFECT_IDSTR_PUSH4_L_R_T_R | 4way Left Right Top Right
DLG_EFFECT_IDSTR_PUSH4_L_R_T_T | 4way Left Right Top Top
DLG_EFFECT_IDSTR_PUSH4_L_R_T_B | 4way Left Right Top Btm
DLG_EFFECT_IDSTR_PUSH4_L_R_B_L | 4way Left Right Btm Left
DLG_EFFECT_IDSTR_PUSH4_L_R_B_R | 4way Left Right Btm Right
DLG_EFFECT_IDSTR_PUSH4_L_R_B_T | 4way Left Right Btm Top
DLG_EFFECT_IDSTR_PUSH4_L_R_B_B | 4way Left Right Btm Btm
DLG_EFFECT_IDSTR_PUSH4_L_T_L_L | 4way Left Top Left Left
DLG_EFFECT_IDSTR_PUSH4_L_T_L_R | 4way Left Top Left Right
DLG_EFFECT_IDSTR_PUSH4_L_T_L_T | 4way Left Top Left Top
DLG_EFFECT_IDSTR_PUSH4_L_T_L_B | 4way Left Top Left Btm
DLG_EFFECT_IDSTR_PUSH4_L_T_R_L | 4way Left Top Right Left
DLG_EFFECT_IDSTR_PUSH4_L_T_R_R | 4way Left Top Right Right
DLG_EFFECT_IDSTR_PUSH4_L_T_R_T | 4way Left Top Right Top
DLG_EFFECT_IDSTR_PUSH4_L_T_R_B | 4way Left Top Right Btm
DLG_EFFECT_IDSTR_PUSH4_L_T_T_L | 4way Left Top Top Left
DLG_EFFECT_IDSTR_PUSH4_L_T_T_R | 4way Left Top Top Right
DLG_EFFECT_IDSTR_PUSH4_L_T_T_T | 4way Left Top Top Top
DLG_EFFECT_IDSTR_PUSH4_L_T_T_B | 4way Left Top Top Btm
DLG_EFFECT_IDSTR_PUSH4_L_T_B_L | 4way Left Top Btm Left
DLG_EFFECT_IDSTR_PUSH4_L_T_B_R | 4way Left Top Btm Right
DLG_EFFECT_IDSTR_PUSH4_L_T_B_T | 4way Left Top Btm Top
DLG_EFFECT_IDSTR_PUSH4_L_T_B_B | 4way Left Top Btm Btm
DLG_EFFECT_IDSTR_PUSH4_L_B_L_L | 4way Left Btm Left Left
DLG_EFFECT_IDSTR_PUSH4_L_B_L_R | 4way Left Btm Left Right
DLG_EFFECT_IDSTR_PUSH4_L_B_L_T | 4way Left Btm Left Top
DLG_EFFECT_IDSTR_PUSH4_L_B_L_B | 4way Left Btm Left Btm
DLG_EFFECT_IDSTR_PUSH4_L_B_R_L | 4way Left Btm Right Left
DLG_EFFECT_IDSTR_PUSH4_L_B_R_R | 4way Left Btm Right Right
DLG_EFFECT_IDSTR_PUSH4_L_B_R_T | 4way Left Btm Right Top
DLG_EFFECT_IDSTR_PUSH4_L_B_R_B | 4way Left Btm Right Btm
DLG_EFFECT_IDSTR_PUSH4_L_B_T_L | 4way Left Btm Top Left
DLG_EFFECT_IDSTR_PUSH4_L_B_T_R | 4way Left Btm Top Right
DLG_EFFECT_IDSTR_PUSH4_L_B_T_T | 4way Left Btm Top Top
DLG_EFFECT_IDSTR_PUSH4_L_B_T_B | 4way Left Btm Top Btm
DLG_EFFECT_IDSTR_PUSH4_L_B_B_L | 4way Left Btm Btm Left
DLG_EFFECT_IDSTR_PUSH4_L_B_B_R | 4way Left Btm Btm Right
DLG_EFFECT_IDSTR_PUSH4_L_B_B_T | 4way Left Btm Btm Top
DLG_EFFECT_IDSTR_PUSH4_L_B_B_B | 4way Left Btm Btm Btm
DLG_EFFECT_IDSTR_PUSH4_R_L_L_L | 4way Right Left Left Left
DLG_EFFECT_IDSTR_PUSH4_R_L_L_R | 4way Right Left Left Right
DLG_EFFECT_IDSTR_PUSH4_R_L_L_T | 4way Right Left Left Top
DLG_EFFECT_IDSTR_PUSH4_R_L_L_B | 4way Right Left Left Btm
DLG_EFFECT_IDSTR_PUSH4_R_L_R_L | 4way Right Left Right Left
DLG_EFFECT_IDSTR_PUSH4_R_L_R_R | 4way Right Left Right Right
DLG_EFFECT_IDSTR_PUSH4_R_L_R_T | 4way Right Left Right Top
DLG_EFFECT_IDSTR_PUSH4_R_L_R_B | 4way Right Left Right Btm
DLG_EFFECT_IDSTR_PUSH4_R_L_T_L | 4way Right Left Top Left
DLG_EFFECT_IDSTR_PUSH4_R_L_T_R | 4way Right Left Top Right
DLG_EFFECT_IDSTR_PUSH4_R_L_T_T | 4way Right Left Top Top
DLG_EFFECT_IDSTR_PUSH4_R_L_T_B | 4way Right Left Top Btm
DLG_EFFECT_IDSTR_PUSH4_R_L_B_L | 4way Right Left Btm Left
DLG_EFFECT_IDSTR_PUSH4_R_L_B_R | 4way Right Left Btm Right
DLG_EFFECT_IDSTR_PUSH4_R_L_B_T | 4way Right Left Btm Top
DLG_EFFECT_IDSTR_PUSH4_R_L_B_B | 4way Right Left Btm Btm
DLG_EFFECT_IDSTR_PUSH4_R_R_L_L | 4way Right Right Left Left
DLG_EFFECT_IDSTR_PUSH4_R_R_L_R | 4way Right Right Left Right
DLG_EFFECT_IDSTR_PUSH4_R_R_L_T | 4way Right Right Left Top
DLG_EFFECT_IDSTR_PUSH4_R_R_L_B | 4way Right Right Left Btm
DLG_EFFECT_IDSTR_PUSH4_R_R_R_L | 4way Right Right Right Left
DLG_EFFECT_IDSTR_PUSH4_R_R_R_R | 4way Right Right Right Right
DLG_EFFECT_IDSTR_PUSH4_R_R_R_T | 4way Right Right Right Top
DLG_EFFECT_IDSTR_PUSH4_R_R_R_B | 4way Right Right Right Btm
DLG_EFFECT_IDSTR_PUSH4_R_R_T_L | 4way Right Right Top Left
DLG_EFFECT_IDSTR_PUSH4_R_R_T_R | 4way Right Right Top Right
DLG_EFFECT_IDSTR_PUSH4_R_R_T_T | 4way Right Right Top Top
DLG_EFFECT_IDSTR_PUSH4_R_R_T_B | 4way Right Right Top Btm
DLG_EFFECT_IDSTR_PUSH4_R_R_B_L | 4way Right Right Btm Left
DLG_EFFECT_IDSTR_PUSH4_R_R_B_R | 4way Right Right Btm Right
DLG_EFFECT_IDSTR_PUSH4_R_R_B_T | 4way Right Right Btm Top
DLG_EFFECT_IDSTR_PUSH4_R_R_B_B | 4way Right Right Btm Btm
DLG_EFFECT_IDSTR_PUSH4_R_T_L_L | 4way Right Top Left Left
DLG_EFFECT_IDSTR_PUSH4_R_T_L_R | 4way Right Top Left Right
DLG_EFFECT_IDSTR_PUSH4_R_T_L_T | 4way Right Top Left Top
DLG_EFFECT_IDSTR_PUSH4_R_T_L_B | 4way Right Top Left Btm
DLG_EFFECT_IDSTR_PUSH4_R_T_R_L | 4way Right Top Right Left
DLG_EFFECT_IDSTR_PUSH4_R_T_R_R | 4way Right Top Right Right
DLG_EFFECT_IDSTR_PUSH4_R_T_R_T | 4way Right Top Right Top
DLG_EFFECT_IDSTR_PUSH4_R_T_R_B | 4way Right Top Right Btm
DLG_EFFECT_IDSTR_PUSH4_R_T_T_L | 4way Right Top Top Left
DLG_EFFECT_IDSTR_PUSH4_R_T_T_R | 4way Right Top Top Right
DLG_EFFECT_IDSTR_PUSH4_R_T_T_T | 4way Right Top Top Top
DLG_EFFECT_IDSTR_PUSH4_R_T_T_B | 4way Right Top Top Btm
DLG_EFFECT_IDSTR_PUSH4_R_T_B_L | 4way Right Top Btm Left
DLG_EFFECT_IDSTR_PUSH4_R_T_B_R | 4way Right Top Btm Right
DLG_EFFECT_IDSTR_PUSH4_R_T_B_T | 4way Right Top Btm Top
DLG_EFFECT_IDSTR_PUSH4_R_T_B_B | 4way Right Top Btm Btm
DLG_EFFECT_IDSTR_PUSH4_R_B_L_L | 4way Right Btm Left Left
DLG_EFFECT_IDSTR_PUSH4_R_B_L_R | 4way Right Btm Left Right
DLG_EFFECT_IDSTR_PUSH4_R_B_L_T | 4way Right Btm Left Top
DLG_EFFECT_IDSTR_PUSH4_R_B_L_B | 4way Right Btm Left Btm
DLG_EFFECT_IDSTR_PUSH4_R_B_R_L | 4way Right Btm Right Left
DLG_EFFECT_IDSTR_PUSH4_R_B_R_R | 4way Right Btm Right Right
DLG_EFFECT_IDSTR_PUSH4_R_B_R_T | 4way Right Btm Right Top
DLG_EFFECT_IDSTR_PUSH4_R_B_R_B | 4way Right Btm Right Btm
DLG_EFFECT_IDSTR_PUSH4_R_B_T_L | 4way Right Btm Top Left
DLG_EFFECT_IDSTR_PUSH4_R_B_T_R | 4way Right Btm Top Right
DLG_EFFECT_IDSTR_PUSH4_R_B_T_T | 4way Right Btm Top Top
DLG_EFFECT_IDSTR_PUSH4_R_B_T_B | 4way Right Btm Top Btm
DLG_EFFECT_IDSTR_PUSH4_R_B_B_L | 4way Right Btm Btm Left
DLG_EFFECT_IDSTR_PUSH4_R_B_B_R | 4way Right Btm Btm Right
DLG_EFFECT_IDSTR_PUSH4_R_B_B_T | 4way Right Btm Btm Top
DLG_EFFECT_IDSTR_PUSH4_R_B_B_B | 4way Right Btm Btm Btm
DLG_EFFECT_IDSTR_PUSH4_T_L_L_L | 4way Top Left Left Left
DLG_EFFECT_IDSTR_PUSH4_T_L_L_R | 4way Top Left Left Right
DLG_EFFECT_IDSTR_PUSH4_T_L_L_T | 4way Top Left Left Top
DLG_EFFECT_IDSTR_PUSH4_T_L_L_B | 4way Top Left Left Btm
DLG_EFFECT_IDSTR_PUSH4_T_L_R_L | 4way Top Left Right Left
DLG_EFFECT_IDSTR_PUSH4_T_L_R_R | 4way Top Left Right Right
DLG_EFFECT_IDSTR_PUSH4_T_L_R_T | 4way Top Left Right Top
DLG_EFFECT_IDSTR_PUSH4_T_L_R_B | 4way Top Left Right Btm
DLG_EFFECT_IDSTR_PUSH4_T_L_T_L | 4way Top Left Top Left
DLG_EFFECT_IDSTR_PUSH4_T_L_T_R | 4way Top Left Top Right
DLG_EFFECT_IDSTR_PUSH4_T_L_T_T | 4way Top Left Top Top
DLG_EFFECT_IDSTR_PUSH4_T_L_T_B | 4way Top Left Top Btm
DLG_EFFECT_IDSTR_PUSH4_T_L_B_L | 4way Top Left Btm Left
DLG_EFFECT_IDSTR_PUSH4_T_L_B_R | 4way Top Left Btm Right
DLG_EFFECT_IDSTR_PUSH4_T_L_B_T | 4way Top Left Btm Top
DLG_EFFECT_IDSTR_PUSH4_T_L_B_B | 4way Top Left Btm Btm
DLG_EFFECT_IDSTR_PUSH4_T_R_L_L | 4way Top Right Left Left
DLG_EFFECT_IDSTR_PUSH4_T_R_L_R | 4way Top Right Left Right
DLG_EFFECT_IDSTR_PUSH4_T_R_L_T | 4way Top Right Left Top
DLG_EFFECT_IDSTR_PUSH4_T_R_L_B | 4way Top Right Left Btm
DLG_EFFECT_IDSTR_PUSH4_T_R_R_L | 4way Top Right Right Left
DLG_EFFECT_IDSTR_PUSH4_T_R_R_R | 4way Top Right Right Right
DLG_EFFECT_IDSTR_PUSH4_T_R_R_T | 4way Top Right Right Top
DLG_EFFECT_IDSTR_PUSH4_T_R_R_B | 4way Top Right Right Btm
DLG_EFFECT_IDSTR_PUSH4_T_R_T_L | 4way Top Right Top Left
DLG_EFFECT_IDSTR_PUSH4_T_R_T_R | 4way Top Right Top Right
DLG_EFFECT_IDSTR_PUSH4_T_R_T_T | 4way Top Right Top Top
DLG_EFFECT_IDSTR_PUSH4_T_R_T_B | 4way Top Right Top Btm
DLG_EFFECT_IDSTR_PUSH4_T_R_B_L | 4way Top Right Btm Left
DLG_EFFECT_IDSTR_PUSH4_T_R_B_R | 4way Top Right Btm Right
DLG_EFFECT_IDSTR_PUSH4_T_R_B_T | 4way Top Right Btm Top
DLG_EFFECT_IDSTR_PUSH4_T_R_B_B | 4way Top Right Btm Btm
DLG_EFFECT_IDSTR_PUSH4_T_T_L_L | 4way Top Top Left Left
DLG_EFFECT_IDSTR_PUSH4_T_T_L_R | 4way Top Top Left Right
DLG_EFFECT_IDSTR_PUSH4_T_T_L_T | 4way Top Top Left Top
DLG_EFFECT_IDSTR_PUSH4_T_T_L_B | 4way Top Top Left Btm
DLG_EFFECT_IDSTR_PUSH4_T_T_R_L | 4way Top Top Right Left
DLG_EFFECT_IDSTR_PUSH4_T_T_R_R | 4way Top Top Right Right
DLG_EFFECT_IDSTR_PUSH4_T_T_R_T | 4way Top Top Right Top
DLG_EFFECT_IDSTR_PUSH4_T_T_R_B | 4way Top Top Right Btm
DLG_EFFECT_IDSTR_PUSH4_T_T_T_L | 4way Top Top Top Left
DLG_EFFECT_IDSTR_PUSH4_T_T_T_R | 4way Top Top Top Right
DLG_EFFECT_IDSTR_PUSH4_T_T_T_T | 4way Top Top Top Top
DLG_EFFECT_IDSTR_PUSH4_T_T_T_B | 4way Top Top Top Btm
DLG_EFFECT_IDSTR_PUSH4_T_T_B_L | 4way Top Top Btm Left
DLG_EFFECT_IDSTR_PUSH4_T_T_B_R | 4way Top Top Btm Right
DLG_EFFECT_IDSTR_PUSH4_T_T_B_T | 4way Top Top Btm Top
DLG_EFFECT_IDSTR_PUSH4_T_T_B_B | 4way Top Top Btm Btm
DLG_EFFECT_IDSTR_PUSH4_T_B_L_L | 4way Top Btm Left Left
DLG_EFFECT_IDSTR_PUSH4_T_B_L_R | 4way Top Btm Left Right
DLG_EFFECT_IDSTR_PUSH4_T_B_L_T | 4way Top Btm Left Top
DLG_EFFECT_IDSTR_PUSH4_T_B_L_B | 4way Top Btm Left Btm
DLG_EFFECT_IDSTR_PUSH4_T_B_R_L | 4way Top Btm Right Left
DLG_EFFECT_IDSTR_PUSH4_T_B_R_R | 4way Top Btm Right Right
DLG_EFFECT_IDSTR_PUSH4_T_B_R_T | 4way Top Btm Right Top
DLG_EFFECT_IDSTR_PUSH4_T_B_R_B | 4way Top Btm Right Btm
DLG_EFFECT_IDSTR_PUSH4_T_B_T_L | 4way Top Btm Top Left
DLG_EFFECT_IDSTR_PUSH4_T_B_T_R | 4way Top Btm Top Right
DLG_EFFECT_IDSTR_PUSH4_T_B_T_T | 4way Top Btm Top Top
DLG_EFFECT_IDSTR_PUSH4_T_B_T_B | 4way Top Btm Top Btm
DLG_EFFECT_IDSTR_PUSH4_T_B_B_L | 4way Top Btm Btm Left
DLG_EFFECT_IDSTR_PUSH4_T_B_B_R | 4way Top Btm Btm Right
DLG_EFFECT_IDSTR_PUSH4_T_B_B_T | 4way Top Btm Btm Top
DLG_EFFECT_IDSTR_PUSH4_T_B_B_B | 4way Top Btm Btm Btm
DLG_EFFECT_IDSTR_PUSH4_B_L_L_L | 4way Btm Left Left Left
DLG_EFFECT_IDSTR_PUSH4_B_L_L_R | 4way Btm Left Left Right
DLG_EFFECT_IDSTR_PUSH4_B_L_L_T | 4way Btm Left Left Top
DLG_EFFECT_IDSTR_PUSH4_B_L_L_B | 4way Btm Left Left Btm
DLG_EFFECT_IDSTR_PUSH4_B_L_R_L | 4way Btm Left Right Left
DLG_EFFECT_IDSTR_PUSH4_B_L_R_R | 4way Btm Left Right Right
DLG_EFFECT_IDSTR_PUSH4_B_L_R_T | 4way Btm Left Right Top
DLG_EFFECT_IDSTR_PUSH4_B_L_R_B | 4way Btm Left Right Btm
DLG_EFFECT_IDSTR_PUSH4_B_L_T_L | 4way Btm Left Top Left
DLG_EFFECT_IDSTR_PUSH4_B_L_T_R | 4way Btm Left Top Right
DLG_EFFECT_IDSTR_PUSH4_B_L_T_T | 4way Btm Left Top Top
DLG_EFFECT_IDSTR_PUSH4_B_L_T_B | 4way Btm Left Top Btm
DLG_EFFECT_IDSTR_PUSH4_B_L_B_L | 4way Btm Left Btm Left
DLG_EFFECT_IDSTR_PUSH4_B_L_B_R | 4way Btm Left Btm Right
DLG_EFFECT_IDSTR_PUSH4_B_L_B_T | 4way Btm Left Btm Top
DLG_EFFECT_IDSTR_PUSH4_B_L_B_B | 4way Btm Left Btm Btm
DLG_EFFECT_IDSTR_PUSH4_B_R_L_L | 4way Btm Right Left Left
DLG_EFFECT_IDSTR_PUSH4_B_R_L_R | 4way Btm Right Left Right
DLG_EFFECT_IDSTR_PUSH4_B_R_L_T | 4way Btm Right Left Top
DLG_EFFECT_IDSTR_PUSH4_B_R_L_B | 4way Btm Right Left Btm
DLG_EFFECT_IDSTR_PUSH4_B_R_R_L | 4way Btm Right Right Left
DLG_EFFECT_IDSTR_PUSH4_B_R_R_R | 4way Btm Right Right Right
DLG_EFFECT_IDSTR_PUSH4_B_R_R_T | 4way Btm Right Right Top
DLG_EFFECT_IDSTR_PUSH4_B_R_R_B | 4way Btm Right Right Btm
DLG_EFFECT_IDSTR_PUSH4_B_R_T_L | 4way Btm Right Top Left
DLG_EFFECT_IDSTR_PUSH4_B_R_T_R | 4way Btm Right Top Right
DLG_EFFECT_IDSTR_PUSH4_B_R_T_T | 4way Btm Right Top Top
DLG_EFFECT_IDSTR_PUSH4_B_R_T_B | 4way Btm Right Top Btm
DLG_EFFECT_IDSTR_PUSH4_B_R_B_L | 4way Btm Right Btm Left
DLG_EFFECT_IDSTR_PUSH4_B_R_B_R | 4way Btm Right Btm Right
DLG_EFFECT_IDSTR_PUSH4_B_R_B_T | 4way Btm Right Btm Top
DLG_EFFECT_IDSTR_PUSH4_B_R_B_B | 4way Btm Right Btm Btm
DLG_EFFECT_IDSTR_PUSH4_B_T_L_L | 4way Btm Top Left Left
DLG_EFFECT_IDSTR_PUSH4_B_T_L_R | 4way Btm Top Left Right
DLG_EFFECT_IDSTR_PUSH4_B_T_L_T | 4way Btm Top Left Top
DLG_EFFECT_IDSTR_PUSH4_B_T_L_B | 4way Btm Top Left Btm
DLG_EFFECT_IDSTR_PUSH4_B_T_R_L | 4way Btm Top Right Left
DLG_EFFECT_IDSTR_PUSH4_B_T_R_R | 4way Btm Top Right Right
DLG_EFFECT_IDSTR_PUSH4_B_T_R_T | 4way Btm Top Right Top
DLG_EFFECT_IDSTR_PUSH4_B_T_R_B | 4way Btm Top Right Btm
DLG_EFFECT_IDSTR_PUSH4_B_T_T_L | 4way Btm Top Top Left
DLG_EFFECT_IDSTR_PUSH4_B_T_T_R | 4way Btm Top Top Right
DLG_EFFECT_IDSTR_PUSH4_B_T_T_T | 4way Btm Top Top Top
DLG_EFFECT_IDSTR_PUSH4_B_T_T_B | 4way Btm Top Top Btm
DLG_EFFECT_IDSTR_PUSH4_B_T_B_L | 4way Btm Top Btm Left
DLG_EFFECT_IDSTR_PUSH4_B_T_B_R | 4way Btm Top Btm Right
DLG_EFFECT_IDSTR_PUSH4_B_T_B_T | 4way Btm Top Btm Top
DLG_EFFECT_IDSTR_PUSH4_B_T_B_B | 4way Btm Top Btm Btm
DLG_EFFECT_IDSTR_PUSH4_B_B_L_L | 4way Btm Btm Left Left
DLG_EFFECT_IDSTR_PUSH4_B_B_L_R | 4way Btm Btm Left Right
DLG_EFFECT_IDSTR_PUSH4_B_B_L_T | 4way Btm Btm Left Top
DLG_EFFECT_IDSTR_PUSH4_B_B_L_B | 4way Btm Btm Left Btm
DLG_EFFECT_IDSTR_PUSH4_B_B_R_L | 4way Btm Btm Right Left
DLG_EFFECT_IDSTR_PUSH4_B_B_R_R | 4way Btm Btm Right Right
DLG_EFFECT_IDSTR_PUSH4_B_B_R_T | 4way Btm Btm Right Top
DLG_EFFECT_IDSTR_PUSH4_B_B_R_B | 4way Btm Btm Right Btm
DLG_EFFECT_IDSTR_PUSH4_B_B_T_L | 4way Btm Btm Top Left
DLG_EFFECT_IDSTR_PUSH4_B_B_T_R | 4way Btm Btm Top Right
DLG_EFFECT_IDSTR_PUSH4_B_B_T_T | 4way Btm Btm Top Top
DLG_EFFECT_IDSTR_PUSH4_B_B_T_B | 4way Btm Btm Top Btm
DLG_EFFECT_IDSTR_PUSH4_B_B_B_L | 4way Btm Btm Btm Left
DLG_EFFECT_IDSTR_PUSH4_B_B_B_R | 4way Btm Btm Btm Right
DLG_EFFECT_IDSTR_PUSH4_B_B_B_T | 4way Btm Btm Btm Top
DLG_EFFECT_IDSTR_PUSH4_B_B_B_B | 4way Btm Btm Btm Btm
Slide |
DLG_EFFECT_IDSTR_SLIDE_R_TO_L | Right to Left
DLG_EFFECT_IDSTR_SLIDE_L_TO_R | Left to Right
DLG_EFFECT_IDSTR_SLIDE_B_TO_T | Btm to Top
DLG_EFFECT_IDSTR_SLIDE_T_TO_B | Top to Btm
DLG_EFFECT_IDSTR_SLIDE_LT_TO_RB | L-Top to R-Btm
DLG_EFFECT_IDSTR_SLIDE_RT_TO_LB | R-Top to L-Btm
DLG_EFFECT_IDSTR_SLIDE_LB_TO_RT | L-Btm to R-Top
DLG_EFFECT_IDSTR_SLIDE_RB_TO_LT | R-Btm to L-Top
DLG_EFFECT_IDSTR_SLIDE_INTERH_L_TO_R_AND_R_TO_L | Horz Interlace Left to Right & Right to Left
DLG_EFFECT_IDSTR_SLIDE_INTERV_T_TO_B_AND_B_TO_T | Vert Interlace Top to Btm & Btm to Top
DLG_EFFECT_IDSTR_SLIDE2_T_R_TO_L_AND_B_L_TO_R | 2way Top Right to Left & Btm Left to Right
DLG_EFFECT_IDSTR_SLIDE2_T_L_TO_R_AND_B_R_TO_L | 2way Top Left to Right & Btm Right to Left
DLG_EFFECT_IDSTR_SLIDE2_L_B_TO_T_AND_R_T_TO_B | 2way Left Btm to Top & Right Top to Btm
DLG_EFFECT_IDSTR_SLIDE2_L_T_TO_B_AND_R_B_TO_T | 2way Left Top to Btm & Right Btm to Top
DLG_EFFECT_IDSTR_SLIDE4_L_L_L_L | 4way Left Left Left Left
DLG_EFFECT_IDSTR_SLIDE4_L_L_L_R | 4way Left Left Left Right
DLG_EFFECT_IDSTR_SLIDE4_L_L_L_T | 4way Left Left Left Top
DLG_EFFECT_IDSTR_SLIDE4_L_L_L_B | 4way Left Left Left Btm
DLG_EFFECT_IDSTR_SLIDE4_L_L_R_L | 4way Left Left Right Left
DLG_EFFECT_IDSTR_SLIDE4_L_L_R_R | 4way Left Left Right Right
DLG_EFFECT_IDSTR_SLIDE4_L_L_R_T | 4way Left Left Right Top
DLG_EFFECT_IDSTR_SLIDE4_L_L_R_B | 4way Left Left Right Btm
DLG_EFFECT_IDSTR_SLIDE4_L_L_T_L | 4way Left Left Top Left
DLG_EFFECT_IDSTR_SLIDE4_L_L_T_R | 4way Left Left Top Right
DLG_EFFECT_IDSTR_SLIDE4_L_L_T_T | 4way Left Left Top Top
DLG_EFFECT_IDSTR_SLIDE4_L_L_T_B | 4way Left Left Top Btm
DLG_EFFECT_IDSTR_SLIDE4_L_L_B_L | 4way Left Left Btm Left
DLG_EFFECT_IDSTR_SLIDE4_L_L_B_R | 4way Left Left Btm Right
DLG_EFFECT_IDSTR_SLIDE4_L_L_B_T | 4way Left Left Btm Top
DLG_EFFECT_IDSTR_SLIDE4_L_L_B_B | 4way Left Left Btm Btm
DLG_EFFECT_IDSTR_SLIDE4_L_R_L_L | 4way Left Right Left Left
DLG_EFFECT_IDSTR_SLIDE4_L_R_L_R | 4way Left Right Left Right
DLG_EFFECT_IDSTR_SLIDE4_L_R_L_T | 4way Left Right Left Top
DLG_EFFECT_IDSTR_SLIDE4_L_R_L_B | 4way Left Right Left Btm
DLG_EFFECT_IDSTR_SLIDE4_L_R_R_L | 4way Left Right Right Left
DLG_EFFECT_IDSTR_SLIDE4_L_R_R_R | 4way Left Right Right Right
DLG_EFFECT_IDSTR_SLIDE4_L_R_R_T | 4way Left Right Right Top
DLG_EFFECT_IDSTR_SLIDE4_L_R_R_B | 4way Left Right Right Btm
DLG_EFFECT_IDSTR_SLIDE4_L_R_T_L | 4way Left Right Top Left
DLG_EFFECT_IDSTR_SLIDE4_L_R_T_R | 4way Left Right Top Right
DLG_EFFECT_IDSTR_SLIDE4_L_R_T_T | 4way Left Right Top Top
DLG_EFFECT_IDSTR_SLIDE4_L_R_T_B | 4way Left Right Top Btm
DLG_EFFECT_IDSTR_SLIDE4_L_R_B_L | 4way Left Right Btm Left
DLG_EFFECT_IDSTR_SLIDE4_L_R_B_R | 4way Left Right Btm Right
DLG_EFFECT_IDSTR_SLIDE4_L_R_B_T | 4way Left Right Btm Top
DLG_EFFECT_IDSTR_SLIDE4_L_R_B_B | 4way Left Right Btm Btm
DLG_EFFECT_IDSTR_SLIDE4_L_T_L_L | 4way Left Top Left Left
DLG_EFFECT_IDSTR_SLIDE4_L_T_L_R | 4way Left Top Left Right
DLG_EFFECT_IDSTR_SLIDE4_L_T_L_T | 4way Left Top Left Top
DLG_EFFECT_IDSTR_SLIDE4_L_T_L_B | 4way Left Top Left Btm
DLG_EFFECT_IDSTR_SLIDE4_L_T_R_L | 4way Left Top Right Left
DLG_EFFECT_IDSTR_SLIDE4_L_T_R_R | 4way Left Top Right Right
DLG_EFFECT_IDSTR_SLIDE4_L_T_R_T | 4way Left Top Right Top
DLG_EFFECT_IDSTR_SLIDE4_L_T_R_B | 4way Left Top Right Btm
DLG_EFFECT_IDSTR_SLIDE4_L_T_T_L | 4way Left Top Top Left
DLG_EFFECT_IDSTR_SLIDE4_L_T_T_R | 4way Left Top Top Right
DLG_EFFECT_IDSTR_SLIDE4_L_T_T_T | 4way Left Top Top Top
DLG_EFFECT_IDSTR_SLIDE4_L_T_T_B | 4way Left Top Top Btm
DLG_EFFECT_IDSTR_SLIDE4_L_T_B_L | 4way Left Top Btm Left
DLG_EFFECT_IDSTR_SLIDE4_L_T_B_R | 4way Left Top Btm Right
DLG_EFFECT_IDSTR_SLIDE4_L_T_B_T | 4way Left Top Btm Top
DLG_EFFECT_IDSTR_SLIDE4_L_T_B_B | 4way Left Top Btm Btm
DLG_EFFECT_IDSTR_SLIDE4_L_B_L_L | 4way Left Btm Left Left
DLG_EFFECT_IDSTR_SLIDE4_L_B_L_R | 4way Left Btm Left Right
DLG_EFFECT_IDSTR_SLIDE4_L_B_L_T | 4way Left Btm Left Top
DLG_EFFECT_IDSTR_SLIDE4_L_B_L_B | 4way Left Btm Left Btm
DLG_EFFECT_IDSTR_SLIDE4_L_B_R_L | 4way Left Btm Right Left
DLG_EFFECT_IDSTR_SLIDE4_L_B_R_R | 4way Left Btm Right Right
DLG_EFFECT_IDSTR_SLIDE4_L_B_R_T | 4way Left Btm Right Top
DLG_EFFECT_IDSTR_SLIDE4_L_B_R_B | 4way Left Btm Right Btm
DLG_EFFECT_IDSTR_SLIDE4_L_B_T_L | 4way Left Btm Top Left
DLG_EFFECT_IDSTR_SLIDE4_L_B_T_R | 4way Left Btm Top Right
DLG_EFFECT_IDSTR_SLIDE4_L_B_T_T | 4way Left Btm Top Top
DLG_EFFECT_IDSTR_SLIDE4_L_B_T_B | 4way Left Btm Top Btm
DLG_EFFECT_IDSTR_SLIDE4_L_B_B_L | 4way Left Btm Btm Left
DLG_EFFECT_IDSTR_SLIDE4_L_B_B_R | 4way Left Btm Btm Right
DLG_EFFECT_IDSTR_SLIDE4_L_B_B_T | 4way Left Btm Btm Top
DLG_EFFECT_IDSTR_SLIDE4_L_B_B_B | 4way Left Btm Btm Btm
DLG_EFFECT_IDSTR_SLIDE4_R_L_L_L | 4way Right Left Left Left
DLG_EFFECT_IDSTR_SLIDE4_R_L_L_R | 4way Right Left Left Right
DLG_EFFECT_IDSTR_SLIDE4_R_L_L_T | 4way Right Left Left Top
DLG_EFFECT_IDSTR_SLIDE4_R_L_L_B | 4way Right Left Left Btm
DLG_EFFECT_IDSTR_SLIDE4_R_L_R_L | 4way Right Left Right Left
DLG_EFFECT_IDSTR_SLIDE4_R_L_R_R | 4way Right Left Right Right
DLG_EFFECT_IDSTR_SLIDE4_R_L_R_T | 4way Right Left Right Top
DLG_EFFECT_IDSTR_SLIDE4_R_L_R_B | 4way Right Left Right Btm
DLG_EFFECT_IDSTR_SLIDE4_R_L_T_L | 4way Right Left Top Left
DLG_EFFECT_IDSTR_SLIDE4_R_L_T_R | 4way Right Left Top Right
DLG_EFFECT_IDSTR_SLIDE4_R_L_T_T | 4way Right Left Top Top
DLG_EFFECT_IDSTR_SLIDE4_R_L_T_B | 4way Right Left Top Btm
DLG_EFFECT_IDSTR_SLIDE4_R_L_B_L | 4way Right Left Btm Left
DLG_EFFECT_IDSTR_SLIDE4_R_L_B_R | 4way Right Left Btm Right
DLG_EFFECT_IDSTR_SLIDE4_R_L_B_T | 4way Right Left Btm Top
DLG_EFFECT_IDSTR_SLIDE4_R_L_B_B | 4way Right Left Btm Btm
DLG_EFFECT_IDSTR_SLIDE4_R_R_L_L | 4way Right Right Left Left
DLG_EFFECT_IDSTR_SLIDE4_R_R_L_R | 4way Right Right Left Right
DLG_EFFECT_IDSTR_SLIDE4_R_R_L_T | 4way Right Right Left Top
DLG_EFFECT_IDSTR_SLIDE4_R_R_L_B | 4way Right Right Left Btm
DLG_EFFECT_IDSTR_SLIDE4_R_R_R_L | 4way Right Right Right Left
DLG_EFFECT_IDSTR_SLIDE4_R_R_R_R | 4way Right Right Right Right
DLG_EFFECT_IDSTR_SLIDE4_R_R_R_T | 4way Right Right Right Top
DLG_EFFECT_IDSTR_SLIDE4_R_R_R_B | 4way Right Right Right Btm
DLG_EFFECT_IDSTR_SLIDE4_R_R_T_L | 4way Right Right Top Left
DLG_EFFECT_IDSTR_SLIDE4_R_R_T_R | 4way Right Right Top Right
DLG_EFFECT_IDSTR_SLIDE4_R_R_T_T | 4way Right Right Top Top
DLG_EFFECT_IDSTR_SLIDE4_R_R_T_B | 4way Right Right Top Btm
DLG_EFFECT_IDSTR_SLIDE4_R_R_B_L | 4way Right Right Btm Left
DLG_EFFECT_IDSTR_SLIDE4_R_R_B_R | 4way Right Right Btm Right
DLG_EFFECT_IDSTR_SLIDE4_R_R_B_T | 4way Right Right Btm Top
DLG_EFFECT_IDSTR_SLIDE4_R_R_B_B | 4way Right Right Btm Btm
DLG_EFFECT_IDSTR_SLIDE4_R_T_L_L | 4way Right Top Left Left
DLG_EFFECT_IDSTR_SLIDE4_R_T_L_R | 4way Right Top Left Right
DLG_EFFECT_IDSTR_SLIDE4_R_T_L_T | 4way Right Top Left Top
DLG_EFFECT_IDSTR_SLIDE4_R_T_L_B | 4way Right Top Left Btm
DLG_EFFECT_IDSTR_SLIDE4_R_T_R_L | 4way Right Top Right Left
DLG_EFFECT_IDSTR_SLIDE4_R_T_R_R | 4way Right Top Right Right
DLG_EFFECT_IDSTR_SLIDE4_R_T_R_T | 4way Right Top Right Top
DLG_EFFECT_IDSTR_SLIDE4_R_T_R_B | 4way Right Top Right Btm
DLG_EFFECT_IDSTR_SLIDE4_R_T_T_L | 4way Right Top Top Left
DLG_EFFECT_IDSTR_SLIDE4_R_T_T_R | 4way Right Top Top Right
DLG_EFFECT_IDSTR_SLIDE4_R_T_T_T | 4way Right Top Top Top
DLG_EFFECT_IDSTR_SLIDE4_R_T_T_B | 4way Right Top Top Btm
DLG_EFFECT_IDSTR_SLIDE4_R_T_B_L | 4way Right Top Btm Left
DLG_EFFECT_IDSTR_SLIDE4_R_T_B_R | 4way Right Top Btm Right
DLG_EFFECT_IDSTR_SLIDE4_R_T_B_T | 4way Right Top Btm Top
DLG_EFFECT_IDSTR_SLIDE4_R_T_B_B | 4way Right Top Btm Btm
DLG_EFFECT_IDSTR_SLIDE4_R_B_L_L | 4way Right Btm Left Left
DLG_EFFECT_IDSTR_SLIDE4_R_B_L_R | 4way Right Btm Left Right
DLG_EFFECT_IDSTR_SLIDE4_R_B_L_T | 4way Right Btm Left Top
DLG_EFFECT_IDSTR_SLIDE4_R_B_L_B | 4way Right Btm Left Btm
DLG_EFFECT_IDSTR_SLIDE4_R_B_R_L | 4way Right Btm Right Left
DLG_EFFECT_IDSTR_SLIDE4_R_B_R_R | 4way Right Btm Right Right
DLG_EFFECT_IDSTR_SLIDE4_R_B_R_T | 4way Right Btm Right Top
DLG_EFFECT_IDSTR_SLIDE4_R_B_R_B | 4way Right Btm Right Btm
DLG_EFFECT_IDSTR_SLIDE4_R_B_T_L | 4way Right Btm Top Left
DLG_EFFECT_IDSTR_SLIDE4_R_B_T_R | 4way Right Btm Top Right
DLG_EFFECT_IDSTR_SLIDE4_R_B_T_T | 4way Right Btm Top Top
DLG_EFFECT_IDSTR_SLIDE4_R_B_T_B | 4way Right Btm Top Btm
DLG_EFFECT_IDSTR_SLIDE4_R_B_B_L | 4way Right Btm Btm Left
DLG_EFFECT_IDSTR_SLIDE4_R_B_B_R | 4way Right Btm Btm Right
DLG_EFFECT_IDSTR_SLIDE4_R_B_B_T | 4way Right Btm Btm Top
DLG_EFFECT_IDSTR_SLIDE4_R_B_B_B | 4way Right Btm Btm Btm
DLG_EFFECT_IDSTR_SLIDE4_T_L_L_L | 4way Top Left Left Left
DLG_EFFECT_IDSTR_SLIDE4_T_L_L_R | 4way Top Left Left Right
DLG_EFFECT_IDSTR_SLIDE4_T_L_L_T | 4way Top Left Left Top
DLG_EFFECT_IDSTR_SLIDE4_T_L_L_B | 4way Top Left Left Btm
DLG_EFFECT_IDSTR_SLIDE4_T_L_R_L | 4way Top Left Right Left
DLG_EFFECT_IDSTR_SLIDE4_T_L_R_R | 4way Top Left Right Right
DLG_EFFECT_IDSTR_SLIDE4_T_L_R_T | 4way Top Left Right Top
DLG_EFFECT_IDSTR_SLIDE4_T_L_R_B | 4way Top Left Right Btm
DLG_EFFECT_IDSTR_SLIDE4_T_L_T_L | 4way Top Left Top Left
DLG_EFFECT_IDSTR_SLIDE4_T_L_T_R | 4way Top Left Top Right
DLG_EFFECT_IDSTR_SLIDE4_T_L_T_T | 4way Top Left Top Top
DLG_EFFECT_IDSTR_SLIDE4_T_L_T_B | 4way Top Left Top Btm
DLG_EFFECT_IDSTR_SLIDE4_T_L_B_L | 4way Top Left Btm Left
DLG_EFFECT_IDSTR_SLIDE4_T_L_B_R | 4way Top Left Btm Right
DLG_EFFECT_IDSTR_SLIDE4_T_L_B_T | 4way Top Left Btm Top
DLG_EFFECT_IDSTR_SLIDE4_T_L_B_B | 4way Top Left Btm Btm
DLG_EFFECT_IDSTR_SLIDE4_T_R_L_L | 4way Top Right Left Left
DLG_EFFECT_IDSTR_SLIDE4_T_R_L_R | 4way Top Right Left Right
DLG_EFFECT_IDSTR_SLIDE4_T_R_L_T | 4way Top Right Left Top
DLG_EFFECT_IDSTR_SLIDE4_T_R_L_B | 4way Top Right Left Btm
DLG_EFFECT_IDSTR_SLIDE4_T_R_R_L | 4way Top Right Right Left
DLG_EFFECT_IDSTR_SLIDE4_T_R_R_R | 4way Top Right Right Right
DLG_EFFECT_IDSTR_SLIDE4_T_R_R_T | 4way Top Right Right Top
DLG_EFFECT_IDSTR_SLIDE4_T_R_R_B | 4way Top Right Right Btm
DLG_EFFECT_IDSTR_SLIDE4_T_R_T_L | 4way Top Right Top Left
DLG_EFFECT_IDSTR_SLIDE4_T_R_T_R | 4way Top Right Top Right
DLG_EFFECT_IDSTR_SLIDE4_T_R_T_T | 4way Top Right Top Top
DLG_EFFECT_IDSTR_SLIDE4_T_R_T_B | 4way Top Right Top Btm
DLG_EFFECT_IDSTR_SLIDE4_T_R_B_L | 4way Top Right Btm Left
DLG_EFFECT_IDSTR_SLIDE4_T_R_B_R | 4way Top Right Btm Right
DLG_EFFECT_IDSTR_SLIDE4_T_R_B_T | 4way Top Right Btm Top
DLG_EFFECT_IDSTR_SLIDE4_T_R_B_B | 4way Top Right Btm Btm
DLG_EFFECT_IDSTR_SLIDE4_T_T_L_L | 4way Top Top Left Left
DLG_EFFECT_IDSTR_SLIDE4_T_T_L_R | 4way Top Top Left Right
DLG_EFFECT_IDSTR_SLIDE4_T_T_L_T | 4way Top Top Left Top
DLG_EFFECT_IDSTR_SLIDE4_T_T_L_B | 4way Top Top Left Btm
DLG_EFFECT_IDSTR_SLIDE4_T_T_R_L | 4way Top Top Right Left
DLG_EFFECT_IDSTR_SLIDE4_T_T_R_R | 4way Top Top Right Right
DLG_EFFECT_IDSTR_SLIDE4_T_T_R_T | 4way Top Top Right Top
DLG_EFFECT_IDSTR_SLIDE4_T_T_R_B | 4way Top Top Right Btm
DLG_EFFECT_IDSTR_SLIDE4_T_T_T_L | 4way Top Top Top Left
DLG_EFFECT_IDSTR_SLIDE4_T_T_T_R | 4way Top Top Top Right
DLG_EFFECT_IDSTR_SLIDE4_T_T_T_T | 4way Top Top Top Top
DLG_EFFECT_IDSTR_SLIDE4_T_T_T_B | 4way Top Top Top Btm
DLG_EFFECT_IDSTR_SLIDE4_T_T_B_L | 4way Top Top Btm Left
DLG_EFFECT_IDSTR_SLIDE4_T_T_B_R | 4way Top Top Btm Right
DLG_EFFECT_IDSTR_SLIDE4_T_T_B_T | 4way Top Top Btm Top
DLG_EFFECT_IDSTR_SLIDE4_T_T_B_B | 4way Top Top Btm Btm
DLG_EFFECT_IDSTR_SLIDE4_T_B_L_L | 4way Top Btm Left Left
DLG_EFFECT_IDSTR_SLIDE4_T_B_L_R | 4way Top Btm Left Right
DLG_EFFECT_IDSTR_SLIDE4_T_B_L_T | 4way Top Btm Left Top
DLG_EFFECT_IDSTR_SLIDE4_T_B_L_B | 4way Top Btm Left Btm
DLG_EFFECT_IDSTR_SLIDE4_T_B_R_L | 4way Top Btm Right Left
DLG_EFFECT_IDSTR_SLIDE4_T_B_R_R | 4way Top Btm Right Right
DLG_EFFECT_IDSTR_SLIDE4_T_B_R_T | 4way Top Btm Right Top
DLG_EFFECT_IDSTR_SLIDE4_T_B_R_B | 4way Top Btm Right Btm
DLG_EFFECT_IDSTR_SLIDE4_T_B_T_L | 4way Top Btm Top Left
DLG_EFFECT_IDSTR_SLIDE4_T_B_T_R | 4way Top Btm Top Right
DLG_EFFECT_IDSTR_SLIDE4_T_B_T_T | 4way Top Btm Top Top
DLG_EFFECT_IDSTR_SLIDE4_T_B_T_B | 4way Top Btm Top Btm
DLG_EFFECT_IDSTR_SLIDE4_T_B_B_L | 4way Top Btm Btm Left
DLG_EFFECT_IDSTR_SLIDE4_T_B_B_R | 4way Top Btm Btm Right
DLG_EFFECT_IDSTR_SLIDE4_T_B_B_T | 4way Top Btm Btm Top
DLG_EFFECT_IDSTR_SLIDE4_T_B_B_B | 4way Top Btm Btm Btm
DLG_EFFECT_IDSTR_SLIDE4_B_L_L_L | 4way Btm Left Left Left
DLG_EFFECT_IDSTR_SLIDE4_B_L_L_R | 4way Btm Left Left Right
DLG_EFFECT_IDSTR_SLIDE4_B_L_L_T | 4way Btm Left Left Top
DLG_EFFECT_IDSTR_SLIDE4_B_L_L_B | 4way Btm Left Left Btm
DLG_EFFECT_IDSTR_SLIDE4_B_L_R_L | 4way Btm Left Right Left
DLG_EFFECT_IDSTR_SLIDE4_B_L_R_R | 4way Btm Left Right Right
DLG_EFFECT_IDSTR_SLIDE4_B_L_R_T | 4way Btm Left Right Top
DLG_EFFECT_IDSTR_SLIDE4_B_L_R_B | 4way Btm Left Right Btm
DLG_EFFECT_IDSTR_SLIDE4_B_L_T_L | 4way Btm Left Top Left
DLG_EFFECT_IDSTR_SLIDE4_B_L_T_R | 4way Btm Left Top Right
DLG_EFFECT_IDSTR_SLIDE4_B_L_T_T | 4way Btm Left Top Top
DLG_EFFECT_IDSTR_SLIDE4_B_L_T_B | 4way Btm Left Top Btm
DLG_EFFECT_IDSTR_SLIDE4_B_L_B_L | 4way Btm Left Btm Left
DLG_EFFECT_IDSTR_SLIDE4_B_L_B_R | 4way Btm Left Btm Right
DLG_EFFECT_IDSTR_SLIDE4_B_L_B_T | 4way Btm Left Btm Top
DLG_EFFECT_IDSTR_SLIDE4_B_L_B_B | 4way Btm Left Btm Btm
DLG_EFFECT_IDSTR_SLIDE4_B_R_L_L | 4way Btm Right Left Left
DLG_EFFECT_IDSTR_SLIDE4_B_R_L_R | 4way Btm Right Left Right
DLG_EFFECT_IDSTR_SLIDE4_B_R_L_T | 4way Btm Right Left Top
DLG_EFFECT_IDSTR_SLIDE4_B_R_L_B | 4way Btm Right Left Btm
DLG_EFFECT_IDSTR_SLIDE4_B_R_R_L | 4way Btm Right Right Left
DLG_EFFECT_IDSTR_SLIDE4_B_R_R_R | 4way Btm Right Right Right
DLG_EFFECT_IDSTR_SLIDE4_B_R_R_T | 4way Btm Right Right Top
DLG_EFFECT_IDSTR_SLIDE4_B_R_R_B | 4way Btm Right Right Btm
DLG_EFFECT_IDSTR_SLIDE4_B_R_T_L | 4way Btm Right Top Left
DLG_EFFECT_IDSTR_SLIDE4_B_R_T_R | 4way Btm Right Top Right
DLG_EFFECT_IDSTR_SLIDE4_B_R_T_T | 4way Btm Right Top Top
DLG_EFFECT_IDSTR_SLIDE4_B_R_T_B | 4way Btm Right Top Btm
DLG_EFFECT_IDSTR_SLIDE4_B_R_B_L | 4way Btm Right Btm Left
DLG_EFFECT_IDSTR_SLIDE4_B_R_B_R | 4way Btm Right Btm Right
DLG_EFFECT_IDSTR_SLIDE4_B_R_B_T | 4way Btm Right Btm Top
DLG_EFFECT_IDSTR_SLIDE4_B_R_B_B | 4way Btm Right Btm Btm
DLG_EFFECT_IDSTR_SLIDE4_B_T_L_L | 4way Btm Top Left Left
DLG_EFFECT_IDSTR_SLIDE4_B_T_L_R | 4way Btm Top Left Right
DLG_EFFECT_IDSTR_SLIDE4_B_T_L_T | 4way Btm Top Left Top
DLG_EFFECT_IDSTR_SLIDE4_B_T_L_B | 4way Btm Top Left Btm
DLG_EFFECT_IDSTR_SLIDE4_B_T_R_L | 4way Btm Top Right Left
DLG_EFFECT_IDSTR_SLIDE4_B_T_R_R | 4way Btm Top Right Right
DLG_EFFECT_IDSTR_SLIDE4_B_T_R_T | 4way Btm Top Right Top
DLG_EFFECT_IDSTR_SLIDE4_B_T_R_B | 4way Btm Top Right Btm
DLG_EFFECT_IDSTR_SLIDE4_B_T_T_L | 4way Btm Top Top Left
DLG_EFFECT_IDSTR_SLIDE4_B_T_T_R | 4way Btm Top Top Right
DLG_EFFECT_IDSTR_SLIDE4_B_T_T_T | 4way Btm Top Top Top
DLG_EFFECT_IDSTR_SLIDE4_B_T_T_B | 4way Btm Top Top Btm
DLG_EFFECT_IDSTR_SLIDE4_B_T_B_L | 4way Btm Top Btm Left
DLG_EFFECT_IDSTR_SLIDE4_B_T_B_R | 4way Btm Top Btm Right
DLG_EFFECT_IDSTR_SLIDE4_B_T_B_T | 4way Btm Top Btm Top
DLG_EFFECT_IDSTR_SLIDE4_B_T_B_B | 4way Btm Top Btm Btm
DLG_EFFECT_IDSTR_SLIDE4_B_B_L_L | 4way Btm Btm Left Left
DLG_EFFECT_IDSTR_SLIDE4_B_B_L_R | 4way Btm Btm Left Right
DLG_EFFECT_IDSTR_SLIDE4_B_B_L_T | 4way Btm Btm Left Top
DLG_EFFECT_IDSTR_SLIDE4_B_B_L_B | 4way Btm Btm Left Btm
DLG_EFFECT_IDSTR_SLIDE4_B_B_R_L | 4way Btm Btm Right Left
DLG_EFFECT_IDSTR_SLIDE4_B_B_R_R | 4way Btm Btm Right Right
DLG_EFFECT_IDSTR_SLIDE4_B_B_R_T | 4way Btm Btm Right Top
DLG_EFFECT_IDSTR_SLIDE4_B_B_R_B | 4way Btm Btm Right Btm
DLG_EFFECT_IDSTR_SLIDE4_B_B_T_L | 4way Btm Btm Top Left
DLG_EFFECT_IDSTR_SLIDE4_B_B_T_R | 4way Btm Btm Top Right
DLG_EFFECT_IDSTR_SLIDE4_B_B_T_T | 4way Btm Btm Top Top
DLG_EFFECT_IDSTR_SLIDE4_B_B_T_B | 4way Btm Btm Top Btm
DLG_EFFECT_IDSTR_SLIDE4_B_B_B_L | 4way Btm Btm Btm Left
DLG_EFFECT_IDSTR_SLIDE4_B_B_B_R | 4way Btm Btm Btm Right
DLG_EFFECT_IDSTR_SLIDE4_B_B_B_T | 4way Btm Btm Btm Top
DLG_EFFECT_IDSTR_SLIDE4_B_B_B_B | 4way Btm Btm Btm Btm
DLG_EFFECT_IDSTR_SLIDE4_LT_LT_LT_LT | 4way L-Top L-Top L-Top L-Top
DLG_EFFECT_IDSTR_SLIDE4_LT_LT_LT_LB | 4way L-Top L-Top L-Top L-Btm
DLG_EFFECT_IDSTR_SLIDE4_LT_LT_LT_RT | 4way L-Top L-Top L-Top R-Top
DLG_EFFECT_IDSTR_SLIDE4_LT_LT_LT_RB | 4way L-Top L-Top L-Top R-Btm
DLG_EFFECT_IDSTR_SLIDE4_LT_LT_LB_LT | 4way L-Top L-Top L-Btm L-Top
DLG_EFFECT_IDSTR_SLIDE4_LT_LT_LB_LB | 4way L-Top L-Top L-Btm L-Btm
DLG_EFFECT_IDSTR_SLIDE4_LT_LT_LB_RT | 4way L-Top L-Top L-Btm R-Top
DLG_EFFECT_IDSTR_SLIDE4_LT_LT_LB_RB | 4way L-Top L-Top L-Btm R-Btm
DLG_EFFECT_IDSTR_SLIDE4_LT_LT_RT_LT | 4way L-Top L-Top R-Top L-Top
DLG_EFFECT_IDSTR_SLIDE4_LT_LT_RT_LB | 4way L-Top L-Top R-Top L-Btm
DLG_EFFECT_IDSTR_SLIDE4_LT_LT_RT_RT | 4way L-Top L-Top R-Top R-Top
DLG_EFFECT_IDSTR_SLIDE4_LT_LT_RT_RB | 4way L-Top L-Top R-Top R-Btm
DLG_EFFECT_IDSTR_SLIDE4_LT_LT_RB_LT | 4way L-Top L-Top R-Btm L-Top
DLG_EFFECT_IDSTR_SLIDE4_LT_LT_RB_LB | 4way L-Top L-Top R-Btm L-Btm
DLG_EFFECT_IDSTR_SLIDE4_LT_LT_RB_RT | 4way L-Top L-Top R-Btm R-Top
DLG_EFFECT_IDSTR_SLIDE4_LT_LT_RB_RB | 4way L-Top L-Top R-Btm R-Btm
DLG_EFFECT_IDSTR_SLIDE4_LT_LB_LT_LT | 4way L-Top L-Btm L-Top L-Top
DLG_EFFECT_IDSTR_SLIDE4_LT_LB_LT_LB | 4way L-Top L-Btm L-Top L-Btm
DLG_EFFECT_IDSTR_SLIDE4_LT_LB_LT_RT | 4way L-Top L-Btm L-Top R-Top
DLG_EFFECT_IDSTR_SLIDE4_LT_LB_LT_RB | 4way L-Top L-Btm L-Top R-Btm
DLG_EFFECT_IDSTR_SLIDE4_LT_LB_LB_LT | 4way L-Top L-Btm L-Btm L-Top
DLG_EFFECT_IDSTR_SLIDE4_LT_LB_LB_LB | 4way L-Top L-Btm L-Btm L-Btm
DLG_EFFECT_IDSTR_SLIDE4_LT_LB_LB_RT | 4way L-Top L-Btm L-Btm R-Top
DLG_EFFECT_IDSTR_SLIDE4_LT_LB_LB_RB | 4way L-Top L-Btm L-Btm R-Btm
DLG_EFFECT_IDSTR_SLIDE4_LT_LB_RT_LT | 4way L-Top L-Btm R-Top L-Top
DLG_EFFECT_IDSTR_SLIDE4_LT_LB_RT_LB | 4way L-Top L-Btm R-Top L-Btm
DLG_EFFECT_IDSTR_SLIDE4_LT_LB_RT_RT | 4way L-Top L-Btm R-Top R-Top
DLG_EFFECT_IDSTR_SLIDE4_LT_LB_RT_RB | 4way L-Top L-Btm R-Top R-Btm
DLG_EFFECT_IDSTR_SLIDE4_LT_LB_RB_LT | 4way L-Top L-Btm R-Btm L-Top
DLG_EFFECT_IDSTR_SLIDE4_LT_LB_RB_LB | 4way L-Top L-Btm R-Btm L-Btm
DLG_EFFECT_IDSTR_SLIDE4_LT_LB_RB_RT | 4way L-Top L-Btm R-Btm R-Top
DLG_EFFECT_IDSTR_SLIDE4_LT_LB_RB_RB | 4way L-Top L-Btm R-Btm R-Btm
DLG_EFFECT_IDSTR_SLIDE4_LT_RT_LT_LT | 4way L-Top R-Top L-Top L-Top
DLG_EFFECT_IDSTR_SLIDE4_LT_RT_LT_LB | 4way L-Top R-Top L-Top L-Btm
DLG_EFFECT_IDSTR_SLIDE4_LT_RT_LT_RT | 4way L-Top R-Top L-Top R-Top
DLG_EFFECT_IDSTR_SLIDE4_LT_RT_LT_RB | 4way L-Top R-Top L-Top R-Btm
DLG_EFFECT_IDSTR_SLIDE4_LT_RT_LB_LT | 4way L-Top R-Top L-Btm L-Top
DLG_EFFECT_IDSTR_SLIDE4_LT_RT_LB_LB | 4way L-Top R-Top L-Btm L-Btm
DLG_EFFECT_IDSTR_SLIDE4_LT_RT_LB_RT | 4way L-Top R-Top L-Btm R-Top
DLG_EFFECT_IDSTR_SLIDE4_LT_RT_LB_RB | 4way L-Top R-Top L-Btm R-Btm
DLG_EFFECT_IDSTR_SLIDE4_LT_RT_RT_LT | 4way L-Top R-Top R-Top L-Top
DLG_EFFECT_IDSTR_SLIDE4_LT_RT_RT_LB | 4way L-Top R-Top R-Top L-Btm
DLG_EFFECT_IDSTR_SLIDE4_LT_RT_RT_RT | 4way L-Top R-Top R-Top R-Top
DLG_EFFECT_IDSTR_SLIDE4_LT_RT_RT_RB | 4way L-Top R-Top R-Top R-Btm
DLG_EFFECT_IDSTR_SLIDE4_LT_RT_RB_LT | 4way L-Top R-Top R-Btm L-Top
DLG_EFFECT_IDSTR_SLIDE4_LT_RT_RB_LB | 4way L-Top R-Top R-Btm L-Btm
DLG_EFFECT_IDSTR_SLIDE4_LT_RT_RB_RT | 4way L-Top R-Top R-Btm R-Top
DLG_EFFECT_IDSTR_SLIDE4_LT_RT_RB_RB | 4way L-Top R-Top R-Btm R-Btm
DLG_EFFECT_IDSTR_SLIDE4_LT_RB_LT_LT | 4way L-Top R-Btm L-Top L-Top
DLG_EFFECT_IDSTR_SLIDE4_LT_RB_LT_LB | 4way L-Top R-Btm L-Top L-Btm
DLG_EFFECT_IDSTR_SLIDE4_LT_RB_LT_RT | 4way L-Top R-Btm L-Top R-Top
DLG_EFFECT_IDSTR_SLIDE4_LT_RB_LT_RB | 4way L-Top R-Btm L-Top R-Btm
DLG_EFFECT_IDSTR_SLIDE4_LT_RB_LB_LT | 4way L-Top R-Btm L-Btm L-Top
DLG_EFFECT_IDSTR_SLIDE4_LT_RB_LB_LB | 4way L-Top R-Btm L-Btm L-Btm
DLG_EFFECT_IDSTR_SLIDE4_LT_RB_LB_RT | 4way L-Top R-Btm L-Btm R-Top
DLG_EFFECT_IDSTR_SLIDE4_LT_RB_LB_RB | 4way L-Top R-Btm L-Btm R-Btm
DLG_EFFECT_IDSTR_SLIDE4_LT_RB_RT_LT | 4way L-Top R-Btm R-Top L-Top
DLG_EFFECT_IDSTR_SLIDE4_LT_RB_RT_LB | 4way L-Top R-Btm R-Top L-Btm
DLG_EFFECT_IDSTR_SLIDE4_LT_RB_RT_RT | 4way L-Top R-Btm R-Top R-Top
DLG_EFFECT_IDSTR_SLIDE4_LT_RB_RT_RB | 4way L-Top R-Btm R-Top R-Btm
DLG_EFFECT_IDSTR_SLIDE4_LT_RB_RB_LT | 4way L-Top R-Btm R-Btm L-Top
DLG_EFFECT_IDSTR_SLIDE4_LT_RB_RB_LB | 4way L-Top R-Btm R-Btm L-Btm
DLG_EFFECT_IDSTR_SLIDE4_LT_RB_RB_RT | 4way L-Top R-Btm R-Btm R-Top
DLG_EFFECT_IDSTR_SLIDE4_LT_RB_RB_RB | 4way L-Top R-Btm R-Btm R-Btm
DLG_EFFECT_IDSTR_SLIDE4_LB_LT_LT_LT | 4way L-Btm L-Top L-Top L-Top
DLG_EFFECT_IDSTR_SLIDE4_LB_LT_LT_LB | 4way L-Btm L-Top L-Top L-Btm
DLG_EFFECT_IDSTR_SLIDE4_LB_LT_LT_RT | 4way L-Btm L-Top L-Top R-Top
DLG_EFFECT_IDSTR_SLIDE4_LB_LT_LT_RB | 4way L-Btm L-Top L-Top R-Btm
DLG_EFFECT_IDSTR_SLIDE4_LB_LT_LB_LT | 4way L-Btm L-Top L-Btm L-Top
DLG_EFFECT_IDSTR_SLIDE4_LB_LT_LB_LB | 4way L-Btm L-Top L-Btm L-Btm
DLG_EFFECT_IDSTR_SLIDE4_LB_LT_LB_RT | 4way L-Btm L-Top L-Btm R-Top
DLG_EFFECT_IDSTR_SLIDE4_LB_LT_LB_RB | 4way L-Btm L-Top L-Btm R-Btm
DLG_EFFECT_IDSTR_SLIDE4_LB_LT_RT_LT | 4way L-Btm L-Top R-Top L-Top
DLG_EFFECT_IDSTR_SLIDE4_LB_LT_RT_LB | 4way L-Btm L-Top R-Top L-Btm
DLG_EFFECT_IDSTR_SLIDE4_LB_LT_RT_RT | 4way L-Btm L-Top R-Top R-Top
DLG_EFFECT_IDSTR_SLIDE4_LB_LT_RT_RB | 4way L-Btm L-Top R-Top R-Btm
DLG_EFFECT_IDSTR_SLIDE4_LB_LT_RB_LT | 4way L-Btm L-Top R-Btm L-Top
DLG_EFFECT_IDSTR_SLIDE4_LB_LT_RB_LB | 4way L-Btm L-Top R-Btm L-Btm
DLG_EFFECT_IDSTR_SLIDE4_LB_LT_RB_RT | 4way L-Btm L-Top R-Btm R-Top
DLG_EFFECT_IDSTR_SLIDE4_LB_LT_RB_RB | 4way L-Btm L-Top R-Btm R-Btm
DLG_EFFECT_IDSTR_SLIDE4_LB_LB_LT_LT | 4way L-Btm L-Btm L-Top L-Top
DLG_EFFECT_IDSTR_SLIDE4_LB_LB_LT_LB | 4way L-Btm L-Btm L-Top L-Btm
DLG_EFFECT_IDSTR_SLIDE4_LB_LB_LT_RT | 4way L-Btm L-Btm L-Top R-Top
DLG_EFFECT_IDSTR_SLIDE4_LB_LB_LT_RB | 4way L-Btm L-Btm L-Top R-Btm
DLG_EFFECT_IDSTR_SLIDE4_LB_LB_LB_LT | 4way L-Btm L-Btm L-Btm L-Top
DLG_EFFECT_IDSTR_SLIDE4_LB_LB_LB_LB | 4way L-Btm L-Btm L-Btm L-Btm
DLG_EFFECT_IDSTR_SLIDE4_LB_LB_LB_RT | 4way L-Btm L-Btm L-Btm R-Top
DLG_EFFECT_IDSTR_SLIDE4_LB_LB_LB_RB | 4way L-Btm L-Btm L-Btm R-Btm
DLG_EFFECT_IDSTR_SLIDE4_LB_LB_RT_LT | 4way L-Btm L-Btm R-Top L-Top
DLG_EFFECT_IDSTR_SLIDE4_LB_LB_RT_LB | 4way L-Btm L-Btm R-Top L-Btm
DLG_EFFECT_IDSTR_SLIDE4_LB_LB_RT_RT | 4way L-Btm L-Btm R-Top R-Top
DLG_EFFECT_IDSTR_SLIDE4_LB_LB_RT_RB | 4way L-Btm L-Btm R-Top R-Btm
DLG_EFFECT_IDSTR_SLIDE4_LB_LB_RB_LT | 4way L-Btm L-Btm R-Btm L-Top
DLG_EFFECT_IDSTR_SLIDE4_LB_LB_RB_LB | 4way L-Btm L-Btm R-Btm L-Btm
DLG_EFFECT_IDSTR_SLIDE4_LB_LB_RB_RT | 4way L-Btm L-Btm R-Btm R-Top
DLG_EFFECT_IDSTR_SLIDE4_LB_LB_RB_RB | 4way L-Btm L-Btm R-Btm R-Btm
DLG_EFFECT_IDSTR_SLIDE4_LB_RT_LT_LT | 4way L-Btm R-Top L-Top L-Top
DLG_EFFECT_IDSTR_SLIDE4_LB_RT_LT_LB | 4way L-Btm R-Top L-Top L-Btm
DLG_EFFECT_IDSTR_SLIDE4_LB_RT_LT_RT | 4way L-Btm R-Top L-Top R-Top
DLG_EFFECT_IDSTR_SLIDE4_LB_RT_LT_RB | 4way L-Btm R-Top L-Top R-Btm
DLG_EFFECT_IDSTR_SLIDE4_LB_RT_LB_LT | 4way L-Btm R-Top L-Btm L-Top
DLG_EFFECT_IDSTR_SLIDE4_LB_RT_LB_LB | 4way L-Btm R-Top L-Btm L-Btm
DLG_EFFECT_IDSTR_SLIDE4_LB_RT_LB_RT | 4way L-Btm R-Top L-Btm R-Top
DLG_EFFECT_IDSTR_SLIDE4_LB_RT_LB_RB | 4way L-Btm R-Top L-Btm R-Btm
DLG_EFFECT_IDSTR_SLIDE4_LB_RT_RT_LT | 4way L-Btm R-Top R-Top L-Top
DLG_EFFECT_IDSTR_SLIDE4_LB_RT_RT_LB | 4way L-Btm R-Top R-Top L-Btm
DLG_EFFECT_IDSTR_SLIDE4_LB_RT_RT_RT | 4way L-Btm R-Top R-Top R-Top
DLG_EFFECT_IDSTR_SLIDE4_LB_RT_RT_RB | 4way L-Btm R-Top R-Top R-Btm
DLG_EFFECT_IDSTR_SLIDE4_LB_RT_RB_LT | 4way L-Btm R-Top R-Btm L-Top
DLG_EFFECT_IDSTR_SLIDE4_LB_RT_RB_LB | 4way L-Btm R-Top R-Btm L-Btm
DLG_EFFECT_IDSTR_SLIDE4_LB_RT_RB_RT | 4way L-Btm R-Top R-Btm R-Top
DLG_EFFECT_IDSTR_SLIDE4_LB_RT_RB_RB | 4way L-Btm R-Top R-Btm R-Btm
DLG_EFFECT_IDSTR_SLIDE4_LB_RB_LT_LT | 4way L-Btm R-Btm L-Top L-Top
DLG_EFFECT_IDSTR_SLIDE4_LB_RB_LT_LB | 4way L-Btm R-Btm L-Top L-Btm
DLG_EFFECT_IDSTR_SLIDE4_LB_RB_LT_RT | 4way L-Btm R-Btm L-Top R-Top
DLG_EFFECT_IDSTR_SLIDE4_LB_RB_LT_RB | 4way L-Btm R-Btm L-Top R-Btm
DLG_EFFECT_IDSTR_SLIDE4_LB_RB_LB_LT | 4way L-Btm R-Btm L-Btm L-Top
DLG_EFFECT_IDSTR_SLIDE4_LB_RB_LB_LB | 4way L-Btm R-Btm L-Btm L-Btm
DLG_EFFECT_IDSTR_SLIDE4_LB_RB_LB_RT | 4way L-Btm R-Btm L-Btm R-Top
DLG_EFFECT_IDSTR_SLIDE4_LB_RB_LB_RB | 4way L-Btm R-Btm L-Btm R-Btm
DLG_EFFECT_IDSTR_SLIDE4_LB_RB_RT_LT | 4way L-Btm R-Btm R-Top L-Top
DLG_EFFECT_IDSTR_SLIDE4_LB_RB_RT_LB | 4way L-Btm R-Btm R-Top L-Btm
DLG_EFFECT_IDSTR_SLIDE4_LB_RB_RT_RT | 4way L-Btm R-Btm R-Top R-Top
DLG_EFFECT_IDSTR_SLIDE4_LB_RB_RT_RB | 4way L-Btm R-Btm R-Top R-Btm
DLG_EFFECT_IDSTR_SLIDE4_LB_RB_RB_LT | 4way L-Btm R-Btm R-Btm L-Top
DLG_EFFECT_IDSTR_SLIDE4_LB_RB_RB_LB | 4way L-Btm R-Btm R-Btm L-Btm
DLG_EFFECT_IDSTR_SLIDE4_LB_RB_RB_RT | 4way L-Btm R-Btm R-Btm R-Top
DLG_EFFECT_IDSTR_SLIDE4_LB_RB_RB_RB | 4way L-Btm R-Btm R-Btm R-Btm
DLG_EFFECT_IDSTR_SLIDE4_RT_LT_LT_LT | 4way R-Top L-Top L-Top L-Top
DLG_EFFECT_IDSTR_SLIDE4_RT_LT_LT_LB | 4way R-Top L-Top L-Top L-Btm
DLG_EFFECT_IDSTR_SLIDE4_RT_LT_LT_RT | 4way R-Top L-Top L-Top R-Top
DLG_EFFECT_IDSTR_SLIDE4_RT_LT_LT_RB | 4way R-Top L-Top L-Top R-Btm
DLG_EFFECT_IDSTR_SLIDE4_RT_LT_LB_LT | 4way R-Top L-Top L-Btm L-Top
DLG_EFFECT_IDSTR_SLIDE4_RT_LT_LB_LB | 4way R-Top L-Top L-Btm L-Btm
DLG_EFFECT_IDSTR_SLIDE4_RT_LT_LB_RT | 4way R-Top L-Top L-Btm R-Top
DLG_EFFECT_IDSTR_SLIDE4_RT_LT_LB_RB | 4way R-Top L-Top L-Btm R-Btm
DLG_EFFECT_IDSTR_SLIDE4_RT_LT_RT_LT | 4way R-Top L-Top R-Top L-Top
DLG_EFFECT_IDSTR_SLIDE4_RT_LT_RT_LB | 4way R-Top L-Top R-Top L-Btm
DLG_EFFECT_IDSTR_SLIDE4_RT_LT_RT_RT | 4way R-Top L-Top R-Top R-Top
DLG_EFFECT_IDSTR_SLIDE4_RT_LT_RT_RB | 4way R-Top L-Top R-Top R-Btm
DLG_EFFECT_IDSTR_SLIDE4_RT_LT_RB_LT | 4way R-Top L-Top R-Btm L-Top
DLG_EFFECT_IDSTR_SLIDE4_RT_LT_RB_LB | 4way R-Top L-Top R-Btm L-Btm
DLG_EFFECT_IDSTR_SLIDE4_RT_LT_RB_RT | 4way R-Top L-Top R-Btm R-Top
DLG_EFFECT_IDSTR_SLIDE4_RT_LT_RB_RB | 4way R-Top L-Top R-Btm R-Btm
DLG_EFFECT_IDSTR_SLIDE4_RT_LB_LT_LT | 4way R-Top L-Btm L-Top L-Top
DLG_EFFECT_IDSTR_SLIDE4_RT_LB_LT_LB | 4way R-Top L-Btm L-Top L-Btm
DLG_EFFECT_IDSTR_SLIDE4_RT_LB_LT_RT | 4way R-Top L-Btm L-Top R-Top
DLG_EFFECT_IDSTR_SLIDE4_RT_LB_LT_RB | 4way R-Top L-Btm L-Top R-Btm
DLG_EFFECT_IDSTR_SLIDE4_RT_LB_LB_LT | 4way R-Top L-Btm L-Btm L-Top
DLG_EFFECT_IDSTR_SLIDE4_RT_LB_LB_LB | 4way R-Top L-Btm L-Btm L-Btm
DLG_EFFECT_IDSTR_SLIDE4_RT_LB_LB_RT | 4way R-Top L-Btm L-Btm R-Top
DLG_EFFECT_IDSTR_SLIDE4_RT_LB_LB_RB | 4way R-Top L-Btm L-Btm R-Btm
DLG_EFFECT_IDSTR_SLIDE4_RT_LB_RT_LT | 4way R-Top L-Btm R-Top L-Top
DLG_EFFECT_IDSTR_SLIDE4_RT_LB_RT_LB | 4way R-Top L-Btm R-Top L-Btm
DLG_EFFECT_IDSTR_SLIDE4_RT_LB_RT_RT | 4way R-Top L-Btm R-Top R-Top
DLG_EFFECT_IDSTR_SLIDE4_RT_LB_RT_RB | 4way R-Top L-Btm R-Top R-Btm
DLG_EFFECT_IDSTR_SLIDE4_RT_LB_RB_LT | 4way R-Top L-Btm R-Btm L-Top
DLG_EFFECT_IDSTR_SLIDE4_RT_LB_RB_LB | 4way R-Top L-Btm R-Btm L-Btm
DLG_EFFECT_IDSTR_SLIDE4_RT_LB_RB_RT | 4way R-Top L-Btm R-Btm R-Top
DLG_EFFECT_IDSTR_SLIDE4_RT_LB_RB_RB | 4way R-Top L-Btm R-Btm R-Btm
DLG_EFFECT_IDSTR_SLIDE4_RT_RT_LT_LT | 4way R-Top R-Top L-Top L-Top
DLG_EFFECT_IDSTR_SLIDE4_RT_RT_LT_LB | 4way R-Top R-Top L-Top L-Btm
DLG_EFFECT_IDSTR_SLIDE4_RT_RT_LT_RT | 4way R-Top R-Top L-Top R-Top
DLG_EFFECT_IDSTR_SLIDE4_RT_RT_LT_RB | 4way R-Top R-Top L-Top R-Btm
DLG_EFFECT_IDSTR_SLIDE4_RT_RT_LB_LT | 4way R-Top R-Top L-Btm L-Top
DLG_EFFECT_IDSTR_SLIDE4_RT_RT_LB_LB | 4way R-Top R-Top L-Btm L-Btm
DLG_EFFECT_IDSTR_SLIDE4_RT_RT_LB_RT | 4way R-Top R-Top L-Btm R-Top
DLG_EFFECT_IDSTR_SLIDE4_RT_RT_LB_RB | 4way R-Top R-Top L-Btm R-Btm
DLG_EFFECT_IDSTR_SLIDE4_RT_RT_RT_LT | 4way R-Top R-Top R-Top L-Top
DLG_EFFECT_IDSTR_SLIDE4_RT_RT_RT_LB | 4way R-Top R-Top R-Top L-Btm
DLG_EFFECT_IDSTR_SLIDE4_RT_RT_RT_RT | 4way R-Top R-Top R-Top R-Top
DLG_EFFECT_IDSTR_SLIDE4_RT_RT_RT_RB | 4way R-Top R-Top R-Top R-Btm
DLG_EFFECT_IDSTR_SLIDE4_RT_RT_RB_LT | 4way R-Top R-Top R-Btm L-Top
DLG_EFFECT_IDSTR_SLIDE4_RT_RT_RB_LB | 4way R-Top R-Top R-Btm L-Btm
DLG_EFFECT_IDSTR_SLIDE4_RT_RT_RB_RT | 4way R-Top R-Top R-Btm R-Top
DLG_EFFECT_IDSTR_SLIDE4_RT_RT_RB_RB | 4way R-Top R-Top R-Btm R-Btm
DLG_EFFECT_IDSTR_SLIDE4_RT_RB_LT_LT | 4way R-Top R-Btm L-Top L-Top
DLG_EFFECT_IDSTR_SLIDE4_RT_RB_LT_LB | 4way R-Top R-Btm L-Top L-Btm
DLG_EFFECT_IDSTR_SLIDE4_RT_RB_LT_RT | 4way R-Top R-Btm L-Top R-Top
DLG_EFFECT_IDSTR_SLIDE4_RT_RB_LT_RB | 4way R-Top R-Btm L-Top R-Btm
DLG_EFFECT_IDSTR_SLIDE4_RT_RB_LB_LT | 4way R-Top R-Btm L-Btm L-Top
DLG_EFFECT_IDSTR_SLIDE4_RT_RB_LB_LB | 4way R-Top R-Btm L-Btm L-Btm
DLG_EFFECT_IDSTR_SLIDE4_RT_RB_LB_RT | 4way R-Top R-Btm L-Btm R-Top
DLG_EFFECT_IDSTR_SLIDE4_RT_RB_LB_RB | 4way R-Top R-Btm L-Btm R-Btm
DLG_EFFECT_IDSTR_SLIDE4_RT_RB_RT_LT | 4way R-Top R-Btm R-Top L-Top
DLG_EFFECT_IDSTR_SLIDE4_RT_RB_RT_LB | 4way R-Top R-Btm R-Top L-Btm
DLG_EFFECT_IDSTR_SLIDE4_RT_RB_RT_RT | 4way R-Top R-Btm R-Top R-Top
DLG_EFFECT_IDSTR_SLIDE4_RT_RB_RT_RB | 4way R-Top R-Btm R-Top R-Btm
DLG_EFFECT_IDSTR_SLIDE4_RT_RB_RB_LT | 4way R-Top R-Btm R-Btm L-Top
DLG_EFFECT_IDSTR_SLIDE4_RT_RB_RB_LB | 4way R-Top R-Btm R-Btm L-Btm
DLG_EFFECT_IDSTR_SLIDE4_RT_RB_RB_RT | 4way R-Top R-Btm R-Btm R-Top
DLG_EFFECT_IDSTR_SLIDE4_RT_RB_RB_RB | 4way R-Top R-Btm R-Btm R-Btm
DLG_EFFECT_IDSTR_SLIDE4_RB_LT_LT_LT | 4way R-Btm L-Top L-Top L-Top
DLG_EFFECT_IDSTR_SLIDE4_RB_LT_LT_LB | 4way R-Btm L-Top L-Top L-Btm
DLG_EFFECT_IDSTR_SLIDE4_RB_LT_LT_RT | 4way R-Btm L-Top L-Top R-Top
DLG_EFFECT_IDSTR_SLIDE4_RB_LT_LT_RB | 4way R-Btm L-Top L-Top R-Btm
DLG_EFFECT_IDSTR_SLIDE4_RB_LT_LB_LT | 4way R-Btm L-Top L-Btm L-Top
DLG_EFFECT_IDSTR_SLIDE4_RB_LT_LB_LB | 4way R-Btm L-Top L-Btm L-Btm
DLG_EFFECT_IDSTR_SLIDE4_RB_LT_LB_RT | 4way R-Btm L-Top L-Btm R-Top
DLG_EFFECT_IDSTR_SLIDE4_RB_LT_LB_RB | 4way R-Btm L-Top L-Btm R-Btm
DLG_EFFECT_IDSTR_SLIDE4_RB_LT_RT_LT | 4way R-Btm L-Top R-Top L-Top
DLG_EFFECT_IDSTR_SLIDE4_RB_LT_RT_LB | 4way R-Btm L-Top R-Top L-Btm
DLG_EFFECT_IDSTR_SLIDE4_RB_LT_RT_RT | 4way R-Btm L-Top R-Top R-Top
DLG_EFFECT_IDSTR_SLIDE4_RB_LT_RT_RB | 4way R-Btm L-Top R-Top R-Btm
DLG_EFFECT_IDSTR_SLIDE4_RB_LT_RB_LT | 4way R-Btm L-Top R-Btm L-Top
DLG_EFFECT_IDSTR_SLIDE4_RB_LT_RB_LB | 4way R-Btm L-Top R-Btm L-Btm
DLG_EFFECT_IDSTR_SLIDE4_RB_LT_RB_RT | 4way R-Btm L-Top R-Btm R-Top
DLG_EFFECT_IDSTR_SLIDE4_RB_LT_RB_RB | 4way R-Btm L-Top R-Btm R-Btm
DLG_EFFECT_IDSTR_SLIDE4_RB_LB_LT_LT | 4way R-Btm L-Btm L-Top L-Top
DLG_EFFECT_IDSTR_SLIDE4_RB_LB_LT_LB | 4way R-Btm L-Btm L-Top L-Btm
DLG_EFFECT_IDSTR_SLIDE4_RB_LB_LT_RT | 4way R-Btm L-Btm L-Top R-Top
DLG_EFFECT_IDSTR_SLIDE4_RB_LB_LT_RB | 4way R-Btm L-Btm L-Top R-Btm
DLG_EFFECT_IDSTR_SLIDE4_RB_LB_LB_LT | 4way R-Btm L-Btm L-Btm L-Top
DLG_EFFECT_IDSTR_SLIDE4_RB_LB_LB_LB | 4way R-Btm L-Btm L-Btm L-Btm
DLG_EFFECT_IDSTR_SLIDE4_RB_LB_LB_RT | 4way R-Btm L-Btm L-Btm R-Top
DLG_EFFECT_IDSTR_SLIDE4_RB_LB_LB_RB | 4way R-Btm L-Btm L-Btm R-Btm
DLG_EFFECT_IDSTR_SLIDE4_RB_LB_RT_LT | 4way R-Btm L-Btm R-Top L-Top
DLG_EFFECT_IDSTR_SLIDE4_RB_LB_RT_LB | 4way R-Btm L-Btm R-Top L-Btm
DLG_EFFECT_IDSTR_SLIDE4_RB_LB_RT_RT | 4way R-Btm L-Btm R-Top R-Top
DLG_EFFECT_IDSTR_SLIDE4_RB_LB_RT_RB | 4way R-Btm L-Btm R-Top R-Btm
DLG_EFFECT_IDSTR_SLIDE4_RB_LB_RB_LT | 4way R-Btm L-Btm R-Btm L-Top
DLG_EFFECT_IDSTR_SLIDE4_RB_LB_RB_LB | 4way R-Btm L-Btm R-Btm L-Btm
DLG_EFFECT_IDSTR_SLIDE4_RB_LB_RB_RT | 4way R-Btm L-Btm R-Btm R-Top
DLG_EFFECT_IDSTR_SLIDE4_RB_LB_RB_RB | 4way R-Btm L-Btm R-Btm R-Btm
DLG_EFFECT_IDSTR_SLIDE4_RB_RT_LT_LT | 4way R-Btm R-Top L-Top L-Top
DLG_EFFECT_IDSTR_SLIDE4_RB_RT_LT_LB | 4way R-Btm R-Top L-Top L-Btm
DLG_EFFECT_IDSTR_SLIDE4_RB_RT_LT_RT | 4way R-Btm R-Top L-Top R-Top
DLG_EFFECT_IDSTR_SLIDE4_RB_RT_LT_RB | 4way R-Btm R-Top L-Top R-Btm
DLG_EFFECT_IDSTR_SLIDE4_RB_RT_LB_LT | 4way R-Btm R-Top L-Btm L-Top
DLG_EFFECT_IDSTR_SLIDE4_RB_RT_LB_LB | 4way R-Btm R-Top L-Btm L-Btm
DLG_EFFECT_IDSTR_SLIDE4_RB_RT_LB_RT | 4way R-Btm R-Top L-Btm R-Top
DLG_EFFECT_IDSTR_SLIDE4_RB_RT_LB_RB | 4way R-Btm R-Top L-Btm R-Btm
DLG_EFFECT_IDSTR_SLIDE4_RB_RT_RT_LT | 4way R-Btm R-Top R-Top L-Top
DLG_EFFECT_IDSTR_SLIDE4_RB_RT_RT_LB | 4way R-Btm R-Top R-Top L-Btm
DLG_EFFECT_IDSTR_SLIDE4_RB_RT_RT_RT | 4way R-Btm R-Top R-Top R-Top
DLG_EFFECT_IDSTR_SLIDE4_RB_RT_RT_RB | 4way R-Btm R-Top R-Top R-Btm
DLG_EFFECT_IDSTR_SLIDE4_RB_RT_RB_LT | 4way R-Btm R-Top R-Btm L-Top
DLG_EFFECT_IDSTR_SLIDE4_RB_RT_RB_LB | 4way R-Btm R-Top R-Btm L-Btm
DLG_EFFECT_IDSTR_SLIDE4_RB_RT_RB_RT | 4way R-Btm R-Top R-Btm R-Top
DLG_EFFECT_IDSTR_SLIDE4_RB_RT_RB_RB | 4way R-Btm R-Top R-Btm R-Btm
DLG_EFFECT_IDSTR_SLIDE4_RB_RB_LT_LT | 4way R-Btm R-Btm L-Top L-Top
DLG_EFFECT_IDSTR_SLIDE4_RB_RB_LT_LB | 4way R-Btm R-Btm L-Top L-Btm
DLG_EFFECT_IDSTR_SLIDE4_RB_RB_LT_RT | 4way R-Btm R-Btm L-Top R-Top
DLG_EFFECT_IDSTR_SLIDE4_RB_RB_LT_RB | 4way R-Btm R-Btm L-Top R-Btm
DLG_EFFECT_IDSTR_SLIDE4_RB_RB_LB_LT | 4way R-Btm R-Btm L-Btm L-Top
DLG_EFFECT_IDSTR_SLIDE4_RB_RB_LB_LB | 4way R-Btm R-Btm L-Btm L-Btm
DLG_EFFECT_IDSTR_SLIDE4_RB_RB_LB_RT | 4way R-Btm R-Btm L-Btm R-Top
DLG_EFFECT_IDSTR_SLIDE4_RB_RB_LB_RB | 4way R-Btm R-Btm L-Btm R-Btm
DLG_EFFECT_IDSTR_SLIDE4_RB_RB_RT_LT | 4way R-Btm R-Btm R-Top L-Top
DLG_EFFECT_IDSTR_SLIDE4_RB_RB_RT_LB | 4way R-Btm R-Btm R-Top L-Btm
DLG_EFFECT_IDSTR_SLIDE4_RB_RB_RT_RT | 4way R-Btm R-Btm R-Top R-Top
DLG_EFFECT_IDSTR_SLIDE4_RB_RB_RT_RB | 4way R-Btm R-Btm R-Top R-Btm
DLG_EFFECT_IDSTR_SLIDE4_RB_RB_RB_LT | 4way R-Btm R-Btm R-Btm L-Top
DLG_EFFECT_IDSTR_SLIDE4_RB_RB_RB_LB | 4way R-Btm R-Btm R-Btm L-Btm
DLG_EFFECT_IDSTR_SLIDE4_RB_RB_RB_RT | 4way R-Btm R-Btm R-Btm R-Top
DLG_EFFECT_IDSTR_SLIDE4_RB_RB_RB_RB | 4way R-Btm R-Btm R-Btm R-Btm
Roll |
DLG_EFFECT_IDSTR_ROLL_L_TO_R | Left to Right
DLG_EFFECT_IDSTR_ROLL_R_TO_L | Right to Left
DLG_EFFECT_IDSTR_ROLL_T_TO_B | Top to Btm
DLG_EFFECT_IDSTR_ROLL_B_TO_T | Btm to Top
DLG_EFFECT_IDSTR_ROLL2_T_R_TO_L_AND_B_L_TO_R | 2way Top Right to Left & Btm Left to Right
DLG_EFFECT_IDSTR_ROLL2_T_L_TO_R_AND_B_R_TO_L | 2way Top Left to Right & Btm Right to Left
DLG_EFFECT_IDSTR_ROLL2_L_B_TO_T_AND_R_T_TO_B | 2way Left Btm to Top & Right Top to Btm
DLG_EFFECT_IDSTR_ROLL2_L_T_TO_B_AND_R_B_TO_T | 2way Left Top to Btm & Right Btm to Top
DLG_EFFECT_IDSTR_ROLL4_L_L_L_L | 4way Left Left Left Left
DLG_EFFECT_IDSTR_ROLL4_L_L_L_R | 4way Left Left Left Right
DLG_EFFECT_IDSTR_ROLL4_L_L_L_T | 4way Left Left Left Top
DLG_EFFECT_IDSTR_ROLL4_L_L_L_B | 4way Left Left Left Btm
DLG_EFFECT_IDSTR_ROLL4_L_L_R_L | 4way Left Left Right Left
DLG_EFFECT_IDSTR_ROLL4_L_L_R_R | 4way Left Left Right Right
DLG_EFFECT_IDSTR_ROLL4_L_L_R_T | 4way Left Left Right Top
DLG_EFFECT_IDSTR_ROLL4_L_L_R_B | 4way Left Left Right Btm
DLG_EFFECT_IDSTR_ROLL4_L_L_T_L | 4way Left Left Top Left
DLG_EFFECT_IDSTR_ROLL4_L_L_T_R | 4way Left Left Top Right
DLG_EFFECT_IDSTR_ROLL4_L_L_T_T | 4way Left Left Top Top
DLG_EFFECT_IDSTR_ROLL4_L_L_T_B | 4way Left Left Top Btm
DLG_EFFECT_IDSTR_ROLL4_L_L_B_L | 4way Left Left Btm Left
DLG_EFFECT_IDSTR_ROLL4_L_L_B_R | 4way Left Left Btm Right
DLG_EFFECT_IDSTR_ROLL4_L_L_B_T | 4way Left Left Btm Top
DLG_EFFECT_IDSTR_ROLL4_L_L_B_B | 4way Left Left Btm Btm
DLG_EFFECT_IDSTR_ROLL4_L_R_L_L | 4way Left Right Left Left
DLG_EFFECT_IDSTR_ROLL4_L_R_L_R | 4way Left Right Left Right
DLG_EFFECT_IDSTR_ROLL4_L_R_L_T | 4way Left Right Left Top
DLG_EFFECT_IDSTR_ROLL4_L_R_L_B | 4way Left Right Left Btm
DLG_EFFECT_IDSTR_ROLL4_L_R_R_L | 4way Left Right Right Left
DLG_EFFECT_IDSTR_ROLL4_L_R_R_R | 4way Left Right Right Right
DLG_EFFECT_IDSTR_ROLL4_L_R_R_T | 4way Left Right Right Top
DLG_EFFECT_IDSTR_ROLL4_L_R_R_B | 4way Left Right Right Btm
DLG_EFFECT_IDSTR_ROLL4_L_R_T_L | 4way Left Right Top Left
DLG_EFFECT_IDSTR_ROLL4_L_R_T_R | 4way Left Right Top Right
DLG_EFFECT_IDSTR_ROLL4_L_R_T_T | 4way Left Right Top Top
DLG_EFFECT_IDSTR_ROLL4_L_R_T_B | 4way Left Right Top Btm
DLG_EFFECT_IDSTR_ROLL4_L_R_B_L | 4way Left Right Btm Left
DLG_EFFECT_IDSTR_ROLL4_L_R_B_R | 4way Left Right Btm Right
DLG_EFFECT_IDSTR_ROLL4_L_R_B_T | 4way Left Right Btm Top
DLG_EFFECT_IDSTR_ROLL4_L_R_B_B | 4way Left Right Btm Btm
DLG_EFFECT_IDSTR_ROLL4_L_T_L_L | 4way Left Top Left Left
DLG_EFFECT_IDSTR_ROLL4_L_T_L_R | 4way Left Top Left Right
DLG_EFFECT_IDSTR_ROLL4_L_T_L_T | 4way Left Top Left Top
DLG_EFFECT_IDSTR_ROLL4_L_T_L_B | 4way Left Top Left Btm
DLG_EFFECT_IDSTR_ROLL4_L_T_R_L | 4way Left Top Right Left
DLG_EFFECT_IDSTR_ROLL4_L_T_R_R | 4way Left Top Right Right
DLG_EFFECT_IDSTR_ROLL4_L_T_R_T | 4way Left Top Right Top
DLG_EFFECT_IDSTR_ROLL4_L_T_R_B | 4way Left Top Right Btm
DLG_EFFECT_IDSTR_ROLL4_L_T_T_L | 4way Left Top Top Left
DLG_EFFECT_IDSTR_ROLL4_L_T_T_R | 4way Left Top Top Right
DLG_EFFECT_IDSTR_ROLL4_L_T_T_T | 4way Left Top Top Top
DLG_EFFECT_IDSTR_ROLL4_L_T_T_B | 4way Left Top Top Btm
DLG_EFFECT_IDSTR_ROLL4_L_T_B_L | 4way Left Top Btm Left
DLG_EFFECT_IDSTR_ROLL4_L_T_B_R | 4way Left Top Btm Right
DLG_EFFECT_IDSTR_ROLL4_L_T_B_T | 4way Left Top Btm Top
DLG_EFFECT_IDSTR_ROLL4_L_T_B_B | 4way Left Top Btm Btm
DLG_EFFECT_IDSTR_ROLL4_L_B_L_L | 4way Left Btm Left Left
DLG_EFFECT_IDSTR_ROLL4_L_B_L_R | 4way Left Btm Left Right
DLG_EFFECT_IDSTR_ROLL4_L_B_L_T | 4way Left Btm Left Top
DLG_EFFECT_IDSTR_ROLL4_L_B_L_B | 4way Left Btm Left Btm
DLG_EFFECT_IDSTR_ROLL4_L_B_R_L | 4way Left Btm Right Left
DLG_EFFECT_IDSTR_ROLL4_L_B_R_R | 4way Left Btm Right Right
DLG_EFFECT_IDSTR_ROLL4_L_B_R_T | 4way Left Btm Right Top
DLG_EFFECT_IDSTR_ROLL4_L_B_R_B | 4way Left Btm Right Btm
DLG_EFFECT_IDSTR_ROLL4_L_B_T_L | 4way Left Btm Top Left
DLG_EFFECT_IDSTR_ROLL4_L_B_T_R | 4way Left Btm Top Right
DLG_EFFECT_IDSTR_ROLL4_L_B_T_T | 4way Left Btm Top Top
DLG_EFFECT_IDSTR_ROLL4_L_B_T_B | 4way Left Btm Top Btm
DLG_EFFECT_IDSTR_ROLL4_L_B_B_L | 4way Left Btm Btm Left
DLG_EFFECT_IDSTR_ROLL4_L_B_B_R | 4way Left Btm Btm Right
DLG_EFFECT_IDSTR_ROLL4_L_B_B_T | 4way Left Btm Btm Top
DLG_EFFECT_IDSTR_ROLL4_L_B_B_B | 4way Left Btm Btm Btm
DLG_EFFECT_IDSTR_ROLL4_R_L_L_L | 4way Right Left Left Left
DLG_EFFECT_IDSTR_ROLL4_R_L_L_R | 4way Right Left Left Right
DLG_EFFECT_IDSTR_ROLL4_R_L_L_T | 4way Right Left Left Top
DLG_EFFECT_IDSTR_ROLL4_R_L_L_B | 4way Right Left Left Btm
DLG_EFFECT_IDSTR_ROLL4_R_L_R_L | 4way Right Left Right Left
DLG_EFFECT_IDSTR_ROLL4_R_L_R_R | 4way Right Left Right Right
DLG_EFFECT_IDSTR_ROLL4_R_L_R_T | 4way Right Left Right Top
DLG_EFFECT_IDSTR_ROLL4_R_L_R_B | 4way Right Left Right Btm
DLG_EFFECT_IDSTR_ROLL4_R_L_T_L | 4way Right Left Top Left
DLG_EFFECT_IDSTR_ROLL4_R_L_T_R | 4way Right Left Top Right
DLG_EFFECT_IDSTR_ROLL4_R_L_T_T | 4way Right Left Top Top
DLG_EFFECT_IDSTR_ROLL4_R_L_T_B | 4way Right Left Top Btm
DLG_EFFECT_IDSTR_ROLL4_R_L_B_L | 4way Right Left Btm Left
DLG_EFFECT_IDSTR_ROLL4_R_L_B_R | 4way Right Left Btm Right
DLG_EFFECT_IDSTR_ROLL4_R_L_B_T | 4way Right Left Btm Top
DLG_EFFECT_IDSTR_ROLL4_R_L_B_B | 4way Right Left Btm Btm
DLG_EFFECT_IDSTR_ROLL4_R_R_L_L | 4way Right Right Left Left
DLG_EFFECT_IDSTR_ROLL4_R_R_L_R | 4way Right Right Left Right
DLG_EFFECT_IDSTR_ROLL4_R_R_L_T | 4way Right Right Left Top
DLG_EFFECT_IDSTR_ROLL4_R_R_L_B | 4way Right Right Left Btm
DLG_EFFECT_IDSTR_ROLL4_R_R_R_L | 4way Right Right Right Left
DLG_EFFECT_IDSTR_ROLL4_R_R_R_R | 4way Right Right Right Right
DLG_EFFECT_IDSTR_ROLL4_R_R_R_T | 4way Right Right Right Top
DLG_EFFECT_IDSTR_ROLL4_R_R_R_B | 4way Right Right Right Btm
DLG_EFFECT_IDSTR_ROLL4_R_R_T_L | 4way Right Right Top Left
DLG_EFFECT_IDSTR_ROLL4_R_R_T_R | 4way Right Right Top Right
DLG_EFFECT_IDSTR_ROLL4_R_R_T_T | 4way Right Right Top Top
DLG_EFFECT_IDSTR_ROLL4_R_R_T_B | 4way Right Right Top Btm
DLG_EFFECT_IDSTR_ROLL4_R_R_B_L | 4way Right Right Btm Left
DLG_EFFECT_IDSTR_ROLL4_R_R_B_R | 4way Right Right Btm Right
DLG_EFFECT_IDSTR_ROLL4_R_R_B_T | 4way Right Right Btm Top
DLG_EFFECT_IDSTR_ROLL4_R_R_B_B | 4way Right Right Btm Btm
DLG_EFFECT_IDSTR_ROLL4_R_T_L_L | 4way Right Top Left Left
DLG_EFFECT_IDSTR_ROLL4_R_T_L_R | 4way Right Top Left Right
DLG_EFFECT_IDSTR_ROLL4_R_T_L_T | 4way Right Top Left Top
DLG_EFFECT_IDSTR_ROLL4_R_T_L_B | 4way Right Top Left Btm
DLG_EFFECT_IDSTR_ROLL4_R_T_R_L | 4way Right Top Right Left
DLG_EFFECT_IDSTR_ROLL4_R_T_R_R | 4way Right Top Right Right
DLG_EFFECT_IDSTR_ROLL4_R_T_R_T | 4way Right Top Right Top
DLG_EFFECT_IDSTR_ROLL4_R_T_R_B | 4way Right Top Right Btm
DLG_EFFECT_IDSTR_ROLL4_R_T_T_L | 4way Right Top Top Left
DLG_EFFECT_IDSTR_ROLL4_R_T_T_R | 4way Right Top Top Right
DLG_EFFECT_IDSTR_ROLL4_R_T_T_T | 4way Right Top Top Top
DLG_EFFECT_IDSTR_ROLL4_R_T_T_B | 4way Right Top Top Btm
DLG_EFFECT_IDSTR_ROLL4_R_T_B_L | 4way Right Top Btm Left
DLG_EFFECT_IDSTR_ROLL4_R_T_B_R | 4way Right Top Btm Right
DLG_EFFECT_IDSTR_ROLL4_R_T_B_T | 4way Right Top Btm Top
DLG_EFFECT_IDSTR_ROLL4_R_T_B_B | 4way Right Top Btm Btm
DLG_EFFECT_IDSTR_ROLL4_R_B_L_L | 4way Right Btm Left Left
DLG_EFFECT_IDSTR_ROLL4_R_B_L_R | 4way Right Btm Left Right
DLG_EFFECT_IDSTR_ROLL4_R_B_L_T | 4way Right Btm Left Top
DLG_EFFECT_IDSTR_ROLL4_R_B_L_B | 4way Right Btm Left Btm
DLG_EFFECT_IDSTR_ROLL4_R_B_R_L | 4way Right Btm Right Left
DLG_EFFECT_IDSTR_ROLL4_R_B_R_R | 4way Right Btm Right Right
DLG_EFFECT_IDSTR_ROLL4_R_B_R_T | 4way Right Btm Right Top
DLG_EFFECT_IDSTR_ROLL4_R_B_R_B | 4way Right Btm Right Btm
DLG_EFFECT_IDSTR_ROLL4_R_B_T_L | 4way Right Btm Top Left
DLG_EFFECT_IDSTR_ROLL4_R_B_T_R | 4way Right Btm Top Right
DLG_EFFECT_IDSTR_ROLL4_R_B_T_T | 4way Right Btm Top Top
DLG_EFFECT_IDSTR_ROLL4_R_B_T_B | 4way Right Btm Top Btm
DLG_EFFECT_IDSTR_ROLL4_R_B_B_L | 4way Right Btm Btm Left
DLG_EFFECT_IDSTR_ROLL4_R_B_B_R | 4way Right Btm Btm Right
DLG_EFFECT_IDSTR_ROLL4_R_B_B_T | 4way Right Btm Btm Top
DLG_EFFECT_IDSTR_ROLL4_R_B_B_B | 4way Right Btm Btm Btm
DLG_EFFECT_IDSTR_ROLL4_T_L_L_L | 4way Top Left Left Left
DLG_EFFECT_IDSTR_ROLL4_T_L_L_R | 4way Top Left Left Right
DLG_EFFECT_IDSTR_ROLL4_T_L_L_T | 4way Top Left Left Top
DLG_EFFECT_IDSTR_ROLL4_T_L_L_B | 4way Top Left Left Btm
DLG_EFFECT_IDSTR_ROLL4_T_L_R_L | 4way Top Left Right Left
DLG_EFFECT_IDSTR_ROLL4_T_L_R_R | 4way Top Left Right Right
DLG_EFFECT_IDSTR_ROLL4_T_L_R_T | 4way Top Left Right Top
DLG_EFFECT_IDSTR_ROLL4_T_L_R_B | 4way Top Left Right Btm
DLG_EFFECT_IDSTR_ROLL4_T_L_T_L | 4way Top Left Top Left
DLG_EFFECT_IDSTR_ROLL4_T_L_T_R | 4way Top Left Top Right
DLG_EFFECT_IDSTR_ROLL4_T_L_T_T | 4way Top Left Top Top
DLG_EFFECT_IDSTR_ROLL4_T_L_T_B | 4way Top Left Top Btm
DLG_EFFECT_IDSTR_ROLL4_T_L_B_L | 4way Top Left Btm Left
DLG_EFFECT_IDSTR_ROLL4_T_L_B_R | 4way Top Left Btm Right
DLG_EFFECT_IDSTR_ROLL4_T_L_B_T | 4way Top Left Btm Top
DLG_EFFECT_IDSTR_ROLL4_T_L_B_B | 4way Top Left Btm Btm
DLG_EFFECT_IDSTR_ROLL4_T_R_L_L | 4way Top Right Left Left
DLG_EFFECT_IDSTR_ROLL4_T_R_L_R | 4way Top Right Left Right
DLG_EFFECT_IDSTR_ROLL4_T_R_L_T | 4way Top Right Left Top
DLG_EFFECT_IDSTR_ROLL4_T_R_L_B | 4way Top Right Left Btm
DLG_EFFECT_IDSTR_ROLL4_T_R_R_L | 4way Top Right Right Left
DLG_EFFECT_IDSTR_ROLL4_T_R_R_R | 4way Top Right Right Right
DLG_EFFECT_IDSTR_ROLL4_T_R_R_T | 4way Top Right Right Top
DLG_EFFECT_IDSTR_ROLL4_T_R_R_B | 4way Top Right Right Btm
DLG_EFFECT_IDSTR_ROLL4_T_R_T_L | 4way Top Right Top Left
DLG_EFFECT_IDSTR_ROLL4_T_R_T_R | 4way Top Right Top Right
DLG_EFFECT_IDSTR_ROLL4_T_R_T_T | 4way Top Right Top Top
DLG_EFFECT_IDSTR_ROLL4_T_R_T_B | 4way Top Right Top Btm
DLG_EFFECT_IDSTR_ROLL4_T_R_B_L | 4way Top Right Btm Left
DLG_EFFECT_IDSTR_ROLL4_T_R_B_R | 4way Top Right Btm Right
DLG_EFFECT_IDSTR_ROLL4_T_R_B_T | 4way Top Right Btm Top
DLG_EFFECT_IDSTR_ROLL4_T_R_B_B | 4way Top Right Btm Btm
DLG_EFFECT_IDSTR_ROLL4_T_T_L_L | 4way Top Top Left Left
DLG_EFFECT_IDSTR_ROLL4_T_T_L_R | 4way Top Top Left Right
DLG_EFFECT_IDSTR_ROLL4_T_T_L_T | 4way Top Top Left Top
DLG_EFFECT_IDSTR_ROLL4_T_T_L_B | 4way Top Top Left Btm
DLG_EFFECT_IDSTR_ROLL4_T_T_R_L | 4way Top Top Right Left
DLG_EFFECT_IDSTR_ROLL4_T_T_R_R | 4way Top Top Right Right
DLG_EFFECT_IDSTR_ROLL4_T_T_R_T | 4way Top Top Right Top
DLG_EFFECT_IDSTR_ROLL4_T_T_R_B | 4way Top Top Right Btm
DLG_EFFECT_IDSTR_ROLL4_T_T_T_L | 4way Top Top Top Left
DLG_EFFECT_IDSTR_ROLL4_T_T_T_R | 4way Top Top Top Right
DLG_EFFECT_IDSTR_ROLL4_T_T_T_T | 4way Top Top Top Top
DLG_EFFECT_IDSTR_ROLL4_T_T_T_B | 4way Top Top Top Btm
DLG_EFFECT_IDSTR_ROLL4_T_T_B_L | 4way Top Top Btm Left
DLG_EFFECT_IDSTR_ROLL4_T_T_B_R | 4way Top Top Btm Right
DLG_EFFECT_IDSTR_ROLL4_T_T_B_T | 4way Top Top Btm Top
DLG_EFFECT_IDSTR_ROLL4_T_T_B_B | 4way Top Top Btm Btm
DLG_EFFECT_IDSTR_ROLL4_T_B_L_L | 4way Top Btm Left Left
DLG_EFFECT_IDSTR_ROLL4_T_B_L_R | 4way Top Btm Left Right
DLG_EFFECT_IDSTR_ROLL4_T_B_L_T | 4way Top Btm Left Top
DLG_EFFECT_IDSTR_ROLL4_T_B_L_B | 4way Top Btm Left Btm
DLG_EFFECT_IDSTR_ROLL4_T_B_R_L | 4way Top Btm Right Left
DLG_EFFECT_IDSTR_ROLL4_T_B_R_R | 4way Top Btm Right Right
DLG_EFFECT_IDSTR_ROLL4_T_B_R_T | 4way Top Btm Right Top
DLG_EFFECT_IDSTR_ROLL4_T_B_R_B | 4way Top Btm Right Btm
DLG_EFFECT_IDSTR_ROLL4_T_B_T_L | 4way Top Btm Top Left
DLG_EFFECT_IDSTR_ROLL4_T_B_T_R | 4way Top Btm Top Right
DLG_EFFECT_IDSTR_ROLL4_T_B_T_T | 4way Top Btm Top Top
DLG_EFFECT_IDSTR_ROLL4_T_B_T_B | 4way Top Btm Top Btm
DLG_EFFECT_IDSTR_ROLL4_T_B_B_L | 4way Top Btm Btm Left
DLG_EFFECT_IDSTR_ROLL4_T_B_B_R | 4way Top Btm Btm Right
DLG_EFFECT_IDSTR_ROLL4_T_B_B_T | 4way Top Btm Btm Top
DLG_EFFECT_IDSTR_ROLL4_T_B_B_B | 4way Top Btm Btm Btm
DLG_EFFECT_IDSTR_ROLL4_B_L_L_L | 4way Btm Left Left Left
DLG_EFFECT_IDSTR_ROLL4_B_L_L_R | 4way Btm Left Left Right
DLG_EFFECT_IDSTR_ROLL4_B_L_L_T | 4way Btm Left Left Top
DLG_EFFECT_IDSTR_ROLL4_B_L_L_B | 4way Btm Left Left Btm
DLG_EFFECT_IDSTR_ROLL4_B_L_R_L | 4way Btm Left Right Left
DLG_EFFECT_IDSTR_ROLL4_B_L_R_R | 4way Btm Left Right Right
DLG_EFFECT_IDSTR_ROLL4_B_L_R_T | 4way Btm Left Right Top
DLG_EFFECT_IDSTR_ROLL4_B_L_R_B | 4way Btm Left Right Btm
DLG_EFFECT_IDSTR_ROLL4_B_L_T_L | 4way Btm Left Top Left
DLG_EFFECT_IDSTR_ROLL4_B_L_T_R | 4way Btm Left Top Right
DLG_EFFECT_IDSTR_ROLL4_B_L_T_T | 4way Btm Left Top Top
DLG_EFFECT_IDSTR_ROLL4_B_L_T_B | 4way Btm Left Top Btm
DLG_EFFECT_IDSTR_ROLL4_B_L_B_L | 4way Btm Left Btm Left
DLG_EFFECT_IDSTR_ROLL4_B_L_B_R | 4way Btm Left Btm Right
DLG_EFFECT_IDSTR_ROLL4_B_L_B_T | 4way Btm Left Btm Top
DLG_EFFECT_IDSTR_ROLL4_B_L_B_B | 4way Btm Left Btm Btm
DLG_EFFECT_IDSTR_ROLL4_B_R_L_L | 4way Btm Right Left Left
DLG_EFFECT_IDSTR_ROLL4_B_R_L_R | 4way Btm Right Left Right
DLG_EFFECT_IDSTR_ROLL4_B_R_L_T | 4way Btm Right Left Top
DLG_EFFECT_IDSTR_ROLL4_B_R_L_B | 4way Btm Right Left Btm
DLG_EFFECT_IDSTR_ROLL4_B_R_R_L | 4way Btm Right Right Left
DLG_EFFECT_IDSTR_ROLL4_B_R_R_R | 4way Btm Right Right Right
DLG_EFFECT_IDSTR_ROLL4_B_R_R_T | 4way Btm Right Right Top
DLG_EFFECT_IDSTR_ROLL4_B_R_R_B | 4way Btm Right Right Btm
DLG_EFFECT_IDSTR_ROLL4_B_R_T_L | 4way Btm Right Top Left
DLG_EFFECT_IDSTR_ROLL4_B_R_T_R | 4way Btm Right Top Right
DLG_EFFECT_IDSTR_ROLL4_B_R_T_T | 4way Btm Right Top Top
DLG_EFFECT_IDSTR_ROLL4_B_R_T_B | 4way Btm Right Top Btm
DLG_EFFECT_IDSTR_ROLL4_B_R_B_L | 4way Btm Right Btm Left
DLG_EFFECT_IDSTR_ROLL4_B_R_B_R | 4way Btm Right Btm Right
DLG_EFFECT_IDSTR_ROLL4_B_R_B_T | 4way Btm Right Btm Top
DLG_EFFECT_IDSTR_ROLL4_B_R_B_B | 4way Btm Right Btm Btm
DLG_EFFECT_IDSTR_ROLL4_B_T_L_L | 4way Btm Top Left Left
DLG_EFFECT_IDSTR_ROLL4_B_T_L_R | 4way Btm Top Left Right
DLG_EFFECT_IDSTR_ROLL4_B_T_L_T | 4way Btm Top Left Top
DLG_EFFECT_IDSTR_ROLL4_B_T_L_B | 4way Btm Top Left Btm
DLG_EFFECT_IDSTR_ROLL4_B_T_R_L | 4way Btm Top Right Left
DLG_EFFECT_IDSTR_ROLL4_B_T_R_R | 4way Btm Top Right Right
DLG_EFFECT_IDSTR_ROLL4_B_T_R_T | 4way Btm Top Right Top
DLG_EFFECT_IDSTR_ROLL4_B_T_R_B | 4way Btm Top Right Btm
DLG_EFFECT_IDSTR_ROLL4_B_T_T_L | 4way Btm Top Top Left
DLG_EFFECT_IDSTR_ROLL4_B_T_T_R | 4way Btm Top Top Right
DLG_EFFECT_IDSTR_ROLL4_B_T_T_T | 4way Btm Top Top Top
DLG_EFFECT_IDSTR_ROLL4_B_T_T_B | 4way Btm Top Top Btm
DLG_EFFECT_IDSTR_ROLL4_B_T_B_L | 4way Btm Top Btm Left
DLG_EFFECT_IDSTR_ROLL4_B_T_B_R | 4way Btm Top Btm Right
DLG_EFFECT_IDSTR_ROLL4_B_T_B_T | 4way Btm Top Btm Top
DLG_EFFECT_IDSTR_ROLL4_B_T_B_B | 4way Btm Top Btm Btm
DLG_EFFECT_IDSTR_ROLL4_B_B_L_L | 4way Btm Btm Left Left
DLG_EFFECT_IDSTR_ROLL4_B_B_L_R | 4way Btm Btm Left Right
DLG_EFFECT_IDSTR_ROLL4_B_B_L_T | 4way Btm Btm Left Top
DLG_EFFECT_IDSTR_ROLL4_B_B_L_B | 4way Btm Btm Left Btm
DLG_EFFECT_IDSTR_ROLL4_B_B_R_L | 4way Btm Btm Right Left
DLG_EFFECT_IDSTR_ROLL4_B_B_R_R | 4way Btm Btm Right Right
DLG_EFFECT_IDSTR_ROLL4_B_B_R_T | 4way Btm Btm Right Top
DLG_EFFECT_IDSTR_ROLL4_B_B_R_B | 4way Btm Btm Right Btm
DLG_EFFECT_IDSTR_ROLL4_B_B_T_L | 4way Btm Btm Top Left
DLG_EFFECT_IDSTR_ROLL4_B_B_T_R | 4way Btm Btm Top Right
DLG_EFFECT_IDSTR_ROLL4_B_B_T_T | 4way Btm Btm Top Top
DLG_EFFECT_IDSTR_ROLL4_B_B_T_B | 4way Btm Btm Top Btm
DLG_EFFECT_IDSTR_ROLL4_B_B_B_L | 4way Btm Btm Btm Left
DLG_EFFECT_IDSTR_ROLL4_B_B_B_R | 4way Btm Btm Btm Right
DLG_EFFECT_IDSTR_ROLL4_B_B_B_T | 4way Btm Btm Btm Top
DLG_EFFECT_IDSTR_ROLL4_B_B_B_B | 4way Btm Btm Btm Btm
Rotate |
DLG_EFFECT_IDSTR_ROTATE_L_TO_R | Left to Right
DLG_EFFECT_IDSTR_ROTATE_R_TO_L | Right to Left
DLG_EFFECT_IDSTR_ROTATE_T_TO_B | Top to Btm
DLG_EFFECT_IDSTR_ROTATE_B_TO_T | Btm to Top
DLG_EFFECT_IDSTR_ROTATE4_L_L_L_L | 4way Left Left Left Left
DLG_EFFECT_IDSTR_ROTATE4_L_L_L_R | 4way Left Left Left Right
DLG_EFFECT_IDSTR_ROTATE4_L_L_L_T | 4way Left Left Left Top
DLG_EFFECT_IDSTR_ROTATE4_L_L_L_B | 4way Left Left Left Btm
DLG_EFFECT_IDSTR_ROTATE4_L_L_R_L | 4way Left Left Right Left
DLG_EFFECT_IDSTR_ROTATE4_L_L_R_R | 4way Left Left Right Right
DLG_EFFECT_IDSTR_ROTATE4_L_L_R_T | 4way Left Left Right Top
DLG_EFFECT_IDSTR_ROTATE4_L_L_R_B | 4way Left Left Right Btm
DLG_EFFECT_IDSTR_ROTATE4_L_L_T_L | 4way Left Left Top Left
DLG_EFFECT_IDSTR_ROTATE4_L_L_T_R | 4way Left Left Top Right
DLG_EFFECT_IDSTR_ROTATE4_L_L_T_T | 4way Left Left Top Top
DLG_EFFECT_IDSTR_ROTATE4_L_L_T_B | 4way Left Left Top Btm
DLG_EFFECT_IDSTR_ROTATE4_L_L_B_L | 4way Left Left Btm Left
DLG_EFFECT_IDSTR_ROTATE4_L_L_B_R | 4way Left Left Btm Right
DLG_EFFECT_IDSTR_ROTATE4_L_L_B_T | 4way Left Left Btm Top
DLG_EFFECT_IDSTR_ROTATE4_L_L_B_B | 4way Left Left Btm Btm
DLG_EFFECT_IDSTR_ROTATE4_L_R_L_L | 4way Left Right Left Left
DLG_EFFECT_IDSTR_ROTATE4_L_R_L_R | 4way Left Right Left Right
DLG_EFFECT_IDSTR_ROTATE4_L_R_L_T | 4way Left Right Left Top
DLG_EFFECT_IDSTR_ROTATE4_L_R_L_B | 4way Left Right Left Btm
DLG_EFFECT_IDSTR_ROTATE4_L_R_R_L | 4way Left Right Right Left
DLG_EFFECT_IDSTR_ROTATE4_L_R_R_R | 4way Left Right Right Right
DLG_EFFECT_IDSTR_ROTATE4_L_R_R_T | 4way Left Right Right Top
DLG_EFFECT_IDSTR_ROTATE4_L_R_R_B | 4way Left Right Right Btm
DLG_EFFECT_IDSTR_ROTATE4_L_R_T_L | 4way Left Right Top Left
DLG_EFFECT_IDSTR_ROTATE4_L_R_T_R | 4way Left Right Top Right
DLG_EFFECT_IDSTR_ROTATE4_L_R_T_T | 4way Left Right Top Top
DLG_EFFECT_IDSTR_ROTATE4_L_R_T_B | 4way Left Right Top Btm
DLG_EFFECT_IDSTR_ROTATE4_L_R_B_L | 4way Left Right Btm Left
DLG_EFFECT_IDSTR_ROTATE4_L_R_B_R | 4way Left Right Btm Right
DLG_EFFECT_IDSTR_ROTATE4_L_R_B_T | 4way Left Right Btm Top
DLG_EFFECT_IDSTR_ROTATE4_L_R_B_B | 4way Left Right Btm Btm
DLG_EFFECT_IDSTR_ROTATE4_L_T_L_L | 4way Left Top Left Left
DLG_EFFECT_IDSTR_ROTATE4_L_T_L_R | 4way Left Top Left Right
DLG_EFFECT_IDSTR_ROTATE4_L_T_L_T | 4way Left Top Left Top
DLG_EFFECT_IDSTR_ROTATE4_L_T_L_B | 4way Left Top Left Btm
DLG_EFFECT_IDSTR_ROTATE4_L_T_R_L | 4way Left Top Right Left
DLG_EFFECT_IDSTR_ROTATE4_L_T_R_R | 4way Left Top Right Right
DLG_EFFECT_IDSTR_ROTATE4_L_T_R_T | 4way Left Top Right Top
DLG_EFFECT_IDSTR_ROTATE4_L_T_R_B | 4way Left Top Right Btm
DLG_EFFECT_IDSTR_ROTATE4_L_T_T_L | 4way Left Top Top Left
DLG_EFFECT_IDSTR_ROTATE4_L_T_T_R | 4way Left Top Top Right
DLG_EFFECT_IDSTR_ROTATE4_L_T_T_T | 4way Left Top Top Top
DLG_EFFECT_IDSTR_ROTATE4_L_T_T_B | 4way Left Top Top Btm
DLG_EFFECT_IDSTR_ROTATE4_L_T_B_L | 4way Left Top Btm Left
DLG_EFFECT_IDSTR_ROTATE4_L_T_B_R | 4way Left Top Btm Right
DLG_EFFECT_IDSTR_ROTATE4_L_T_B_T | 4way Left Top Btm Top
DLG_EFFECT_IDSTR_ROTATE4_L_T_B_B | 4way Left Top Btm Btm
DLG_EFFECT_IDSTR_ROTATE4_L_B_L_L | 4way Left Btm Left Left
DLG_EFFECT_IDSTR_ROTATE4_L_B_L_R | 4way Left Btm Left Right
DLG_EFFECT_IDSTR_ROTATE4_L_B_L_T | 4way Left Btm Left Top
DLG_EFFECT_IDSTR_ROTATE4_L_B_L_B | 4way Left Btm Left Btm
DLG_EFFECT_IDSTR_ROTATE4_L_B_R_L | 4way Left Btm Right Left
DLG_EFFECT_IDSTR_ROTATE4_L_B_R_R | 4way Left Btm Right Right
DLG_EFFECT_IDSTR_ROTATE4_L_B_R_T | 4way Left Btm Right Top
DLG_EFFECT_IDSTR_ROTATE4_L_B_R_B | 4way Left Btm Right Btm
DLG_EFFECT_IDSTR_ROTATE4_L_B_T_L | 4way Left Btm Top Left
DLG_EFFECT_IDSTR_ROTATE4_L_B_T_R | 4way Left Btm Top Right
DLG_EFFECT_IDSTR_ROTATE4_L_B_T_T | 4way Left Btm Top Top
DLG_EFFECT_IDSTR_ROTATE4_L_B_T_B | 4way Left Btm Top Btm
DLG_EFFECT_IDSTR_ROTATE4_L_B_B_L | 4way Left Btm Btm Left
DLG_EFFECT_IDSTR_ROTATE4_L_B_B_R | 4way Left Btm Btm Right
DLG_EFFECT_IDSTR_ROTATE4_L_B_B_T | 4way Left Btm Btm Top
DLG_EFFECT_IDSTR_ROTATE4_L_B_B_B | 4way Left Btm Btm Btm
DLG_EFFECT_IDSTR_ROTATE4_R_L_L_L | 4way Right Left Left Left
DLG_EFFECT_IDSTR_ROTATE4_R_L_L_R | 4way Right Left Left Right
DLG_EFFECT_IDSTR_ROTATE4_R_L_L_T | 4way Right Left Left Top
DLG_EFFECT_IDSTR_ROTATE4_R_L_L_B | 4way Right Left Left Btm
DLG_EFFECT_IDSTR_ROTATE4_R_L_R_L | 4way Right Left Right Left
DLG_EFFECT_IDSTR_ROTATE4_R_L_R_R | 4way Right Left Right Right
DLG_EFFECT_IDSTR_ROTATE4_R_L_R_T | 4way Right Left Right Top
DLG_EFFECT_IDSTR_ROTATE4_R_L_R_B | 4way Right Left Right Btm
DLG_EFFECT_IDSTR_ROTATE4_R_L_T_L | 4way Right Left Top Left
DLG_EFFECT_IDSTR_ROTATE4_R_L_T_R | 4way Right Left Top Right
DLG_EFFECT_IDSTR_ROTATE4_R_L_T_T | 4way Right Left Top Top
DLG_EFFECT_IDSTR_ROTATE4_R_L_T_B | 4way Right Left Top Btm
DLG_EFFECT_IDSTR_ROTATE4_R_L_B_L | 4way Right Left Btm Left
DLG_EFFECT_IDSTR_ROTATE4_R_L_B_R | 4way Right Left Btm Right
DLG_EFFECT_IDSTR_ROTATE4_R_L_B_T | 4way Right Left Btm Top
DLG_EFFECT_IDSTR_ROTATE4_R_L_B_B | 4way Right Left Btm Btm
DLG_EFFECT_IDSTR_ROTATE4_R_R_L_L | 4way Right Right Left Left
DLG_EFFECT_IDSTR_ROTATE4_R_R_L_R | 4way Right Right Left Right
DLG_EFFECT_IDSTR_ROTATE4_R_R_L_T | 4way Right Right Left Top
DLG_EFFECT_IDSTR_ROTATE4_R_R_L_B | 4way Right Right Left Btm
DLG_EFFECT_IDSTR_ROTATE4_R_R_R_L | 4way Right Right Right Left
DLG_EFFECT_IDSTR_ROTATE4_R_R_R_R | 4way Right Right Right Right
DLG_EFFECT_IDSTR_ROTATE4_R_R_R_T | 4way Right Right Right Top
DLG_EFFECT_IDSTR_ROTATE4_R_R_R_B | 4way Right Right Right Btm
DLG_EFFECT_IDSTR_ROTATE4_R_R_T_L | 4way Right Right Top Left
DLG_EFFECT_IDSTR_ROTATE4_R_R_T_R | 4way Right Right Top Right
DLG_EFFECT_IDSTR_ROTATE4_R_R_T_T | 4way Right Right Top Top
DLG_EFFECT_IDSTR_ROTATE4_R_R_T_B | 4way Right Right Top Btm
DLG_EFFECT_IDSTR_ROTATE4_R_R_B_L | 4way Right Right Btm Left
DLG_EFFECT_IDSTR_ROTATE4_R_R_B_R | 4way Right Right Btm Right
DLG_EFFECT_IDSTR_ROTATE4_R_R_B_T | 4way Right Right Btm Top
DLG_EFFECT_IDSTR_ROTATE4_R_R_B_B | 4way Right Right Btm Btm
DLG_EFFECT_IDSTR_ROTATE4_R_T_L_L | 4way Right Top Left Left
DLG_EFFECT_IDSTR_ROTATE4_R_T_L_R | 4way Right Top Left Right
DLG_EFFECT_IDSTR_ROTATE4_R_T_L_T | 4way Right Top Left Top
DLG_EFFECT_IDSTR_ROTATE4_R_T_L_B | 4way Right Top Left Btm
DLG_EFFECT_IDSTR_ROTATE4_R_T_R_L | 4way Right Top Right Left
DLG_EFFECT_IDSTR_ROTATE4_R_T_R_R | 4way Right Top Right Right
DLG_EFFECT_IDSTR_ROTATE4_R_T_R_T | 4way Right Top Right Top
DLG_EFFECT_IDSTR_ROTATE4_R_T_R_B | 4way Right Top Right Btm
DLG_EFFECT_IDSTR_ROTATE4_R_T_T_L | 4way Right Top Top Left
DLG_EFFECT_IDSTR_ROTATE4_R_T_T_R | 4way Right Top Top Right
DLG_EFFECT_IDSTR_ROTATE4_R_T_T_T | 4way Right Top Top Top
DLG_EFFECT_IDSTR_ROTATE4_R_T_T_B | 4way Right Top Top Btm
DLG_EFFECT_IDSTR_ROTATE4_R_T_B_L | 4way Right Top Btm Left
DLG_EFFECT_IDSTR_ROTATE4_R_T_B_R | 4way Right Top Btm Right
DLG_EFFECT_IDSTR_ROTATE4_R_T_B_T | 4way Right Top Btm Top
DLG_EFFECT_IDSTR_ROTATE4_R_T_B_B | 4way Right Top Btm Btm
DLG_EFFECT_IDSTR_ROTATE4_R_B_L_L | 4way Right Btm Left Left
DLG_EFFECT_IDSTR_ROTATE4_R_B_L_R | 4way Right Btm Left Right
DLG_EFFECT_IDSTR_ROTATE4_R_B_L_T | 4way Right Btm Left Top
DLG_EFFECT_IDSTR_ROTATE4_R_B_L_B | 4way Right Btm Left Btm
DLG_EFFECT_IDSTR_ROTATE4_R_B_R_L | 4way Right Btm Right Left
DLG_EFFECT_IDSTR_ROTATE4_R_B_R_R | 4way Right Btm Right Right
DLG_EFFECT_IDSTR_ROTATE4_R_B_R_T | 4way Right Btm Right Top
DLG_EFFECT_IDSTR_ROTATE4_R_B_R_B | 4way Right Btm Right Btm
DLG_EFFECT_IDSTR_ROTATE4_R_B_T_L | 4way Right Btm Top Left
DLG_EFFECT_IDSTR_ROTATE4_R_B_T_R | 4way Right Btm Top Right
DLG_EFFECT_IDSTR_ROTATE4_R_B_T_T | 4way Right Btm Top Top
DLG_EFFECT_IDSTR_ROTATE4_R_B_T_B | 4way Right Btm Top Btm
DLG_EFFECT_IDSTR_ROTATE4_R_B_B_L | 4way Right Btm Btm Left
DLG_EFFECT_IDSTR_ROTATE4_R_B_B_R | 4way Right Btm Btm Right
DLG_EFFECT_IDSTR_ROTATE4_R_B_B_T | 4way Right Btm Btm Top
DLG_EFFECT_IDSTR_ROTATE4_R_B_B_B | 4way Right Btm Btm Btm
DLG_EFFECT_IDSTR_ROTATE4_T_L_L_L | 4way Top Left Left Left
DLG_EFFECT_IDSTR_ROTATE4_T_L_L_R | 4way Top Left Left Right
DLG_EFFECT_IDSTR_ROTATE4_T_L_L_T | 4way Top Left Left Top
DLG_EFFECT_IDSTR_ROTATE4_T_L_L_B | 4way Top Left Left Btm
DLG_EFFECT_IDSTR_ROTATE4_T_L_R_L | 4way Top Left Right Left
DLG_EFFECT_IDSTR_ROTATE4_T_L_R_R | 4way Top Left Right Right
DLG_EFFECT_IDSTR_ROTATE4_T_L_R_T | 4way Top Left Right Top
DLG_EFFECT_IDSTR_ROTATE4_T_L_R_B | 4way Top Left Right Btm
DLG_EFFECT_IDSTR_ROTATE4_T_L_T_L | 4way Top Left Top Left
DLG_EFFECT_IDSTR_ROTATE4_T_L_T_R | 4way Top Left Top Right
DLG_EFFECT_IDSTR_ROTATE4_T_L_T_T | 4way Top Left Top Top
DLG_EFFECT_IDSTR_ROTATE4_T_L_T_B | 4way Top Left Top Btm
DLG_EFFECT_IDSTR_ROTATE4_T_L_B_L | 4way Top Left Btm Left
DLG_EFFECT_IDSTR_ROTATE4_T_L_B_R | 4way Top Left Btm Right
DLG_EFFECT_IDSTR_ROTATE4_T_L_B_T | 4way Top Left Btm Top
DLG_EFFECT_IDSTR_ROTATE4_T_L_B_B | 4way Top Left Btm Btm
DLG_EFFECT_IDSTR_ROTATE4_T_R_L_L | 4way Top Right Left Left
DLG_EFFECT_IDSTR_ROTATE4_T_R_L_R | 4way Top Right Left Right
DLG_EFFECT_IDSTR_ROTATE4_T_R_L_T | 4way Top Right Left Top
DLG_EFFECT_IDSTR_ROTATE4_T_R_L_B | 4way Top Right Left Btm
DLG_EFFECT_IDSTR_ROTATE4_T_R_R_L | 4way Top Right Right Left
DLG_EFFECT_IDSTR_ROTATE4_T_R_R_R | 4way Top Right Right Right
DLG_EFFECT_IDSTR_ROTATE4_T_R_R_T | 4way Top Right Right Top
DLG_EFFECT_IDSTR_ROTATE4_T_R_R_B | 4way Top Right Right Btm
DLG_EFFECT_IDSTR_ROTATE4_T_R_T_L | 4way Top Right Top Left
DLG_EFFECT_IDSTR_ROTATE4_T_R_T_R | 4way Top Right Top Right
DLG_EFFECT_IDSTR_ROTATE4_T_R_T_T | 4way Top Right Top Top
DLG_EFFECT_IDSTR_ROTATE4_T_R_T_B | 4way Top Right Top Btm
DLG_EFFECT_IDSTR_ROTATE4_T_R_B_L | 4way Top Right Btm Left
DLG_EFFECT_IDSTR_ROTATE4_T_R_B_R | 4way Top Right Btm Right
DLG_EFFECT_IDSTR_ROTATE4_T_R_B_T | 4way Top Right Btm Top
DLG_EFFECT_IDSTR_ROTATE4_T_R_B_B | 4way Top Right Btm Btm
DLG_EFFECT_IDSTR_ROTATE4_T_T_L_L | 4way Top Top Left Left
DLG_EFFECT_IDSTR_ROTATE4_T_T_L_R | 4way Top Top Left Right
DLG_EFFECT_IDSTR_ROTATE4_T_T_L_T | 4way Top Top Left Top
DLG_EFFECT_IDSTR_ROTATE4_T_T_L_B | 4way Top Top Left Btm
DLG_EFFECT_IDSTR_ROTATE4_T_T_R_L | 4way Top Top Right Left
DLG_EFFECT_IDSTR_ROTATE4_T_T_R_R | 4way Top Top Right Right
DLG_EFFECT_IDSTR_ROTATE4_T_T_R_T | 4way Top Top Right Top
DLG_EFFECT_IDSTR_ROTATE4_T_T_R_B | 4way Top Top Right Btm
DLG_EFFECT_IDSTR_ROTATE4_T_T_T_L | 4way Top Top Top Left
DLG_EFFECT_IDSTR_ROTATE4_T_T_T_R | 4way Top Top Top Right
DLG_EFFECT_IDSTR_ROTATE4_T_T_T_T | 4way Top Top Top Top
DLG_EFFECT_IDSTR_ROTATE4_T_T_T_B | 4way Top Top Top Btm
DLG_EFFECT_IDSTR_ROTATE4_T_T_B_L | 4way Top Top Btm Left
DLG_EFFECT_IDSTR_ROTATE4_T_T_B_R | 4way Top Top Btm Right
DLG_EFFECT_IDSTR_ROTATE4_T_T_B_T | 4way Top Top Btm Top
DLG_EFFECT_IDSTR_ROTATE4_T_T_B_B | 4way Top Top Btm Btm
DLG_EFFECT_IDSTR_ROTATE4_T_B_L_L | 4way Top Btm Left Left
DLG_EFFECT_IDSTR_ROTATE4_T_B_L_R | 4way Top Btm Left Right
DLG_EFFECT_IDSTR_ROTATE4_T_B_L_T | 4way Top Btm Left Top
DLG_EFFECT_IDSTR_ROTATE4_T_B_L_B | 4way Top Btm Left Btm
DLG_EFFECT_IDSTR_ROTATE4_T_B_R_L | 4way Top Btm Right Left
DLG_EFFECT_IDSTR_ROTATE4_T_B_R_R | 4way Top Btm Right Right
DLG_EFFECT_IDSTR_ROTATE4_T_B_R_T | 4way Top Btm Right Top
DLG_EFFECT_IDSTR_ROTATE4_T_B_R_B | 4way Top Btm Right Btm
DLG_EFFECT_IDSTR_ROTATE4_T_B_T_L | 4way Top Btm Top Left
DLG_EFFECT_IDSTR_ROTATE4_T_B_T_R | 4way Top Btm Top Right
DLG_EFFECT_IDSTR_ROTATE4_T_B_T_T | 4way Top Btm Top Top
DLG_EFFECT_IDSTR_ROTATE4_T_B_T_B | 4way Top Btm Top Btm
DLG_EFFECT_IDSTR_ROTATE4_T_B_B_L | 4way Top Btm Btm Left
DLG_EFFECT_IDSTR_ROTATE4_T_B_B_R | 4way Top Btm Btm Right
DLG_EFFECT_IDSTR_ROTATE4_T_B_B_T | 4way Top Btm Btm Top
DLG_EFFECT_IDSTR_ROTATE4_T_B_B_B | 4way Top Btm Btm Btm
DLG_EFFECT_IDSTR_ROTATE4_B_L_L_L | 4way Btm Left Left Left
DLG_EFFECT_IDSTR_ROTATE4_B_L_L_R | 4way Btm Left Left Right
DLG_EFFECT_IDSTR_ROTATE4_B_L_L_T | 4way Btm Left Left Top
DLG_EFFECT_IDSTR_ROTATE4_B_L_L_B | 4way Btm Left Left Btm
DLG_EFFECT_IDSTR_ROTATE4_B_L_R_L | 4way Btm Left Right Left
DLG_EFFECT_IDSTR_ROTATE4_B_L_R_R | 4way Btm Left Right Right
DLG_EFFECT_IDSTR_ROTATE4_B_L_R_T | 4way Btm Left Right Top
DLG_EFFECT_IDSTR_ROTATE4_B_L_R_B | 4way Btm Left Right Btm
DLG_EFFECT_IDSTR_ROTATE4_B_L_T_L | 4way Btm Left Top Left
DLG_EFFECT_IDSTR_ROTATE4_B_L_T_R | 4way Btm Left Top Right
DLG_EFFECT_IDSTR_ROTATE4_B_L_T_T | 4way Btm Left Top Top
DLG_EFFECT_IDSTR_ROTATE4_B_L_T_B | 4way Btm Left Top Btm
DLG_EFFECT_IDSTR_ROTATE4_B_L_B_L | 4way Btm Left Btm Left
DLG_EFFECT_IDSTR_ROTATE4_B_L_B_R | 4way Btm Left Btm Right
DLG_EFFECT_IDSTR_ROTATE4_B_L_B_T | 4way Btm Left Btm Top
DLG_EFFECT_IDSTR_ROTATE4_B_L_B_B | 4way Btm Left Btm Btm
DLG_EFFECT_IDSTR_ROTATE4_B_R_L_L | 4way Btm Right Left Left
DLG_EFFECT_IDSTR_ROTATE4_B_R_L_R | 4way Btm Right Left Right
DLG_EFFECT_IDSTR_ROTATE4_B_R_L_T | 4way Btm Right Left Top
DLG_EFFECT_IDSTR_ROTATE4_B_R_L_B | 4way Btm Right Left Btm
DLG_EFFECT_IDSTR_ROTATE4_B_R_R_L | 4way Btm Right Right Left
DLG_EFFECT_IDSTR_ROTATE4_B_R_R_R | 4way Btm Right Right Right
DLG_EFFECT_IDSTR_ROTATE4_B_R_R_T | 4way Btm Right Right Top
DLG_EFFECT_IDSTR_ROTATE4_B_R_R_B | 4way Btm Right Right Btm
DLG_EFFECT_IDSTR_ROTATE4_B_R_T_L | 4way Btm Right Top Left
DLG_EFFECT_IDSTR_ROTATE4_B_R_T_R | 4way Btm Right Top Right
DLG_EFFECT_IDSTR_ROTATE4_B_R_T_T | 4way Btm Right Top Top
DLG_EFFECT_IDSTR_ROTATE4_B_R_T_B | 4way Btm Right Top Btm
DLG_EFFECT_IDSTR_ROTATE4_B_R_B_L | 4way Btm Right Btm Left
DLG_EFFECT_IDSTR_ROTATE4_B_R_B_R | 4way Btm Right Btm Right
DLG_EFFECT_IDSTR_ROTATE4_B_R_B_T | 4way Btm Right Btm Top
DLG_EFFECT_IDSTR_ROTATE4_B_R_B_B | 4way Btm Right Btm Btm
DLG_EFFECT_IDSTR_ROTATE4_B_T_L_L | 4way Btm Top Left Left
DLG_EFFECT_IDSTR_ROTATE4_B_T_L_R | 4way Btm Top Left Right
DLG_EFFECT_IDSTR_ROTATE4_B_T_L_T | 4way Btm Top Left Top
DLG_EFFECT_IDSTR_ROTATE4_B_T_L_B | 4way Btm Top Left Btm
DLG_EFFECT_IDSTR_ROTATE4_B_T_R_L | 4way Btm Top Right Left
DLG_EFFECT_IDSTR_ROTATE4_B_T_R_R | 4way Btm Top Right Right
DLG_EFFECT_IDSTR_ROTATE4_B_T_R_T | 4way Btm Top Right Top
DLG_EFFECT_IDSTR_ROTATE4_B_T_R_B | 4way Btm Top Right Btm
DLG_EFFECT_IDSTR_ROTATE4_B_T_T_L | 4way Btm Top Top Left
DLG_EFFECT_IDSTR_ROTATE4_B_T_T_R | 4way Btm Top Top Right
DLG_EFFECT_IDSTR_ROTATE4_B_T_T_T | 4way Btm Top Top Top
DLG_EFFECT_IDSTR_ROTATE4_B_T_T_B | 4way Btm Top Top Btm
DLG_EFFECT_IDSTR_ROTATE4_B_T_B_L | 4way Btm Top Btm Left
DLG_EFFECT_IDSTR_ROTATE4_B_T_B_R | 4way Btm Top Btm Right
DLG_EFFECT_IDSTR_ROTATE4_B_T_B_T | 4way Btm Top Btm Top
DLG_EFFECT_IDSTR_ROTATE4_B_T_B_B | 4way Btm Top Btm Btm
DLG_EFFECT_IDSTR_ROTATE4_B_B_L_L | 4way Btm Btm Left Left
DLG_EFFECT_IDSTR_ROTATE4_B_B_L_R | 4way Btm Btm Left Right
DLG_EFFECT_IDSTR_ROTATE4_B_B_L_T | 4way Btm Btm Left Top
DLG_EFFECT_IDSTR_ROTATE4_B_B_L_B | 4way Btm Btm Left Btm
DLG_EFFECT_IDSTR_ROTATE4_B_B_R_L | 4way Btm Btm Right Left
DLG_EFFECT_IDSTR_ROTATE4_B_B_R_R | 4way Btm Btm Right Right
DLG_EFFECT_IDSTR_ROTATE4_B_B_R_T | 4way Btm Btm Right Top
DLG_EFFECT_IDSTR_ROTATE4_B_B_R_B | 4way Btm Btm Right Btm
DLG_EFFECT_IDSTR_ROTATE4_B_B_T_L | 4way Btm Btm Top Left
DLG_EFFECT_IDSTR_ROTATE4_B_B_T_R | 4way Btm Btm Top Right
DLG_EFFECT_IDSTR_ROTATE4_B_B_T_T | 4way Btm Btm Top Top
DLG_EFFECT_IDSTR_ROTATE4_B_B_T_B | 4way Btm Btm Top Btm
DLG_EFFECT_IDSTR_ROTATE4_B_B_B_L | 4way Btm Btm Btm Left
DLG_EFFECT_IDSTR_ROTATE4_B_B_B_R | 4way Btm Btm Btm Right
DLG_EFFECT_IDSTR_ROTATE4_B_B_B_T | 4way Btm Btm Btm Top
DLG_EFFECT_IDSTR_ROTATE4_B_B_B_B | 4way Btm Btm Btm Btm
Zoom |
DLG_EFFECT_IDSTR_ZOOM_TO_C | to Center
DLG_EFFECT_IDSTR_ZOOM_FROM_C | from Center
Drip |
DLG_EFFECT_IDSTR_DRIP_T_TO_B | Top to Btm
DLG_EFFECT_IDSTR_DRIP_B_TO_T | Btm to Top
DLG_EFFECT_IDSTR_DRIP_L_TO_R | Left to Right
DLG_EFFECT_IDSTR_DRIP_R_TO_L | Right to Left
Blind |
DLG_EFFECT_IDSTR_BLIND_T_TO_B | Top to Btm
DLG_EFFECT_IDSTR_BLIND_L_TO_R | Left to Right
DLG_EFFECT_IDSTR_BLIND_GROWING_L_TO_R | Growing Left to Right
DLG_EFFECT_IDSTR_BLIND_GROWING_R_TO_L | Growing Right to Left
DLG_EFFECT_IDSTR_BLIND_GROWING_T_TO_B | Growing Top to Btm
DLG_EFFECT_IDSTR_BLIND_GROWING_B_TO_T | Growing Btm to Top
DLG_EFFECT_IDSTR_BLIND2_T_TO_B_AND_L_TO_R | 2way Top to Btm & Left to Right
Random |
DLG_EFFECT_IDSTR_RANDOM_BARS_R_TO_L | Bars Right to Left
DLG_EFFECT_IDSTR_RANDOM_BARS_L_TO_R | Bars Left to Right
DLG_EFFECT_IDSTR_RANDOM_BARS_B_TO_T | Bars Btm to Top
DLG_EFFECT_IDSTR_RANDOM_BARS_T_TO_B | Bars Top to Btm
DLG_EFFECT_IDSTR_RANDOM_LINES | Lines
DLG_EFFECT_IDSTR_RANDOM_BLOCKS | Blocks
DLG_EFFECT_IDSTR_RANDOM_BLOCKS_R_TO_L | Blocks Right to Left
DLG_EFFECT_IDSTR_RANDOM_BLOCKS_L_TO_R | Blocks Left to Right
DLG_EFFECT_IDSTR_RANDOM_BLOCKS_B_TO_T | Blocks Btm to Top
DLG_EFFECT_IDSTR_RANDOM_BLOCKS_T_TO_B | Blocks Top to Btm
Checkerboard |
DLG_EFFECT_IDSTR_CHECKERBOARD_T_TO_B_THEN_T_TO_B | Top to Btm then Top to Btm
DLG_EFFECT_IDSTR_CHECKERBOARD_B_TO_T_THEN_B_TO_T | Btm to Top then Btm to Top
DLG_EFFECT_IDSTR_CHECKERBOARD_L_TO_R_THEN_L_TO_R | Left to Right then Left to Right
DLG_EFFECT_IDSTR_CHECKERBOARD_R_TO_L_THEN_R_TO_L | Right to Left then Right to Left
DLG_EFFECT_IDSTR_CHECKERBOARD_T_TO_B_THEN_B_TO_T | Top to Btm then Btm to Top
DLG_EFFECT_IDSTR_CHECKERBOARD_B_TO_T_THEN_T_TO_B | Btm to Top then Top to Btm
DLG_EFFECT_IDSTR_CHECKERBOARD_L_TO_R_THEN_R_TO_L | Left to Right then Right to Left
DLG_EFFECT_IDSTR_CHECKERBOARD_R_TO_L_THEN_L_TO_R | Right to Left then Left to Right
Blocks |
DLG_EFFECT_IDSTR_BLOCKS_T_TO_B | Top to Btm
DLG_EFFECT_IDSTR_BLOCKS_B_TO_T | Btm to Top
DLG_EFFECT_IDSTR_BLOCKS_L_TO_R | Left to Right
DLG_EFFECT_IDSTR_BLOCKS_R_TO_L | Right to Left
DLG_EFFECT_IDSTR_BLOCKS_SWIRL_CW_TO_C | Swirl CW to Center
DLG_EFFECT_IDSTR_BLOCKS_SWIRL_CW_FROM_C | Swirl CW from Center
DLG_EFFECT_IDSTR_BLOCKS_SWIRL_CCW_TO_C | Swirl CCW to Center
DLG_EFFECT_IDSTR_BLOCKS_SWIRL_CCW_FROM_C | Swirl CCW from Center
Circle |
DLG_EFFECT_IDSTR_CIRCLE_C_IN | Center In
DLG_EFFECT_IDSTR_CIRCLE_C_OUT | Center Out
DLG_EFFECT_IDSTR_CIRCLE_L_IN | Left In
DLG_EFFECT_IDSTR_CIRCLE_L_OUT | Left Out
DLG_EFFECT_IDSTR_CIRCLE_R_IN | Right In
DLG_EFFECT_IDSTR_CIRCLE_R_OUT | Right Out
DLG_EFFECT_IDSTR_CIRCLE_T_IN | Top In
DLG_EFFECT_IDSTR_CIRCLE_T_OUT | Top Out
DLG_EFFECT_IDSTR_CIRCLE_B_IN | Btm In
DLG_EFFECT_IDSTR_CIRCLE_B_OUT | Btm Out
DLG_EFFECT_IDSTR_CIRCLE_C_INTER_IN_THEN_IN | Center Interlace In then In
DLG_EFFECT_IDSTR_CIRCLE_C_INTER_OUT_THEN_OUT | Center Interlace Out then Out
DLG_EFFECT_IDSTR_CIRCLE_C_INTER_IN_THEN_OUT | Center Interlace In then Out
DLG_EFFECT_IDSTR_CIRCLE_C_INTER_OUT_THEN_IN | Center Interlace Out then In
DLG_EFFECT_IDSTR_CIRCLE_L_INTER_IN_THEN_IN | Left Interlace In then In
DLG_EFFECT_IDSTR_CIRCLE_L_INTER_OUT_THEN_OUT | Left Interlace Out then Out
DLG_EFFECT_IDSTR_CIRCLE_L_INTER_IN_THEN_OUT | Left Interlace In then Out
DLG_EFFECT_IDSTR_CIRCLE_L_INTER_OUT_THEN_IN | Left Interlace Out then In
DLG_EFFECT_IDSTR_CIRCLE_R_INTER_IN_THEN_IN | Right Interlace In then In
DLG_EFFECT_IDSTR_CIRCLE_R_INTER_OUT_THEN_OUT | Right Interlace Out then Out
DLG_EFFECT_IDSTR_CIRCLE_R_INTER_IN_THEN_OUT | Right Interlace In then Out
DLG_EFFECT_IDSTR_CIRCLE_R_INTER_OUT_THEN_IN | Right Interlace Out then In
DLG_EFFECT_IDSTR_CIRCLE_T_INTER_IN_THEN_IN | Top Interlace In then In
DLG_EFFECT_IDSTR_CIRCLE_T_INTER_OUT_THEN_OUT | Top Interlace Out then Out
DLG_EFFECT_IDSTR_CIRCLE_T_INTER_IN_THEN_OUT | Top Interlace In then Out
DLG_EFFECT_IDSTR_CIRCLE_T_INTER_OUT_THEN_IN | Top Interlace Out then In
DLG_EFFECT_IDSTR_CIRCLE_B_INTER_IN_THEN_IN | Btm Interlace In then In
DLG_EFFECT_IDSTR_CIRCLE_B_INTER_OUT_THEN_OUT | Btm Interlace Out then Out
DLG_EFFECT_IDSTR_CIRCLE_B_INTER_IN_THEN_OUT | Btm Interlace In then Out
DLG_EFFECT_IDSTR_CIRCLE_B_INTER_OUT_THEN_IN | Btm Interlace Out then In
DLG_EFFECT_IDSTR_CIRCLE_L_R_INTER | Left Right Interlace
DLG_EFFECT_IDSTR_CIRCLE_T_B_INTER | Top Btm Interlace
DLG_EFFECT_IDSTR_CIRCLE2_L_R_OUT | 2way Left Right Out
DLG_EFFECT_IDSTR_CIRCLE2_L_R_IN | 2way Left Right In
DLG_EFFECT_IDSTR_CIRCLE2_T_B_OUT | 2way Top Btm Out
DLG_EFFECT_IDSTR_CIRCLE2_T_B_IN | 2way Top Btm In
Ellipse |
DLG_EFFECT_IDSTR_ELLIPSE_C_IN | Center In
DLG_EFFECT_IDSTR_ELLIPSE_C_OUT | Center Out
DLG_EFFECT_IDSTR_ELLIPSE_L_IN | Left In
DLG_EFFECT_IDSTR_ELLIPSE_L_OUT | Left Out
DLG_EFFECT_IDSTR_ELLIPSE_R_IN | Right In
DLG_EFFECT_IDSTR_ELLIPSE_R_OUT | Right Out
DLG_EFFECT_IDSTR_ELLIPSE_T_IN | Top In
DLG_EFFECT_IDSTR_ELLIPSE_T_OUT | Top Out
DLG_EFFECT_IDSTR_ELLIPSE_B_IN | Btm In
DLG_EFFECT_IDSTR_ELLIPSE_B_OUT | Btm Out
DLG_EFFECT_IDSTR_ELLIPSE_C_INTER_IN_THEN_IN | Center Interlace In then In
DLG_EFFECT_IDSTR_ELLIPSE_C_INTER_OUT_THEN_OUT | Center Interlace Out then Out
DLG_EFFECT_IDSTR_ELLIPSE_C_INTER_IN_THEN_OUT | Center Interlace In then Out
DLG_EFFECT_IDSTR_ELLIPSE_C_INTER_OUT_THEN_IN | Center Interlace Out then In
DLG_EFFECT_IDSTR_ELLIPSE_L_INTER_IN_THEN_IN | Left Interlace In then In
DLG_EFFECT_IDSTR_ELLIPSE_L_INTER_OUT_THEN_OUT | Left Interlace Out then Out
DLG_EFFECT_IDSTR_ELLIPSE_L_INTER_IN_THEN_OUT | Left Interlace In then Out
DLG_EFFECT_IDSTR_ELLIPSE_L_INTER_OUT_THEN_IN | Left Interlace Out then In
DLG_EFFECT_IDSTR_ELLIPSE_R_INTER_IN_THEN_IN | Right Interlace In then In
DLG_EFFECT_IDSTR_ELLIPSE_R_INTER_OUT_THEN_OUT | Right Interlace Out then Out
DLG_EFFECT_IDSTR_ELLIPSE_R_INTER_IN_THEN_OUT | Right Interlace In then Out
DLG_EFFECT_IDSTR_ELLIPSE_R_INTER_OUT_THEN_IN | Right Interlace Out then In
DLG_EFFECT_IDSTR_ELLIPSE_T_INTER_IN_THEN_IN | Top Interlace In then In
DLG_EFFECT_IDSTR_ELLIPSE_T_INTER_OUT_THEN_OUT | Top Interlace Out then Out
DLG_EFFECT_IDSTR_ELLIPSE_T_INTER_IN_THEN_OUT | Top Interlace In then Out
DLG_EFFECT_IDSTR_ELLIPSE_T_INTER_OUT_THEN_IN | Top Interlace Out then In
DLG_EFFECT_IDSTR_ELLIPSE_B_INTER_IN_THEN_IN | Btm Interlace In then In
DLG_EFFECT_IDSTR_ELLIPSE_B_INTER_OUT_THEN_OUT | Btm Interlace Out then Out
DLG_EFFECT_IDSTR_ELLIPSE_B_INTER_IN_THEN_OUT | Btm Interlace In then Out
DLG_EFFECT_IDSTR_ELLIPSE_B_INTER_OUT_THEN_IN | Btm Interlace Out then In
DLG_EFFECT_IDSTR_ELLIPSE_L_R_INTER | Left Right Interlace
DLG_EFFECT_IDSTR_ELLIPSE_T_B_INTER | Top Btm Interlace
DLG_EFFECT_IDSTR_ELLIPSE2_L_R_OUT | 2way Left Right Out
DLG_EFFECT_IDSTR_ELLIPSE2_L_R_IN | 2way Left Right In
DLG_EFFECT_IDSTR_ELLIPSE2_T_B_OUT | 2way Top Btm Out
DLG_EFFECT_IDSTR_ELLIPSE2_T_B_IN | 2way Top Btm In
Transition Dialog Strings |
DLG_TRANSITION_IDSTR_CAPTION | Transition Options
DLG_TRANSITION_IDSTR_PREVIEW | Pre&view
DLG_TRANSITION_IDSTR_FILL | Transition Fill &Style:
DLG_TRANSITION_IDSTR_GRADIENT | G&radient…
DLG_TRANSITION_IDSTR_FORECOLOR | &ForeColor
DLG_TRANSITION_IDSTR_BACKCOLOR | &BackColor
DLG_TRANSITION_IDSTR_DELAY | &Delay
DLG_TRANSITION_IDSTR_GRAIN | &Grain
DLG_TRANSITION_IDSTR_EFFECT | &Effect…
DLG_TRANSITION_IDSTR_TRANSPARENT | &Transparent
DLG_TRANSITION_IDSTR_PASSES | P&asses
DLG_TRANSITION_IDSTR_WAND | &Wand
DLG_TRANSITION_IDSTR_SOLIDFILL | Solid
DLG_TRANSITION_IDSTR_HORZFILL | Horizontal Lines
DLG_TRANSITION_IDSTR_VERTFILL | Vertical Lines
DLG_TRANSITION_IDSTR_FOREDIAGFILL | Forward Diagonal Lines
DLG_TRANSITION_IDSTR_BACKDIAGFILL | Backward Diagonal Lines
DLG_TRANSITION_IDSTR_CROSSFILL | Cross Lines
DLG_TRANSITION_IDSTR_DIAGCROSSFILL | Diagonal Cross Lines
DLG_TRANSITION_IDSTR_GRADIENTFILL | Gradient
Gradient Dialog Strings |
DLG_GRADIENT_IDSTR_CAPTION | Gradient Options
DLG_GRADIENT_IDSTR_PREVIEW | Pre&view
DLG_GRADIENT_IDSTR_CATEGORY | Gradient &Category
DLG_GRADIENT_IDSTR_STYLE | Gradient St&yle
DLG_GRADIENT_IDSTR_STARTCOLOR | &Start Color
DLG_GRADIENT_IDSTR_ENDCOLOR | &EndColor
DLG_GRADIENT_IDSTR_STEPS | S&teps
DLG_GRADIENT_IDSTR_LINE_CLASS | Linear Gradients
DLG_GRADIENT_IDSTR_ANGLE_CLASS | Angular Gradients
DLG_GRADIENT_IDSTR_RECT_CLASS | Rectangular Gradients
DLG_GRADIENT_IDSTR_ELLIPSE_CLASS | Elliptical Gradients
DLG_GRADIENT_IDSTR_CON_CLASS | Conical Gradients
DLG_GRADIENT_IDSTR_LINE_LTOR | Left to Right
DLG_GRADIENT_IDSTR_LINE_RTOL | Right to Left
DLG_GRADIENT_IDSTR_LINE_TTOB | Top to Bottom
DLG_GRADIENT_IDSTR_LINE_BTOT | Bottom to Top
DLG_GRADIENT_IDSTR_LINE_LTTORB | L-Top to R-Bottom
DLG_GRADIENT_IDSTR_LINE_LBTORT | L-Bottom to R-Top
DLG_GRADIENT_IDSTR_LINE_RTTOLB | R-Top to L-Bottom
DLG_GRADIENT_IDSTR_LINE_RBTOLT | R-Bottom to L-Top
DLG_GRADIENT_IDSTR_LINE2_LRTOC | Left & Right In to Center
DLG_GRADIENT_IDSTR_LINE2_CTOLR | Center Out to Left and Right
DLG_GRADIENT_IDSTR_LINE2_TBTOC | Top & Bottom In to Center
DLG_GRADIENT_IDSTR_LINE2_CTOTB | Center Out to Top and Bottom
DLG_GRADIENT_IDSTR_LINE2_LTRBTOC | L-Top & R-Bottom In to Center
DLG_GRADIENT_IDSTR_LINE2_CTOLTRB | Center Out to L-Top & R-Bottom
DLG_GRADIENT_IDSTR_LINE2_RTLBTOC | R-Top & L-Bottom In to Center
DLG_GRADIENT_IDSTR_LINE2_CTORTLB | Center Out to R-Top & L-Bottom
DLG_GRADIENT_IDSTR_ANGLE_TOLT | To Left-Top
DLG_GRADIENT_IDSTR_ANGLE_TOLB | To Left-Bottom
DLG_GRADIENT_IDSTR_ANGLE_TORT | To Right-Top
DLG_GRADIENT_IDSTR_ANGLE_TORB | To Right-Bottom
DLG_GRADIENT_IDSTR_ANGLE_FROMLT | From Left-Top
DLG_GRADIENT_IDSTR_ANGLE_FROMLB | From Left-Bottom
DLG_GRADIENT_IDSTR_ANGLE_FROMRT | From Right-Top
DLG_GRADIENT_IDSTR_ANGLE_FROMRB | From Right-Bottom
DLG_GRADIENT_IDSTR_RECT_TOC | To Center
DLG_GRADIENT_IDSTR_RECT_FROMC | From Center
DLG_GRADIENT_IDSTR_ELLIPSE_TOC | To Center
DLG_GRADIENT_IDSTR_ELLIPSE_FROMC | From Center
DLG_GRADIENT_IDSTR_CON_FROML | From Left
DLG_GRADIENT_IDSTR_CON_FROMR | From Right
DLG_GRADIENT_IDSTR_CON_FROMT | From Top
DLG_GRADIENT_IDSTR_CON_FROMB | From Bottom
DLG_GRADIENT_IDSTR_CON_FROMLT | From Left-Top
DLG_GRADIENT_IDSTR_CON_FROMLB | From Left-Bottom
DLG_GRADIENT_IDSTR_CON_FROMRT | From Right-Top
DLG_GRADIENT_IDSTR_CON_FROMRB | From Right-Bottom
Window Level Dialog Strings |
DLG_WINDOWLEVEL_IDSTR_CAPTION | Window Leveling
DLG_WINDOWLEVEL_IDSTR_RANGE | &Range:
DLG_WINDOWLEVEL_IDSTR_INSIDE | &Inside
DLG_WINDOWLEVEL_IDSTR_OUTSIDE | &Outside
DLG_WINDOWLEVEL_IDSTR_COLORS | Colors
DLG_WINDOWLEVEL_IDSTR_ENDCOLORS | &End Color:
DLG_WINDOWLEVEL_IDSTR_STARTCOLORS | &Start Color:
DLG_WINDOWLEVEL_IDSTR_LUTCURVE | LUT Carve:
DLG_WINDOWLEVEL_IDSTR_CURVEMODE | &Mode:
DLG_WINDOWLEVEL_IDSTR_FACTOR | &Factor:
DLG_WINDOWLEVEL_IDSTR_LINEAR | Linear
DLG_WINDOWLEVEL_IDSTR_EXPONENTIAL | Exponential
DLG_WINDOWLEVEL_IDSTR_LOGARITHMIC | Logarithmic
DLG_WINDOWLEVEL_IDSTR_SIGMOID | Sigmoid
DLG_WINDOWLEVEL_IDSTR_LOWLEVEL | Low Level:
DLG_WINDOWLEVEL_IDSTR_HIGHLEVEL | High Level:
DLG_WINDOWLEVEL_IDSTR_WINDOW | Window
DLG_WINDOWLEVEL_IDSTR_CENTER | Center:
DLG_WINDOWLEVEL_IDSTR_WIDTH | Width:
Load Options Dialog Strings |
DLG_LOADOPTIONS_IDSTR_CAPTION | File Load Options
DLG_LOADOPTIONS_IDSTR_NOTIMAGEFILE | Not Image File format
DLG_LOADOPTIONS_IDSTR_FULLPATH | &Full Path
DLG_LOADOPTIONS_IDSTR_NOAVAILABLEOPTIONS | No Available Options
DLG_LOADOPTIONS_GENERAL_IDSTR_PROGALL | All
DLG_LOADOPTIONS_GENERAL_IDSTR_PROGMEANINGFUL | Meaningful Only
DLG_LOADOPTIONS_GENERAL_IDSTR_PROG1 | 1
DLG_LOADOPTIONS_GENERAL_IDSTR_PROG2 | 2
DLG_LOADOPTIONS_GENERAL_IDSTR_PROG3 | 3
DLG_LOADOPTIONS_GENERAL_IDSTR_PROG4 | 4
DLG_LOADOPTIONS_GENERAL_IDSTR_PROG5 | 5
DLG_LOADOPTIONS_GENERAL_IDSTR_PROG6 | 6
DLG_LOADOPTIONS_GENERAL_IDSTR_PROG7 | 7
DLG_LOADOPTIONS_GENERAL_IDSTR_PROG8 | 8
DLG_LOADOPTIONS_GENERAL_IDSTR_PROG9 | 9
DLG_LOADOPTIONS_GENERAL_IDSTR_PROG10 | 10
DLG_LOADOPTIONS_VECTOR_IDSTR_VIEWPORT | View port
DLG_LOADOPTIONS_VECTOR_IDSTR_WIDTH | &Width
DLG_LOADOPTIONS_VECTOR_IDSTR_HEIGHT | &Height
DLG_LOADOPTIONS_VECTOR_IDSTR_MODE | &Mode
DLG_LOADOPTIONS_VECTOR_IDSTR_BACKGROUND | Background
DLG_LOADOPTIONS_VECTOR_IDSTR_PENWIDTH | Wi&dth
DLG_LOADOPTIONS_VECTOR_IDSTR_PENNUMBER | Pen
DLG_LOADOPTIONS_VECTOR_IDSTR_PENCOLOR | &Color
DLG_LOADOPTIONS_VECTOR_IDSTR_MODE_USE_BEST | Use Best
DLG_LOADOPTIONS_VECTOR_IDSTR_MODE_USE_WIDTH | Use Width
DLG_LOADOPTIONS_VECTOR_IDSTR_MODE_USE_HEIGHT | Use Height
DLG_LOADOPTIONS_VECTOR_IDSTR_MODE_USE_WIDTH_HEIGHT | Use Width and Height
DLG_LOADOPTIONS_VECTOR_IDSTR_BACKGROUND_BLACKONWHITE | Black on White
DLG_LOADOPTIONS_VECTOR_IDSTR_BACKGROUND_WHITEONBLACK | White on Black
DLG_LOADOPTIONS_VECTOR_IDSTR_PEN_1 | Pen (1)
DLG_LOADOPTIONS_VECTOR_IDSTR_PEN_2 | Pen (2)
DLG_LOADOPTIONS_VECTOR_IDSTR_PEN_3 | Pen (3)
DLG_LOADOPTIONS_VECTOR_IDSTR_PEN_4 | Pen (4)
DLG_LOADOPTIONS_VECTOR_IDSTR_PEN_5 | Pen (5)
DLG_LOADOPTIONS_VECTOR_IDSTR_PEN_6 | Pen (6)
DLG_LOADOPTIONS_VECTOR_IDSTR_PEN_7 | Pen (7)
DLG_LOADOPTIONS_VECTOR_IDSTR_PEN_8 | Pen (8)
DLG_LOADOPTIONS_RASTER_IDSTR_WIDTH | &Width
DLG_LOADOPTIONS_RASTER_IDSTR_HEIGHT | &Height
DLG_LOADOPTIONS_RASTER_IDSTR_RESOLUTION | &Resolution
DLG_LOADOPTIONS_RASTER_IDSTR_DPI | &DPI
DLG_LOADOPTIONS_PDF_IDSTR_RESOLUTION | Resolution (Dpi)
DLG_LOADOPTIONS_PDF_IDSTR_HRESOLUTION | Horizontal &Resolution (Dpi)
DLG_LOADOPTIONS_PDF_IDSTR_VRESOLUTION | &Vertical Resolution (Dpi)
DLG_LOADOPTIONS_PDF_IDSTR_DISPLAYDEPTH | &Display Depth (Bpp)
DLG_LOADOPTIONS_PDF_IDSTR_TEXTALPHA | &Text Alpha (Bits)
DLG_LOADOPTIONS_PDF_IDSTR_GRAPHICSALPHA | &Graphics Alpha (Bits)
Smooth Dialog Strings |
DLG_SMOOTH_IDSTR_CAPTION | Smooth
DLG_SMOOTH_IDSTR_LENGTH | Bump/Nick &Length:
DLG_SMOOTH_IDSTR_FAVOR | &Favor:
DLG_SMOOTH_IDSTR_FAVOR_LONG | Long Bump/Nick
DLG_SMOOTH_IDSTR_FAVOR_SHORT | Short Bump/Nick
DLG_SMOOTH_IDSTR_IMAGEMODIFICATION | Image Modification
DLG_SMOOTH_IDSTR_SHOWMODIFICATIONCOLOR | &Show Changes as Color Selection
DLG_SMOOTH_IDSTR_BLACKAREA | &Black Area:
DLG_SMOOTH_IDSTR_WHITEAREA | &White Area:
Line Remove Dialog Strings |
DLG_LINEREMOVE_IDSTR_CAPTION | Line Remove
DLG_LINEREMOVE_IDSTR_MEASUERUNIT | &Measure unit:
DLG_LINEREMOVE_IDSTR_RESOLUTION | Resolution:
DLG_LINEREMOVE_IDSTR_REMOVE | &Remove:
DLG_LINEREMOVE_IDSTR_DIMENSIONS | Dimensions
DLG_LINEREMOVE_IDSTR_MINIMUMLENGTH | Minimum &Length:
DLG_LINEREMOVE_IDSTR_MAXIMUMWIDTH | Maximum &Width:
DLG_LINEREMOVE_IDSTR_WALLHEIGHT | Wall &Height:
DLG_LINEREMOVE_IDSTR_MAXWALLPERCENT | Max Wall &Percent:
DLG_LINEREMOVE_IDSTR_OPTIONALPROCESSING | Optional Processing
DLG_LINEREMOVE_IDSTR_LINEVARIANCE | Line &Variance
DLG_LINEREMOVE_IDSTR_MAXGAPLEN | Max &Gap Length
DLG_LINEREMOVE_IDSTR_REMOVEENTIRELIN | Remove &Entire Line
DLG_LINEREMOVE_IDSTR_INCHES | Inches
DLG_LINEREMOVE_IDSTR_PIXELS | Pixels
DLG_LINEREMOVE_IDSTR_HORIZONTAL | Horizontal Lines
DLG_LINEREMOVE_IDSTR_VERTICAL | Vertical Lines
DLG_LINEREMOVE_IDSTR_IMAGEMODIFICATION | Image Modification
DLG_LINEREMOVE_IDSTR_SHOWMODIFICATIONCOLOR | &Show Changes as Color Selection
Border Remove Dialog Strings |
DLG_BORDERREMOVE_IDSTR_CAPTION | Border Remove
DLG_BORDERREMOVE_IDSTR_BORDERPERCENT | Border &Percent:
DLG_BORDERREMOVE_IDSTR_VARIANCE | &Variance:
DLG_BORDERREMOVE_IDSTR_WHITENOISELEN | &White Noise Length:
DLG_BORDERREMOVE_IDSTR_SETTINGS | Settings
DLG_BORDERREMOVE_IDSTR_BORDERTOREMOVE | Border To Remove
DLG_BORDERREMOVE_IDSTR_IMAGEMODIFICATION | Image Modification
DLG_BORDERREMOVE_IDSTR_LEFT | &Left:
DLG_BORDERREMOVE_IDSTR_RIGHT | &Right:
DLG_BORDERREMOVE_IDSTR_TOP | &Top:
DLG_BORDERREMOVE_IDSTR_BOTTOM | &Bottom:
DLG_BORDERREMOVE_IDSTR_SHOWMODIFICATIONASCOLOR | &Show modification as color selection
Inverted Text Dialog Strings |
DLG_INVERTEDTEXT_IDSTR_CAPTION | Inverted Text
DLG_INVERTEDTEXT_IDSTR_MEASUERUNIT | &Measure unit
DLG_INVERTEDTEXT_IDSTR_INCHES | Inches
DLG_INVERTEDTEXT_IDSTR_PIXELS | Pixels
DLG_INVERTEDTEXT_IDSTR_RESOLUTION | Resolution:
DLG_INVERTEDTEXT_IDSTR_SHOWMODIFICATIONCOLOR | &Show Changes as Color Selection
DLG_INVERTEDTEXT_IDSTR_IMAGEMODIFICATION | Image Modification
DLG_INVERTEDTEXT_IDSTR_INVERT | Invert
DLG_INVERTEDTEXT_IDSTR_MINIMUMWIDTH | Minimum &Width:
DLG_INVERTEDTEXT_IDSTR_MINIMUMHEIGHT | Minimum &Height:
DLG_INVERTEDTEXT_IDSTR_BLACKPERCENT | Black &Percent
DLG_INVERTEDTEXT_IDSTR_MAXBLACKPERCENT | Maximum:
DLG_INVERTEDTEXT_IDSTR_MINBLACKPERCENT | Minimum:
DLG_INVERTEDTEXT_IDSTR_BLACKAREA | &Black Area:
DLG_INVERTEDTEXT_IDSTR_WHITEAREA | Whi&te Area:
Dot Remove Dialog Strings |
DLG_DOTREMOVE_IDSTR_CAPTION | Dot Remove
DLG_DOTREMOVE_IDSTR_MEASUERUNIT | &Measure unit
DLG_DOTREMOVE_IDSTR_INCHES | Inches
DLG_DOTREMOVE_IDSTR_PIXELS | Pixels
DLG_DOTREMOVE_IDSTR_RESOLUTION | Resolution:
DLG_DOTREMOVE_IDSTR_SHOWMODIFICATIONCOLOR | &Show Changes as Color Selection
DLG_DOTREMOVE_IDSTR_IMAGEMODIFICATION | Image Modification
DLG_DOTREMOVE_IDSTR_DOTSIZE | Dot Size
DLG_DOTREMOVE_IDSTR_MINIMUMWIDTH | Minimum &Width:
DLG_DOTREMOVE_IDSTR_MINIMUMHEIGHT | Minimum &Height:
DLG_DOTREMOVE_IDSTR_MAXIMUMWIDTH | Maximum Wi&dth:
DLG_DOTREMOVE_IDSTR_MAXIMUMHEIGHT | Maximum Hei&ght:
DLG_DOTREMOVE_IDSTR_BLACKAREA | &Black Area:
DLG_DOTREMOVE_IDSTR_WHITEAREA | Whi&te Area:
DLG_DOTREMOVE_IDSTR_USEDIAGONALS | &Use Diagonals
DLG_DOTREMOVE_IDSTR_USEDOTSIZE | U&se Dot Sizes
Hole Punch Remove Dialog Strings |
DLG_HOLEPUNCHREMOVE_IDSTR_CAPTION | Hole Punch Remove
DLG_HOLEPUNCHREMOVE_IDSTR_MEASUERUNIT | &Measure unit
DLG_HOLEPUNCHREMOVE_IDSTR_INCHES | Inches
DLG_HOLEPUNCHREMOVE_IDSTR_PIXELS | Pixels
DLG_HOLEPUNCHREMOVE_IDSTR_RESOLUTION | Resolution:
DLG_HOLEPUNCHREMOVE_IDSTR_SHOWMODIFICATIONCOLOR | &Show Changes as Color Selection
DLG_HOLEPUNCHREMOVE_IDSTR_IMAGEMODIFICATION | Image Modification
DLG_HOLEPUNCHREMOVE_IDSTR_HOLELOCATION | Hole &Location
DLG_HOLEPUNCHREMOVE_IDSTR_DEFAULT | Default
DLG_HOLEPUNCHREMOVE_IDSTR_LEFT | Left
DLG_HOLEPUNCHREMOVE_IDSTR_RIGHT | Right
DLG_HOLEPUNCHREMOVE_IDSTR_TOP | Top
DLG_HOLEPUNCHREMOVE_IDSTR_BOTTOM | Bottom
DLG_HOLEPUNCHREMOVE_IDSTR_HOLEDIMENSION | Hole Dimensions
DLG_HOLEPUNCHREMOVE_IDSTR_USEDEFAULTDIMENSIONS | &Use Default Dimensions
DLG_HOLEPUNCHREMOVE_IDSTR_MINIMUMWIDTH | Minimum &Width:
DLG_HOLEPUNCHREMOVE_IDSTR_MINIMUMHEIGHT | Minimum &Height:
DLG_HOLEPUNCHREMOVE_IDSTR_MAXIMUMWIDTH | Maximum Wi&dth:
DLG_HOLEPUNCHREMOVE_IDSTR_MAXIMUMHEIGHT | Maximum Hei&ght:
DLG_HOLEPUNCHREMOVE_IDSTR_BLACKAREA | &Black Area:
DLG_HOLEPUNCHREMOVE_IDSTR_WHITEAREA | Whi&te Area:
DLG_HOLEPUNCHREMOVE_IDSTR_HOLECOUNT | Hole Count
DLG_HOLEPUNCHREMOVE_IDSTR_USEDEFAULTCOUNT | U&se Default Count
DLG_HOLEPUNCHREMOVE_IDSTR_MINIMUMCOUNT | Minimum:
DLG_HOLEPUNCHREMOVE_IDSTR_MAXIMUMCOUNT | Maximum:
Print Preview Dialog Strings: |
DLG_PRINTPREVIEW_IDSTR_CAPTION | Print Preview
DLG_PRINTPREVIEW_IDSTR_TOOLBAR_GENERAL | General
DLG_PRINTPREVIEW_IDSTR_UNIT_INCH | inch
DLG_PRINTPREVIEW_IDSTR_UNIT_CM | cm
DLG_PRINTPREVIEW_IDSTR_UNIT_PIXEL | pixel
DLG_PRINTPREVIEW_STATUSDLG_IDSTR_CAPTION | Printing...
DLG_PRINTPREVIEW_STATUSDLG_IDSTR_SCALE | Scale
DLG_PRINTPREVIEW_STATUSDLG_IDSTR_SIZE | Size
DLG_PRINTPREVIEW_STATUSDLG_IDSTR_PIXLES | pixels
DLG_PRINTPREVIEW_IDSTR_MSG_MARGINVALUE_TEXT | Please enter a valid value for auto arrange margins
DLG_PRINTPREVIEW_IDSTR_MSG_MARGINVALUE_CAPTION | Error
DLG_PRINTPREVIEW_MNU_MAIN_FILE_IDSTR_CAPTION | &File
DLG_PRINTPREVIEW_MNU_MAIN_FILE_IDSTR_PREFERENCES | P&references...
DLG_PRINTPREVIEW_MNU_MAIN_FILE_IDSTR_PRINT | &Print
DLG_PRINTPREVIEW_MNU_MAIN_FILE_IDSTR_PRINTSETUP | Pa&ge Setup...
DLG_PRINTPREVIEW_MNU_MAIN_FILE_IDSTR_EXIT | E&xit
DLG_PRINTPREVIEW_MNU_MAIN_IMAGE_IDSTR_CAPTION | &Image
DLG_PRINTPREVIEW_MNU_MAIN_IMAGE_IDSTR_FLIP | Flip
DLG_PRINTPREVIEW_MNU_MAIN_IMAGE_IDSTR_FLIP_FLIPVERT | Flip &Vertically
DLG_PRINTPREVIEW_MNU_MAIN_IMAGE_IDSTR_FLIP_FLIPHORZ | Flip &Horizontally
DLG_PRINTPREVIEW_MNU_MAIN_IMAGE_IDSTR_ROTATE | Rotate
DLG_PRINTPREVIEW_MNU_MAIN_IMAGE_IDSTR_ROTATE_90CCW | Rotate 90 &CCW
DLG_PRINTPREVIEW_MNU_MAIN_IMAGE_IDSTR_ROTATE_90CW | Rotate 90 C&W
DLG_PRINTPREVIEW_MNU_MAIN_IMAGE_IDSTR_SCALE | Scale
DLG_PRINTPREVIEW_MNU_MAIN_IMAGE_IDSTR_SCALE_STRETCHTOFIT &Stretch To Fit |
DLG_PRINTPREVIEW_MNU_MAIN_IMAGE_IDSTR_SCALE_NORMALLY | Scale &Normally
DLG_PRINTPREVIEW_MNU_MAIN_IMAGE_IDSTR_ALIGN | Align
DLG_PRINTPREVIEW_MNU_MAIN_IMAGE_IDSTR_ALIGNAUTOARRANGE | &Auto Arrange
DLG_PRINTPREVIEW_MNU_MAIN_IMAGE_IDSTR_ALIGNLEFTTOP | &Left Top
DLG_PRINTPREVIEW_MNU_MAIN_IMAGE_IDSTR_ALIGNCENTERTOP | Center &Top
DLG_PRINTPREVIEW_MNU_MAIN_IMAGE_IDSTR_ALIGNRIGHTTOP | &Right Top
DLG_PRINTPREVIEW_MNU_MAIN_IMAGE_IDSTR_ALIGNCENTERLEFT | L&eft Center
DLG_PRINTPREVIEW_MNU_MAIN_IMAGE_IDSTR_ALIGNCENTERED | &Centered
DLG_PRINTPREVIEW_MNU_MAIN_IMAGE_IDSTR_ALIGNCENTERRIGHT | R&ight Center
DLG_PRINTPREVIEW_MNU_MAIN_IMAGE_IDSTR_ALIGNLEFTBOTTOM | Le&ft Bottom
DLG_PRINTPREVIEW_MNU_MAIN_IMAGE_IDSTR_ALIGNCENTERBOTTOM | Center &Bottom
DLG_PRINTPREVIEW_MNU_MAIN_IMAGE_IDSTR_ALIGNRIGHTBOTTOM | Ri&ght Bottom
DLG_PRINTPREVIEW_MNU_MAIN_VIEW_IDSTR_CAPTION | &View
DLG_PRINTPREVIEW_MNU_MAIN_VIEW_IDSTR_GENERALTOOLBAR | &General Toolbar
DLG_PRINTPREVIEW_MNU_MAIN_HELP_IDSTR_CAPTION | &Help
DLG_PRINTPREVIEW_MNU_MAIN_HELP_IDSTR_HELPTOPICS | &Help Topics
File Format Strings (Save dialog and File Conversion dialog) |
DLG_FF_SAVE_IDSTR_ABC | Advanced Bitonal Compression (*.abc)
DLG_FF_SAVE_IDSTR_ABIC | Adaptive bi-level image compression (*.abic)
DLG_FF_SAVE_IDSTR_ANI | Animated Cursor (*.ani)
DLG_FF_SAVE_IDSTR_AWD | MS FAX (AWD) (*.awd)
DLG_FF_SAVE_IDSTR_BMP | BMP (*.bmp)
DLG_FF_SAVE_IDSTR_BMP | Win BMP (*.bmp)
DLG_FF_SAVE_IDSTR_CALS | CALS (*.cal)
DLG_FF_SAVE_IDSTR_CIN | Cineon (*.cin)
DLG_FF_SAVE_IDSTR_CLP | CLP (*.clp)
DLG_FF_SAVE_IDSTR_CMW | LEAD Wavelet (*.cmw)
DLG_FF_SAVE_IDSTR_CUR | Win Cursor (*.cur)
DLG_FF_SAVE_IDSTR_CUT | Dr Halo (*.cut)
DLG_FF_SAVE_IDSTR_DICOMCOLOR | DICOM DIC Color (*.dic)
DLG_FF_SAVE_IDSTR_ECW | ECW (*.ecw)
DLG_FF_SAVE_IDSTR_EMF | EMF (*.emf)
DLG_FF_SAVE_IDSTR_EPS | EPS (*.eps)
DLG_FF_SAVE_IDSTR_EXIF | EXIF (*.tif)
DLG_FF_SAVE_IDSTR_FAX | FAX (Raw) (*.fax)
DLG_FF_SAVE_IDSTR_FIT | FIT (*.fit)
DLG_FF_SAVE_IDSTR_FLC | FLC (*.flc)
DLG_FF_SAVE_IDSTR_FPX | FPX (*.fpx)
DLG_FF_SAVE_IDSTR_GEOTIFF | GeoTIFF (*.tif)
DLG_FF_SAVE_IDSTR_GIF | GIF (*.gif)
DLG_FF_SAVE_IDSTR_ICO | Win Icon (*.ico)
DLG_FF_SAVE_IDSTR_IFF | IFF (*.iff)
DLG_FF_SAVE_IDSTR_IMG | GEM (*.img)
DLG_FF_SAVE_IDSTR_ITG | ITG (*.itg)
DLG_FF_SAVE_IDSTR_J2K | JPEG 2000 (*.j2k;*.jp2)
DLG_FF_SAVE_IDSTR_JBIG | JBIG (*.jbg)
DLG_FF_SAVE_IDSTR_JBIG2 | JBIG2 (*.jb2)
DLG_FF_SAVE_IDSTR_JPEG | JPEG (*.jpg)
DLG_FF_SAVE_IDSTR_LEAD | LEAD (*.cmp)
DLG_FF_SAVE_IDSTR_MAC | MacPaint (*.mac)
DLG_FF_SAVE_IDSTR_MODCA | MODCA:IOCA (*.ica)
DLG_FF_SAVE_IDSTR_MRC | MRC (*.mrc)
DLG_FF_SAVE_IDSTR_MSP | MS Paint (*.msp)
DLG_FF_SAVE_IDSTR_OS2BMP | OS/2 BMP (*.bmp)
DLG_FF_SAVE_IDSTR_PBM | PBM (*.pbm)
DLG_FF_SAVE_IDSTR_PCT | Mac PICT (*.pct)
DLG_FF_SAVE_IDSTR_PCX | PCX (*.pcx)
DLG_FF_SAVE_IDSTR_PDF | PDF (*.pdf)
DLG_FF_SAVE_IDSTR_PGM | PGM (*.pgm)
DLG_FF_SAVE_IDSTR_PNG | CServe PNG (*.png)
DLG_FF_SAVE_IDSTR_PPM | PPM (*.ppm)
DLG_FF_SAVE_IDSTR_PSD | PSD (*.psd)
DLG_FF_SAVE_IDSTR_PSP | PSP (*.psp)
DLG_FF_SAVE_IDSTR_RAS | SUN Ras (*.ras)
DLG_FF_SAVE_IDSTR_RAW | RAW data (*.raw)
DLG_FF_SAVE_IDSTR_RAWICA | Raw IOCA (*.ica)
DLG_FF_SAVE_IDSTR_SCT | Scitex Continuous Tone SCT (*.sct)
DLG_FF_SAVE_IDSTR_SFF | Structured Fax File (*.sff)
DLG_FF_SAVE_IDSTR_SGI | SGI (*.sgi)
DLG_FF_SAVE_IDSTR_SMP | Xionics SMP (*.smp)
DLG_FF_SAVE_IDSTR_TGA | TGA (*.tga)
DLG_FF_SAVE_IDSTR_TIFF | TIF (*.tif)
DLG_FF_SAVE_IDSTR_TIFX | TIFX (*.tifx)
DLG_FF_SAVE_IDSTR_WBMP | Wireless bitmap (WBMP) (*.wbmp)
DLG_FF_SAVE_IDSTR_WFX | Winfax (*.wfx)
DLG_FF_SAVE_IDSTR_WMZ | Compressed Windows Metafile (*.wmz)
DLG_FF_SAVE_IDSTR_WPG | WPG (*.wpg)
DLG_FF_SAVE_IDSTR_XBM | XBM (*.xbm)
DLG_FF_SAVE_IDSTR_XPM | XPM (*.xpm)
DLG_FF_SAVE_IDSTR_XWD | XWD (*.xwd)
Sub-format Strings |
DLG_FF_SAVE_SUB_IDSTR_CMP_NONPROGRESSIVE | Non-progressive
DLG_FF_SAVE_SUB_IDSTR_CMP_PROGRESSIVE | Progressive
DLG_FF_SAVE_SUB_IDSTR_JPEG24_YUV_444 | YUV 4:4:4
DLG_FF_SAVE_SUB_IDSTR_JPEG24_YUV_422 | YUV 4:2:2
DLG_FF_SAVE_SUB_IDSTR_JPEG24_YUV_411 | YUV 4:1:1
DLG_FF_SAVE_SUB_IDSTR_JPEG24_PROG_444 | Progressive YUV 4:4:4
DLG_FF_SAVE_SUB_IDSTR_JPEG24_PROG_422 | Progressive YUV 4:2:2
DLG_FF_SAVE_SUB_IDSTR_JPEG24_PROG_411 | Progressive YUV 4:1:1
DLG_FF_SAVE_SUB_IDSTR_JPEG24_LOSSLESS | Lossless JPEG
DLG_FF_SAVE_SUB_IDSTR_JPEG12_YUV_400 | YUV 4:0:0
DLG_FF_SAVE_SUB_IDSTR_JPEG12_LOSSLESS | Lossless JPEG
DLG_FF_SAVE_SUB_IDSTR_JPEG8_YUV_400 | YUV 4:0:0
DLG_FF_SAVE_SUB_IDSTR_JPEG8_PROG_400 | Progressive YUV 4:0:0
DLG_FF_SAVE_SUB_IDSTR_JPEG8_LOSSLESS | Lossless JPEG
DLG_FF_SAVE_SUB_IDSTR_CALS | CALS Type 1
DLG_FF_SAVE_SUB_IDSTR_CALS2 | CALS Type 2
DLG_FF_SAVE_SUB_IDSTR_CALS3 | CALS Type 3
DLG_FF_SAVE_SUB_IDSTR_CALS4 | CALS Type 4
DLG_FF_SAVE_SUB_IDSTR_DICOM_GRAY | Uncompressed Grayscale
DLG_FF_SAVE_SUB_IDSTR_DICOM_COLOR | Uncompressed Color
DLG_FF_SAVE_SUB_IDSTR_DICOM_RLE_GRAY | RLE Grayscale
DLG_FF_SAVE_SUB_IDSTR_DICOM_RLE_COLOR | RLE Color
DLG_FF_SAVE_SUB_IDSTR_DICOM_JPEG_GRAY | Lossy JPEG Grayscale
DLG_FF_SAVE_SUB_IDSTR_DICOM_J2K_GRAY_LOSSLESS | Lossless JPEG 2000
DLG_FF_SAVE_SUB_IDSTR_DICOM_J2K_GRAY | Lossy JPEG 2000
DLG_FF_SAVE_SUB_IDSTR_DICOM_LOSSLESSJPEG_GRAY | Lossless JPEG Grayscale
DLG_FF_SAVE_SUB_IDSTR_DICOM_JPEG_COLOR | Lossy JPEG Color
DLG_FF_SAVE_SUB_IDSTR_DICOM_LOSSLESSJPEG_COLOR | Lossless JPEG Color
DLG_FF_SAVE_SUB_IDSTR_FAX_G3_1D | CCITT G3 1D
DLG_FF_SAVE_SUB_IDSTR_FAX_G3_2D | CCITT G3 2D
DLG_FF_SAVE_SUB_IDSTR_FAX_G4 | CCITT G4
DLG_FF_SAVE_SUB_IDSTR_EXIF_UNCOMPRESSEDRGB | Uncompressed RGB
DLG_FF_SAVE_SUB_IDSTR_EXIF_UNCOMPRESSEDYCC | Uncompressed YCbCr
DLG_FF_SAVE_SUB_IDSTR_EXIF_JPEG_411 | JPEG 4:1:1
DLG_FF_SAVE_SUB_IDSTR_EXIF_JPEG_422 | JPEG 4:2:2
DLG_FF_SAVE_SUB_IDSTR_FPX_UNCOMPRESSED | Uncompressed
DLG_FF_SAVE_SUB_IDSTR_FPX_SINGLECOLOR | Single Color
DLG_FF_SAVE_SUB_IDSTR_FPX_DEFQFACTOR | JPEG default qFactor
DLG_FF_SAVE_SUB_IDSTR_FPX_SPECQFACTOR | JPEG specify qFactor
DLG_FF_SAVE_SUB_IDSTR_GIF_INTERLACED89A | Interlaced GIF 89a
DLG_FF_SAVE_SUB_IDSTR_GIF_NONINTERLACED89A | Non-Interlaced GIF 89a
DLG_FF_SAVE_SUB_IDSTR_OS2_VER1 | Version 1.0
DLG_FF_SAVE_SUB_IDSTR_OS2_VER2 | Version 2.0
DLG_FF_SAVE_SUB_IDSTR_TIFF1_ABIC | ABIC
DLG_FF_SAVE_SUB_IDSTR_TIFF1_CCITT | CCITT
DLG_FF_SAVE_SUB_IDSTR_TIFF1_CCITT_G3_1D | CCITT G3 1D
DLG_FF_SAVE_SUB_IDSTR_TIFF1_CCITT_G3_2D | CCITT G3 2D
DLG_FF_SAVE_SUB_IDSTR_TIFF1_CCITT_G4 | CCITT G4
DLG_FF_SAVE_SUB_IDSTR_TIFF1_JBIG2 | JBIG2
DLG_FF_SAVE_SUB_IDSTR_TIFF1_LZWRGB | LZW RGB
DLG_FF_SAVE_SUB_IDSTR_TIFF1_RLERGB | Packbits (RLE) RGB
DLG_FF_SAVE_SUB_IDSTR_TIFF1_UNCOMPRESSEDRGB | Uncompressed RGB
DLG_FF_SAVE_SUB_IDSTR_TIFF4_ABIC | ABIC
DLG_FF_SAVE_SUB_IDSTR_TIFF4_JBIG | JBIG
DLG_FF_SAVE_SUB_IDSTR_TIFF4_LZW | LZW
DLG_FF_SAVE_SUB_IDSTR_TIFF4_RLE | Packbits (RLE)
DLG_FF_SAVE_SUB_IDSTR_TIFF4_UNCOMPRESSED | Uncompressed
DLG_FF_SAVE_SUB_IDSTR_TIFFOTHER_UNCOMPRESSED | Uncompressed
DLG_FF_SAVE_SUB_IDSTR_TIFFOTHER_RLE | Packbits (RLE)
DLG_FF_SAVE_SUB_IDSTR_TIFFOTHER_LZW | LZW
DLG_FF_SAVE_SUB_IDSTR_TIFF8_UNCOMPRESSEDRGB | Uncompressed RGB
DLG_FF_SAVE_SUB_IDSTR_TIFF8_RLERGB | Packbits (RLE) RGB
DLG_FF_SAVE_SUB_IDSTR_TIFF8_JPEG_GRAY_YCC | JPEG (Gray) YCbCr
DLG_FF_SAVE_SUB_IDSTR_TIFF8_LOSSLESSJPEG | Lossless JPEG
DLG_FF_SAVE_SUB_IDSTR_TIFF8_LZWRGB | LZW RGB
DLG_FF_SAVE_SUB_IDSTR_TIFF12_UNCOMPRESSED | Uncompressed
DLG_FF_SAVE_SUB_IDSTR_TIFF12_LOSSLESSJPEG | Lossless JPEG
DLG_FF_SAVE_SUB_IDSTR_TIFF16_UNCOMPRESSED | Uncompressed
DLG_FF_SAVE_SUB_IDSTR_TIFF16_RLE | Packbits (RLE)
DLG_FF_SAVE_SUB_IDSTR_TIFF16_LOSSLESSJPEG | Lossless JPEG
DLG_FF_SAVE_SUB_IDSTR_TIFF16_LZW | LZW
DLG_FF_SAVE_SUB_IDSTR_TIFF24_UNCOMPRESSEDRGB | Uncompressed RGB
DLG_FF_SAVE_SUB_IDSTR_TIFF24_UNCOMPRESSEDCMYK | Uncompressed CMYK
DLG_FF_SAVE_SUB_IDSTR_TIFF24_UNCOMPRESSEDYCC | Uncompressed YCbCr
DLG_FF_SAVE_SUB_IDSTR_TIFF24_RLERGB | Packbits RGB
DLG_FF_SAVE_SUB_IDSTR_TIFF24_RLECMYK | Packbits CMYK
DLG_FF_SAVE_SUB_IDSTR_TIFF24_RLEYCC | Packbits YCbCr
DLG_FF_SAVE_SUB_IDSTR_TIFF24_JPEG_YCC_444 | JPEG YCbCr 4:4:4
DLG_FF_SAVE_SUB_IDSTR_TIFF24_JPEG_YCC_422 | JPEG YCbCr 4:2:2
DLG_FF_SAVE_SUB_IDSTR_TIFF24_JPEG_YCC_411 | JPEG YCbCr 4:1:1
DLG_FF_SAVE_SUB_IDSTR_TIFF24_LOSSLESSJPEG | Lossless JPEG
DLG_FF_SAVE_SUB_IDSTR_TIFF24_LZWRGB | LZW RGB
DLG_FF_SAVE_SUB_IDSTR_TIFF24_LZWCMYK | LZW CMYK
DLG_FF_SAVE_SUB_IDSTR_TIFF24_LZWYCC | LZW YCbCr
DLG_FF_SAVE_SUB_IDSTR_TIFF24_LEAD_MRC | LEAD MRC
DLG_FF_SAVE_SUB_IDSTR_TIFF24_MRC | MRC
DLG_FF_SAVE_SUB_IDSTR_TIFF32_UNCOMPRESSEDRGB | Uncompressed RGB
DLG_FF_SAVE_SUB_IDSTR_TIFF32_UNCOMPRESSEDCMYK | Uncompressed CMYK
DLG_FF_SAVE_SUB_IDSTR_TIFF32_RLERGB | Packbits RGB
DLG_FF_SAVE_SUB_IDSTR_TIFF32_RLECMYK | Packbits CMYK
DLG_FF_SAVE_SUB_IDSTR_TIFF32_LZWRGB | LZW RGB
DLG_FF_SAVE_SUB_IDSTR_TIFF32_LZWCMYK | LZW CMYK
DLG_FF_SAVE_SUB_IDSTR_BMP_UNCOMPRESSED | Uncompressed
DLG_FF_SAVE_SUB_IDSTR_BMP_RLECOMPRESSED | RLE Compressed
DLG_FF_SAVE_SUB_IDSTR_WFX_CCITT_G3_1D | CCITT G3 1D
DLG_FF_SAVE_SUB_IDSTR_WFX_CCITT_G4 | CCITT G4
DLG_FF_SAVE_SUB_IDSTR_PPM_ASCII | ASCII
DLG_FF_SAVE_SUB_IDSTR_PPM_BINARY | Binary
DLG_FF_SAVE_SUB_IDSTR_PGM_ASCII | ASCII
DLG_FF_SAVE_SUB_IDSTR_PGM_BINARY | Binary
DLG_FF_SAVE_SUB_IDSTR_PBM_ASCII | ASCII
DLG_FF_SAVE_SUB_IDSTR_PBM_BINARY | Binary
DLG_FF_SAVE_SUB_IDSTR_IFF_ILBM_UNCOMPRESSED | ILBM Uncompressed
DLG_FF_SAVE_SUB_IDSTR_IFF_ILBM_RLE | ILBM RLE Compressed
DLG_FF_SAVE_SUB_IDSTR_IFF_CAT_UNCOMPRESSED | CAT Uncompressed
DLG_FF_SAVE_SUB_IDSTR_IFF_CAT_RLE | CAT RLE Compressed
DLG_FF_SAVE_SUB_IDSTR_TIFF48_UNCOMPRESSEDRGB | Uncompressed RGB
DLG_FF_SAVE_SUB_IDSTR_TIFF48_LZWRGB | LZW RGB
DLG_FF_SAVE_SUB_IDSTR_TIFF64_UNCOMPRESSEDRGB | Uncompressed RGB
DLG_FF_SAVE_SUB_IDSTR_TIFF64_LZWRGB | LZW RGB
DLG_FF_SAVE_SUB_IDSTR_TIFF12_JPEG_GRAY_YCC | JPEG (Gray) YCbCr
DLG_FF_SAVE_SUB_IDSTR_TIFF12_LZW | LZW
DLG_FF_SAVE_SUB_IDSTR_TIFF1_JBIG | JBIG
DLG_FF_SAVE_SUB_IDSTR_TIFFOTHER_JBIG | JBIG
DLG_FF_SAVE_SUB_IDSTR_TIFF8_JBIG | JBIG
DLG_FF_SAVE_SUB_IDSTR_TIFF8_CMP | CMP
DLG_FF_SAVE_SUB_IDSTR_TIFF24_CMP_NONPROGRESSIVE | CMP
DLG_FF_SAVE_SUB_IDSTR_TIFF24_CMP_PROGRESSIVE | Progressive CMP
DLG_FF_SAVE_SUB_IDSTR_SGI_UNCOMPRESSED | Uncompressed
DLG_FF_SAVE_SUB_IDSTR_SGI_RLECOMPRESSED | RLE Compressed
DLG_FF_SAVE_SUB_IDSTR_TIFF12_RLE | Packbits (RLE)
DLG_FF_SAVE_SUB_IDSTR_PDF1_UNCOMPRESSED | Uncompressed
DLG_FF_SAVE_SUB_IDSTR_PDF1_CCITT_G3_1D | CCITT Group3 1D
DLG_FF_SAVE_SUB_IDSTR_PDF1_CCITT_G3_2D | CCITT Group3 2D
DLG_FF_SAVE_SUB_IDSTR_PDF1_CCITT_G4 | CCITT Group4
DLG_FF_SAVE_SUB_IDSTR_PDF1_RAS_PDF_LZW | LZW RGB
DLG_FF_SAVE_SUB_IDSTR_PDF2_RAS_PDF_LZW | LZW RGB
DLG_FF_SAVE_SUB_IDSTR_PDF4_RAS_PDF_LZW | LZW RGB
DLG_FF_SAVE_SUB_IDSTR_PDF8_UNCOMPRESSED | Uncompressed
DLG_FF_SAVE_SUB_IDSTR_PDF8_LOSSLESSJPEG | Lossless JPEG
DLG_FF_SAVE_SUB_IDSTR_PDF8_RAS_PDF_LZW | LZW RGB
DLG_FF_SAVE_SUB_IDSTR_PDF24_LEAD_MRC | LEAD MRC.
DLG_FF_SAVE_SUB_IDSTR_PDF24_UNCOMPRESSED | Uncompressed
DLG_FF_SAVE_SUB_IDSTR_PDF24_YUV_444 | JPEG YUV 4:4:4
DLG_FF_SAVE_SUB_IDSTR_PDF24_YUV_422 | JPEG YUV 4:2:2
DLG_FF_SAVE_SUB_IDSTR_PDF24_YUV_411 | JPEG YUV 4:1:1
DLG_FF_SAVE_SUB_IDSTR_PDF24_RAS_PDF_LZW | LZW RGB
DLG_FF_SAVE_SUB_IDSTR_J2K | JPEG 2000 stream
DLG_FF_SAVE_SUB_IDSTR_JP2 | JP2 file
DLG_FF_SAVE_SUB_IDSTR_TIFF8_J2K | JPEG 2000 stream
DLG_FF_SAVE_SUB_IDSTR_TIFF8_CMW | Wavelet CMP
DLG_FF_SAVE_SUB_IDSTR_TIFF24_J2K | JPEG 2000 stream
DLG_FF_SAVE_SUB_IDSTR_TIFF24_CMW | Wavelet CMP
DLG_FF_SAVE_SUB_IDSTR_TIFF12_J2K | JPEG 2000 stream
DLG_FF_SAVE_SUB_IDSTR_TIFF12_CMW | Wavelet CMP
DLG_FF_SAVE_SUB_IDSTR_TIFF16_J2K | JPEG 2000 stream
DLG_FF_SAVE_SUB_IDSTR_TIFF16_CMW | Wavelet CMP
DLG_FF_SAVE_SUB_IDSTR_SMP_CCITT_GROUP3_1D | CCITT Group3 1D
DLG_FF_SAVE_SUB_IDSTR_SMP_CCITT_GROUP3_2D | CCITT Group3 2D
DLG_FF_SAVE_SUB_IDSTR_SMP_CCITT_GROUP4 | CCITT Group4
DLG_FF_SAVE_SUB_IDSTR_SMP_UNCOMPRESSED | Uncompressed
DLG_FF_SAVE_SUB_IDSTR_TGA_RLE | RLE Compressed
DLG_FF_SAVE_SUB_IDSTR_TGA_UNCOMPRESSED | TGA Uncompressed
DLG_FF_SAVE_SUB_IDSTR_ICA_ABIC | ABIC
DLG_FF_SAVE_SUB_IDSTR_ICA_G3_1D | CCITT G3 1D
DLG_FF_SAVE_SUB_IDSTR_ICA_G3_2D | CCITT G3 2D
DLG_FF_SAVE_SUB_IDSTR_ICA_G4 | CCITT G4
DLG_FF_SAVE_SUB_IDSTR_ICA_UNCOMPRESSED | Uncompressed
DLG_FF_SAVE_SUB_IDSTR_ICA4_ABIC | ABIC
DLG_FF_SAVE_SUB_IDSTR_RAWICA_UNCOMPRESSED | Uncompressed
DLG_FF_SAVE_SUB_IDSTR_ICA_IBM_MMR | IBM MMR
DLG_FF_SAVE_SUB_IDSTR_RAWICA_G3_1D | CCITT G3 1D
DLG_FF_SAVE_SUB_IDSTR_RAWICA_G3_2D | CCITT G3 2D
DLG_FF_SAVE_SUB_IDSTR_RAWICA_G4 | CCITT G4
DLG_FF_SAVE_SUB_IDSTR_RAWICA_IBM_MMR | IBM MMR
DLG_FF_SAVE_SUB_IDSTR_JPEG24_LAB_444 | LAB 4:4:4
DLG_FF_SAVE_SUB_IDSTR_JPEG24_LAB_422 | LAB 4:2:2
DLG_FF_SAVE_SUB_IDSTR_JPEG24_LAB_411 | LAB 4:1:1
DLG_FF_SAVE_SUB_IDSTR_PSP_UNCOMPRESSED | Uncompressed
DLG_FF_SAVE_SUB_IDSTR_PSP_RLE | RLE Compressed
DLG_FF_SAVE_SUB_IDSTR_TIFX_CCITT_G4 | CCITT G4
DLG_FF_SAVE_SUB_IDSTR_TIFX_CCITT_G3_1D | CCITT G3 1D
DLG_FF_SAVE_SUB_IDSTR_TIFX_CCITT_G3_2D | CCITT G3 2D
DLG_FF_SAVE_SUB_IDSTR_TIFX_JBIG | JBIG
DLG_FF_SAVE_SUB_IDSTR_TIFX_JBIG_T43 | JBIG T43
DLG_FF_SAVE_SUB_IDSTR_TIFX_JBIG_T43_ITULAB | JBIG T43 ITULAB
DLG_FF_SAVE_SUB_IDSTR_TIFX_JPEG | JPEG
DLG_FF_SAVE_SUB_IDSTR_RAS_UNCOMPRESSED | Uncompressed
DLG_FF_SAVE_SUB_IDSTR_RAS_RLE | RLE Compressed
DLG_FF_SAVE_SUB_IDSTR_ITG_RLE | RLE Compressed
DLG_FF_SAVE_SUB_IDSTR_ITG_CCITT_G4 | CCITT G4
DLG_FF_SAVE_SUB_IDSTR_CLP_UNCOMPRESSED | Uncompressed
DLG_FF_SAVE_SUB_IDSTR_CLP_RLE | RLE Compressed
DLG_FF_SAVE_SUB_IDSTR_XWD_VERSION10 | Version 10
DLG_FF_SAVE_SUB_IDSTR_XWD_VERSION11 | Version 11
DLG_FF_SAVE_SUB_IDSTR_LEAD_MRC | LEAD MRC
DLG_FF_SAVE_SUB_IDSTR_MRC | MRC
Formats Ext |
DLG_FF_SAVE_EXT_IDSTR_ABIC | abic
DLG_FF_SAVE_EXT_IDSTR_AFP | afp
DLG_FF_SAVE_EXT_IDSTR_ANI | ani
DLG_FF_SAVE_EXT_IDSTR_AWD | awd
DLG_FF_SAVE_EXT_IDSTR_BMP | bmp
DLG_FF_SAVE_EXT_IDSTR_BMP | bmp
DLG_FF_SAVE_EXT_IDSTR_CALS | cal
DLG_FF_SAVE_EXT_IDSTR_CIN | cin
DLG_FF_SAVE_EXT_IDSTR_CLP | clp
DLG_FF_SAVE_EXT_IDSTR_CMW | cmw
DLG_FF_SAVE_EXT_IDSTR_CUR | cur
DLG_FF_SAVE_EXT_IDSTR_CUT | cut
DLG_FF_SAVE_EXT_IDSTR_DICOM | dic
DLG_FF_SAVE_EXT_IDSTR_ECW | ecw
DLG_FF_SAVE_EXT_IDSTR_EMF | emf
DLG_FF_SAVE_EXT_IDSTR_EPS | eps
DLG_FF_SAVE_EXT_IDSTR_EXIF | tif
DLG_FF_SAVE_EXT_IDSTR_EXIF_JPEG | jpg
DLG_FF_SAVE_EXT_IDSTR_FAX | fax
DLG_FF_SAVE_EXT_IDSTR_FIT | fit
DLG_FF_SAVE_EXT_IDSTR_FLC | flc
DLG_FF_SAVE_EXT_IDSTR_FPX | fpx
DLG_FF_SAVE_EXT_IDSTR_GEOTIFF | tif
DLG_FF_SAVE_EXT_IDSTR_GERBER | gbr
DLG_FF_SAVE_EXT_IDSTR_GIF | gif
DLG_FF_SAVE_EXT_IDSTR_ICO | ico
DLG_FF_SAVE_EXT_IDSTR_IFF | iff
DLG_FF_SAVE_EXT_IDSTR_IMG | img
DLG_FF_SAVE_EXT_IDSTR_ITG | itg
DLG_FF_SAVE_EXT_IDSTR_J2K | j2k
DLG_FF_SAVE_EXT_IDSTR_JBIG | jbg
DLG_FF_SAVE_EXT_IDSTR_JBIG2 | jb2
DLG_FF_SAVE_EXT_IDSTR_JP2 | jp2
DLG_FF_SAVE_EXT_IDSTR_JPEG | jpg
DLG_FF_SAVE_EXT_IDSTR_LEAD | cmp
DLG_FF_SAVE_EXT_IDSTR_MAC | mac
DLG_FF_SAVE_EXT_IDSTR_MODCA | ica
DLG_FF_SAVE_EXT_IDSTR_MRC | mrc
DLG_FF_SAVE_EXT_IDSTR_MSP | msp
DLG_FF_SAVE_EXT_IDSTR_OS2BMP | bmp
DLG_FF_SAVE_EXT_IDSTR_PBM | pbm
DLG_FF_SAVE_EXT_IDSTR_PCL | pcl
DLG_FF_SAVE_EXT_IDSTR_PCT | pct
DLG_FF_SAVE_EXT_IDSTR_PCX | pcx
DLG_FF_SAVE_EXT_IDSTR_PDF | pdf
DLG_FF_SAVE_EXT_IDSTR_PGM | pgm
DLG_FF_SAVE_EXT_IDSTR_PNG | png
DLG_FF_SAVE_EXT_IDSTR_PPM | ppm
DLG_FF_SAVE_EXT_IDSTR_PSD | psd
DLG_FF_SAVE_EXT_IDSTR_PSP | psp
DLG_FF_SAVE_EXT_IDSTR_PTOCA | ptk
DLG_FF_SAVE_EXT_IDSTR_RAS | ras
DLG_FF_SAVE_EXT_IDSTR_RAW | raw
DLG_FF_SAVE_EXT_IDSTR_RAWICA | ica
DLG_FF_SAVE_EXT_IDSTR_SCT | sct
DLG_FF_SAVE_EXT_IDSTR_SFF | sff
DLG_FF_SAVE_EXT_IDSTR_SGI | sgi
DLG_FF_SAVE_EXT_IDSTR_SHP | shp
DLG_FF_SAVE_EXT_IDSTR_SMP | smp
DLG_FF_SAVE_EXT_IDSTR_TGA | tga
DLG_FF_SAVE_EXT_IDSTR_TIFF | tif
DLG_FF_SAVE_EXT_IDSTR_TIFX | tifx
DLG_FF_SAVE_EXT_IDSTR_WBMP | wbmp
DLG_FF_SAVE_EXT_IDSTR_WFX | wfx
DLG_FF_SAVE_EXT_IDSTR_WMZ | wmz
DLG_FF_SAVE_EXT_IDSTR_WPG | wpg
DLG_FF_SAVE_EXT_IDSTR_XBM | xbm
DLG_FF_SAVE_EXT_IDSTR_XPM | xpm
DLG_FF_SAVE_EXT_IDSTR_XWD | xwd
DLG_FF_FILEINFO_IDSTR_ABC | Advanced Bitonal Compression format
DLG_FF_FILEINFO_IDSTR_ABIC | Adaptive bi-level image compression
DLG_FF_FILEINFO_IDSTR_AFP | Advanced Function Presentation AFP
DLG_FF_FILEINFO_IDSTR_ANI | Animated Cursor
DLG_FF_FILEINFO_IDSTR_AVI | Windows AVI
DLG_FF_FILEINFO_IDSTR_AWD | At Work Document-Microsoft FAX
DLG_FF_FILEINFO_IDSTR_BMP | Windows Bitmap - Uncompressed
DLG_FF_FILEINFO_IDSTR_BMP | Windows Meta file
DLG_FF_FILEINFO_IDSTR_BMP_RLE | Windows Bitmap - RLE Compressed
DLG_FF_FILEINFO_IDSTR_CALS | CALS Type 1
DLG_FF_FILEINFO_IDSTR_CALS2 | CALS Type 2
DLG_FF_FILEINFO_IDSTR_CALS3 | CALS Type 3
DLG_FF_FILEINFO_IDSTR_CALS4 | CALS Type 4
DLG_FF_FILEINFO_IDSTR_CCITT | Tagged Image File Format-CCITT
DLG_FF_FILEINFO_IDSTR_CCITT_GROUP3_1DIM | Tagged Image File Format-G31D
DLG_FF_FILEINFO_IDSTR_CCITT_GROUP3_2DIM | Tagged Image File Format-G32D
DLG_FF_FILEINFO_IDSTR_CCITT_GROUP4 | Tagged Image File Format-G4
DLG_FF_FILEINFO_IDSTR_CGM | Computer Graphics Metafile
DLG_FF_FILEINFO_IDSTR_CLP | Windows Clipboard Image
DLG_FF_FILEINFO_IDSTR_CLP_RLE | Windows Clipboard Image-RLE
DLG_FF_FILEINFO_IDSTR_CMP | LEAD Format
DLG_FF_FILEINFO_IDSTR_CMW | LEAD Wavelet
DLG_FF_FILEINFO_IDSTR_CMX | Corel Clipart
DLG_FF_FILEINFO_IDSTR_CUT | Dr. Halo Graphics (CUT)
DLG_FF_FILEINFO_IDSTR_DCS | Kodak Professional Digital Camera System file
DLG_FF_FILEINFO_IDSTR_DICOM_COLOR | DICOM Uncompressed Color
DLG_FF_FILEINFO_IDSTR_DICOM_GRAY | DICOM Uncompressed Grayscale
DLG_FF_FILEINFO_IDSTR_DICOM_JPEG_COLOR | DICOM JPEG Color
DLG_FF_FILEINFO_IDSTR_DICOM_JPEG_GRAY | DICOM JPEG Grayscale
DLG_FF_FILEINFO_IDSTR_DICOM_RLE_COLOR | DICOM RLE Color
DLG_FF_FILEINFO_IDSTR_DICOM_RLE_GRAY | DICOM RLE Grayscale
DLG_FF_FILEINFO_IDSTR_DRW | Micrografx Draw
DLG_FF_FILEINFO_IDSTR_DWF | AutoDesk Vector Format
DLG_FF_FILEINFO_IDSTR_DWG | AutoDesk Drawing
DLG_FF_FILEINFO_IDSTR_DXF | AutoDesk Drawing Interchange Format
DLG_FF_FILEINFO_IDSTR_DXF_R13 | AutoDesk Drawing Interchange Format R13
DLG_FF_FILEINFO_IDSTR_ECW | Enhanced Compressed Wavelet
DLG_FF_FILEINFO_IDSTR_EMF | Enhanced Metafile
DLG_FF_FILEINFO_IDSTR_EPS | Encapsulated PostScript Format
DLG_FF_FILEINFO_IDSTR_EPSBMP | PostScript Metafile
DLG_FF_FILEINFO_IDSTR_EPSTIFF | PostScript TIFF
DLG_FF_FILEINFO_IDSTR_EXIF | Exif (Uncompressed RGB)
DLG_FF_FILEINFO_IDSTR_EXIF_JPEG | Exif (JPEG 4:2:2)
DLG_FF_FILEINFO_IDSTR_EXIF_JPEG_411 | Exif (JPEG 4:1:1)
DLG_FF_FILEINFO_IDSTR_EXIF_YCC | Exif (Uncompressed YCbCr)
DLG_FF_FILEINFO_IDSTR_FAX_G3_1D | FAX G3 1D (Raw)
DLG_FF_FILEINFO_IDSTR_FAX_G3_2D | FAX G3 2D (Raw)
DLG_FF_FILEINFO_IDSTR_FAX_G4 | FAX G4 (Raw)
DLG_FF_FILEINFO_IDSTR_FLC | AutoDesk Animator Pro Animation
DLG_FF_FILEINFO_IDSTR_FLI | AutoDesk Animator Pro Animation
DLG_FF_FILEINFO_IDSTR_FPX | Kodak FlashPix (Uncompressed)
DLG_FF_FILEINFO_IDSTR_FPX_JPEG | Kodak FlashPix (JPEG Default qFactor)
DLG_FF_FILEINFO_IDSTR_FPX_JPEG_QFACTOR | Kodak FlashPix (JPEG specify qFactor)
DLG_FF_FILEINFO_IDSTR_FPX_SINGLE_COLOR | Kodak FlashPix (Single Color Compression)
DLG_FF_FILEINFO_IDSTR_GERBER | Gerber Vector
DLG_FF_FILEINFO_IDSTR_GIF | CompuServe Graphics Interchange Format
DLG_FF_FILEINFO_IDSTR_ICA_ABIC | IOCA files ABIC compression
DLG_FF_FILEINFO_IDSTR_ICA_G3_1D | IOCA Image Object Content Architecture-IBM-G31D
DLG_FF_FILEINFO_IDSTR_ICA_G3_2D | IOCA Image Object Content Architecture-IBM-G32D
DLG_FF_FILEINFO_IDSTR_ICA_G4 | IOCA Image Object Content Architecture-IBM-G4
DLG_FF_FILEINFO_IDSTR_ICA_IBM_MMR | IOCA Image Object Content Architecture-IBM-MMRESULT
DLG_FF_FILEINFO_IDSTR_ICA_UNCOMPRESSED | IOCA Image Object Content Architecture-IBM-Uncompressed
DLG_FF_FILEINFO_IDSTR_IFF_CAT | Amiga Interchange Format- CAT
DLG_FF_FILEINFO_IDSTR_IFF_ILBM | Amiga Interchange Format- ILBM
DLG_FF_FILEINFO_IDSTR_IMG | GEM Paint
DLG_FF_FILEINFO_IDSTR_INTERGRAPH_CCITT_G4 | Intergraph RLE
DLG_FF_FILEINFO_IDSTR_INTERGRAPH_RLE | Intergraph RLE
DLG_FF_FILEINFO_IDSTR_INTERGRAPH_VECTOR | Intergraph Vector
DLG_FF_FILEINFO_IDSTR_J2K | JPEG 2000 stream
DLG_FF_FILEINFO_IDSTR_JBIG | Joint Bilevel Image Group JBIG
DLG_FF_FILEINFO_IDSTR_JP2 | JPEG 2000 (JP2)
DLG_FF_FILEINFO_IDSTR_JPEG | JPEG (YUV 4:0:0)
DLG_FF_FILEINFO_IDSTR_JPEG_411 | JPEG (YUV 4:1:1)
DLG_FF_FILEINFO_IDSTR_JPEG_422 | JPEG (YUV 4:2:2)
DLG_FF_FILEINFO_IDSTR_JPEG_8 | JPEG 4:0:0
DLG_FF_FILEINFO_IDSTR_JPEG_LAB | JPEG (LAB 4:4:4)
DLG_FF_FILEINFO_IDSTR_JPEG_LAB_411 | JPEG (LAB 4:1:1)
DLG_FF_FILEINFO_IDSTR_JPEG_LAB_422 | JPEG (LAB 4:2:2)
DLG_FF_FILEINFO_IDSTR_JPEG_RGB | JPEG RGB
DLG_FF_FILEINFO_IDSTR_KDC_120 | Kodak Digital Camera file type 120
DLG_FF_FILEINFO_IDSTR_KDC_40 | Kodak Digital Camera file type 40
DLG_FF_FILEINFO_IDSTR_KDC_50 | Kodak Digital Camera file type 50
DLG_FF_FILEINFO_IDSTR_LASERDATA | LaserData
DLG_FF_FILEINFO_IDSTR_LEAD | LEAD Format
DLG_FF_FILEINFO_IDSTR_LOSSLESS_JPEG | Lossless JPEG
DLG_FF_FILEINFO_IDSTR_MAC | MacPaint
DLG_FF_FILEINFO_IDSTR_MPEG1 | MPEG-1
DLG_FF_FILEINFO_IDSTR_MPEG2 | MPEG-2
DLG_FF_FILEINFO_IDSTR_MSP | Microsoft Paint
DLG_FF_FILEINFO_IDSTR_NAP | NAP format (vector)
DLG_FF_FILEINFO_IDSTR_OS2 | Windows OS/2 BMP Version 1.0
DLG_FF_FILEINFO_IDSTR_OS2_2 | Windows OS/2 BMP Version 2.0
DLG_FF_FILEINFO_IDSTR_PBM_ASCII | Portable Bitmap (PBM) ASCII
DLG_FF_FILEINFO_IDSTR_PBM_BINARY | Portable Bitmap (PBM) Binary
DLG_FF_FILEINFO_IDSTR_PCD | Kodak Photo CD
DLG_FF_FILEINFO_IDSTR_PCL | HPGL plotter file vector graphics PCL
DLG_FF_FILEINFO_IDSTR_PCT | Macintosh PICTure
DLG_FF_FILEINFO_IDSTR_PCX | PC Paint Brush / ZSoft Paintbrush PCX and DCX
DLG_FF_FILEINFO_IDSTR_PDF_LEAD_MRC | PDF LEAD MRC file.
DLG_FF_FILEINFO_IDSTR_PGM_ASCII | Portable Greymap (PGM) ASCII
DLG_FF_FILEINFO_IDSTR_PGM_BINARY | Portable Greymap (PGM) Binary
DLG_FF_FILEINFO_IDSTR_PLT | HPGL or HPGL/2
DLG_FF_FILEINFO_IDSTR_PNG | Portable Network Graphics
DLG_FF_FILEINFO_IDSTR_PPM_ASCII | Portable Pixelmap (PPM) ASCII
DLG_FF_FILEINFO_IDSTR_PPM_BINARY | Portable Pixelmap (PPM) Binary
DLG_FF_FILEINFO_IDSTR_PSD | PhotoShop PSD
DLG_FF_FILEINFO_IDSTR_PSP | Paint Shop Pro Image - Uncompressed
DLG_FF_FILEINFO_IDSTR_PSP_RLE | Paint Shop Pro Image - RLE
DLG_FF_FILEINFO_IDSTR_PTOCA | MO:DCA PTOCA
DLG_FF_FILEINFO_IDSTR_RAS | Sun Raster Microsystems - Uncompressed
DLG_FF_FILEINFO_IDSTR_RAS_PDF | Adobe Acrobat (PDF) - Uncompressed
DLG_FF_FILEINFO_IDSTR_RAS_PDF_G3_1D | Adobe Acrobat (PDF) - CCITT G3 1D
DLG_FF_FILEINFO_IDSTR_RAS_PDF_G3_2D | Adobe Acrobat (PDF) - CCITT G3 2D
DLG_FF_FILEINFO_IDSTR_RAS_PDF_G4 | Adobe Acrobat (PDF) - CCITT G4
DLG_FF_FILEINFO_IDSTR_RAS_PDF_JPEG | Adobe Acrobat (PDF) - JPEG 4:4:4
DLG_FF_FILEINFO_IDSTR_RAS_PDF_JPEG_411 | Adobe Acrobat (PDF) - JPEG 4:1:1
DLG_FF_FILEINFO_IDSTR_RAS_PDF_JPEG_422 | Adobe Acrobat (PDF) - JPEG 4:2:2
DLG_FF_FILEINFO_IDSTR_RAS_RLE | Sun Raster Microsystems -RLE
DLG_FF_FILEINFO_IDSTR_RAW | Raw file format
DLG_FF_FILEINFO_IDSTR_RAWICA_G3_1D | MODCA Image Object Content Architecture-IBM-G31D (Raw)
DLG_FF_FILEINFO_IDSTR_RAWICA_G3_2D | MODCA Image Object Content Architecture-IBM-G32D (Raw)
DLG_FF_FILEINFO_IDSTR_RAWICA_G4 | MODCA Image Object Content Architecture-IBM-G4 (Raw)
DLG_FF_FILEINFO_IDSTR_RAWICA_IBM_MMR | MODCA Image Object Content Architecture-IBM-MMRESULT (Raw)
DLG_FF_FILEINFO_IDSTR_RAWICA_UNCOMPRESSED | MODCA Image Object Content Architecture-IBM-Uncompressed (Raw)
DLG_FF_FILEINFO_IDSTR_SCT | SciTex Continuous Tone
DLG_FF_FILEINFO_IDSTR_SGI | Silicon Graphics Image-Uncompressed
DLG_FF_FILEINFO_IDSTR_SGI_RLE | Silicon Graphics Image-RLE Compressed
DLG_FF_FILEINFO_IDSTR_SHP | ESRI Shape (Environmental Systems Research Institute)
DLG_FF_FILEINFO_IDSTR_SMP_G3_1D | Xionics SMP- G31D
DLG_FF_FILEINFO_IDSTR_SMP_G3_2D | Xionics SMP- G32D
DLG_FF_FILEINFO_IDSTR_SMP_G4 | Xionics SMP- G4
DLG_FF_FILEINFO_IDSTR_SMP_UNCOMPRESSED | Xionics SMP-Uncompressed
DLG_FF_FILEINFO_IDSTR_SVG_EMBEDDED | Scalable Vector Graphics-Embedded image
DLG_FF_FILEINFO_IDSTR_SVG_EXTERNAL | Scalable Vector Graphics
DLG_FF_FILEINFO_IDSTR_TGA_RLE | Truevision Targa - RLE
DLG_FF_FILEINFO_IDSTR_TGA_UNCOMPRESSED | Truevision Targa - Uncompressed
DLG_FF_FILEINFO_IDSTR_TIF | Tagged Image File Format-Uncompressed RGB
DLG_FF_FILEINFO_IDSTR_TIF_ABIC | Tagged Image File Format - Adaptive bi-level image compression
DLG_FF_FILEINFO_IDSTR_TIF_CMP | Tagged Image File Format-CMP
DLG_FF_FILEINFO_IDSTR_TIF_CMW | Tagged Image File Format-LEAD Wavelet
DLG_FF_FILEINFO_IDSTR_TIF_CMYK | Tagged Image File Format- Uncompressed CMYK
DLG_FF_FILEINFO_IDSTR_TIF_DXF | Tagged Image File Format-DXF
DLG_FF_FILEINFO_IDSTR_TIF_J2K | JPEG 2000 stream TIFF
DLG_FF_FILEINFO_IDSTR_TIF_JBIG | Tagged Image File Format-JBIG
DLG_FF_FILEINFO_IDSTR_TIF_JPEG | Tagged Image File Format-JPEG Gray YCbCr
DLG_FF_FILEINFO_IDSTR_TIF_JPEG_411 | Tagged Image File Format- JPEG YCbCr 4:1:1
DLG_FF_FILEINFO_IDSTR_TIF_JPEG_422 | Tagged Image File Format- JPEG YCbCr 4:2:2
DLG_FF_FILEINFO_IDSTR_TIF_JPEG_8 | Tagged Image File Format-JPEG 4:0:0
DLG_FF_FILEINFO_IDSTR_TIF_PACKBITS | Tagged Image File Format-Packbits RLE
DLG_FF_FILEINFO_IDSTR_TIF_PACKBITS_CMYK | Tagged Image File Format- Packbits CMYK
DLG_FF_FILEINFO_IDSTR_TIF_PACKBITS_YCC | Tagged Image File Format- Uncompressed YCbCR
DLG_FF_FILEINFO_IDSTR_TIF_UNKNOWN | Tagged Image File Format-Unknown
DLG_FF_FILEINFO_IDSTR_TIF_YCC | Tagged Image File Format- Packbits YcbCr
DLG_FF_FILEINFO_IDSTR_TIFLZW | Tagged Image File Format-LZW RGB
DLG_FF_FILEINFO_IDSTR_TIFLZW_CMYK | Tagged Image File Format- CMYK
DLG_FF_FILEINFO_IDSTR_TIFLZW_YCC | Tagged Image File Format- LZW YcbCr
DLG_FF_FILEINFO_IDSTR_TIFX_FAX_G3_1D | TIFF-FX CCITT G3 1D
DLG_FF_FILEINFO_IDSTR_TIFX_FAX_G3_2D | TIFF-FX CCITT G3 2D
DLG_FF_FILEINFO_IDSTR_TIFX_FAX_G4 | TIFF-FX CCITT G4
DLG_FF_FILEINFO_IDSTR_TIFX_JBIG | TIFF-FX CCITT JBIG
DLG_FF_FILEINFO_IDSTR_TIFX_JBIG_T43 | TIFF-FX CCITT JBIG T43
DLG_FF_FILEINFO_IDSTR_TIFX_JBIG_T43_GS | TIFF-FX CCITT JBIG T43 GS
DLG_FF_FILEINFO_IDSTR_TIFX_JBIG_T43_ITULAB | TIFF-FX CCITT JBIG T43 ITULAB
DLG_FF_FILEINFO_IDSTR_TIFX_JPEG | TIFF-FX JPEG
DLG_FF_FILEINFO_IDSTR_TXT | Text format
DLG_FF_FILEINFO_IDSTR_VWPG | WordPerfect Vector
DLG_FF_FILEINFO_IDSTR_WBMP | Wireless bitmap (WBMP)
DLG_FF_FILEINFO_IDSTR_WFX_G3_1D | Winfax G3 1D
DLG_FF_FILEINFO_IDSTR_WFX_G4 | Winfax G4
DLG_FF_FILEINFO_IDSTR_WIN_CUR | Windows Cursor
DLG_FF_FILEINFO_IDSTR_WIN_ICO | Windows ICON
DLG_FF_FILEINFO_IDSTR_WPG | WordPerfect Graphics Bitmap
DLG_FF_FILEINFO_IDSTR_XBM | X BitMap
DLG_FF_FILEINFO_IDSTR_XPM | X Pixel Map
DLG_FF_FILEINFO_IDSTR_XWD10 | X Window system window dump- 10
DLG_FF_FILEINFO_IDSTR_XWD11 | X Window system window dump- 11
Open Dialog Strings |
DLG_OPEN_IDSTR_OPEN | Open
DLG_OPEN_IDSTR_SHORTCUTBAR_PATHS | Paths
DLG_OPEN_IDSTR_SHORTCUTBAR_HISTORY | History
DLG_OPEN_IDSTR_SHORTCUTBAR_MYDOCUMENTS | My Documents
DLG_OPEN_IDSTR_SHORTCUTBAR_DESKTOP | Desktop
DLG_OPEN_IDSTR_SHORTCUTBAR_FILEINFO | File Info
DLG_OPEN_IDSTR_PAGENUMBER | Page No.:
DLG_OPEN_IDSTR_DELETEPAGE | Delete Page
DLG_OPEN_IDSTR_PREVIEWTOOLTIP | Preview Selected File
DLG_OPEN_IDSTR_LOOKIN | Look &in
DLG_OPEN_IDSTR_FILENAME | File &name:
DLG_OPEN_IDSTR_FILESOFTYPE | Files of &type:
DLG_OPEN_IDSTR_SHOWLOADOPTIONS | &Show Options on Open
DLG_OPEN_IDSTR_MSG_DELPAGE_TEXT | Delete page %d?
DLG_OPEN_IDSTR_MSG_DELPAGE_CAPTION | Delete Page
DLG_OPEN_IDSTR_MSG_DELPAGE_ERROR | Error Deleting Page!
DLG_OPEN_IDSTR_MSG_FILEINFO_TEXT | Error %d: Information not available for\n %s
DLG_OPEN_IDSTR_MSG_FILEINFO_CAPTION | FileInfo Error
JBIG2 Options Dialog |
DLG_JBIG2OPTIONS_IDSTR_CAPTION | JBIG2 Options
DLG_JBIG2OPTIONS_IDSTR_GBAT1 | G-BAT&1
DLG_JBIG2OPTIONS_IDSTR_GBAT1X | X:
DLG_JBIG2OPTIONS_IDSTR_GBAT1Y | Y:
DLG_JBIG2OPTIONS_IDSTR_GBAT2 | G-BAT&2
DLG_JBIG2OPTIONS_IDSTR_GBAT2X | X:
DLG_JBIG2OPTIONS_IDSTR_GBAT2Y | Y:
DLG_JBIG2OPTIONS_IDSTR_GBAT3 | G-BAT&3
DLG_JBIG2OPTIONS_IDSTR_GBAT3X | X:
DLG_JBIG2OPTIONS_IDSTR_GBAT3Y | Y:
DLG_JBIG2OPTIONS_IDSTR_GBAT4 | G-BAT&4
DLG_JBIG2OPTIONS_IDSTR_GBAT4X | X:
DLG_JBIG2OPTIONS_IDSTR_GBAT4Y | Y:
DLG_JBIG2OPTIONS_IDSTR_TEMPLATE | &Template
DLG_JBIG2OPTIONS_IDSTR_THREELINES10PIXEL | Three Lines 10 Pixel
DLG_JBIG2OPTIONS_IDSTR_THREELINES13PIXEL | Three Lines 13 Pixel
DLG_JBIG2OPTIONS_IDSTR_THREELINES16PIXEL | Three Lines 16 Pixel
DLG_JBIG2OPTIONS_IDSTR_TWOLINES10PIXEL | Two Lines 10 Pixel
DLG_JBIG2OPTIONS_IDSTR_TYPICALPREDICTION | Typical &Prediction


Customizing File Format Lists

LEADTOOLS lets you customize the file format lists included in the Save dialog, displayed using ShowSaveDlg method, and the File Conversion dialog, displayed using ShowFileConversionDlg method. Customizing lets you include only those file formats, BPP options and sub-format options that you want, instead of all files formats, BPP options and sub-format options supported by LEADTOOLS.

Below are all LEADTOOLs supported save formats, BPP, and sub-formats to be used for customize Save and File Conversion dialogs properties.

LEAD (*.cmp)

Format Constant (nType): | Supported BPP: | Supported Sub-formats for each BPP:
DLG_FF_SAVE_LEAD | 1 | No sub-formats
 | 8, 24 | DLG_FF_SAVE_SUB_CMP_NONPROGRESSIVE DLG_FF_SAVE_SUB_CMP_PROGRESSIVE

JPEG (*.jpg)

Format Constant (nType): | Supported BPP: | Supported Sub-formats for each BPP:
DLG_FF_SAVE_JPEG | 8 | DLG_FF_SAVE_SUB_JPEG8_YUV_400 DLG_FF_SAVE_SUB_JPEG8_PROG_400 DLG_FF_SAVE_SUB_JPEG8_LOSSLESS
 | 12 | DLG_FF_SAVE_SUB_JPEG12_YUV_400 DLG_FF_SAVE_SUB_JPEG12_LOSSLESS
 | 16 | No sub-formats
 | 24 | DLG_FF_SAVE_SUB_JPEG24_YUV_444 DLG_FF_SAVE_SUB_JPEG24_YUV_422 DLG_FF_SAVE_SUB_JPEG24_YUV_411 DLG_FF_SAVE_SUB_JPEG24_PROG_444 DLG_FF_SAVE_SUB_JPEG24_PROG_422 DLG_FF_SAVE_SUB_JPEG24_PROG_411 DLG_FF_SAVE_SUB_JPEG24_LOSSLESS DLG_FF_SAVE_SUB_JPEG24_LAB_444 DLG_FF_SAVE_SUB_JPEG24_LAB_422 DLG_FF_SAVE_SUB_JPEG24_LAB_411

LEAD Wavelet(*.cmw)

Format Constant (nType): | Supported BPP: | Supported Sub-formats for each BPP:
DLG_FF_SAVE_CMW | 8, 12, 16, 24 | No sub-formats

JPEG 2000(*.j2k; *.jp2)

Format Constant (nType): | Supported BPP: | Supported Sub-formats for each BPP:
DLG_FF_SAVE_J2K | 8, 12, 16, 24 | DLG_FF_SAVE_SUB_J2K_STREAM DLG_FF_SAVE_SUB_J2K_JP2

TIF (*.tif)

Format Constant (nType): | Supported BPP: | Supported Sub-formats for each BPP:
DLG_FF_SAVE_TIFF | 1 | DLG_FF_SAVE_SUB_TIFF1_CCITT DLG_FF_SAVE_SUB_TIFF1_CCITT_G3_1D DLG_FF_SAVE_SUB_TIFF1_CCITT_G3_2D DLG_FF_SAVE_SUB_TIFF1_CCITT_G4 DLG_FF_SAVE_SUB_TIFF1_UNCOMPRESSEDRGB DLG_FF_SAVE_SUB_TIFF1_RLERGB DLG_FF_SAVE_SUB_TIFF1_LZWRGB DLG_FF_SAVE_SUB_TIFF1_JBIG DLG_FF_SAVE_SUB_TIFF1_JBIG2 DLG_FF_SAVE_SUB_TIFF1_ABIC
 | 4 | DLG_FF_SAVE_SUB_TIFF4_UNCOMPRESSED DLG_FF_SAVE_SUB_TIFF4_RLE DLG_FF_SAVE_SUB_TIFF4_LZW DLG_FF_SAVE_SUB_TIFF4_JBIG DLG_FF_SAVE_SUB_TIFF4_ABIC
 | 2, 3, 5, 6, 7 | DLG_FF_SAVE_SUB_TIFFOTHER_UNCOMPRESSED DLG_FF_SAVE_SUB_TIFFOTHER_RLE DLG_FF_SAVE_SUB_TIFFOTHER_LZW DLG_FF_SAVE_SUB_TIFFOTHER_JBIG
 | 8 | DLG_FF_SAVE_SUB_TIFF8_UNCOMPRESSEDRGB DLG_FF_SAVE_SUB_TIFF8_RLERGB DLG_FF_SAVE_SUB_TIFF8_JPEG_GRAY_YCC DLG_FF_SAVE_SUB_TIFF8_LOSSLESSJPEG DLG_FF_SAVE_SUB_TIFF8_LZWRGB DLG_FF_SAVE_SUB_TIFF8_JBIG DLG_FF_SAVE_SUB_TIFF8_CMP DLG_FF_SAVE_SUB_TIFF8_J2K DLG_FF_SAVE_SUB_TIFF8_CMW
 | 12 | DLG_FF_SAVE_SUB_TIFF12_UNCOMPRESSED DLG_FF_SAVE_SUB_TIFF12_RLE DLG_FF_SAVE_SUB_TIFF12_LOSSLESSJPEG DLG_FF_SAVE_SUB_TIFF12_JPEG_GRAY_YCC DLG_FF_SAVE_SUB_TIFF12_LZW DLG_FF_SAVE_SUB_TIFF12_J2K DLG_FF_SAVE_SUB_TIFF12_CMW
 | 16 | DLG_FF_SAVE_SUB_TIFF16_UNCOMPRESSED DLG_FF_SAVE_SUB_TIFF16_RLE DLG_FF_SAVE_SUB_TIFF16_LOSSLESSJPEG DLG_FF_SAVE_SUB_TIFF16_LZW DLG_FF_SAVE_SUB_TIFF16_J2K DLG_FF_SAVE_SUB_TIFF16_CMW
 | 24 | DLG_FF_SAVE_SUB_TIFF24_UNCOMPRESSEDRGB DLG_FF_SAVE_SUB_TIFF24_UNCOMPRESSEDCMYK DLG_FF_SAVE_SUB_TIFF24_UNCOMPRESSEDYCC DLG_FF_SAVE_SUB_TIFF24_RLERGB DLG_FF_SAVE_SUB_TIFF24_RLECMYK DLG_FF_SAVE_SUB_TIFF24_RLEYCC DLG_FF_SAVE_SUB_TIFF24_JPEG_YCC_444 DLG_FF_SAVE_SUB_TIFF24_JPEG_YCC_422 DLG_FF_SAVE_SUB_TIFF24_JPEG_YCC_411 DLG_FF_SAVE_SUB_TIFF24_LOSSLESSJPEG DLG_FF_SAVE_SUB_TIFF24_LZWRGB DLG_FF_SAVE_SUB_TIFF24_LZWCMYK DLG_FF_SAVE_SUB_TIFF24_LZWYCC DLG_FF_SAVE_SUB_TIFF24_CMP_NONPROGRESSIVE DLG_FF_SAVE_SUB_TIFF24_CMP_PROGRESSIVE DLG_FF_SAVE_SUB_TIFF24_J2K DLG_FF_SAVE_SUB_TIFF24_CMW DLG_FF_SAVE_SUB_TIFF24_LEAD_MRC DLG_FF_SAVE_SUB_TIFF24_MRC
 | 32 | DLG_FF_SAVE_SUB_TIFF32_UNCOMPRESSEDRGB DLG_FF_SAVE_SUB_TIFF32_UNCOMPRESSEDCMYK DLG_FF_SAVE_SUB_TIFF32_RLERGB DLG_FF_SAVE_SUB_TIFF32_RLECMYK DLG_FF_SAVE_SUB_TIFF32_LZWRGB DLG_FF_SAVE_SUB_TIFF32_LZWCMYK
 | 48 | DLG_FF_SAVE_SUB_TIFF48_UNCOMPRESSEDRGB DLG_FF_SAVE_SUB_TIFF48_LZWRGB
 | 64 | DLG_FF_SAVE_SUB_TIFF64_UNCOMPRESSEDRGB DLG_FF_SAVE_SUB_TIFF64_LZWRGB

GIF (*.gif)

Format Constant (nType): | Supported BPP: | Supported Sub-formats for each BPP:
DLG_FF_SAVE_GIF | 1, 2, 3, 4, 5, 6, 7, 8 | DLG_FF_SAVE_SUB_GIF_INTERLACED89A DLG_FF_SAVE_SUB_GIF_NONINTERLACED89A

CServe PNG (*.png)

Format Constant (nType): | Supported BPP: | Supported Sub-formats for each BPP:
DLG_FF_SAVE_PNG | 1, 4, 8, 24, 32 | No sub-formats

Animated Cursor (*.ani)

Format Constant (nType): | Supported BPP: | Supported Sub-formats for each BPP:
DLG_FF_SAVE_ANI | 1, 4, 8, 24 | No sub-formats

CALS (*.cal)

Format Constant (nType): | Supported BPP: | Supported Sub-formats for each BPP:
DLG_FF_SAVE_CALS | 1 | DLG_FF_SAVE_SUB_CALS DLG_FF_SAVE_SUB_CALS2 DLG_FF_SAVE_SUB_CALS3 DLG_FF_SAVE_SUB_CALS4

Cineon (*.cin)

Format Constant (nType): | Supported BPP: | Supported Sub-formats for each BPP:
DLG_FF_SAVE_CIN | 24 | No sub-formats

CLP (*.clp)

Format Constant (nType): | Supported BPP: | Supported Sub-formats for each BPP:
DLG_FF_SAVE_CLP | 1, 4, 24 | No sub-formats
 | 8 | DLG_FF_SAVE_SUB_CLP_UNCOMPRESSED DLG_FF_SAVE_SUB_CLP_RLE

Compressed Windows Metafile (*.wmz)

Format Constant (nType): | Supported BPP: | Supported Sub-formats for each BPP:
DLG_FF_SAVE_WMZ | 24 | No sub-formats

DICOM DIC Gray (*.dic)

Format Constant (nType): | Supported BPP: | Supported Sub-formats for each BPP:
DLG_FF_SAVE_DICOMGRAY | 8 | DLG_FF_SAVE_SUB_DICOM8_GRAY DLG_FF_SAVE_SUB_DICOM8_COLOR DLG_FF_SAVE_SUB_DICOM8_RLE_GRAY DLG_FF_SAVE_SUB_DICOM8_RLE_COLOR DLG_FF_SAVE_SUB_DICOM8_JPEG_GRAY DLG_FF_SAVE_SUB_DICOM8_J2K_GRAY_LOSSLESS DLG_FF_SAVE_SUB_DICOM8_J2K_GRAY
 | 16 | DLG_FF_SAVE_SUB_DICOM16_GRAY DLG_FF_SAVE_SUB_DICOM16_RLE_GRAY DLG_FF_SAVE_SUB_DICOM16_LOSSLESSJPEG_GRAY DLG_FF_SAVE_SUB_DICOM16_J2K_GRAY_LOSSLESS DLG_FF_SAVE_SUB_DICOM16_J2K_GRAY

DICOM DIC Color (*.dic)

Format Constant (nType): | Supported BPP: | Supported Sub-formats for each BPP:
DLG_FF_SAVE_DICOMCOLOR | 24 | DLG_FF_SAVE_SUB_DICOM24_COLOR DLG_FF_SAVE_SUB_DICOM24_RLE_COLOR DLG_FF_SAVE_SUB_DICOM24_LOSSLESSJPEG_COLOR DLG_FF_SAVE_SUB_DICOM24_JPEG_COLOR DLG_FF_SAVE_SUB_DICOM24_J2K_GRAY_LOSSLESS DLG_FF_SAVE_SUB_DICOM24_J2K_GRAY

Dr Halo (*.cut)

Format Constant (nType): | Supported BPP: | Supported Sub-formats for each BPP:
DLG_FF_SAVE_CUT | 8 | No sub-formats

ECW (*.ecw)

Format Constant (nType): | Supported BPP: | Supported Sub-formats for each BPP:
DLG_FF_SAVE_ECW | 24 | No sub-formats

EMF (*.emf)

Format Constant (nType): | Supported BPP: | Supported Sub-formats for each BPP:
DLG_FF_SAVE_EMF | 8, 24 | No sub-formats

EPS (*.eps)

Format Constant (nType): | Supported BPP: | Supported Sub-formats for each BPP:
DLG_FF_SAVE_EPS | 8 | No sub-formats

EXIF (*.tif)

Format Constant (nType): | Supported BPP: | Supported Sub-formats for each BPP:
DLG_FF_SAVE_EXIF | 24 | DLG_FF_SAVE_SUB_EXIF_UNCOMPRESSEDRGB DLG_FF_SAVE_SUB_EXIF_UNCOMPRESSEDYCC DLG_FF_SAVE_SUB_EXIF_JPEG_411 DLG_FF_SAVE_SUB_EXIF_JPEG_422

FAX (Raw) (*.fax)

Format Constant (nType): | Supported BPP: | Supported Sub-formats for each BPP:
DLG_FF_SAVE_FAX | 1 | DLG_FF_SAVE_SUB_FAX_G3_1D DLG_FF_SAVE_SUB_FAX_G3_2D DLG_FF_SAVE_SUB_FAX_G4

FIT (*.fit)

Format Constant (nType): | Supported BPP: | Supported Sub-formats for each BPP:
DLG_FF_SAVE_FIT | 8, 16, 32 | No sub-formats

FLC (*.flc)

Format Constant (nType): | Supported BPP: | Supported Sub-formats for each BPP:
DLG_FF_SAVE_FLC | 8 | No sub-formats

FPX (*.fpx)

Format Constant (nType): | Supported BPP: | Supported Sub-formats for each BPP:
DLG_FF_SAVE_FPX | 8, 24 | DLG_FF_SAVE_SUB_FPX_UNCOMPRESSED DLG_FF_SAVE_SUB_FPX_SINGLECOLOR DLG_FF_SAVE_SUB_FPX_DEFQFACTOR DLG_FF_SAVE_SUB_FPX_SPECQFACTOR

GEM (*.img)

Format Constant (nType): | Supported BPP: | Supported Sub-formats for each BPP:
DLG_FF_SAVE_IMG | 1 | No sub-formats

GeoTIFF (*.tif)

Format Constant (nType): | Supported BPP: | Supported Sub-formats for each BPP:
DLG_FF_SAVE_GEOTIFF | 16 | No sub-formats

IFF (*.iff)

Format Constant (nType): | Supported BPP: | Supported Sub-formats for each BPP:
DLG_FF_SAVE_IFF | 1 – 8, 24 | DLG_FF_SAVE_SUB_IFF_ILBM_UNCOMPRESSED DLG_FF_SAVE_SUB_IFF_ILBM_RLE DLG_FF_SAVE_SUB_IFF_CAT_UNCOMPRESSED DLG_FF_SAVE_SUB_IFF_CAT_RLE

ITG (*.itg)

Format Constant (nType): | Supported BPP: | Supported Sub-formats for each BPP:
DLG_FF_SAVE_ITG | 1 | DLG_FF_SAVE_SUB_ITG_RLE DLG_FF_SAVE_SUB_ITG_CCITT_G4

JBIG (*.jbg)

Format Constant (nType): | Supported BPP: | Supported Sub-formats for each BPP:
DLG_FF_SAVE_JBIG | 1 - 8 | No sub-formats

JBIG2 (*.jb2)

Format Constant (nType): | Supported BPP: | Supported Sub-formats for each BPP:
DLG_FF_SAVE_JBIG2 | 1 | No sub-formats

MacPaint (*.mac)

Format Constant (nType): | Supported BPP: | Supported Sub-formats for each BPP:
DLG_FF_SAVE_MAC | 1 | No sub-formats

MacPaint (*.mac)

Format Constant (nType): | Supported BPP: | Supported Sub-formats for each BPP:
DLG_FF_SAVE_PCT | 1, 4, 8, 16, 24 | No sub-formats

MODCA IOCA (*.ica)

Format Constant (nType): | Supported BPP: | Supported Sub-formats for each BPP:
DLG_FF_SAVE_MODCA | 1 | DLG_FF_SAVE_SUB_ICA_G3_1D DLG_FF_SAVE_SUB_ICA_G3_2D DLG_FF_SAVE_SUB_ICA_G4 DLG_FF_SAVE_SUB_ICA_IBM_MMR DLG_FF_SAVE_SUB_ICA_UNCOMPRESSED DLG_FF_SAVE_SUB_ICA_ABIC
 | 4 | DLG_FF_SAVE_SUB_ICA4_ABIC

MRC (*.mrc)

Format Constant (nType): | Supported BPP: | Supported Sub-formats for each BPP:
DLG_FF_SAVE_MRC | 24 | DLG_FF_SAVE_SUB_LEAD_MRC DLG_FF_SAVE_SUB_MRC

MS FAX (AWD) (*.awd)

Format Constant (nType): | Supported BPP: | Supported Sub-formats for each BPP:
DLG_FF_SAVE_AWD | 1 | No sub-formats

MS Paint (*.msp)

Format Constant (nType): | Supported BPP: | Supported Sub-formats for each BPP:
DLG_FF_SAVE_MSP | 1 | No sub-formats

OS/2 BMP (*.bmp)

Format Constant (nType): | Supported BPP: | Supported Sub-formats for each BPP:
DLG_FF_SAVE_OS2BMP | 1, 4, 8, 24 | DLG_FF_SAVE_SUB_OS2_VER1 DLG_FF_SAVE_SUB_OS2_VER2

PBM (*.pbm)

Format Constant (nType): | Supported BPP: | Supported Sub-formats for each BPP:
DLG_FF_SAVE_PBM | 1 | DLG_FF_SAVE_SUB_PBM_ASCII DLG_FF_SAVE_SUB_PBM_BINARY

PCX (*.pcx)

Format Constant (nType): | Supported BPP: | Supported Sub-formats for each BPP:
DLG_FF_SAVE_PCX | 1, 4, 8, 24 | No sub-formats

PDF (*.pdf)

Format Constant (nType): | Supported BPP: | Supported Sub-formats for each BPP:
DLG_FF_SAVE_PDF | 1 | DLG_FF_SAVE_SUB_PDF1_UNCOMPRESSED DLG_FF_SAVE_SUB_PDF1_CCITT_G3_1D DLG_FF_SAVE_SUB_PDF1_CCITT_G3_2D DLG_FF_SAVE_SUB_PDF1_CCITT_G4 DLG_FF_SAVE_SUB_PDF1_RAS_PDF_LZW
 | 2 | DLG_FF_SAVE_SUB_PDF2_RAS_PDF_LZW
 | 4 | DLG_FF_SAVE_SUB_PDF4_RAS_PDF_LZW
 | 8 | DLG_FF_SAVE_SUB_PDF8_UNCOMPRESSED DLG_FF_SAVE_SUB_PDF8_LOSSLESSJPEG DLG_FF_SAVE_SUB_PDF8_RAS_PDF_LZW
 | 24 | DLG_FF_SAVE_SUB_PDF24_UNCOMPRESSED DLG_FF_SAVE_SUB_PDF24_YUV_444 DLG_FF_SAVE_SUB_PDF24_YUV_422 DLG_FF_SAVE_SUB_PDF24_YUV_411 DLG_FF_SAVE_SUB_PDF24_RAS_PDF_LZW DLG_FF_SAVE_SUB_PDF24_PDF_LEAD_MRC

PGM (*.pgm)

Format Constant (nType): | Supported BPP: | Supported Sub-formats for each BPP:
DLG_FF_SAVE_PGM | 8 | DLG_FF_SAVE_SUB_PGM_ASCII DLG_FF_SAVE_SUB_PGM_BINARY

PPM (*.ppm)

Format Constant (nType): | Supported BPP: | Supported Sub-formats for each BPP:
DLG_FF_SAVE_PPM | 24 | DLG_FF_SAVE_SUB_PGM_ASCII DLG_FF_SAVE_SUB_PGM_BINARY

PSD (*.psd)

Format Constant (nType): | Supported BPP: | Supported Sub-formats for each BPP:
DLG_FF_SAVE_PSD | 1, 8, 24 | No sub-formats

PSP (*.ppm)

Format Constant (nType): | Supported BPP: | Supported Sub-formats for each BPP:
DLG_FF_SAVE_PSP | 1, 4, 8, 24 | DLG_FF_SAVE_SUB_PSP_RLE DLG_FF_SAVE_SUB_PSP_UNCOMPRESSED

RAW data (*.raw)

Format Constant (nType): | Supported BPP: | Supported Sub-formats for each BPP:
DLG_FF_SAVE_RAW |  |

Raw IOCA (*.ica)

Format Constant (nType): | Supported BPP: | Supported Sub-formats for each BPP:
DLG_FF_SAVE_RAWICA | 1 | DLG_FF_SAVE_SUB_RAWICA_G3_1D DLG_FF_SAVE_SUB_RAWICA_G3_2D DLG_FF_SAVE_SUB_RAWICA_G4 DLG_FF_SAVE_SUB_RAWICA_IBM_MMR DLG_FF_SAVE_SUB_RAWICA_UNCOMPRESSED

Scitex Continuous Tone SCT (*.sct)

Format Constant (nType): | Supported BPP: | Supported Sub-formats for each BPP:
DLG_FF_SAVE_SCT | 24 | No sub-formats

SGI (*.sgi)

Format Constant (nType): | Supported BPP: | Supported Sub-formats for each BPP:
DLG_FF_SAVE_SGI | 8, 24, 32 | DLG_FF_SAVE_SUB_SGI_UNCOMPRESSED DLG_FF_SAVE_SUB_SGI_RLECOMPRESSED

Structured Fax File (*.sff)

Format Constant (nType): | Supported BPP: | Supported Sub-formats for each BPP:
DLG_FF_SAVE_SFF | 1 | No sub-formats

SUN Ras (*.ras)

Format Constant (nType): | Supported BPP: | Supported Sub-formats for each BPP:
DLG_FF_SAVE_RAS | 1, 4, 8, 24, 32 | DLG_FF_SAVE_SUB_RAS_RLE DLG_FF_SAVE_SUB_RAS_UNCOMPRESSED

TGA (*.tga)

Format Constant (nType): | Supported BPP: | Supported Sub-formats for each BPP:
DLG_FF_SAVE_TGA | 8, 16, 24, 32 | DLG_FF_SAVE_SUB_TGA_RLE DLG_FF_SAVE_SUB_TGA_UNCOMPRESSED

TIFX (*.tifx)

Format Constant (nType): | Supported BPP: | Supported Sub-formats for each BPP:
DLG_FF_SAVE_TIFX | 1 | DLG_FF_SAVE_SUB_TIFX_CCITT_G4 DLG_FF_SAVE_SUB_TIFX_CCITT_G3_1D DLG_FF_SAVE_SUB_TIFX_CCITT_G3_2D DLG_FF_SAVE_SUB_TIFX_JBIG
 | 3, 8, 24 | No sub-formats

Winfax (*.wfx)

Format Constant (nType): | Supported BPP: | Supported Sub-formats for each BPP:
DLG_FF_SAVE_WFX | 1 | DLG_FF_SAVE_SUB_WFX_CCITT_G3_1D DLG_FF_SAVE_SUB_WFX_CCITT_G4

Winfax (*.wfx)

Format Constant (nType): | Supported BPP: | Supported Sub-formats for each BPP:
DLG_FF_SAVE_BMP | 1 | No sub-formats
 | 4, 8 | DLG_FF_SAVE_SUB_BMP_UNCOMPRESSED DLG_FF_SAVE_SUB_BMP_RLECOMPRESSED
 | 16, 24, 32 | No sub-formats

Win Cursor (*.cur)

Format Constant (nType): | Supported BPP: | Supported Sub-formats for each BPP:
DLG_FF_SAVE_CUR | 1, 4, 8, 24 | No sub-formats

Win Icon (*.ico)

Format Constant (nType): | Supported BPP: | Supported Sub-formats for each BPP:
DLG_FF_SAVE_ICO | 1, 4, 8, 24 | No sub-formats

Wireless Bitmap (WBMP) (*.wbmp)

Format Constant (nType): | Supported BPP: | Supported Sub-formats for each BPP:
DLG_FF_SAVE_WBMP | 1 | No sub-formats

WMF (*.wmf)

Format Constant (nType): | Supported BPP: | Supported Sub-formats for each BPP:
DLG_FF_SAVE_WMF | 8, 24 | No sub-formats

WPG (*.wpg)

Format Constant (nType): | Supported BPP: | Supported Sub-formats for each BPP:
DLG_FF_SAVE_WPG | 1, 4, 8 | No sub-formats

XBM (*.xbm)

Format Constant (nType): | Supported BPP: | Supported Sub-formats for each BPP:
DLG_FF_SAVE_XBM | 1 | No sub-formats

Xionics SMP (*.smp)

Format Constant (nType): | Supported BPP: | Supported Sub-formats for each BPP:
DLG_FF_SAVE_SMP | 1 | DLG_FF_SAVE_SUB_SMP_CCITT_GROUP3_1D DLG_FF_SAVE_SUB_SMP_CCITT_GROUP3_2D DLG_FF_SAVE_SUB_SMP_CCITT_GROUP4 DLG_FF_SAVE_SUB_SMP_UNCOMPRESSED

XPM (*.xpm)

Format Constant (nType): | Supported BPP: | Supported Sub-formats for each BPP:
DLG_FF_SAVE_XPM | 8, 16, 24, 32 | No sub-formats

XWD (*.xwd)

Format Constant (nType): | Supported BPP: | Supported Sub-formats for each BPP:
DLG_FF_SAVE_XWD | 1, 4, 8 | DLG_FF_SAVE_SUB_XWD_VERSION10 DLG_FF_SAVE_SUB_XWD_VERSION11
 | 16, 24, 32 | No sub-formats


Raster Pro/Document/Medical Features

Raster Pro:

LEADTOOLS Raster Imaging Pro provides some imaging capabilities that are not available in the LEADTOOLS Raster Imaging product. In order to access these features, you must unlock them by calling UnlockSupport (L_SUPPORT_LTPRO, L_KEY_LTPRO). L_KEY_LTPRO can be found in ltkey.h.

If you are a licensed user of LEADTOOLS Raster Imaging, and would like to access Raster Imaging Pro features, you must contact Tech Support for information on obtaining a license and the unlock key for calling LSettings::UnlockSupport.

Document/Medical:

LEADTOOLS Document Imaging, LEADTOOLS Document Imaging Suite, LEADTOOLS Medical Imaging and LEADTOOLS Medical Imaging Suite are the most comprehensive imaging toolkits on the market. No other toolkit provides as many imaging features for color, gray-scale and black & white images in one development package, and for one price. These toolkits comprise LEAD's best code and are designed for the programmer who is looking for the fastest performance, and/or the most extensive color, document, and medical imaging capabilities available.

These toolkits contain powerful annotation capabilities and optimized document image processing filters, and high performance compression, decompression and viewing of JPEG, LEAD CMP, MRC and CCITT G3/G4. The annotation capabilities enable the programmer to add text, highlights, sticky notes, audio, ellipses, buttons, lines, arrows, rectangles, polygons, redaction (blackout), hotspots, freehand scribble, pointers, bitmap and text stamps, to black & white and color images. Programmers working with document imaging will also find special processing filters such as despeckle, deskew, favor black, and scale to gray to enhance their black and white 1 bit images. Additionally, you can achieve faster rotation in 90-degree increments by applying a rotated view perspective to the bitmap. These LEADTOOLS toolkits offer the fastest software-only JPEG decoder available.

LEADTOOLS Document Imaging

The LEADTOOLS Document Imaging toolkit contains all the features available in the LEADTOOLS Raster Imaging Pro. In addition, it contains the following capabilities:

Special functions for Document (bitonal) images. The LEADTOOLS functions for bitonal images are especially useful for working with images from black-and-white scanners or FAX machines. These functions let you do things such as automatically straighten (deskew) an image, remove spots (despeckle), or clarify a scaled display (using scale-to-gray and favor-black features).

Annotation. LEADTOOLS supports annotation of images by letting you overlay images with text, lines, shapes, arrows, buttons, highlights, hot spots, sticky notes, stamps, buttons, and sounds.

Fast rotation. LEADTOOLS achieves fast rotation in 90-degree increments by applying a rotated view perspective to the bitmap.

ISIS support. LEADTOOLS supports ISIS interfaces for driving scanning devices.

Faster compression and decompression. The Document/Medical editions work faster when loading and saving LEAD CMP, JPEG, and CCITT Group 3 and Group 4 images. The LEADTOOLS functions for loading and saving are the same in all products. The only difference is in performance.

1-bit Image Clean-up. The Document toolkits include support for removing dots, blobs, holes, inverted text, lines, borders, bumps and nicks from 1-bit images.

Region Clean-up. [Document/Medical] Remove all the holes from a region.

Embedded Messages. The Document toolkits include support for embedding messages in lossless image formats like bmp, tiff, lossless jpeg, etc. The message is embedded without any visible changes to the image, and does not appreciably increase the size of the image. The message is password-protected.

Image Conversion. The Document toolkits include support for transforming a bitmap into a binary image using specified thresholds or a threshold calculated automatically based on statistical features of the bitmap.

12 and 16 bit grayscale images. [Document/Medical] Load, process, display, window level and save 12 and 16 bit grayscale images (including support for 16-bit grayscale TIFF).

48 and 64 bit color images. [Document/Medical] Load, process, display, and save 48 and 64 bit color images.

MRC Support. [Document/Medical] LEADTOOLS supports the Mixed Raster Content format for color documents containing mixed image and text components. For more information, refer to the .

Halftoning. [Document/Medical] Convert 1-, 4-, 8-, 16-, 24-, or 32-bit bitmaps to a halftoned bitmap, with a specified pattern rotation. A halftoned bitmap is a 1-bit bitmap that has been dithered for black and white printing or display.

LEADTOOLS Document Imaging Suite

The LEADTOOLS Document Imaging Suite toolkit contains all the capabilities of LEADTOOLS Document Imaging, and includes the features listed below. Please note that the OCR features are included in this toolkit, however they can also be purchased as a plug-in for the LEADTOOLS Document Imaging toolkit. Also, JBIG support is provided in this toolkit, however a JBIG Module may be added on to LEADTOOLS Document Imaging, LEADTOOLS Medical Imaging or LEADTOOLS Medical Imaging Suite.

OCR features. [Document/Medical] LEAD offers OCR features that use Scansoft Textbridge technology. Support for these features is included in the LEADTOOLS Document Imaging Suite, and can be added, via plug-in to the LEADTOOLS Document Imaging, LEADTOOLS Medical Imaging and LEADTOOLS Medical Imaging Suite toolkits. The OCR features allow you to perform optical character recognition and turn images into documents. Features include preset confidence and accuracy levels for controlling how sensitive the engine is to unrecognized text, artificial intelligence for improving recognition on documents of the same type, and built-in and user-defined lexicons for limiting the type of text to recognize within a particular zone. LEADTOOLS provides the ability to verify or correct text during, and (using LEAD's unique OCR editor) after recognition. LEAD's OCR editor ties the text being edited directly to the image, providing a visual reference to the original bitmap data. The OCR engine can perform Automatic area segmentation creating multi-layered zones, recognizing areas such as tables, rules, images and text. Or, you can manually designate up to 250 such zones. The OCR features support different fonts, sizes (5 to 72 point) and styles. Fax, dot matrix and halftones can be preprocessed to improve recognition results. The OCR Engine supports major European and Scandinavian languages (Danish, Dutch, Finnish, French, German, Italian, Norwegian, Portuguese, Russian, Spanish, and Swedish) as well as English. Support for dialects such as US. English, French Canadian, Latin American Spanish, Swiss German, and Brazilian Portuguese is also provided.

Recognized text can be exported to more than 40 different formats, including MS Word, MS Excel, Dbase andWordPerfect. The LEADTOOLS OCR features contain superior OCR processing speeds, for use in form recognition and processing applications.

LEAD's JBIG filter. [Document/Medical] LEAD includes support for this filter in the LEADTOOLS Document Imaging Suite toolkit. Support for this filter can be added to LEADTOOLS Document Imaging, LEADTOOLS Medical Imaging or LEADTOOLS Medical Imaging Suite by purchasing the JBIG Module. JBIG defines a method for lossless compression encoding of a bi-level image (two-color image). This method can also be used for coding grayscale and color images. LEADTOOLS completely supports all three types of images, giving you the ability to make full use of this powerful compression technology. LEADTOOLS also supports the progressive capability of JBIG, allowing you to store and send multiple representations of images at different resolutions without any extra storage overhead.

LEADTOOLS Medical Imaging

LEADTOOLS Medical Imaging contains all the capabilities of LEADTOOLS Document Imaging. It also includes general medical imaging technologies (1-16,24,32 bit color, 1-16 bit grayscale and window leveling of 12 and 16-bit grayscale images) and support for the DICOM file format.

DICOM file support. [Medical] LEADTOOLS Medical Imaging provides COMPLETE support for the DICOM 3.0 specification, including all standard IOD classes and modalities (CR, CT, MR, NM, US, RF, SC, VL, etc.) and complete DICOM Basic Directory support.

Window leveling. [Document/Medical] Detect and set LowBit and HighBit for image data, display images with automatic LUT intensity expansion, or set LUT entries and ranges with specific values and gradients. Display images through the LUT without changing the data, or process the image data using the LUT. Linearize the number of pixels locally in a bitmap, based on the specified color space in order to bring out the detail in dark areas of an image, and smooth the edges between blocks.

Medical Imaging Processing. [Medical] LEADTOOLS Medical Imaging provides image processing functionality designed specifically to allow you to examine and improve the quality of medical images.

LEADTOOLS Medical Imaging Suite

LEADTOOLS Medical Imaging Suite contains all the capabilities of LEADTOOLS Medical Imaging. In addition, it supports the following:

DICOM Communication support. [Medical Suite] LEADTOOLS provides COMPLETE support for DICOM Communications, including all Service Classes (Verification, Storage, Query/Retrieve, Patient Management, etc), and contains high-level communications functions simplifying the creation of DICOM client/server applications.

(Document/Medical) is used in the documentation to designate the features that are available in LEADTOOLS Document Imaging, LEADTOOLS Document Imaging Suite, LEADTOOLS Medical Imaging and LEADTOOLS Medical Imaging Suite. Those features that are available only in the Medical toolkits are indicated in the documentation by (Medical). Features available only in the LEADTOOLS Medical Imaging Suite toolkit are indicated in the documentation by (Medical Suite).

(Internet only) is used in the documentation to designate the features that are available only in the LEADTOOLS Internet toolkit.

For more information, refer to Document/Medical Edition Support and Licensing Requirements.


Document/Medical Support and Licensing Requirements

Document/Medical Licensing and Royalty Agreements:

Congratulations! You have licensed one of the LEADTOOLS Document/Medical software products, the most comprehensive imaging toolkits on the market, enabling you to create powerful imaging applications. The license terms for LEADTOOLS Document Imaging, LEADTOOLS Document Imaging Suite, LEADTOOLS Medical Imaging and LEADTOOLS Medical Imaging Suite require runtime licensing based on the number of copies of your application that you deploy (i.e., distribute or install and use internally).

By paying the initial box price for the applicable LEADTOOLS product, you have obtained a development license, which entitles you to develop your application and test it. Once completed, if you wish to distribute the application or deploy it internally on multiple machines, you are required to enter into a duplication and distribution agreement with LEAD. You have the ability to choose from several licensing options depending on your volume needs.

The product you are installing is a fully functional working version and includes support for all features in LEADTOOLS Document Imaging, LEADTOOLS Document Imaging Suite, LEADTOOLS Medical Imaging and LEADTOOLS Medical Imaging Suite. (Depending on which product you have licensed, some of the features may ultimately not be available to you. See the on-line help file for a product feature comparison.) Until you sign 7and return the correct licensing agreement, your application will display a "nag" message. Once LEAD receives the executed contract, we will provide you a password that will permit you to terminate the "nag" message for the product that you have licensed. In addition to providing the password, you must also use the no nag version of the LTKRN14N.DLL, found in the REDIST\NONAGLTKRN directory. This is also the version you must redistribute.

Duplication and Distribution Agreements

Click this button to start the Licensing help file to review the License Agreements governing your use of the software.


Topic Selection

LEAD Technologies, Inc.
Suite 400
1201 Greenwood Cliff
Charlotte, NC 28204

Sales@Leadtools.com
www.leadtools.com

(704) 332-5532
FAX: (704) 372-8161
Tech Support: (704) 372-9681

LEADTOOLS is ideal for developers involved in still frame, multimedia, document, medical, and vector imaging projects, including Internet/Intranet applications. Independent of the specific application requirement – scanning, file format support/conversion, compression, image processing, annotation, database support, multimedia, etc. – LEADTOOLS provides the most comprehensive, robust, flexible, and powerful imaging solution available.

Click this button to start the Licensing help file to review the License Agreements governing your use of the software.

Click this button to start the Products help file to review the full line of LEADTOOLS Products.

Click this button to start the Imaging help file to review the full line of LEADTOOLS Image Categories.


uIndex Parameter For Amplitudes

uIndex

Index into the array of amplitude values. This is a zero-based index. The first element of the array is 0, and the last element is AmplitudesCount –1.


uIndex Parameter For BlueHistogram

uIndex

The index into the array. The first element of the array is 0, and the last element is BlueHistogramLen –1.


Return for DialogsFont

Return Value

Return | Meaning
SUCCESS | The method was successful.
<= 0 | An error occurred. Refer to Error Codes.


uIndex Parameter For FileFormats

uIndex

The index into the array. The first element of the array is 0, and the last element is FileFormatsCount - 1.


uIndex Parameter For FormatBpp

uIndex

The index into the array. The first element of the array is 0, and the last element is BppCount-1.


Return for FreeDialogs

Return Value

Return | Meaning
SUCCESS | The method was successful.
<= 0 | An error occurred. Refer to Error Codes.


Return for GetDialogString

Return Value

Returns the current string at the specified index.


uIndex Parameter For GetDialogString

uIndex

Index into a list of strings. For a list of the strings, refer to Dialog Strings.


uIndex Parameter For GreenHistogram

uIndex

The index into the array. The first element of the array is 0, and the last element is GreenHistogramLen –1.


uIndex Parameter For HistoryALT

uIndex

The index into the History ALT Array. The first element of the array is 0, and the last element is HistoryALTsCount –1.


uIndex Parameter For HistoryRollover

uIndex

The index into the History Rollover Array. The first element of the array is 0, and the last element is HistoryRolloversCount –1.


uIndex Parameter For HistoryTarget

uIndex

The index into the History Target Array. The first element of the array is 0, and the last element is HistoryTargetsCount –1.


uIndex Parameter For HistoryURL

uIndex

The index into the History URL Array. The first element of the array is 0, and the last element is HistoryURLsCount –1.


Return for InitDialogs

Return Value

Return | Meaning
SUCCESS | The method was successful.
<= 0 | An error occurred. Refer to Error Codes.


uFlags Parameter For InitDialogs

uFlags

Data initialization flags. Determines the dialog data to be initialized.

Value | Meaning
0 | [0x0000] Initializes only the essential data, required for all dialogs.
DLG_INIT_COLOR | [0x0001] Initializes LEAD color data for the dialogs and enables the use of color models such as RGB, HSB, Lab, etc. Setting this flag lets LEADTOOLS display the LEAD Color dialog when the color picker button is pressed in any dialog that includes a color picker button.


uIndex Parameter For ItemBitmap

uIndex

Index into the array of bitmaps. The index of the first element in the array is 0.


uIndex Parameter For ItemBitmap

uIndex

Index into the array of bitmaps.


uIndex Parameter For ItemBitmap

uIndex

Index into the array of bitmaps. This is a zero-based index.


uIndex Parameter For ItemDescription

uIndex

Index into the array of strings. The index of the first element in the array is 0.


uIndex Parameter For ItemDescription

uIndex

Index into an array of strings that describe the bitmaps in the ItemBitmap property. This index is zero-based.


uIndex Parameter For ItemDescription

uIndex

Index into the array of strings. This index is zero-based.


uIndex Parameter For ItemFileName

uIndex

Index into the array of strings. The index of the first element in the array is 0.


uIndex Parameter For ItemFileName

uIndex

Index into an array of strings that contain the files names corresponding to the bitmaps in the ItemBitmap property. This index is zero-based.


uIndex Parameter For ItemFileName

uIndex

Index into the array of strings. This index is zero-based.


uIndex Parameter For MasterHistogram

uIndex

The index into the array. The first element of the array is 0, and the last element is MasterHistogramLen –1.


uDialogID Parameter For OnDlgHelp

uDialogID

Identifies the origin of the help command message. Possible values are:

Constant | Meaning
DLG_HELP_OPEN | [1] Help command message coming from ShowOpenDlg.
DLG_HELP_SAVE | [2] Help command message coming from ShowSaveDlg
DLG_HELP_COLORRES | [3] Help command message coming from ShowColorResDlg
DLG_HELP_RESIZE | [4] Help command message coming from ShowResizeDlg
DLG_HELP_INTENSITYDETECT | [5] Help command message coming from ShowIntensityDetectDlg
DLG_HELP_GAMMAADJUSTMENT | [6] Help command message coming from ShowGammaAdjustmentDlg
DLG_HELP_ADDNOISE | [7] Help command message coming from ShowAddNoiseDlg
DLG_HELP_GETEFFECT | [8] Help command message coming from ShowGetEffectDlg
DLG_HELP_GETSHAPE | [9] Help command message coming from ShowGetShapeDlg
DLG_HELP_GETTEXT | [10] Help command message coming from ShowGetTextDlg
DLG_HELP_GETGRADIENT | [11] Help command message coming from ShowGetGradientDlg
DLG_HELP_GETTRANSITION | [12] Help command message coming from ShowGetTransitionDlg
DLG_HELP_GETDIRECTORY | [13] Help command message coming from ShowGetDirectoryDlg
DLG_HELP_CONTOURFILTER | [14] Help command message coming from ShowContourFilterDlg
DLG_HELP_HALFTONE | [15] Help command message coming from ShowHalftoneDlg
DLG_HELP_J2KOPTIONS | [16] Help command message coming from ShowSaveDlg and ShowFileConversionDlg
DLG_HELP_FILEINFO | [17] Help command message coming from ShowOpenDlg and ShowFileConversionDlg
DLG_HELP_SOLARIZE | [18] Help command message coming from ShowSolarizeDlg
DLG_HELP_BRIGHTNESS | [19] Help command message coming from ShowBrightnessDlg
DLG_HELP_CONTRAST | [20] Help command message coming from ShowContrastDlg
DLG_HELP_HUE | [21] Help command message coming from ShowHueDlg
DLG_HELP_SATURATION | [22] Help command message coming from ShowSaturationDlg
DLG_HELP_POSTERIZE | [24] Help command message coming from ShowPosterizeDlg
DLG_HELP_HISTOCONTRAST | [25] Help command message coming from ShowHistoContrastDlg
DLG_HELP_AVERAGE | [26] Help command message coming from ShowAverageDlg
DLG_HELP_MEDIAN | [27] Help command message coming from ShowMedianDlg
DLG_HELP_MAXFILTER | [28] Help command message coming from ShowMaxFilterDlg
DLG_HELP_MINFILTER | [29] Help command message coming from ShowMinFilterDlg
DLG_HELP_SHARPEN | [30] Help command message coming from ShowSharpenDlg
DLG_HELP_SHIFTDIFFERENCEFILTER | [31] Help command message coming from ShowShiftDifferenceFilterDlg
DLG_HELP_EMBOSS | [32] Help command message coming from ShowEmbossDlg
DLG_HELP_OILIFY | [33] Help command message coming from ShowOilifyDlg
DLG_HELP_MOSAIC | [34] Help command message coming from ShowMosaicDlg
DLG_HELP_EROSIONFILTER | [35] Help command message coming from ShowErosionFilterDlg
DLG_HELP_DILATIONFILTER | [36] Help command message coming from ShowDilationFilterDlg
DLG_HELP_GRADIENTFILTER | [37] Help command message coming from ShowGradientFilterDlg
DLG_HELP_LAPLACIANFILTER | [38] Help command message coming from ShowLaplacianFilterDlg
DLG_HELP_SOBELFILTER | [39] Help command message coming from ShowSobelFilterDlg
DLG_HELP_PREWITTFILTER | [40] Help command message coming from ShowPrewittFilterDlg
DLG_HELP_LINESEGMENTFILTER | [41] Help command message coming from ShowLineSegmentFilterDlg
DLG_HELP_ROTATE | [42] Help command message coming from ShowRotateDlg
DLG_HELP_SHEAR | [43] Help command message coming from ShowShearDlg
DLG_HELP_LOADOPTIONS_VECTOR | [44] Help command message coming from ShowOpenDlg
DLG_HELP_LOADOPTIONS_RASTER | [45] Help command message coming from ShowOpenDlg
DLG_HELP_LOADOPTIONS_PDF | [46] Help command message coming from ShowOpenDlg
DLG_HELP_LOADOPTIONS_GENERAL | [47] Help command message coming from ShowOpenDlg
DLG_HELP_SMOOTH | [48] Help command message coming from ShowSmoothDlg
DLG_HELP_LINEREMOVE | [49] Help command message coming from ShowLineRemoveDlg
DLG_HELP_BORDERREMOVE | [50] Help command message coming from ShowBorderRemoveDlg
DLG_HELP_INVERTEDTEXT | [51] Help command message coming from ShowInvertedTextDlg method
DLG_HELP_DOTREMOVE | [52] Help command message coming from ShowDotRemoveDlg
DLG_HELP_HOLEPUNCHREMOVE | [53] Help command message coming from ShowHolePunchRemoveDlg
DLG_HELP_COLOR | [54] Help command message coming from ShowColorDlg
DLG_HELP_CANVASRESIZE | [55] Help command message coming from ShowCanvasResizeDlg
DLG_HELP_ADDFRAME | [56] Help command message coming from ShowAddFrameDlg
DLG_HELP_FEATHERSELECTION | [57] Help command message coming from ShowFeatherSelectionDlg
DLG_HELP_FILESASSOCIATION | [58] Help command message coming from ShowFilesAssociationDlg
DLG_HELP_GIFWEBTUNER | [59] Help command message coming from ShowGIFWebTunerDlg
DLG_HELP_ADDBORDER | [60] Help command message coming from ShowAddBorderDlg
DLG_HELP_HTMLMAPPER | [62] Help command message coming from ShowHTMLMapperDlg
DLG_HELP_JPEGWEBTUNER | [63] Help command message coming from ShowJPEGWebTunerDlg
DLG_HELP_PNGWEBTUNER | [64] Help command message coming from ShowPNGWebTunerDlg
DLG_HELP_CUSTOMIZEPALETTE | [65] Help command message coming from ShowCustomizePaletteDlg
DLG_HELP_PICTURIZE | [66] Help command message coming from ShowPicturizeDlg
DLG_HELP_UNDERLAY | [67] Help command message coming from ShowUnderlayDlg
DLG_HELP_AUTOTRIM | [68] Help command message coming from ShowAutoTrimDlg
DLG_HELP_GAUSSIANBLUR | [69] Help command message coming from ShowGaussianBlurDlg
DLG_HELP_UNSHARPMASK | [70] Help command message coming from ShowUnsharpMaskDlg
DLG_HELP_ANTIALIAS | [71] Help command message coming from ShowAntiAliasDlg
DLG_HELP_EDGEDETECTOR | [72] Help command message coming from ShowEdgeDetectorDlg
DLG_HELP_REMOVEREDEYE | [73] Help command message coming from ShowRemoveRedeyeDlg
DLG_HELP_MOTIONBLUR | [74] Help command message coming from ShowMotionBlurDlg
DLG_HELP_GRAYSCALE | [75] Help command message coming from ShowGrayScaleDlg
DLG_HELP_COLOREDGRAY | [76] Help command message coming from ShowColoredGrayDlg
DLG_HELP_HISTOGRAM | [77] Help command message coming from ShowHistogramDlg
DLG_HELP_MULTIPLY | [78] Help command message coming from ShowMultiplyDlg
DLG_HELP_LOCALHISTOEQUALIZE | [79] Help command message coming from ShowLocalHistoEqualizeDlg
DLG_HELP_BALANCECOLORS | [80] Help command message coming from ShowBalanceColorsDlg
DLG_HELP_ADDBITMAPS | [81] Help command message coming from ShowAddBitmapsDlg
DLG_HELP_PRINTPREVIEW | [82] Help command message coming from ShowPrintStitchedImagesDlg
DLG_HELP_REMAPINTENSITY | [83] Help command message coming from ShowRemapIntensityDlg
DLG_HELP_REMAPHUE | [84] Help command message coming from ShowRemapHueDlg
DLG_HELP_FREEHANDWAVE | [85] Help command message coming from ShowFreeHandWaveDlg
DLG_HELP_WIND | [86] Help command message coming from ShowWindDlg
DLG_HELP_IMPRESSIONIST | [87] Help command message coming from ShowImpressionistDlg
DLG_HELP_CYLINDRICAL | [88] Help command message coming from ShowCylindricalDlg
DLG_HELP_POLAR | [89] Help command message coming from ShowPolarDlg
DLG_HELP_PIXELATE | [90] Help command message coming from ShowPixelateDlg
DLG_HELP_STITCH | [91] Help command message coming from ShowStitchDlg
DLG_HELP_STITCH_TILE | [92] Help command message coming from ShowStitchDlg
DLG_HELP_STITCH_ATTRIBUTES | [93] Help command message coming from ShowStitchDlg
DLG_HELP_ZOOMWAVE | [94] Help command message coming from ShowZoomWaveDlg
DLG_HELP_RADIALWAVE | [95] Help command message coming from ShowRadialWaveDlg
DLG_HELP_RIPPLE | [96] Help command message coming from ShowRippleDlg
DLG_HELP_PUNCH | [97] Help command message coming from ShowPunchDlg
DLG_HELP_BENDING | [98] Help command message coming from ShowBendingDlg
DLG_HELP_SPHERIZE | [99] Help command message coming from ShowSpherizeDlg
DLG_HELP_SWIRL | [100] Help command message coming from ShowSwirlDlg
DLG_HELP_RADIALBLUR | [101] Help command message coming from ShowRadialBlurDlg
DLG_HELP_ZOOMBLUR | [102] Help command message coming from ShowZoomBlurDlg
DLG_HELP_WAVE | [103] Help command message coming from ShowWaveDlg
DLG_HELP_WAVESHEAR | [104] Help command message coming from ShowFreeHandShearDlg
DLG_HELP_FILECONVERSION | [105] Help command message coming from ShowFileConversionDlg
DLG_HELP_FILESAVEOPTIONS | [106] Help command message coming from ShowFileConversionDlg and ShowSaveDlg
DLG_HELP_FILELOADOPTIONS | [107] Help command message coming from ShowOpenDlg
DLG_HELP_FILECONVERSION_LOGREPORT | [108] Help command message coming from ShowFileConversionDlg
DLG_HELP_PRINTPREVIEW_PREFERENCES | [109] Help command message coming from ShowPrintStitchedImagesDlg
DLG_HELP_PRINTSTITCHEDIMAGES | [110] Help command message coming from ShowPrintStitchedImagesDlg
DLG_HELP_PRINTSTITCHEDIMAGES_DELETEPAGES | [111] Help command message coming from ShowPrintStitchedImagesDlg
DLG_HELP_PRINTSTITCHEDIMAGES_INSERTPAGES | [112] Help command message coming from ShowPrintStitchedImagesDlg
DLG_HELP_PRINT | [113] Help command message coming from ShowPrintStitchedImagesDlg
DLG_HELP_PAGESETUP | [114] Help command message coming from ShowPrintStitchedImagesDlg
DLG_HELP_FILECONVERSION_PROGRESS | [115] Help command message coming from ShowFileConversionDlg
DLG_HELP_FILECONVERSION_ADDPROGRESS | [116] Help command message coming from ShowFileConversionDlg
DLG_HELP_NAMINGTEMPLATE | [117] Help command message coming from ShowFileConversionDlg
DLG_HELP_RENAME | [118] Help command message coming from ShowFileConversionDlg
DLG_HELP_FILECONVERSION_ROTATE | [119] Help command message coming from ShowFileConversionDlg
DLG_HELP_FILECONVERSION_RESIZE | [120] Help command message coming from ShowFileConversionDlg
DLG_HELP_WINDOWLEVEL | [121] Help command message coming from ShowWindowLevelDlg
DLG_HELP_JBIG2OPTIONS | [122] Help command message coming from ShowSaveDlg and ShowFileConversionDlg.


nFilePercent Parameter For OnOpenFile

nFilePercent

An integer that indicates the completion percentage for loading a single file from the selected files. Valid values range from 0 to 100.


nTotalPercent Parameter For OnOpenFile

nTotalPercent

An integer that indicates the completion percentage for loading all selected files in the Open dialog. This value will be updated every time a file finishes loading. Valid values range from 0 to 100.


uIndex Parameter For PLTPenColor

uIndex

The index into the array. The first element of the array is 0, and the last element is 7.


uIndex Parameter For PLTPenWidth

uIndex

The index into the array. The first element of the array is 0, and the last element is 7.


uIndex Parameter For RedHistogram

uIndex

The index into the array. The first element of the array is 0, and the last element is RedHistogramLen –1.


uIndex Parameter For RemapHueHTable

uIndex

The index into the table. The first element of the array is 0, and the last element is RemapHueTableSize –1.


uIndex Parameter For RemapHueMaskTable

uIndex

The index into the table. The first element of the array is 0, and the last element is RemapHueTableSize –1.


uIndex Parameter For RemapHueSTable

uIndex

The index into the table. The first element of the array is 0, and the last element is RemapHueTableSize –1.


uIndex Parameter For RemapHueVTable

uIndex

The index into the table. The first element of the array is 0, and the last element is RemapHueTableSize –1.


uIndex Parameter For RemapIntensityTable

uIndex

The index into the table. The first element of the array is 0, and the last element is RemapIntensityTableSize –1.


Return for SetDialogString

Return Value

Return | Meaning
SUCCESS | The method was successful.
<= 0 | An error occurred. Refer to Error Codes.


strDlgString Parameter For SetDialogString

strDlgString

Character string that contains the new string to set.


uIndex Parameter For SetDialogString

uIndex

Index into a list of strings. For a list of the strings, refer to Dialog Strings.


AOwnerCtrl Parameter For ShowAddBitmapsDlg

AOwnerCtrl

The Window Control that owns the dialog.


Return for ShowAddBitmapsDlg

Return Value

Return | Meaning
SUCCESS_DLG_OK | The "OK" button was pressed, and the dialog exited successfully.
SUCCESS_DLG_CANCEL | The "Cancel" button was pressed, and the dialog exited successfully.
< 1 | An error occurred. Refer to Error Codes.


AOwnerCtrl Parameter For ShowAddBorderDlg

AOwnerCtrl

The Window Control that owns the dialog.


Return for ShowAddBorderDlg

Return Value

Return | Meaning
SUCCESS_DLG_CLOSE | The "Close" button was pressed, and the dialog exited successfully.
< 1 | An error occurred. Refer to Error Codes.


AOwnerCtrl Parameter For ShowAddFrameDlg

AOwnerCtrl

The Window Control that owns the dialog.


Return for ShowAddFrameDlg

Return Value

Return | Meaning
SUCCESS_DLG_CLOSE | The "Close" button was pressed and the dialog exited successfully.
< 1 | An error occurred. Refer to Error Codes.


AOwnerCtrl Parameter For ShowAddNoiseDlg

AOwnerCtrl

The Window Control that owns the dialog.


Return for ShowAddNoiseDlg

Return Value

Return | Meaning
SUCCESS_DLG_OK | The "OK" button was pressed, and the dialog exited successfully.
SUCCESS_DLG_CANCEL | The "Cancel" button was pressed, and the dialog exited successfully.
< 1 | An error occurred. Refer to Error Codes.


AOwnerCtrl Parameter For ShowAntiAliasDlg

AOwnerCtrl

The Window Control that owns the dialog.


Return for ShowAntiAliasDlg

Return Value

Return | Meaning
SUCCESS_DLG_OK | The "OK" button was pressed, and the dialog exited successfully.
SUCCESS_DLG_CANCEL | The "Cancel" button was pressed, and the dialog exited successfully.
< 1 | An error occurred. Refer to Error Codes.


AOwnerCtrl Parameter For ShowAutoTrimDlg

AOwnerCtrl

The Window Control that owns the dialog.


Return for ShowAutoTrimDlg

Return Value

Return | Meaning
SUCCESS_DLG_OK | The "OK" button was pressed, and the dialog exited successfully.
SUCCESS_DLG_CANCEL | The "Cancel" button was pressed, and the dialog exited successfully.
< 1 | An error occurred. Refer to Error Codes.


AOwnerCtrl Parameter For ShowAverageDlg

AOwnerCtrl

The Window Control that owns the dialog.


Return for ShowAverageDlg

Return Value

Return | Meaning
SUCCESS_DLG_OK | The "OK" button was pressed, and the dialog exited successfully.
SUCCESS_DLG_CANCEL | The "Cancel" button was pressed, and the dialog exited successfully.
< 1 | An error occurred. Refer to Error Codes.


AOwnerCtrl Parameter For ShowBalanceColorsDlg

AOwnerCtrl

The Window Control that owns the dialog.


Return for ShowBalanceColorsDlg

Return Value

Return | Meaning
SUCCESS_DLG_OK | The "OK" button was pressed, and the dialog exited successfully.
SUCCESS_DLG_CANCEL | The "Cancel" button was pressed, and the dialog exited successfully.
< 1 | An error occurred. Refer to Error Codes.


AOwnerCtrl Parameter For ShowBendingDlg

AOwnerCtrl

The Window Control that owns the dialog.


Return for ShowBendingDlg

Return Value

Return | Meaning
SUCCESS_DLG_OK | The "OK" button was pressed, and the dialog exited successfully.
SUCCESS_DLG_CANCEL | The "Cancel" button was pressed, and the dialog exited successfully.
< 1 | An error occurred. Refer to Error Codes.


AOwnerCtrl Parameter For ShowBorderRemoveDlg

AOwnerCtrl

The Window Control that owns the dialog.


Return for ShowBorderRemoveDlg

Return Value

Return | Meaning
SUCCESS_DLG_OK | The "OK" button was pressed, and the dialog exited successfully.
SUCCESS_DLG_CANCEL | The "Cancel" button was pressed, and the dialog exited successfully.
< 1 | An error occurred. Refer to Error Codes.


AOwnerCtrl Parameter For ShowBrightnessDlg

AOwnerCtrl

The Window Control that owns the dialog.


Return for ShowBrightnessDlg

Return Value

Return | Meaning
SUCCESS_DLG_OK | The "OK" button was pressed, and the dialog exited successfully.
SUCCESS_DLG_CANCEL | The "Cancel" button was pressed, and the dialog exited successfully.
< 1 | An error occurred. Refer to Error Codes.


AOwnerCtrl Parameter For ShowCanvasResizeDlg

AOwnerCtrl

The Window Control that owns the dialog.


Return for ShowCanvasResizeDlg

Return Value

Return | Meaning
SUCCESS_DLG_OK | The "OK" button was pressed, and the dialog exited successfully.
SUCCESS_DLG_CANCEL | The "Cancel" button was pressed, and the dialog exited successfully.
< 1 | An error occurred. Refer to Error Codes.


AOwnerCtrl Parameter For ShowColorDlg

AOwnerCtrl

The Window Control that owns the dialog.


Return for ShowColorDlg

Return Value

Return | Meaning
SUCCESS_DLG_OK | The "OK" button was pressed, and the dialog exited successfully.
SUCCESS_DLG_CANCEL | The "Cancel" button was pressed, and the dialog exited successfully.
< 1 | An error occurred. Refer to Error Codes.


AOwnerCtrl Parameter For ShowColoredGrayDlg

AOwnerCtrl

The Window Control that owns the dialog.


Return for ShowColoredGrayDlg

Return Value

Return | Meaning
SUCCESS_DLG_OK | The "OK" button was pressed, and the dialog exited successfully.
SUCCESS_DLG_CANCEL | The "Cancel" button was pressed, and the dialog exited successfully.
< 1 | An error occurred. Refer to Error Codes.


AOwnerCtrl Parameter For ShowColorResDlg

AOwnerCtrl

The Window Control that owns the dialog.


Return for ShowColorResDlg

Return Value

Return | Meaning
SUCCESS_DLG_OK | The "OK" button was pressed, and the dialog exited successfully.
SUCCESS_DLG_CANCEL | The "Cancel" button was pressed, and the dialog exited successfully.
< 1 | An error occurred. Refer to Error Codes.


AOwnerCtrl Parameter For ShowContourFilterDlg

AOwnerCtrl

The Window Control that owns the dialog.


Return for ShowContourFilterDlg

Return Value

Return | Meaning
SUCCESS_DLG_OK | The "OK" button was pressed, and the dialog exited successfully.
SUCCESS_DLG_CANCEL | The "Cancel" button was pressed, and the dialog exited successfully.
< 1 | An error occurred. Refer to Error Codes.


AOwnerCtrl Parameter For ShowContrastDlg

AOwnerCtrl

The Window Control that owns the dialog.


Return for ShowContrastDlg

Return Value

Return | Meaning
SUCCESS_DLG_OK | The "OK" button was pressed, and the dialog exited successfully.
SUCCESS_DLG_CANCEL | The "Cancel" button was pressed, and the dialog exited successfully.
< 1 | An error occurred. Refer to Error Codes.


AOwnerCtrl Parameter For ShowCustomizePaletteDlg

AOwnerCtrl

The Window Control that owns the dialog.


Return for ShowCustomizePaletteDlg

Return Value

Return | Meaning
SUCCESS_DLG_OK | The "OK" button was pressed, and the dialog exited successfully.
SUCCESS_DLG_CLOSE | The ‘Close" button was pressed and the dialog exited successfully.
SUCCESS_DLG_CANCEL | The "Cancel" button was pressed, and the dialog exited successfully.
< 1 | An error occurred. Refer to Error Codes.


AOwnerCtrl Parameter For ShowCylindricalDlg

AOwnerCtrl

The Window Control that owns the dialog.


Return for ShowCylindricalDlg

Return Value

Return | Meaning
SUCCESS_DLG_OK | The "OK" button was pressed, and the dialog exited successfully.
SUCCESS_DLG_CANCEL | The "Cancel" button was pressed, and the dialog exited successfully.
< 1 | An error occurred. Refer to Error Codes.


AOwnerCtrl Parameter For ShowDilationFilterDlg

AOwnerCtrl

The Window Control that owns the dialog.


Return for ShowDilationFilterDlg

Return Value

Return | Meaning
SUCCESS_DLG_OK | The "OK" button was pressed, and the dialog exited successfully.
SUCCESS_DLG_CANCEL | The "Cancel" button was pressed, and the dialog exited successfully.
< 1 | An error occurred. Refer to Error Codes.


AOwnerCtrl Parameter For ShowDotRemoveDlg

AOwnerCtrl

The Window Control that owns the dialog.


Return for ShowDotRemoveDlg

Return Value

Return | Meaning
SUCCESS_DLG_OK | The "OK" button was pressed, and the dialog exited successfully.
SUCCESS_DLG_CANCEL | The "Cancel" button was pressed, and the dialog exited successfully.
< 1 | An error occurred. Refer to Error Codes.


AOwnerCtrl Parameter For ShowEdgeDetectorDlg

AOwnerCtrl

The Window Control that owns the dialog.


Return for ShowEdgeDetectorDlg

Return Value

Return | Meaning
SUCCESS_DLG_OK | The "OK" button was pressed, and the dialog exited successfully.
SUCCESS_DLG_CANCEL | The "Cancel" button was pressed, and the dialog exited successfully.
< 1 | An error occurred. Refer to Error Codes.


AOwnerCtrl Parameter For ShowEmbossDlg

AOwnerCtrl

The Window Control that owns the dialog.


Return for ShowEmbossDlg

Return Value

Return | Meaning
SUCCESS_DLG_OK | The "OK" button was pressed, and the dialog exited successfully.
SUCCESS_DLG_CANCEL | The "Cancel" button was pressed, and the dialog exited successfully.
< 1 | An error occurred. Refer to Error Codes.


AOwnerCtrl Parameter For ShowErosionFilterDlg

AOwnerCtrl

The Window Control that owns the dialog.


Return for ShowErosionFilterDlg

Return Value

Return | Meaning
SUCCESS_DLG_OK | The "OK" button was pressed, and the dialog exited successfully.
SUCCESS_DLG_CANCEL | The "Cancel" button was pressed, and the dialog exited successfully.
< 1 | An error occurred. Refer to Error Codes.


AOwnerCtrl Parameter For ShowFileConversionDlg

AOwnerCtrl

The Window Control that owns the dialog.


Return for ShowFileConversionDlg

Return Value

Return | Meaning
SUCCESS_DLG_CLOSE | The "Close" button was pressed, and the dialog exited successfully.
SUCCESS_DLG_CANCEL | The "Cancel" button was pressed, and the dialog exited successfully.
< 1 | An error occurred. Refer to Error Codes.


AOwnerCtrl Parameter For ShowFilesAssociationDlg

AOwnerCtrl

The Window Control that owns the dialog.


Return for ShowFilesAssociationDlg

Return Value

Return | Meaning
SUCCESS_DLG_OK | The "OK" button was pressed, and the dialog exited successfully.
SUCCESS_DLG_CANCEL | The "Cancel" button was pressed, and the dialog exited successfully.
< 1 | An error occurred. Refer to Error Codes.


AOwnerCtrl Parameter For ShowFreeHandShearDlg

AOwnerCtrl

The Window Control that owns the dialog.


Return for ShowFreeHandShearDlg

Return Value

Return | Meaning
SUCCESS_DLG_OK | The "OK" button was pressed, and the dialog exited successfully.
SUCCESS_DLG_CANCEL | The "Cancel" button was pressed, and the dialog exited successfully.
< 1 | An error occurred. Refer to Error Codes.


AOwnerCtrl Parameter For ShowFreeHandWaveDlg

AOwnerCtrl

The Window Control that owns the dialog.


Return for ShowFreeHandWaveDlg

Return Value

Return | Meaning
SUCCESS_DLG_OK | The "OK" button was pressed, and the dialog exited successfully.
SUCCESS_DLG_CANCEL | The "Cancel" button was pressed, and the dialog exited successfully.
< 1 | An error occurred. Refer to Error Codes.


AOwnerCtrl Parameter For ShowGammaAdjustmentDlg

AOwnerCtrl

The Window Control that owns the dialog.


Return for ShowGammaAdjustmentDlg

Return Value

Return | Meaning
SUCCESS_DLG_OK | The "OK" button was pressed, and the dialog exited successfully.
SUCCESS_DLG_CANCEL | The "Cancel" button was pressed, and the dialog exited successfully.
< 1 | An error occurred. Refer to Error Codes.


AOwnerCtrl Parameter For ShowGaussianBlurDlg

AOwnerCtrl

The Window Control that owns the dialog.


Return for ShowGaussianBlurDlg

Return Value

Return | Meaning
SUCCESS_DLG_OK | The "OK" button was pressed, and the dialog exited successfully.
SUCCESS_DLG_CANCEL | The "Cancel" button was pressed, and the dialog exited successfully.
< 1 | An error occurred. Refer to Error Codes.


AOwnerCtrl Parameter For ShowGetDirectoryDlg

AOwnerCtrl

The Window Control that owns the dialog.


Return for ShowGetDirectoryDlg

Return Value

Return | Meaning
SUCCESS_DLG_OK | The "OK" button was pressed, and the dialog exited successfully.
SUCCESS_DLG_CANCEL | The "Cancel" button was pressed, and the dialog exited successfully.
< 1 | An error occurred. Refer to Error Codes.


AOwnerCtrl Parameter For ShowGetEffectDlg

AOwnerCtrl

The Window Control that owns the dialog.


Return for ShowGetEffectDlg

Return Value

Return | Meaning
SUCCESS_DLG_OK | The "OK" button was pressed, and the dialog exited successfully.
SUCCESS_DLG_CANCEL | The "Cancel" button was pressed, and the dialog exited successfully.
< 1 | An error occurred. Refer to Error Codes.


AOwnerCtrl Parameter For ShowGetGradientDlg

AOwnerCtrl

The Window Control that owns the dialog.


Return for ShowGetGradientDlg

Return Value

Return | Meaning
SUCCESS_DLG_OK | The "OK" button was pressed, and the dialog exited successfully.
SUCCESS_DLG_CANCEL | The "Cancel" button was pressed, and the dialog exited successfully.
< 1 | An error occurred. Refer to Error Codes.


AOwnerCtrl Parameter For ShowGetShapeDlg

AOwnerCtrl

The Window Control that owns the dialog.


Return for ShowGetShapeDlg

Return Value

Return | Meaning
SUCCESS_DLG_OK | The "OK" button was pressed, and the dialog exited successfully.
SUCCESS_DLG_CANCEL | The "Cancel" button was pressed, and the dialog exited successfully.
< 1 | An error occurred. Refer to Error Codes.


AOwnerCtrl Parameter For ShowGetTextDlg

AOwnerCtrl

The Window Control that owns the dialog.


Return for ShowGetTextDlg

Return Value

Return | Meaning
SUCCESS_DLG_OK | The "OK" button was pressed, and the dialog exited successfully.
SUCCESS_DLG_CANCEL | The "Cancel" button was pressed, and the dialog exited successfully.
< 1 | An error occurred. Refer to Error Codes.


AOwnerCtrl Parameter For ShowGetTransitionDlg

AOwnerCtrl

The Window Control that owns the dialog.


Return for ShowGetTransitionDlg

Return Value

Return | Meaning
SUCCESS_DLG_OK | The "OK" button was pressed, and the dialog exited successfully.
SUCCESS_DLG_CANCEL | The "Cancel" button was pressed, and the dialog exited successfully.
< 1 | An error occurred. Refer to Error Codes.


AOwnerCtrl Parameter For ShowGIFWebTunerDlg

AOwnerCtrl

The Window Control that owns the dialog.


Return for ShowGIFWebTunerDlg

Return Value

Return | Meaning
SUCCESS_DLG_OK | The "OK" button was pressed, and the dialog exited successfully.
SUCCESS_DLG_CLOSE | The "Close" button was pressed, and the dialog exited successfully.
SUCCESS_DLG_CANCEL | The "Cancel" button was pressed, and the dialog exited successfully.
< 1 | An error occurred. Refer to Error Codes.


AOwnerCtrl Parameter For ShowGradientFilterDlg

AOwnerCtrl

The Window Control that owns the dialog.


Return for ShowGradientFilterDlg

Return Value

Return | Meaning
SUCCESS_DLG_OK | The "OK" button was pressed, and the dialog exited successfully.
SUCCESS_DLG_CANCEL | The "Cancel" button was pressed, and the dialog exited successfully.
< 1 | An error occurred. Refer to Error Codes.


AOwnerCtrl Parameter For ShowGrayScaleDlg

AOwnerCtrl

The Window Control that owns the dialog.


Return for ShowGrayScaleDlg

Return Value

Return | Meaning
SUCCESS_DLG_OK | The "OK" button was pressed, and the dialog exited successfully.
SUCCESS_DLG_CANCEL | The "Cancel" button was pressed, and the dialog exited successfully.
< 1 | An error occurred. Refer to Error Codes.


AOwnerCtrl Parameter For ShowHalftoneDlg

AOwnerCtrl

The Window Control that owns the dialog.


Return for ShowHalftoneDlg

Return Value

Return | Meaning
SUCCESS_DLG_OK | The "OK" button was pressed, and the dialog exited successfully.
SUCCESS_DLG_CANCEL | The "Cancel" button was pressed, and the dialog exited successfully.
< 1 | An error occurred. Refer to Error Codes.


AOwnerCtrl Parameter For ShowHistoContrastDlg

AOwnerCtrl

The Window Control that owns the dialog.


Return for ShowHistoContrastDlg

Return Value

Return | Meaning
SUCCESS_DLG_OK | The "OK" button was pressed, and the dialog exited successfully.
SUCCESS_DLG_CANCEL | The "Cancel" button was pressed, and the dialog exited successfully.
< 1 | An error occurred. Refer to Error Codes.


AOwnerCtrl Parameter For ShowHistogramDlg

AOwnerCtrl

The Window Control that owns the dialog.


Return for ShowHistogramDlg

Return Value

Return | Meaning
SUCCESS_DLG_CLOSE | The "Close" button was pressed, and the dialog exited successfully.
< 1 | An error occurred. Refer to Error Codes.


AOwnerCtrl Parameter For ShowHolePunchRemoveDlg

AOwnerCtrl

The Window Control that owns the dialog.


Return for ShowHolePunchRemoveDlg

Return Value

Return | Meaning
SUCCESS_DLG_OK | The "OK" button was pressed, and the dialog exited successfully.
SUCCESS_DLG_CANCEL | The "Cancel" button was pressed, and the dialog exited successfully.
< 1 | An error occurred. Refer to Error Codes.


AOwnerCtrl Parameter For ShowHTMLMapperDlg

AOwnerCtrl

The Window Control that owns the dialog.


Return for ShowHTMLMapperDlg

Return Value

Return | Meaning
SUCCESS_DLG_CLOSE | The "Close" button was pressed, and the dialog exited successfully.
< 1 | An error occurred. Refer to Error Codes.


AOwnerCtrl Parameter For ShowHueDlg

AOwnerCtrl

The Window Control that owns the dialog.


Return for ShowHueDlg

Return Value

Return | Meaning
SUCCESS_DLG_OK | The "OK" button was pressed, and the dialog exited successfully.
SUCCESS_DLG_CANCEL | The "Cancel" button was pressed, and the dialog exited successfully.
< 1 | An error occurred. Refer to Error Codes.


AOwnerCtrl Parameter For ShowImpressionistDlg

AOwnerCtrl

The Window Control that owns the dialog.


Return for ShowImpressionistDlg

Return Value

Return | Meaning
SUCCESS_DLG_OK | The "OK" button was pressed, and the dialog exited successfully.
SUCCESS_DLG_CANCEL | The "Cancel" button was pressed, and the dialog exited successfully.
< 1 | An error occurred. Refer to Error Codes.


AOwnerCtrl Parameter For ShowIntensityDetectDlg

AOwnerCtrl

The Window Control that owns the dialog.


Return for ShowIntensityDetectDlg

Return Value

Return | Meaning
SUCCESS_DLG_OK | The "OK" button was pressed, and the dialog exited successfully.
SUCCESS_DLG_CANCEL | The "Cancel" button was pressed, and the dialog exited successfully.
< 1 | An error occurred. Refer to Error Codes.


AOwnerCtrl Parameter For ShowInvertedTextDlg

AOwnerCtrl

The Window Control that owns the dialog.


Return for ShowInvertedTextDlg

Return Value

Return | Meaning
SUCCESS_DLG_OK | The "OK" button was pressed, and the dialog exited successfully.
SUCCESS_DLG_CANCEL | The "Cancel" button was pressed, and the dialog exited successfully.
< 1 | An error occurred. Refer to Error Codes.


AOwnerCtrl Parameter For ShowJPEGWebTunerDlg

AOwnerCtrl

The Window Control that owns the dialog.


Return for ShowJPEGWebTunerDlg

Return Value

Return | Meaning
SUCCESS_DLG_OK | The "OK" button was pressed, and the dialog exited successfully.
SUCCESS_DLG_CLOSE | The "Close" button was pressed, and the dialog exited successfully.
SUCCESS_DLG_CANCEL | The "Cancel" button was pressed, and the dialog exited successfully.
< 1 | An error occurred. Refer to Error Codes.


AOwnerCtrl Parameter For ShowLaplacianFilterDlg

AOwnerCtrl

The Window Control that owns the dialog.


Return for ShowLaplacianFilterDlg

Return Value

Return | Meaning
SUCCESS_DLG_OK | The "OK" button was pressed, and the dialog exited successfully.
SUCCESS_DLG_CANCEL | The "Cancel" button was pressed, and the dialog exited successfully.
< 1 | An error occurred. Refer to Error Codes.


AOwnerCtrl Parameter For ShowLineRemoveDlg

AOwnerCtrl

The Window Control that owns the dialog.


Return for ShowLineRemoveDlg

Return Value

Return | Meaning
SUCCESS_DLG_OK | The "OK" button was pressed, and the dialog exited successfully.
SUCCESS_DLG_CANCEL | The "Cancel" button was pressed, and the dialog exited successfully.
< 1 | An error occurred. Refer to Error Codes.


AOwnerCtrl Parameter For ShowLineSegmentFilterDlg

AOwnerCtrl

The Window Control that owns the dialog.


Return for ShowLineSegmentFilterDlg

Return Value

Return | Meaning
SUCCESS_DLG_OK | The "OK" button was pressed, and the dialog exited successfully.
SUCCESS_DLG_CANCEL | The "Cancel" button was pressed, and the dialog exited successfully.
< 1 | An error occurred. Refer to Error Codes.


AOwnerCtrl Parameter For ShowLocalHistoEqualizeDlg

AOwnerCtrl

The Window Control that owns the dialog.


Return for ShowLocalHistoEqualizeDlg

Return Value

Return | Meaning
SUCCESS_DLG_OK | The "OK" button was pressed, and the dialog exited successfully.
SUCCESS_DLG_CANCEL | The "Cancel" button was pressed, and the dialog exited successfully.
< 1 | An error occurred. Refer to Error Codes.


AOwnerCtrl Parameter For ShowMaxFilterDlg

AOwnerCtrl

The Window Control that owns the dialog.


Return for ShowMaxFilterDlg

Return Value

Return | Meaning
SUCCESS_DLG_OK | The "OK" button was pressed, and the dialog exited successfully.
SUCCESS_DLG_CANCEL | The "Cancel" button was pressed, and the dialog exited successfully.
< 1 | An error occurred. Refer to Error Codes.


AOwnerCtrl Parameter For ShowMedianDlg

AOwnerCtrl

The Window Control that owns the dialog.


Return for ShowMedianDlg

Return Value

Return | Meaning
SUCCESS_DLG_OK | The "OK" button was pressed, and the dialog exited successfully.
SUCCESS_DLG_CANCEL | The "Cancel" button was pressed, and the dialog exited successfully.
< 1 | An error occurred. Refer to Error Codes.


AOwnerCtrl Parameter For ShowMinFilterDlg

AOwnerCtrl

The Window Control that owns the dialog.


Return for ShowMinFilterDlg

Return Value

Return | Meaning
SUCCESS_DLG_OK | The "OK" button was pressed, and the dialog exited successfully.
SUCCESS_DLG_CANCEL | The "Cancel" button was pressed, and the dialog exited successfully.
< 1 | An error occurred. Refer to Error Codes.


AOwnerCtrl Parameter For ShowMosaicDlg

AOwnerCtrl

The Window Control that owns the dialog.


Return for ShowMosaicDlg

Return Value

Return | Meaning
SUCCESS_DLG_OK | The "OK" button was pressed, and the dialog exited successfully.
SUCCESS_DLG_CANCEL | The "Cancel" button was pressed, and the dialog exited successfully.
< 1 | An error occurred. Refer to Error Codes.


AOwnerCtrl Parameter For ShowMotionBlurDlg

AOwnerCtrl

The Window Control that owns the dialog.


Return for ShowMotionBlurDlg

Return Value

Return | Meaning
SUCCESS_DLG_OK | The "OK" button was pressed, and the dialog exited successfully.
SUCCESS_DLG_CANCEL | The "Cancel" button was pressed, and the dialog exited successfully.
< 1 | An error occurred. Refer to Error Codes.


AOwnerCtrl Parameter For ShowMultiplyDlg

AOwnerCtrl

The Window Control that owns the dialog.


Return for ShowMultiplyDlg

Return Value

Return | Meaning
SUCCESS_DLG_OK | The "OK" button was pressed, and the dialog exited successfully.
SUCCESS_DLG_CANCEL | The "Cancel" button was pressed, and the dialog exited successfully.
< 1 | An error occurred. Refer to Error Codes.


AOwnerCtrl Parameter For ShowOilifyDlg

AOwnerCtrl

The Window Control that owns the dialog.


Return for ShowOilifyDlg

Return Value

Return | Meaning
SUCCESS_DLG_OK | The "OK" button was pressed, and the dialog exited successfully.
SUCCESS_DLG_CANCEL | The "Cancel" button was pressed, and the dialog exited successfully.
< 1 | An error occurred. Refer to Error Codes.


AOwnerCtrl Parameter For ShowOpenDlg

AOwnerCtrl

The Window Control that owns the dialog.


Return for ShowOpenDlg

Return Value

Return | Meaning
SUCCESS_DLG_OK | The "OK" button was pressed, and the dialog exited successfully.
SUCCESS_DLG_CANCEL | The "Cancel" button was pressed, and the dialog exited successfully.
< 1 | An error occurred. Refer to Error Codes.


AOwnerCtrl Parameter For ShowPicturizeDlg

AOwnerCtrl

The Window Control that owns the dialog.


Return for ShowPicturizeDlg

Return Value

Return | Meaning
SUCCESS_DLG_OK | The "OK" button was pressed, and the dialog exited successfully.
SUCCESS_DLG_CANCEL | The "Cancel" button was pressed, and the dialog exited successfully.
< 1 | An error occurred. Refer to Error Codes.


AOwnerCtrl Parameter For ShowPixelateDlg

AOwnerCtrl

The Window Control that owns the dialog.


Return for ShowPixelateDlg

Return Value

Return | Meaning
SUCCESS_DLG_OK | The "OK" button was pressed, and the dialog exited successfully.
SUCCESS_DLG_CANCEL | The "Cancel" button was pressed, and the dialog exited successfully.
< 1 | An error occurred. Refer to Error Codes.


AOwnerCtrl Parameter For ShowPNGWebTunerDlg

AOwnerCtrl

The Window Control that owns the dialog.


Return for ShowPNGWebTunerDlg

Return Value

Return | Meaning
SUCCESS_DLG_OK | The "OK" button was pressed, and the dialog exited successfully.
SUCCESS_DLG_CLOSE | The "Close" button was pressed, and the dialog exited successfully.
SUCCESS_DLG_CANCEL | The "Cancel" button was pressed, and the dialog exited successfully.
< 1 | An error occurred. Refer to Error Codes.


AOwnerCtrl Parameter For ShowPolarDlg

AOwnerCtrl

The Window Control that owns the dialog.


Return for ShowPolarDlg

Return Value

Return | Meaning
SUCCESS_DLG_OK | The "OK" button was pressed, and the dialog exited successfully.
SUCCESS_DLG_CANCEL | The "Cancel" button was pressed, and the dialog exited successfully.
< 1 | An error occurred. Refer to Error Codes.


AOwnerCtrl Parameter For ShowPosterizeDlg

AOwnerCtrl

The Window Control that owns the dialog.


Return for ShowPosterizeDlg

Return Value

Return | Meaning
SUCCESS_DLG_OK | The "OK" button was pressed, and the dialog exited successfully.
SUCCESS_DLG_CANCEL | The "Cancel" button was pressed, and the dialog exited successfully.
< 1 | An error occurred. Refer to Error Codes.


AOwnerCtrl Parameter For ShowPrewittFilterDlg

AOwnerCtrl

The Window Control that owns the dialog.


Return for ShowPrewittFilterDlg

Return Value

Return | Meaning
SUCCESS_DLG_OK | The "OK" button was pressed, and the dialog exited successfully.
SUCCESS_DLG_CANCEL | The "Cancel" button was pressed, and the dialog exited successfully.
< 1 | An error occurred. Refer to Error Codes.


AOwnerCtrl Parameter For ShowPrintPreviewDlg

AOwnerCtrl

The Window Control that owns the dialog.


Return for ShowPrintPreviewDlg

Return Value

Return | Meaning
SUCCESS_DLG_EXIT | "Exit" was selected from the menu or the window was closed, and the dialog exited successfully.
< 1 | An error occurred. Refer to Error Codes.


AOwnerCtrl Parameter For ShowPrintStitchedImagesDlg

AOwnerCtrl

The Window Control that owns the dialog.


Return for ShowPrintStitchedImagesDlg

Return Value

Return | Meaning
SUCCESS_DLG_EXIT | "Exit" was selected from the menu or the window was closed, and the dialog exited successfully.
< 1 | An error occurred. Refer to Error Codes.


AOwnerCtrl Parameter For ShowPunchDlg

AOwnerCtrl

The Window Control that owns the dialog.


Return for ShowPunchDlg

Return Value

Return | Meaning
SUCCESS_DLG_OK | The "OK" button was pressed, and the dialog exited successfully.
SUCCESS_DLG_CANCEL | The "Cancel" button was pressed, and the dialog exited successfully.
< 1 | An error occurred. Refer to Error Codes.


AOwnerCtrl Parameter For ShowRadialBlurDlg

AOwnerCtrl

The Window Control that owns the dialog.


Return for ShowRadialBlurDlg

Return Value

Return | Meaning
SUCCESS_DLG_OK | The "OK" button was pressed, and the dialog exited successfully.
SUCCESS_DLG_CANCEL | The "Cancel" button was pressed, and the dialog exited successfully.
< 1 | An error occurred. Refer to Error Codes.


AOwnerCtrl Parameter For ShowRadialWaveDlg

AOwnerCtrl

The Window Control that owns the dialog.


Return for ShowRadialWaveDlg

Return Value

Return | Meaning
SUCCESS_DLG_OK | The "OK" button was pressed, and the dialog exited successfully.
SUCCESS_DLG_CANCEL | The "Cancel" button was pressed, and the dialog exited successfully.
< 1 | An error occurred. Refer to Error Codes.


AOwnerCtrl Parameter For ShowRemapHueDlg

AOwnerCtrl

The Window Control that owns the dialog.


Return for ShowRemapHueDlg

Return Value

Return | Meaning
SUCCESS_DLG_OK | The "OK" button was pressed, and the dialog exited successfully.
SUCCESS_DLG_CANCEL | The "Cancel" button was pressed, and the dialog exited successfully.
< 1 | An error occurred. Refer to Error Codes.


AOwnerCtrl Parameter For ShowRemapIntensityDlg

AOwnerCtrl

The Window Control that owns the dialog.


Return for ShowRemapIntensityDlg

Return Value

Return | Meaning
SUCCESS_DLG_OK | The "OK" button was pressed, and the dialog exited successfully.
SUCCESS_DLG_CANCEL | The "Cancel" button was pressed, and the dialog exited successfully.
< 1 | An error occurred. Refer to Error Codes.


AOwnerCtrl Parameter For ShowRemoveRedeyeDlg

AOwnerCtrl

The Window Control that owns the dialog.


Return for ShowRemoveRedeyeDlg

Return Value

Return | Meaning
SUCCESS_DLG_OK | The "OK" button was pressed, and the dialog exited successfully.
SUCCESS_DLG_CANCEL | The "Cancel" button was pressed, and the dialog exited successfully.
< 1 | An error occurred. Refer to Error Codes.


AOwnerCtrl Parameter For ShowResizeDlg

AOwnerCtrl

The Window Control that owns the dialog.


Return for ShowResizeDlg

Return Value

Return | Meaning
SUCCESS_DLG_OK | The "OK" button was pressed, and the dialog exited successfully.
SUCCESS_DLG_CANCEL | The "Cancel" button was pressed, and the dialog exited successfully.
< 1 | An error occurred. Refer to Error Codes.


AOwnerCtrl Parameter For ShowRippleDlg

AOwnerCtrl

The Window Control that owns the dialog.


Return for ShowRippleDlg

Return Value

Return | Meaning
SUCCESS_DLG_OK | The "OK" button was pressed, and the dialog exited successfully.
SUCCESS_DLG_CANCEL | The "Cancel" button was pressed, and the dialog exited successfully.
< 1 | An error occurred. Refer to Error Codes.


AOwnerCtrl Parameter For ShowRotateDlg

AOwnerCtrl

The Window Control that owns the dialog.


Return for ShowRotateDlg

Return Value

Return | Meaning
SUCCESS_DLG_OK | The "OK" button was pressed, and the dialog exited successfully.
SUCCESS_DLG_CANCEL | The "Cancel" button was pressed, and the dialog exited successfully.
< 1 | An error occurred. Refer to Error Codes.


AOwnerCtrl Parameter For ShowSaturationDlg

AOwnerCtrl

The Window Control that owns the dialog.


Return for ShowSaturationDlg

Return Value

Return | Meaning
SUCCESS_DLG_OK | The "OK" button was pressed, and the dialog exited successfully.
SUCCESS_DLG_CANCEL | The "Cancel" button was pressed, and the dialog exited successfully.
< 1 | An error occurred. Refer to Error Codes.


AOwnerCtrl Parameter For ShowSaveDlg

AOwnerCtrl

The Window Control that owns the dialog.


Return for ShowSaveDlg

Return Value

Return | Meaning
SUCCESS_DLG_OK | The "OK" button was pressed, and the dialog exited successfully.
SUCCESS_DLG_CANCEL | The "Cancel" button was pressed, and the dialog exited successfully.
< 1 | An error occurred. Refer to Error Codes.


AOwnerCtrl Parameter For ShowSharpenDlg

AOwnerCtrl

The Window Control that owns the dialog.


Return for ShowSharpenDlg

Return Value

Return | Meaning
SUCCESS_DLG_OK | The "OK" button was pressed, and the dialog exited successfully.
SUCCESS_DLG_CANCEL | The "Cancel" button was pressed, and the dialog exited successfully.
< 1 | An error occurred. Refer to Error Codes.


AOwnerCtrl Parameter For ShowShearDlg

AOwnerCtrl

The Window Control that owns the dialog.


Return for ShowShearDlg

Return Value

Return | Meaning
SUCCESS_DLG_OK | The "OK" button was pressed, and the dialog exited successfully.
SUCCESS_DLG_CANCEL | The "Cancel" button was pressed, and the dialog exited successfully.
< 1 | An error occurred. Refer to Error Codes.


AOwnerCtrl Parameter For ShowShiftDifferenceFilterDlg

AOwnerCtrl

The Window Control that owns the dialog.


Return for ShowShiftDifferenceFilterDlg

Return Value

Return | Meaning
SUCCESS_DLG_OK | The "OK" button was pressed, and the dialog exited successfully.
SUCCESS_DLG_CANCEL | The "Cancel" button was pressed, and the dialog exited successfully.
< 1 | An error occurred. Refer to Error Codes.


AOwnerCtrl Parameter For ShowSmoothDlg

AOwnerCtrl

The Window Control that owns the dialog.


Return for ShowSmoothDlg

Return Value

Return | Meaning
SUCCESS_DLG_OK | The "OK" button was pressed, and the dialog exited successfully.
SUCCESS_DLG_CANCEL | The "Cancel" button was pressed, and the dialog exited successfully.
< 1 | An error occurred. Refer to Error Codes.


AOwnerCtrl Parameter For ShowSobelFilterDlg

AOwnerCtrl

The Window Control that owns the dialog.


Return for ShowSobelFilterDlg

Return Value

Return | Meaning
SUCCESS_DLG_OK | The "OK" button was pressed, and the dialog exited successfully.
SUCCESS_DLG_CANCEL | The "Cancel" button was pressed, and the dialog exited successfully.
< 1 | An error occurred. Refer to Error Codes.


AOwnerCtrl Parameter For ShowSolarizeDlg

AOwnerCtrl

The Window Control that owns the dialog.


Return for ShowSolarizeDlg

Return Value

Return | Meaning
SUCCESS_DLG_OK | The "OK" button was pressed, and the dialog exited successfully.
SUCCESS_DLG_CANCEL | The "Cancel" button was pressed, and the dialog exited successfully.
< 1 | An error occurred. Refer to Error Codes.


AOwnerCtrl Parameter For ShowSpherizeDlg

AOwnerCtrl

The Window Control that owns the dialog.


Return for ShowSpherizeDlg

Return Value

Return | Meaning
SUCCESS_DLG_OK | The "OK" button was pressed, and the dialog exited successfully.
SUCCESS_DLG_CANCEL | The "Cancel" button was pressed, and the dialog exited successfully.
< 1 | An error occurred. Refer to Error Codes.


AOwnerCtrl Parameter For ShowStitchDlg

AOwnerCtrl

The Window Control that owns the dialog.


Return for ShowStitchDlg

Return Value

Return | Meaning
SUCCESS_DLG_EXPORTANDEXIT | "Exit and Export" was selected from the menu and the dialog exited successfully. The StitchBitmap property will be updated with the exported bitmap.
SUCCESS_DLG_EXIT | "Exit" was selected from the menu or the window was closed, and the dialog exited successfully.
< 1 | An error occurred. Refer to Error Codes.


AOwnerCtrl Parameter For ShowSwirlDlg

AOwnerCtrl

The Window Control that owns the dialog.


Return for ShowSwirlDlg

Return Value

Return | Meaning
SUCCESS_DLG_OK | The "OK" button was pressed, and the dialog exited successfully.
SUCCESS_DLG_CANCEL | The "Cancel" button was pressed, and the dialog exited successfully.
< 1 | An error occurred. Refer to Error Codes.


AOwnerCtrl Parameter For ShowUnderlayDlg

AOwnerCtrl

The Window Control that owns the dialog.


Return for ShowUnderlayDlg

Return Value

Return | Meaning
SUCCESS_DLG_OK | The "OK" button was pressed, and the dialog exited successfully.
SUCCESS_DLG_CANCEL | The "Cancel" button was pressed, and the dialog exited successfully.
< 1 | An error occurred. Refer to Error Codes.


AOwnerCtrl Parameter For ShowUnsharpMaskDlg

AOwnerCtrl

The Window Control that owns the dialog.


Return for ShowUnsharpMaskDlg

Return Value

Return | Meaning
SUCCESS_DLG_OK | The "OK" button was pressed, and the dialog exited successfully.
SUCCESS_DLG_CANCEL | The "Cancel" button was pressed, and the dialog exited successfully.
< 1 | An error occurred. Refer to Error Codes.


AOwnerCtrl Parameter For ShowWaveDlg

AOwnerCtrl

The Window Control that owns the dialog.


Return for ShowWaveDlg

Return Value

Return | Meaning
SUCCESS_DLG_OK | The "OK" button was pressed, and the dialog exited successfully.
SUCCESS_DLG_CANCEL | The "Cancel" button was pressed, and the dialog exited successfully.
< 1 | An error occurred. Refer to Error Codes.


AOwnerCtrl Parameter For ShowWindDlg

AOwnerCtrl

The Window Control that owns the dialog.


Return for ShowWindDlg

Return Value

Return | Meaning
SUCCESS_DLG_OK | The "OK" button was pressed, and the dialog exited successfully.
SUCCESS_DLG_CANCEL | The "Cancel" button was pressed, and the dialog exited successfully.
< 1 | An error occurred. Refer to Error Codes.


AOwnerCtrl Parameter For ShowWindowLevelDlg

AOwnerCtrl

The Window Control that owns the dialog.


Return for ShowWindowLevelDlg

Return Value

Return | Meaning
SUCCESS_DLG_OK | The "OK" button was pressed, and the dialog exited successfully.
SUCCESS_DLG_CANCEL | The "Cancel" button was pressed, and the dialog exited successfully.
< 1 | An error occurred. Refer to Error Codes.


AOwnerCtrl Parameter For ShowZoomBlurDlg

AOwnerCtrl

The Window Control that owns the dialog.


Return for ShowZoomBlurDlg

Return Value

Return | Meaning
SUCCESS_DLG_OK | The "OK" button was pressed, and the dialog exited successfully.
SUCCESS_DLG_CANCEL | The "Cancel" button was pressed, and the dialog exited successfully.
< 1 | An error occurred. Refer to Error Codes.


AOwnerCtrl Parameter For ShowZoomWaveDlg

AOwnerCtrl

The Window Control that owns the dialog.


Return for ShowZoomWaveDlg

Return Value

Return | Meaning
SUCCESS_DLG_OK | The "OK" button was pressed, and the dialog exited successfully.
SUCCESS_DLG_CANCEL | The "Cancel" button was pressed, and the dialog exited successfully.
< 1 | An error occurred. Refer to Error Codes.


uIndex Parameter For SubFormats

uIndex

The index into the array. The first element of the array is 0, and the last element is BppCount-1.